define(["@emotion/css","@grafana/data","@grafana/runtime","@grafana/ui","d3","emotion","react","react-dom"],((e,t,r,n,i,o,a,s)=>(()=>{var l=[e=>{"use strict";e.exports=a},(e,t,r)=>{const n=r(10),{MAX_LENGTH:i,MAX_SAFE_INTEGER:o}=r(9),{re:a,t:s}=r(6),l=r(11),{compareIdentifiers:c}=r(21);class u{constructor(e,t){if(t=l(t),e instanceof u){if(e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease)return e;e=e.version}else if("string"!=typeof e)throw new TypeError(`Invalid Version: ${e}`);if(e.length>i)throw new TypeError(`version is longer than ${i} characters`);n("SemVer",e,t),this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease;const r=e.trim().match(t.loose?a[s.LOOSE]:a[s.FULL]);if(!r)throw new TypeError(`Invalid Version: ${e}`);if(this.raw=e,this.major=+r[1],this.minor=+r[2],this.patch=+r[3],this.major>o||this.major<0)throw new TypeError("Invalid major version");if(this.minor>o||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>o||this.patch<0)throw new TypeError("Invalid patch version");r[4]?this.prerelease=r[4].split(".").map((e=>{if(/^[0-9]+$/.test(e)){const t=+e;if(t>=0&&t<o)return t}return e})):this.prerelease=[],this.build=r[5]?r[5].split("."):[],this.format()}format(){return this.version=`${this.major}.${this.minor}.${this.patch}`,this.prerelease.length&&(this.version+=`-${this.prerelease.join(".")}`),this.version}toString(){return this.version}compare(e){if(n("SemVer.compare",this.version,this.options,e),!(e instanceof u)){if("string"==typeof e&&e===this.version)return 0;e=new u(e,this.options)}return e.version===this.version?0:this.compareMain(e)||this.comparePre(e)}compareMain(e){return e instanceof u||(e=new u(e,this.options)),c(this.major,e.major)||c(this.minor,e.minor)||c(this.patch,e.patch)}comparePre(e){if(e instanceof u||(e=new u(e,this.options)),this.prerelease.length&&!e.prerelease.length)return-1;if(!this.prerelease.length&&e.prerelease.length)return 1;if(!this.prerelease.length&&!e.prerelease.length)return 0;let t=0;do{const r=this.prerelease[t],i=e.prerelease[t];if(n("prerelease compare",t,r,i),void 0===r&&void 0===i)return 0;if(void 0===i)return 1;if(void 0===r)return-1;if(r!==i)return c(r,i)}while(++t)}compareBuild(e){e instanceof u||(e=new u(e,this.options));let t=0;do{const r=this.build[t],i=e.build[t];if(n("prerelease compare",t,r,i),void 0===r&&void 0===i)return 0;if(void 0===i)return 1;if(void 0===r)return-1;if(r!==i)return c(r,i)}while(++t)}inc(e,t){switch(e){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",t);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",t);break;case"prepatch":this.prerelease.length=0,this.inc("patch",t),this.inc("pre",t);break;case"prerelease":0===this.prerelease.length&&this.inc("patch",t),this.inc("pre",t);break;case"major":0===this.minor&&0===this.patch&&0!==this.prerelease.length||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":0===this.patch&&0!==this.prerelease.length||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":0===this.prerelease.length&&this.patch++,this.prerelease=[];break;case"pre":if(0===this.prerelease.length)this.prerelease=[0];else{let e=this.prerelease.length;for(;--e>=0;)"number"==typeof this.prerelease[e]&&(this.prerelease[e]++,e=-2);-1===e&&this.prerelease.push(0)}t&&(this.prerelease[0]===t?isNaN(this.prerelease[1])&&(this.prerelease=[t,0]):this.prerelease=[t,0]);break;default:throw new Error(`invalid increment argument: ${e}`)}return this.format(),this.raw=this.version,this}}e.exports=u},e=>{"use strict";e.exports=t},(e,t,r)=>{const n=r(1);e.exports=(e,t,r)=>new n(e,r).compare(new n(t,r))},(e,t,r)=>{class n{constructor(e,t){if(t=o(t),e instanceof n)return e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease?e:new n(e.raw,t);if(e instanceof a)return this.raw=e.value,this.set=[[e]],this.format(),this;if(this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease,this.raw=e,this.set=e.split(/\s*\|\|\s*/).map((e=>this.parseRange(e.trim()))).filter((e=>e.length)),!this.set.length)throw new TypeError(`Invalid SemVer Range: ${e}`);if(this.set.length>1){const e=this.set[0];if(this.set=this.set.filter((e=>!h(e[0]))),0===this.set.length)this.set=[e];else if(this.set.length>1)for(const e of this.set)if(1===e.length&&m(e[0])){this.set=[e];break}}this.format()}format(){return this.range=this.set.map((e=>e.join(" ").trim())).join("||").trim(),this.range}toString(){return this.range}parseRange(e){e=e.trim();const t=`parseRange:${Object.keys(this.options).join(",")}:${e}`,r=i.get(t);if(r)return r;const n=this.options.loose,o=n?c[u.HYPHENRANGELOOSE]:c[u.HYPHENRANGE];e=e.replace(o,I(this.options.includePrerelease)),s("hyphen replace",e),e=e.replace(c[u.COMPARATORTRIM],p),s("comparator trim",e,c[u.COMPARATORTRIM]),e=(e=(e=e.replace(c[u.TILDETRIM],f)).replace(c[u.CARETTRIM],d)).split(/\s+/).join(" ");const l=n?c[u.COMPARATORLOOSE]:c[u.COMPARATOR],m=e.split(" ").map((e=>g(e,this.options))).join(" ").split(/\s+/).map((e=>R(e,this.options))).filter(this.options.loose?e=>!!e.match(l):()=>!0).map((e=>new a(e,this.options))),v=(m.length,new Map);for(const e of m){if(h(e))return[e];v.set(e.value,e)}v.size>1&&v.has("")&&v.delete("");const y=[...v.values()];return i.set(t,y),y}intersects(e,t){if(!(e instanceof n))throw new TypeError("a Range is required");return this.set.some((r=>v(r,t)&&e.set.some((e=>v(e,t)&&r.every((r=>e.every((e=>r.intersects(e,t)))))))))}test(e){if(!e)return!1;if("string"==typeof e)try{e=new l(e,this.options)}catch(e){return!1}for(let t=0;t<this.set.length;t++)if(T(this.set[t],e,this.options))return!0;return!1}}e.exports=n;const i=new(r(40))({max:1e3}),o=r(11),a=r(13),s=r(10),l=r(1),{re:c,t:u,comparatorTrimReplace:p,tildeTrimReplace:f,caretTrimReplace:d}=r(6),h=e=>"<0.0.0-0"===e.value,m=e=>""===e.value,v=(e,t)=>{let r=!0;const n=e.slice();let i=n.pop();for(;r&&n.length;)r=n.every((e=>i.intersects(e,t))),i=n.pop();return r},g=(e,t)=>(s("comp",e,t),e=E(e,t),s("caret",e),e=b(e,t),s("tildes",e),e=x(e,t),s("xrange",e),e=C(e,t),s("stars",e),e),y=e=>!e||"x"===e.toLowerCase()||"*"===e,b=(e,t)=>e.trim().split(/\s+/).map((e=>A(e,t))).join(" "),A=(e,t)=>{const r=t.loose?c[u.TILDELOOSE]:c[u.TILDE];return e.replace(r,((t,r,n,i,o)=>{let a;return s("tilde",e,t,r,n,i,o),y(r)?a="":y(n)?a=`>=${r}.0.0 <${+r+1}.0.0-0`:y(i)?a=`>=${r}.${n}.0 <${r}.${+n+1}.0-0`:o?(s("replaceTilde pr",o),a=`>=${r}.${n}.${i}-${o} <${r}.${+n+1}.0-0`):a=`>=${r}.${n}.${i} <${r}.${+n+1}.0-0`,s("tilde return",a),a}))},E=(e,t)=>e.trim().split(/\s+/).map((e=>w(e,t))).join(" "),w=(e,t)=>{s("caret",e,t);const r=t.loose?c[u.CARETLOOSE]:c[u.CARET],n=t.includePrerelease?"-0":"";return e.replace(r,((t,r,i,o,a)=>{let l;return s("caret",e,t,r,i,o,a),y(r)?l="":y(i)?l=`>=${r}.0.0${n} <${+r+1}.0.0-0`:y(o)?l="0"===r?`>=${r}.${i}.0${n} <${r}.${+i+1}.0-0`:`>=${r}.${i}.0${n} <${+r+1}.0.0-0`:a?(s("replaceCaret pr",a),l="0"===r?"0"===i?`>=${r}.${i}.${o}-${a} <${r}.${i}.${+o+1}-0`:`>=${r}.${i}.${o}-${a} <${r}.${+i+1}.0-0`:`>=${r}.${i}.${o}-${a} <${+r+1}.0.0-0`):(s("no pr"),l="0"===r?"0"===i?`>=${r}.${i}.${o}${n} <${r}.${i}.${+o+1}-0`:`>=${r}.${i}.${o}${n} <${r}.${+i+1}.0-0`:`>=${r}.${i}.${o} <${+r+1}.0.0-0`),s("caret return",l),l}))},x=(e,t)=>(s("replaceXRanges",e,t),e.split(/\s+/).map((e=>O(e,t))).join(" ")),O=(e,t)=>{e=e.trim();const r=t.loose?c[u.XRANGELOOSE]:c[u.XRANGE];return e.replace(r,((r,n,i,o,a,l)=>{s("xRange",e,r,n,i,o,a,l);const c=y(i),u=c||y(o),p=u||y(a),f=p;return"="===n&&f&&(n=""),l=t.includePrerelease?"-0":"",c?r=">"===n||"<"===n?"<0.0.0-0":"*":n&&f?(u&&(o=0),a=0,">"===n?(n=">=",u?(i=+i+1,o=0,a=0):(o=+o+1,a=0)):"<="===n&&(n="<",u?i=+i+1:o=+o+1),"<"===n&&(l="-0"),r=`${n+i}.${o}.${a}${l}`):u?r=`>=${i}.0.0${l} <${+i+1}.0.0-0`:p&&(r=`>=${i}.${o}.0${l} <${i}.${+o+1}.0-0`),s("xRange return",r),r}))},C=(e,t)=>(s("replaceStars",e,t),e.trim().replace(c[u.STAR],"")),R=(e,t)=>(s("replaceGTE0",e,t),e.trim().replace(c[t.includePrerelease?u.GTE0PRE:u.GTE0],"")),I=e=>(t,r,n,i,o,a,s,l,c,u,p,f,d)=>`${r=y(n)?"":y(i)?`>=${n}.0.0${e?"-0":""}`:y(o)?`>=${n}.${i}.0${e?"-0":""}`:a?`>=${r}`:`>=${r}${e?"-0":""}`} ${l=y(c)?"":y(u)?`<${+c+1}.0.0-0`:y(p)?`<${c}.${+u+1}.0-0`:f?`<=${c}.${u}.${p}-${f}`:e?`<${c}.${u}.${+p+1}-0`:`<=${l}`}`.trim(),T=(e,t,r)=>{for(let r=0;r<e.length;r++)if(!e[r].test(t))return!1;if(t.prerelease.length&&!r.includePrerelease){for(let r=0;r<e.length;r++)if(s(e[r].semver),e[r].semver!==a.ANY&&e[r].semver.prerelease.length>0){const n=e[r].semver;if(n.major===t.major&&n.minor===t.minor&&n.patch===t.patch)return!0}return!1}return!0}},e=>{"use strict";e.exports=i},(e,t,r)=>{const{MAX_SAFE_COMPONENT_LENGTH:n}=r(9),i=r(10),o=(t=e.exports={}).re=[],a=t.src=[],s=t.t={};let l=0;const c=(e,t,r)=>{const n=l++;i(n,t),s[e]=n,a[n]=t,o[n]=new RegExp(t,r?"g":void 0)};c("NUMERICIDENTIFIER","0|[1-9]\\d*"),c("NUMERICIDENTIFIERLOOSE","[0-9]+"),c("NONNUMERICIDENTIFIER","\\d*[a-zA-Z-][a-zA-Z0-9-]*"),c("MAINVERSION",`(${a[s.NUMERICIDENTIFIER]})\\.(${a[s.NUMERICIDENTIFIER]})\\.(${a[s.NUMERICIDENTIFIER]})`),c("MAINVERSIONLOOSE",`(${a[s.NUMERICIDENTIFIERLOOSE]})\\.(${a[s.NUMERICIDENTIFIERLOOSE]})\\.(${a[s.NUMERICIDENTIFIERLOOSE]})`),c("PRERELEASEIDENTIFIER",`(?:${a[s.NUMERICIDENTIFIER]}|${a[s.NONNUMERICIDENTIFIER]})`),c("PRERELEASEIDENTIFIERLOOSE",`(?:${a[s.NUMERICIDENTIFIERLOOSE]}|${a[s.NONNUMERICIDENTIFIER]})`),c("PRERELEASE",`(?:-(${a[s.PRERELEASEIDENTIFIER]}(?:\\.${a[s.PRERELEASEIDENTIFIER]})*))`),c("PRERELEASELOOSE",`(?:-?(${a[s.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${a[s.PRERELEASEIDENTIFIERLOOSE]})*))`),c("BUILDIDENTIFIER","[0-9A-Za-z-]+"),c("BUILD",`(?:\\+(${a[s.BUILDIDENTIFIER]}(?:\\.${a[s.BUILDIDENTIFIER]})*))`),c("FULLPLAIN",`v?${a[s.MAINVERSION]}${a[s.PRERELEASE]}?${a[s.BUILD]}?`),c("FULL",`^${a[s.FULLPLAIN]}$`),c("LOOSEPLAIN",`[v=\\s]*${a[s.MAINVERSIONLOOSE]}${a[s.PRERELEASELOOSE]}?${a[s.BUILD]}?`),c("LOOSE",`^${a[s.LOOSEPLAIN]}$`),c("GTLT","((?:<|>)?=?)"),c("XRANGEIDENTIFIERLOOSE",`${a[s.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`),c("XRANGEIDENTIFIER",`${a[s.NUMERICIDENTIFIER]}|x|X|\\*`),c("XRANGEPLAIN",`[v=\\s]*(${a[s.XRANGEIDENTIFIER]})(?:\\.(${a[s.XRANGEIDENTIFIER]})(?:\\.(${a[s.XRANGEIDENTIFIER]})(?:${a[s.PRERELEASE]})?${a[s.BUILD]}?)?)?`),c("XRANGEPLAINLOOSE",`[v=\\s]*(${a[s.XRANGEIDENTIFIERLOOSE]})(?:\\.(${a[s.XRANGEIDENTIFIERLOOSE]})(?:\\.(${a[s.XRANGEIDENTIFIERLOOSE]})(?:${a[s.PRERELEASELOOSE]})?${a[s.BUILD]}?)?)?`),c("XRANGE",`^${a[s.GTLT]}\\s*${a[s.XRANGEPLAIN]}$`),c("XRANGELOOSE",`^${a[s.GTLT]}\\s*${a[s.XRANGEPLAINLOOSE]}$`),c("COERCE",`(^|[^\\d])(\\d{1,${n}})(?:\\.(\\d{1,${n}}))?(?:\\.(\\d{1,${n}}))?(?:$|[^\\d])`),c("COERCERTL",a[s.COERCE],!0),c("LONETILDE","(?:~>?)"),c("TILDETRIM",`(\\s*)${a[s.LONETILDE]}\\s+`,!0),t.tildeTrimReplace="$1~",c("TILDE",`^${a[s.LONETILDE]}${a[s.XRANGEPLAIN]}$`),c("TILDELOOSE",`^${a[s.LONETILDE]}${a[s.XRANGEPLAINLOOSE]}$`),c("LONECARET","(?:\\^)"),c("CARETTRIM",`(\\s*)${a[s.LONECARET]}\\s+`,!0),t.caretTrimReplace="$1^",c("CARET",`^${a[s.LONECARET]}${a[s.XRANGEPLAIN]}$`),c("CARETLOOSE",`^${a[s.LONECARET]}${a[s.XRANGEPLAINLOOSE]}$`),c("COMPARATORLOOSE",`^${a[s.GTLT]}\\s*(${a[s.LOOSEPLAIN]})$|^$`),c("COMPARATOR",`^${a[s.GTLT]}\\s*(${a[s.FULLPLAIN]})$|^$`),c("COMPARATORTRIM",`(\\s*)${a[s.GTLT]}\\s*(${a[s.LOOSEPLAIN]}|${a[s.XRANGEPLAIN]})`,!0),t.comparatorTrimReplace="$1$2$3",c("HYPHENRANGE",`^\\s*(${a[s.XRANGEPLAIN]})\\s+-\\s+(${a[s.XRANGEPLAIN]})\\s*$`),c("HYPHENRANGELOOSE",`^\\s*(${a[s.XRANGEPLAINLOOSE]})\\s+-\\s+(${a[s.XRANGEPLAINLOOSE]})\\s*$`),c("STAR","(<|>)?=?\\s*\\*"),c("GTE0","^\\s*>=\\s*0.0.0\\s*$"),c("GTE0PRE","^\\s*>=\\s*0.0.0-0\\s*$")},(e,t,r)=>{const{MAX_LENGTH:n}=r(9),{re:i,t:o}=r(6),a=r(1),s=r(11);e.exports=(e,t)=>{if(t=s(t),e instanceof a)return e;if("string"!=typeof e)return null;if(e.length>n)return null;if(!(t.loose?i[o.LOOSE]:i[o.FULL]).test(e))return null;try{return new a(e,t)}catch(e){return null}}},e=>{"use strict";e.exports=n},e=>{const t=Number.MAX_SAFE_INTEGER||9007199254740991;e.exports={SEMVER_SPEC_VERSION:"2.0.0",MAX_LENGTH:256,MAX_SAFE_INTEGER:t,MAX_SAFE_COMPONENT_LENGTH:16}},e=>{const t="object"==typeof process&&process.env&&process.env.NODE_DEBUG&&/\bsemver\b/i.test(process.env.NODE_DEBUG)?(...e)=>{}:()=>{};e.exports=t},e=>{const t=["includePrerelease","loose","rtl"];e.exports=e=>e?"object"!=typeof e?{loose:!0}:t.filter((t=>e[t])).reduce(((e,t)=>(e[t]=!0,e)),{}):{}},(e,t,r)=>{const n=r(3);e.exports=(e,t,r)=>n(e,t,r)>0},(e,t,r)=>{const n=Symbol("SemVer ANY");class i{static get ANY(){return n}constructor(e,t){if(t=o(t),e instanceof i){if(e.loose===!!t.loose)return e;e=e.value}c("comparator",e,t),this.options=t,this.loose=!!t.loose,this.parse(e),this.semver===n?this.value="":this.value=this.operator+this.semver.version,c("comp",this)}parse(e){const t=this.options.loose?a[s.COMPARATORLOOSE]:a[s.COMPARATOR],r=e.match(t);if(!r)throw new TypeError(`Invalid comparator: ${e}`);this.operator=void 0!==r[1]?r[1]:"","="===this.operator&&(this.operator=""),r[2]?this.semver=new u(r[2],this.options.loose):this.semver=n}toString(){return this.value}test(e){if(c("Comparator.test",e,this.options.loose),this.semver===n||e===n)return!0;if("string"==typeof e)try{e=new u(e,this.options)}catch(e){return!1}return l(e,this.operator,this.semver,this.options)}intersects(e,t){if(!(e instanceof i))throw new TypeError("a Comparator is required");if(t&&"object"==typeof t||(t={loose:!!t,includePrerelease:!1}),""===this.operator)return""===this.value||new p(e.value,t).test(this.value);if(""===e.operator)return""===e.value||new p(this.value,t).test(e.semver);const r=!(">="!==this.operator&&">"!==this.operator||">="!==e.operator&&">"!==e.operator),n=!("<="!==this.operator&&"<"!==this.operator||"<="!==e.operator&&"<"!==e.operator),o=this.semver.version===e.semver.version,a=!(">="!==this.operator&&"<="!==this.operator||">="!==e.operator&&"<="!==e.operator),s=l(this.semver,"<",e.semver,t)&&(">="===this.operator||">"===this.operator)&&("<="===e.operator||"<"===e.operator),c=l(this.semver,">",e.semver,t)&&("<="===this.operator||"<"===this.operator)&&(">="===e.operator||">"===e.operator);return r||n||o&&a||s||c}}e.exports=i;const o=r(11),{re:a,t:s}=r(6),l=r(25),c=r(10),u=r(1),p=r(4)},(e,t,r)=>{const n=r(4);e.exports=(e,t,r)=>{try{t=new n(t,r)}catch(e){return!1}return t.test(e)}},(e,t,r)=>{const n=r(3);e.exports=(e,t,r)=>0===n(e,t,r)},(e,t,r)=>{const n=r(1);e.exports=(e,t,r)=>{const i=new n(e,r),o=new n(t,r);return i.compare(o)||i.compareBuild(o)}},(e,t,r)=>{const n=r(3);e.exports=(e,t,r)=>n(e,t,r)<0},(e,t,r)=>{const n=r(3);e.exports=(e,t,r)=>n(e,t,r)>=0},(e,t,r)=>{const n=r(3);e.exports=(e,t,r)=>n(e,t,r)<=0},(e,t,r)=>{const n=r(1),i=r(13),{ANY:o}=i,a=r(4),s=r(14),l=r(12),c=r(17),u=r(19),p=r(18);e.exports=(e,t,r,f)=>{let d,h,m,v,g;switch(e=new n(e,f),t=new a(t,f),r){case">":d=l,h=u,m=c,v=">",g=">=";break;case"<":d=c,h=p,m=l,v="<",g="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(s(e,t,f))return!1;for(let r=0;r<t.set.length;++r){const n=t.set[r];let a=null,s=null;if(n.forEach((e=>{e.semver===o&&(e=new i(">=0.0.0")),a=a||e,s=s||e,d(e.semver,a.semver,f)?a=e:m(e.semver,s.semver,f)&&(s=e)})),a.operator===v||a.operator===g)return!1;if((!s.operator||s.operator===v)&&h(e,s.semver))return!1;if(s.operator===g&&m(e,s.semver))return!1}return!0}},e=>{const t=/^[0-9]+$/,r=(e,r)=>{const n=t.test(e),i=t.test(r);return n&&i&&(e=+e,r=+r),e===r?0:n&&!i?-1:i&&!n?1:e<r?-1:1};e.exports={compareIdentifiers:r,rcompareIdentifiers:(e,t)=>r(t,e)}},e=>{"use strict";e.exports=r},(e,t,r)=>{const n=r(6);e.exports={re:n.re,src:n.src,tokens:n.t,SEMVER_SPEC_VERSION:r(9).SEMVER_SPEC_VERSION,SemVer:r(1),compareIdentifiers:r(21).compareIdentifiers,rcompareIdentifiers:r(21).rcompareIdentifiers,parse:r(7),valid:r(27),clean:r(28),inc:r(29),diff:r(30),major:r(31),minor:r(32),patch:r(33),prerelease:r(34),compare:r(3),rcompare:r(35),compareLoose:r(36),compareBuild:r(16),sort:r(37),rsort:r(38),gt:r(12),lt:r(17),eq:r(15),neq:r(24),gte:r(18),lte:r(19),cmp:r(25),coerce:r(39),Comparator:r(13),Range:r(4),satisfies:r(14),toComparators:r(43),maxSatisfying:r(44),minSatisfying:r(45),minVersion:r(46),validRange:r(47),outside:r(20),gtr:r(48),ltr:r(49),intersects:r(50),simplifyRange:r(51),subset:r(52)}},(e,t,r)=>{const n=r(3);e.exports=(e,t,r)=>0!==n(e,t,r)},(e,t,r)=>{const n=r(15),i=r(24),o=r(12),a=r(18),s=r(17),l=r(19);e.exports=(e,t,r,c)=>{switch(t){case"===":return"object"==typeof e&&(e=e.version),"object"==typeof r&&(r=r.version),e===r;case"!==":return"object"==typeof e&&(e=e.version),"object"==typeof r&&(r=r.version),e!==r;case"":case"=":case"==":return n(e,r,c);case"!=":return i(e,r,c);case">":return o(e,r,c);case">=":return a(e,r,c);case"<":return s(e,r,c);case"<=":return l(e,r,c);default:throw new TypeError(`Invalid operator: ${t}`)}}},e=>{"use strict";e.exports=o},(e,t,r)=>{const n=r(7);e.exports=(e,t)=>{const r=n(e,t);return r?r.version:null}},(e,t,r)=>{const n=r(7);e.exports=(e,t)=>{const r=n(e.trim().replace(/^[=v]+/,""),t);return r?r.version:null}},(e,t,r)=>{const n=r(1);e.exports=(e,t,r,i)=>{"string"==typeof r&&(i=r,r=void 0);try{return new n(e,r).inc(t,i).version}catch(e){return null}}},(e,t,r)=>{const n=r(7),i=r(15);e.exports=(e,t)=>{if(i(e,t))return null;{const r=n(e),i=n(t),o=r.prerelease.length||i.prerelease.length,a=o?"pre":"",s=o?"prerelease":"";for(const e in r)if(("major"===e||"minor"===e||"patch"===e)&&r[e]!==i[e])return a+e;return s}}},(e,t,r)=>{const n=r(1);e.exports=(e,t)=>new n(e,t).major},(e,t,r)=>{const n=r(1);e.exports=(e,t)=>new n(e,t).minor},(e,t,r)=>{const n=r(1);e.exports=(e,t)=>new n(e,t).patch},(e,t,r)=>{const n=r(7);e.exports=(e,t)=>{const r=n(e,t);return r&&r.prerelease.length?r.prerelease:null}},(e,t,r)=>{const n=r(3);e.exports=(e,t,r)=>n(t,e,r)},(e,t,r)=>{const n=r(3);e.exports=(e,t)=>n(e,t,!0)},(e,t,r)=>{const n=r(16);e.exports=(e,t)=>e.sort(((e,r)=>n(e,r,t)))},(e,t,r)=>{const n=r(16);e.exports=(e,t)=>e.sort(((e,r)=>n(r,e,t)))},(e,t,r)=>{const n=r(1),i=r(7),{re:o,t:a}=r(6);e.exports=(e,t)=>{if(e instanceof n)return e;if("number"==typeof e&&(e=String(e)),"string"!=typeof e)return null;let r=null;if((t=t||{}).rtl){let t;for(;(t=o[a.COERCERTL].exec(e))&&(!r||r.index+r[0].length!==e.length);)r&&t.index+t[0].length===r.index+r[0].length||(r=t),o[a.COERCERTL].lastIndex=t.index+t[1].length+t[2].length;o[a.COERCERTL].lastIndex=-1}else r=e.match(o[a.COERCE]);return null===r?null:i(`${r[2]}.${r[3]||"0"}.${r[4]||"0"}`,t)}},(e,t,r)=>{"use strict";const n=r(41),i=Symbol("max"),o=Symbol("length"),a=Symbol("lengthCalculator"),s=Symbol("allowStale"),l=Symbol("maxAge"),c=Symbol("dispose"),u=Symbol("noDisposeOnSet"),p=Symbol("lruList"),f=Symbol("cache"),d=Symbol("updateAgeOnGet"),h=()=>1;const m=(e,t,r)=>{const n=e[f].get(t);if(n){const t=n.value;if(v(e,t)){if(y(e,n),!e[s])return}else r&&(e[d]&&(n.value.now=Date.now()),e[p].unshiftNode(n));return t.value}},v=(e,t)=>{if(!t||!t.maxAge&&!e[l])return!1;const r=Date.now()-t.now;return t.maxAge?r>t.maxAge:e[l]&&r>e[l]},g=e=>{if(e[o]>e[i])for(let t=e[p].tail;e[o]>e[i]&&null!==t;){const r=t.prev;y(e,t),t=r}},y=(e,t)=>{if(t){const r=t.value;e[c]&&e[c](r.key,r.value),e[o]-=r.length,e[f].delete(r.key),e[p].removeNode(t)}};class b{constructor(e,t,r,n,i){this.key=e,this.value=t,this.length=r,this.now=n,this.maxAge=i||0}}const A=(e,t,r,n)=>{let i=r.value;v(e,i)&&(y(e,r),e[s]||(i=void 0)),i&&t.call(n,i.value,i.key,e)};e.exports=class{constructor(e){if("number"==typeof e&&(e={max:e}),e||(e={}),e.max&&("number"!=typeof e.max||e.max<0))throw new TypeError("max must be a non-negative number");this[i]=e.max||1/0;const t=e.length||h;if(this[a]="function"!=typeof t?h:t,this[s]=e.stale||!1,e.maxAge&&"number"!=typeof e.maxAge)throw new TypeError("maxAge must be a number");this[l]=e.maxAge||0,this[c]=e.dispose,this[u]=e.noDisposeOnSet||!1,this[d]=e.updateAgeOnGet||!1,this.reset()}set max(e){if("number"!=typeof e||e<0)throw new TypeError("max must be a non-negative number");this[i]=e||1/0,g(this)}get max(){return this[i]}set allowStale(e){this[s]=!!e}get allowStale(){return this[s]}set maxAge(e){if("number"!=typeof e)throw new TypeError("maxAge must be a non-negative number");this[l]=e,g(this)}get maxAge(){return this[l]}set lengthCalculator(e){"function"!=typeof e&&(e=h),e!==this[a]&&(this[a]=e,this[o]=0,this[p].forEach((e=>{e.length=this[a](e.value,e.key),this[o]+=e.length}))),g(this)}get lengthCalculator(){return this[a]}get length(){return this[o]}get itemCount(){return this[p].length}rforEach(e,t){t=t||this;for(let r=this[p].tail;null!==r;){const n=r.prev;A(this,e,r,t),r=n}}forEach(e,t){t=t||this;for(let r=this[p].head;null!==r;){const n=r.next;A(this,e,r,t),r=n}}keys(){return this[p].toArray().map((e=>e.key))}values(){return this[p].toArray().map((e=>e.value))}reset(){this[c]&&this[p]&&this[p].length&&this[p].forEach((e=>this[c](e.key,e.value))),this[f]=new Map,this[p]=new n,this[o]=0}dump(){return this[p].map((e=>!v(this,e)&&{k:e.key,v:e.value,e:e.now+(e.maxAge||0)})).toArray().filter((e=>e))}dumpLru(){return this[p]}set(e,t,r){if((r=r||this[l])&&"number"!=typeof r)throw new TypeError("maxAge must be a number");const n=r?Date.now():0,s=this[a](t,e);if(this[f].has(e)){if(s>this[i])return y(this,this[f].get(e)),!1;const a=this[f].get(e).value;return this[c]&&(this[u]||this[c](e,a.value)),a.now=n,a.maxAge=r,a.value=t,this[o]+=s-a.length,a.length=s,this.get(e),g(this),!0}const d=new b(e,t,s,n,r);return d.length>this[i]?(this[c]&&this[c](e,t),!1):(this[o]+=d.length,this[p].unshift(d),this[f].set(e,this[p].head),g(this),!0)}has(e){if(!this[f].has(e))return!1;const t=this[f].get(e).value;return!v(this,t)}get(e){return m(this,e,!0)}peek(e){return m(this,e,!1)}pop(){const e=this[p].tail;return e?(y(this,e),e.value):null}del(e){y(this,this[f].get(e))}load(e){this.reset();const t=Date.now();for(let r=e.length-1;r>=0;r--){const n=e[r],i=n.e||0;if(0===i)this.set(n.k,n.v);else{const e=i-t;e>0&&this.set(n.k,n.v,e)}}}prune(){this[f].forEach(((e,t)=>m(this,t,!1)))}}},(e,t,r)=>{"use strict";function n(e){var t=this;if(t instanceof n||(t=new n),t.tail=null,t.head=null,t.length=0,e&&"function"==typeof e.forEach)e.forEach((function(e){t.push(e)}));else if(arguments.length>0)for(var r=0,i=arguments.length;r<i;r++)t.push(arguments[r]);return t}function i(e,t,r){var n=t===e.head?new s(r,null,t,e):new s(r,t,t.next,e);return null===n.next&&(e.tail=n),null===n.prev&&(e.head=n),e.length++,n}function o(e,t){e.tail=new s(t,e.tail,null,e),e.head||(e.head=e.tail),e.length++}function a(e,t){e.head=new s(t,null,e.head,e),e.tail||(e.tail=e.head),e.length++}function s(e,t,r,n){if(!(this instanceof s))return new s(e,t,r,n);this.list=n,this.value=e,t?(t.next=this,this.prev=t):this.prev=null,r?(r.prev=this,this.next=r):this.next=null}e.exports=n,n.Node=s,n.create=n,n.prototype.removeNode=function(e){if(e.list!==this)throw new Error("removing node which does not belong to this list");var t=e.next,r=e.prev;return t&&(t.prev=r),r&&(r.next=t),e===this.head&&(this.head=t),e===this.tail&&(this.tail=r),e.list.length--,e.next=null,e.prev=null,e.list=null,t},n.prototype.unshiftNode=function(e){if(e!==this.head){e.list&&e.list.removeNode(e);var t=this.head;e.list=this,e.next=t,t&&(t.prev=e),this.head=e,this.tail||(this.tail=e),this.length++}},n.prototype.pushNode=function(e){if(e!==this.tail){e.list&&e.list.removeNode(e);var t=this.tail;e.list=this,e.prev=t,t&&(t.next=e),this.tail=e,this.head||(this.head=e),this.length++}},n.prototype.push=function(){for(var e=0,t=arguments.length;e<t;e++)o(this,arguments[e]);return this.length},n.prototype.unshift=function(){for(var e=0,t=arguments.length;e<t;e++)a(this,arguments[e]);return this.length},n.prototype.pop=function(){if(this.tail){var e=this.tail.value;return this.tail=this.tail.prev,this.tail?this.tail.next=null:this.head=null,this.length--,e}},n.prototype.shift=function(){if(this.head){var e=this.head.value;return this.head=this.head.next,this.head?this.head.prev=null:this.tail=null,this.length--,e}},n.prototype.forEach=function(e,t){t=t||this;for(var r=this.head,n=0;null!==r;n++)e.call(t,r.value,n,this),r=r.next},n.prototype.forEachReverse=function(e,t){t=t||this;for(var r=this.tail,n=this.length-1;null!==r;n--)e.call(t,r.value,n,this),r=r.prev},n.prototype.get=function(e){for(var t=0,r=this.head;null!==r&&t<e;t++)r=r.next;if(t===e&&null!==r)return r.value},n.prototype.getReverse=function(e){for(var t=0,r=this.tail;null!==r&&t<e;t++)r=r.prev;if(t===e&&null!==r)return r.value},n.prototype.map=function(e,t){t=t||this;for(var r=new n,i=this.head;null!==i;)r.push(e.call(t,i.value,this)),i=i.next;return r},n.prototype.mapReverse=function(e,t){t=t||this;for(var r=new n,i=this.tail;null!==i;)r.push(e.call(t,i.value,this)),i=i.prev;return r},n.prototype.reduce=function(e,t){var r,n=this.head;if(arguments.length>1)r=t;else{if(!this.head)throw new TypeError("Reduce of empty list with no initial value");n=this.head.next,r=this.head.value}for(var i=0;null!==n;i++)r=e(r,n.value,i),n=n.next;return r},n.prototype.reduceReverse=function(e,t){var r,n=this.tail;if(arguments.length>1)r=t;else{if(!this.tail)throw new TypeError("Reduce of empty list with no initial value");n=this.tail.prev,r=this.tail.value}for(var i=this.length-1;null!==n;i--)r=e(r,n.value,i),n=n.prev;return r},n.prototype.toArray=function(){for(var e=new Array(this.length),t=0,r=this.head;null!==r;t++)e[t]=r.value,r=r.next;return e},n.prototype.toArrayReverse=function(){for(var e=new Array(this.length),t=0,r=this.tail;null!==r;t++)e[t]=r.value,r=r.prev;return e},n.prototype.slice=function(e,t){(t=t||this.length)<0&&(t+=this.length),(e=e||0)<0&&(e+=this.length);var r=new n;if(t<e||t<0)return r;e<0&&(e=0),t>this.length&&(t=this.length);for(var i=0,o=this.head;null!==o&&i<e;i++)o=o.next;for(;null!==o&&i<t;i++,o=o.next)r.push(o.value);return r},n.prototype.sliceReverse=function(e,t){(t=t||this.length)<0&&(t+=this.length),(e=e||0)<0&&(e+=this.length);var r=new n;if(t<e||t<0)return r;e<0&&(e=0),t>this.length&&(t=this.length);for(var i=this.length,o=this.tail;null!==o&&i>t;i--)o=o.prev;for(;null!==o&&i>e;i--,o=o.prev)r.push(o.value);return r},n.prototype.splice=function(e,t,...r){e>this.length&&(e=this.length-1),e<0&&(e=this.length+e);for(var n=0,o=this.head;null!==o&&n<e;n++)o=o.next;var a=[];for(n=0;o&&n<t;n++)a.push(o.value),o=this.removeNode(o);null===o&&(o=this.tail),o!==this.head&&o!==this.tail&&(o=o.prev);for(n=0;n<r.length;n++)o=i(this,o,r[n]);return a},n.prototype.reverse=function(){for(var e=this.head,t=this.tail,r=e;null!==r;r=r.prev){var n=r.prev;r.prev=r.next,r.next=n}return this.head=t,this.tail=e,this};try{r(42)(n)}catch(e){}},e=>{"use strict";e.exports=function(e){e.prototype[Symbol.iterator]=function*(){for(let e=this.head;e;e=e.next)yield e.value}}},(e,t,r)=>{const n=r(4);e.exports=(e,t)=>new n(e,t).set.map((e=>e.map((e=>e.value)).join(" ").trim().split(" ")))},(e,t,r)=>{const n=r(1),i=r(4);e.exports=(e,t,r)=>{let o=null,a=null,s=null;try{s=new i(t,r)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(o&&-1!==a.compare(e)||(o=e,a=new n(o,r)))})),o}},(e,t,r)=>{const n=r(1),i=r(4);e.exports=(e,t,r)=>{let o=null,a=null,s=null;try{s=new i(t,r)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(o&&1!==a.compare(e)||(o=e,a=new n(o,r)))})),o}},(e,t,r)=>{const n=r(1),i=r(4),o=r(12);e.exports=(e,t)=>{e=new i(e,t);let r=new n("0.0.0");if(e.test(r))return r;if(r=new n("0.0.0-0"),e.test(r))return r;r=null;for(let t=0;t<e.set.length;++t){const i=e.set[t];let a=null;i.forEach((e=>{const t=new n(e.semver.version);switch(e.operator){case">":0===t.prerelease.length?t.patch++:t.prerelease.push(0),t.raw=t.format();case"":case">=":a&&!o(t,a)||(a=t);break;case"<":case"<=":break;default:throw new Error(`Unexpected operation: ${e.operator}`)}})),!a||r&&!o(r,a)||(r=a)}return r&&e.test(r)?r:null}},(e,t,r)=>{const n=r(4);e.exports=(e,t)=>{try{return new n(e,t).range||"*"}catch(e){return null}}},(e,t,r)=>{const n=r(20);e.exports=(e,t,r)=>n(e,t,">",r)},(e,t,r)=>{const n=r(20);e.exports=(e,t,r)=>n(e,t,"<",r)},(e,t,r)=>{const n=r(4);e.exports=(e,t,r)=>(e=new n(e,r),t=new n(t,r),e.intersects(t))},(e,t,r)=>{const n=r(14),i=r(3);e.exports=(e,t,r)=>{const o=[];let a=null,s=null;const l=e.sort(((e,t)=>i(e,t,r)));for(const e of l){n(e,t,r)?(s=e,a||(a=e)):(s&&o.push([a,s]),s=null,a=null)}a&&o.push([a,null]);const c=[];for(const[e,t]of o)e===t?c.push(e):t||e!==l[0]?t?e===l[0]?c.push(`<=${t}`):c.push(`${e} - ${t}`):c.push(`>=${e}`):c.push("*");const u=c.join(" || "),p="string"==typeof t.raw?t.raw:String(t);return u.length<p.length?u:t}},(e,t,r)=>{const n=r(4),i=r(13),{ANY:o}=i,a=r(14),s=r(3),l=(e,t,r)=>{if(e===t)return!0;if(1===e.length&&e[0].semver===o){if(1===t.length&&t[0].semver===o)return!0;e=r.includePrerelease?[new i(">=0.0.0-0")]:[new i(">=0.0.0")]}if(1===t.length&&t[0].semver===o){if(r.includePrerelease)return!0;t=[new i(">=0.0.0")]}const n=new Set;let l,p,f,d,h,m,v;for(const t of e)">"===t.operator||">="===t.operator?l=c(l,t,r):"<"===t.operator||"<="===t.operator?p=u(p,t,r):n.add(t.semver);if(n.size>1)return null;if(l&&p){if(f=s(l.semver,p.semver,r),f>0)return null;if(0===f&&(">="!==l.operator||"<="!==p.operator))return null}for(const e of n){if(l&&!a(e,String(l),r))return null;if(p&&!a(e,String(p),r))return null;for(const n of t)if(!a(e,String(n),r))return!1;return!0}let g=!(!p||r.includePrerelease||!p.semver.prerelease.length)&&p.semver,y=!(!l||r.includePrerelease||!l.semver.prerelease.length)&&l.semver;g&&1===g.prerelease.length&&"<"===p.operator&&0===g.prerelease[0]&&(g=!1);for(const e of t){if(v=v||">"===e.operator||">="===e.operator,m=m||"<"===e.operator||"<="===e.operator,l)if(y&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===y.major&&e.semver.minor===y.minor&&e.semver.patch===y.patch&&(y=!1),">"===e.operator||">="===e.operator){if(d=c(l,e,r),d===e&&d!==l)return!1}else if(">="===l.operator&&!a(l.semver,String(e),r))return!1;if(p)if(g&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===g.major&&e.semver.minor===g.minor&&e.semver.patch===g.patch&&(g=!1),"<"===e.operator||"<="===e.operator){if(h=u(p,e,r),h===e&&h!==p)return!1}else if("<="===p.operator&&!a(p.semver,String(e),r))return!1;if(!e.operator&&(p||l)&&0!==f)return!1}return!(l&&m&&!p&&0!==f)&&(!(p&&v&&!l&&0!==f)&&(!y&&!g))},c=(e,t,r)=>{if(!e)return t;const n=s(e.semver,t.semver,r);return n>0?e:n<0||">"===t.operator&&">="===e.operator?t:e},u=(e,t,r)=>{if(!e)return t;const n=s(e.semver,t.semver,r);return n<0?e:n>0||"<"===t.operator&&"<="===e.operator?t:e};e.exports=(e,t,r={})=>{if(e===t)return!0;e=new n(e,r),t=new n(t,r);let i=!1;e:for(const n of e.set){for(const e of t.set){const t=l(n,e,r);if(i=i||null!==t,t)continue e}if(i)return!1}return!0}},t=>{"use strict";t.exports=e},e=>{"use strict";var t=[];function r(e){for(var r=-1,n=0;n<t.length;n++)if(t[n].identifier===e){r=n;break}return r}function n(e,n){for(var o={},a=[],s=0;s<e.length;s++){var l=e[s],c=n.base?l[0]+n.base:l[0],u=o[c]||0,p="".concat(c," ").concat(u);o[c]=u+1;var f=r(p),d={css:l[1],media:l[2],sourceMap:l[3],supports:l[4],layer:l[5]};if(-1!==f)t[f].references++,t[f].updater(d);else{var h=i(d,n);n.byIndex=s,t.splice(s,0,{identifier:p,updater:h,references:1})}a.push(p)}return a}function i(e,t){var r=t.domAPI(t);r.update(e);return function(t){if(t){if(t.css===e.css&&t.media===e.media&&t.sourceMap===e.sourceMap&&t.supports===e.supports&&t.layer===e.layer)return;r.update(e=t)}else r.remove()}}e.exports=function(e,i){var o=n(e=e||[],i=i||{});return function(e){e=e||[];for(var a=0;a<o.length;a++){var s=r(o[a]);t[s].references--}for(var l=n(e,i),c=0;c<o.length;c++){var u=r(o[c]);0===t[u].references&&(t[u].updater(),t.splice(u,1))}o=l}}},e=>{"use strict";e.exports=function(e){var t=e.insertStyleElement(e);return{update:function(r){!function(e,t,r){var n="";r.supports&&(n+="@supports (".concat(r.supports,") {")),r.media&&(n+="@media ".concat(r.media," {"));var i=void 0!==r.layer;i&&(n+="@layer".concat(r.layer.length>0?" ".concat(r.layer):""," {")),n+=r.css,i&&(n+="}"),r.media&&(n+="}"),r.supports&&(n+="}");var o=r.sourceMap;o&&"undefined"!=typeof btoa&&(n+="\n/*# sourceMappingURL=data:application/json;base64,".concat(btoa(unescape(encodeURIComponent(JSON.stringify(o))))," */")),t.styleTagTransform(n,e,t.options)}(t,e,r)},remove:function(){!function(e){if(null===e.parentNode)return!1;e.parentNode.removeChild(e)}(t)}}}},e=>{"use strict";var t={};e.exports=function(e,r){var n=function(e){if(void 0===t[e]){var r=document.querySelector(e);if(window.HTMLIFrameElement&&r instanceof window.HTMLIFrameElement)try{r=r.contentDocument.head}catch(e){r=null}t[e]=r}return t[e]}(e);if(!n)throw new Error("Couldn't find a style target. This probably means that the value for the 'insert' parameter is invalid.");n.appendChild(r)}},(e,t,r)=>{"use strict";e.exports=function(e){var t=r.nc;t&&e.setAttribute("nonce",t)}},e=>{"use strict";e.exports=function(e){var t=document.createElement("style");return e.setAttributes(t,e.attributes),e.insert(t,e.options),t}},e=>{"use strict";e.exports=function(e,t){if(t.styleSheet)t.styleSheet.cssText=e;else{for(;t.firstChild;)t.removeChild(t.firstChild);t.appendChild(document.createTextNode(e))}}},(e,t,r)=>{"use strict";r.d(t,{Z:()=>s});var n=r(61),i=r.n(n),o=r(62),a=r.n(o)()(i());a.push([e.id,'.tippy-box[data-animation=fade][data-state=hidden]{opacity:0}[data-tippy-root]{max-width:calc(100vw - 10px)}.tippy-box{position:relative;background-color:#333;color:#fff;border-radius:4px;font-size:14px;line-height:1.4;white-space:normal;outline:0;transition-property:transform,visibility,opacity}.tippy-box[data-placement^=top]>.tippy-arrow{bottom:0}.tippy-box[data-placement^=top]>.tippy-arrow:before{bottom:-7px;left:0;border-width:8px 8px 0;border-top-color:initial;transform-origin:center top}.tippy-box[data-placement^=bottom]>.tippy-arrow{top:0}.tippy-box[data-placement^=bottom]>.tippy-arrow:before{top:-7px;left:0;border-width:0 8px 8px;border-bottom-color:initial;transform-origin:center bottom}.tippy-box[data-placement^=left]>.tippy-arrow{right:0}.tippy-box[data-placement^=left]>.tippy-arrow:before{border-width:8px 0 8px 8px;border-left-color:initial;right:-7px;transform-origin:center left}.tippy-box[data-placement^=right]>.tippy-arrow{left:0}.tippy-box[data-placement^=right]>.tippy-arrow:before{left:-7px;border-width:8px 8px 8px 0;border-right-color:initial;transform-origin:center right}.tippy-box[data-inertia][data-state=visible]{transition-timing-function:cubic-bezier(0.54, 1.5, 0.38, 1.11)}.tippy-arrow{width:16px;height:16px;color:#333}.tippy-arrow:before{content:"";position:absolute;border-color:rgba(0,0,0,0);border-style:solid}.tippy-content{position:relative;padding:5px 9px;z-index:1}',"",{version:3,sources:["webpack://./../node_modules/tippy.js/dist/tippy.css"],names:[],mappings:"AAAA,mDAAA,SAAA,CAAA,kBAAA,4BAAA,CAAA,WAAA,iBAAA,CAAA,qBAAA,CAAA,UAAA,CAAA,iBAAA,CAAA,cAAA,CAAA,eAAA,CAAA,kBAAA,CAAA,SAAA,CAAA,gDAAA,CAAA,6CAAA,QAAA,CAAA,oDAAA,WAAA,CAAA,MAAA,CAAA,sBAAA,CAAA,wBAAA,CAAA,2BAAA,CAAA,gDAAA,KAAA,CAAA,uDAAA,QAAA,CAAA,MAAA,CAAA,sBAAA,CAAA,2BAAA,CAAA,8BAAA,CAAA,8CAAA,OAAA,CAAA,qDAAA,0BAAA,CAAA,yBAAA,CAAA,UAAA,CAAA,4BAAA,CAAA,+CAAA,MAAA,CAAA,sDAAA,SAAA,CAAA,0BAAA,CAAA,0BAAA,CAAA,6BAAA,CAAA,6CAAA,8DAAA,CAAA,aAAA,UAAA,CAAA,WAAA,CAAA,UAAA,CAAA,oBAAA,UAAA,CAAA,iBAAA,CAAA,0BAAA,CAAA,kBAAA,CAAA,eAAA,iBAAA,CAAA,eAAA,CAAA,SAAA",sourcesContent:['.tippy-box[data-animation=fade][data-state=hidden]{opacity:0}[data-tippy-root]{max-width:calc(100vw - 10px)}.tippy-box{position:relative;background-color:#333;color:#fff;border-radius:4px;font-size:14px;line-height:1.4;white-space:normal;outline:0;transition-property:transform,visibility,opacity}.tippy-box[data-placement^=top]>.tippy-arrow{bottom:0}.tippy-box[data-placement^=top]>.tippy-arrow:before{bottom:-7px;left:0;border-width:8px 8px 0;border-top-color:initial;transform-origin:center top}.tippy-box[data-placement^=bottom]>.tippy-arrow{top:0}.tippy-box[data-placement^=bottom]>.tippy-arrow:before{top:-7px;left:0;border-width:0 8px 8px;border-bottom-color:initial;transform-origin:center bottom}.tippy-box[data-placement^=left]>.tippy-arrow{right:0}.tippy-box[data-placement^=left]>.tippy-arrow:before{border-width:8px 0 8px 8px;border-left-color:initial;right:-7px;transform-origin:center left}.tippy-box[data-placement^=right]>.tippy-arrow{left:0}.tippy-box[data-placement^=right]>.tippy-arrow:before{left:-7px;border-width:8px 8px 8px 0;border-right-color:initial;transform-origin:center right}.tippy-box[data-inertia][data-state=visible]{transition-timing-function:cubic-bezier(.54,1.5,.38,1.11)}.tippy-arrow{width:16px;height:16px;color:#333}.tippy-arrow:before{content:"";position:absolute;border-color:transparent;border-style:solid}.tippy-content{position:relative;padding:5px 9px;z-index:1}'],sourceRoot:""}]);const s=a},e=>{"use strict";e.exports=function(e){var t=e[1],r=e[3];if(!r)return t;if("function"==typeof btoa){var n=btoa(unescape(encodeURIComponent(JSON.stringify(r)))),i="sourceMappingURL=data:application/json;charset=utf-8;base64,".concat(n),o="/*# ".concat(i," */"),a=r.sources.map((function(e){return"/*# sourceURL=".concat(r.sourceRoot||"").concat(e," */")}));return[t].concat(a).concat([o]).join("\n")}return[t].join("\n")}},e=>{"use strict";e.exports=function(e){var t=[];return t.toString=function(){return this.map((function(t){var r="",n=void 0!==t[5];return t[4]&&(r+="@supports (".concat(t[4],") {")),t[2]&&(r+="@media ".concat(t[2]," {")),n&&(r+="@layer".concat(t[5].length>0?" ".concat(t[5]):""," {")),r+=e(t),n&&(r+="}"),t[2]&&(r+="}"),t[4]&&(r+="}"),r})).join("")},t.i=function(e,r,n,i,o){"string"==typeof e&&(e=[[null,e,void 0]]);var a={};if(n)for(var s=0;s<this.length;s++){var l=this[s][0];null!=l&&(a[l]=!0)}for(var c=0;c<e.length;c++){var u=[].concat(e[c]);n&&a[u[0]]||(void 0!==o&&(void 0===u[5]||(u[1]="@layer".concat(u[5].length>0?" ".concat(u[5]):""," {").concat(u[1],"}")),u[5]=o),r&&(u[2]?(u[1]="@media ".concat(u[2]," {").concat(u[1],"}"),u[2]=r):u[2]=r),i&&(u[4]?(u[1]="@supports (".concat(u[4],") {").concat(u[1],"}"),u[4]=i):u[4]="".concat(i)),t.push(u))}},t}},,e=>{"use strict";e.exports=s}],c={};function u(e){var t=c[e];if(void 0!==t)return t.exports;var r=c[e]={id:e,exports:{}};return l[e](r,r.exports,u),r.exports}u.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return u.d(t,{a:t}),t},u.d=(e,t)=>{for(var r in t)u.o(t,r)&&!u.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})},u.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),u.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},u.nc=void 0;var p={};return(()=>{"use strict";u.r(p),u.d(p,{plugin:()=>Cn});var e=u(2),t=u(5),r=u(0),n=u.n(r),i=u(8),o=function(e){var t,r=e.item,o=e.value,a=e.onChange,s=e.context;if(s.data&&s.data.length>0){var l=s.data.flatMap((function(e){return e.fields})).filter((function(e){var t,n;return!(null===(t=r.settings)||void 0===t?void 0:t.filterByType)||(null===(n=r.settings)||void 0===n?void 0:n.filterByType.some((function(t){return e.type===t})))})).map((function(e){return{label:e.name,value:e.name}}));return(null===(t=r.settings)||void 0===t?void 0:t.multi)?n().createElement(i.MultiSelect,{isClearable:!0,isLoading:!1,value:o,onChange:function(e){return a(e.map((function(e){return e.value})))},options:l}):n().createElement(i.Select,{isClearable:!0,isLoading:!1,value:o,onChange:function(e){a(null==e?void 0:e.value)},options:l})}return n().createElement(i.Select,{onChange:function(){},disabled:!0})};function a(e,t,r,n){return new(r||(r=Promise))((function(i,o){function a(e){try{l(n.next(e))}catch(e){o(e)}}function s(e){try{l(n.throw(e))}catch(e){o(e)}}function l(e){var t;e.done?i(e.value):(t=e.value,t instanceof r?t:new r((function(e){e(t)}))).then(a,s)}l((n=n.apply(e,t||[])).next())}))}function s(e,t){var r,n,i,o,a={label:0,sent:function(){if(1&i[0])throw i[1];return i[1]},trys:[],ops:[]};return o={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(o[Symbol.iterator]=function(){return this}),o;function s(o){return function(s){return function(o){if(r)throw new TypeError("Generator is already executing.");for(;a;)try{if(r=1,n&&(i=2&o[0]?n.return:o[0]?n.throw||((i=n.return)&&i.call(n),0):n.next)&&!(i=i.call(n,o[1])).done)return i;switch(n=0,i&&(o=[2&o[0],i.value]),o[0]){case 0:case 1:i=o;break;case 4:return a.label++,{value:o[1],done:!1};case 5:a.label++,n=o[1],o=[0];continue;case 7:o=a.ops.pop(),a.trys.pop();continue;default:if(!(i=a.trys,(i=i.length>0&&i[i.length-1])||6!==o[0]&&2!==o[0])){a=0;continue}if(3===o[0]&&(!i||o[1]>i[0]&&o[1]<i[3])){a.label=o[1];break}if(6===o[0]&&a.label<i[1]){a.label=i[1],i=o;break}if(i&&a.label<i[2]){a.label=i[2],a.ops.push(o);break}i[2]&&a.ops.pop(),a.trys.pop();continue}o=t.call(e,a)}catch(e){o=[6,e],n=0}finally{r=i=0}if(5&o[0])throw o[1];return{value:o[0]?o[1]:void 0,done:!0}}([o,s])}}}Object.create;function l(e,t){return Object.defineProperty?Object.defineProperty(e,"raw",{value:t}):e.raw=t,e}Object.create;var c,f,d=u(26),h=function(e){var t=e.schema,r=e.fields,o=e.url,a=(0,i.useTheme)(),s=m(null!=r?r:[],t);return n().createElement("div",{style:{display:"flex",alignItems:"center",justifyContent:"center",height:"100%"}},n().createElement(i.InfoBox,{title:"Configure your query",url:o,severity:"info",style:{maxWidth:"500px"}},n().createElement("p",null,"Define a data source query that return at least the following field"+(s.length>1?"s":"")+":"),n().createElement("div",null,s.map((function(e,t){var r=e.type,o=e.description,s=e.ok;return n().createElement("div",{key:t,className:(0,d.css)(c||(c=l(["\n                display: flex;\n                align-items: center;\n                padding-bottom: ",";\n                & > * {\n                  margin-right: ",";\n                }\n                & > *:last-child {\n                  margin-right: 0;\n                }\n              "],["\n                display: flex;\n                align-items: center;\n                padding-bottom: ",";\n                & > * {\n                  margin-right: ",";\n                }\n                & > *:last-child {\n                  margin-right: 0;\n                }\n              "])),a.spacing.sm,a.spacing.sm)},s?n().createElement(i.Icon,{name:"check-circle",size:"lg",style:{color:a.palette.brandSuccess}}):n().createElement(i.Icon,{name:"circle",size:"lg",style:{color:a.colors.linkDisabled}}),n().createElement(i.Badge,{className:(0,d.css)(f||(f=l(["\n                  margin-top: 0;\n                "],["\n                  margin-top: 0;\n                "]))),text:r.slice(0,1).toUpperCase()+r.slice(1),color:"blue"}),o&&n().createElement("span",null,""+o))})))))},m=function(e,t){var r=[];return t.map((function(t){var n=t.type,i=t.description,o=e.filter((function(e){return!r.includes(e)})).find((function(e){return e.type===n}));return o&&r.push(o),{type:n,description:i,ok:!!o}}))},v=u(22),g=u(23),y=function(e){var t=v.config.buildInfo.version;switch(e){case"color-scheme":return(0,g.gte)(t,"7.3.0");case"standard-options-object":case"field-config-with-min-max":return(0,g.gte)(t,"7.4.0");case"custom-editor-context":return(0,g.gte)(t,"7.0.3");default:return!1}};function b(e,t){return Object.setPrototypeOf||function(e,t){return e.__proto__=t,e},b(e,t)}var A=function(){function e(e){this.isSpeedy=void 0===e.speedy||e.speedy,this.tags=[],this.ctr=0,this.nonce=e.nonce,this.key=e.key,this.container=e.container,this.before=null}var t=e.prototype;return t.insert=function(e){if(this.ctr%(this.isSpeedy?65e3:1)==0){var t,r=function(e){var t=document.createElement("style");return t.setAttribute("data-emotion",e.key),void 0!==e.nonce&&t.setAttribute("nonce",e.nonce),t.appendChild(document.createTextNode("")),t}(this);t=0===this.tags.length?this.before:this.tags[this.tags.length-1].nextSibling,this.container.insertBefore(r,t),this.tags.push(r)}var n=this.tags[this.tags.length-1];if(this.isSpeedy){var i=function(e){if(e.sheet)return e.sheet;for(var t=0;t<document.styleSheets.length;t++)if(document.styleSheets[t].ownerNode===e)return document.styleSheets[t]}(n);try{var o=105===e.charCodeAt(1)&&64===e.charCodeAt(0);i.insertRule(e,o?0:i.cssRules.length)}catch(e){0}}else n.appendChild(document.createTextNode(e));this.ctr++},t.flush=function(){this.tags.forEach((function(e){return e.parentNode.removeChild(e)})),this.tags=[],this.ctr=0},e}();const E=function(e){function t(e,n,l,c,f){for(var d,h,m,v,A,w=0,x=0,O=0,C=0,R=0,L=0,P=m=d=0,j=0,M=0,B=0,F=0,G=l.length,H=G-1,V="",U="",_="",X="";j<G;){if(h=l.charCodeAt(j),j===H&&0!==x+C+O+w&&(0!==x&&(h=47===x?10:47),C=O=w=0,G++,H++),0===x+C+O+w){if(j===H&&(0<M&&(V=V.replace(p,"")),0<V.trim().length)){switch(h){case 32:case 9:case 59:case 13:case 10:break;default:V+=l.charAt(j)}h=59}switch(h){case 123:for(d=(V=V.trim()).charCodeAt(0),m=1,F=++j;j<G;){switch(h=l.charCodeAt(j)){case 123:m++;break;case 125:m--;break;case 47:switch(h=l.charCodeAt(j+1)){case 42:case 47:e:{for(P=j+1;P<H;++P)switch(l.charCodeAt(P)){case 47:if(42===h&&42===l.charCodeAt(P-1)&&j+2!==P){j=P+1;break e}break;case 10:if(47===h){j=P+1;break e}}j=P}}break;case 91:h++;case 40:h++;case 34:case 39:for(;j++<H&&l.charCodeAt(j)!==h;);}if(0===m)break;j++}if(m=l.substring(F,j),0===d&&(d=(V=V.replace(u,"").trim()).charCodeAt(0)),64===d){switch(0<M&&(V=V.replace(p,"")),h=V.charCodeAt(1)){case 100:case 109:case 115:case 45:M=n;break;default:M=k}if(F=(m=t(n,M,m,h,f+1)).length,0<N&&(A=s(3,m,M=r(k,V,B),n,T,I,F,h,f,c),V=M.join(""),void 0!==A&&0===(F=(m=A.trim()).length)&&(h=0,m="")),0<F)switch(h){case 115:V=V.replace(E,a);case 100:case 109:case 45:m=V+"{"+m+"}";break;case 107:m=(V=V.replace(g,"$1 $2"))+"{"+m+"}",m=1===$||2===$&&o("@"+m,3)?"@-webkit-"+m+"@"+m:"@"+m;break;default:m=V+m,112===c&&(U+=m,m="")}else m=""}else m=t(n,r(n,V,B),m,c,f+1);_+=m,m=B=M=P=d=0,V="",h=l.charCodeAt(++j);break;case 125:case 59:if(1<(F=(V=(0<M?V.replace(p,""):V).trim()).length))switch(0===P&&(d=V.charCodeAt(0),45===d||96<d&&123>d)&&(F=(V=V.replace(" ",":")).length),0<N&&void 0!==(A=s(1,V,n,e,T,I,U.length,c,f,c))&&0===(F=(V=A.trim()).length)&&(V="\0\0"),d=V.charCodeAt(0),h=V.charCodeAt(1),d){case 0:break;case 64:if(105===h||99===h){X+=V+l.charAt(j);break}default:58!==V.charCodeAt(F-1)&&(U+=i(V,d,h,V.charCodeAt(2)))}B=M=P=d=0,V="",h=l.charCodeAt(++j)}}switch(h){case 13:case 10:47===x?x=0:0===1+d&&107!==c&&0<V.length&&(M=1,V+="\0"),0<N*D&&s(0,V,n,e,T,I,U.length,c,f,c),I=1,T++;break;case 59:case 125:if(0===x+C+O+w){I++;break}default:switch(I++,v=l.charAt(j),h){case 9:case 32:if(0===C+w+x)switch(R){case 44:case 58:case 9:case 32:v="";break;default:32!==h&&(v=" ")}break;case 0:v="\\0";break;case 12:v="\\f";break;case 11:v="\\v";break;case 38:0===C+x+w&&(M=B=1,v="\f"+v);break;case 108:if(0===C+x+w+S&&0<P)switch(j-P){case 2:112===R&&58===l.charCodeAt(j-3)&&(S=R);case 8:111===L&&(S=L)}break;case 58:0===C+x+w&&(P=j);break;case 44:0===x+O+C+w&&(M=1,v+="\r");break;case 34:case 39:0===x&&(C=C===h?0:0===C?h:C);break;case 91:0===C+x+O&&w++;break;case 93:0===C+x+O&&w--;break;case 41:0===C+x+w&&O--;break;case 40:if(0===C+x+w){if(0===d)if(2*R+3*L==533);else d=1;O++}break;case 64:0===x+O+C+w+P+m&&(m=1);break;case 42:case 47:if(!(0<C+w+O))switch(x){case 0:switch(2*h+3*l.charCodeAt(j+1)){case 235:x=47;break;case 220:F=j,x=42}break;case 42:47===h&&42===R&&F+2!==j&&(33===l.charCodeAt(F+2)&&(U+=l.substring(F,j+1)),v="",x=0)}}0===x&&(V+=v)}L=R,R=h,j++}if(0<(F=U.length)){if(M=n,0<N&&(void 0!==(A=s(2,U,M,e,T,I,F,c,f,c))&&0===(U=A).length))return X+U+_;if(U=M.join(",")+"{"+U+"}",0!=$*S){switch(2!==$||o(U,2)||(S=0),S){case 111:U=U.replace(b,":-moz-$1")+U;break;case 112:U=U.replace(y,"::-webkit-input-$1")+U.replace(y,"::-moz-$1")+U.replace(y,":-ms-input-$1")+U}S=0}}return X+U+_}function r(e,t,r){var i=t.trim().split(m);t=i;var o=i.length,a=e.length;switch(a){case 0:case 1:var s=0;for(e=0===a?"":e[0]+" ";s<o;++s)t[s]=n(e,t[s],r).trim();break;default:var l=s=0;for(t=[];s<o;++s)for(var c=0;c<a;++c)t[l++]=n(e[c]+" ",i[s],r).trim()}return t}function n(e,t,r){var n=t.charCodeAt(0);switch(33>n&&(n=(t=t.trim()).charCodeAt(0)),n){case 38:return t.replace(v,"$1"+e.trim());case 58:return e.trim()+t.replace(v,"$1"+e.trim());default:if(0<1*r&&0<t.indexOf("\f"))return t.replace(v,(58===e.charCodeAt(0)?"":"$1")+e.trim())}return e+t}function i(e,t,r,n){var a=e+";",s=2*t+3*r+4*n;if(944===s){e=a.indexOf(":",9)+1;var l=a.substring(e,a.length-1).trim();return l=a.substring(0,e).trim()+l+";",1===$||2===$&&o(l,1)?"-webkit-"+l+l:l}if(0===$||2===$&&!o(a,1))return a;switch(s){case 1015:return 97===a.charCodeAt(10)?"-webkit-"+a+a:a;case 951:return 116===a.charCodeAt(3)?"-webkit-"+a+a:a;case 963:return 110===a.charCodeAt(5)?"-webkit-"+a+a:a;case 1009:if(100!==a.charCodeAt(4))break;case 969:case 942:return"-webkit-"+a+a;case 978:return"-webkit-"+a+"-moz-"+a+a;case 1019:case 983:return"-webkit-"+a+"-moz-"+a+"-ms-"+a+a;case 883:if(45===a.charCodeAt(8))return"-webkit-"+a+a;if(0<a.indexOf("image-set(",11))return a.replace(R,"$1-webkit-$2")+a;break;case 932:if(45===a.charCodeAt(4))switch(a.charCodeAt(5)){case 103:return"-webkit-box-"+a.replace("-grow","")+"-webkit-"+a+"-ms-"+a.replace("grow","positive")+a;case 115:return"-webkit-"+a+"-ms-"+a.replace("shrink","negative")+a;case 98:return"-webkit-"+a+"-ms-"+a.replace("basis","preferred-size")+a}return"-webkit-"+a+"-ms-"+a+a;case 964:return"-webkit-"+a+"-ms-flex-"+a+a;case 1023:if(99!==a.charCodeAt(8))break;return"-webkit-box-pack"+(l=a.substring(a.indexOf(":",15)).replace("flex-","").replace("space-between","justify"))+"-webkit-"+a+"-ms-flex-pack"+l+a;case 1005:return d.test(a)?a.replace(f,":-webkit-")+a.replace(f,":-moz-")+a:a;case 1e3:switch(t=(l=a.substring(13).trim()).indexOf("-")+1,l.charCodeAt(0)+l.charCodeAt(t)){case 226:l=a.replace(A,"tb");break;case 232:l=a.replace(A,"tb-rl");break;case 220:l=a.replace(A,"lr");break;default:return a}return"-webkit-"+a+"-ms-"+l+a;case 1017:if(-1===a.indexOf("sticky",9))break;case 975:switch(t=(a=e).length-10,s=(l=(33===a.charCodeAt(t)?a.substring(0,t):a).substring(e.indexOf(":",7)+1).trim()).charCodeAt(0)+(0|l.charCodeAt(7))){case 203:if(111>l.charCodeAt(8))break;case 115:a=a.replace(l,"-webkit-"+l)+";"+a;break;case 207:case 102:a=a.replace(l,"-webkit-"+(102<s?"inline-":"")+"box")+";"+a.replace(l,"-webkit-"+l)+";"+a.replace(l,"-ms-"+l+"box")+";"+a}return a+";";case 938:if(45===a.charCodeAt(5))switch(a.charCodeAt(6)){case 105:return l=a.replace("-items",""),"-webkit-"+a+"-webkit-box-"+l+"-ms-flex-"+l+a;case 115:return"-webkit-"+a+"-ms-flex-item-"+a.replace(x,"")+a;default:return"-webkit-"+a+"-ms-flex-line-pack"+a.replace("align-content","").replace(x,"")+a}break;case 973:case 989:if(45!==a.charCodeAt(3)||122===a.charCodeAt(4))break;case 931:case 953:if(!0===C.test(e))return 115===(l=e.substring(e.indexOf(":")+1)).charCodeAt(0)?i(e.replace("stretch","fill-available"),t,r,n).replace(":fill-available",":stretch"):a.replace(l,"-webkit-"+l)+a.replace(l,"-moz-"+l.replace("fill-",""))+a;break;case 962:if(a="-webkit-"+a+(102===a.charCodeAt(5)?"-ms-"+a:"")+a,211===r+n&&105===a.charCodeAt(13)&&0<a.indexOf("transform",10))return a.substring(0,a.indexOf(";",27)+1).replace(h,"$1-webkit-$2")+a}return a}function o(e,t){var r=e.indexOf(1===t?":":"{"),n=e.substring(0,3!==t?r:10);return r=e.substring(r+1,e.length-1),P(2!==t?n:n.replace(O,"$1"),r,t)}function a(e,t){var r=i(t,t.charCodeAt(0),t.charCodeAt(1),t.charCodeAt(2));return r!==t+";"?r.replace(w," or ($1)").substring(4):"("+t+")"}function s(e,t,r,n,i,o,a,s,l,u){for(var p,f=0,d=t;f<N;++f)switch(p=L[f].call(c,e,d,r,n,i,o,a,s,l,u)){case void 0:case!1:case!0:case null:break;default:d=p}if(d!==t)return d}function l(e){return void 0!==(e=e.prefix)&&(P=null,e?"function"!=typeof e?$=1:($=2,P=e):$=0),l}function c(e,r){var n=e;if(33>n.charCodeAt(0)&&(n=n.trim()),n=[n],0<N){var i=s(-1,r,n,n,T,I,0,0,0,0);void 0!==i&&"string"==typeof i&&(r=i)}var o=t(k,n,r,0,0);return 0<N&&(void 0!==(i=s(-2,o,n,n,T,I,o.length,0,0,0))&&(o=i)),"",S=0,I=T=1,o}var u=/^\0+/g,p=/[\0\r\f]/g,f=/: */g,d=/zoo|gra/,h=/([,: ])(transform)/g,m=/,\r+?/g,v=/([\t\r\n ])*\f?&/g,g=/@(k\w+)\s*(\S*)\s*/,y=/::(place)/g,b=/:(read-only)/g,A=/[svh]\w+-[tblr]{2}/,E=/\(\s*(.*)\s*\)/g,w=/([\s\S]*?);/g,x=/-self|flex-/g,O=/[^]*?(:[rp][el]a[\w-]+)[^]*/,C=/stretch|:\s*\w+\-(?:conte|avail)/,R=/([^-])(image-set\()/,I=1,T=1,S=0,$=1,k=[],L=[],N=0,P=null,D=0;return c.use=function e(t){switch(t){case void 0:case null:N=L.length=0;break;default:if("function"==typeof t)L[N++]=t;else if("object"==typeof t)for(var r=0,n=t.length;r<n;++r)e(t[r]);else D=0|!!t}return e},c.set=l,void 0!==e&&l(e),c};var w="/*|*/";function x(e){e&&O.current.insert(e+"}")}var O={current:null},C=function(e,t,r,n,i,o,a,s,l,c){switch(e){case 1:switch(t.charCodeAt(0)){case 64:return O.current.insert(t+";"),"";case 108:if(98===t.charCodeAt(2))return""}break;case 2:if(0===s)return t+w;break;case 3:switch(s){case 102:case 112:return O.current.insert(r[0]+t),"";default:return t+(0===c?w:"")}case-2:t.split("/*|*/}").forEach(x)}};const R=function(e){void 0===e&&(e={});var t,r=e.key||"css";void 0!==e.prefix&&(t={prefix:e.prefix});var n=new E(t);var i,o={};i=e.container||document.head;var a,s=document.querySelectorAll("style[data-emotion-"+r+"]");Array.prototype.forEach.call(s,(function(e){e.getAttribute("data-emotion-"+r).split(" ").forEach((function(e){o[e]=!0})),e.parentNode!==i&&i.appendChild(e)})),n.use(e.stylisPlugins)(C),a=function(e,t,r,i){var o=t.name;O.current=r,n(e,t.styles),i&&(l.inserted[o]=!0)};var l={key:r,sheet:new A({key:r,container:i,nonce:e.nonce,speedy:e.speedy}),nonce:e.nonce,inserted:o,registered:{},insert:a};return l};var I=function(e,t,r){var n=e.key+"-"+t.name;if(!1===r&&void 0===e.registered[n]&&(e.registered[n]=t.styles),void 0===e.inserted[t.name]){var i=t;do{e.insert("."+n,i,e.sheet,!0);i=i.next}while(void 0!==i)}};const T=function(e){for(var t,r=0,n=0,i=e.length;i>=4;++n,i-=4)t=1540483477*(65535&(t=255&e.charCodeAt(n)|(255&e.charCodeAt(++n))<<8|(255&e.charCodeAt(++n))<<16|(255&e.charCodeAt(++n))<<24))+(59797*(t>>>16)<<16),r=1540483477*(65535&(t^=t>>>24))+(59797*(t>>>16)<<16)^1540483477*(65535&r)+(59797*(r>>>16)<<16);switch(i){case 3:r^=(255&e.charCodeAt(n+2))<<16;case 2:r^=(255&e.charCodeAt(n+1))<<8;case 1:r=1540483477*(65535&(r^=255&e.charCodeAt(n)))+(59797*(r>>>16)<<16)}return(((r=1540483477*(65535&(r^=r>>>13))+(59797*(r>>>16)<<16))^r>>>15)>>>0).toString(36)};const S={animationIterationCount:1,borderImageOutset:1,borderImageSlice:1,borderImageWidth:1,boxFlex:1,boxFlexGroup:1,boxOrdinalGroup:1,columnCount:1,columns:1,flex:1,flexGrow:1,flexPositive:1,flexShrink:1,flexNegative:1,flexOrder:1,gridRow:1,gridRowEnd:1,gridRowSpan:1,gridRowStart:1,gridColumn:1,gridColumnEnd:1,gridColumnSpan:1,gridColumnStart:1,msGridRow:1,msGridRowSpan:1,msGridColumn:1,msGridColumnSpan:1,fontWeight:1,lineHeight:1,opacity:1,order:1,orphans:1,tabSize:1,widows:1,zIndex:1,zoom:1,WebkitLineClamp:1,fillOpacity:1,floodOpacity:1,stopOpacity:1,strokeDasharray:1,strokeDashoffset:1,strokeMiterlimit:1,strokeOpacity:1,strokeWidth:1};var $=/[A-Z]|^ms/g,k=/_EMO_([^_]+?)_([^]*?)_EMO_/g,L=function(e){return 45===e.charCodeAt(1)},N=function(e){return null!=e&&"boolean"!=typeof e},P=function(e){var t={};return function(r){return void 0===t[r]&&(t[r]=e(r)),t[r]}}((function(e){return L(e)?e:e.replace($,"-$&").toLowerCase()})),D=function(e,t){switch(e){case"animation":case"animationName":if("string"==typeof t)return t.replace(k,(function(e,t,r){return M={name:t,styles:r,next:M},t}))}return 1===S[e]||L(e)||"number"!=typeof t||0===t?t:t+"px"};function j(e,t,r,n){if(null==r)return"";if(void 0!==r.__emotion_styles)return r;switch(typeof r){case"boolean":return"";case"object":if(1===r.anim)return M={name:r.name,styles:r.styles,next:M},r.name;if(void 0!==r.styles){var i=r.next;if(void 0!==i)for(;void 0!==i;)M={name:i.name,styles:i.styles,next:M},i=i.next;return r.styles+";"}return function(e,t,r){var n="";if(Array.isArray(r))for(var i=0;i<r.length;i++)n+=j(e,t,r[i],!1);else for(var o in r){var a=r[o];if("object"!=typeof a)null!=t&&void 0!==t[a]?n+=o+"{"+t[a]+"}":N(a)&&(n+=P(o)+":"+D(o,a)+";");else if(!Array.isArray(a)||"string"!=typeof a[0]||null!=t&&void 0!==t[a[0]]){var s=j(e,t,a,!1);switch(o){case"animation":case"animationName":n+=P(o)+":"+s+";";break;default:n+=o+"{"+s+"}"}}else for(var l=0;l<a.length;l++)N(a[l])&&(n+=P(o)+":"+D(o,a[l])+";")}return n}(e,t,r);case"function":if(void 0!==e){var o=M,a=r(e);return M=o,j(e,t,a,n)}}if(null==t)return r;var s=t[r];return void 0===s||n?r:s}var M,B=/label:\s*([^\s;\n{]+)\s*;/g;var F=function(e,t,r){if(1===e.length&&"object"==typeof e[0]&&null!==e[0]&&void 0!==e[0].styles)return e[0];var n=!0,i="";M=void 0;var o=e[0];null==o||void 0===o.raw?(n=!1,i+=j(r,t,o,!1)):i+=o[0];for(var a=1;a<e.length;a++)i+=j(r,t,e[a],46===i.charCodeAt(i.length-1)),n&&(i+=o[a]);B.lastIndex=0;for(var s,l="";null!==(s=B.exec(i));)l+="-"+s[1];return{name:T(i)+l,styles:i,next:M}},G=(u(53),(0,r.createContext)("undefined"!=typeof HTMLElement?R():null)),H=(0,r.createContext)({}),V=(G.Provider,function(e){return(0,r.forwardRef)((function(t,n){return(0,r.createElement)(G.Consumer,null,(function(r){return e(t,r,n)}))}))});Object.prototype.hasOwnProperty;r.Component;var U=function e(t){for(var r=t.length,n=0,i="";n<r;n++){var o=t[n];if(null!=o){var a=void 0;switch(typeof o){case"boolean":break;case"object":if(Array.isArray(o))a=e(o);else for(var s in a="",o)o[s]&&s&&(a&&(a+=" "),a+=s);break;default:a=o}a&&(i&&(i+=" "),i+=a)}}return i};function _(e,t,r){var n=[],i=function(e,t,r){var n="";return r.split(" ").forEach((function(r){void 0!==e[r]?t.push(e[r]):n+=r+" "})),n}(e,n,r);return n.length<2?r:i+t(n)}var X,q,W,z,Y,Z,Q;V((function(e,t){return(0,r.createElement)(H.Consumer,null,(function(r){var n=function(){for(var e=arguments.length,r=new Array(e),n=0;n<e;n++)r[n]=arguments[n];var i=F(r,t.registered);return I(t,i,!1),t.key+"-"+i.name},i={css:n,cx:function(){for(var e=arguments.length,r=new Array(e),i=0;i<e;i++)r[i]=arguments[i];return _(t.registered,n,U(r))},theme:r},o=e.children(i);return!0,o}))}));function J(){return J=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},J.apply(this,arguments)}function K(e,t){return t||(t=e.slice(0)),Object.freeze(Object.defineProperties(e,{raw:{value:Object.freeze(t)}}))}function ee(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var r=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null==r)return;var n,i,o=[],a=!0,s=!1;try{for(r=r.call(e);!(a=(n=r.next()).done)&&(o.push(n.value),!t||o.length!==t);a=!0);}catch(e){s=!0,i=e}finally{try{a||null==r.return||r.return()}finally{if(s)throw i}}return o}(e,t)||re(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function te(e){return function(e){if(Array.isArray(e))return ne(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||re(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function re(e,t){if(e){if("string"==typeof e)return ne(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?ne(e,t):void 0}}function ne(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var ie=function(e){return(e.hour>9?""+e.hour:"0"+e.hour)+":"+(e.minute>9?""+e.minute:"0"+e.minute)},oe=function(e){var t=e.split(":"),r=Number.parseInt(t[0],10),n=Number.parseInt(t[1],10);return{hour:isNaN(r)?0:r,minute:isNaN(n)?0:n}},ae=function(e){var t=e.value,r=e.onChange,o=function(e){return function(n){t[e]=n,r(t)}},a=function(e){return function(){t.splice(e,1),r(t)}};return n().createElement("div",null,(t||[]).map((function(e,t){return n().createElement(se,{key:t,value:e,onChange:o(t),onRemove:a(t)})})),n().createElement(i.Button,{variant:"secondary",onClick:function(){r(t?[].concat(te(t),[{start:{hour:2,minute:0},end:{hour:12,minute:0},color:"rgba(242, 73, 92, 0.5)"}]):[{start:{hour:2,minute:0},end:{hour:12,minute:0},color:"rgba(242, 73, 92, 0.5)"}])}},"Add region"))},se=function(e){var t,o=e.value,a=e.onChange,s=e.onRemove,l=(0,i.useTheme)(),c=ee((0,r.useState)(ie(o.start)),2),u=c[0],p=c[1],f=ee((0,r.useState)(ie(o.end)),2),h=f[0],m=f[1],v=ee((0,r.useState)(!1),2),g=v[0],y=v[1];return n().createElement("div",{className:(0,d.css)(X||(X=K(["\n        padding: ",";\n        background-color: ",";\n        border-radius: ",";\n        margin-bottom: ",";\n      "])),l.spacing.sm,l.colors.bg2,l.border.radius.sm,l.spacing.sm)},n().createElement("div",{className:(0,d.css)(q||(q=K(["\n          display: flex;\n          align-items: center;\n        "])))},n().createElement("span",{onClick:function(){y(!g)},className:(0,d.css)(W||(W=K(["\n            flex-grow: 1;\n            cursor: pointer;\n            margin-right: ",";\n            display: flex;\n            color: ",";\n            &:hover {\n              color: ",";\n            }\n          "])),l.spacing.xs,l.colors.link,l.colors.linkHover)},n().createElement(i.Icon,{name:g?"angle-down":"angle-right",className:(0,d.css)(z||(z=K(["\n              margin-right: ",";\n            "])),l.spacing.xs)}),n().createElement("div",null,"".concat(u,"–").concat(h))),n().createElement("div",{style:{marginRight:l.spacing.sm}},n().createElement(i.ColorPicker,{color:null!==(t=o.color)&&void 0!==t?t:"#ffffff",onChange:function(e){return a(J({},o,{color:e}))}})),n().createElement(i.IconButton,{name:"trash-alt",onClick:function(){s()}})),g?n().createElement("div",{className:(0,d.css)(Y||(Y=K(["\n            margin-top: ",";\n          "])),l.spacing.sm)},n().createElement(i.HorizontalGroup,{spacing:"xs"},n().createElement(i.Field,{label:"From"},n().createElement(i.Input,{placeholder:"hh:mm",value:u,onBlur:function(){var e=oe(u);a(J({},o,{start:e})),p(ie(e))},onChange:function(e){return p(e.currentTarget.value)},className:(0,d.css)(Z||(Z=K(["\n                  max-width: 64px;\n                "])))})),n().createElement(i.Field,{label:"To"},n().createElement(i.Input,{placeholder:"hh:mm",value:h,onBlur:function(){var e=oe(h);a(J({},o,{end:e})),m(ie(e))},onChange:function(e){return m(e.currentTarget.value)},className:(0,d.css)(Q||(Q=K(["\n                  max-width: 64px;\n                "])))})))):null)};function le(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var r=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null==r)return;var n,i,o=[],a=!0,s=!1;try{for(r=r.call(e);!(a=(n=r.next()).done)&&(o.push(n.value),!t||o.length!==t);a=!0);}catch(e){s=!0,i=e}finally{try{a||null==r.return||r.return()}finally{if(s)throw i}}return o}(e,t)||function(e,t){if(!e)return;if("string"==typeof e)return ce(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);"Object"===r&&e.constructor&&(r=e.constructor.name);if("Map"===r||"Set"===r)return Array.from(e);if("Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r))return ce(e,t)}(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function ce(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function ue(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}var pe=function(t,r,n,i,o,a){var s,l,c,u,p,f=Array.from({length:t.values.length},(function(e,n){return{time:t.values.get(n),value:r.values.get(n)}})),d=[(0,e.dateTimeParse)(i.from.valueOf(),{timeZone:n}).startOf("day"),(0,e.dateTimeParse)(i.to.valueOf(),{timeZone:n}).endOf("day")],h=f.filter((function(t){var r=(0,e.dateTimeParse)(t.time,{timeZone:n});return d[0].valueOf()<=r.valueOf()&&r.valueOf()<d[1].valueOf()})).filter((function(t){var r=(0,e.dateTimeParse)(t.time,{timeZone:n}),i=r.hour?r.hour():0;return o[0]<=i&&i<o[1]})),m=r.config.custom,v=(s=h,l=m.groupBy,c=s.map((function(t){var r=(0,e.dateTime)(t.time);return r.subtract(r.minute?r.minute()%l:0,"minutes"),ue({},r.valueOf(),t)})),Object.entries(c.reduce((function(e,t){var r=parseFloat(Object.keys(t)[0]);return(e[r]=e[r]||[]).push(t[r]),e}),{})).map((function(e){var t=le(e,2),r=t[0],n=t[1];return{time:parseFloat(r),values:n}}))),g=function(t){var r=t.map((function(t){return ue({},(0,e.dateTime)(t.time).startOf("day").valueOf(),t)}));return Object.entries(r.reduce((function(e,t){var r=parseFloat(Object.keys(t)[0]);return(e[r]=e[r]||[]).push(t[r]),e}),{})).map((function(e){var t=le(e,2),r=t[0],n=t[1];return{time:parseFloat(r),values:n}}))}((u=v,p=de[m.calculation],u.map((function(e){var t=e.time,r=e.values;return{time:t,value:p(r.map((function(e){return e.value})))}})))).flatMap((function(e){e.time;return e.values.map((function(e){var t=e.time;return{dayMillis:t,bucketStartMillis:t,value:e.value}}))}));return fe(r,g.map((function(e){return e.value})),a,n),{numBuckets:Math.floor(1440/m.groupBy),points:g,valueField:r,timeField:t}},fe=function(r,n,i,o){var a,s,l,c,u=!r.config.min||r.config.min===(null===(a=r.state)||void 0===a||null===(s=a.calcs)||void 0===s?void 0:s.min),p=!r.config.max||r.config.max===(null===(l=r.state)||void 0===l||null===(c=l.calcs)||void 0===c?void 0:c.max);u&&(r.config.min=t.min(n)),p&&(r.config.max=t.max(n)),r.display=(0,e.getDisplayProcessor)({field:r,theme:i,timeZone:o})},de={mean:function(e){return t.mean(e)},sum:function(e){return t.sum(e)},count:function(e){return e.length},min:function(e){return t.min(e)},max:function(e){return t.max(e)},first:function(e){return e[0]},last:function(e){return e[e.length-1]}},he={interpolateSpectral:t.interpolateSpectral,interpolateRdYlGn:t.interpolateRdYlGn,interpolateBlues:t.interpolateBlues,interpolateGreens:t.interpolateGreens,interpolateGreys:t.interpolateGreys,interpolateOranges:t.interpolateOranges,interpolatePurples:t.interpolatePurples,interpolateReds:t.interpolateReds,interpolateBuGn:t.interpolateBuGn,interpolateBuPu:t.interpolateBuPu,interpolateGnBu:t.interpolateGnBu,interpolateOrRd:t.interpolateOrRd,interpolatePuBuGn:t.interpolatePuBuGn,interpolatePuBu:t.interpolatePuBu,interpolatePuRd:t.interpolatePuRd,interpolateRdPu:t.interpolateRdPu,interpolateYlGnBu:t.interpolateYlGnBu,interpolateYlGn:t.interpolateYlGn,interpolateYlOrBr:t.interpolateYlOrBr,interpolateYlOrRd:t.interpolateYlOrRd},me={rgb:t.interpolateRgb,hsl:t.interpolateHsl,hcl:t.interpolateHcl,lab:t.interpolateLab,cubehelix:t.interpolateCubehelix};function ve(e,t){void 0===t&&(t=!1);var r=e.getBoundingClientRect();return{width:r.width/1,height:r.height/1,top:r.top/1,right:r.right/1,bottom:r.bottom/1,left:r.left/1,x:r.left/1,y:r.top/1}}function ge(e){if(null==e)return window;if("[object Window]"!==e.toString()){var t=e.ownerDocument;return t&&t.defaultView||window}return e}function ye(e){var t=ge(e);return{scrollLeft:t.pageXOffset,scrollTop:t.pageYOffset}}function be(e){return e instanceof ge(e).Element||e instanceof Element}function Ae(e){return e instanceof ge(e).HTMLElement||e instanceof HTMLElement}function Ee(e){return"undefined"!=typeof ShadowRoot&&(e instanceof ge(e).ShadowRoot||e instanceof ShadowRoot)}function we(e){return e?(e.nodeName||"").toLowerCase():null}function xe(e){return((be(e)?e.ownerDocument:e.document)||window.document).documentElement}function Oe(e){return ve(xe(e)).left+ye(e).scrollLeft}function Ce(e){return ge(e).getComputedStyle(e)}function Re(e){var t=Ce(e),r=t.overflow,n=t.overflowX,i=t.overflowY;return/auto|scroll|overlay|hidden/.test(r+i+n)}function Ie(e,t,r){void 0===r&&(r=!1);var n,i,o=Ae(t),a=Ae(t)&&function(e){var t=e.getBoundingClientRect(),r=t.width/e.offsetWidth||1,n=t.height/e.offsetHeight||1;return 1!==r||1!==n}(t),s=xe(t),l=ve(e,a),c={scrollLeft:0,scrollTop:0},u={x:0,y:0};return(o||!o&&!r)&&(("body"!==we(t)||Re(s))&&(c=(n=t)!==ge(n)&&Ae(n)?{scrollLeft:(i=n).scrollLeft,scrollTop:i.scrollTop}:ye(n)),Ae(t)?((u=ve(t,!0)).x+=t.clientLeft,u.y+=t.clientTop):s&&(u.x=Oe(s))),{x:l.left+c.scrollLeft-u.x,y:l.top+c.scrollTop-u.y,width:l.width,height:l.height}}function Te(e){var t=ve(e),r=e.offsetWidth,n=e.offsetHeight;return Math.abs(t.width-r)<=1&&(r=t.width),Math.abs(t.height-n)<=1&&(n=t.height),{x:e.offsetLeft,y:e.offsetTop,width:r,height:n}}function Se(e){return"html"===we(e)?e:e.assignedSlot||e.parentNode||(Ee(e)?e.host:null)||xe(e)}function $e(e){return["html","body","#document"].indexOf(we(e))>=0?e.ownerDocument.body:Ae(e)&&Re(e)?e:$e(Se(e))}function ke(e,t){var r;void 0===t&&(t=[]);var n=$e(e),i=n===(null==(r=e.ownerDocument)?void 0:r.body),o=ge(n),a=i?[o].concat(o.visualViewport||[],Re(n)?n:[]):n,s=t.concat(a);return i?s:s.concat(ke(Se(a)))}function Le(e){return["table","td","th"].indexOf(we(e))>=0}function Ne(e){return Ae(e)&&"fixed"!==Ce(e).position?e.offsetParent:null}function Pe(e){for(var t=ge(e),r=Ne(e);r&&Le(r)&&"static"===Ce(r).position;)r=Ne(r);return r&&("html"===we(r)||"body"===we(r)&&"static"===Ce(r).position)?t:r||function(e){var t=-1!==navigator.userAgent.toLowerCase().indexOf("firefox");if(-1!==navigator.userAgent.indexOf("Trident")&&Ae(e)&&"fixed"===Ce(e).position)return null;for(var r=Se(e);Ae(r)&&["html","body"].indexOf(we(r))<0;){var n=Ce(r);if("none"!==n.transform||"none"!==n.perspective||"paint"===n.contain||-1!==["transform","perspective"].indexOf(n.willChange)||t&&"filter"===n.willChange||t&&n.filter&&"none"!==n.filter)return r;r=r.parentNode}return null}(e)||t}var De="top",je="bottom",Me="right",Be="left",Fe="auto",Ge=[De,je,Me,Be],He="start",Ve="end",Ue="viewport",_e="popper",Xe=Ge.reduce((function(e,t){return e.concat([t+"-"+He,t+"-"+Ve])}),[]),qe=[].concat(Ge,[Fe]).reduce((function(e,t){return e.concat([t,t+"-"+He,t+"-"+Ve])}),[]),We=["beforeRead","read","afterRead","beforeMain","main","afterMain","beforeWrite","write","afterWrite"];function ze(e){var t=new Map,r=new Set,n=[];function i(e){r.add(e.name),[].concat(e.requires||[],e.requiresIfExists||[]).forEach((function(e){if(!r.has(e)){var n=t.get(e);n&&i(n)}})),n.push(e)}return e.forEach((function(e){t.set(e.name,e)})),e.forEach((function(e){r.has(e.name)||i(e)})),n}var Ye={placement:"bottom",modifiers:[],strategy:"absolute"};function Ze(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return!t.some((function(e){return!(e&&"function"==typeof e.getBoundingClientRect)}))}function Qe(e){void 0===e&&(e={});var t=e,r=t.defaultModifiers,n=void 0===r?[]:r,i=t.defaultOptions,o=void 0===i?Ye:i;return function(e,t,r){void 0===r&&(r=o);var i,a,s={placement:"bottom",orderedModifiers:[],options:Object.assign({},Ye,o),modifiersData:{},elements:{reference:e,popper:t},attributes:{},styles:{}},l=[],c=!1,u={state:s,setOptions:function(r){var i="function"==typeof r?r(s.options):r;p(),s.options=Object.assign({},o,s.options,i),s.scrollParents={reference:be(e)?ke(e):e.contextElement?ke(e.contextElement):[],popper:ke(t)};var a=function(e){var t=ze(e);return We.reduce((function(e,r){return e.concat(t.filter((function(e){return e.phase===r})))}),[])}(function(e){var t=e.reduce((function(e,t){var r=e[t.name];return e[t.name]=r?Object.assign({},r,t,{options:Object.assign({},r.options,t.options),data:Object.assign({},r.data,t.data)}):t,e}),{});return Object.keys(t).map((function(e){return t[e]}))}([].concat(n,s.options.modifiers)));return s.orderedModifiers=a.filter((function(e){return e.enabled})),s.orderedModifiers.forEach((function(e){var t=e.name,r=e.options,n=void 0===r?{}:r,i=e.effect;if("function"==typeof i){var o=i({state:s,name:t,instance:u,options:n}),a=function(){};l.push(o||a)}})),u.update()},forceUpdate:function(){if(!c){var e=s.elements,t=e.reference,r=e.popper;if(Ze(t,r)){s.rects={reference:Ie(t,Pe(r),"fixed"===s.options.strategy),popper:Te(r)},s.reset=!1,s.placement=s.options.placement,s.orderedModifiers.forEach((function(e){return s.modifiersData[e.name]=Object.assign({},e.data)}));for(var n=0;n<s.orderedModifiers.length;n++)if(!0!==s.reset){var i=s.orderedModifiers[n],o=i.fn,a=i.options,l=void 0===a?{}:a,p=i.name;"function"==typeof o&&(s=o({state:s,options:l,name:p,instance:u})||s)}else s.reset=!1,n=-1}}},update:(i=function(){return new Promise((function(e){u.forceUpdate(),e(s)}))},function(){return a||(a=new Promise((function(e){Promise.resolve().then((function(){a=void 0,e(i())}))}))),a}),destroy:function(){p(),c=!0}};if(!Ze(e,t))return u;function p(){l.forEach((function(e){return e()})),l=[]}return u.setOptions(r).then((function(e){!c&&r.onFirstUpdate&&r.onFirstUpdate(e)})),u}}var Je={passive:!0};const Ke={name:"eventListeners",enabled:!0,phase:"write",fn:function(){},effect:function(e){var t=e.state,r=e.instance,n=e.options,i=n.scroll,o=void 0===i||i,a=n.resize,s=void 0===a||a,l=ge(t.elements.popper),c=[].concat(t.scrollParents.reference,t.scrollParents.popper);return o&&c.forEach((function(e){e.addEventListener("scroll",r.update,Je)})),s&&l.addEventListener("resize",r.update,Je),function(){o&&c.forEach((function(e){e.removeEventListener("scroll",r.update,Je)})),s&&l.removeEventListener("resize",r.update,Je)}},data:{}};function et(e){return e.split("-")[0]}function tt(e){return e.split("-")[1]}function rt(e){return["top","bottom"].indexOf(e)>=0?"x":"y"}function nt(e){var t,r=e.reference,n=e.element,i=e.placement,o=i?et(i):null,a=i?tt(i):null,s=r.x+r.width/2-n.width/2,l=r.y+r.height/2-n.height/2;switch(o){case De:t={x:s,y:r.y-n.height};break;case je:t={x:s,y:r.y+r.height};break;case Me:t={x:r.x+r.width,y:l};break;case Be:t={x:r.x-n.width,y:l};break;default:t={x:r.x,y:r.y}}var c=o?rt(o):null;if(null!=c){var u="y"===c?"height":"width";switch(a){case He:t[c]=t[c]-(r[u]/2-n[u]/2);break;case Ve:t[c]=t[c]+(r[u]/2-n[u]/2)}}return t}const it={name:"popperOffsets",enabled:!0,phase:"read",fn:function(e){var t=e.state,r=e.name;t.modifiersData[r]=nt({reference:t.rects.reference,element:t.rects.popper,strategy:"absolute",placement:t.placement})},data:{}};var ot=Math.max,at=Math.min,st=Math.round,lt={top:"auto",right:"auto",bottom:"auto",left:"auto"};function ct(e){var t,r=e.popper,n=e.popperRect,i=e.placement,o=e.variation,a=e.offsets,s=e.position,l=e.gpuAcceleration,c=e.adaptive,u=e.roundOffsets,p=!0===u?function(e){var t=e.x,r=e.y,n=window.devicePixelRatio||1;return{x:st(st(t*n)/n)||0,y:st(st(r*n)/n)||0}}(a):"function"==typeof u?u(a):a,f=p.x,d=void 0===f?0:f,h=p.y,m=void 0===h?0:h,v=a.hasOwnProperty("x"),g=a.hasOwnProperty("y"),y=Be,b=De,A=window;if(c){var E=Pe(r),w="clientHeight",x="clientWidth";E===ge(r)&&"static"!==Ce(E=xe(r)).position&&"absolute"===s&&(w="scrollHeight",x="scrollWidth"),i!==De&&(i!==Be&&i!==Me||o!==Ve)||(b=je,m-=E[w]-n.height,m*=l?1:-1),i!==Be&&(i!==De&&i!==je||o!==Ve)||(y=Me,d-=E[x]-n.width,d*=l?1:-1)}var O,C=Object.assign({position:s},c&&lt);return l?Object.assign({},C,((O={})[b]=g?"0":"",O[y]=v?"0":"",O.transform=(A.devicePixelRatio||1)<=1?"translate("+d+"px, "+m+"px)":"translate3d("+d+"px, "+m+"px, 0)",O)):Object.assign({},C,((t={})[b]=g?m+"px":"",t[y]=v?d+"px":"",t.transform="",t))}const ut={name:"computeStyles",enabled:!0,phase:"beforeWrite",fn:function(e){var t=e.state,r=e.options,n=r.gpuAcceleration,i=void 0===n||n,o=r.adaptive,a=void 0===o||o,s=r.roundOffsets,l=void 0===s||s,c={placement:et(t.placement),variation:tt(t.placement),popper:t.elements.popper,popperRect:t.rects.popper,gpuAcceleration:i};null!=t.modifiersData.popperOffsets&&(t.styles.popper=Object.assign({},t.styles.popper,ct(Object.assign({},c,{offsets:t.modifiersData.popperOffsets,position:t.options.strategy,adaptive:a,roundOffsets:l})))),null!=t.modifiersData.arrow&&(t.styles.arrow=Object.assign({},t.styles.arrow,ct(Object.assign({},c,{offsets:t.modifiersData.arrow,position:"absolute",adaptive:!1,roundOffsets:l})))),t.attributes.popper=Object.assign({},t.attributes.popper,{"data-popper-placement":t.placement})},data:{}};const pt={name:"applyStyles",enabled:!0,phase:"write",fn:function(e){var t=e.state;Object.keys(t.elements).forEach((function(e){var r=t.styles[e]||{},n=t.attributes[e]||{},i=t.elements[e];Ae(i)&&we(i)&&(Object.assign(i.style,r),Object.keys(n).forEach((function(e){var t=n[e];!1===t?i.removeAttribute(e):i.setAttribute(e,!0===t?"":t)})))}))},effect:function(e){var t=e.state,r={popper:{position:t.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};return Object.assign(t.elements.popper.style,r.popper),t.styles=r,t.elements.arrow&&Object.assign(t.elements.arrow.style,r.arrow),function(){Object.keys(t.elements).forEach((function(e){var n=t.elements[e],i=t.attributes[e]||{},o=Object.keys(t.styles.hasOwnProperty(e)?t.styles[e]:r[e]).reduce((function(e,t){return e[t]="",e}),{});Ae(n)&&we(n)&&(Object.assign(n.style,o),Object.keys(i).forEach((function(e){n.removeAttribute(e)})))}))}},requires:["computeStyles"]};const ft={name:"offset",enabled:!0,phase:"main",requires:["popperOffsets"],fn:function(e){var t=e.state,r=e.options,n=e.name,i=r.offset,o=void 0===i?[0,0]:i,a=qe.reduce((function(e,r){return e[r]=function(e,t,r){var n=et(e),i=[Be,De].indexOf(n)>=0?-1:1,o="function"==typeof r?r(Object.assign({},t,{placement:e})):r,a=o[0],s=o[1];return a=a||0,s=(s||0)*i,[Be,Me].indexOf(n)>=0?{x:s,y:a}:{x:a,y:s}}(r,t.rects,o),e}),{}),s=a[t.placement],l=s.x,c=s.y;null!=t.modifiersData.popperOffsets&&(t.modifiersData.popperOffsets.x+=l,t.modifiersData.popperOffsets.y+=c),t.modifiersData[n]=a}};var dt={left:"right",right:"left",bottom:"top",top:"bottom"};function ht(e){return e.replace(/left|right|bottom|top/g,(function(e){return dt[e]}))}var mt={start:"end",end:"start"};function vt(e){return e.replace(/start|end/g,(function(e){return mt[e]}))}function gt(e,t){var r=t.getRootNode&&t.getRootNode();if(e.contains(t))return!0;if(r&&Ee(r)){var n=t;do{if(n&&e.isSameNode(n))return!0;n=n.parentNode||n.host}while(n)}return!1}function yt(e){return Object.assign({},e,{left:e.x,top:e.y,right:e.x+e.width,bottom:e.y+e.height})}function bt(e,t){return t===Ue?yt(function(e){var t=ge(e),r=xe(e),n=t.visualViewport,i=r.clientWidth,o=r.clientHeight,a=0,s=0;return n&&(i=n.width,o=n.height,/^((?!chrome|android).)*safari/i.test(navigator.userAgent)||(a=n.offsetLeft,s=n.offsetTop)),{width:i,height:o,x:a+Oe(e),y:s}}(e)):Ae(t)?function(e){var t=ve(e);return t.top=t.top+e.clientTop,t.left=t.left+e.clientLeft,t.bottom=t.top+e.clientHeight,t.right=t.left+e.clientWidth,t.width=e.clientWidth,t.height=e.clientHeight,t.x=t.left,t.y=t.top,t}(t):yt(function(e){var t,r=xe(e),n=ye(e),i=null==(t=e.ownerDocument)?void 0:t.body,o=ot(r.scrollWidth,r.clientWidth,i?i.scrollWidth:0,i?i.clientWidth:0),a=ot(r.scrollHeight,r.clientHeight,i?i.scrollHeight:0,i?i.clientHeight:0),s=-n.scrollLeft+Oe(e),l=-n.scrollTop;return"rtl"===Ce(i||r).direction&&(s+=ot(r.clientWidth,i?i.clientWidth:0)-o),{width:o,height:a,x:s,y:l}}(xe(e)))}function At(e,t,r){var n="clippingParents"===t?function(e){var t=ke(Se(e)),r=["absolute","fixed"].indexOf(Ce(e).position)>=0&&Ae(e)?Pe(e):e;return be(r)?t.filter((function(e){return be(e)&&gt(e,r)&&"body"!==we(e)})):[]}(e):[].concat(t),i=[].concat(n,[r]),o=i[0],a=i.reduce((function(t,r){var n=bt(e,r);return t.top=ot(n.top,t.top),t.right=at(n.right,t.right),t.bottom=at(n.bottom,t.bottom),t.left=ot(n.left,t.left),t}),bt(e,o));return a.width=a.right-a.left,a.height=a.bottom-a.top,a.x=a.left,a.y=a.top,a}function Et(e){return Object.assign({},{top:0,right:0,bottom:0,left:0},e)}function wt(e,t){return t.reduce((function(t,r){return t[r]=e,t}),{})}function xt(e,t){void 0===t&&(t={});var r=t,n=r.placement,i=void 0===n?e.placement:n,o=r.boundary,a=void 0===o?"clippingParents":o,s=r.rootBoundary,l=void 0===s?Ue:s,c=r.elementContext,u=void 0===c?_e:c,p=r.altBoundary,f=void 0!==p&&p,d=r.padding,h=void 0===d?0:d,m=Et("number"!=typeof h?h:wt(h,Ge)),v=u===_e?"reference":_e,g=e.rects.popper,y=e.elements[f?v:u],b=At(be(y)?y:y.contextElement||xe(e.elements.popper),a,l),A=ve(e.elements.reference),E=nt({reference:A,element:g,strategy:"absolute",placement:i}),w=yt(Object.assign({},g,E)),x=u===_e?w:A,O={top:b.top-x.top+m.top,bottom:x.bottom-b.bottom+m.bottom,left:b.left-x.left+m.left,right:x.right-b.right+m.right},C=e.modifiersData.offset;if(u===_e&&C){var R=C[i];Object.keys(O).forEach((function(e){var t=[Me,je].indexOf(e)>=0?1:-1,r=[De,je].indexOf(e)>=0?"y":"x";O[e]+=R[r]*t}))}return O}const Ot={name:"flip",enabled:!0,phase:"main",fn:function(e){var t=e.state,r=e.options,n=e.name;if(!t.modifiersData[n]._skip){for(var i=r.mainAxis,o=void 0===i||i,a=r.altAxis,s=void 0===a||a,l=r.fallbackPlacements,c=r.padding,u=r.boundary,p=r.rootBoundary,f=r.altBoundary,d=r.flipVariations,h=void 0===d||d,m=r.allowedAutoPlacements,v=t.options.placement,g=et(v),y=l||(g===v||!h?[ht(v)]:function(e){if(et(e)===Fe)return[];var t=ht(e);return[vt(e),t,vt(t)]}(v)),b=[v].concat(y).reduce((function(e,r){return e.concat(et(r)===Fe?function(e,t){void 0===t&&(t={});var r=t,n=r.placement,i=r.boundary,o=r.rootBoundary,a=r.padding,s=r.flipVariations,l=r.allowedAutoPlacements,c=void 0===l?qe:l,u=tt(n),p=u?s?Xe:Xe.filter((function(e){return tt(e)===u})):Ge,f=p.filter((function(e){return c.indexOf(e)>=0}));0===f.length&&(f=p);var d=f.reduce((function(t,r){return t[r]=xt(e,{placement:r,boundary:i,rootBoundary:o,padding:a})[et(r)],t}),{});return Object.keys(d).sort((function(e,t){return d[e]-d[t]}))}(t,{placement:r,boundary:u,rootBoundary:p,padding:c,flipVariations:h,allowedAutoPlacements:m}):r)}),[]),A=t.rects.reference,E=t.rects.popper,w=new Map,x=!0,O=b[0],C=0;C<b.length;C++){var R=b[C],I=et(R),T=tt(R)===He,S=[De,je].indexOf(I)>=0,$=S?"width":"height",k=xt(t,{placement:R,boundary:u,rootBoundary:p,altBoundary:f,padding:c}),L=S?T?Me:Be:T?je:De;A[$]>E[$]&&(L=ht(L));var N=ht(L),P=[];if(o&&P.push(k[I]<=0),s&&P.push(k[L]<=0,k[N]<=0),P.every((function(e){return e}))){O=R,x=!1;break}w.set(R,P)}if(x)for(var D=function(e){var t=b.find((function(t){var r=w.get(t);if(r)return r.slice(0,e).every((function(e){return e}))}));if(t)return O=t,"break"},j=h?3:1;j>0;j--){if("break"===D(j))break}t.placement!==O&&(t.modifiersData[n]._skip=!0,t.placement=O,t.reset=!0)}},requiresIfExists:["offset"],data:{_skip:!1}};function Ct(e,t,r){return ot(e,at(t,r))}const Rt={name:"preventOverflow",enabled:!0,phase:"main",fn:function(e){var t=e.state,r=e.options,n=e.name,i=r.mainAxis,o=void 0===i||i,a=r.altAxis,s=void 0!==a&&a,l=r.boundary,c=r.rootBoundary,u=r.altBoundary,p=r.padding,f=r.tether,d=void 0===f||f,h=r.tetherOffset,m=void 0===h?0:h,v=xt(t,{boundary:l,rootBoundary:c,padding:p,altBoundary:u}),g=et(t.placement),y=tt(t.placement),b=!y,A=rt(g),E="x"===A?"y":"x",w=t.modifiersData.popperOffsets,x=t.rects.reference,O=t.rects.popper,C="function"==typeof m?m(Object.assign({},t.rects,{placement:t.placement})):m,R={x:0,y:0};if(w){if(o||s){var I="y"===A?De:Be,T="y"===A?je:Me,S="y"===A?"height":"width",$=w[A],k=w[A]+v[I],L=w[A]-v[T],N=d?-O[S]/2:0,P=y===He?x[S]:O[S],D=y===He?-O[S]:-x[S],j=t.elements.arrow,M=d&&j?Te(j):{width:0,height:0},B=t.modifiersData["arrow#persistent"]?t.modifiersData["arrow#persistent"].padding:{top:0,right:0,bottom:0,left:0},F=B[I],G=B[T],H=Ct(0,x[S],M[S]),V=b?x[S]/2-N-H-F-C:P-H-F-C,U=b?-x[S]/2+N+H+G+C:D+H+G+C,_=t.elements.arrow&&Pe(t.elements.arrow),X=_?"y"===A?_.clientTop||0:_.clientLeft||0:0,q=t.modifiersData.offset?t.modifiersData.offset[t.placement][A]:0,W=w[A]+V-q-X,z=w[A]+U-q;if(o){var Y=Ct(d?at(k,W):k,$,d?ot(L,z):L);w[A]=Y,R[A]=Y-$}if(s){var Z="x"===A?De:Be,Q="x"===A?je:Me,J=w[E],K=J+v[Z],ee=J-v[Q],te=Ct(d?at(K,W):K,J,d?ot(ee,z):ee);w[E]=te,R[E]=te-J}}t.modifiersData[n]=R}},requiresIfExists:["offset"]};const It={name:"arrow",enabled:!0,phase:"main",fn:function(e){var t,r=e.state,n=e.name,i=e.options,o=r.elements.arrow,a=r.modifiersData.popperOffsets,s=et(r.placement),l=rt(s),c=[Be,Me].indexOf(s)>=0?"height":"width";if(o&&a){var u=function(e,t){return Et("number"!=typeof(e="function"==typeof e?e(Object.assign({},t.rects,{placement:t.placement})):e)?e:wt(e,Ge))}(i.padding,r),p=Te(o),f="y"===l?De:Be,d="y"===l?je:Me,h=r.rects.reference[c]+r.rects.reference[l]-a[l]-r.rects.popper[c],m=a[l]-r.rects.reference[l],v=Pe(o),g=v?"y"===l?v.clientHeight||0:v.clientWidth||0:0,y=h/2-m/2,b=u[f],A=g-p[c]-u[d],E=g/2-p[c]/2+y,w=Ct(b,E,A),x=l;r.modifiersData[n]=((t={})[x]=w,t.centerOffset=w-E,t)}},effect:function(e){var t=e.state,r=e.options.element,n=void 0===r?"[data-popper-arrow]":r;null!=n&&("string"!=typeof n||(n=t.elements.popper.querySelector(n)))&&gt(t.elements.popper,n)&&(t.elements.arrow=n)},requires:["popperOffsets"],requiresIfExists:["preventOverflow"]};function Tt(e,t,r){return void 0===r&&(r={x:0,y:0}),{top:e.top-t.height-r.y,right:e.right-t.width+r.x,bottom:e.bottom-t.height+r.y,left:e.left-t.width-r.x}}function St(e){return[De,Me,je,Be].some((function(t){return e[t]>=0}))}var $t=Qe({defaultModifiers:[Ke,it,ut,pt,ft,Ot,Rt,It,{name:"hide",enabled:!0,phase:"main",requiresIfExists:["preventOverflow"],fn:function(e){var t=e.state,r=e.name,n=t.rects.reference,i=t.rects.popper,o=t.modifiersData.preventOverflow,a=xt(t,{elementContext:"reference"}),s=xt(t,{altBoundary:!0}),l=Tt(a,n),c=Tt(s,i,o),u=St(l),p=St(c);t.modifiersData[r]={referenceClippingOffsets:l,popperEscapeOffsets:c,isReferenceHidden:u,hasPopperEscaped:p},t.attributes.popper=Object.assign({},t.attributes.popper,{"data-popper-reference-hidden":u,"data-popper-escaped":p})}}]}),kt="tippy-content",Lt="tippy-backdrop",Nt="tippy-arrow",Pt="tippy-svg-arrow",Dt={passive:!0,capture:!0},jt=function(){return document.body};function Mt(e,t,r){if(Array.isArray(e)){var n=e[t];return null==n?Array.isArray(r)?r[t]:r:n}return e}function Bt(e,t){var r={}.toString.call(e);return 0===r.indexOf("[object")&&r.indexOf(t+"]")>-1}function Ft(e,t){return"function"==typeof e?e.apply(void 0,t):e}function Gt(e,t){return 0===t?e:function(n){clearTimeout(r),r=setTimeout((function(){e(n)}),t)};var r}function Ht(e){return[].concat(e)}function Vt(e,t){-1===e.indexOf(t)&&e.push(t)}function Ut(e){return e.split("-")[0]}function _t(e){return[].slice.call(e)}function Xt(e){return Object.keys(e).reduce((function(t,r){return void 0!==e[r]&&(t[r]=e[r]),t}),{})}function qt(){return document.createElement("div")}function Wt(e){return["Element","Fragment"].some((function(t){return Bt(e,t)}))}function zt(e){return Bt(e,"MouseEvent")}function Yt(e){return!(!e||!e._tippy||e._tippy.reference!==e)}function Zt(e){return Wt(e)?[e]:function(e){return Bt(e,"NodeList")}(e)?_t(e):Array.isArray(e)?e:_t(document.querySelectorAll(e))}function Qt(e,t){e.forEach((function(e){e&&(e.style.transitionDuration=t+"ms")}))}function Jt(e,t){e.forEach((function(e){e&&e.setAttribute("data-state",t)}))}function Kt(e){var t,r=Ht(e)[0];return null!=r&&null!=(t=r.ownerDocument)&&t.body?r.ownerDocument:document}function er(e,t,r){var n=t+"EventListener";["transitionend","webkitTransitionEnd"].forEach((function(t){e[n](t,r)}))}function tr(e,t){for(var r=t;r;){var n;if(e.contains(r))return!0;r=null==r.getRootNode||null==(n=r.getRootNode())?void 0:n.host}return!1}var rr={isTouch:!1},nr=0;function ir(){rr.isTouch||(rr.isTouch=!0,window.performance&&document.addEventListener("mousemove",or))}function or(){var e=performance.now();e-nr<20&&(rr.isTouch=!1,document.removeEventListener("mousemove",or)),nr=e}function ar(){var e=document.activeElement;if(Yt(e)){var t=e._tippy;e.blur&&!t.state.isVisible&&e.blur()}}var sr=!!("undefined"!=typeof window&&"undefined"!=typeof document)&&!!window.msCrypto;var lr={animateFill:!1,followCursor:!1,inlinePositioning:!1,sticky:!1},cr=Object.assign({appendTo:jt,aria:{content:"auto",expanded:"auto"},delay:0,duration:[300,250],getReferenceClientRect:null,hideOnClick:!0,ignoreAttributes:!1,interactive:!1,interactiveBorder:2,interactiveDebounce:0,moveTransition:"",offset:[0,10],onAfterUpdate:function(){},onBeforeUpdate:function(){},onCreate:function(){},onDestroy:function(){},onHidden:function(){},onHide:function(){},onMount:function(){},onShow:function(){},onShown:function(){},onTrigger:function(){},onUntrigger:function(){},onClickOutside:function(){},placement:"top",plugins:[],popperOptions:{},render:null,showOnCreate:!1,touch:!0,trigger:"mouseenter focus",triggerTarget:null},lr,{allowHTML:!1,animation:"fade",arrow:!0,content:"",inertia:!1,maxWidth:350,role:"tooltip",theme:"",zIndex:9999}),ur=Object.keys(cr);function pr(e){var t=(e.plugins||[]).reduce((function(t,r){var n,i=r.name,o=r.defaultValue;i&&(t[i]=void 0!==e[i]?e[i]:null!=(n=cr[i])?n:o);return t}),{});return Object.assign({},e,t)}function fr(e,t){var r=Object.assign({},t,{content:Ft(t.content,[e])},t.ignoreAttributes?{}:function(e,t){return(t?Object.keys(pr(Object.assign({},cr,{plugins:t}))):ur).reduce((function(t,r){var n=(e.getAttribute("data-tippy-"+r)||"").trim();if(!n)return t;if("content"===r)t[r]=n;else try{t[r]=JSON.parse(n)}catch(e){t[r]=n}return t}),{})}(e,t.plugins));return r.aria=Object.assign({},cr.aria,r.aria),r.aria={expanded:"auto"===r.aria.expanded?t.interactive:r.aria.expanded,content:"auto"===r.aria.content?t.interactive?null:"describedby":r.aria.content},r}function dr(e,t){e.innerHTML=t}function hr(e){var t=qt();return!0===e?t.className=Nt:(t.className=Pt,Wt(e)?t.appendChild(e):dr(t,e)),t}function mr(e,t){Wt(t.content)?(dr(e,""),e.appendChild(t.content)):"function"!=typeof t.content&&(t.allowHTML?dr(e,t.content):e.textContent=t.content)}function vr(e){var t=e.firstElementChild,r=_t(t.children);return{box:t,content:r.find((function(e){return e.classList.contains(kt)})),arrow:r.find((function(e){return e.classList.contains(Nt)||e.classList.contains(Pt)})),backdrop:r.find((function(e){return e.classList.contains(Lt)}))}}function gr(e){var t=qt(),r=qt();r.className="tippy-box",r.setAttribute("data-state","hidden"),r.setAttribute("tabindex","-1");var n=qt();function i(r,n){var i=vr(t),o=i.box,a=i.content,s=i.arrow;n.theme?o.setAttribute("data-theme",n.theme):o.removeAttribute("data-theme"),"string"==typeof n.animation?o.setAttribute("data-animation",n.animation):o.removeAttribute("data-animation"),n.inertia?o.setAttribute("data-inertia",""):o.removeAttribute("data-inertia"),o.style.maxWidth="number"==typeof n.maxWidth?n.maxWidth+"px":n.maxWidth,n.role?o.setAttribute("role",n.role):o.removeAttribute("role"),r.content===n.content&&r.allowHTML===n.allowHTML||mr(a,e.props),n.arrow?s?r.arrow!==n.arrow&&(o.removeChild(s),o.appendChild(hr(n.arrow))):o.appendChild(hr(n.arrow)):s&&o.removeChild(s)}return n.className=kt,n.setAttribute("data-state","hidden"),mr(n,e.props),t.appendChild(r),r.appendChild(n),i(e.props,e.props),{popper:t,onUpdate:i}}gr.$$tippy=!0;var yr=1,br=[],Ar=[];function Er(e,t){var r,n,i,o,a,s,l,c,u=fr(e,Object.assign({},cr,pr(Xt(t)))),p=!1,f=!1,d=!1,h=!1,m=[],v=Gt(W,u.interactiveDebounce),g=yr++,y=(c=u.plugins).filter((function(e,t){return c.indexOf(e)===t})),b={id:g,reference:e,popper:qt(),popperInstance:null,props:u,state:{isEnabled:!0,isVisible:!1,isDestroyed:!1,isMounted:!1,isShown:!1},plugins:y,clearDelayTimeouts:function(){clearTimeout(r),clearTimeout(n),cancelAnimationFrame(i)},setProps:function(t){0;if(b.state.isDestroyed)return;N("onBeforeUpdate",[b,t]),X();var r=b.props,n=fr(e,Object.assign({},r,Xt(t),{ignoreAttributes:!0}));b.props=n,_(),r.interactiveDebounce!==n.interactiveDebounce&&(j(),v=Gt(W,n.interactiveDebounce));r.triggerTarget&&!n.triggerTarget?Ht(r.triggerTarget).forEach((function(e){e.removeAttribute("aria-expanded")})):n.triggerTarget&&e.removeAttribute("aria-expanded");D(),L(),w&&w(r,n);b.popperInstance&&(Q(),K().forEach((function(e){requestAnimationFrame(e._tippy.popperInstance.forceUpdate)})));N("onAfterUpdate",[b,t])},setContent:function(e){b.setProps({content:e})},show:function(){0;var e=b.state.isVisible,t=b.state.isDestroyed,r=!b.state.isEnabled,n=rr.isTouch&&!b.props.touch,i=Mt(b.props.duration,0,cr.duration);if(e||t||r||n)return;if(T().hasAttribute("disabled"))return;if(N("onShow",[b],!1),!1===b.props.onShow(b))return;b.state.isVisible=!0,I()&&(E.style.visibility="visible");L(),G(),b.state.isMounted||(E.style.transition="none");if(I()){var o=$(),a=o.box,l=o.content;Qt([a,l],0)}s=function(){var e;if(b.state.isVisible&&!h){if(h=!0,E.offsetHeight,E.style.transition=b.props.moveTransition,I()&&b.props.animation){var t=$(),r=t.box,n=t.content;Qt([r,n],i),Jt([r,n],"visible")}P(),D(),Vt(Ar,b),null==(e=b.popperInstance)||e.forceUpdate(),N("onMount",[b]),b.props.animation&&I()&&function(e,t){V(e,t)}(i,(function(){b.state.isShown=!0,N("onShown",[b])}))}},function(){var e,t=b.props.appendTo,r=T();e=b.props.interactive&&t===jt||"parent"===t?r.parentNode:Ft(t,[r]);e.contains(E)||e.appendChild(E);b.state.isMounted=!0,Q(),!1}()},hide:function(){0;var e=!b.state.isVisible,t=b.state.isDestroyed,r=!b.state.isEnabled,n=Mt(b.props.duration,1,cr.duration);if(e||t||r)return;if(N("onHide",[b],!1),!1===b.props.onHide(b))return;b.state.isVisible=!1,b.state.isShown=!1,h=!1,p=!1,I()&&(E.style.visibility="hidden");if(j(),H(),L(!0),I()){var i=$(),o=i.box,a=i.content;b.props.animation&&(Qt([o,a],n),Jt([o,a],"hidden"))}P(),D(),b.props.animation?I()&&function(e,t){V(e,(function(){!b.state.isVisible&&E.parentNode&&E.parentNode.contains(E)&&t()}))}(n,b.unmount):b.unmount()},hideWithInteractivity:function(e){0;S().addEventListener("mousemove",v),Vt(br,v),v(e)},enable:function(){b.state.isEnabled=!0},disable:function(){b.hide(),b.state.isEnabled=!1},unmount:function(){0;b.state.isVisible&&b.hide();if(!b.state.isMounted)return;J(),K().forEach((function(e){e._tippy.unmount()})),E.parentNode&&E.parentNode.removeChild(E);Ar=Ar.filter((function(e){return e!==b})),b.state.isMounted=!1,N("onHidden",[b])},destroy:function(){0;if(b.state.isDestroyed)return;b.clearDelayTimeouts(),b.unmount(),X(),delete e._tippy,b.state.isDestroyed=!0,N("onDestroy",[b])}};if(!u.render)return b;var A=u.render(b),E=A.popper,w=A.onUpdate;E.setAttribute("data-tippy-root",""),E.id="tippy-"+b.id,b.popper=E,e._tippy=b,E._tippy=b;var x=y.map((function(e){return e.fn(b)})),O=e.hasAttribute("aria-expanded");return _(),D(),L(),N("onCreate",[b]),u.showOnCreate&&ee(),E.addEventListener("mouseenter",(function(){b.props.interactive&&b.state.isVisible&&b.clearDelayTimeouts()})),E.addEventListener("mouseleave",(function(){b.props.interactive&&b.props.trigger.indexOf("mouseenter")>=0&&S().addEventListener("mousemove",v)})),b;function C(){var e=b.props.touch;return Array.isArray(e)?e:[e,0]}function R(){return"hold"===C()[0]}function I(){var e;return!(null==(e=b.props.render)||!e.$$tippy)}function T(){return l||e}function S(){var e=T().parentNode;return e?Kt(e):document}function $(){return vr(E)}function k(e){return b.state.isMounted&&!b.state.isVisible||rr.isTouch||o&&"focus"===o.type?0:Mt(b.props.delay,e?0:1,cr.delay)}function L(e){void 0===e&&(e=!1),E.style.pointerEvents=b.props.interactive&&!e?"":"none",E.style.zIndex=""+b.props.zIndex}function N(e,t,r){var n;(void 0===r&&(r=!0),x.forEach((function(r){r[e]&&r[e].apply(r,t)})),r)&&(n=b.props)[e].apply(n,t)}function P(){var t=b.props.aria;if(t.content){var r="aria-"+t.content,n=E.id;Ht(b.props.triggerTarget||e).forEach((function(e){var t=e.getAttribute(r);if(b.state.isVisible)e.setAttribute(r,t?t+" "+n:n);else{var i=t&&t.replace(n,"").trim();i?e.setAttribute(r,i):e.removeAttribute(r)}}))}}function D(){!O&&b.props.aria.expanded&&Ht(b.props.triggerTarget||e).forEach((function(e){b.props.interactive?e.setAttribute("aria-expanded",b.state.isVisible&&e===T()?"true":"false"):e.removeAttribute("aria-expanded")}))}function j(){S().removeEventListener("mousemove",v),br=br.filter((function(e){return e!==v}))}function M(t){if(!rr.isTouch||!d&&"mousedown"!==t.type){var r=t.composedPath&&t.composedPath()[0]||t.target;if(!b.props.interactive||!tr(E,r)){if(Ht(b.props.triggerTarget||e).some((function(e){return tr(e,r)}))){if(rr.isTouch)return;if(b.state.isVisible&&b.props.trigger.indexOf("click")>=0)return}else N("onClickOutside",[b,t]);!0===b.props.hideOnClick&&(b.clearDelayTimeouts(),b.hide(),f=!0,setTimeout((function(){f=!1})),b.state.isMounted||H())}}}function B(){d=!0}function F(){d=!1}function G(){var e=S();e.addEventListener("mousedown",M,!0),e.addEventListener("touchend",M,Dt),e.addEventListener("touchstart",F,Dt),e.addEventListener("touchmove",B,Dt)}function H(){var e=S();e.removeEventListener("mousedown",M,!0),e.removeEventListener("touchend",M,Dt),e.removeEventListener("touchstart",F,Dt),e.removeEventListener("touchmove",B,Dt)}function V(e,t){var r=$().box;function n(e){e.target===r&&(er(r,"remove",n),t())}if(0===e)return t();er(r,"remove",a),er(r,"add",n),a=n}function U(t,r,n){void 0===n&&(n=!1),Ht(b.props.triggerTarget||e).forEach((function(e){e.addEventListener(t,r,n),m.push({node:e,eventType:t,handler:r,options:n})}))}function _(){var e;R()&&(U("touchstart",q,{passive:!0}),U("touchend",z,{passive:!0})),(e=b.props.trigger,e.split(/\s+/).filter(Boolean)).forEach((function(e){if("manual"!==e)switch(U(e,q),e){case"mouseenter":U("mouseleave",z);break;case"focus":U(sr?"focusout":"blur",Y);break;case"focusin":U("focusout",Y)}}))}function X(){m.forEach((function(e){var t=e.node,r=e.eventType,n=e.handler,i=e.options;t.removeEventListener(r,n,i)})),m=[]}function q(e){var t,r=!1;if(b.state.isEnabled&&!Z(e)&&!f){var n="focus"===(null==(t=o)?void 0:t.type);o=e,l=e.currentTarget,D(),!b.state.isVisible&&zt(e)&&br.forEach((function(t){return t(e)})),"click"===e.type&&(b.props.trigger.indexOf("mouseenter")<0||p)&&!1!==b.props.hideOnClick&&b.state.isVisible?r=!0:ee(e),"click"===e.type&&(p=!r),r&&!n&&te(e)}}function W(e){var t=e.target,r=T().contains(t)||E.contains(t);if("mousemove"!==e.type||!r){var n=K().concat(E).map((function(e){var t,r=null==(t=e._tippy.popperInstance)?void 0:t.state;return r?{popperRect:e.getBoundingClientRect(),popperState:r,props:u}:null})).filter(Boolean);(function(e,t){var r=t.clientX,n=t.clientY;return e.every((function(e){var t=e.popperRect,i=e.popperState,o=e.props.interactiveBorder,a=Ut(i.placement),s=i.modifiersData.offset;if(!s)return!0;var l="bottom"===a?s.top.y:0,c="top"===a?s.bottom.y:0,u="right"===a?s.left.x:0,p="left"===a?s.right.x:0,f=t.top-n+l>o,d=n-t.bottom-c>o,h=t.left-r+u>o,m=r-t.right-p>o;return f||d||h||m}))})(n,e)&&(j(),te(e))}}function z(e){Z(e)||b.props.trigger.indexOf("click")>=0&&p||(b.props.interactive?b.hideWithInteractivity(e):te(e))}function Y(e){b.props.trigger.indexOf("focusin")<0&&e.target!==T()||b.props.interactive&&e.relatedTarget&&E.contains(e.relatedTarget)||te(e)}function Z(e){return!!rr.isTouch&&R()!==e.type.indexOf("touch")>=0}function Q(){J();var t=b.props,r=t.popperOptions,n=t.placement,i=t.offset,o=t.getReferenceClientRect,a=t.moveTransition,l=I()?vr(E).arrow:null,c=o?{getBoundingClientRect:o,contextElement:o.contextElement||T()}:e,u={name:"$$tippy",enabled:!0,phase:"beforeWrite",requires:["computeStyles"],fn:function(e){var t=e.state;if(I()){var r=$().box;["placement","reference-hidden","escaped"].forEach((function(e){"placement"===e?r.setAttribute("data-placement",t.placement):t.attributes.popper["data-popper-"+e]?r.setAttribute("data-"+e,""):r.removeAttribute("data-"+e)})),t.attributes.popper={}}}},p=[{name:"offset",options:{offset:i}},{name:"preventOverflow",options:{padding:{top:2,bottom:2,left:5,right:5}}},{name:"flip",options:{padding:5}},{name:"computeStyles",options:{adaptive:!a}},u];I()&&l&&p.push({name:"arrow",options:{element:l,padding:3}}),p.push.apply(p,(null==r?void 0:r.modifiers)||[]),b.popperInstance=$t(c,E,Object.assign({},r,{placement:n,onFirstUpdate:s,modifiers:p}))}function J(){b.popperInstance&&(b.popperInstance.destroy(),b.popperInstance=null)}function K(){return _t(E.querySelectorAll("[data-tippy-root]"))}function ee(e){b.clearDelayTimeouts(),e&&N("onTrigger",[b,e]),G();var t=k(!0),n=C(),i=n[0],o=n[1];rr.isTouch&&"hold"===i&&o&&(t=o),t?r=setTimeout((function(){b.show()}),t):b.show()}function te(e){if(b.clearDelayTimeouts(),N("onUntrigger",[b,e]),b.state.isVisible){if(!(b.props.trigger.indexOf("mouseenter")>=0&&b.props.trigger.indexOf("click")>=0&&["mouseleave","mousemove"].indexOf(e.type)>=0&&p)){var t=k(!1);t?n=setTimeout((function(){b.state.isVisible&&b.hide()}),t):i=requestAnimationFrame((function(){b.hide()}))}}else H()}}function wr(e,t){void 0===t&&(t={});var r=cr.plugins.concat(t.plugins||[]);document.addEventListener("touchstart",ir,Dt),window.addEventListener("blur",ar);var n=Object.assign({},t,{plugins:r}),i=Zt(e).reduce((function(e,t){var r=t&&Er(t,n);return r&&e.push(r),e}),[]);return Wt(e)?i[0]:i}wr.defaultProps=cr,wr.setDefaultProps=function(e){Object.keys(e).forEach((function(t){cr[t]=e[t]}))},wr.currentInput=rr;Object.assign({},pt,{effect:function(e){var t=e.state,r={popper:{position:t.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};Object.assign(t.elements.popper.style,r.popper),t.styles=r,t.elements.arrow&&Object.assign(t.elements.arrow.style,r.arrow)}});wr.setDefaultProps({render:gr});const xr=wr;var Or=u(64);function Cr(e,t){if(null==e)return{};var r,n,i={},o=Object.keys(e);for(n=0;n<o.length;n++)r=o[n],t.indexOf(r)>=0||(i[r]=e[r]);return i}var Rr="undefined"!=typeof window&&"undefined"!=typeof document;function Ir(e,t){e&&("function"==typeof e&&e(t),{}.hasOwnProperty.call(e,"current")&&(e.current=t))}function Tr(){return Rr&&document.createElement("div")}function Sr(e,t){if(e===t)return!0;if("object"==typeof e&&null!=e&&"object"==typeof t&&null!=t){if(Object.keys(e).length!==Object.keys(t).length)return!1;for(var r in e){if(!t.hasOwnProperty(r))return!1;if(!Sr(e[r],t[r]))return!1}return!0}return!1}function $r(e){var t=[];return e.forEach((function(e){t.find((function(t){return Sr(e,t)}))||t.push(e)})),t}function kr(e,t){var r,n;return Object.assign({},t,{popperOptions:Object.assign({},e.popperOptions,t.popperOptions,{modifiers:$r([].concat((null==(r=e.popperOptions)?void 0:r.modifiers)||[],(null==(n=t.popperOptions)?void 0:n.modifiers)||[]))})})}var Lr=Rr?r.useLayoutEffect:r.useEffect;function Nr(e){var t=(0,r.useRef)();return t.current||(t.current="function"==typeof e?e():e),t.current}function Pr(e,t,r){r.split(/\s+/).forEach((function(r){r&&e.classList[t](r)}))}var Dr={name:"className",defaultValue:"",fn:function(e){var t=e.popper.firstElementChild,r=function(){var t;return!!(null==(t=e.props.render)?void 0:t.$$tippy)};function n(){e.props.className&&!r()||Pr(t,"add",e.props.className)}return{onCreate:n,onBeforeUpdate:function(){r()&&Pr(t,"remove",e.props.className)},onAfterUpdate:n}}};function jr(e){return function(t){var i=t.children,o=t.content,a=t.visible,s=t.singleton,l=t.render,c=t.reference,u=t.disabled,p=void 0!==u&&u,f=t.ignoreAttributes,d=void 0===f||f,h=(t.__source,t.__self,Cr(t,["children","content","visible","singleton","render","reference","disabled","ignoreAttributes","__source","__self"])),m=void 0!==a,v=void 0!==s,g=(0,r.useState)(!1),y=g[0],b=g[1],A=(0,r.useState)({}),E=A[0],w=A[1],x=(0,r.useState)(),O=x[0],C=x[1],R=Nr((function(){return{container:Tr(),renders:1}})),I=Object.assign({ignoreAttributes:d},h,{content:R.container});m&&(I.trigger="manual",I.hideOnClick=!1),v&&(p=!0);var T=I,S=I.plugins||[];l&&(T=Object.assign({},I,{plugins:v&&null!=s.data?[].concat(S,[{fn:function(){return{onTrigger:function(e,t){var r=s.data.children.find((function(e){return e.instance.reference===t.currentTarget}));e.state.$$activeSingletonInstance=r.instance,C(r.content)}}}}]):S,render:function(){return{popper:R.container}}}));var $=[c].concat(i?[i.type]:[]);return Lr((function(){var t=c;c&&c.hasOwnProperty("current")&&(t=c.current);var r=e(t||R.ref||Tr(),Object.assign({},T,{plugins:[Dr].concat(I.plugins||[])}));return R.instance=r,p&&r.disable(),a&&r.show(),v&&s.hook({instance:r,content:o,props:T,setSingletonContent:C}),b(!0),function(){r.destroy(),null==s||s.cleanup(r)}}),$),Lr((function(){var e;if(1!==R.renders){var t=R.instance;t.setProps(kr(t.props,T)),null==(e=t.popperInstance)||e.forceUpdate(),p?t.disable():t.enable(),m&&(a?t.show():t.hide()),v&&s.hook({instance:t,content:o,props:T,setSingletonContent:C})}else R.renders++})),Lr((function(){var e;if(l){var t=R.instance;t.setProps({popperOptions:Object.assign({},t.props.popperOptions,{modifiers:[].concat(((null==(e=t.props.popperOptions)?void 0:e.modifiers)||[]).filter((function(e){return"$$tippyReact"!==e.name})),[{name:"$$tippyReact",enabled:!0,phase:"beforeWrite",requires:["computeStyles"],fn:function(e){var t,r=e.state,n=null==(t=r.modifiersData)?void 0:t.hide;E.placement===r.placement&&E.referenceHidden===(null==n?void 0:n.isReferenceHidden)&&E.escaped===(null==n?void 0:n.hasPopperEscaped)||w({placement:r.placement,referenceHidden:null==n?void 0:n.isReferenceHidden,escaped:null==n?void 0:n.hasPopperEscaped}),r.attributes.popper={}}}])})})}}),[E.placement,E.referenceHidden,E.escaped].concat($)),n().createElement(n().Fragment,null,i?(0,r.cloneElement)(i,{ref:function(e){R.ref=e,Ir(i.ref,e)}}):null,y&&(0,Or.createPortal)(l?l(function(e){var t={"data-placement":e.placement};return e.referenceHidden&&(t["data-reference-hidden"]=""),e.escaped&&(t["data-escaped"]=""),t}(E),O,R.instance):o,R.container))}}var Mr=function(e,t){return(0,r.forwardRef)((function(i,o){var a=i.children,s=Cr(i,["children"]);return n().createElement(e,Object.assign({},t,s),a?(0,r.cloneElement)(a,{ref:function(e){Ir(o,e),Ir(a.ref,e)}}):null)}))};const Br=Mr(jr(xr));var Fr=u(54),Gr=u.n(Fr),Hr=u(55),Vr=u.n(Hr),Ur=u(56),_r=u.n(Ur),Xr=u(57),qr=u.n(Xr),Wr=u(58),zr=u.n(Wr),Yr=u(59),Zr=u.n(Yr),Qr=u(60),Jr={};Jr.styleTagTransform=Zr(),Jr.setAttributes=qr(),Jr.insert=_r().bind(null,"head"),Jr.domAPI=Vr(),Jr.insertStyleElement=zr();Gr()(Qr.Z,Jr);Qr.Z&&Qr.Z.locals&&Qr.Z.locals;var Kr=function(e){var t=e.bucketStartTime,r=e.displayValue,i=e.numBuckets,o=e.tz,a={year:"numeric",month:"long",day:"numeric",timeZone:"browser"===o?void 0:o},s={hour:"2-digit",minute:"2-digit",timeZone:"browser"===o?void 0:o,timeZoneName:"short"},l=t.toDate().toLocaleDateString(void 0,a),c=t.toDate().toLocaleTimeString(void 0,s),u=t.add(1440/i,"minute").toDate().toLocaleTimeString(void 0,s);return n().createElement("div",null,n().createElement("div",null,l),n().createElement("div",null,c,"–",u,":"," ",n().createElement("strong",null,r.text,r.suffix?r.suffix:null)))},en=function(r){var o=r.values,a=r.data,s=r.colorDisplay,l=r.width,c=r.height,u=r.numBuckets,p=r.timeZone,f=r.dailyIntervalMinutes,d=r.regions,h=r.onHover,m=r.cellBorder,v=r.tooltip,g=(0,i.useTheme)(),y=t.scaleBand().domain(o).range([0,l]),b=t.scaleLinear().domain(f).range([0,c]),A=Math.ceil(y.bandwidth()),E=tn(c,u,f),w=f[1]-f[0],x=c/w;return n().createElement(n().Fragment,null,n().createElement("g",null,a.points.map((function(t,r){var i,o=(0,e.dateTimeParse)(t.dayMillis,{timeZone:p}).startOf("day"),l=(0,e.dateTimeParse)(t.bucketStartMillis,{timeZone:p}),c=60*l.hour()+l.minute(),f=a.valueField.display(t.value),d=n().createElement("rect",{x:y(o.valueOf().toString()),y:Math.ceil(null!==(i=b(c))&&void 0!==i?i:0),fill:s(t.value),width:A,height:E,onMouseLeave:function(){return h(void 0)},onMouseEnter:function(){return h(t.value)},stroke:m?g.colors.panelBg:void 0});return v?n().createElement(Br,{key:r,content:n().createElement("div",null,n().createElement(Kr,{bucketStartTime:l,displayValue:f,numBuckets:u,tz:p})),placement:"bottom",animation:!1},d):d}))),n().createElement("g",null,d.filter((function(e){var t,r=Math.ceil(null!==(t=b(60*e.start.hour+e.start.minute))&&void 0!==t?t:0);return 0<=r&&r<c})).map((function(e,t){var r,i=60*e.end.hour+e.end.minute-(60*e.start.hour+e.start.minute),o=Math.ceil(null!==(r=b(60*e.start.hour+e.start.minute))&&void 0!==r?r:0),a=Math.ceil(i*x);return n().createElement("rect",{key:t,x:0,y:o,width:l,height:o+a>=c?c-o:a,stroke:e.color,fill:e.color,pointerEvents:"none",strokeWidth:2})}))))},tn=function(e,t,r){var n=1440/t,i=e/((r[1]-r[0])/n);return Math.ceil(i)},rn={month:"2-digit",day:"2-digit"},nn=(0,e.dateTimeParse)(0).toDate().toLocaleDateString(void 0,rn),on=n().memo((function(r){var i=r.width,o=r.values,a=r.from,s=r.to,l=r.numDays,c=r.timeZone,u=t.scaleBand().domain(o).rangeRound([0,i]),p=t.scaleTime().domain([a.toDate(),s.toDate()]).range([0,i]),f=an(i,l,nn),d=t.axisBottom(p).ticks(t.timeDay,f).tickFormat((function(t){return(0,e.dateTimeParse)(t,{timeZone:c}).toDate().toLocaleDateString(void 0,rn)})),h=t.axisBottom(u).tickFormat((function(t){return(0,e.dateTimeParse)(parseInt(t,10),{timeZone:c}).toDate().toLocaleDateString(void 0,rn)})),m=f>1?d:h;return n().createElement("g",{ref:function(e){var r=t.select(e).call(m);r.select(".domain").remove(),r.selectAll("line").remove()}})})),an=function(e,t,r){var n=sn(r);return Math.max(Math.ceil(t/(e/n)),1)},sn=function(e){var t=document.createElement("canvas").getContext("2d");return t?(t.font="14px Arial",t.measureText(e).width):0};on.displayName="XAxis";var ln=n().memo((function(r){var i=r.height,o=r.dailyInterval,a=t.scaleLinear().domain(o).rangeRound([0,i]),s=cn(i),l=t.axisLeft(a).tickValues(t.range(o[0],o[1],s)).tickFormat((function(t){return un((0,e.toDuration)(t,"hours"),"HH:mm")}));return n().createElement("g",{ref:function(e){var r=t.select(e).call(l);r.select(".domain").remove(),r.selectAll("line").remove()}})}));ln.displayName="YAxis";var cn=function(e){var t=20/e*24;return Math.max(Math.round(t),1)},un=function(t,r){return(0,e.dateTime)().startOf("day").add(t.hours(),"hours").format(r)},pn=function(t){for(var r=t.data,i=t.width,o=t.height,a=t.colorDisplay,s=t.timeZone,l=t.timeRange,c=t.dailyInterval,u=t.regions,p=t.onHover,f=t.cellBorder,d=t.tooltip,h=5,m=35,v=i-m,g=o-(h+20),y=(0,e.dateTimeParse)(l.from.valueOf(),{timeZone:s}).startOf("day"),b=(0,e.dateTimeParse)(l.to.valueOf(),{timeZone:s}).endOf("day"),A=b.diff(y,"days")+1,E=[],w=0;w<A;w++){var x=(0,e.dateTime)(y).add(w,"day");E.push(x.valueOf().toString())}var O=[60*c[0],60*c[1]];return n().createElement("g",{transform:"translate(".concat(m,", ").concat(h,")")},n().createElement("g",{transform:"translate(0, ".concat(g,")")},n().createElement(on,{values:E,from:y,to:b,width:v,numDays:A,timeZone:s})),n().createElement(ln,{height:g,dailyInterval:c}),n().createElement(en,{data:r,numBuckets:r.numBuckets,values:E,width:v,height:g,colorDisplay:a,timeZone:s,dailyIntervalMinutes:O,regions:u,onHover:p,cellBorder:f,tooltip:d}))},fn=n().memo((function(e){var r=e.width,i=e.height,o=e.colorDisplay,a=e.min,s=e.max,l=e.currentValue,c=e.indicator,u=function(e){switch(e){case"high":return Math.ceil(1);case"medium":return Math.ceil(r/40);case"low":return Math.ceil(r/20)}}(e.quality),p=t.range(0,r,u),f=t.scaleLinear().domain([0,r]).range([a,s]),d=t.scaleLinear().domain([a,s]).range([0,r]);return n().createElement(n().Fragment,null,c&&l?n().createElement("g",{transform:"translate(".concat(d(l),", -7)")},n().createElement("polygon",{points:"-5,0 5,0 0,7",style:{fill:"white"}})):null,n().createElement("g",null,p.map((function(e,t){var a,s=e+u>r?r-e:u;return n().createElement("rect",{key:t,x:e,width:s,height:i,fill:o(null!==(a=f(e))&&void 0!==a?a:0)})}))))}));fn.displayName="ColorSpectrum";var dn=n().memo((function(e){var r=e.width,i=e.min,o=e.max,a=e.display,s=t.scaleLinear().domain([i,o]).range([0,r]),l=r/50,c=t.axisBottom(s).ticks(Math.round(l)).tickFormat((function(e){var t=a(e);return"".concat(t.text).concat(t.suffix?t.suffix:"")}));return n().createElement("g",{ref:function(e){return t.select(e).call(c)}})}));dn.displayName="LegendAxis";var hn=n().memo((function(e){var t=e.width,r=e.height,i=e.min,o=e.max,a=e.valueDisplay,s=e.colorDisplay,l=e.currentValue,c=e.indicator,u=e.quality,p=r-20;return n().createElement("g",null,n().createElement("g",{transform:"translate(0, ".concat(p,")")},n().createElement(dn,{width:t,min:i,max:o,display:a})),n().createElement(fn,{currentValue:l,width:t,height:p,colorDisplay:s,min:i,max:o,indicator:c,quality:u}))}));function mn(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var r=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null==r)return;var n,i,o=[],a=!0,s=!1;try{for(r=r.call(e);!(a=(n=r.next()).done)&&(o.push(n.value),!t||o.length!==t);a=!0);}catch(e){s=!0,i=e}finally{try{a||null==r.return||r.return()}finally{if(s)throw i}}return o}(e,t)||function(e,t){if(!e)return;if("string"==typeof e)return vn(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);"Object"===r&&e.constructor&&(r=e.constructor.name);if("Map"===r||"Set"===r)return Array.from(e);if("Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r))return vn(e,t)}(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function vn(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}hn.displayName="Legend";var gn=function(e){var t=e.width,o=e.height,a=e.legend,s=e.timeField,l=e.valueField,c=e.timeZone,u=e.timeRange,p=e.dailyIntervalHours,f=e.regions,d=e.showValueIndicator,h=e.cellBorder,m=e.legendGradientQuality,v=e.tooltip,g=mn((0,r.useState)(),2),y=g[0],b=g[1],A=(0,i.useTheme2)(),E=(0,r.useMemo)((function(){return pe(s,l,c,u,p,A)}),[s,l,c,u,p,A]),w=yn(l),x=10,O=35,C=10,R=t-(O+C),I=0,T=0,S=0,$=t-(T+C),k=o-(I+S)-(a?40+x+0:0),L={x:T,y:I},N={x:O,y:I+k+S+x};return n().createElement(n().Fragment,null,n().createElement("g",{transform:"translate(".concat(L.x,", ").concat(L.y,")")},n().createElement(pn,{data:E,width:$,height:k,colorDisplay:w,timeZone:c,timeRange:u,dailyInterval:p,regions:f,onHover:function(e){b(e)},cellBorder:h,tooltip:v})),a?n().createElement("g",{transform:"translate(".concat(N.x,", ").concat(N.y,")")},n().createElement(hn,{width:R,height:40,min:l.config.min,max:l.config.max,valueDisplay:l.display,colorDisplay:w,currentValue:y,indicator:d,quality:m})):null)},yn=function(r){var n,i=r.config.custom,o=i.colorPalette,a=i.invertPalette,s=i.nullValueColor,l=i.colorSpace,c=null!==(n=i.thresholds)&&void 0!==n?n:{mode:e.ThresholdsMode.Percentage,steps:[]},u=function(r,n,i,o){var a=me[r],s=o.steps.map((function(e){return e.color}));if(o.mode===e.ThresholdsMode.Absolute)return t.scaleLinear().domain(o.steps.map((function(e){var t=e.value;return t>=0?t:0}))).range(s).interpolate(a);var l=t.scaleLinear().domain([0,100]).range([n,i]);return t.scaleLinear().domain(o.steps.map((function(e){var t,r=e.value;return r>=0&&null!==(t=l(r))&&void 0!==t?t:0}))).range(s).interpolate(a)}(l,r.config.min,r.config.max,c),p=function(e,r,n,i){return i?t.scaleSequential(he[e]).domain([n,r]):t.scaleSequential(he[e]).domain([r,n])}(o,r.config.min,r.config.max,a);return function(e){var t,n;switch(o){case"custom":return null!==(t=u(e))&&void 0!==t?t:s;case"fieldOptions":return r.display(e).color;default:return null!==(n=p(e))&&void 0!==n?n:s}}};function bn(){return bn=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},bn.apply(this,arguments)}var An,En,wn={schema:[{type:e.FieldType.time},{type:e.FieldType.number}],url:"https://github.com/marcusolsson/grafana-hourly-heatmap-panel"},xn=function(e){return function(t){return t.colorPalette===e}},On=function(){var e=[{value:"custom",label:"Custom",description:"Define a custom color palette"}];return y("color-scheme")&&e.push({value:"fieldOptions",label:"Field options",description:"Use color from field options (available from Grafana 7.3)"}),e.concat([].concat(Rn))},Cn=(An="marcusolsson-hourly-heatmap-panel",En=new e.PanelPlugin((function(e){var t=e.options,r=e.data,i=e.width,o=e.height,a=e.timeZone,s=e.timeRange,l=t.valueFieldName,c=t.timeFieldName,u=t.regions,p=t.showLegend,f=t.showValueIndicator,d=t.showCellBorder,m=t.showTooltip,v=t.legendGradientQuality,g=t.from,y=t.to,b=[parseFloat(g),"0"===y?24:parseFloat(y)];if(0===r.series.length)return n().createElement(h,wn);for(var A=r.series.map((function(e){return{timeField:c?e.fields.find((function(e){return e.name===c})):e.fields.find((function(e){return"time"===e.type})),valueField:l?e.fields.find((function(e){return e.name===l})):e.fields.find((function(e){return"number"===e.type})),fields:e.fields}})),E=0;E<A.length;E++){var w=A[E];if(!w.timeField||!w.valueField)return n().createElement(h,bn({},wn,{fields:w.fields}))}return n().createElement("svg",{width:i,height:o},A.map((function(e,t){var l=o/r.series.length;return n().createElement("g",{key:t,transform:"translate(0, ".concat(t*l,")")},n().createElement(gn,{width:i,height:l,legend:p,timeField:e.timeField,valueField:e.valueField,timeZone:a,timeRange:s,dailyIntervalHours:b,regions:null!=u?u:[],showValueIndicator:f,cellBorder:d,legendGradientQuality:v,tooltip:m}))})))})).useFieldConfig({useCustomConfig:function(t){t.addSelect({path:"groupBy",name:"Group by",settings:{options:[{value:15,label:"15 minutes"},{value:30,label:"30 minutes"},{value:60,label:"60 minutes"},{value:120,label:"120 minutes"}]},defaultValue:60}).addSelect({path:"calculation",name:"Calculation",settings:{options:[{value:"mean",label:"Mean"},{value:"sum",label:"Sum"},{value:"count",label:"Count"},{value:"min",label:"Min"},{value:"max",label:"Max"},{value:"first",label:"First"},{value:"last",label:"Last"}]},defaultValue:"mean"}).addSelect({path:"colorPalette",name:"Color palette",settings:{options:On()},defaultValue:"interpolateSpectral"}).addBooleanSwitch({path:"invertPalette",name:"Invert color palette",defaultValue:!1,showIf:function(e){return"custom"!==e.colorPalette&&"fieldOptions"!==e.colorPalette}}).addColorPicker({path:"nullValueColor",name:"Null value color",defaultValue:"rgb(155, 155, 155)"}).addSelect({path:"colorSpace",name:"Color space",settings:{options:[{value:"rgb",label:"RGB"},{value:"hsl",label:"HSL"},{value:"hcl",label:"HCL"},{value:"lab",label:"Lab"},{value:"cubehelix",label:"Cubehelix"}]},showIf:xn("custom"),defaultValue:"rgb"}).addCustomEditor({id:"thresholds",path:"thresholds",name:"Thresholds",editor:e.standardEditorsRegistry.get("thresholds").editor,override:e.standardEditorsRegistry.get("thresholds").editor,process:e.thresholdsOverrideProcessor,shouldApply:function(t){return t.type===e.FieldType.number},showIf:xn("custom")})},standardOptions:function(){var t=[e.FieldConfigProperty.Min,e.FieldConfigProperty.Max,e.FieldConfigProperty.Decimals,e.FieldConfigProperty.Unit];return y("color-scheme")&&(t.push(e.FieldConfigProperty.Color),t.push(e.FieldConfigProperty.Thresholds)),function(e){return y("standard-options-object")?e.reduce((function(e,t){return e[t]={},e}),{}):e}(t)}()}).setPanelOptions((function(r){return r.addCustomEditor({id:"timeFieldName",path:"timeFieldName",name:"Time",description:"Defaults to the first time field.",category:["Dimensions"],editor:o,settings:{filterByType:[e.FieldType.time]}}).addCustomEditor({id:"valueFieldName",path:"valueFieldName",name:"Value",description:"Defaults to the first number field.",category:["Dimensions"],editor:o,settings:{filterByType:[e.FieldType.number]}}).addBooleanSwitch({path:"showCellBorder",name:"Show cell border",description:"Display a border around each cell",defaultValue:!1}).addBooleanSwitch({path:"showTooltip",name:"Show tooltip",description:"Display a tooltip for the value under the cursor. Currently, this severely impacts performance. It's recommended to disable this for large time intervals.",defaultValue:!0}).addSelect({path:"from",name:"From",description:"Hide values before this hour",settings:{options:t.range(0,24,1).map((function(t){return{label:(0,e.dateTime)().startOf("day").add(t,"hour").format("HH:mm"),value:"".concat(t)}}))},defaultValue:"0"}).addSelect({path:"to",name:"To",description:"Hide values after this hour",settings:{options:t.range(0,24,1).map((function(t){return{label:(0,e.dateTime)().startOf("day").add(t,"hour").format("HH:mm"),value:"".concat(t)}}))},defaultValue:"0"}).addCustomEditor({id:"regions",path:"regions",name:"Time regions",description:"Highlight time regions during the day",editor:ae}).addBooleanSwitch({path:"showLegend",name:"Show legend",defaultValue:!0,category:["Legend"]}).addBooleanSwitch({path:"showValueIndicator",name:"Show value indicator",description:"Displays an indicator for the value under the cursor",defaultValue:!1,category:["Legend"]}).addSelect({path:"legendGradientQuality",name:"Gradient quality",description:"Higher quality means more elements on screen. Reduce quality if the panel is slow.",defaultValue:"high",category:["Legend"],settings:{options:[{label:"High",value:"high"},{label:"Medium",value:"medium"},{label:"Low",value:"low"}]}})})),a(void 0,void 0,void 0,(function(){var t,r;return s(this,(function(i){switch(i.label){case 0:return[4,(0,v.getBackendSrv)().datasourceRequest({url:"/public/plugins/"+An+"/plugin.json"})];case 1:return t=i.sent(),r=t.data,(0,g.satisfies)(v.config.buildInfo.version,r.dependencies.grafanaDependency,{includePrerelease:!0})?[2,En]:[2,new e.PanelPlugin((function(e){var t=e.width,i=e.height;return n().createElement("div",{style:{width:t,height:i}},n().createElement("div",{style:{display:"flex",alignItems:"center",justifyContent:"center",height:"100%"}},n().createElement("div",null,n().createElement("p",null,n().createElement("strong",null,"Error loading: "+r.id)),"This plugin requires a more recent version of Grafana ("+r.dependencies.grafanaDependency+").")))}))]}}))}))),Rn=[{label:"Spectral",value:"interpolateSpectral"},{label:"RdYlGn",value:"interpolateRdYlGn"},{label:"Blues",value:"interpolateBlues"},{label:"Greens",value:"interpolateGreens"},{label:"Greys",value:"interpolateGreys"},{label:"Oranges",value:"interpolateOranges"},{label:"Purples",value:"interpolatePurples"},{label:"Reds",value:"interpolateReds"},{label:"BuGn",value:"interpolateBuGn"},{label:"BuPu",value:"interpolateBuPu"},{label:"GnBu",value:"interpolateGnBu"},{label:"OrRd",value:"interpolateOrRd"},{label:"PuBuGn",value:"interpolatePuBuGn"},{label:"PuBu",value:"interpolatePuBu"},{label:"PuRd",value:"interpolatePuRd"},{label:"RdPu",value:"interpolateRdPu"},{label:"YlGnBu",value:"interpolateYlGnBu"},{label:"YlGn",value:"interpolateYlGn"},{label:"YlOrBr",value:"interpolateYlOrBr"},{label:"YlOrRd",value:"interpolateYlOrRd"}]})(),p})()));
//# sourceMappingURL=module.js.map