/*! For license information please see module.js.LICENSE.txt */
define(["@emotion/css","@grafana/data","@grafana/runtime","@grafana/ui","d3","react","react-dom","rxjs"],((e,t,r,n,i,o,a,s)=>(()=>{var l=[(e,t,r)=>{const n=r(8),{MAX_LENGTH:i,MAX_SAFE_INTEGER:o}=r(7),{re:a,t:s}=r(4),l=r(9),{compareIdentifiers:u}=r(23);class c{constructor(e,t){if(t=l(t),e instanceof c){if(e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease)return e;e=e.version}else if("string"!=typeof e)throw new TypeError(`Invalid Version: ${e}`);if(e.length>i)throw new TypeError(`version is longer than ${i} characters`);n("SemVer",e,t),this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease;const r=e.trim().match(t.loose?a[s.LOOSE]:a[s.FULL]);if(!r)throw new TypeError(`Invalid Version: ${e}`);if(this.raw=e,this.major=+r[1],this.minor=+r[2],this.patch=+r[3],this.major>o||this.major<0)throw new TypeError("Invalid major version");if(this.minor>o||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>o||this.patch<0)throw new TypeError("Invalid patch version");r[4]?this.prerelease=r[4].split(".").map((e=>{if(/^[0-9]+$/.test(e)){const t=+e;if(t>=0&&t<o)return t}return e})):this.prerelease=[],this.build=r[5]?r[5].split("."):[],this.format()}format(){return this.version=`${this.major}.${this.minor}.${this.patch}`,this.prerelease.length&&(this.version+=`-${this.prerelease.join(".")}`),this.version}toString(){return this.version}compare(e){if(n("SemVer.compare",this.version,this.options,e),!(e instanceof c)){if("string"==typeof e&&e===this.version)return 0;e=new c(e,this.options)}return e.version===this.version?0:this.compareMain(e)||this.comparePre(e)}compareMain(e){return e instanceof c||(e=new c(e,this.options)),u(this.major,e.major)||u(this.minor,e.minor)||u(this.patch,e.patch)}comparePre(e){if(e instanceof c||(e=new c(e,this.options)),this.prerelease.length&&!e.prerelease.length)return-1;if(!this.prerelease.length&&e.prerelease.length)return 1;if(!this.prerelease.length&&!e.prerelease.length)return 0;let t=0;do{const r=this.prerelease[t],i=e.prerelease[t];if(n("prerelease compare",t,r,i),void 0===r&&void 0===i)return 0;if(void 0===i)return 1;if(void 0===r)return-1;if(r!==i)return u(r,i)}while(++t)}compareBuild(e){e instanceof c||(e=new c(e,this.options));let t=0;do{const r=this.build[t],i=e.build[t];if(n("prerelease compare",t,r,i),void 0===r&&void 0===i)return 0;if(void 0===i)return 1;if(void 0===r)return-1;if(r!==i)return u(r,i)}while(++t)}inc(e,t){switch(e){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",t);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",t);break;case"prepatch":this.prerelease.length=0,this.inc("patch",t),this.inc("pre",t);break;case"prerelease":0===this.prerelease.length&&this.inc("patch",t),this.inc("pre",t);break;case"major":0===this.minor&&0===this.patch&&0!==this.prerelease.length||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":0===this.patch&&0!==this.prerelease.length||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":0===this.prerelease.length&&this.patch++,this.prerelease=[];break;case"pre":if(0===this.prerelease.length)this.prerelease=[0];else{let e=this.prerelease.length;for(;--e>=0;)"number"==typeof this.prerelease[e]&&(this.prerelease[e]++,e=-2);-1===e&&this.prerelease.push(0)}t&&(0===u(this.prerelease[0],t)?isNaN(this.prerelease[1])&&(this.prerelease=[t,0]):this.prerelease=[t,0]);break;default:throw new Error(`invalid increment argument: ${e}`)}return this.format(),this.raw=this.version,this}}e.exports=c},(e,t,r)=>{const n=r(0);e.exports=(e,t,r)=>new n(e,r).compare(new n(t,r))},(e,t,r)=>{class n{constructor(e,t){if(t=o(t),e instanceof n)return e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease?e:new n(e.raw,t);if(e instanceof a)return this.raw=e.value,this.set=[[e]],this.format(),this;if(this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease,this.raw=e,this.set=e.split("||").map((e=>this.parseRange(e.trim()))).filter((e=>e.length)),!this.set.length)throw new TypeError(`Invalid SemVer Range: ${e}`);if(this.set.length>1){const e=this.set[0];if(this.set=this.set.filter((e=>!h(e[0]))),0===this.set.length)this.set=[e];else if(this.set.length>1)for(const e of this.set)if(1===e.length&&m(e[0])){this.set=[e];break}}this.format()}format(){return this.range=this.set.map((e=>e.join(" ").trim())).join("||").trim(),this.range}toString(){return this.range}parseRange(e){e=e.trim();const t=`parseRange:${Object.keys(this.options).join(",")}:${e}`,r=i.get(t);if(r)return r;const n=this.options.loose,o=n?u[c.HYPHENRANGELOOSE]:u[c.HYPHENRANGE];e=e.replace(o,T(this.options.includePrerelease)),s("hyphen replace",e),e=e.replace(u[c.COMPARATORTRIM],p),s("comparator trim",e);let l=(e=(e=(e=e.replace(u[c.TILDETRIM],f)).replace(u[c.CARETTRIM],d)).split(/\s+/).join(" ")).split(" ").map((e=>g(e,this.options))).join(" ").split(/\s+/).map((e=>R(e,this.options)));n&&(l=l.filter((e=>(s("loose invalid filter",e,this.options),!!e.match(u[c.COMPARATORLOOSE]))))),s("range list",l);const m=new Map,v=l.map((e=>new a(e,this.options)));for(const e of v){if(h(e))return[e];m.set(e.value,e)}m.size>1&&m.has("")&&m.delete("");const y=[...m.values()];return i.set(t,y),y}intersects(e,t){if(!(e instanceof n))throw new TypeError("a Range is required");return this.set.some((r=>v(r,t)&&e.set.some((e=>v(e,t)&&r.every((r=>e.every((e=>r.intersects(e,t)))))))))}test(e){if(!e)return!1;if("string"==typeof e)try{e=new l(e,this.options)}catch(e){return!1}for(let t=0;t<this.set.length;t++)if(L(this.set[t],e,this.options))return!0;return!1}}e.exports=n;const i=new(r(39))({max:1e3}),o=r(9),a=r(11),s=r(8),l=r(0),{re:u,t:c,comparatorTrimReplace:p,tildeTrimReplace:f,caretTrimReplace:d}=r(4),h=e=>"<0.0.0-0"===e.value,m=e=>""===e.value,v=(e,t)=>{let r=!0;const n=e.slice();let i=n.pop();for(;r&&n.length;)r=n.every((e=>i.intersects(e,t))),i=n.pop();return r},g=(e,t)=>(s("comp",e,t),e=w(e,t),s("caret",e),e=E(e,t),s("tildes",e),e=O(e,t),s("xrange",e),e=A(e,t),s("stars",e),e),y=e=>!e||"x"===e.toLowerCase()||"*"===e,E=(e,t)=>e.trim().split(/\s+/).map((e=>b(e,t))).join(" "),b=(e,t)=>{const r=t.loose?u[c.TILDELOOSE]:u[c.TILDE];return e.replace(r,((t,r,n,i,o)=>{let a;return s("tilde",e,t,r,n,i,o),y(r)?a="":y(n)?a=`>=${r}.0.0 <${+r+1}.0.0-0`:y(i)?a=`>=${r}.${n}.0 <${r}.${+n+1}.0-0`:o?(s("replaceTilde pr",o),a=`>=${r}.${n}.${i}-${o} <${r}.${+n+1}.0-0`):a=`>=${r}.${n}.${i} <${r}.${+n+1}.0-0`,s("tilde return",a),a}))},w=(e,t)=>e.trim().split(/\s+/).map((e=>x(e,t))).join(" "),x=(e,t)=>{s("caret",e,t);const r=t.loose?u[c.CARETLOOSE]:u[c.CARET],n=t.includePrerelease?"-0":"";return e.replace(r,((t,r,i,o,a)=>{let l;return s("caret",e,t,r,i,o,a),y(r)?l="":y(i)?l=`>=${r}.0.0${n} <${+r+1}.0.0-0`:y(o)?l="0"===r?`>=${r}.${i}.0${n} <${r}.${+i+1}.0-0`:`>=${r}.${i}.0${n} <${+r+1}.0.0-0`:a?(s("replaceCaret pr",a),l="0"===r?"0"===i?`>=${r}.${i}.${o}-${a} <${r}.${i}.${+o+1}-0`:`>=${r}.${i}.${o}-${a} <${r}.${+i+1}.0-0`:`>=${r}.${i}.${o}-${a} <${+r+1}.0.0-0`):(s("no pr"),l="0"===r?"0"===i?`>=${r}.${i}.${o}${n} <${r}.${i}.${+o+1}-0`:`>=${r}.${i}.${o}${n} <${r}.${+i+1}.0-0`:`>=${r}.${i}.${o} <${+r+1}.0.0-0`),s("caret return",l),l}))},O=(e,t)=>(s("replaceXRanges",e,t),e.split(/\s+/).map((e=>I(e,t))).join(" ")),I=(e,t)=>{e=e.trim();const r=t.loose?u[c.XRANGELOOSE]:u[c.XRANGE];return e.replace(r,((r,n,i,o,a,l)=>{s("xRange",e,r,n,i,o,a,l);const u=y(i),c=u||y(o),p=c||y(a),f=p;return"="===n&&f&&(n=""),l=t.includePrerelease?"-0":"",u?r=">"===n||"<"===n?"<0.0.0-0":"*":n&&f?(c&&(o=0),a=0,">"===n?(n=">=",c?(i=+i+1,o=0,a=0):(o=+o+1,a=0)):"<="===n&&(n="<",c?i=+i+1:o=+o+1),"<"===n&&(l="-0"),r=`${n+i}.${o}.${a}${l}`):c?r=`>=${i}.0.0${l} <${+i+1}.0.0-0`:p&&(r=`>=${i}.${o}.0${l} <${i}.${+o+1}.0-0`),s("xRange return",r),r}))},A=(e,t)=>(s("replaceStars",e,t),e.trim().replace(u[c.STAR],"")),R=(e,t)=>(s("replaceGTE0",e,t),e.trim().replace(u[t.includePrerelease?c.GTE0PRE:c.GTE0],"")),T=e=>(t,r,n,i,o,a,s,l,u,c,p,f,d)=>`${r=y(n)?"":y(i)?`>=${n}.0.0${e?"-0":""}`:y(o)?`>=${n}.${i}.0${e?"-0":""}`:a?`>=${r}`:`>=${r}${e?"-0":""}`} ${l=y(u)?"":y(c)?`<${+u+1}.0.0-0`:y(p)?`<${u}.${+c+1}.0-0`:f?`<=${u}.${c}.${p}-${f}`:e?`<${u}.${c}.${+p+1}-0`:`<=${l}`}`.trim(),L=(e,t,r)=>{for(let r=0;r<e.length;r++)if(!e[r].test(t))return!1;if(t.prerelease.length&&!r.includePrerelease){for(let r=0;r<e.length;r++)if(s(e[r].semver),e[r].semver!==a.ANY&&e[r].semver.prerelease.length>0){const n=e[r].semver;if(n.major===t.major&&n.minor===t.minor&&n.patch===t.patch)return!0}return!1}return!0}},e=>{"use strict";e.exports=o},(e,t,r)=>{const{MAX_SAFE_COMPONENT_LENGTH:n}=r(7),i=r(8),o=(t=e.exports={}).re=[],a=t.src=[],s=t.t={};let l=0;const u=(e,t,r)=>{const n=l++;i(e,n,t),s[e]=n,a[n]=t,o[n]=new RegExp(t,r?"g":void 0)};u("NUMERICIDENTIFIER","0|[1-9]\\d*"),u("NUMERICIDENTIFIERLOOSE","[0-9]+"),u("NONNUMERICIDENTIFIER","\\d*[a-zA-Z-][a-zA-Z0-9-]*"),u("MAINVERSION",`(${a[s.NUMERICIDENTIFIER]})\\.(${a[s.NUMERICIDENTIFIER]})\\.(${a[s.NUMERICIDENTIFIER]})`),u("MAINVERSIONLOOSE",`(${a[s.NUMERICIDENTIFIERLOOSE]})\\.(${a[s.NUMERICIDENTIFIERLOOSE]})\\.(${a[s.NUMERICIDENTIFIERLOOSE]})`),u("PRERELEASEIDENTIFIER",`(?:${a[s.NUMERICIDENTIFIER]}|${a[s.NONNUMERICIDENTIFIER]})`),u("PRERELEASEIDENTIFIERLOOSE",`(?:${a[s.NUMERICIDENTIFIERLOOSE]}|${a[s.NONNUMERICIDENTIFIER]})`),u("PRERELEASE",`(?:-(${a[s.PRERELEASEIDENTIFIER]}(?:\\.${a[s.PRERELEASEIDENTIFIER]})*))`),u("PRERELEASELOOSE",`(?:-?(${a[s.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${a[s.PRERELEASEIDENTIFIERLOOSE]})*))`),u("BUILDIDENTIFIER","[0-9A-Za-z-]+"),u("BUILD",`(?:\\+(${a[s.BUILDIDENTIFIER]}(?:\\.${a[s.BUILDIDENTIFIER]})*))`),u("FULLPLAIN",`v?${a[s.MAINVERSION]}${a[s.PRERELEASE]}?${a[s.BUILD]}?`),u("FULL",`^${a[s.FULLPLAIN]}$`),u("LOOSEPLAIN",`[v=\\s]*${a[s.MAINVERSIONLOOSE]}${a[s.PRERELEASELOOSE]}?${a[s.BUILD]}?`),u("LOOSE",`^${a[s.LOOSEPLAIN]}$`),u("GTLT","((?:<|>)?=?)"),u("XRANGEIDENTIFIERLOOSE",`${a[s.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`),u("XRANGEIDENTIFIER",`${a[s.NUMERICIDENTIFIER]}|x|X|\\*`),u("XRANGEPLAIN",`[v=\\s]*(${a[s.XRANGEIDENTIFIER]})(?:\\.(${a[s.XRANGEIDENTIFIER]})(?:\\.(${a[s.XRANGEIDENTIFIER]})(?:${a[s.PRERELEASE]})?${a[s.BUILD]}?)?)?`),u("XRANGEPLAINLOOSE",`[v=\\s]*(${a[s.XRANGEIDENTIFIERLOOSE]})(?:\\.(${a[s.XRANGEIDENTIFIERLOOSE]})(?:\\.(${a[s.XRANGEIDENTIFIERLOOSE]})(?:${a[s.PRERELEASELOOSE]})?${a[s.BUILD]}?)?)?`),u("XRANGE",`^${a[s.GTLT]}\\s*${a[s.XRANGEPLAIN]}$`),u("XRANGELOOSE",`^${a[s.GTLT]}\\s*${a[s.XRANGEPLAINLOOSE]}$`),u("COERCE",`(^|[^\\d])(\\d{1,${n}})(?:\\.(\\d{1,${n}}))?(?:\\.(\\d{1,${n}}))?(?:$|[^\\d])`),u("COERCERTL",a[s.COERCE],!0),u("LONETILDE","(?:~>?)"),u("TILDETRIM",`(\\s*)${a[s.LONETILDE]}\\s+`,!0),t.tildeTrimReplace="$1~",u("TILDE",`^${a[s.LONETILDE]}${a[s.XRANGEPLAIN]}$`),u("TILDELOOSE",`^${a[s.LONETILDE]}${a[s.XRANGEPLAINLOOSE]}$`),u("LONECARET","(?:\\^)"),u("CARETTRIM",`(\\s*)${a[s.LONECARET]}\\s+`,!0),t.caretTrimReplace="$1^",u("CARET",`^${a[s.LONECARET]}${a[s.XRANGEPLAIN]}$`),u("CARETLOOSE",`^${a[s.LONECARET]}${a[s.XRANGEPLAINLOOSE]}$`),u("COMPARATORLOOSE",`^${a[s.GTLT]}\\s*(${a[s.LOOSEPLAIN]})$|^$`),u("COMPARATOR",`^${a[s.GTLT]}\\s*(${a[s.FULLPLAIN]})$|^$`),u("COMPARATORTRIM",`(\\s*)${a[s.GTLT]}\\s*(${a[s.LOOSEPLAIN]}|${a[s.XRANGEPLAIN]})`,!0),t.comparatorTrimReplace="$1$2$3",u("HYPHENRANGE",`^\\s*(${a[s.XRANGEPLAIN]})\\s+-\\s+(${a[s.XRANGEPLAIN]})\\s*$`),u("HYPHENRANGELOOSE",`^\\s*(${a[s.XRANGEPLAINLOOSE]})\\s+-\\s+(${a[s.XRANGEPLAINLOOSE]})\\s*$`),u("STAR","(<|>)?=?\\s*\\*"),u("GTE0","^\\s*>=\\s*0\\.0\\.0\\s*$"),u("GTE0PRE","^\\s*>=\\s*0\\.0\\.0-0\\s*$")},e=>{"use strict";e.exports=n},(e,t,r)=>{const{MAX_LENGTH:n}=r(7),{re:i,t:o}=r(4),a=r(0),s=r(9);e.exports=(e,t)=>{if(t=s(t),e instanceof a)return e;if("string"!=typeof e)return null;if(e.length>n)return null;if(!(t.loose?i[o.LOOSE]:i[o.FULL]).test(e))return null;try{return new a(e,t)}catch(e){return null}}},e=>{const t=Number.MAX_SAFE_INTEGER||9007199254740991;e.exports={SEMVER_SPEC_VERSION:"2.0.0",MAX_LENGTH:256,MAX_SAFE_INTEGER:t,MAX_SAFE_COMPONENT_LENGTH:16}},e=>{const t="object"==typeof process&&process.env&&process.env.NODE_DEBUG&&/\bsemver\b/i.test(process.env.NODE_DEBUG)?(...e)=>{}:()=>{};e.exports=t},e=>{const t=["includePrerelease","loose","rtl"];e.exports=e=>e?"object"!=typeof e?{loose:!0}:t.filter((t=>e[t])).reduce(((e,t)=>(e[t]=!0,e)),{}):{}},(e,t,r)=>{const n=r(1);e.exports=(e,t,r)=>n(e,t,r)>0},(e,t,r)=>{const n=Symbol("SemVer ANY");class i{static get ANY(){return n}constructor(e,t){if(t=o(t),e instanceof i){if(e.loose===!!t.loose)return e;e=e.value}u("comparator",e,t),this.options=t,this.loose=!!t.loose,this.parse(e),this.semver===n?this.value="":this.value=this.operator+this.semver.version,u("comp",this)}parse(e){const t=this.options.loose?a[s.COMPARATORLOOSE]:a[s.COMPARATOR],r=e.match(t);if(!r)throw new TypeError(`Invalid comparator: ${e}`);this.operator=void 0!==r[1]?r[1]:"","="===this.operator&&(this.operator=""),r[2]?this.semver=new c(r[2],this.options.loose):this.semver=n}toString(){return this.value}test(e){if(u("Comparator.test",e,this.options.loose),this.semver===n||e===n)return!0;if("string"==typeof e)try{e=new c(e,this.options)}catch(e){return!1}return l(e,this.operator,this.semver,this.options)}intersects(e,t){if(!(e instanceof i))throw new TypeError("a Comparator is required");if(t&&"object"==typeof t||(t={loose:!!t,includePrerelease:!1}),""===this.operator)return""===this.value||new p(e.value,t).test(this.value);if(""===e.operator)return""===e.value||new p(this.value,t).test(e.semver);const r=!(">="!==this.operator&&">"!==this.operator||">="!==e.operator&&">"!==e.operator),n=!("<="!==this.operator&&"<"!==this.operator||"<="!==e.operator&&"<"!==e.operator),o=this.semver.version===e.semver.version,a=!(">="!==this.operator&&"<="!==this.operator||">="!==e.operator&&"<="!==e.operator),s=l(this.semver,"<",e.semver,t)&&(">="===this.operator||">"===this.operator)&&("<="===e.operator||"<"===e.operator),u=l(this.semver,">",e.semver,t)&&("<="===this.operator||"<"===this.operator)&&(">="===e.operator||">"===e.operator);return r||n||o&&a||s||u}}e.exports=i;const o=r(9),{re:a,t:s}=r(4),l=r(25),u=r(8),c=r(0),p=r(2)},(e,t,r)=>{const n=r(2);e.exports=(e,t,r)=>{try{t=new n(t,r)}catch(e){return!1}return t.test(e)}},(e,t,r)=>{const n=r(4),i=r(7),o=r(0),a=r(23),s=r(6),l=r(26),u=r(27),c=r(28),p=r(29),f=r(30),d=r(31),h=r(32),m=r(33),v=r(1),g=r(34),y=r(35),E=r(15),b=r(36),w=r(37),x=r(10),O=r(16),I=r(14),A=r(24),R=r(17),T=r(18),L=r(25),$=r(38),S=r(11),N=r(2),C=r(12),j=r(42),P=r(43),D=r(44),k=r(45),M=r(46),F=r(19),G=r(47),_=r(48),B=r(49),U=r(50),H=r(51);e.exports={parse:s,valid:l,clean:u,inc:c,diff:p,major:f,minor:d,patch:h,prerelease:m,compare:v,rcompare:g,compareLoose:y,compareBuild:E,sort:b,rsort:w,gt:x,lt:O,eq:I,neq:A,gte:R,lte:T,cmp:L,coerce:$,Comparator:S,Range:N,satisfies:C,toComparators:j,maxSatisfying:P,minSatisfying:D,minVersion:k,validRange:M,outside:F,gtr:G,ltr:_,intersects:B,simplifyRange:U,subset:H,SemVer:o,re:n.re,src:n.src,tokens:n.t,SEMVER_SPEC_VERSION:i.SEMVER_SPEC_VERSION,compareIdentifiers:a.compareIdentifiers,rcompareIdentifiers:a.rcompareIdentifiers}},(e,t,r)=>{const n=r(1);e.exports=(e,t,r)=>0===n(e,t,r)},(e,t,r)=>{const n=r(0);e.exports=(e,t,r)=>{const i=new n(e,r),o=new n(t,r);return i.compare(o)||i.compareBuild(o)}},(e,t,r)=>{const n=r(1);e.exports=(e,t,r)=>n(e,t,r)<0},(e,t,r)=>{const n=r(1);e.exports=(e,t,r)=>n(e,t,r)>=0},(e,t,r)=>{const n=r(1);e.exports=(e,t,r)=>n(e,t,r)<=0},(e,t,r)=>{const n=r(0),i=r(11),{ANY:o}=i,a=r(2),s=r(12),l=r(10),u=r(16),c=r(18),p=r(17);e.exports=(e,t,r,f)=>{let d,h,m,v,g;switch(e=new n(e,f),t=new a(t,f),r){case">":d=l,h=c,m=u,v=">",g=">=";break;case"<":d=u,h=p,m=l,v="<",g="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(s(e,t,f))return!1;for(let r=0;r<t.set.length;++r){const n=t.set[r];let a=null,s=null;if(n.forEach((e=>{e.semver===o&&(e=new i(">=0.0.0")),a=a||e,s=s||e,d(e.semver,a.semver,f)?a=e:m(e.semver,s.semver,f)&&(s=e)})),a.operator===v||a.operator===g)return!1;if((!s.operator||s.operator===v)&&h(e,s.semver))return!1;if(s.operator===g&&m(e,s.semver))return!1}return!0}},e=>{"use strict";e.exports=t},t=>{"use strict";t.exports=e},e=>{"use strict";e.exports=r},e=>{const t=/^[0-9]+$/,r=(e,r)=>{const n=t.test(e),i=t.test(r);return n&&i&&(e=+e,r=+r),e===r?0:n&&!i?-1:i&&!n?1:e<r?-1:1};e.exports={compareIdentifiers:r,rcompareIdentifiers:(e,t)=>r(t,e)}},(e,t,r)=>{const n=r(1);e.exports=(e,t,r)=>0!==n(e,t,r)},(e,t,r)=>{const n=r(14),i=r(24),o=r(10),a=r(17),s=r(16),l=r(18);e.exports=(e,t,r,u)=>{switch(t){case"===":return"object"==typeof e&&(e=e.version),"object"==typeof r&&(r=r.version),e===r;case"!==":return"object"==typeof e&&(e=e.version),"object"==typeof r&&(r=r.version),e!==r;case"":case"=":case"==":return n(e,r,u);case"!=":return i(e,r,u);case">":return o(e,r,u);case">=":return a(e,r,u);case"<":return s(e,r,u);case"<=":return l(e,r,u);default:throw new TypeError(`Invalid operator: ${t}`)}}},(e,t,r)=>{const n=r(6);e.exports=(e,t)=>{const r=n(e,t);return r?r.version:null}},(e,t,r)=>{const n=r(6);e.exports=(e,t)=>{const r=n(e.trim().replace(/^[=v]+/,""),t);return r?r.version:null}},(e,t,r)=>{const n=r(0);e.exports=(e,t,r,i)=>{"string"==typeof r&&(i=r,r=void 0);try{return new n(e instanceof n?e.version:e,r).inc(t,i).version}catch(e){return null}}},(e,t,r)=>{const n=r(6),i=r(14);e.exports=(e,t)=>{if(i(e,t))return null;{const r=n(e),i=n(t),o=r.prerelease.length||i.prerelease.length,a=o?"pre":"",s=o?"prerelease":"";for(const e in r)if(("major"===e||"minor"===e||"patch"===e)&&r[e]!==i[e])return a+e;return s}}},(e,t,r)=>{const n=r(0);e.exports=(e,t)=>new n(e,t).major},(e,t,r)=>{const n=r(0);e.exports=(e,t)=>new n(e,t).minor},(e,t,r)=>{const n=r(0);e.exports=(e,t)=>new n(e,t).patch},(e,t,r)=>{const n=r(6);e.exports=(e,t)=>{const r=n(e,t);return r&&r.prerelease.length?r.prerelease:null}},(e,t,r)=>{const n=r(1);e.exports=(e,t,r)=>n(t,e,r)},(e,t,r)=>{const n=r(1);e.exports=(e,t)=>n(e,t,!0)},(e,t,r)=>{const n=r(15);e.exports=(e,t)=>e.sort(((e,r)=>n(e,r,t)))},(e,t,r)=>{const n=r(15);e.exports=(e,t)=>e.sort(((e,r)=>n(r,e,t)))},(e,t,r)=>{const n=r(0),i=r(6),{re:o,t:a}=r(4);e.exports=(e,t)=>{if(e instanceof n)return e;if("number"==typeof e&&(e=String(e)),"string"!=typeof e)return null;let r=null;if((t=t||{}).rtl){let t;for(;(t=o[a.COERCERTL].exec(e))&&(!r||r.index+r[0].length!==e.length);)r&&t.index+t[0].length===r.index+r[0].length||(r=t),o[a.COERCERTL].lastIndex=t.index+t[1].length+t[2].length;o[a.COERCERTL].lastIndex=-1}else r=e.match(o[a.COERCE]);return null===r?null:i(`${r[2]}.${r[3]||"0"}.${r[4]||"0"}`,t)}},(e,t,r)=>{"use strict";const n=r(40),i=Symbol("max"),o=Symbol("length"),a=Symbol("lengthCalculator"),s=Symbol("allowStale"),l=Symbol("maxAge"),u=Symbol("dispose"),c=Symbol("noDisposeOnSet"),p=Symbol("lruList"),f=Symbol("cache"),d=Symbol("updateAgeOnGet"),h=()=>1;const m=(e,t,r)=>{const n=e[f].get(t);if(n){const t=n.value;if(v(e,t)){if(y(e,n),!e[s])return}else r&&(e[d]&&(n.value.now=Date.now()),e[p].unshiftNode(n));return t.value}},v=(e,t)=>{if(!t||!t.maxAge&&!e[l])return!1;const r=Date.now()-t.now;return t.maxAge?r>t.maxAge:e[l]&&r>e[l]},g=e=>{if(e[o]>e[i])for(let t=e[p].tail;e[o]>e[i]&&null!==t;){const r=t.prev;y(e,t),t=r}},y=(e,t)=>{if(t){const r=t.value;e[u]&&e[u](r.key,r.value),e[o]-=r.length,e[f].delete(r.key),e[p].removeNode(t)}};class E{constructor(e,t,r,n,i){this.key=e,this.value=t,this.length=r,this.now=n,this.maxAge=i||0}}const b=(e,t,r,n)=>{let i=r.value;v(e,i)&&(y(e,r),e[s]||(i=void 0)),i&&t.call(n,i.value,i.key,e)};e.exports=class{constructor(e){if("number"==typeof e&&(e={max:e}),e||(e={}),e.max&&("number"!=typeof e.max||e.max<0))throw new TypeError("max must be a non-negative number");this[i]=e.max||1/0;const t=e.length||h;if(this[a]="function"!=typeof t?h:t,this[s]=e.stale||!1,e.maxAge&&"number"!=typeof e.maxAge)throw new TypeError("maxAge must be a number");this[l]=e.maxAge||0,this[u]=e.dispose,this[c]=e.noDisposeOnSet||!1,this[d]=e.updateAgeOnGet||!1,this.reset()}set max(e){if("number"!=typeof e||e<0)throw new TypeError("max must be a non-negative number");this[i]=e||1/0,g(this)}get max(){return this[i]}set allowStale(e){this[s]=!!e}get allowStale(){return this[s]}set maxAge(e){if("number"!=typeof e)throw new TypeError("maxAge must be a non-negative number");this[l]=e,g(this)}get maxAge(){return this[l]}set lengthCalculator(e){"function"!=typeof e&&(e=h),e!==this[a]&&(this[a]=e,this[o]=0,this[p].forEach((e=>{e.length=this[a](e.value,e.key),this[o]+=e.length}))),g(this)}get lengthCalculator(){return this[a]}get length(){return this[o]}get itemCount(){return this[p].length}rforEach(e,t){t=t||this;for(let r=this[p].tail;null!==r;){const n=r.prev;b(this,e,r,t),r=n}}forEach(e,t){t=t||this;for(let r=this[p].head;null!==r;){const n=r.next;b(this,e,r,t),r=n}}keys(){return this[p].toArray().map((e=>e.key))}values(){return this[p].toArray().map((e=>e.value))}reset(){this[u]&&this[p]&&this[p].length&&this[p].forEach((e=>this[u](e.key,e.value))),this[f]=new Map,this[p]=new n,this[o]=0}dump(){return this[p].map((e=>!v(this,e)&&{k:e.key,v:e.value,e:e.now+(e.maxAge||0)})).toArray().filter((e=>e))}dumpLru(){return this[p]}set(e,t,r){if((r=r||this[l])&&"number"!=typeof r)throw new TypeError("maxAge must be a number");const n=r?Date.now():0,s=this[a](t,e);if(this[f].has(e)){if(s>this[i])return y(this,this[f].get(e)),!1;const a=this[f].get(e).value;return this[u]&&(this[c]||this[u](e,a.value)),a.now=n,a.maxAge=r,a.value=t,this[o]+=s-a.length,a.length=s,this.get(e),g(this),!0}const d=new E(e,t,s,n,r);return d.length>this[i]?(this[u]&&this[u](e,t),!1):(this[o]+=d.length,this[p].unshift(d),this[f].set(e,this[p].head),g(this),!0)}has(e){if(!this[f].has(e))return!1;const t=this[f].get(e).value;return!v(this,t)}get(e){return m(this,e,!0)}peek(e){return m(this,e,!1)}pop(){const e=this[p].tail;return e?(y(this,e),e.value):null}del(e){y(this,this[f].get(e))}load(e){this.reset();const t=Date.now();for(let r=e.length-1;r>=0;r--){const n=e[r],i=n.e||0;if(0===i)this.set(n.k,n.v);else{const e=i-t;e>0&&this.set(n.k,n.v,e)}}}prune(){this[f].forEach(((e,t)=>m(this,t,!1)))}}},(e,t,r)=>{"use strict";function n(e){var t=this;if(t instanceof n||(t=new n),t.tail=null,t.head=null,t.length=0,e&&"function"==typeof e.forEach)e.forEach((function(e){t.push(e)}));else if(arguments.length>0)for(var r=0,i=arguments.length;r<i;r++)t.push(arguments[r]);return t}function i(e,t,r){var n=t===e.head?new s(r,null,t,e):new s(r,t,t.next,e);return null===n.next&&(e.tail=n),null===n.prev&&(e.head=n),e.length++,n}function o(e,t){e.tail=new s(t,e.tail,null,e),e.head||(e.head=e.tail),e.length++}function a(e,t){e.head=new s(t,null,e.head,e),e.tail||(e.tail=e.head),e.length++}function s(e,t,r,n){if(!(this instanceof s))return new s(e,t,r,n);this.list=n,this.value=e,t?(t.next=this,this.prev=t):this.prev=null,r?(r.prev=this,this.next=r):this.next=null}e.exports=n,n.Node=s,n.create=n,n.prototype.removeNode=function(e){if(e.list!==this)throw new Error("removing node which does not belong to this list");var t=e.next,r=e.prev;return t&&(t.prev=r),r&&(r.next=t),e===this.head&&(this.head=t),e===this.tail&&(this.tail=r),e.list.length--,e.next=null,e.prev=null,e.list=null,t},n.prototype.unshiftNode=function(e){if(e!==this.head){e.list&&e.list.removeNode(e);var t=this.head;e.list=this,e.next=t,t&&(t.prev=e),this.head=e,this.tail||(this.tail=e),this.length++}},n.prototype.pushNode=function(e){if(e!==this.tail){e.list&&e.list.removeNode(e);var t=this.tail;e.list=this,e.prev=t,t&&(t.next=e),this.tail=e,this.head||(this.head=e),this.length++}},n.prototype.push=function(){for(var e=0,t=arguments.length;e<t;e++)o(this,arguments[e]);return this.length},n.prototype.unshift=function(){for(var e=0,t=arguments.length;e<t;e++)a(this,arguments[e]);return this.length},n.prototype.pop=function(){if(this.tail){var e=this.tail.value;return this.tail=this.tail.prev,this.tail?this.tail.next=null:this.head=null,this.length--,e}},n.prototype.shift=function(){if(this.head){var e=this.head.value;return this.head=this.head.next,this.head?this.head.prev=null:this.tail=null,this.length--,e}},n.prototype.forEach=function(e,t){t=t||this;for(var r=this.head,n=0;null!==r;n++)e.call(t,r.value,n,this),r=r.next},n.prototype.forEachReverse=function(e,t){t=t||this;for(var r=this.tail,n=this.length-1;null!==r;n--)e.call(t,r.value,n,this),r=r.prev},n.prototype.get=function(e){for(var t=0,r=this.head;null!==r&&t<e;t++)r=r.next;if(t===e&&null!==r)return r.value},n.prototype.getReverse=function(e){for(var t=0,r=this.tail;null!==r&&t<e;t++)r=r.prev;if(t===e&&null!==r)return r.value},n.prototype.map=function(e,t){t=t||this;for(var r=new n,i=this.head;null!==i;)r.push(e.call(t,i.value,this)),i=i.next;return r},n.prototype.mapReverse=function(e,t){t=t||this;for(var r=new n,i=this.tail;null!==i;)r.push(e.call(t,i.value,this)),i=i.prev;return r},n.prototype.reduce=function(e,t){var r,n=this.head;if(arguments.length>1)r=t;else{if(!this.head)throw new TypeError("Reduce of empty list with no initial value");n=this.head.next,r=this.head.value}for(var i=0;null!==n;i++)r=e(r,n.value,i),n=n.next;return r},n.prototype.reduceReverse=function(e,t){var r,n=this.tail;if(arguments.length>1)r=t;else{if(!this.tail)throw new TypeError("Reduce of empty list with no initial value");n=this.tail.prev,r=this.tail.value}for(var i=this.length-1;null!==n;i--)r=e(r,n.value,i),n=n.prev;return r},n.prototype.toArray=function(){for(var e=new Array(this.length),t=0,r=this.head;null!==r;t++)e[t]=r.value,r=r.next;return e},n.prototype.toArrayReverse=function(){for(var e=new Array(this.length),t=0,r=this.tail;null!==r;t++)e[t]=r.value,r=r.prev;return e},n.prototype.slice=function(e,t){(t=t||this.length)<0&&(t+=this.length),(e=e||0)<0&&(e+=this.length);var r=new n;if(t<e||t<0)return r;e<0&&(e=0),t>this.length&&(t=this.length);for(var i=0,o=this.head;null!==o&&i<e;i++)o=o.next;for(;null!==o&&i<t;i++,o=o.next)r.push(o.value);return r},n.prototype.sliceReverse=function(e,t){(t=t||this.length)<0&&(t+=this.length),(e=e||0)<0&&(e+=this.length);var r=new n;if(t<e||t<0)return r;e<0&&(e=0),t>this.length&&(t=this.length);for(var i=this.length,o=this.tail;null!==o&&i>t;i--)o=o.prev;for(;null!==o&&i>e;i--,o=o.prev)r.push(o.value);return r},n.prototype.splice=function(e,t,...r){e>this.length&&(e=this.length-1),e<0&&(e=this.length+e);for(var n=0,o=this.head;null!==o&&n<e;n++)o=o.next;var a=[];for(n=0;o&&n<t;n++)a.push(o.value),o=this.removeNode(o);null===o&&(o=this.tail),o!==this.head&&o!==this.tail&&(o=o.prev);for(n=0;n<r.length;n++)o=i(this,o,r[n]);return a},n.prototype.reverse=function(){for(var e=this.head,t=this.tail,r=e;null!==r;r=r.prev){var n=r.prev;r.prev=r.next,r.next=n}return this.head=t,this.tail=e,this};try{r(41)(n)}catch(e){}},e=>{"use strict";e.exports=function(e){e.prototype[Symbol.iterator]=function*(){for(let e=this.head;e;e=e.next)yield e.value}}},(e,t,r)=>{const n=r(2);e.exports=(e,t)=>new n(e,t).set.map((e=>e.map((e=>e.value)).join(" ").trim().split(" ")))},(e,t,r)=>{const n=r(0),i=r(2);e.exports=(e,t,r)=>{let o=null,a=null,s=null;try{s=new i(t,r)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(o&&-1!==a.compare(e)||(o=e,a=new n(o,r)))})),o}},(e,t,r)=>{const n=r(0),i=r(2);e.exports=(e,t,r)=>{let o=null,a=null,s=null;try{s=new i(t,r)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(o&&1!==a.compare(e)||(o=e,a=new n(o,r)))})),o}},(e,t,r)=>{const n=r(0),i=r(2),o=r(10);e.exports=(e,t)=>{e=new i(e,t);let r=new n("0.0.0");if(e.test(r))return r;if(r=new n("0.0.0-0"),e.test(r))return r;r=null;for(let t=0;t<e.set.length;++t){const i=e.set[t];let a=null;i.forEach((e=>{const t=new n(e.semver.version);switch(e.operator){case">":0===t.prerelease.length?t.patch++:t.prerelease.push(0),t.raw=t.format();case"":case">=":a&&!o(t,a)||(a=t);break;case"<":case"<=":break;default:throw new Error(`Unexpected operation: ${e.operator}`)}})),!a||r&&!o(r,a)||(r=a)}return r&&e.test(r)?r:null}},(e,t,r)=>{const n=r(2);e.exports=(e,t)=>{try{return new n(e,t).range||"*"}catch(e){return null}}},(e,t,r)=>{const n=r(19);e.exports=(e,t,r)=>n(e,t,">",r)},(e,t,r)=>{const n=r(19);e.exports=(e,t,r)=>n(e,t,"<",r)},(e,t,r)=>{const n=r(2);e.exports=(e,t,r)=>(e=new n(e,r),t=new n(t,r),e.intersects(t))},(e,t,r)=>{const n=r(12),i=r(1);e.exports=(e,t,r)=>{const o=[];let a=null,s=null;const l=e.sort(((e,t)=>i(e,t,r)));for(const e of l){n(e,t,r)?(s=e,a||(a=e)):(s&&o.push([a,s]),s=null,a=null)}a&&o.push([a,null]);const u=[];for(const[e,t]of o)e===t?u.push(e):t||e!==l[0]?t?e===l[0]?u.push(`<=${t}`):u.push(`${e} - ${t}`):u.push(`>=${e}`):u.push("*");const c=u.join(" || "),p="string"==typeof t.raw?t.raw:String(t);return c.length<p.length?c:t}},(e,t,r)=>{const n=r(2),i=r(11),{ANY:o}=i,a=r(12),s=r(1),l=(e,t,r)=>{if(e===t)return!0;if(1===e.length&&e[0].semver===o){if(1===t.length&&t[0].semver===o)return!0;e=r.includePrerelease?[new i(">=0.0.0-0")]:[new i(">=0.0.0")]}if(1===t.length&&t[0].semver===o){if(r.includePrerelease)return!0;t=[new i(">=0.0.0")]}const n=new Set;let l,p,f,d,h,m,v;for(const t of e)">"===t.operator||">="===t.operator?l=u(l,t,r):"<"===t.operator||"<="===t.operator?p=c(p,t,r):n.add(t.semver);if(n.size>1)return null;if(l&&p){if(f=s(l.semver,p.semver,r),f>0)return null;if(0===f&&(">="!==l.operator||"<="!==p.operator))return null}for(const e of n){if(l&&!a(e,String(l),r))return null;if(p&&!a(e,String(p),r))return null;for(const n of t)if(!a(e,String(n),r))return!1;return!0}let g=!(!p||r.includePrerelease||!p.semver.prerelease.length)&&p.semver,y=!(!l||r.includePrerelease||!l.semver.prerelease.length)&&l.semver;g&&1===g.prerelease.length&&"<"===p.operator&&0===g.prerelease[0]&&(g=!1);for(const e of t){if(v=v||">"===e.operator||">="===e.operator,m=m||"<"===e.operator||"<="===e.operator,l)if(y&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===y.major&&e.semver.minor===y.minor&&e.semver.patch===y.patch&&(y=!1),">"===e.operator||">="===e.operator){if(d=u(l,e,r),d===e&&d!==l)return!1}else if(">="===l.operator&&!a(l.semver,String(e),r))return!1;if(p)if(g&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===g.major&&e.semver.minor===g.minor&&e.semver.patch===g.patch&&(g=!1),"<"===e.operator||"<="===e.operator){if(h=c(p,e,r),h===e&&h!==p)return!1}else if("<="===p.operator&&!a(p.semver,String(e),r))return!1;if(!e.operator&&(p||l)&&0!==f)return!1}return!(l&&m&&!p&&0!==f)&&(!(p&&v&&!l&&0!==f)&&(!y&&!g))},u=(e,t,r)=>{if(!e)return t;const n=s(e.semver,t.semver,r);return n>0?e:n<0||">"===t.operator&&">="===e.operator?t:e},c=(e,t,r)=>{if(!e)return t;const n=s(e.semver,t.semver,r);return n<0?e:n>0||"<"===t.operator&&"<="===e.operator?t:e};e.exports=(e,t,r={})=>{if(e===t)return!0;e=new n(e,r),t=new n(t,r);let i=!1;e:for(const n of e.set){for(const e of t.set){const t=l(n,e,r);if(i=i||null!==t,t)continue e}if(i)return!1}return!0}},,e=>{"use strict";e.exports=s},e=>{"use strict";e.exports=i},e=>{"use strict";e.exports=a}],u={};function c(e){var t=u[e];if(void 0!==t)return t.exports;var r=u[e]={exports:{}};return l[e](r,r.exports,c),r.exports}c.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return c.d(t,{a:t}),t},c.d=(e,t)=>{for(var r in t)c.o(t,r)&&!c.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})},c.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),c.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})};var p={};return(()=>{"use strict";c.r(p),c.d(p,{plugin:()=>xr});var e,t,r=c(20),n=c(3),i=c.n(n),o=c(5),a=function(e){var t=e.item,r=e.value,n=e.onChange,a=e.context;if(a.data&&a.data.length>0){var s,l=a.data.flatMap((function(e){return e.fields})).filter((function(e){var r,n;return null===(r=t.settings)||void 0===r||!r.filterByType||(null===(n=t.settings)||void 0===n?void 0:n.filterByType.some((function(t){return e.type===t})))})).map((function(e){return{label:e.name,value:e.name}}));return null!==(s=t.settings)&&void 0!==s&&s.multi?i().createElement(o.MultiSelect,{isClearable:!0,isLoading:!1,value:r,onChange:function(e){return n(e.map((function(e){return e.value})))},options:l}):i().createElement(o.Select,{isClearable:!0,isLoading:!1,value:r,onChange:function(e){n(null==e?void 0:e.value)},options:l})}return i().createElement(o.Select,{onChange:function(){},disabled:!0})},s=c(21);function l(e,t){return t||(t=e.slice(0)),Object.freeze(Object.defineProperties(e,{raw:{value:Object.freeze(t)}}))}var u=function(r){var n=r.schema,a=r.fields,u=r.url,c=(0,o.useTheme2)(),p=f(null!=a?a:[],n);return i().createElement("div",{style:{display:"flex",alignItems:"center",justifyContent:"center",height:"100%"}},i().createElement(o.Alert,{title:"Configure your query",severity:"info",style:{maxWidth:"500px"}},i().createElement("p",null,"Define a data source query that return at least the following field".concat(p.length>1?"s":"",":")),i().createElement("div",null,p.map((function(r,n){var a=r.type,u=r.description,p=r.ok;return i().createElement("div",{key:n,className:(0,s.css)(e||(e=l(["\n                display: flex;\n                align-items: center;\n                padding-bottom: ",";\n                & > * {\n                  margin-right: ",";\n                }\n                & > *:last-child {\n                  margin-right: 0;\n                }\n              "])),c.spacing(1),c.spacing(1))},p?i().createElement(o.Icon,{name:"check-circle",size:"lg",style:{color:c.colors.success.main}}):i().createElement(o.Icon,{name:"circle",size:"lg",style:{color:c.colors.text.disabled}}),i().createElement(o.Badge,{className:(0,s.css)(t||(t=l(["\n                  margin-top: 0;\n                "]))),text:a.slice(0,1).toUpperCase()+a.slice(1),color:"blue"}),u&&i().createElement("span",null,"".concat(u)))}))),u&&i().createElement("div",null,i().createElement("a",{href:u},"Read more"))))},f=function(e,t){var r=[];return t.map((function(t){var n=t.type,i=t.description,o=e.filter((function(e){return!r.includes(e)})).find((function(e){return e.type===n}));return o&&r.push(o),{type:n,description:i,ok:!!o}}))},d=c(22),h=c(13),m=function(e){var t,r;return e?"".concat(null!==(t=e.prefix)&&void 0!==t?t:"").concat(e.text).concat(null!==(r=e.suffix)&&void 0!==r?r:""):""},v=c(53);function g(e){return g="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},g(e)}function y(){y=function(){return e};var e={},t=Object.prototype,r=t.hasOwnProperty,n=Object.defineProperty||function(e,t,r){e[t]=r.value},i="function"==typeof Symbol?Symbol:{},o=i.iterator||"@@iterator",a=i.asyncIterator||"@@asyncIterator",s=i.toStringTag||"@@toStringTag";function l(e,t,r){return Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}),e[t]}try{l({},"")}catch(e){l=function(e,t,r){return e[t]=r}}function u(e,t,r,i){var o=t&&t.prototype instanceof f?t:f,a=Object.create(o.prototype),s=new T(i||[]);return n(a,"_invoke",{value:O(e,r,s)}),a}function c(e,t,r){try{return{type:"normal",arg:e.call(t,r)}}catch(e){return{type:"throw",arg:e}}}e.wrap=u;var p={};function f(){}function d(){}function h(){}var m={};l(m,o,(function(){return this}));var v=Object.getPrototypeOf,E=v&&v(v(L([])));E&&E!==t&&r.call(E,o)&&(m=E);var b=h.prototype=f.prototype=Object.create(m);function w(e){["next","throw","return"].forEach((function(t){l(e,t,(function(e){return this._invoke(t,e)}))}))}function x(e,t){function i(n,o,a,s){var l=c(e[n],e,o);if("throw"!==l.type){var u=l.arg,p=u.value;return p&&"object"==g(p)&&r.call(p,"__await")?t.resolve(p.__await).then((function(e){i("next",e,a,s)}),(function(e){i("throw",e,a,s)})):t.resolve(p).then((function(e){u.value=e,a(u)}),(function(e){return i("throw",e,a,s)}))}s(l.arg)}var o;n(this,"_invoke",{value:function(e,r){function n(){return new t((function(t,n){i(e,r,t,n)}))}return o=o?o.then(n,n):n()}})}function O(e,t,r){var n="suspendedStart";return function(i,o){if("executing"===n)throw new Error("Generator is already running");if("completed"===n){if("throw"===i)throw o;return $()}for(r.method=i,r.arg=o;;){var a=r.delegate;if(a){var s=I(a,r);if(s){if(s===p)continue;return s}}if("next"===r.method)r.sent=r._sent=r.arg;else if("throw"===r.method){if("suspendedStart"===n)throw n="completed",r.arg;r.dispatchException(r.arg)}else"return"===r.method&&r.abrupt("return",r.arg);n="executing";var l=c(e,t,r);if("normal"===l.type){if(n=r.done?"completed":"suspendedYield",l.arg===p)continue;return{value:l.arg,done:r.done}}"throw"===l.type&&(n="completed",r.method="throw",r.arg=l.arg)}}}function I(e,t){var r=t.method,n=e.iterator[r];if(void 0===n)return t.delegate=null,"throw"===r&&e.iterator.return&&(t.method="return",t.arg=void 0,I(e,t),"throw"===t.method)||"return"!==r&&(t.method="throw",t.arg=new TypeError("The iterator does not provide a '"+r+"' method")),p;var i=c(n,e.iterator,t.arg);if("throw"===i.type)return t.method="throw",t.arg=i.arg,t.delegate=null,p;var o=i.arg;return o?o.done?(t[e.resultName]=o.value,t.next=e.nextLoc,"return"!==t.method&&(t.method="next",t.arg=void 0),t.delegate=null,p):o:(t.method="throw",t.arg=new TypeError("iterator result is not an object"),t.delegate=null,p)}function A(e){var t={tryLoc:e[0]};1 in e&&(t.catchLoc=e[1]),2 in e&&(t.finallyLoc=e[2],t.afterLoc=e[3]),this.tryEntries.push(t)}function R(e){var t=e.completion||{};t.type="normal",delete t.arg,e.completion=t}function T(e){this.tryEntries=[{tryLoc:"root"}],e.forEach(A,this),this.reset(!0)}function L(e){if(e){var t=e[o];if(t)return t.call(e);if("function"==typeof e.next)return e;if(!isNaN(e.length)){var n=-1,i=function t(){for(;++n<e.length;)if(r.call(e,n))return t.value=e[n],t.done=!1,t;return t.value=void 0,t.done=!0,t};return i.next=i}}return{next:$}}function $(){return{value:void 0,done:!0}}return d.prototype=h,n(b,"constructor",{value:h,configurable:!0}),n(h,"constructor",{value:d,configurable:!0}),d.displayName=l(h,s,"GeneratorFunction"),e.isGeneratorFunction=function(e){var t="function"==typeof e&&e.constructor;return!!t&&(t===d||"GeneratorFunction"===(t.displayName||t.name))},e.mark=function(e){return Object.setPrototypeOf?Object.setPrototypeOf(e,h):(e.__proto__=h,l(e,s,"GeneratorFunction")),e.prototype=Object.create(b),e},e.awrap=function(e){return{__await:e}},w(x.prototype),l(x.prototype,a,(function(){return this})),e.AsyncIterator=x,e.async=function(t,r,n,i,o){void 0===o&&(o=Promise);var a=new x(u(t,r,n,i),o);return e.isGeneratorFunction(r)?a:a.next().then((function(e){return e.done?e.value:a.next()}))},w(b),l(b,s,"Generator"),l(b,o,(function(){return this})),l(b,"toString",(function(){return"[object Generator]"})),e.keys=function(e){var t=Object(e),r=[];for(var n in t)r.push(n);return r.reverse(),function e(){for(;r.length;){var n=r.pop();if(n in t)return e.value=n,e.done=!1,e}return e.done=!0,e}},e.values=L,T.prototype={constructor:T,reset:function(e){if(this.prev=0,this.next=0,this.sent=this._sent=void 0,this.done=!1,this.delegate=null,this.method="next",this.arg=void 0,this.tryEntries.forEach(R),!e)for(var t in this)"t"===t.charAt(0)&&r.call(this,t)&&!isNaN(+t.slice(1))&&(this[t]=void 0)},stop:function(){this.done=!0;var e=this.tryEntries[0].completion;if("throw"===e.type)throw e.arg;return this.rval},dispatchException:function(e){if(this.done)throw e;var t=this;function n(r,n){return a.type="throw",a.arg=e,t.next=r,n&&(t.method="next",t.arg=void 0),!!n}for(var i=this.tryEntries.length-1;i>=0;--i){var o=this.tryEntries[i],a=o.completion;if("root"===o.tryLoc)return n("end");if(o.tryLoc<=this.prev){var s=r.call(o,"catchLoc"),l=r.call(o,"finallyLoc");if(s&&l){if(this.prev<o.catchLoc)return n(o.catchLoc,!0);if(this.prev<o.finallyLoc)return n(o.finallyLoc)}else if(s){if(this.prev<o.catchLoc)return n(o.catchLoc,!0)}else{if(!l)throw new Error("try statement without catch or finally");if(this.prev<o.finallyLoc)return n(o.finallyLoc)}}}},abrupt:function(e,t){for(var n=this.tryEntries.length-1;n>=0;--n){var i=this.tryEntries[n];if(i.tryLoc<=this.prev&&r.call(i,"finallyLoc")&&this.prev<i.finallyLoc){var o=i;break}}o&&("break"===e||"continue"===e)&&o.tryLoc<=t&&t<=o.finallyLoc&&(o=null);var a=o?o.completion:{};return a.type=e,a.arg=t,o?(this.method="next",this.next=o.finallyLoc,p):this.complete(a)},complete:function(e,t){if("throw"===e.type)throw e.arg;return"break"===e.type||"continue"===e.type?this.next=e.arg:"return"===e.type?(this.rval=this.arg=e.arg,this.method="return",this.next="end"):"normal"===e.type&&t&&(this.next=t),p},finish:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var r=this.tryEntries[t];if(r.finallyLoc===e)return this.complete(r.completion,r.afterLoc),R(r),p}},catch:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var r=this.tryEntries[t];if(r.tryLoc===e){var n=r.completion;if("throw"===n.type){var i=n.arg;R(r)}return i}}throw new Error("illegal catch attempt")},delegateYield:function(e,t,r){return this.delegate={iterator:L(e),resultName:t,nextLoc:r},"next"===this.method&&(this.arg=void 0),p}},e}function E(e,t,r,n,i,o,a){try{var s=e[o](a),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,i)}var b=function(){var e,t=(e=y().mark((function e(t,n){var o,a;return y().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,(0,v.lastValueFrom)((0,d.getBackendSrv)().fetch({url:"/public/plugins/".concat(t,"/plugin.json")}));case 2:if(o=e.sent,a=o.data,!(0,h.satisfies)(d.config.buildInfo.version,a.dependencies.grafanaDependency,{includePrerelease:!0})){e.next=6;break}return e.abrupt("return",n);case 6:return e.abrupt("return",new r.PanelPlugin((function(e){var t=e.width,r=e.height;return i().createElement("div",{style:{width:t,height:r}},i().createElement("div",{style:{display:"flex",alignItems:"center",justifyContent:"center",height:"100%"}},i().createElement("div",null,i().createElement("p",null,i().createElement("strong",null,"Error loading: ".concat(a.id))),"This plugin requires a more recent version of Grafana (".concat(a.dependencies.grafanaDependency,")."))))})));case 7:case"end":return e.stop()}}),e)})),function(){var t=this,r=arguments;return new Promise((function(n,i){var o=e.apply(t,r);function a(e){E(o,n,i,a,s,"next",e)}function s(e){E(o,n,i,a,s,"throw",e)}a(void 0)}))});return function(e,r){return t.apply(this,arguments)}}();function w(){return w=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},w.apply(this,arguments)}var x=o.ContextMenu,O=function(e){var t=e.x,r=e.y,n=e.onClose,o=e.renderMenuItems,a=e.renderHeader,s=o?o().map((function(e){return{label:e.label,items:e.items.map((function(e){return w({},e)}))}})):void 0;return i().createElement(x,{x:t,y:r,onClose:n,renderHeader:a,items:s})};function I(){return I=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},I.apply(this,arguments)}var A=function(e){var t=e.x,r=e.y,n=e.onClose,a=e.renderMenuItems,s=e.renderHeader,l=d.config.buildInfo.version;return(0,h.gte)(l,"8.0.0")?i().createElement(o.ContextMenu,{x:t,y:r,onClose:n,renderMenuItems:function(){return a().map((function(e,t){return i().createElement(o.MenuGroup,{key:"".concat(e.label).concat(t),label:e.label,ariaLabel:e.label},(e.items||[]).map((function(e){return i().createElement(o.MenuItem,I({key:e.label},e))})))}))},renderHeader:s}):i().createElement(O,{x:t,y:r,onClose:n,renderMenuItems:a,renderHeader:s})},R=c(54);function T(){return T=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},T.apply(this,arguments)}function L(e){return function(e){if(Array.isArray(e))return $(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||function(e,t){if(!e)return;if("string"==typeof e)return $(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);"Object"===r&&e.constructor&&(r=e.constructor.name);if("Map"===r||"Set"===r)return Array.from(e);if("Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r))return $(e,t)}(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function $(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var S=function e(t,r,n,i){if(t.children||(t.children=[]),0!==r.length){var o=t.children.find((function(e){return e.name===r[0]}));if(o)e(o,r.slice(1),n,i);else{var a={name:r[0]};1===r.length&&(a.value=n,a.frame=i),t.children.push(a),e(a,r.slice(1),n,i)}}};function N(e){if(null==e)return window;if("[object Window]"!==e.toString()){var t=e.ownerDocument;return t&&t.defaultView||window}return e}function C(e){return e instanceof N(e).Element||e instanceof Element}function j(e){return e instanceof N(e).HTMLElement||e instanceof HTMLElement}function P(e){return"undefined"!=typeof ShadowRoot&&(e instanceof N(e).ShadowRoot||e instanceof ShadowRoot)}var D=Math.max,k=Math.min,M=Math.round;function F(e,t){void 0===t&&(t=!1);var r=e.getBoundingClientRect(),n=1,i=1;if(j(e)&&t){var o=e.offsetHeight,a=e.offsetWidth;a>0&&(n=M(r.width)/a||1),o>0&&(i=M(r.height)/o||1)}return{width:r.width/n,height:r.height/i,top:r.top/i,right:r.right/n,bottom:r.bottom/i,left:r.left/n,x:r.left/n,y:r.top/i}}function G(e){var t=N(e);return{scrollLeft:t.pageXOffset,scrollTop:t.pageYOffset}}function _(e){return e?(e.nodeName||"").toLowerCase():null}function B(e){return((C(e)?e.ownerDocument:e.document)||window.document).documentElement}function U(e){return F(B(e)).left+G(e).scrollLeft}function H(e){return N(e).getComputedStyle(e)}function V(e){var t=H(e),r=t.overflow,n=t.overflowX,i=t.overflowY;return/auto|scroll|overlay|hidden/.test(r+i+n)}function X(e,t,r){void 0===r&&(r=!1);var n,i,o=j(t),a=j(t)&&function(e){var t=e.getBoundingClientRect(),r=M(t.width)/e.offsetWidth||1,n=M(t.height)/e.offsetHeight||1;return 1!==r||1!==n}(t),s=B(t),l=F(e,a),u={scrollLeft:0,scrollTop:0},c={x:0,y:0};return(o||!o&&!r)&&(("body"!==_(t)||V(s))&&(u=(n=t)!==N(n)&&j(n)?{scrollLeft:(i=n).scrollLeft,scrollTop:i.scrollTop}:G(n)),j(t)?((c=F(t,!0)).x+=t.clientLeft,c.y+=t.clientTop):s&&(c.x=U(s))),{x:l.left+u.scrollLeft-c.x,y:l.top+u.scrollTop-c.y,width:l.width,height:l.height}}function z(e){var t=F(e),r=e.offsetWidth,n=e.offsetHeight;return Math.abs(t.width-r)<=1&&(r=t.width),Math.abs(t.height-n)<=1&&(n=t.height),{x:e.offsetLeft,y:e.offsetTop,width:r,height:n}}function W(e){return"html"===_(e)?e:e.assignedSlot||e.parentNode||(P(e)?e.host:null)||B(e)}function q(e){return["html","body","#document"].indexOf(_(e))>=0?e.ownerDocument.body:j(e)&&V(e)?e:q(W(e))}function Y(e,t){var r;void 0===t&&(t=[]);var n=q(e),i=n===(null==(r=e.ownerDocument)?void 0:r.body),o=N(n),a=i?[o].concat(o.visualViewport||[],V(n)?n:[]):n,s=t.concat(a);return i?s:s.concat(Y(W(a)))}function Z(e){return["table","td","th"].indexOf(_(e))>=0}function J(e){return j(e)&&"fixed"!==H(e).position?e.offsetParent:null}function K(e){for(var t=N(e),r=J(e);r&&Z(r)&&"static"===H(r).position;)r=J(r);return r&&("html"===_(r)||"body"===_(r)&&"static"===H(r).position)?t:r||function(e){var t=-1!==navigator.userAgent.toLowerCase().indexOf("firefox");if(-1!==navigator.userAgent.indexOf("Trident")&&j(e)&&"fixed"===H(e).position)return null;for(var r=W(e);j(r)&&["html","body"].indexOf(_(r))<0;){var n=H(r);if("none"!==n.transform||"none"!==n.perspective||"paint"===n.contain||-1!==["transform","perspective"].indexOf(n.willChange)||t&&"filter"===n.willChange||t&&n.filter&&"none"!==n.filter)return r;r=r.parentNode}return null}(e)||t}var Q="top",ee="bottom",te="right",re="left",ne="auto",ie=[Q,ee,te,re],oe="start",ae="end",se="clippingParents",le="viewport",ue="popper",ce="reference",pe=ie.reduce((function(e,t){return e.concat([t+"-"+oe,t+"-"+ae])}),[]),fe=[].concat(ie,[ne]).reduce((function(e,t){return e.concat([t,t+"-"+oe,t+"-"+ae])}),[]),de=["beforeRead","read","afterRead","beforeMain","main","afterMain","beforeWrite","write","afterWrite"];function he(e){var t=new Map,r=new Set,n=[];function i(e){r.add(e.name),[].concat(e.requires||[],e.requiresIfExists||[]).forEach((function(e){if(!r.has(e)){var n=t.get(e);n&&i(n)}})),n.push(e)}return e.forEach((function(e){t.set(e.name,e)})),e.forEach((function(e){r.has(e.name)||i(e)})),n}var me={placement:"bottom",modifiers:[],strategy:"absolute"};function ve(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return!t.some((function(e){return!(e&&"function"==typeof e.getBoundingClientRect)}))}function ge(e){void 0===e&&(e={});var t=e,r=t.defaultModifiers,n=void 0===r?[]:r,i=t.defaultOptions,o=void 0===i?me:i;return function(e,t,r){void 0===r&&(r=o);var i,a,s={placement:"bottom",orderedModifiers:[],options:Object.assign({},me,o),modifiersData:{},elements:{reference:e,popper:t},attributes:{},styles:{}},l=[],u=!1,c={state:s,setOptions:function(r){var i="function"==typeof r?r(s.options):r;p(),s.options=Object.assign({},o,s.options,i),s.scrollParents={reference:C(e)?Y(e):e.contextElement?Y(e.contextElement):[],popper:Y(t)};var a=function(e){var t=he(e);return de.reduce((function(e,r){return e.concat(t.filter((function(e){return e.phase===r})))}),[])}(function(e){var t=e.reduce((function(e,t){var r=e[t.name];return e[t.name]=r?Object.assign({},r,t,{options:Object.assign({},r.options,t.options),data:Object.assign({},r.data,t.data)}):t,e}),{});return Object.keys(t).map((function(e){return t[e]}))}([].concat(n,s.options.modifiers)));return s.orderedModifiers=a.filter((function(e){return e.enabled})),s.orderedModifiers.forEach((function(e){var t=e.name,r=e.options,n=void 0===r?{}:r,i=e.effect;if("function"==typeof i){var o=i({state:s,name:t,instance:c,options:n}),a=function(){};l.push(o||a)}})),c.update()},forceUpdate:function(){if(!u){var e=s.elements,t=e.reference,r=e.popper;if(ve(t,r)){s.rects={reference:X(t,K(r),"fixed"===s.options.strategy),popper:z(r)},s.reset=!1,s.placement=s.options.placement,s.orderedModifiers.forEach((function(e){return s.modifiersData[e.name]=Object.assign({},e.data)}));for(var n=0;n<s.orderedModifiers.length;n++)if(!0!==s.reset){var i=s.orderedModifiers[n],o=i.fn,a=i.options,l=void 0===a?{}:a,p=i.name;"function"==typeof o&&(s=o({state:s,options:l,name:p,instance:c})||s)}else s.reset=!1,n=-1}}},update:(i=function(){return new Promise((function(e){c.forceUpdate(),e(s)}))},function(){return a||(a=new Promise((function(e){Promise.resolve().then((function(){a=void 0,e(i())}))}))),a}),destroy:function(){p(),u=!0}};if(!ve(e,t))return c;function p(){l.forEach((function(e){return e()})),l=[]}return c.setOptions(r).then((function(e){!u&&r.onFirstUpdate&&r.onFirstUpdate(e)})),c}}var ye={passive:!0};const Ee={name:"eventListeners",enabled:!0,phase:"write",fn:function(){},effect:function(e){var t=e.state,r=e.instance,n=e.options,i=n.scroll,o=void 0===i||i,a=n.resize,s=void 0===a||a,l=N(t.elements.popper),u=[].concat(t.scrollParents.reference,t.scrollParents.popper);return o&&u.forEach((function(e){e.addEventListener("scroll",r.update,ye)})),s&&l.addEventListener("resize",r.update,ye),function(){o&&u.forEach((function(e){e.removeEventListener("scroll",r.update,ye)})),s&&l.removeEventListener("resize",r.update,ye)}},data:{}};function be(e){return e.split("-")[0]}function we(e){return e.split("-")[1]}function xe(e){return["top","bottom"].indexOf(e)>=0?"x":"y"}function Oe(e){var t,r=e.reference,n=e.element,i=e.placement,o=i?be(i):null,a=i?we(i):null,s=r.x+r.width/2-n.width/2,l=r.y+r.height/2-n.height/2;switch(o){case Q:t={x:s,y:r.y-n.height};break;case ee:t={x:s,y:r.y+r.height};break;case te:t={x:r.x+r.width,y:l};break;case re:t={x:r.x-n.width,y:l};break;default:t={x:r.x,y:r.y}}var u=o?xe(o):null;if(null!=u){var c="y"===u?"height":"width";switch(a){case oe:t[u]=t[u]-(r[c]/2-n[c]/2);break;case ae:t[u]=t[u]+(r[c]/2-n[c]/2)}}return t}var Ie={top:"auto",right:"auto",bottom:"auto",left:"auto"};function Ae(e){var t,r=e.popper,n=e.popperRect,i=e.placement,o=e.variation,a=e.offsets,s=e.position,l=e.gpuAcceleration,u=e.adaptive,c=e.roundOffsets,p=e.isFixed,f=a.x,d=void 0===f?0:f,h=a.y,m=void 0===h?0:h,v="function"==typeof c?c({x:d,y:m}):{x:d,y:m};d=v.x,m=v.y;var g=a.hasOwnProperty("x"),y=a.hasOwnProperty("y"),E=re,b=Q,w=window;if(u){var x=K(r),O="clientHeight",I="clientWidth";if(x===N(r)&&"static"!==H(x=B(r)).position&&"absolute"===s&&(O="scrollHeight",I="scrollWidth"),i===Q||(i===re||i===te)&&o===ae)b=ee,m-=(p&&w.visualViewport?w.visualViewport.height:x[O])-n.height,m*=l?1:-1;if(i===re||(i===Q||i===ee)&&o===ae)E=te,d-=(p&&w.visualViewport?w.visualViewport.width:x[I])-n.width,d*=l?1:-1}var A,R=Object.assign({position:s},u&&Ie),T=!0===c?function(e){var t=e.x,r=e.y,n=window.devicePixelRatio||1;return{x:M(t*n)/n||0,y:M(r*n)/n||0}}({x:d,y:m}):{x:d,y:m};return d=T.x,m=T.y,l?Object.assign({},R,((A={})[b]=y?"0":"",A[E]=g?"0":"",A.transform=(w.devicePixelRatio||1)<=1?"translate("+d+"px, "+m+"px)":"translate3d("+d+"px, "+m+"px, 0)",A)):Object.assign({},R,((t={})[b]=y?m+"px":"",t[E]=g?d+"px":"",t.transform="",t))}const Re={name:"computeStyles",enabled:!0,phase:"beforeWrite",fn:function(e){var t=e.state,r=e.options,n=r.gpuAcceleration,i=void 0===n||n,o=r.adaptive,a=void 0===o||o,s=r.roundOffsets,l=void 0===s||s,u={placement:be(t.placement),variation:we(t.placement),popper:t.elements.popper,popperRect:t.rects.popper,gpuAcceleration:i,isFixed:"fixed"===t.options.strategy};null!=t.modifiersData.popperOffsets&&(t.styles.popper=Object.assign({},t.styles.popper,Ae(Object.assign({},u,{offsets:t.modifiersData.popperOffsets,position:t.options.strategy,adaptive:a,roundOffsets:l})))),null!=t.modifiersData.arrow&&(t.styles.arrow=Object.assign({},t.styles.arrow,Ae(Object.assign({},u,{offsets:t.modifiersData.arrow,position:"absolute",adaptive:!1,roundOffsets:l})))),t.attributes.popper=Object.assign({},t.attributes.popper,{"data-popper-placement":t.placement})},data:{}};const Te={name:"applyStyles",enabled:!0,phase:"write",fn:function(e){var t=e.state;Object.keys(t.elements).forEach((function(e){var r=t.styles[e]||{},n=t.attributes[e]||{},i=t.elements[e];j(i)&&_(i)&&(Object.assign(i.style,r),Object.keys(n).forEach((function(e){var t=n[e];!1===t?i.removeAttribute(e):i.setAttribute(e,!0===t?"":t)})))}))},effect:function(e){var t=e.state,r={popper:{position:t.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};return Object.assign(t.elements.popper.style,r.popper),t.styles=r,t.elements.arrow&&Object.assign(t.elements.arrow.style,r.arrow),function(){Object.keys(t.elements).forEach((function(e){var n=t.elements[e],i=t.attributes[e]||{},o=Object.keys(t.styles.hasOwnProperty(e)?t.styles[e]:r[e]).reduce((function(e,t){return e[t]="",e}),{});j(n)&&_(n)&&(Object.assign(n.style,o),Object.keys(i).forEach((function(e){n.removeAttribute(e)})))}))}},requires:["computeStyles"]};const Le={name:"offset",enabled:!0,phase:"main",requires:["popperOffsets"],fn:function(e){var t=e.state,r=e.options,n=e.name,i=r.offset,o=void 0===i?[0,0]:i,a=fe.reduce((function(e,r){return e[r]=function(e,t,r){var n=be(e),i=[re,Q].indexOf(n)>=0?-1:1,o="function"==typeof r?r(Object.assign({},t,{placement:e})):r,a=o[0],s=o[1];return a=a||0,s=(s||0)*i,[re,te].indexOf(n)>=0?{x:s,y:a}:{x:a,y:s}}(r,t.rects,o),e}),{}),s=a[t.placement],l=s.x,u=s.y;null!=t.modifiersData.popperOffsets&&(t.modifiersData.popperOffsets.x+=l,t.modifiersData.popperOffsets.y+=u),t.modifiersData[n]=a}};var $e={left:"right",right:"left",bottom:"top",top:"bottom"};function Se(e){return e.replace(/left|right|bottom|top/g,(function(e){return $e[e]}))}var Ne={start:"end",end:"start"};function Ce(e){return e.replace(/start|end/g,(function(e){return Ne[e]}))}function je(e,t){var r=t.getRootNode&&t.getRootNode();if(e.contains(t))return!0;if(r&&P(r)){var n=t;do{if(n&&e.isSameNode(n))return!0;n=n.parentNode||n.host}while(n)}return!1}function Pe(e){return Object.assign({},e,{left:e.x,top:e.y,right:e.x+e.width,bottom:e.y+e.height})}function De(e,t){return t===le?Pe(function(e){var t=N(e),r=B(e),n=t.visualViewport,i=r.clientWidth,o=r.clientHeight,a=0,s=0;return n&&(i=n.width,o=n.height,/^((?!chrome|android).)*safari/i.test(navigator.userAgent)||(a=n.offsetLeft,s=n.offsetTop)),{width:i,height:o,x:a+U(e),y:s}}(e)):C(t)?function(e){var t=F(e);return t.top=t.top+e.clientTop,t.left=t.left+e.clientLeft,t.bottom=t.top+e.clientHeight,t.right=t.left+e.clientWidth,t.width=e.clientWidth,t.height=e.clientHeight,t.x=t.left,t.y=t.top,t}(t):Pe(function(e){var t,r=B(e),n=G(e),i=null==(t=e.ownerDocument)?void 0:t.body,o=D(r.scrollWidth,r.clientWidth,i?i.scrollWidth:0,i?i.clientWidth:0),a=D(r.scrollHeight,r.clientHeight,i?i.scrollHeight:0,i?i.clientHeight:0),s=-n.scrollLeft+U(e),l=-n.scrollTop;return"rtl"===H(i||r).direction&&(s+=D(r.clientWidth,i?i.clientWidth:0)-o),{width:o,height:a,x:s,y:l}}(B(e)))}function ke(e,t,r){var n="clippingParents"===t?function(e){var t=Y(W(e)),r=["absolute","fixed"].indexOf(H(e).position)>=0&&j(e)?K(e):e;return C(r)?t.filter((function(e){return C(e)&&je(e,r)&&"body"!==_(e)})):[]}(e):[].concat(t),i=[].concat(n,[r]),o=i[0],a=i.reduce((function(t,r){var n=De(e,r);return t.top=D(n.top,t.top),t.right=k(n.right,t.right),t.bottom=k(n.bottom,t.bottom),t.left=D(n.left,t.left),t}),De(e,o));return a.width=a.right-a.left,a.height=a.bottom-a.top,a.x=a.left,a.y=a.top,a}function Me(e){return Object.assign({},{top:0,right:0,bottom:0,left:0},e)}function Fe(e,t){return t.reduce((function(t,r){return t[r]=e,t}),{})}function Ge(e,t){void 0===t&&(t={});var r=t,n=r.placement,i=void 0===n?e.placement:n,o=r.boundary,a=void 0===o?se:o,s=r.rootBoundary,l=void 0===s?le:s,u=r.elementContext,c=void 0===u?ue:u,p=r.altBoundary,f=void 0!==p&&p,d=r.padding,h=void 0===d?0:d,m=Me("number"!=typeof h?h:Fe(h,ie)),v=c===ue?ce:ue,g=e.rects.popper,y=e.elements[f?v:c],E=ke(C(y)?y:y.contextElement||B(e.elements.popper),a,l),b=F(e.elements.reference),w=Oe({reference:b,element:g,strategy:"absolute",placement:i}),x=Pe(Object.assign({},g,w)),O=c===ue?x:b,I={top:E.top-O.top+m.top,bottom:O.bottom-E.bottom+m.bottom,left:E.left-O.left+m.left,right:O.right-E.right+m.right},A=e.modifiersData.offset;if(c===ue&&A){var R=A[i];Object.keys(I).forEach((function(e){var t=[te,ee].indexOf(e)>=0?1:-1,r=[Q,ee].indexOf(e)>=0?"y":"x";I[e]+=R[r]*t}))}return I}const _e={name:"flip",enabled:!0,phase:"main",fn:function(e){var t=e.state,r=e.options,n=e.name;if(!t.modifiersData[n]._skip){for(var i=r.mainAxis,o=void 0===i||i,a=r.altAxis,s=void 0===a||a,l=r.fallbackPlacements,u=r.padding,c=r.boundary,p=r.rootBoundary,f=r.altBoundary,d=r.flipVariations,h=void 0===d||d,m=r.allowedAutoPlacements,v=t.options.placement,g=be(v),y=l||(g===v||!h?[Se(v)]:function(e){if(be(e)===ne)return[];var t=Se(e);return[Ce(e),t,Ce(t)]}(v)),E=[v].concat(y).reduce((function(e,r){return e.concat(be(r)===ne?function(e,t){void 0===t&&(t={});var r=t,n=r.placement,i=r.boundary,o=r.rootBoundary,a=r.padding,s=r.flipVariations,l=r.allowedAutoPlacements,u=void 0===l?fe:l,c=we(n),p=c?s?pe:pe.filter((function(e){return we(e)===c})):ie,f=p.filter((function(e){return u.indexOf(e)>=0}));0===f.length&&(f=p);var d=f.reduce((function(t,r){return t[r]=Ge(e,{placement:r,boundary:i,rootBoundary:o,padding:a})[be(r)],t}),{});return Object.keys(d).sort((function(e,t){return d[e]-d[t]}))}(t,{placement:r,boundary:c,rootBoundary:p,padding:u,flipVariations:h,allowedAutoPlacements:m}):r)}),[]),b=t.rects.reference,w=t.rects.popper,x=new Map,O=!0,I=E[0],A=0;A<E.length;A++){var R=E[A],T=be(R),L=we(R)===oe,$=[Q,ee].indexOf(T)>=0,S=$?"width":"height",N=Ge(t,{placement:R,boundary:c,rootBoundary:p,altBoundary:f,padding:u}),C=$?L?te:re:L?ee:Q;b[S]>w[S]&&(C=Se(C));var j=Se(C),P=[];if(o&&P.push(N[T]<=0),s&&P.push(N[C]<=0,N[j]<=0),P.every((function(e){return e}))){I=R,O=!1;break}x.set(R,P)}if(O)for(var D=function(e){var t=E.find((function(t){var r=x.get(t);if(r)return r.slice(0,e).every((function(e){return e}))}));if(t)return I=t,"break"},k=h?3:1;k>0;k--){if("break"===D(k))break}t.placement!==I&&(t.modifiersData[n]._skip=!0,t.placement=I,t.reset=!0)}},requiresIfExists:["offset"],data:{_skip:!1}};function Be(e,t,r){return D(e,k(t,r))}const Ue={name:"preventOverflow",enabled:!0,phase:"main",fn:function(e){var t=e.state,r=e.options,n=e.name,i=r.mainAxis,o=void 0===i||i,a=r.altAxis,s=void 0!==a&&a,l=r.boundary,u=r.rootBoundary,c=r.altBoundary,p=r.padding,f=r.tether,d=void 0===f||f,h=r.tetherOffset,m=void 0===h?0:h,v=Ge(t,{boundary:l,rootBoundary:u,padding:p,altBoundary:c}),g=be(t.placement),y=we(t.placement),E=!y,b=xe(g),w="x"===b?"y":"x",x=t.modifiersData.popperOffsets,O=t.rects.reference,I=t.rects.popper,A="function"==typeof m?m(Object.assign({},t.rects,{placement:t.placement})):m,R="number"==typeof A?{mainAxis:A,altAxis:A}:Object.assign({mainAxis:0,altAxis:0},A),T=t.modifiersData.offset?t.modifiersData.offset[t.placement]:null,L={x:0,y:0};if(x){if(o){var $,S="y"===b?Q:re,N="y"===b?ee:te,C="y"===b?"height":"width",j=x[b],P=j+v[S],M=j-v[N],F=d?-I[C]/2:0,G=y===oe?O[C]:I[C],_=y===oe?-I[C]:-O[C],B=t.elements.arrow,U=d&&B?z(B):{width:0,height:0},H=t.modifiersData["arrow#persistent"]?t.modifiersData["arrow#persistent"].padding:{top:0,right:0,bottom:0,left:0},V=H[S],X=H[N],W=Be(0,O[C],U[C]),q=E?O[C]/2-F-W-V-R.mainAxis:G-W-V-R.mainAxis,Y=E?-O[C]/2+F+W+X+R.mainAxis:_+W+X+R.mainAxis,Z=t.elements.arrow&&K(t.elements.arrow),J=Z?"y"===b?Z.clientTop||0:Z.clientLeft||0:0,ne=null!=($=null==T?void 0:T[b])?$:0,ie=j+Y-ne,ae=Be(d?k(P,j+q-ne-J):P,j,d?D(M,ie):M);x[b]=ae,L[b]=ae-j}if(s){var se,le="x"===b?Q:re,ue="x"===b?ee:te,ce=x[w],pe="y"===w?"height":"width",fe=ce+v[le],de=ce-v[ue],he=-1!==[Q,re].indexOf(g),me=null!=(se=null==T?void 0:T[w])?se:0,ve=he?fe:ce-O[pe]-I[pe]-me+R.altAxis,ge=he?ce+O[pe]+I[pe]-me-R.altAxis:de,ye=d&&he?function(e,t,r){var n=Be(e,t,r);return n>r?r:n}(ve,ce,ge):Be(d?ve:fe,ce,d?ge:de);x[w]=ye,L[w]=ye-ce}t.modifiersData[n]=L}},requiresIfExists:["offset"]};var He=function(e,t){return Me("number"!=typeof(e="function"==typeof e?e(Object.assign({},t.rects,{placement:t.placement})):e)?e:Fe(e,ie))};const Ve={name:"arrow",enabled:!0,phase:"main",fn:function(e){var t,r=e.state,n=e.name,i=e.options,o=r.elements.arrow,a=r.modifiersData.popperOffsets,s=be(r.placement),l=xe(s),u=[re,te].indexOf(s)>=0?"height":"width";if(o&&a){var c=He(i.padding,r),p=z(o),f="y"===l?Q:re,d="y"===l?ee:te,h=r.rects.reference[u]+r.rects.reference[l]-a[l]-r.rects.popper[u],m=a[l]-r.rects.reference[l],v=K(o),g=v?"y"===l?v.clientHeight||0:v.clientWidth||0:0,y=h/2-m/2,E=c[f],b=g-p[u]-c[d],w=g/2-p[u]/2+y,x=Be(E,w,b),O=l;r.modifiersData[n]=((t={})[O]=x,t.centerOffset=x-w,t)}},effect:function(e){var t=e.state,r=e.options.element,n=void 0===r?"[data-popper-arrow]":r;null!=n&&("string"!=typeof n||(n=t.elements.popper.querySelector(n)))&&je(t.elements.popper,n)&&(t.elements.arrow=n)},requires:["popperOffsets"],requiresIfExists:["preventOverflow"]};function Xe(e,t,r){return void 0===r&&(r={x:0,y:0}),{top:e.top-t.height-r.y,right:e.right-t.width+r.x,bottom:e.bottom-t.height+r.y,left:e.left-t.width-r.x}}function ze(e){return[Q,te,ee,re].some((function(t){return e[t]>=0}))}var We=ge({defaultModifiers:[Ee,{name:"popperOffsets",enabled:!0,phase:"read",fn:function(e){var t=e.state,r=e.name;t.modifiersData[r]=Oe({reference:t.rects.reference,element:t.rects.popper,strategy:"absolute",placement:t.placement})},data:{}},Re,Te,Le,_e,Ue,Ve,{name:"hide",enabled:!0,phase:"main",requiresIfExists:["preventOverflow"],fn:function(e){var t=e.state,r=e.name,n=t.rects.reference,i=t.rects.popper,o=t.modifiersData.preventOverflow,a=Ge(t,{elementContext:"reference"}),s=Ge(t,{altBoundary:!0}),l=Xe(a,n),u=Xe(s,i,o),c=ze(l),p=ze(u);t.modifiersData[r]={referenceClippingOffsets:l,popperEscapeOffsets:u,isReferenceHidden:c,hasPopperEscaped:p},t.attributes.popper=Object.assign({},t.attributes.popper,{"data-popper-reference-hidden":c,"data-popper-escaped":p})}}]}),qe="tippy-box",Ye="tippy-content",Ze="tippy-backdrop",Je="tippy-arrow",Ke="tippy-svg-arrow",Qe={passive:!0,capture:!0},et=function(){return document.body};function tt(e,t,r){if(Array.isArray(e)){var n=e[t];return null==n?Array.isArray(r)?r[t]:r:n}return e}function rt(e,t){var r={}.toString.call(e);return 0===r.indexOf("[object")&&r.indexOf(t+"]")>-1}function nt(e,t){return"function"==typeof e?e.apply(void 0,t):e}function it(e,t){return 0===t?e:function(n){clearTimeout(r),r=setTimeout((function(){e(n)}),t)};var r}function ot(e){return[].concat(e)}function at(e,t){-1===e.indexOf(t)&&e.push(t)}function st(e){return e.split("-")[0]}function lt(e){return[].slice.call(e)}function ut(e){return Object.keys(e).reduce((function(t,r){return void 0!==e[r]&&(t[r]=e[r]),t}),{})}function ct(){return document.createElement("div")}function pt(e){return["Element","Fragment"].some((function(t){return rt(e,t)}))}function ft(e){return rt(e,"MouseEvent")}function dt(e){return!(!e||!e._tippy||e._tippy.reference!==e)}function ht(e){return pt(e)?[e]:function(e){return rt(e,"NodeList")}(e)?lt(e):Array.isArray(e)?e:lt(document.querySelectorAll(e))}function mt(e,t){e.forEach((function(e){e&&(e.style.transitionDuration=t+"ms")}))}function vt(e,t){e.forEach((function(e){e&&e.setAttribute("data-state",t)}))}function gt(e){var t,r=ot(e)[0];return null!=r&&null!=(t=r.ownerDocument)&&t.body?r.ownerDocument:document}function yt(e,t,r){var n=t+"EventListener";["transitionend","webkitTransitionEnd"].forEach((function(t){e[n](t,r)}))}function Et(e,t){for(var r=t;r;){var n;if(e.contains(r))return!0;r=null==r.getRootNode||null==(n=r.getRootNode())?void 0:n.host}return!1}var bt={isTouch:!1},wt=0;function xt(){bt.isTouch||(bt.isTouch=!0,window.performance&&document.addEventListener("mousemove",Ot))}function Ot(){var e=performance.now();e-wt<20&&(bt.isTouch=!1,document.removeEventListener("mousemove",Ot)),wt=e}function It(){var e=document.activeElement;if(dt(e)){var t=e._tippy;e.blur&&!t.state.isVisible&&e.blur()}}var At=!!("undefined"!=typeof window&&"undefined"!=typeof document)&&!!window.msCrypto;var Rt={animateFill:!1,followCursor:!1,inlinePositioning:!1,sticky:!1},Tt=Object.assign({appendTo:et,aria:{content:"auto",expanded:"auto"},delay:0,duration:[300,250],getReferenceClientRect:null,hideOnClick:!0,ignoreAttributes:!1,interactive:!1,interactiveBorder:2,interactiveDebounce:0,moveTransition:"",offset:[0,10],onAfterUpdate:function(){},onBeforeUpdate:function(){},onCreate:function(){},onDestroy:function(){},onHidden:function(){},onHide:function(){},onMount:function(){},onShow:function(){},onShown:function(){},onTrigger:function(){},onUntrigger:function(){},onClickOutside:function(){},placement:"top",plugins:[],popperOptions:{},render:null,showOnCreate:!1,touch:!0,trigger:"mouseenter focus",triggerTarget:null},Rt,{allowHTML:!1,animation:"fade",arrow:!0,content:"",inertia:!1,maxWidth:350,role:"tooltip",theme:"",zIndex:9999}),Lt=Object.keys(Tt);function $t(e){var t=(e.plugins||[]).reduce((function(t,r){var n,i=r.name,o=r.defaultValue;i&&(t[i]=void 0!==e[i]?e[i]:null!=(n=Tt[i])?n:o);return t}),{});return Object.assign({},e,t)}function St(e,t){var r=Object.assign({},t,{content:nt(t.content,[e])},t.ignoreAttributes?{}:function(e,t){return(t?Object.keys($t(Object.assign({},Tt,{plugins:t}))):Lt).reduce((function(t,r){var n=(e.getAttribute("data-tippy-"+r)||"").trim();if(!n)return t;if("content"===r)t[r]=n;else try{t[r]=JSON.parse(n)}catch(e){t[r]=n}return t}),{})}(e,t.plugins));return r.aria=Object.assign({},Tt.aria,r.aria),r.aria={expanded:"auto"===r.aria.expanded?t.interactive:r.aria.expanded,content:"auto"===r.aria.content?t.interactive?null:"describedby":r.aria.content},r}var Nt=function(){return"innerHTML"};function Ct(e,t){e[Nt()]=t}function jt(e){var t=ct();return!0===e?t.className=Je:(t.className=Ke,pt(e)?t.appendChild(e):Ct(t,e)),t}function Pt(e,t){pt(t.content)?(Ct(e,""),e.appendChild(t.content)):"function"!=typeof t.content&&(t.allowHTML?Ct(e,t.content):e.textContent=t.content)}function Dt(e){var t=e.firstElementChild,r=lt(t.children);return{box:t,content:r.find((function(e){return e.classList.contains(Ye)})),arrow:r.find((function(e){return e.classList.contains(Je)||e.classList.contains(Ke)})),backdrop:r.find((function(e){return e.classList.contains(Ze)}))}}function kt(e){var t=ct(),r=ct();r.className=qe,r.setAttribute("data-state","hidden"),r.setAttribute("tabindex","-1");var n=ct();function i(r,n){var i=Dt(t),o=i.box,a=i.content,s=i.arrow;n.theme?o.setAttribute("data-theme",n.theme):o.removeAttribute("data-theme"),"string"==typeof n.animation?o.setAttribute("data-animation",n.animation):o.removeAttribute("data-animation"),n.inertia?o.setAttribute("data-inertia",""):o.removeAttribute("data-inertia"),o.style.maxWidth="number"==typeof n.maxWidth?n.maxWidth+"px":n.maxWidth,n.role?o.setAttribute("role",n.role):o.removeAttribute("role"),r.content===n.content&&r.allowHTML===n.allowHTML||Pt(a,e.props),n.arrow?s?r.arrow!==n.arrow&&(o.removeChild(s),o.appendChild(jt(n.arrow))):o.appendChild(jt(n.arrow)):s&&o.removeChild(s)}return n.className=Ye,n.setAttribute("data-state","hidden"),Pt(n,e.props),t.appendChild(r),r.appendChild(n),i(e.props,e.props),{popper:t,onUpdate:i}}kt.$$tippy=!0;var Mt=1,Ft=[],Gt=[];function _t(e,t){var r,n,i,o,a,s,l,u,c=St(e,Object.assign({},Tt,$t(ut(t)))),p=!1,f=!1,d=!1,h=!1,m=[],v=it(W,c.interactiveDebounce),g=Mt++,y=(u=c.plugins).filter((function(e,t){return u.indexOf(e)===t})),E={id:g,reference:e,popper:ct(),popperInstance:null,props:c,state:{isEnabled:!0,isVisible:!1,isDestroyed:!1,isMounted:!1,isShown:!1},plugins:y,clearDelayTimeouts:function(){clearTimeout(r),clearTimeout(n),cancelAnimationFrame(i)},setProps:function(t){0;if(E.state.isDestroyed)return;j("onBeforeUpdate",[E,t]),X();var r=E.props,n=St(e,Object.assign({},r,ut(t),{ignoreAttributes:!0}));E.props=n,V(),r.interactiveDebounce!==n.interactiveDebounce&&(k(),v=it(W,n.interactiveDebounce));r.triggerTarget&&!n.triggerTarget?ot(r.triggerTarget).forEach((function(e){e.removeAttribute("aria-expanded")})):n.triggerTarget&&e.removeAttribute("aria-expanded");D(),C(),x&&x(r,n);E.popperInstance&&(J(),Q().forEach((function(e){requestAnimationFrame(e._tippy.popperInstance.forceUpdate)})));j("onAfterUpdate",[E,t])},setContent:function(e){E.setProps({content:e})},show:function(){0;var e=E.state.isVisible,t=E.state.isDestroyed,r=!E.state.isEnabled,n=bt.isTouch&&!E.props.touch,i=tt(E.props.duration,0,Tt.duration);if(e||t||r||n)return;if(L().hasAttribute("disabled"))return;if(j("onShow",[E],!1),!1===E.props.onShow(E))return;E.state.isVisible=!0,T()&&(w.style.visibility="visible");C(),_(),E.state.isMounted||(w.style.transition="none");if(T()){var o=S();mt([o.box,o.content],0)}s=function(){var e;if(E.state.isVisible&&!h){if(h=!0,w.offsetHeight,w.style.transition=E.props.moveTransition,T()&&E.props.animation){var t=S(),r=t.box,n=t.content;mt([r,n],i),vt([r,n],"visible")}P(),D(),at(Gt,E),null==(e=E.popperInstance)||e.forceUpdate(),j("onMount",[E]),E.props.animation&&T()&&function(e,t){U(e,t)}(i,(function(){E.state.isShown=!0,j("onShown",[E])}))}},function(){var e,t=E.props.appendTo,r=L();e=E.props.interactive&&t===et||"parent"===t?r.parentNode:nt(t,[r]);e.contains(w)||e.appendChild(w);E.state.isMounted=!0,J(),!1}()},hide:function(){0;var e=!E.state.isVisible,t=E.state.isDestroyed,r=!E.state.isEnabled,n=tt(E.props.duration,1,Tt.duration);if(e||t||r)return;if(j("onHide",[E],!1),!1===E.props.onHide(E))return;E.state.isVisible=!1,E.state.isShown=!1,h=!1,p=!1,T()&&(w.style.visibility="hidden");if(k(),B(),C(!0),T()){var i=S(),o=i.box,a=i.content;E.props.animation&&(mt([o,a],n),vt([o,a],"hidden"))}P(),D(),E.props.animation?T()&&function(e,t){U(e,(function(){!E.state.isVisible&&w.parentNode&&w.parentNode.contains(w)&&t()}))}(n,E.unmount):E.unmount()},hideWithInteractivity:function(e){0;$().addEventListener("mousemove",v),at(Ft,v),v(e)},enable:function(){E.state.isEnabled=!0},disable:function(){E.hide(),E.state.isEnabled=!1},unmount:function(){0;E.state.isVisible&&E.hide();if(!E.state.isMounted)return;K(),Q().forEach((function(e){e._tippy.unmount()})),w.parentNode&&w.parentNode.removeChild(w);Gt=Gt.filter((function(e){return e!==E})),E.state.isMounted=!1,j("onHidden",[E])},destroy:function(){0;if(E.state.isDestroyed)return;E.clearDelayTimeouts(),E.unmount(),X(),delete e._tippy,E.state.isDestroyed=!0,j("onDestroy",[E])}};if(!c.render)return E;var b=c.render(E),w=b.popper,x=b.onUpdate;w.setAttribute("data-tippy-root",""),w.id="tippy-"+E.id,E.popper=w,e._tippy=E,w._tippy=E;var O=y.map((function(e){return e.fn(E)})),I=e.hasAttribute("aria-expanded");return V(),D(),C(),j("onCreate",[E]),c.showOnCreate&&ee(),w.addEventListener("mouseenter",(function(){E.props.interactive&&E.state.isVisible&&E.clearDelayTimeouts()})),w.addEventListener("mouseleave",(function(){E.props.interactive&&E.props.trigger.indexOf("mouseenter")>=0&&$().addEventListener("mousemove",v)})),E;function A(){var e=E.props.touch;return Array.isArray(e)?e:[e,0]}function R(){return"hold"===A()[0]}function T(){var e;return!(null==(e=E.props.render)||!e.$$tippy)}function L(){return l||e}function $(){var e=L().parentNode;return e?gt(e):document}function S(){return Dt(w)}function N(e){return E.state.isMounted&&!E.state.isVisible||bt.isTouch||o&&"focus"===o.type?0:tt(E.props.delay,e?0:1,Tt.delay)}function C(e){void 0===e&&(e=!1),w.style.pointerEvents=E.props.interactive&&!e?"":"none",w.style.zIndex=""+E.props.zIndex}function j(e,t,r){var n;(void 0===r&&(r=!0),O.forEach((function(r){r[e]&&r[e].apply(r,t)})),r)&&(n=E.props)[e].apply(n,t)}function P(){var t=E.props.aria;if(t.content){var r="aria-"+t.content,n=w.id;ot(E.props.triggerTarget||e).forEach((function(e){var t=e.getAttribute(r);if(E.state.isVisible)e.setAttribute(r,t?t+" "+n:n);else{var i=t&&t.replace(n,"").trim();i?e.setAttribute(r,i):e.removeAttribute(r)}}))}}function D(){!I&&E.props.aria.expanded&&ot(E.props.triggerTarget||e).forEach((function(e){E.props.interactive?e.setAttribute("aria-expanded",E.state.isVisible&&e===L()?"true":"false"):e.removeAttribute("aria-expanded")}))}function k(){$().removeEventListener("mousemove",v),Ft=Ft.filter((function(e){return e!==v}))}function M(t){if(!bt.isTouch||!d&&"mousedown"!==t.type){var r=t.composedPath&&t.composedPath()[0]||t.target;if(!E.props.interactive||!Et(w,r)){if(ot(E.props.triggerTarget||e).some((function(e){return Et(e,r)}))){if(bt.isTouch)return;if(E.state.isVisible&&E.props.trigger.indexOf("click")>=0)return}else j("onClickOutside",[E,t]);!0===E.props.hideOnClick&&(E.clearDelayTimeouts(),E.hide(),f=!0,setTimeout((function(){f=!1})),E.state.isMounted||B())}}}function F(){d=!0}function G(){d=!1}function _(){var e=$();e.addEventListener("mousedown",M,!0),e.addEventListener("touchend",M,Qe),e.addEventListener("touchstart",G,Qe),e.addEventListener("touchmove",F,Qe)}function B(){var e=$();e.removeEventListener("mousedown",M,!0),e.removeEventListener("touchend",M,Qe),e.removeEventListener("touchstart",G,Qe),e.removeEventListener("touchmove",F,Qe)}function U(e,t){var r=S().box;function n(e){e.target===r&&(yt(r,"remove",n),t())}if(0===e)return t();yt(r,"remove",a),yt(r,"add",n),a=n}function H(t,r,n){void 0===n&&(n=!1),ot(E.props.triggerTarget||e).forEach((function(e){e.addEventListener(t,r,n),m.push({node:e,eventType:t,handler:r,options:n})}))}function V(){var e;R()&&(H("touchstart",z,{passive:!0}),H("touchend",q,{passive:!0})),(e=E.props.trigger,e.split(/\s+/).filter(Boolean)).forEach((function(e){if("manual"!==e)switch(H(e,z),e){case"mouseenter":H("mouseleave",q);break;case"focus":H(At?"focusout":"blur",Y);break;case"focusin":H("focusout",Y)}}))}function X(){m.forEach((function(e){var t=e.node,r=e.eventType,n=e.handler,i=e.options;t.removeEventListener(r,n,i)})),m=[]}function z(e){var t,r=!1;if(E.state.isEnabled&&!Z(e)&&!f){var n="focus"===(null==(t=o)?void 0:t.type);o=e,l=e.currentTarget,D(),!E.state.isVisible&&ft(e)&&Ft.forEach((function(t){return t(e)})),"click"===e.type&&(E.props.trigger.indexOf("mouseenter")<0||p)&&!1!==E.props.hideOnClick&&E.state.isVisible?r=!0:ee(e),"click"===e.type&&(p=!r),r&&!n&&te(e)}}function W(e){var t=e.target,r=L().contains(t)||w.contains(t);if("mousemove"!==e.type||!r){var n=Q().concat(w).map((function(e){var t,r=null==(t=e._tippy.popperInstance)?void 0:t.state;return r?{popperRect:e.getBoundingClientRect(),popperState:r,props:c}:null})).filter(Boolean);(function(e,t){var r=t.clientX,n=t.clientY;return e.every((function(e){var t=e.popperRect,i=e.popperState,o=e.props.interactiveBorder,a=st(i.placement),s=i.modifiersData.offset;if(!s)return!0;var l="bottom"===a?s.top.y:0,u="top"===a?s.bottom.y:0,c="right"===a?s.left.x:0,p="left"===a?s.right.x:0,f=t.top-n+l>o,d=n-t.bottom-u>o,h=t.left-r+c>o,m=r-t.right-p>o;return f||d||h||m}))})(n,e)&&(k(),te(e))}}function q(e){Z(e)||E.props.trigger.indexOf("click")>=0&&p||(E.props.interactive?E.hideWithInteractivity(e):te(e))}function Y(e){E.props.trigger.indexOf("focusin")<0&&e.target!==L()||E.props.interactive&&e.relatedTarget&&w.contains(e.relatedTarget)||te(e)}function Z(e){return!!bt.isTouch&&R()!==e.type.indexOf("touch")>=0}function J(){K();var t=E.props,r=t.popperOptions,n=t.placement,i=t.offset,o=t.getReferenceClientRect,a=t.moveTransition,l=T()?Dt(w).arrow:null,u=o?{getBoundingClientRect:o,contextElement:o.contextElement||L()}:e,c={name:"$$tippy",enabled:!0,phase:"beforeWrite",requires:["computeStyles"],fn:function(e){var t=e.state;if(T()){var r=S().box;["placement","reference-hidden","escaped"].forEach((function(e){"placement"===e?r.setAttribute("data-placement",t.placement):t.attributes.popper["data-popper-"+e]?r.setAttribute("data-"+e,""):r.removeAttribute("data-"+e)})),t.attributes.popper={}}}},p=[{name:"offset",options:{offset:i}},{name:"preventOverflow",options:{padding:{top:2,bottom:2,left:5,right:5}}},{name:"flip",options:{padding:5}},{name:"computeStyles",options:{adaptive:!a}},c];T()&&l&&p.push({name:"arrow",options:{element:l,padding:3}}),p.push.apply(p,(null==r?void 0:r.modifiers)||[]),E.popperInstance=We(u,w,Object.assign({},r,{placement:n,onFirstUpdate:s,modifiers:p}))}function K(){E.popperInstance&&(E.popperInstance.destroy(),E.popperInstance=null)}function Q(){return lt(w.querySelectorAll("[data-tippy-root]"))}function ee(e){E.clearDelayTimeouts(),e&&j("onTrigger",[E,e]),_();var t=N(!0),n=A(),i=n[0],o=n[1];bt.isTouch&&"hold"===i&&o&&(t=o),t?r=setTimeout((function(){E.show()}),t):E.show()}function te(e){if(E.clearDelayTimeouts(),j("onUntrigger",[E,e]),E.state.isVisible){if(!(E.props.trigger.indexOf("mouseenter")>=0&&E.props.trigger.indexOf("click")>=0&&["mouseleave","mousemove"].indexOf(e.type)>=0&&p)){var t=N(!1);t?n=setTimeout((function(){E.state.isVisible&&E.hide()}),t):i=requestAnimationFrame((function(){E.hide()}))}}else B()}}function Bt(e,t){void 0===t&&(t={});var r=Tt.plugins.concat(t.plugins||[]);document.addEventListener("touchstart",xt,Qe),window.addEventListener("blur",It);var n=Object.assign({},t,{plugins:r}),i=ht(e).reduce((function(e,t){var r=t&&_t(t,n);return r&&e.push(r),e}),[]);return pt(e)?i[0]:i}Bt.defaultProps=Tt,Bt.setDefaultProps=function(e){Object.keys(e).forEach((function(t){Tt[t]=e[t]}))},Bt.currentInput=bt;Object.assign({},Te,{effect:function(e){var t=e.state,r={popper:{position:t.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};Object.assign(t.elements.popper.style,r.popper),t.styles=r,t.elements.arrow&&Object.assign(t.elements.arrow.style,r.arrow)}});var Ut={clientX:0,clientY:0},Ht=[];function Vt(e){var t=e.clientX,r=e.clientY;Ut={clientX:t,clientY:r}}var Xt={name:"followCursor",defaultValue:!1,fn:function(e){var t=e.reference,r=gt(e.props.triggerTarget||t),n=!1,i=!1,o=!0,a=e.props;function s(){return"initial"===e.props.followCursor&&e.state.isVisible}function l(){r.addEventListener("mousemove",p)}function u(){r.removeEventListener("mousemove",p)}function c(){n=!0,e.setProps({getReferenceClientRect:null}),n=!1}function p(r){var n=!r.target||t.contains(r.target),i=e.props.followCursor,o=r.clientX,a=r.clientY,s=t.getBoundingClientRect(),l=o-s.left,u=a-s.top;!n&&e.props.interactive||e.setProps({getReferenceClientRect:function(){var e=t.getBoundingClientRect(),r=o,n=a;"initial"===i&&(r=e.left+l,n=e.top+u);var s="horizontal"===i?e.top:n,c="vertical"===i?e.right:r,p="horizontal"===i?e.bottom:n,f="vertical"===i?e.left:r;return{width:c-f,height:p-s,top:s,right:c,bottom:p,left:f}}})}function f(){e.props.followCursor&&(Ht.push({instance:e,doc:r}),function(e){e.addEventListener("mousemove",Vt)}(r))}function d(){0===(Ht=Ht.filter((function(t){return t.instance!==e}))).filter((function(e){return e.doc===r})).length&&function(e){e.removeEventListener("mousemove",Vt)}(r)}return{onCreate:f,onDestroy:d,onBeforeUpdate:function(){a=e.props},onAfterUpdate:function(t,r){var o=r.followCursor;n||void 0!==o&&a.followCursor!==o&&(d(),o?(f(),!e.state.isMounted||i||s()||l()):(u(),c()))},onMount:function(){e.props.followCursor&&!i&&(o&&(p(Ut),o=!1),s()||l())},onTrigger:function(e,t){ft(t)&&(Ut={clientX:t.clientX,clientY:t.clientY}),i="focus"===t.type},onHidden:function(){e.props.followCursor&&(c(),u(),o=!0)}}}};Bt.setDefaultProps({render:kt});const zt=Bt;var Wt=c(55);function qt(e,t){if(null==e)return{};var r,n,i={},o=Object.keys(e);for(n=0;n<o.length;n++)r=o[n],t.indexOf(r)>=0||(i[r]=e[r]);return i}var Yt="undefined"!=typeof window&&"undefined"!=typeof document;function Zt(e,t){e&&("function"==typeof e&&e(t),{}.hasOwnProperty.call(e,"current")&&(e.current=t))}function Jt(){return Yt&&document.createElement("div")}function Kt(e,t){if(e===t)return!0;if("object"==typeof e&&null!=e&&"object"==typeof t&&null!=t){if(Object.keys(e).length!==Object.keys(t).length)return!1;for(var r in e){if(!t.hasOwnProperty(r))return!1;if(!Kt(e[r],t[r]))return!1}return!0}return!1}function Qt(e){var t=[];return e.forEach((function(e){t.find((function(t){return Kt(e,t)}))||t.push(e)})),t}function er(e,t){var r,n;return Object.assign({},t,{popperOptions:Object.assign({},e.popperOptions,t.popperOptions,{modifiers:Qt([].concat((null==(r=e.popperOptions)?void 0:r.modifiers)||[],(null==(n=t.popperOptions)?void 0:n.modifiers)||[]))})})}var tr=Yt?n.useLayoutEffect:n.useEffect;function rr(e){var t=(0,n.useRef)();return t.current||(t.current="function"==typeof e?e():e),t.current}function nr(e,t,r){r.split(/\s+/).forEach((function(r){r&&e.classList[t](r)}))}var ir={name:"className",defaultValue:"",fn:function(e){var t=e.popper.firstElementChild,r=function(){var t;return!!(null==(t=e.props.render)?void 0:t.$$tippy)};function n(){e.props.className&&!r()||nr(t,"add",e.props.className)}return{onCreate:n,onBeforeUpdate:function(){r()&&nr(t,"remove",e.props.className)},onAfterUpdate:n}}};function or(e){return function(t){var r=t.children,o=t.content,a=t.visible,s=t.singleton,l=t.render,u=t.reference,c=t.disabled,p=void 0!==c&&c,f=t.ignoreAttributes,d=void 0===f||f,h=(t.__source,t.__self,qt(t,["children","content","visible","singleton","render","reference","disabled","ignoreAttributes","__source","__self"])),m=void 0!==a,v=void 0!==s,g=(0,n.useState)(!1),y=g[0],E=g[1],b=(0,n.useState)({}),w=b[0],x=b[1],O=(0,n.useState)(),I=O[0],A=O[1],R=rr((function(){return{container:Jt(),renders:1}})),T=Object.assign({ignoreAttributes:d},h,{content:R.container});m&&(T.trigger="manual",T.hideOnClick=!1),v&&(p=!0);var L=T,$=T.plugins||[];l&&(L=Object.assign({},T,{plugins:v&&null!=s.data?[].concat($,[{fn:function(){return{onTrigger:function(e,t){var r=s.data.children.find((function(e){return e.instance.reference===t.currentTarget}));e.state.$$activeSingletonInstance=r.instance,A(r.content)}}}}]):$,render:function(){return{popper:R.container}}}));var S=[u].concat(r?[r.type]:[]);return tr((function(){var t=u;u&&u.hasOwnProperty("current")&&(t=u.current);var r=e(t||R.ref||Jt(),Object.assign({},L,{plugins:[ir].concat(T.plugins||[])}));return R.instance=r,p&&r.disable(),a&&r.show(),v&&s.hook({instance:r,content:o,props:L,setSingletonContent:A}),E(!0),function(){r.destroy(),null==s||s.cleanup(r)}}),S),tr((function(){var e;if(1!==R.renders){var t=R.instance;t.setProps(er(t.props,L)),null==(e=t.popperInstance)||e.forceUpdate(),p?t.disable():t.enable(),m&&(a?t.show():t.hide()),v&&s.hook({instance:t,content:o,props:L,setSingletonContent:A})}else R.renders++})),tr((function(){var e;if(l){var t=R.instance;t.setProps({popperOptions:Object.assign({},t.props.popperOptions,{modifiers:[].concat(((null==(e=t.props.popperOptions)?void 0:e.modifiers)||[]).filter((function(e){return"$$tippyReact"!==e.name})),[{name:"$$tippyReact",enabled:!0,phase:"beforeWrite",requires:["computeStyles"],fn:function(e){var t,r=e.state,n=null==(t=r.modifiersData)?void 0:t.hide;w.placement===r.placement&&w.referenceHidden===(null==n?void 0:n.isReferenceHidden)&&w.escaped===(null==n?void 0:n.hasPopperEscaped)||x({placement:r.placement,referenceHidden:null==n?void 0:n.isReferenceHidden,escaped:null==n?void 0:n.hasPopperEscaped}),r.attributes.popper={}}}])})})}}),[w.placement,w.referenceHidden,w.escaped].concat(S)),i().createElement(i().Fragment,null,r?(0,n.cloneElement)(r,{ref:function(e){R.ref=e,Zt(r.ref,e)}}):null,y&&(0,Wt.createPortal)(l?l(function(e){var t={"data-placement":e.placement};return e.referenceHidden&&(t["data-reference-hidden"]=""),e.escaped&&(t["data-escaped"]=""),t}(w),I,R.instance):o,R.container))}}var ar=function(e,t){return(0,n.forwardRef)((function(r,o){var a=r.children,s=qt(r,["children"]);return i().createElement(e,Object.assign({},t,s),a?(0,n.cloneElement)(a,{ref:function(e){Zt(o,e),Zt(a.ref,e)}}):null)}))};const sr=ar(or(zt));var lr;var ur,cr,pr,fr,dr=function(e){var t=e.content,r=e.children,n=(0,o.useStyles2)(hr);return i().createElement(sr,{maxWidth:"100%",followCursor:!0,plugins:[Xt],content:t,animation:!1,className:n.tooltip},r)},hr=function(e){return{tooltip:(0,s.css)(lr||(t=["\n    border-radius: ",";\n    background-color: ",";\n    padding: ",";\n    box-shadow: 0px 0px 20px ",";\n  "],r||(r=t.slice(0)),lr=Object.freeze(Object.defineProperties(t,{raw:{value:Object.freeze(r)}}))),e.v1.border.radius.sm,e.v1.colors.bg2,e.v1.spacing.sm,e.v1.colors.dropdownShadow)};var t,r};function mr(e){return mr="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},mr(e)}function vr(e,t,r){return(t=function(e){var t=function(e,t){if("object"!==mr(e)||null===e)return e;var r=e[Symbol.toPrimitive];if(void 0!==r){var n=r.call(e,t||"default");if("object"!==mr(n))return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return("string"===t?String:Number)(e)}(e,"string");return"symbol"===mr(t)?t:String(t)}(t))in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function gr(e,t){return t||(t=e.slice(0)),Object.freeze(Object.defineProperties(e,{raw:{value:Object.freeze(t)}}))}var yr=function(e){var t,r,n=e.x,a=e.y,l=e.width,u=e.height,c=e.label,p=e.value,f=e.labels,d=e.onClick,h=e.color,m=e.opacity,v=(0,o.useTheme2)().v1,g={text:(0,s.css)(ur||(ur=gr(["\n      font-size: ",";\n      font-weight: 500;\n    "])),v.typography.size.base)},y=20,E=10,b=(null!==(t=null===(r=function(e,t){var r=document.createElement("canvas").getContext("2d");if(r)return r.font="".concat(t," sans-serif"),r.measureText(e)}(c,v.typography.size.base))||void 0===r?void 0:r.width)&&void 0!==t?t:0)+E+10<l&&y+10<u,w=i().createElement("div",null,i().createElement("div",null,c,cr||(cr=i().createElement("br",null)),p),f.map((function(e,t){return i().createElement(o.Badge,{key:t,className:(0,s.css)(pr||(pr=gr(["\n            margin-right: ",";\n            &:last-child {\n              margin-right: 0;\n            }\n          "])),v.spacing.xs),text:null!=e?e:"",color:"blue"})})));return i().createElement(dr,{content:w},i().createElement("g",{className:(0,s.cx)(vr({},(0,s.css)(fr||(fr=gr(["\n            cursor: pointer;\n          "]))),!!d)),onClick:d},i().createElement("rect",{x:n,y:a,rx:v.border.radius.sm,ry:v.border.radius.sm,width:l,height:u,fill:h,opacity:m}),b&&i().createElement("text",{className:g.text,x:n+E,y:a+y,fill:m<1?v.colors.text:v.colors.panelBg},c)))};function Er(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var r=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=r){var n,i,o,a,s=[],l=!0,u=!1;try{if(o=(r=r.call(e)).next,0===t){if(Object(r)!==r)return;l=!1}else for(;!(l=(n=o.call(r)).done)&&(s.push(n.value),s.length!==t);l=!0);}catch(e){u=!0,i=e}finally{try{if(!l&&null!=r.return&&(a=r.return(),Object(a)!==a))return}finally{if(u)throw i}}return s}}(e,t)||function(e,t){if(!e)return;if("string"==typeof e)return br(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);"Object"===r&&e.constructor&&(r=e.constructor.name);if("Map"===r||"Set"===r)return Array.from(e);if("Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r))return br(e,t)}(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function br(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var wr,xr=b("marcusolsson-treemap-panel",new r.PanelPlugin((function(e){var t=e.options,a=e.data,s=e.width,l=e.height,c=t.tiling,p=Er((0,n.useState)({x:0,y:0}),2),f=p[0],d=p[1],h=Er((0,n.useState)(""),2),v=h[0],g=h[1],y=Er((0,n.useState)([]),2),E=y[0],b=y[1],w=Er((0,n.useState)(!1),2),x=w[0],O=w[1],I=(0,o.useTheme2)().v1,$=a.series.map((function(e){var r,n;return{name:e.name,refId:e.refId,text:t.textField?e.fields.find((function(e){return e.name===t.textField})):e.fields.find((function(e){return"string"===e.type})),size:t.sizeField?e.fields.find((function(e){return e.name===t.sizeField})):e.fields.find((function(e){return"number"===e.type})),color:t.colorByField?e.fields.find((function(e){return e.name===t.colorByField})):e.fields.find((function(e){return"number"===e.type})),groupBy:e.fields.find((function(e){return e.name===t.groupByField})),labels:null!==(r=null===(n=t.labelFields)||void 0===n?void 0:n.map((function(t){return e.fields.find((function(e){return e.name===t}))})).filter((function(e){return e})).map((function(e){return e})))&&void 0!==r?r:[]}})).filter((function(e){return e.text&&e.size&&e.color}));if(0===$.length)return i().createElement("div",{style:{width:s,height:l}},i().createElement(u,{schema:[{description:"Tile label",type:r.FieldType.string},{description:"Tile size",type:r.FieldType.number}],fields:a.series.length>0?a.series[0].fields:[],url:"https://github.com/grafana/grafana-treemap-panel"}));var N=function(e){var t,r={name:"All"};return e.forEach((function(e){Array.from({length:e.text.values.length}).map((function(t,r){var n;return{label:e.text.values.get(r),value:e.size.values.get(r),group:null===(n=e.groupBy)||void 0===n?void 0:n.values.get(r),separator:e.text.config.custom.separator}})).forEach((function(t,n){var i,o=t.label,a=t.value,s=t.group,l=t.separator,u=o.endsWith(l)?o.slice(0,o.length-l.length):o,c=[null!==(i=e.name)&&void 0!==i?i:""];s&&c.push(s);var p=[].concat(c,L(u.split(l)));S(r,p[0]===r.name?p.slice(1):p,a,T({},e,{valueRowIndex:n}))}))})),1===(null===(t=r.children)||void 0===t?void 0:t.length)?{name:"All",children:r.children[0].children}:r}($),C=function(e,t,r,n){return R.treemap().tile(R[n]).size([t,r]).round(!0).paddingInner(4).paddingOuter(4).paddingTop(27)(R.hierarchy(e).sum((function(e){var t;return null!==(t=e.value)&&void 0!==t?t:0})).sort((function(e,t){var r,n;return(null!==(r=t.value)&&void 0!==r?r:0)-(null!==(n=e.value)&&void 0!==n?n:0)})))}(N,s,l,c);return i().createElement(i().Fragment,null,x&&i().createElement(A,{x:f.x,y:f.y,onClose:function(){return O(!1)},renderMenuItems:function(){return E},renderHeader:function(){return v}}),i().createElement("svg",{width:s,height:l},C.descendants().map((function(e,t){if(0===t)return null;var r=e.data;if(r.frame){var n,o=r.frame.text.values.get(r.frame.valueRowIndex),a=r.frame.size.values.get(r.frame.valueRowIndex),s=r.frame.color.values.get(r.frame.valueRowIndex),l=m(r.frame.size.display(a)),u=r.frame.color.display(s).color,c=void 0!==r.frame.valueRowIndex?null===(n=r.frame.labels)||void 0===n?void 0:n.map((function(e){return e.display(e.values.get(r.frame.valueRowIndex))})).map((function(e){return m(e)})):[];return i().createElement(yr,{key:t,x:e.x0,y:e.y0,width:e.x1-e.x0,height:e.y1-e.y0,label:r.name,value:l,labels:null!=c?c:[],color:u,onClick:function(e){d({x:e.clientX,y:e.clientY}),O(!0),g(i().createElement("small",null,"".concat(o,": ").concat(l))),b([{label:"Data links",items:r.frame.size.getLinks({valueRowIndex:r.frame.valueRowIndex}).map((function(e){return{label:e.title,ariaLabel:e.title,url:e.href,target:e.target,icon:"_self"===e.target?"link":"external-link-alt",onClick:e.onClick}}))}])},opacity:1})}return i().createElement(yr,{key:t,x:e.x0,y:e.y0,width:e.x1-e.x0,height:e.y1-e.y0,label:r.name,value:"",labels:[],color:I.colors.text,opacity:.05})}))))})).setNoPadding().useFieldConfig({useCustomConfig:function(e){return e.addTextInput({path:"separator",name:"Separator",description:"Split the field value.",shouldApply:function(e){return e.type===r.FieldType.string}})},standardOptions:(wr=[r.FieldConfigProperty.Decimals,r.FieldConfigProperty.Unit,r.FieldConfigProperty.Min,r.FieldConfigProperty.Max,r.FieldConfigProperty.Color,r.FieldConfigProperty.Thresholds,r.FieldConfigProperty.Links],function(e){var t=d.config.buildInfo.version;switch(e){case"color-scheme":return(0,h.gte)(t,"7.3.0");case"standard-options-object":case"field-config-with-min-max":return(0,h.gte)(t,"7.4.0");case"custom-editor-context":return(0,h.gte)(t,"7.0.3");default:return!1}}("standard-options-object")?wr.reduce((function(e,t){return e[t]={},e}),{}):wr)}).setPanelOptions((function(e){return e.addSelect({path:"tiling",name:"Tiling algorithm",description:"Determines where to make each split.",defaultValue:"treemapSquarify",settings:{options:[{label:"Binary",value:"treemapBinary"},{label:"Dice",value:"treemapDice"},{label:"Slice",value:"treemapSlice"},{label:"Slice Dice",value:"treemapSliceDice"},{label:"Squarify",value:"treemapSquarify"}]}}).addCustomEditor({id:"textField",path:"textField",name:"Label by",description:"Field to use for the text label. Defaults to the first textual field. All values must be unique.",editor:a,category:["Dimensions"],settings:{filterByType:[r.FieldType.string]}}).addCustomEditor({id:"sizeField",path:"sizeField",name:"Size by",description:"Field to use for size. Defaults to the first numeric field.",editor:a,category:["Dimensions"],settings:{filterByType:[r.FieldType.number]}}).addCustomEditor({id:"colorByField",path:"colorByField",name:"Color by",description:"Field to use for color. Defaults to the first numeric field.",editor:a,category:["Dimensions"],settings:{filterByType:[r.FieldType.number]}}).addCustomEditor({id:"groupByField",path:"groupByField",name:"Group by",description:"Field to group by.",category:["Dimensions"],editor:a}).addCustomEditor({id:"labelFields",path:"labelFields",name:"Additional labels",description:"Fields to use as labels in the tooltip.",category:["Dimensions"],editor:a,settings:{multi:!0}})})))})(),p})()));
//# sourceMappingURL=module.js.map