/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","@grafana/runtime","@grafana/ui","react","@emotion/css","@emotion/react","react-dom","redux","react-redux"],((e,t,n,r,i,o,a,s,l)=>(()=>{var u={7774:(e,t,n)=>{"use strict";var r=n(2007),i=n(5959),o=n(6089),a=(n(7781),n(9089));const s=(e,t,n)=>{const r=18*e.split("\n").length,i=t||200,o=n||1e3;return r<i?i:r>o?o:r},l=e=>({rootOutline:o.css`
      border: 1px solid ${e.colors.border.weak};
      background-color: ${e.colors.background.primary};
    `,header:o.css`
      padding: ${e.spacing(.5,.5)};
      min-height: ${e.spacing(4)};
      display: flex;
      align-items: center;
      justify-content: flex-start;
      white-space: nowrap;

      &:focus {
        outline: none;
      }
    `,headerSolid:o.css`
      border-radius: ${e.shape.radius?.default};
      background: ${e.colors.background.secondary};
    `,title:o.css`
      font-weight: ${e.typography.fontWeightBold};
      margin: ${e.spacing(0,.5)};
      overflow: hidden;
      text-overflow: ellipsis;
    `,collapseIcon:o.css`
      margin-left: ${e.spacing(.5)};
      color: ${e.colors.text.disabled};
    `,actions:o.css`
      margin-left: auto;
      display: flex;
      align-items: center;
    `});var u=(e=>(e.SELECT="select",e.SLIDER="slider",e.GROUP="group",e.CUSTOM="custom",e.COLOR="color",e.RADIO="radio",e.HIDDEN="hidden",e.INPUT="input",e.NUMBER_INPUT="numberInput",e.RANGE_SLIDER="rangeSlider",e.DATETIME_PICKER="datetimePicker",e))(u||{});const{default:c}=n(6364),{default:h}=(r.stylesFactory(((e,t,n=!1)=>{const{spacing:r}=e,i=e.colors.border.strong,s=e.colors.primary.main,l=e.colors.primary.main,u=`box-shadow: 0px 0px 0px 6px ${e.colors.primary.transparent}`;return{container:o.css({width:"100%",margin:t?r(1,0,2.5):r(1,3,1,1),paddingBottom:t&&n?e.spacing(1):"inherit",height:t?"auto":"100%"}),slider:o.css`
      .rc-slider {
        display: flex;
        flex-grow: 1;
        margin-left: 7px; // half the size of the handle to align handle to the left on 0 value
      }
      .rc-slider-mark {
        top: ${e.spacing(1.75)};
      }
      .rc-slider-mark-text {
        color: ${e.colors.text.disabled};
        font-size: ${e.typography.bodySmall.fontSize};
      }
      .rc-slider-mark-text-active {
        color: ${e.colors.text.primary};
      }
      .rc-slider-handle {
        border: none;
        background-color: ${l};
        box-shadow: ${e.shadows.z1};
        cursor: pointer;
        opacity: 1;
      }

      .rc-slider-handle:hover,
      .rc-slider-handle:active,
      .rc-slider-handle-click-focused:focus {
        ${u};
      }

      // The triple class names is needed because that's the specificity used in the source css :(
      .rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging,
      .rc-slider-handle:focus-visible {
        box-shadow: 0 0 0 4px ${e.colors.text.primary};
      }

      .rc-slider-dot,
      .rc-slider-dot-active {
        background-color: ${e.colors.text.primary};
        border-color: ${e.colors.text.primary};
      }

      .rc-slider-track {
        background-color: ${s};
      }
      .rc-slider-rail {
        background-color: ${i};
        cursor: pointer;
      }
    `,tooltip:a.css`
      body {
        .rc-slider-tooltip {
          cursor: grab;
          user-select: none;
          z-index: ${e.zIndex.tooltip};
        }

        .rc-slider-tooltip-inner {
          color: ${e.colors.text.primary};
          background-color: transparent !important;
          border-radius: 0;
          box-shadow: none;
        }

        .rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {
          display: none;
        }

        .rc-slider-tooltip-placement-top {
          padding: 0;
        }
        
        .rc-tooltip-hidden {
          display: none;
        }
      }
    `,sliderInput:o.css({display:"flex",flexDirection:"row",alignItems:"center",width:"100%"}),sliderInputVertical:o.css({flexDirection:"column",height:"100%",".rc-slider":{margin:0,order:2}}),sliderInputField:o.css({marginLeft:e.spacing(3),input:{textAlign:"center"}}),sliderInputFieldVertical:o.css({margin:`0 0 ${e.spacing(3)} 0`,order:1})}})),n(6067)),{default:d}=(r.stylesFactory(((e,t,n=!1)=>{const{spacing:r}=e,i=e.colors.border.strong,s=e.colors.primary.main,l=e.colors.primary.main,u=`box-shadow: 0px 0px 0px 6px ${e.colors.primary.transparent}`;return{container:o.css({width:"100%",margin:t?"inherit":r(1,3,1,1),paddingBottom:t&&n?e.spacing(1):"inherit",height:t?"auto":"100%"}),slider:o.css`
      .rc-slider {
        display: flex;
        flex-grow: 1;
        margin-left: 7px; // half the size of the handle to align handle to the left on 0 value
      }
      .rc-slider-mark {
        top: ${e.spacing(1.75)};
      }
      .rc-slider-mark-text {
        color: ${e.colors.text.disabled};
        font-size: ${e.typography.bodySmall.fontSize};
      }
      .rc-slider-mark-text-active {
        color: ${e.colors.text.primary};
      }
      .rc-slider-handle {
        border: none;
        background-color: ${l};
        box-shadow: ${e.shadows.z1};
        cursor: pointer;
        opacity: 1;
      }

      .rc-slider-handle:hover,
      .rc-slider-handle:active,
      .rc-slider-handle-click-focused:focus {
        ${u};
      }

      // The triple class names is needed because that's the specificity used in the source css :(
      .rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging,
      .rc-slider-handle:focus-visible {
        box-shadow: 0 0 0 5px ${e.colors.text.primary};
      }

      .rc-slider-dot,
      .rc-slider-dot-active {
        background-color: ${e.colors.text.primary};
        border-color: ${e.colors.text.primary};
      }

      .rc-slider-track {
        background-color: ${s};
      }
      .rc-slider-rail {
        background-color: ${i};
        cursor: pointer;
      }
    `,tooltip:a.css`
      body {
        .rc-slider-tooltip {
          cursor: grab;
          user-select: none;
          z-index: ${e.zIndex.tooltip};
        }

        .rc-slider-tooltip-inner {
          color: ${e.colors.text.primary};
          background-color: transparent !important;
          border-radius: 0;
          box-shadow: none;
        }

        .rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {
          display: none;
        }

        .rc-slider-tooltip-placement-top {
          padding: 0;
        }
      }
    `,sliderInput:o.css({display:"flex",flexDirection:"row",alignItems:"center",width:"100%"}),sliderInputVertical:o.css({flexDirection:"column",height:"100%",".rc-slider":{margin:0,order:2}}),sliderInputField:o.css({marginLeft:e.spacing(3),input:{textAlign:"center"}}),sliderInputFieldVertical:o.css({margin:`0 0 ${e.spacing(3)} 0`,order:1})}})),n(6067));t.v4=({value:e,onChange:t,minHeight:n,maxHeight:o,height:a,...l})=>{const[u,c]=i.useState(s(e,n,o));return i.useEffect((()=>{c(s(e,n,o))}),[e,n,o]),i.createElement(r.CodeEditor,{value:e,onChange:e=>{t?.(e),c(s(e,n,o))},height:a??u,...l})},t.OA=class{constructor(e,t=r.CodeEditorSuggestionItemKind.Property){this.detail=e,this.kind=t,this.value={}}},t.Fn=class{constructor(e,t="context"){this.suggestions=[],this.suggestions.push({label:t,kind:r.CodeEditorSuggestionItemKind.Constant,detail:e.detail}),this.addSuggestions(t,e)}addSuggestions(e,t){Object.entries(t.items).forEach((([t,n])=>{const i=`${e}.${t}`;if("items"in n)return this.suggestions.push({label:i,detail:n.detail,kind:r.CodeEditorSuggestionItemKind.Property}),void this.addSuggestions(i,n);this.suggestions.push({label:i,detail:n.detail,kind:n.kind})}))}create(e){return e}},t.SD=({title:e,actions:t,children:n,isOpen:a=!1,onToggle:s,headerTestId:u,contentTestId:c,fill:h="outline",isInlineContent:d=!1})=>{const p=r.useTheme2(),f=r.useStyles2(l),g="solid"===h,m="outline"===h;return i.createElement("div",{className:o.cx({[f.rootOutline]:m})},i.createElement("div",{className:o.cx(f.header,{[f.headerSolid]:g}),"data-testid":u,onClick:()=>s?.(!a)},i.createElement(r.IconButton,{name:a?"angle-down":"angle-right",tooltip:a?"Collapse":"Expand",className:f.collapseIcon,"aria-expanded":a}),i.createElement("div",{className:f.title},e),t&&i.createElement("div",{className:f.actions,onClick:e=>e.stopPropagation()},t)),a&&i.createElement("div",{style:{padding:d?0:p.spacing(.5)},"data-testid":c},n))}},4705:function(e){var t;t=function(){return function(e){var t={};function n(r){if(t[r])return t[r].exports;var i=t[r]={exports:{},id:r,loaded:!1};return e[r].call(i.exports,i,i.exports,n),i.loaded=!0,i.exports}return n.m=e,n.c=t,n.p="",n(0)}([function(e,t,n){var r;void 0===(r=function(e){return{clustering:n(1),regression:n(5),statistics:n(6),histogram:n(15),transform:{regression:n(18),histogram:n(21),clustering:n(22)}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(2),r=t.dataPreprocess,i=t.normalizeDimensions,o=n(3),a=n(4),s=o.size,l=o.sumOfColumn,u=o.sum,c=o.zeros,h=(a=n(4)).isNumber,d=Math.pow,p={SINGLE:"single",MULTIPLE:"multiple"};function f(e,t,n){for(var r,i,o,a,s=c(e.length,2),l=function(e,t){for(var n=c(e,t.length),r=0;r<t.length;r++)for(var i=t[r],o=0;o<e;o++)n[o][r]=i.min+i.span*Math.random();return n}(t,y(e,n.dimensions)),u=!0;u;){u=!1;for(var h=0;h<e.length;h++){r=1/0,i=-1;for(var d=0;d<t;d++)(o=v(e[h],l[d],n))<r&&(r=o,i=d);s[h][0]!==i&&(u=!0),s[h][0]=i,s[h][1]=r}for(h=0;h<t;h++){for(a=[],d=0;d<s.length;d++)s[d][0]===h&&a.push(e[d]);l[h]=g(a,n)}}return{centroids:l,clusterAssigned:s}}function g(e,t){for(var n,r,i=[],o=0;o<t.dimensions.length;o++){var a=t.dimensions[o];n=0;for(var s=0;s<e.length;s++)n+=e[s][a];r=n/e.length,i.push(r)}return i}function m(e,t){var n=t.outputCentroidDimensions;if(t.outputType===p.SINGLE&&null!=n)for(var r=e.data,i=e.centroids,o=0;o<r.length;o++)for(var a=r[o],s=i[a[t.outputClusterIndexDimension]],l=Math.min(s.length,n.length),u=0;u<l;u++)a[n[u]]=s[u]}function v(e,t,n){for(var r=0,i=n.dimensions,o=n.rawExtents,a=0;a<i.length;a++){var s=o[a].span;if(s){var l=(e[i[a]]-t[a])/s;r+=d(l,2)}}return r}function y(e,t){for(var n=[],r=t.length,i=0;i<r;i++)n.push({min:1/0,max:-1/0});for(i=0;i<e.length;i++)for(var o=e[i],a=0;a<r;a++){var s=n[a],l=o[t[a]];s.min>l&&(s.min=l),s.max<l&&(s.max=l)}for(i=0;i<r;i++)n[i].span=n[i].max-n[i].min;return n}return{OutputType:p,hierarchicalKMeans:function(e,t,n){var o=(h(t)?{clusterCount:t,stepByStep:n}:t)||{clusterCount:2},d=o.clusterCount;if(!(d<2)){var _,x,b,w=function(e,t){var n=s(e);if(n.length<1)throw new Error("The input data of clustering should be two-dimension array.");for(var r=n[1],o=[],l=0;l<r;l++)o.push(l);var u=i(t.dimensions,o),c=t.outputType||p.MULTIPLE,h=t.outputClusterIndexDimension;if(c===p.SINGLE&&!a.isNumber(h))throw new Error("outputClusterIndexDimension is required as a number.");return{dimensions:u,rawExtents:y(e,u),outputType:c,outputClusterIndexDimension:h,outputCentroidDimensions:t.outputCentroidDimensions}}(e,o),S=w.outputType===p.SINGLE,M=r(e,{dimensions:w.dimensions}),T=c(M.length,2);if(S){_=[];var A=w.outputClusterIndexDimension;x=function(e,t){_[e][A]=t},b=function(e){return _[e][A]};for(var I=0;I<M.length;I++)_.push(M[I].slice()),F(I,0),x(I,0)}else x=function(e,t){T[e][0]=t},b=function(e){return T[e][0]};var C,D,E,L,P,O,N=g(M,w),R=[N];for(I=0;I<M.length;I++)F(I,v(M[I],N,w));var k=1,B={data:_,centroids:R,isEnd:!1};if(S||(B.clusterAssment=T),o.stepByStep)B.next=function(){return z(),m(B,w),B};else for(;z(),!B.isEnd;);return m(B,w),B}function F(e,t){T[e][1]=t}function z(){if(k<d){var e,t,n;C=1/0;for(var r=0;r<R.length;r++){D=[],E=[];for(var i=0;i<M.length;i++)b(i)===r?D.push(M[i]):E.push(T[i][1]);L=f(D,2,w),P=l(L.clusterAssigned,1),O=u(E),P+O<C&&(C=O+P,e=r,t=L.centroids,n=L.clusterAssigned)}for(i=0;i<n.length;i++)0===n[i][0]?n[i][0]=e:1===n[i][0]&&(n[i][0]=R.length);for(R[e]=t[0],R.push(t[1]),i=0,r=0;i<M.length&&r<n.length;i++)b(i)===e&&(x(i,n[r][0]),F(i,n[r++][1]));var o=[];if(!S){for(i=0;i<R.length;i++)for(o[i]=[],r=0;r<M.length;r++)b(r)===i&&o[i].push(M[r]);B.pointsInCluster=o}k++}else B.isEnd=!0}}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(3),r=t.isArray,i=t.size,o=n(4).isNumber;return{normalizeDimensions:function(e,t){return"number"==typeof e?[e]:null==e?t:e},dataPreprocess:function(e,t){var n=(t=t||{}).dimensions,a={};if(null!=n)for(var s=0;s<n.length;s++)a[n[s]]=!0;var l=t.toOneDimensionArray?n?n[0]:0:null;if(!r(e))throw new Error("Invalid data type, you should input an array");var u,c=[],h=i(e);if(1===h.length)for(s=0;s<h[0];s++){var d=e[s];o(d)&&c.push(d)}else if(2===h.length)for(s=0;s<h[0];s++){for(var p=!0,f=(d=e[s],0);f<h[1];f++)u=f,n&&!a.hasOwnProperty(u)||o(d[f])||(p=!1);p&&c.push(null!=l?d[l]:d)}return c},getPrecision:function(e){var t=e.toString(),n=t.indexOf(".");return n<0?0:t.length-1-n}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=Object.prototype.toString,n=Array.prototype.map;function r(e){return"[object Array]"===t.call(e)}function i(e,t){return e>t?1:e<t?-1:e===t?0:NaN}return{size:function(e){for(var t=[];r(e);)t.push(e.length),e=e[0];return t},isArray:r,zeros:function(e,t){for(var n=[],r=0;r<e;r++){n[r]=[];for(var i=0;i<t;i++)n[r][i]=0}return n},sum:function(e){for(var t=0,n=0;n<e.length;n++)t+=e[n];return t},sumOfColumn:function(e,t){for(var n=0,r=0;r<e.length;r++)n+=e[r][t];return n},ascending:i,bisect:function(e,t,n,r){for(null==n&&(n=0),null==r&&(r=e.length);n<r;){var o=Math.floor((n+r)/2),a=i(e[o],t);if(a>0)r=o;else{if(!(a<0))return o+1;n=o+1}}return n},map:function(e,t,r){if(e&&t){if(e.map&&e.map===n)return e.map(t,r);for(var i=[],o=0,a=e.length;o<a;o++)i.push(t.call(r,e[o],o,e));return i}}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){return{isNumber:function(e){return"number"==typeof(e=null===e?NaN:+e)&&!isNaN(e)},isInteger:function(e){return isFinite(e)&&e===Math.round(e)},quantityExponent:function(e){if(0===e)return 0;var t=Math.floor(Math.log(e)/Math.LN10);return e/Math.pow(10,t)>=10&&t++,t}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(2),r=t.dataPreprocess,i=t.normalizeDimensions,o={linear:function(e,t){for(var n=t.dimensions[0],r=t.dimensions[1],i=0,o=0,a=0,s=0,l=e.length,u=0;u<l;u++)i+=(f=e[u])[n],o+=f[r],a+=f[n]*f[r],s+=f[n]*f[n];for(var c=(l*a-i*o)/(l*s-i*i),h=o/l-c*i/l,d=[],p=0;p<e.length;p++){var f,g=(f=e[p]).slice();g[n]=f[n],g[r]=c*f[n]+h,d.push(g)}return{points:d,parameter:{gradient:c,intercept:h},expression:"y = "+Math.round(100*c)/100+"x + "+Math.round(100*h)/100}},linearThroughOrigin:function(e,t){for(var n=t.dimensions[0],r=t.dimensions[1],i=0,o=0,a=0;a<e.length;a++)i+=(c=e[a])[n]*c[n],o+=c[n]*c[r];for(var s=o/i,l=[],u=0;u<e.length;u++){var c,h=(c=e[u]).slice();h[n]=c[n],h[r]=c[n]*s,l.push(h)}return{points:l,parameter:{gradient:s},expression:"y = "+Math.round(100*s)/100+"x"}},exponential:function(e,t){for(var n=t.dimensions[0],r=t.dimensions[1],i=0,o=0,a=0,s=0,l=0,u=0;u<e.length;u++)(g=e[u])[n],i+=g[r],l+=g[n]*g[r],o+=g[n]*g[n]*g[r],a+=g[r]*Math.log(g[r]),s+=g[n]*g[r]*Math.log(g[r]);for(var c=i*o-l*l,h=Math.pow(Math.E,(o*a-l*s)/c),d=(i*s-l*a)/c,p=[],f=0;f<e.length;f++){var g,m=(g=e[f]).slice();m[n]=g[n],m[r]=h*Math.pow(Math.E,d*g[n]),p.push(m)}return{points:p,parameter:{coefficient:h,index:d},expression:"y = "+Math.round(100*h)/100+"e^("+Math.round(100*d)/100+"x)"}},logarithmic:function(e,t){for(var n=t.dimensions[0],r=t.dimensions[1],i=0,o=0,a=0,s=0,l=0;l<e.length;l++){var u=e[l];i+=Math.log(u[n]),o+=u[r]*Math.log(u[n]),a+=u[r],s+=Math.pow(Math.log(u[n]),2)}for(var c=(l*o-a*i)/(l*s-i*i),h=(a-c*i)/l,d=[],p=0;p<e.length;p++){var f=(u=e[p]).slice();f[n]=u[n],f[r]=c*Math.log(u[n])+h,d.push(f)}return{points:d,parameter:{gradient:c,intercept:h},expression:"y = "+Math.round(100*h)/100+" + "+Math.round(100*c)/100+"ln(x)"}},polynomial:function(e,t){var n=t.dimensions[0],r=t.dimensions[1],i=t.order;null==i&&(i=2);for(var o=[],a=[],s=i+1,l=0;l<s;l++){for(var u=0,c=0;c<e.length;c++)u+=(y=e[c])[r]*Math.pow(y[n],l);a.push(u);for(var h=[],d=0;d<s;d++){for(var p=0,f=0;f<e.length;f++)p+=Math.pow(e[f][n],l+d);h.push(p)}o.push(h)}o.push(a);var g=function(e,t){for(var n=0;n<e.length-1;n++){for(var r=n,i=n+1;i<e.length-1;i++)Math.abs(e[n][i])>Math.abs(e[n][r])&&(r=i);for(var o=n;o<e.length;o++){var a=e[o][n];e[o][n]=e[o][r],e[o][r]=a}for(var s=n+1;s<e.length-1;s++)for(var l=e.length-1;l>=n;l--)e[l][s]-=e[l][n]/e[n][n]*e[n][s]}var u=new Array(t),c=e.length-1;for(i=e.length-2;i>=0;i--){for(a=0,n=i+1;n<e.length-1;n++)a+=e[n][i]*u[n];u[i]=(e[c][i]-a)/e[i][i]}return u}(o,s),m=[];for(l=0;l<e.length;l++){var v=0,y=e[l];for(c=0;c<g.length;c++)v+=g[c]*Math.pow(y[n],c);var _=y.slice();_[n]=y[n],_[r]=v,m.push(_)}var x="y = ";for(l=g.length-1;l>=0;l--)x+=l>1?Math.round(g[l]*Math.pow(10,l+1))/Math.pow(10,l+1)+"x^"+l+" + ":1===l?Math.round(100*g[l])/100+"x + ":Math.round(100*g[l])/100;return{points:m,parameter:g,expression:x}}};return function(e,t,n){var a="number"==typeof n?{order:n}:n||{},s=i(a.dimensions,[0,1]),l=r(t,{dimensions:s}),u=o[e](l,{order:a.order,dimensions:s}),c=s[0];return u.points.sort((function(e,t){return e[c]-t[c]})),u}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t={};return t.max=n(7),t.deviation=n(8),t.mean=n(10),t.median=n(12),t.min=n(14),t.quantile=n(13),t.sampleVariance=n(9),t.sum=n(11),t}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(4).isNumber;return function(e){for(var n=-1/0,r=0;r<e.length;r++)t(e[r])&&e[r]>n&&(n=e[r]);return n}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(9);return function(e){var n=t(e);return n?Math.sqrt(n):n}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(4).isNumber,r=n(10);return function(e){var n=e.length;if(!n||n<2)return 0;if(e.length>=2){for(var i,o=r(e),a=0,s=0;s<e.length;s++)t(e[s])&&(a+=(i=e[s]-o)*i);return a/(e.length-1)}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(11);return function(e){return e.length?t(e)/e.length:0}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(4).isNumber;return function(e){var n=e.length;if(!n)return 0;for(var r=0,i=0;i<n;i++)t(e[i])&&(r+=e[i]);return r}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(13);return function(e){return t(e,.5)}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){return function(e,t){var n=e.length;if(!n)return 0;if(t<=0||n<2)return e[0];if(t>=1)return e[n-1];var r=(n-1)*t,i=Math.floor(r),o=e[i];return o+(e[i+1]-o)*(r-i)}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(4).isNumber;return function(e){for(var n=1/0,r=0;r<e.length;r++)t(e[r])&&e[r]<n&&(n=e[r]);return n}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(7),r=n(14),i=n(13),o=n(8),a=n(2),s=a.dataPreprocess,l=a.normalizeDimensions,u=n(3),c=u.ascending,h=u.map,d=n(16),p=u.bisect,f=n(17),g={squareRoot:function(e){var t=Math.ceil(Math.sqrt(e.length));return t>50?50:t},scott:function(e,t,n){return Math.ceil((n-t)/(3.5*o(e)*Math.pow(e.length,-1/3)))},freedmanDiaconis:function(e,t,n){return e.sort(c),Math.ceil((n-t)/(2*(i(e,.75)-i(e,.25))*Math.pow(e.length,-1/3)))},sturges:function(e){return Math.ceil(Math.log(e.length)/Math.LN2)+1}};return function(e,n){for(var i="string"==typeof n?{method:n}:n||{},o=null==i.method?g.squareRoot:g[i.method],a=l(i.dimensions),u=s(e,{dimensions:a,toOneDimensionArray:!0}),c=t(u),m=r(u),v=o(u,m,c),y=f(m,c,v),_=y.step,x=y.toFixedPrecision,b=d(+(Math.ceil(m/_)*_).toFixed(x),+(Math.floor(c/_)*_).toFixed(x),_,x),w=b.length,S=new Array(w+1),M=0;M<=w;M++)S[M]={},S[M].sample=[],S[M].x0=M>0?b[M-1]:b[M]-m===_?m:b[M]-_,S[M].x1=M<w?b[M]:c-b[M-1]===_?c:b[M-1]+_;for(M=0;M<u.length;M++)m<=u[M]&&u[M]<=c&&S[p(b,u[M],0,w)].sample.push(u[M]);return{bins:S,data:e=h(S,(function(e){return[+((e.x0+e.x1)/2).toFixed(x),e.sample.length,e.x0,e.x1,e.x0+" - "+e.x1]})),customData:h(S,(function(e){return[e.x0,e.x1,e.sample.length]}))}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;r=function(e){var t=n(2).getPrecision;return function(e,n,r,i){var o=arguments.length;o<2?(n=e,e=0,r=1):o<3?r=1:i=o<4?t(r=+r):+i;for(var a=Math.ceil(((n-e)/r).toFixed(i)),s=new Array(a+1),l=0;l<a+1;l++)s[l]=+(e+l*r).toFixed(i);return s}}.call(t,n,t,e),void 0===r||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(4);return function(e,n,r){var i=Math.abs(n-e)/r,o=t.quantityExponent(i),a=Math.pow(10,o),s=i/a;s>=Math.sqrt(50)?a*=10:s>=Math.sqrt(10)?a*=5:s>=Math.sqrt(2)&&(a*=2);var l=o<0?-o:0;return{step:+(n>=e?a:-a).toFixed(l),toFixedPrecision:l}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(5),r=n(19);return{type:"ecStat:regression",transform:function(e){var n,i=e.upstream,o=e.config||{},a=o.method||"linear",s=t(a,i.cloneRawData(),{order:o.order,dimensions:r.normalizeExistingDimensions(e,o.dimensions)}),l=s.points,u=o.formulaOn;if(null==u&&(u="end"),"none"!==u){for(var c=0;c<l.length;c++)l[c][2]="start"===u&&0===c||"all"===u||"end"===u&&c===l.length-1?s.expression:"";(n=i.cloneAllDimensionInfo())[2]={}}return[{dimensions:n,data:l}]}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(3),r=n(4),i=n(20);return{normalizeExistingDimensions:function(e,n){if(null!=n){var r=e.upstream;if(t.isArray(n)){for(var i=[],o=0;o<n.length;o++){var a;s(a=r.getDimensionInfo(n[o]),n[o]),i[o]=a.index}return i}return s(a=r.getDimensionInfo(n),n),a.index}function s(e,t){if(!e)throw new Error("Can not find dimension by "+t)}},normalizeNewDimensions:function(e){if(t.isArray(e)){for(var n=[],o=[],a=0;a<e.length;a++){var s=l(e[a]);n.push(s.name),o.push(s.index)}return{name:n,index:o}}if(null!=e)return l(e);function l(e){if(r.isNumber(e))return{index:e};if(i.isObject(e)&&r.isNumber(e.index))return e;throw new Error("Illegle new dimensions config. Expect `{ name: string, index: number }`.")}}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){return{extend:function(e,t){if(Object.assign)Object.assign(e,t);else for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n]);return e},isObject:function(e){const t=typeof e;return"function"===t||!!e&&"object"===t}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(15),r=n(19);return{type:"ecStat:histogram",transform:function(e){var n=e.upstream,i=e.config||{},o=t(n.cloneRawData(),{method:i.method,dimensions:r.normalizeExistingDimensions(e,i.dimensions)});return[{dimensions:["MeanOfV0V1","VCount","V0","V1","DisplayableName"],data:o.data},{data:o.customData}]}}}.call(t,n,t,e))||(e.exports=r)},function(e,t,n){var r;void 0===(r=function(e){var t=n(1),r=n(4),i=n(19),o=r.isNumber;return{type:"ecStat:clustering",transform:function(e){var n=e.upstream,r=e.config||{},a=r.clusterCount;if(!o(a)||a<=0)throw new Error('config param "clusterCount" need to be specified as an interger greater than 1.');if(1===a)return[{},{data:[]}];var s=i.normalizeNewDimensions(r.outputClusterIndexDimension),l=i.normalizeNewDimensions(r.outputCentroidDimensions);if(null==s)throw new Error("outputClusterIndexDimension is required as a number.");for(var u=t.hierarchicalKMeans(n.cloneRawData(),{clusterCount:a,stepByStep:!1,dimensions:i.normalizeExistingDimensions(e,r.dimensions),outputType:t.OutputType.SINGLE,outputClusterIndexDimension:s.index,outputCentroidDimensions:(l||{}).index}),c=n.cloneAllDimensionInfo(),h=[],d=0;d<c.length;d++){var p=c[d];h.push(p.name)}if(h[s.index]=s.name,l)for(d=0;d<l.index.length;d++)null!=l.name[d]&&(h[l.index[d]]=l.name[d]);return[{dimensions:h,data:u.data},{data:u.centroids}]}}}.call(t,n,t,e))||(e.exports=r)}])},e.exports=t()},7726:(e,t,n)=>{e.exports=n(4705)},6067:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>P});var r=n(7405),i=n(1705),o=n(4300),a=n(7850),s=n(694),l=n(4452),u=n.n(l),c=n(9273),h=n(4358);var d=n(5959);const p=d.createContext({min:0,max:0,direction:"ltr",step:1,includedStart:0,includedEnd:0,tabIndex:0,keyboard:!0,styles:{},classNames:{}});var f=n(8102),g=n(9644),m={MAC_ENTER:3,BACKSPACE:8,TAB:9,NUM_CENTER:12,ENTER:13,SHIFT:16,CTRL:17,ALT:18,PAUSE:19,CAPS_LOCK:20,ESC:27,SPACE:32,PAGE_UP:33,PAGE_DOWN:34,END:35,HOME:36,LEFT:37,UP:38,RIGHT:39,DOWN:40,PRINT_SCREEN:44,INSERT:45,DELETE:46,ZERO:48,ONE:49,TWO:50,THREE:51,FOUR:52,FIVE:53,SIX:54,SEVEN:55,EIGHT:56,NINE:57,QUESTION_MARK:63,A:65,B:66,C:67,D:68,E:69,F:70,G:71,H:72,I:73,J:74,K:75,L:76,M:77,N:78,O:79,P:80,Q:81,R:82,S:83,T:84,U:85,V:86,W:87,X:88,Y:89,Z:90,META:91,WIN_KEY_RIGHT:92,CONTEXT_MENU:93,NUM_ZERO:96,NUM_ONE:97,NUM_TWO:98,NUM_THREE:99,NUM_FOUR:100,NUM_FIVE:101,NUM_SIX:102,NUM_SEVEN:103,NUM_EIGHT:104,NUM_NINE:105,NUM_MULTIPLY:106,NUM_PLUS:107,NUM_MINUS:109,NUM_PERIOD:110,NUM_DIVISION:111,F1:112,F2:113,F3:114,F4:115,F5:116,F6:117,F7:118,F8:119,F9:120,F10:121,F11:122,F12:123,NUMLOCK:144,SEMICOLON:186,DASH:189,EQUALS:187,COMMA:188,PERIOD:190,SLASH:191,APOSTROPHE:192,SINGLE_QUOTE:222,OPEN_SQUARE_BRACKET:219,BACKSLASH:220,CLOSE_SQUARE_BRACKET:221,WIN_KEY:224,MAC_FF_META:224,WIN_IME:229,isTextModifyingKeyEvent:function(e){var t=e.keyCode;if(e.altKey&&!e.ctrlKey||e.metaKey||t>=m.F1&&t<=m.F12)return!1;switch(t){case m.ALT:case m.CAPS_LOCK:case m.CONTEXT_MENU:case m.CTRL:case m.DOWN:case m.END:case m.ESC:case m.HOME:case m.INSERT:case m.LEFT:case m.MAC_FF_META:case m.META:case m.NUMLOCK:case m.NUM_CENTER:case m.PAGE_DOWN:case m.PAGE_UP:case m.PAUSE:case m.PRINT_SCREEN:case m.RIGHT:case m.SHIFT:case m.UP:case m.WIN_KEY:case m.WIN_KEY_RIGHT:return!1;default:return!0}},isCharacterKey:function(e){if(e>=m.ZERO&&e<=m.NINE)return!0;if(e>=m.NUM_ZERO&&e<=m.NUM_MULTIPLY)return!0;if(e>=m.A&&e<=m.Z)return!0;if(-1!==window.navigator.userAgent.indexOf("WebKit")&&0===e)return!0;switch(e){case m.SPACE:case m.QUESTION_MARK:case m.NUM_PLUS:case m.NUM_MINUS:case m.NUM_PERIOD:case m.NUM_DIVISION:case m.SEMICOLON:case m.DASH:case m.EQUALS:case m.COMMA:case m.PERIOD:case m.SLASH:case m.APOSTROPHE:case m.SINGLE_QUOTE:case m.OPEN_SQUARE_BRACKET:case m.BACKSLASH:case m.CLOSE_SQUARE_BRACKET:return!0;default:return!1}}};const v=m;function y(e,t,n){return(e-t)/(n-t)}function _(e,t,n,r){var i=y(t,n,r),o={};switch(e){case"rtl":o.right="".concat(100*i,"%"),o.transform="translateX(50%)";break;case"btt":o.bottom="".concat(100*i,"%"),o.transform="translateY(50%)";break;case"ttb":o.top="".concat(100*i,"%"),o.transform="translateY(-50%)";break;default:o.left="".concat(100*i,"%"),o.transform="translateX(-50%)"}return o}function x(e,t){return Array.isArray(e)?e[t]:e}var b=["prefixCls","value","valueIndex","onStartMove","style","render","dragging","onOffsetChange","onChangeComplete"];const w=d.forwardRef((function(e,t){var n,o,a=e.prefixCls,s=e.value,l=e.valueIndex,c=e.onStartMove,h=e.style,m=e.render,y=e.dragging,w=e.onOffsetChange,S=e.onChangeComplete,M=(0,g.A)(e,b),T=d.useContext(p),A=T.min,I=T.max,C=T.direction,D=T.disabled,E=T.keyboard,L=T.range,P=T.tabIndex,O=T.ariaLabelForHandle,N=T.ariaLabelledByForHandle,R=T.ariaValueTextFormatterForHandle,k=T.styles,B=T.classNames,F="".concat(a,"-handle"),z=function(e){D||c(e,l)},V=_(C,s,A,I),G=d.createElement("div",(0,f.A)({ref:t,className:u()(F,(n={},(0,i.A)(n,"".concat(F,"-").concat(l+1),L),(0,i.A)(n,"".concat(F,"-dragging"),y),n),B.handle),style:(0,r.A)((0,r.A)((0,r.A)({},V),h),k.handle),onMouseDown:z,onTouchStart:z,onKeyDown:function(e){if(!D&&E){var t=null;switch(e.which||e.keyCode){case v.LEFT:t="ltr"===C||"btt"===C?-1:1;break;case v.RIGHT:t="ltr"===C||"btt"===C?1:-1;break;case v.UP:t="ttb"!==C?1:-1;break;case v.DOWN:t="ttb"!==C?-1:1;break;case v.HOME:t="min";break;case v.END:t="max";break;case v.PAGE_UP:t=2;break;case v.PAGE_DOWN:t=-2}null!==t&&(e.preventDefault(),w(t,l))}},onKeyUp:function(e){switch(e.which||e.keyCode){case v.LEFT:case v.RIGHT:case v.UP:case v.DOWN:case v.HOME:case v.END:case v.PAGE_UP:case v.PAGE_DOWN:null==S||S()}},tabIndex:D?null:x(P,l),role:"slider","aria-valuemin":A,"aria-valuemax":I,"aria-valuenow":s,"aria-disabled":D,"aria-label":x(O,l),"aria-labelledby":x(N,l),"aria-valuetext":null===(o=x(R,l))||void 0===o?void 0:o(s),"aria-orientation":"ltr"===C||"rtl"===C?"horizontal":"vertical"},M));return m&&(G=m(G,{index:l,prefixCls:a,value:s,dragging:y})),G}));var S=["prefixCls","style","onStartMove","onOffsetChange","values","handleRender","draggingIndex"];const M=d.forwardRef((function(e,t){var n=e.prefixCls,r=e.style,i=e.onStartMove,o=e.onOffsetChange,a=e.values,s=e.handleRender,l=e.draggingIndex,u=(0,g.A)(e,S),c=d.useRef({});return d.useImperativeHandle(t,(function(){return{focus:function(e){var t;null===(t=c.current[e])||void 0===t||t.focus()}}})),d.createElement(d.Fragment,null,a.map((function(e,t){return d.createElement(w,(0,f.A)({ref:function(e){e?c.current[t]=e:delete c.current[t]},dragging:l===t,prefixCls:n,style:x(r,t),key:t,value:e,valueIndex:t,onStartMove:i,onOffsetChange:o,render:s},u))})))}));function T(e){var t="touches"in e?e.touches[0]:e;return{pageX:t.pageX,pageY:t.pageY}}function A(e){var t=e.prefixCls,n=e.style,o=e.children,a=e.value,s=e.onClick,l=d.useContext(p),c=l.min,h=l.max,f=l.direction,g=l.includedStart,m=l.includedEnd,v=l.included,y="".concat(t,"-text"),x=_(f,a,c,h);return d.createElement("span",{className:u()(y,(0,i.A)({},"".concat(y,"-active"),v&&g<=a&&a<=m)),style:(0,r.A)((0,r.A)({},x),n),onMouseDown:function(e){e.stopPropagation()},onClick:function(){s(a)}},o)}function I(e){var t=e.prefixCls,n=e.marks,r=e.onClick,i="".concat(t,"-mark");return n.length?d.createElement("div",{className:i},n.map((function(e){var t=e.value,n=e.style,o=e.label;return d.createElement(A,{key:t,prefixCls:i,style:n,value:t,onClick:r},o)}))):null}function C(e){var t=e.prefixCls,n=e.value,o=e.style,a=e.activeStyle,s=d.useContext(p),l=s.min,c=s.max,h=s.direction,f=s.included,g=s.includedStart,m=s.includedEnd,v="".concat(t,"-dot"),y=f&&g<=n&&n<=m,x=(0,r.A)((0,r.A)({},_(h,n,l,c)),"function"==typeof o?o(n):o);return y&&(x=(0,r.A)((0,r.A)({},x),"function"==typeof a?a(n):a)),d.createElement("span",{className:u()(v,(0,i.A)({},"".concat(v,"-active"),y)),style:x})}function D(e){var t=e.prefixCls,n=e.marks,r=e.dots,i=e.style,o=e.activeStyle,a=d.useContext(p),s=a.min,l=a.max,u=a.step,c=d.useMemo((function(){var e=new Set;if(n.forEach((function(t){e.add(t.value)})),r&&null!==u)for(var t=s;t<=l;)e.add(t),t+=u;return Array.from(e)}),[s,l,u,r,n]);return d.createElement("div",{className:"".concat(t,"-step")},c.map((function(e){return d.createElement(C,{prefixCls:t,key:e,value:e,style:i,activeStyle:o})})))}function E(e){var t,n=e.prefixCls,o=e.style,a=e.start,s=e.end,l=e.index,c=e.onStartMove,h=e.replaceCls,f=d.useContext(p),g=f.direction,m=f.min,v=f.max,_=f.disabled,x=f.range,b=f.classNames,w="".concat(n,"-track"),S=y(a,m,v),M=y(s,m,v),T=function(e){!_&&c&&c(e,-1)},A={};switch(g){case"rtl":A.right="".concat(100*S,"%"),A.width="".concat(100*M-100*S,"%");break;case"btt":A.bottom="".concat(100*S,"%"),A.height="".concat(100*M-100*S,"%");break;case"ttb":A.top="".concat(100*S,"%"),A.height="".concat(100*M-100*S,"%");break;default:A.left="".concat(100*S,"%"),A.width="".concat(100*M-100*S,"%")}var I=h||u()(w,(t={},(0,i.A)(t,"".concat(w,"-").concat(l+1),null!==l&&x),(0,i.A)(t,"".concat(n,"-track-draggable"),c),t),b.track);return d.createElement("div",{className:I,style:(0,r.A)((0,r.A)({},A),o),onMouseDown:T,onTouchStart:T})}function L(e){var t=e.prefixCls,n=e.style,i=e.values,o=e.startPoint,a=e.onStartMove,s=d.useContext(p),l=s.included,c=s.range,h=s.min,f=s.styles,g=s.classNames,m=d.useMemo((function(){if(!c){if(0===i.length)return[];var e=null!=o?o:h,t=i[0];return[{start:Math.min(e,t),end:Math.max(e,t)}]}for(var n=[],r=0;r<i.length-1;r+=1)n.push({start:i[r],end:i[r+1]});return n}),[i,c,o,h]),v=null;return(g.tracks||f.tracks)&&(v=d.createElement(E,{index:null,prefixCls:t,start:m[0].start,end:m[m.length-1].end,replaceCls:u()(g.tracks,"".concat(t,"-tracks")),style:f.tracks})),l?d.createElement(d.Fragment,null,v,m.map((function(e,i){var o=e.start,s=e.end;return d.createElement(E,{index:i,prefixCls:t,style:(0,r.A)((0,r.A)({},x(n,i)),f.track),start:o,end:s,key:i,onStartMove:a})}))):null}const P=d.forwardRef((function(e,t){var n,l=e.prefixCls,f=void 0===l?"rc-slider":l,g=e.className,m=e.style,v=e.classNames,y=e.styles,_=e.disabled,x=void 0!==_&&_,b=e.keyboard,w=void 0===b||b,S=e.autoFocus,A=e.onFocus,C=e.onBlur,E=e.min,P=void 0===E?0:E,O=e.max,N=void 0===O?100:O,R=e.step,k=void 0===R?1:R,B=e.value,F=e.defaultValue,z=e.range,V=e.count,G=e.onChange,H=e.onBeforeChange,U=e.onAfterChange,W=e.onChangeComplete,j=e.allowCross,X=void 0===j||j,Y=e.pushable,Z=void 0!==Y&&Y,q=e.draggableTrack,$=e.reverse,K=e.vertical,J=e.included,Q=void 0===J||J,ee=e.startPoint,te=e.trackStyle,ne=e.handleStyle,re=e.railStyle,ie=e.dotStyle,oe=e.activeDotStyle,ae=e.marks,se=e.dots,le=e.handleRender,ue=e.tabIndex,ce=void 0===ue?0:ue,he=e.ariaLabelForHandle,de=e.ariaLabelledByForHandle,pe=e.ariaValueTextFormatterForHandle,fe=d.useRef(),ge=d.useRef(),me=d.useMemo((function(){return K?$?"ttb":"btt":$?"rtl":"ltr"}),[$,K]),ve=d.useMemo((function(){return isFinite(P)?P:0}),[P]),ye=d.useMemo((function(){return isFinite(N)?N:100}),[N]),_e=d.useMemo((function(){return null!==k&&k<=0?1:k}),[k]),xe=d.useMemo((function(){return"boolean"==typeof Z?!!Z&&_e:Z>=0&&Z}),[Z,_e]),be=d.useMemo((function(){return Object.keys(ae||{}).map((function(e){var t=ae[e],n={value:Number(e)};return t&&"object"===(0,s.A)(t)&&!d.isValidElement(t)&&("label"in t||"style"in t)?(n.style=t.style,n.label=t.label):n.label=t,n})).filter((function(e){var t=e.label;return t||"number"==typeof t})).sort((function(e,t){return e.value-t.value}))}),[ae]),we=function(e,t,n,r,i,a){var s=d.useCallback((function(n){var r=isFinite(n);return r=Math.min(t,n),Math.max(e,r)}),[e,t]),l=d.useCallback((function(r){if(null!==n){var i=e+Math.round((s(r)-e)/n)*n,o=function(e){return(String(e).split(".")[1]||"").length},a=Math.max(o(n),o(t),o(e)),l=Number(i.toFixed(a));return e<=l&&l<=t?l:null}return null}),[n,e,t,s]),u=d.useCallback((function(i){var o=s(i),a=r.map((function(e){return e.value}));null!==n&&a.push(l(i)),a.push(e,t);var u=a[0],c=t-e;return a.forEach((function(e){var t=Math.abs(o-e);t<=c&&(u=e,c=t)})),u}),[e,t,r,n,s,l]),c=function i(a,s,u){var c=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit";if("number"==typeof s){var h,d=a[u],p=d+s,f=[];r.forEach((function(e){f.push(e.value)})),f.push(e,t),f.push(l(d));var g=s>0?1:-1;"unit"===c?f.push(l(d+g*n)):f.push(l(p)),f=f.filter((function(e){return null!==e})).filter((function(e){return s<0?e<=d:e>=d})),"unit"===c&&(f=f.filter((function(e){return e!==d})));var m="unit"===c?d:p;h=f[0];var v=Math.abs(h-m);if(f.forEach((function(e){var t=Math.abs(e-m);t<v&&(h=e,v=t)})),void 0===h)return s<0?e:t;if("dist"===c)return h;if(Math.abs(s)>1){var y=(0,o.A)(a);return y[u]=h,i(y,s-g,u,c)}return h}return"min"===s?e:"max"===s?t:void 0},h=function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",i=e[n],o=c(e,t,n,r);return{value:o,changed:o!==i}},p=function(e){return null===a&&0===e||"number"==typeof a&&e<a};return[u,function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",o=e.map(u),s=o[n],l=c(o,t,n,r);if(o[n]=l,!1===i){var d=a||0;n>0&&o[n-1]!==s&&(o[n]=Math.max(o[n],o[n-1]+d)),n<o.length-1&&o[n+1]!==s&&(o[n]=Math.min(o[n],o[n+1]-d))}else if("number"==typeof a||null===a){for(var f=n+1;f<o.length;f+=1)for(var g=!0;p(o[f]-o[f-1])&&g;){var m=h(o,1,f);o[f]=m.value,g=m.changed}for(var v=n;v>0;v-=1)for(var y=!0;p(o[v]-o[v-1])&&y;){var _=h(o,-1,v-1);o[v-1]=_.value,y=_.changed}for(var x=o.length-1;x>0;x-=1)for(var b=!0;p(o[x]-o[x-1])&&b;){var w=h(o,-1,x-1);o[x-1]=w.value,b=w.changed}for(var S=0;S<o.length-1;S+=1)for(var M=!0;p(o[S+1]-o[S])&&M;){var T=h(o,1,S+1);o[S+1]=T.value,M=T.changed}}return{value:o[n],values:o}}]}(ve,ye,_e,be,X,xe),Se=(0,a.A)(we,2),Me=Se[0],Te=Se[1],Ae=(0,c.A)(F,{value:B}),Ie=(0,a.A)(Ae,2),Ce=Ie[0],De=Ie[1],Ee=d.useMemo((function(){var e=null==Ce?[]:Array.isArray(Ce)?Ce:[Ce],t=(0,a.A)(e,1)[0],n=null===Ce?[]:[void 0===t?ve:t];if(z){if(n=(0,o.A)(e),V||void 0===Ce){var r=V>=0?V+1:2;for(n=n.slice(0,r);n.length<r;){var i;n.push(null!==(i=n[n.length-1])&&void 0!==i?i:ve)}}n.sort((function(e,t){return e-t}))}return n.forEach((function(e,t){n[t]=Me(e)})),n}),[Ce,z,ve,V,Me]),Le=d.useRef(Ee);Le.current=Ee;var Pe=function(e){return z?e:e[0]},Oe=function(e){var t=(0,o.A)(e).sort((function(e,t){return e-t}));G&&!function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],r=new Set;return function e(t,i){var o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1,a=r.has(t);if((0,h.Ay)(!a,"Warning: There may be circular references"),a)return!1;if(t===i)return!0;if(n&&o>1)return!1;r.add(t);var l=o+1;if(Array.isArray(t)){if(!Array.isArray(i)||t.length!==i.length)return!1;for(var u=0;u<t.length;u++)if(!e(t[u],i[u],l))return!1;return!0}if(t&&i&&"object"===(0,s.A)(t)&&"object"===(0,s.A)(i)){var c=Object.keys(t);return c.length===Object.keys(i).length&&c.every((function(n){return e(t[n],i[n],l)}))}return!1}(e,t)}(t,Le.current,!0)&&G(Pe(t)),De(t)},Ne=function(){null==U||U(Pe(Le.current)),(0,h.Ay)(!U,"[rc-slider] `onAfterChange` is deprecated. Please use `onChangeComplete` instead."),null==W||W(Pe(Le.current))},Re=function(e,t,n,r,i,s,l,u,c){var h=d.useState(null),p=(0,a.A)(h,2),f=p[0],g=p[1],m=d.useState(-1),v=(0,a.A)(m,2),y=v[0],_=v[1],x=d.useState(n),b=(0,a.A)(x,2),w=b[0],S=b[1],M=d.useState(n),A=(0,a.A)(M,2),I=A[0],C=A[1],D=d.useRef(null),E=d.useRef(null);d.useEffect((function(){-1===y&&S(n)}),[n,y]),d.useEffect((function(){return function(){document.removeEventListener("mousemove",D.current),document.removeEventListener("mouseup",E.current),document.removeEventListener("touchmove",D.current),document.removeEventListener("touchend",E.current)}}),[]);var L=function(e,t){w.some((function(t,n){return t!==e[n]}))&&(void 0!==t&&g(t),S(e),l(e))},P=function(e,t){if(-1===e){var n=I[0],a=I[I.length-1],l=r-n,u=i-a,h=t*(i-r);h=Math.max(h,l),h=Math.min(h,u);var d=s(n+h);h=d-n;var p=I.map((function(e){return e+h}));L(p)}else{var f=(i-r)*t,g=(0,o.A)(w);g[e]=I[e];var m=c(g,f,e,"dist");L(m.values,m.value)}},O=d.useRef(P);O.current=P;var N=d.useMemo((function(){var e=(0,o.A)(n).sort((function(e,t){return e-t})),t=(0,o.A)(w).sort((function(e,t){return e-t}));return e.every((function(e,n){return e===t[n]}))?w:n}),[n,w]);return[y,f,N,function(r,i,o){r.stopPropagation();var a=o||n,s=a[i];_(i),g(s),C(a);var l=T(r),c=l.pageX,h=l.pageY,d=function(n){n.preventDefault();var r,o=T(n),a=o.pageX,s=o.pageY,l=a-c,u=s-h,d=e.current.getBoundingClientRect(),p=d.width,f=d.height;switch(t){case"btt":r=-u/f;break;case"ttb":r=u/f;break;case"rtl":r=-l/p;break;default:r=l/p}O.current(i,r)},p=function e(t){t.preventDefault(),document.removeEventListener("mouseup",e),document.removeEventListener("mousemove",d),document.removeEventListener("touchend",e),document.removeEventListener("touchmove",d),D.current=null,E.current=null,_(-1),u()};document.addEventListener("mouseup",p),document.addEventListener("mousemove",d),document.addEventListener("touchend",p),document.addEventListener("touchmove",d),D.current=d,E.current=p}]}(ge,me,Ee,ve,ye,Me,Oe,Ne,Te),ke=(0,a.A)(Re,4),Be=ke[0],Fe=ke[1],ze=ke[2],Ve=ke[3],Ge=function(e,t){if(!x){var n=0,r=ye-ve;Ee.forEach((function(t,i){var o=Math.abs(e-t);o<=r&&(r=o,n=i)}));var i=(0,o.A)(Ee);i[n]=e,z&&!Ee.length&&void 0===V&&i.push(e),null==H||H(Pe(i)),Oe(i),t&&Ve(t,n,i)}},He=d.useState(null),Ue=(0,a.A)(He,2),We=Ue[0],je=Ue[1];d.useEffect((function(){if(null!==We){var e=Ee.indexOf(We);e>=0&&fe.current.focus(e)}je(null)}),[We]);var Xe=d.useMemo((function(){return(!q||null!==_e)&&q}),[q,_e]),Ye=function(e,t){Ve(e,t),null==H||H(Pe(Le.current))},Ze=-1!==Be;d.useEffect((function(){if(!Ze){var e=Ee.lastIndexOf(Fe);fe.current.focus(e)}}),[Ze]);var qe=d.useMemo((function(){return(0,o.A)(ze).sort((function(e,t){return e-t}))}),[ze]),$e=d.useMemo((function(){return z?[qe[0],qe[qe.length-1]]:[ve,qe[0]]}),[qe,z,ve]),Ke=(0,a.A)($e,2),Je=Ke[0],Qe=Ke[1];d.useImperativeHandle(t,(function(){return{focus:function(){fe.current.focus(0)},blur:function(){var e=document.activeElement;ge.current.contains(e)&&(null==e||e.blur())}}})),d.useEffect((function(){S&&fe.current.focus(0)}),[]);var et=d.useMemo((function(){return{min:ve,max:ye,direction:me,disabled:x,keyboard:w,step:_e,included:Q,includedStart:Je,includedEnd:Qe,range:z,tabIndex:ce,ariaLabelForHandle:he,ariaLabelledByForHandle:de,ariaValueTextFormatterForHandle:pe,styles:y||{},classNames:v||{}}}),[ve,ye,me,x,w,_e,Q,Je,Qe,z,ce,he,de,pe,y,v]);return d.createElement(p.Provider,{value:et},d.createElement("div",{ref:ge,className:u()(f,g,(n={},(0,i.A)(n,"".concat(f,"-disabled"),x),(0,i.A)(n,"".concat(f,"-vertical"),K),(0,i.A)(n,"".concat(f,"-horizontal"),!K),(0,i.A)(n,"".concat(f,"-with-marks"),be.length),n)),style:m,onMouseDown:function(e){e.preventDefault();var t,n=ge.current.getBoundingClientRect(),r=n.width,i=n.height,o=n.left,a=n.top,s=n.bottom,l=n.right,u=e.clientX,c=e.clientY;switch(me){case"btt":t=(s-c)/i;break;case"ttb":t=(c-a)/i;break;case"rtl":t=(l-u)/r;break;default:t=(u-o)/r}Ge(Me(ve+t*(ye-ve)),e)}},d.createElement("div",{className:u()("".concat(f,"-rail"),null==v?void 0:v.rail),style:(0,r.A)((0,r.A)({},re),null==y?void 0:y.rail)}),d.createElement(L,{prefixCls:f,style:te,values:qe,startPoint:ee,onStartMove:Xe?Ye:null}),d.createElement(D,{prefixCls:f,marks:be,dots:se,style:ie,activeStyle:oe}),d.createElement(M,{ref:fe,prefixCls:f,style:ne,values:ze,draggingIndex:Be,onStartMove:Ye,onOffsetChange:function(e,t){if(!x){var n=Te(Ee,e,t);null==H||H(Pe(Ee)),Oe(n.values),je(n.value)}},onFocus:A,onBlur:C,handleRender:le,onChangeComplete:Ne}),d.createElement(I,{prefixCls:f,marks:be,onClick:Ge})))}))},6364:(e,t,n)=>{"use strict";n.r(t),n.d(t,{Popup:()=>s,default:()=>dn});var r=n(4452),i=n.n(r),o=n(5959),a=n.n(o);function s(e){var t=e.children,n=e.prefixCls,r=e.id,a=e.overlayInnerStyle,s=e.className,l=e.style;return o.createElement("div",{className:i()("".concat(n,"-content"),s),style:l},o.createElement("div",{className:"".concat(n,"-inner"),id:r,role:"tooltip",style:a},"function"==typeof t?t():t))}var l=n(8102),u=n(7405),c=n(9644),h=n(7850),d=n(8398),p=n.n(d),f=n(9370),g=(n(4358),n(694)),m=n(9555),v=function(e,t){"function"==typeof e?e(t):"object"===(0,g.A)(e)&&e&&"current"in e&&(e.current=t)},y=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var r=t.filter(Boolean);return r.length<=1?r[0]:function(e){t.forEach((function(t){v(t,e)}))}},_=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return r=function(){return y.apply(void 0,t)},i=t,a=function(e,t){return e.length!==t.length||e.every((function(e,n){return e!==t[n]}))},"value"in(s=o.useRef({})).current&&!a(s.current.condition,i)||(s.current.value=r(),s.current.condition=i),s.current.value;var r,i,a,s},x=function(e){var t,n,r=(0,m.isMemo)(e)?e.type.type:e.type;return!!("function"!=typeof r||null!==(t=r.prototype)&&void 0!==t&&t.render||r.$$typeof===m.ForwardRef)&&!!("function"!=typeof e||null!==(n=e.prototype)&&void 0!==n&&n.render||e.$$typeof===m.ForwardRef)};const b=o.createContext(null);var w=n(4300),S=n(697),M=[],T="data-rc-order",A="data-rc-priority",I="rc-util-key",C=new Map;function D(){var e=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).mark;return e?e.startsWith("data-")?e:"data-".concat(e):I}function E(e){return e.attachTo?e.attachTo:document.querySelector("head")||document.body}function L(e){return Array.from((C.get(e)||e).children).filter((function(e){return"STYLE"===e.tagName}))}function P(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!(0,f.A)())return null;var n=t.csp,r=t.prepend,i=t.priority,o=void 0===i?0:i,a=function(e){return"queue"===e?"prependQueue":e?"prepend":"append"}(r),s="prependQueue"===a,l=document.createElement("style");l.setAttribute(T,a),s&&o&&l.setAttribute(A,"".concat(o)),null!=n&&n.nonce&&(l.nonce=null==n?void 0:n.nonce),l.innerHTML=e;var u=E(t),c=u.firstChild;if(r){if(s){var h=(t.styles||L(u)).filter((function(e){if(!["prepend","prependQueue"].includes(e.getAttribute(T)))return!1;var t=Number(e.getAttribute(A)||0);return o>=t}));if(h.length)return u.insertBefore(l,h[h.length-1].nextSibling),l}u.insertBefore(l,c)}else u.appendChild(l);return l}function O(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=E(t);return(t.styles||L(n)).find((function(n){return n.getAttribute(D(t))===e}))}function N(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=O(e,t);n&&E(t).removeChild(n)}function R(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},r=E(n),i=L(r),o=(0,u.A)((0,u.A)({},n),{},{styles:i});!function(e,t){var n=C.get(e);if(!n||!function(e,t){if(!e)return!1;if(e.contains)return e.contains(t);for(var n=t;n;){if(n===e)return!0;n=n.parentNode}return!1}(document,n)){var r=P("",t),i=r.parentNode;C.set(e,i),e.removeChild(r)}}(r,o);var a,s,l,c=O(t,o);if(c)return null!==(a=o.csp)&&void 0!==a&&a.nonce&&c.nonce!==(null===(s=o.csp)||void 0===s?void 0:s.nonce)&&(c.nonce=null===(l=o.csp)||void 0===l?void 0:l.nonce),c.innerHTML!==e&&(c.innerHTML=e),c;var h=P(e,o);return h.setAttribute(D(o),t),h}var k="rc-util-locker-".concat(Date.now()),B=0;function F(e){var t=!!e,n=o.useState((function(){return B+=1,"".concat(k,"_").concat(B)})),r=(0,h.A)(n,1)[0];(0,S.A)((function(){if(t){var e=(i=document.body,"undefined"!=typeof document&&i&&i instanceof Element?function(e){var t="rc-scrollbar-measure-".concat(Math.random().toString(36).substring(7)),n=document.createElement("div");n.id=t;var r,i,o=n.style;if(o.position="absolute",o.left="0",o.top="0",o.width="100px",o.height="100px",o.overflow="scroll",e){var a=getComputedStyle(e);o.scrollbarColor=a.scrollbarColor,o.scrollbarWidth=a.scrollbarWidth;var s=getComputedStyle(e,"::-webkit-scrollbar"),l=parseInt(s.width,10),u=parseInt(s.height,10);try{var c=l?"width: ".concat(s.width,";"):"",h=u?"height: ".concat(s.height,";"):"";R("\n#".concat(t,"::-webkit-scrollbar {\n").concat(c,"\n").concat(h,"\n}"),t)}catch(e){console.error(e),r=l,i=u}}document.body.appendChild(n);var d=e&&r&&!isNaN(r)?r:n.offsetWidth-n.clientWidth,p=e&&i&&!isNaN(i)?i:n.offsetHeight-n.clientHeight;return document.body.removeChild(n),N(t),{width:d,height:p}}(i):{width:0,height:0}).width,n=document.body.scrollHeight>(window.innerHeight||document.documentElement.clientHeight)&&window.innerWidth>document.body.offsetWidth;R("\nhtml body {\n  overflow-y: hidden;\n  ".concat(n?"width: calc(100% - ".concat(e,"px);"):"","\n}"),r)}else N(r);var i;return function(){N(r)}}),[t,r])}var z=!1,V=function(e){return!1!==e&&((0,f.A)()&&e?"string"==typeof e?document.querySelector(e):"function"==typeof e?e():e:null)},G=o.forwardRef((function(e,t){var n=e.open,r=e.autoLock,i=e.getContainer,a=(e.debug,e.autoDestroy),s=void 0===a||a,l=e.children,u=o.useState(n),c=(0,h.A)(u,2),p=c[0],g=c[1],m=p||n;o.useEffect((function(){(s||n)&&g(n)}),[n,s]);var v=o.useState((function(){return V(i)})),y=(0,h.A)(v,2),T=y[0],A=y[1];o.useEffect((function(){var e=V(i);A(null!=e?e:null)}));var I=function(e,t){var n=o.useState((function(){return(0,f.A)()?document.createElement("div"):null})),r=(0,h.A)(n,1)[0],i=o.useRef(!1),a=o.useContext(b),s=o.useState(M),l=(0,h.A)(s,2),u=l[0],c=l[1],d=a||(i.current?void 0:function(e){c((function(t){return[e].concat((0,w.A)(t))}))});function p(){r.parentElement||document.body.appendChild(r),i.current=!0}function g(){var e;null===(e=r.parentElement)||void 0===e||e.removeChild(r),i.current=!1}return(0,S.A)((function(){return e?a?a(p):p():g(),g}),[e]),(0,S.A)((function(){u.length&&(u.forEach((function(e){return e()})),c(M))}),[u]),[r,d]}(m&&!T),C=(0,h.A)(I,2),D=C[0],E=C[1],L=null!=T?T:D;F(r&&n&&(0,f.A)()&&(L===D||L===document.body));var P=null;l&&x(l)&&t&&(P=l.ref);var O=_(P,t);if(!m||!(0,f.A)()||void 0===T)return null;var N=!1===L||z,R=l;return t&&(R=o.cloneElement(l,{ref:O})),o.createElement(b.Provider,{value:E},N?R:(0,d.createPortal)(R,L))}));const H=G;function U(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=[];return a().Children.forEach(e,(function(e){(null!=e||t.keepEmpty)&&(Array.isArray(e)?n=n.concat(U(e)):(0,m.isFragment)(e)&&e.props?n=n.concat(U(e.props.children,t)):n.push(e))})),n}function W(e){return e instanceof HTMLElement||e instanceof SVGElement}function j(e){var t,n=function(e){return e&&"object"===(0,g.A)(e)&&W(e.nativeElement)?e.nativeElement:W(e)?e:null}(e);return n||(e instanceof a().Component?null===(t=p().findDOMNode)||void 0===t?void 0:t.call(p(),e):null)}var X=o.createContext(null),Y=function(){if("undefined"!=typeof Map)return Map;function e(e,t){var n=-1;return e.some((function(e,r){return e[0]===t&&(n=r,!0)})),n}return function(){function t(){this.__entries__=[]}return Object.defineProperty(t.prototype,"size",{get:function(){return this.__entries__.length},enumerable:!0,configurable:!0}),t.prototype.get=function(t){var n=e(this.__entries__,t),r=this.__entries__[n];return r&&r[1]},t.prototype.set=function(t,n){var r=e(this.__entries__,t);~r?this.__entries__[r][1]=n:this.__entries__.push([t,n])},t.prototype.delete=function(t){var n=this.__entries__,r=e(n,t);~r&&n.splice(r,1)},t.prototype.has=function(t){return!!~e(this.__entries__,t)},t.prototype.clear=function(){this.__entries__.splice(0)},t.prototype.forEach=function(e,t){void 0===t&&(t=null);for(var n=0,r=this.__entries__;n<r.length;n++){var i=r[n];e.call(t,i[1],i[0])}},t}()}(),Z="undefined"!=typeof window&&"undefined"!=typeof document&&window.document===document,q=void 0!==n.g&&n.g.Math===Math?n.g:"undefined"!=typeof self&&self.Math===Math?self:"undefined"!=typeof window&&window.Math===Math?window:Function("return this")(),$="function"==typeof requestAnimationFrame?requestAnimationFrame.bind(q):function(e){return setTimeout((function(){return e(Date.now())}),1e3/60)},K=["top","right","bottom","left","width","height","size","weight"],J="undefined"!=typeof MutationObserver,Q=function(){function e(){this.connected_=!1,this.mutationEventsAdded_=!1,this.mutationsObserver_=null,this.observers_=[],this.onTransitionEnd_=this.onTransitionEnd_.bind(this),this.refresh=function(e,t){var n=!1,r=!1,i=0;function o(){n&&(n=!1,e()),r&&s()}function a(){$(o)}function s(){var e=Date.now();if(n){if(e-i<2)return;r=!0}else n=!0,r=!1,setTimeout(a,t);i=e}return s}(this.refresh.bind(this),20)}return e.prototype.addObserver=function(e){~this.observers_.indexOf(e)||this.observers_.push(e),this.connected_||this.connect_()},e.prototype.removeObserver=function(e){var t=this.observers_,n=t.indexOf(e);~n&&t.splice(n,1),!t.length&&this.connected_&&this.disconnect_()},e.prototype.refresh=function(){this.updateObservers_()&&this.refresh()},e.prototype.updateObservers_=function(){var e=this.observers_.filter((function(e){return e.gatherActive(),e.hasActive()}));return e.forEach((function(e){return e.broadcastActive()})),e.length>0},e.prototype.connect_=function(){Z&&!this.connected_&&(document.addEventListener("transitionend",this.onTransitionEnd_),window.addEventListener("resize",this.refresh),J?(this.mutationsObserver_=new MutationObserver(this.refresh),this.mutationsObserver_.observe(document,{attributes:!0,childList:!0,characterData:!0,subtree:!0})):(document.addEventListener("DOMSubtreeModified",this.refresh),this.mutationEventsAdded_=!0),this.connected_=!0)},e.prototype.disconnect_=function(){Z&&this.connected_&&(document.removeEventListener("transitionend",this.onTransitionEnd_),window.removeEventListener("resize",this.refresh),this.mutationsObserver_&&this.mutationsObserver_.disconnect(),this.mutationEventsAdded_&&document.removeEventListener("DOMSubtreeModified",this.refresh),this.mutationsObserver_=null,this.mutationEventsAdded_=!1,this.connected_=!1)},e.prototype.onTransitionEnd_=function(e){var t=e.propertyName,n=void 0===t?"":t;K.some((function(e){return!!~n.indexOf(e)}))&&this.refresh()},e.getInstance=function(){return this.instance_||(this.instance_=new e),this.instance_},e.instance_=null,e}(),ee=function(e,t){for(var n=0,r=Object.keys(t);n<r.length;n++){var i=r[n];Object.defineProperty(e,i,{value:t[i],enumerable:!1,writable:!1,configurable:!0})}return e},te=function(e){return e&&e.ownerDocument&&e.ownerDocument.defaultView||q},ne=se(0,0,0,0);function re(e){return parseFloat(e)||0}function ie(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.reduce((function(t,n){return t+re(e["border-"+n+"-width"])}),0)}var oe="undefined"!=typeof SVGGraphicsElement?function(e){return e instanceof te(e).SVGGraphicsElement}:function(e){return e instanceof te(e).SVGElement&&"function"==typeof e.getBBox};function ae(e){return Z?oe(e)?function(e){var t=e.getBBox();return se(0,0,t.width,t.height)}(e):function(e){var t=e.clientWidth,n=e.clientHeight;if(!t&&!n)return ne;var r=te(e).getComputedStyle(e),i=function(e){for(var t={},n=0,r=["top","right","bottom","left"];n<r.length;n++){var i=r[n],o=e["padding-"+i];t[i]=re(o)}return t}(r),o=i.left+i.right,a=i.top+i.bottom,s=re(r.width),l=re(r.height);if("border-box"===r.boxSizing&&(Math.round(s+o)!==t&&(s-=ie(r,"left","right")+o),Math.round(l+a)!==n&&(l-=ie(r,"top","bottom")+a)),!function(e){return e===te(e).document.documentElement}(e)){var u=Math.round(s+o)-t,c=Math.round(l+a)-n;1!==Math.abs(u)&&(s-=u),1!==Math.abs(c)&&(l-=c)}return se(i.left,i.top,s,l)}(e):ne}function se(e,t,n,r){return{x:e,y:t,width:n,height:r}}var le=function(){function e(e){this.broadcastWidth=0,this.broadcastHeight=0,this.contentRect_=se(0,0,0,0),this.target=e}return e.prototype.isActive=function(){var e=ae(this.target);return this.contentRect_=e,e.width!==this.broadcastWidth||e.height!==this.broadcastHeight},e.prototype.broadcastRect=function(){var e=this.contentRect_;return this.broadcastWidth=e.width,this.broadcastHeight=e.height,e},e}(),ue=function(e,t){var n,r,i,o,a,s,l,u=(r=(n=t).x,i=n.y,o=n.width,a=n.height,s="undefined"!=typeof DOMRectReadOnly?DOMRectReadOnly:Object,l=Object.create(s.prototype),ee(l,{x:r,y:i,width:o,height:a,top:i,right:r+o,bottom:a+i,left:r}),l);ee(this,{target:e,contentRect:u})},ce=function(){function e(e,t,n){if(this.activeObservations_=[],this.observations_=new Y,"function"!=typeof e)throw new TypeError("The callback provided as parameter 1 is not a function.");this.callback_=e,this.controller_=t,this.callbackCtx_=n}return e.prototype.observe=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof te(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)||(t.set(e,new le(e)),this.controller_.addObserver(this),this.controller_.refresh())}},e.prototype.unobserve=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof te(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)&&(t.delete(e),t.size||this.controller_.removeObserver(this))}},e.prototype.disconnect=function(){this.clearActive(),this.observations_.clear(),this.controller_.removeObserver(this)},e.prototype.gatherActive=function(){var e=this;this.clearActive(),this.observations_.forEach((function(t){t.isActive()&&e.activeObservations_.push(t)}))},e.prototype.broadcastActive=function(){if(this.hasActive()){var e=this.callbackCtx_,t=this.activeObservations_.map((function(e){return new ue(e.target,e.broadcastRect())}));this.callback_.call(e,t,e),this.clearActive()}},e.prototype.clearActive=function(){this.activeObservations_.splice(0)},e.prototype.hasActive=function(){return this.activeObservations_.length>0},e}(),he="undefined"!=typeof WeakMap?new WeakMap:new Y,de=function e(t){if(!(this instanceof e))throw new TypeError("Cannot call a class as a function.");if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");var n=Q.getInstance(),r=new ce(t,n,this);he.set(this,r)};["observe","unobserve","disconnect"].forEach((function(e){de.prototype[e]=function(){var t;return(t=he.get(this))[e].apply(t,arguments)}}));const pe=void 0!==q.ResizeObserver?q.ResizeObserver:de;var fe=new Map,ge=new pe((function(e){e.forEach((function(e){var t,n=e.target;null===(t=fe.get(n))||void 0===t||t.forEach((function(e){return e(n)}))}))}));function me(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}var ve=n(2162);function ye(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,(0,ve.A)(r.key),r)}}function _e(e,t,n){return t&&ye(e.prototype,t),n&&ye(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}function xe(e,t){return xe=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},xe(e,t)}function be(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&xe(e,t)}function we(e){return we=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},we(e)}function Se(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Se=function(){return!!e})()}function Me(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function Te(e){var t=Se();return function(){var n,r=we(e);if(t){var i=we(this).constructor;n=Reflect.construct(r,arguments,i)}else n=r.apply(this,arguments);return function(e,t){if(t&&("object"==(0,g.A)(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return Me(e)}(this,n)}}var Ae=function(e){be(n,e);var t=Te(n);function n(){return me(this,n),t.apply(this,arguments)}return _e(n,[{key:"render",value:function(){return this.props.children}}]),n}(o.Component);function Ie(e,t){var n=e.children,r=e.disabled,i=o.useRef(null),a=o.useRef(null),s=o.useContext(X),l="function"==typeof n,c=l?n(i):n,h=o.useRef({width:-1,height:-1,offsetWidth:-1,offsetHeight:-1}),d=!l&&o.isValidElement(c)&&x(c),p=d?c.ref:null,f=_(p,i),m=function(){var e;return j(i.current)||(i.current&&"object"===(0,g.A)(i.current)?j(null===(e=i.current)||void 0===e?void 0:e.nativeElement):null)||j(a.current)};o.useImperativeHandle(t,(function(){return m()}));var v=o.useRef(e);v.current=e;var y=o.useCallback((function(e){var t=v.current,n=t.onResize,r=t.data,i=e.getBoundingClientRect(),o=i.width,a=i.height,l=e.offsetWidth,c=e.offsetHeight,d=Math.floor(o),p=Math.floor(a);if(h.current.width!==d||h.current.height!==p||h.current.offsetWidth!==l||h.current.offsetHeight!==c){var f={width:d,height:p,offsetWidth:l,offsetHeight:c};h.current=f;var g=l===Math.round(o)?o:l,m=c===Math.round(a)?a:c,y=(0,u.A)((0,u.A)({},f),{},{offsetWidth:g,offsetHeight:m});null==s||s(y,e,r),n&&Promise.resolve().then((function(){n(y,e)}))}}),[]);return o.useEffect((function(){var e,t,n=m();return n&&!r&&(e=n,t=y,fe.has(e)||(fe.set(e,new Set),ge.observe(e)),fe.get(e).add(t)),function(){return function(e,t){fe.has(e)&&(fe.get(e).delete(t),fe.get(e).size||(ge.unobserve(e),fe.delete(e)))}(n,y)}}),[i.current,r]),o.createElement(Ae,{ref:a},d?o.cloneElement(c,{ref:f}):c)}const Ce=o.forwardRef(Ie);function De(e,t){var n=e.children;return("function"==typeof n?[n]:U(n)).map((function(n,r){var i=(null==n?void 0:n.key)||"".concat("rc-observer-key","-").concat(r);return o.createElement(Ce,(0,l.A)({},e,{key:i,ref:0===r?t:void 0}),n)}))}var Ee=o.forwardRef(De);Ee.Collection=function(e){var t=e.children,n=e.onBatchResize,r=o.useRef(0),i=o.useRef([]),a=o.useContext(X),s=o.useCallback((function(e,t,o){r.current+=1;var s=r.current;i.current.push({size:e,element:t,data:o}),Promise.resolve().then((function(){s===r.current&&(null==n||n(i.current),i.current=[])})),null==a||a(e,t,o)}),[n,a]);return o.createElement(X.Provider,{value:s},t)};const Le=Ee;function Pe(e){var t;return null==e||null===(t=e.getRootNode)||void 0===t?void 0:t.call(e)}function Oe(e){return function(e){return Pe(e)instanceof ShadowRoot}(e)?Pe(e):null}var Ne=n(8728),Re=0,ke=(0,u.A)({},o).useId;const Be=ke?function(e){var t=ke();return e||t}:function(e){var t=o.useState("ssr-id"),n=(0,h.A)(t,2),r=n[0],i=n[1];return o.useEffect((function(){var e=Re;Re+=1,i("rc_unique_".concat(e))}),[]),e||r};var Fe=n(1705),ze=o.createContext({}),Ve=function(e){be(n,e);var t=Te(n);function n(){return me(this,n),t.apply(this,arguments)}return _e(n,[{key:"render",value:function(){return this.props.children}}]),n}(o.Component);const Ge=Ve;n(9273),"undefined"==typeof Reflect?Object.keys:Reflect.ownKeys;var He=n(1773),Ue="none",We="appear",je="enter",Xe="leave",Ye="none",Ze="prepare",qe="start",$e="active",Ke="end",Je="prepared";function Qe(e,t){var n={};return n[e.toLowerCase()]=t.toLowerCase(),n["Webkit".concat(e)]="webkit".concat(t),n["Moz".concat(e)]="moz".concat(t),n["ms".concat(e)]="MS".concat(t),n["O".concat(e)]="o".concat(t.toLowerCase()),n}var et,tt,nt,rt=(et=(0,f.A)(),tt="undefined"!=typeof window?window:{},nt={animationend:Qe("Animation","AnimationEnd"),transitionend:Qe("Transition","TransitionEnd")},et&&("AnimationEvent"in tt||delete nt.animationend.animation,"TransitionEvent"in tt||delete nt.transitionend.transition),nt),it={};if((0,f.A)()){var ot=document.createElement("div");it=ot.style}var at={};function st(e){if(at[e])return at[e];var t=rt[e];if(t)for(var n=Object.keys(t),r=n.length,i=0;i<r;i+=1){var o=n[i];if(Object.prototype.hasOwnProperty.call(t,o)&&o in it)return at[e]=t[o],at[e]}return""}var lt=st("animationend"),ut=st("transitionend"),ct=!(!lt||!ut),ht=lt||"animationend",dt=ut||"transitionend";function pt(e,t){return e?"object"===(0,g.A)(e)?e[t.replace(/-\w/g,(function(e){return e[1].toUpperCase()}))]:"".concat(e,"-").concat(t):null}const ft=(0,f.A)()?o.useLayoutEffect:o.useEffect;var gt=function(e){return+setTimeout(e,16)},mt=function(e){return clearTimeout(e)};"undefined"!=typeof window&&"requestAnimationFrame"in window&&(gt=function(e){return window.requestAnimationFrame(e)},mt=function(e){return window.cancelAnimationFrame(e)});var vt=0,yt=new Map;function _t(e){yt.delete(e)}var xt=function(e){var t=vt+=1;return function n(r){if(0===r)_t(t),e();else{var i=gt((function(){n(r-1)}));yt.set(t,i)}}(arguments.length>1&&void 0!==arguments[1]?arguments[1]:1),t};xt.cancel=function(e){var t=yt.get(e);return _t(e),mt(t)};const bt=xt;var wt=[Ze,qe,$e,Ke],St=[Ze,Je],Mt=!1;function Tt(e){return e===$e||e===Ke}const At=function(e){var t=e;"object"===(0,g.A)(e)&&(t=e.transitionSupport);var n=o.forwardRef((function(e,n){var r=e.visible,a=void 0===r||r,s=e.removeOnLeave,l=void 0===s||s,c=e.forceRender,d=e.children,p=e.motionName,f=e.leavedClassName,g=e.eventProps,m=function(e,n){return!(!e.motionName||!t||!1===n)}(e,o.useContext(ze).motion),y=(0,o.useRef)(),_=(0,o.useRef)(),b=function(e,t,n,r){var i=r.motionEnter,a=void 0===i||i,s=r.motionAppear,l=void 0===s||s,c=r.motionLeave,d=void 0===c||c,p=r.motionDeadline,f=r.motionLeaveImmediately,g=r.onAppearPrepare,m=r.onEnterPrepare,v=r.onLeavePrepare,x=r.onAppearStart,b=r.onEnterStart,w=r.onLeaveStart,S=r.onAppearActive,M=r.onEnterActive,T=r.onLeaveActive,A=r.onAppearEnd,I=r.onEnterEnd,C=r.onLeaveEnd,D=r.onVisibleChanged,E=(0,He.A)(),L=(0,h.A)(E,2),P=L[0],O=L[1],N=(0,He.A)(Ue),R=(0,h.A)(N,2),k=R[0],B=R[1],F=(0,He.A)(null),z=(0,h.A)(F,2),V=z[0],G=z[1],H=(0,o.useRef)(!1),U=(0,o.useRef)(null);function W(){return function(){try{return y.current instanceof HTMLElement?y.current:j(_.current)}catch(e){return null}}()}var X=(0,o.useRef)(!1);function Y(){B(Ue,!0),G(null,!0)}var Z=(0,Ne.A)((function(e){if(k!==Ue){var t=W();if(!e||e.deadline||e.target===t){var n,r=X.current;k===We&&r?n=null==A?void 0:A(t,e):k===je&&r?n=null==I?void 0:I(t,e):k===Xe&&r&&(n=null==C?void 0:C(t,e)),r&&!1!==n&&Y()}}})),q=function(e){var t=(0,o.useRef)();function n(t){t&&(t.removeEventListener(dt,e),t.removeEventListener(ht,e))}return o.useEffect((function(){return function(){n(t.current)}}),[]),[function(r){t.current&&t.current!==r&&n(t.current),r&&r!==t.current&&(r.addEventListener(dt,e),r.addEventListener(ht,e),t.current=r)},n]}(Z),$=(0,h.A)(q,1)[0],K=function(e){switch(e){case We:return(0,Fe.A)((0,Fe.A)((0,Fe.A)({},Ze,g),qe,x),$e,S);case je:return(0,Fe.A)((0,Fe.A)((0,Fe.A)({},Ze,m),qe,b),$e,M);case Xe:return(0,Fe.A)((0,Fe.A)((0,Fe.A)({},Ze,v),qe,w),$e,T);default:return{}}},J=o.useMemo((function(){return K(k)}),[k]),Q=function(e,t,n){var r=(0,He.A)(Ye),i=(0,h.A)(r,2),a=i[0],s=i[1],l=function(){var e=o.useRef(null);function t(){bt.cancel(e.current)}return o.useEffect((function(){return function(){t()}}),[]),[function n(r){var i=arguments.length>1&&void 0!==arguments[1]?arguments[1]:2;t();var o=bt((function(){i<=1?r({isCanceled:function(){return o!==e.current}}):n(r,i-1)}));e.current=o},t]}(),u=(0,h.A)(l,2),c=u[0],d=u[1],p=t?St:wt;return ft((function(){if(a!==Ye&&a!==Ke){var e=p.indexOf(a),t=p[e+1],r=n(a);r===Mt?s(t,!0):t&&c((function(e){function n(){e.isCanceled()||s(t,!0)}!0===r?n():Promise.resolve(r).then(n)}))}}),[e,a]),o.useEffect((function(){return function(){d()}}),[]),[function(){s(Ze,!0)},a]}(k,!e,(function(e){if(e===Ze){var t=J[Ze];return t?t(W()):Mt}var n;return ne in J&&G((null===(n=J[ne])||void 0===n?void 0:n.call(J,W(),null))||null),ne===$e&&k!==Ue&&($(W()),p>0&&(clearTimeout(U.current),U.current=setTimeout((function(){Z({deadline:!0})}),p))),ne===Je&&Y(),true})),ee=(0,h.A)(Q,2),te=ee[0],ne=ee[1],re=Tt(ne);X.current=re,ft((function(){O(t);var n,r=H.current;H.current=!0,!r&&t&&l&&(n=We),r&&t&&a&&(n=je),(r&&!t&&d||!r&&f&&!t&&d)&&(n=Xe);var i=K(n);n&&(e||i[Ze])?(B(n),te()):B(Ue)}),[t]),(0,o.useEffect)((function(){(k===We&&!l||k===je&&!a||k===Xe&&!d)&&B(Ue)}),[l,a,d]),(0,o.useEffect)((function(){return function(){H.current=!1,clearTimeout(U.current)}}),[]);var ie=o.useRef(!1);(0,o.useEffect)((function(){P&&(ie.current=!0),void 0!==P&&k===Ue&&((ie.current||P)&&(null==D||D(P)),ie.current=!0)}),[P,k]);var oe=V;return J[Ze]&&ne===qe&&(oe=(0,u.A)({transition:"none"},oe)),[k,ne,oe,null!=P?P:t]}(m,a,0,e),w=(0,h.A)(b,4),S=w[0],M=w[1],T=w[2],A=w[3],I=o.useRef(A);A&&(I.current=!0);var C,D=o.useCallback((function(e){y.current=e,v(n,e)}),[n]),E=(0,u.A)((0,u.A)({},g),{},{visible:a});if(d)if(S===Ue)C=A?d((0,u.A)({},E),D):!l&&I.current&&f?d((0,u.A)((0,u.A)({},E),{},{className:f}),D):c||!l&&!f?d((0,u.A)((0,u.A)({},E),{},{style:{display:"none"}}),D):null;else{var L;M===Ze?L="prepare":Tt(M)?L="active":M===qe&&(L="start");var P=pt(p,"".concat(S,"-").concat(L));C=d((0,u.A)((0,u.A)({},E),{},{className:i()(pt(p,S),(0,Fe.A)((0,Fe.A)({},P,P&&L),p,"string"==typeof p)),style:T}),D)}else C=null;return o.isValidElement(C)&&x(C)&&(C.ref||(C=o.cloneElement(C,{ref:D}))),o.createElement(Ge,{ref:_},C)}));return n.displayName="CSSMotion",n}(ct);var It="add",Ct="keep",Dt="remove",Et="removed";function Lt(e){var t;return t=e&&"object"===(0,g.A)(e)&&"key"in e?e:{key:e},(0,u.A)((0,u.A)({},t),{},{key:String(t.key)})}function Pt(){return(arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).map(Lt)}var Ot=["component","children","onVisibleChanged","onAllRemoved"],Nt=["status"],Rt=["eventProps","visible","children","motionName","motionAppear","motionEnter","motionLeave","motionLeaveImmediately","motionDeadline","removeOnLeave","leavedClassName","onAppearPrepare","onAppearStart","onAppearActive","onAppearEnd","onEnterStart","onEnterActive","onEnterEnd","onLeaveStart","onLeaveActive","onLeaveEnd"];!function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:At,n=function(e){be(r,e);var n=Te(r);function r(){var e;me(this,r);for(var t=arguments.length,i=new Array(t),o=0;o<t;o++)i[o]=arguments[o];return e=n.call.apply(n,[this].concat(i)),(0,Fe.A)(Me(e),"state",{keyEntities:[]}),(0,Fe.A)(Me(e),"removeKey",(function(t){var n=e.state.keyEntities.map((function(e){return e.key!==t?e:(0,u.A)((0,u.A)({},e),{},{status:Et})}));return e.setState({keyEntities:n}),n.filter((function(e){return e.status!==Et})).length})),e}return _e(r,[{key:"render",value:function(){var e=this,n=this.state.keyEntities,r=this.props,i=r.component,a=r.children,s=r.onVisibleChanged,h=r.onAllRemoved,d=(0,c.A)(r,Ot),p=i||o.Fragment,f={};return Rt.forEach((function(e){f[e]=d[e],delete d[e]})),delete d.keys,o.createElement(p,d,n.map((function(n,r){var i=n.status,d=(0,c.A)(n,Nt),p=i===It||i===Ct;return o.createElement(t,(0,l.A)({},f,{key:d.key,visible:p,eventProps:d,onVisibleChanged:function(t){null==s||s(t,{key:d.key}),t||0===e.removeKey(d.key)&&h&&h()}}),(function(e,t){return a((0,u.A)((0,u.A)({},e),{},{index:r}),t)}))})))}}],[{key:"getDerivedStateFromProps",value:function(e,t){var n=e.keys,r=t.keyEntities,i=Pt(n),o=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],n=[],r=0,i=t.length,o=Pt(e),a=Pt(t);o.forEach((function(e){for(var t=!1,o=r;o<i;o+=1){var s=a[o];if(s.key===e.key){r<o&&(n=n.concat(a.slice(r,o).map((function(e){return(0,u.A)((0,u.A)({},e),{},{status:It})}))),r=o),n.push((0,u.A)((0,u.A)({},s),{},{status:Ct})),r+=1,t=!0;break}}t||n.push((0,u.A)((0,u.A)({},e),{},{status:Dt}))})),r<i&&(n=n.concat(a.slice(r).map((function(e){return(0,u.A)((0,u.A)({},e),{},{status:It})}))));var s={};return n.forEach((function(e){var t=e.key;s[t]=(s[t]||0)+1})),Object.keys(s).filter((function(e){return s[e]>1})).forEach((function(e){(n=n.filter((function(t){var n=t.key,r=t.status;return n!==e||r!==Dt}))).forEach((function(t){t.key===e&&(t.status=Ct)}))})),n}(r,i);return{keyEntities:o.filter((function(e){var t=r.find((function(t){var n=t.key;return e.key===n}));return!t||t.status!==Et||e.status!==Dt}))}}}]),r}(o.Component);(0,Fe.A)(n,"defaultProps",{component:"div"})}(ct);const kt=At;function Bt(e){var t=e.prefixCls,n=e.align,r=e.arrow,a=e.arrowPos,s=r||{},l=s.className,u=s.content,c=a.x,h=void 0===c?0:c,d=a.y,p=void 0===d?0:d,f=o.useRef();if(!n||!n.points)return null;var g={position:"absolute"};if(!1!==n.autoArrow){var m=n.points[0],v=n.points[1],y=m[0],_=m[1],x=v[0],b=v[1];y!==x&&["t","b"].includes(y)?"t"===y?g.top=0:g.bottom=0:g.top=p,_!==b&&["l","r"].includes(_)?"l"===_?g.left=0:g.right=0:g.left=h}return o.createElement("div",{ref:f,className:i()("".concat(t,"-arrow"),l),style:g},u)}function Ft(e){var t=e.prefixCls,n=e.open,r=e.zIndex,a=e.mask,s=e.motion;return a?o.createElement(kt,(0,l.A)({},s,{motionAppear:!0,visible:n,removeOnLeave:!0}),(function(e){var n=e.className;return o.createElement("div",{style:{zIndex:r},className:i()("".concat(t,"-mask"),n)})})):null}const zt=o.memo((function(e){return e.children}),(function(e,t){return t.cache}));var Vt=o.forwardRef((function(e,t){var n=e.popup,r=e.className,a=e.prefixCls,s=e.style,c=e.target,d=e.onVisibleChanged,p=e.open,f=e.keepDom,g=e.fresh,m=e.onClick,v=e.mask,_=e.arrow,x=e.arrowPos,b=e.align,w=e.motion,M=e.maskMotion,T=e.forceRender,A=e.getPopupContainer,I=e.autoDestroy,C=e.portal,D=e.zIndex,E=e.onMouseEnter,L=e.onMouseLeave,P=e.onPointerEnter,O=e.ready,N=e.offsetX,R=e.offsetY,k=e.offsetR,B=e.offsetB,F=e.onAlign,z=e.onPrepare,V=e.stretch,G=e.targetWidth,H=e.targetHeight,U="function"==typeof n?n():n,W=p||f,j=(null==A?void 0:A.length)>0,X=o.useState(!A||!j),Y=(0,h.A)(X,2),Z=Y[0],q=Y[1];if((0,S.A)((function(){!Z&&j&&c&&q(!0)}),[Z,j,c]),!Z)return null;var $="auto",K={left:"-1000vw",top:"-1000vh",right:$,bottom:$};if(O||!p){var J,Q=b.points,ee=b.dynamicInset||(null===(J=b._experimental)||void 0===J?void 0:J.dynamicInset),te=ee&&"r"===Q[0][1],ne=ee&&"b"===Q[0][0];te?(K.right=k,K.left=$):(K.left=N,K.right=$),ne?(K.bottom=B,K.top=$):(K.top=R,K.bottom=$)}var re={};return V&&(V.includes("height")&&H?re.height=H:V.includes("minHeight")&&H&&(re.minHeight=H),V.includes("width")&&G?re.width=G:V.includes("minWidth")&&G&&(re.minWidth=G)),p||(re.pointerEvents="none"),o.createElement(C,{open:T||W,getContainer:A&&function(){return A(c)},autoDestroy:I},o.createElement(Ft,{prefixCls:a,open:p,zIndex:D,mask:v,motion:M}),o.createElement(Le,{onResize:F,disabled:!p},(function(e){return o.createElement(kt,(0,l.A)({motionAppear:!0,motionEnter:!0,motionLeave:!0,removeOnLeave:!1,forceRender:T,leavedClassName:"".concat(a,"-hidden")},w,{onAppearPrepare:z,onEnterPrepare:z,visible:p,onVisibleChanged:function(e){var t;null==w||null===(t=w.onVisibleChanged)||void 0===t||t.call(w,e),d(e)}}),(function(n,l){var c=n.className,h=n.style,d=i()(a,c,r);return o.createElement("div",{ref:y(e,t,l),className:d,style:(0,u.A)((0,u.A)((0,u.A)((0,u.A)({"--arrow-x":"".concat(x.x||0,"px"),"--arrow-y":"".concat(x.y||0,"px")},K),re),h),{},{boxSizing:"border-box",zIndex:D},s),onMouseEnter:E,onMouseLeave:L,onPointerEnter:P,onClick:m},_&&o.createElement(Bt,{prefixCls:a,arrow:_,arrowPos:x,align:b}),o.createElement(zt,{cache:!p&&!g},U))}))})))}));const Gt=Vt,Ht=o.forwardRef((function(e,t){var n=e.children,r=e.getTriggerDOMNode,i=x(n),a=o.useCallback((function(e){v(t,r?r(e):e)}),[r]),s=_(a,n.ref);return i?o.cloneElement(n,{ref:s}):n})),Ut=o.createContext(null);function Wt(e){return e?Array.isArray(e)?e:[e]:[]}function jt(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return(arguments.length>2?arguments[2]:void 0)?e[0]===t[0]:e[0]===t[0]&&e[1]===t[1]}function Xt(e,t,n,r){return t||(n?{motionName:"".concat(e,"-").concat(n)}:r?{motionName:r}:null)}function Yt(e){return e.ownerDocument.defaultView}function Zt(e){for(var t=[],n=null==e?void 0:e.parentElement,r=["hidden","scroll","clip","auto"];n;){var i=Yt(n).getComputedStyle(n);[i.overflowX,i.overflowY,i.overflow].some((function(e){return r.includes(e)}))&&t.push(n),n=n.parentElement}return t}function qt(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1;return Number.isNaN(e)?t:e}function $t(e){return qt(parseFloat(e),0)}function Kt(e,t){var n=(0,u.A)({},e);return(t||[]).forEach((function(e){if(!(e instanceof HTMLBodyElement||e instanceof HTMLHtmlElement)){var t=Yt(e).getComputedStyle(e),r=t.overflow,i=t.overflowClipMargin,o=t.borderTopWidth,a=t.borderBottomWidth,s=t.borderLeftWidth,l=t.borderRightWidth,u=e.getBoundingClientRect(),c=e.offsetHeight,h=e.clientHeight,d=e.offsetWidth,p=e.clientWidth,f=$t(o),g=$t(a),m=$t(s),v=$t(l),y=qt(Math.round(u.width/d*1e3)/1e3),_=qt(Math.round(u.height/c*1e3)/1e3),x=(d-p-m-v)*y,b=(c-h-f-g)*_,w=f*_,S=g*_,M=m*y,T=v*y,A=0,I=0;if("clip"===r){var C=$t(i);A=C*y,I=C*_}var D=u.x+M-A,E=u.y+w-I,L=D+u.width+2*A-M-T-x,P=E+u.height+2*I-w-S-b;n.left=Math.max(n.left,D),n.top=Math.max(n.top,E),n.right=Math.min(n.right,L),n.bottom=Math.min(n.bottom,P)}})),n}function Jt(e){var t="".concat(arguments.length>1&&void 0!==arguments[1]?arguments[1]:0),n=t.match(/^(.*)\%$/);return n?e*(parseFloat(n[1])/100):parseFloat(t)}function Qt(e,t){var n=t||[],r=(0,h.A)(n,2),i=r[0],o=r[1];return[Jt(e.width,i),Jt(e.height,o)]}function en(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return[e[0],e[1]]}function tn(e,t){var n,r=t[0],i=t[1];return n="t"===r?e.y:"b"===r?e.y+e.height:e.y+e.height/2,{x:"l"===i?e.x:"r"===i?e.x+e.width:e.x+e.width/2,y:n}}function nn(e,t){var n={t:"b",b:"t",l:"r",r:"l"};return e.map((function(e,r){return r===t?n[e]||"c":e})).join("")}var rn=["prefixCls","children","action","showAction","hideAction","popupVisible","defaultPopupVisible","onPopupVisibleChange","afterPopupVisibleChange","mouseEnterDelay","mouseLeaveDelay","focusDelay","blurDelay","mask","maskClosable","getPopupContainer","forceRender","autoDestroy","destroyPopupOnHide","popup","popupClassName","popupStyle","popupPlacement","builtinPlacements","popupAlign","zIndex","stretch","getPopupClassNameFromAlign","fresh","alignPoint","onPopupClick","onPopupAlign","arrow","popupMotion","maskMotion","popupTransitionName","popupAnimation","maskTransitionName","maskAnimation","className","getTriggerDOMNode"];const on=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:H,t=o.forwardRef((function(t,n){var r=t.prefixCls,a=void 0===r?"rc-trigger-popup":r,s=t.children,l=t.action,d=void 0===l?"hover":l,p=t.showAction,f=t.hideAction,g=t.popupVisible,m=t.defaultPopupVisible,v=t.onPopupVisibleChange,y=t.afterPopupVisibleChange,_=t.mouseEnterDelay,x=t.mouseLeaveDelay,b=void 0===x?.1:x,M=t.focusDelay,T=t.blurDelay,A=t.mask,I=t.maskClosable,C=void 0===I||I,D=t.getPopupContainer,E=t.forceRender,L=t.autoDestroy,P=t.destroyPopupOnHide,O=t.popup,N=t.popupClassName,R=t.popupStyle,k=t.popupPlacement,B=t.builtinPlacements,F=void 0===B?{}:B,z=t.popupAlign,V=t.zIndex,G=t.stretch,H=t.getPopupClassNameFromAlign,U=t.fresh,j=t.alignPoint,X=t.onPopupClick,Y=t.onPopupAlign,Z=t.arrow,q=t.popupMotion,$=t.maskMotion,K=t.popupTransitionName,J=t.popupAnimation,Q=t.maskTransitionName,ee=t.maskAnimation,te=t.className,ne=t.getTriggerDOMNode,re=(0,c.A)(t,rn),ie=L||P||!1,oe=o.useState(!1),ae=(0,h.A)(oe,2),se=ae[0],le=ae[1];(0,S.A)((function(){le(function(){if("undefined"==typeof navigator||"undefined"==typeof window)return!1;var e=navigator.userAgent||navigator.vendor||window.opera;return/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(e)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw-(n|u)|c55\/|capi|ccwa|cdm-|cell|chtm|cldc|cmd-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc-s|devi|dica|dmob|do(c|p)o|ds(12|-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(-|_)|g1 u|g560|gene|gf-5|g-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd-(m|p|t)|hei-|hi(pt|ta)|hp( i|ip)|hs-c|ht(c(-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i-(20|go|ma)|i230|iac( |-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|-[a-w])|libw|lynx|m1-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|-([1-8]|c))|phil|pire|pl(ay|uc)|pn-2|po(ck|rt|se)|prox|psio|pt-g|qa-a|qc(07|12|21|32|60|-[2-7]|i-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h-|oo|p-)|sdk\/|se(c(-|0|1)|47|mc|nd|ri)|sgh-|shar|sie(-|m)|sk-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h-|v-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl-|tdg-|tel(i|m)|tim-|t-mo|to(pl|sh)|ts(70|m-|m3|m5)|tx-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas-|your|zeto|zte-/i.test(null==e?void 0:e.substr(0,4))}())}),[]);var ue=o.useRef({}),ce=o.useContext(Ut),he=o.useMemo((function(){return{registerSubPopup:function(e,t){ue.current[e]=t,null==ce||ce.registerSubPopup(e,t)}}}),[ce]),de=Be(),pe=o.useState(null),fe=(0,h.A)(pe,2),ge=fe[0],me=fe[1],ve=o.useRef(null),ye=(0,Ne.A)((function(e){ve.current=e,W(e)&&ge!==e&&me(e),null==ce||ce.registerSubPopup(de,e)})),_e=o.useState(null),xe=(0,h.A)(_e,2),be=xe[0],we=xe[1],Se=o.useRef(null),Me=(0,Ne.A)((function(e){W(e)&&be!==e&&(we(e),Se.current=e)})),Te=o.Children.only(s),Ae=(null==Te?void 0:Te.props)||{},Ie={},Ce=(0,Ne.A)((function(e){var t,n,r=be;return(null==r?void 0:r.contains(e))||(null===(t=Oe(r))||void 0===t?void 0:t.host)===e||e===r||(null==ge?void 0:ge.contains(e))||(null===(n=Oe(ge))||void 0===n?void 0:n.host)===e||e===ge||Object.values(ue.current).some((function(t){return(null==t?void 0:t.contains(e))||e===t}))})),De=Xt(a,q,J,K),Ee=Xt(a,$,ee,Q),Pe=o.useState(m||!1),Re=(0,h.A)(Pe,2),ke=Re[0],Fe=Re[1],ze=null!=g?g:ke,Ve=(0,Ne.A)((function(e){void 0===g&&Fe(e)}));(0,S.A)((function(){Fe(g||!1)}),[g]);var Ge=o.useRef(ze);Ge.current=ze;var He=o.useRef([]);He.current=[];var Ue=(0,Ne.A)((function(e){var t;Ve(e),(null!==(t=He.current[He.current.length-1])&&void 0!==t?t:ze)!==e&&(He.current.push(e),null==v||v(e))})),We=o.useRef(),je=function(){clearTimeout(We.current)},Xe=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;je(),0===t?Ue(e):We.current=setTimeout((function(){Ue(e)}),1e3*t)};o.useEffect((function(){return je}),[]);var Ye=o.useState(!1),Ze=(0,h.A)(Ye,2),qe=Ze[0],$e=Ze[1];(0,S.A)((function(e){e&&!ze||$e(!0)}),[ze]);var Ke=o.useState(null),Je=(0,h.A)(Ke,2),Qe=Je[0],et=Je[1],tt=o.useState([0,0]),nt=(0,h.A)(tt,2),rt=nt[0],it=nt[1],ot=function(e){it([e.clientX,e.clientY])},at=function(e,t,n,r,i,a,s){var l=o.useState({ready:!1,offsetX:0,offsetY:0,offsetR:0,offsetB:0,arrowX:0,arrowY:0,scaleX:1,scaleY:1,align:i[r]||{}}),c=(0,h.A)(l,2),d=c[0],p=c[1],f=o.useRef(0),g=o.useMemo((function(){return t?Zt(t):[]}),[t]),m=o.useRef({});e||(m.current={});var v=(0,Ne.A)((function(){if(t&&n&&e){var o,l,c,d=t,f=d.ownerDocument,v=Yt(d).getComputedStyle(d),y=v.width,_=v.height,x=v.position,b=d.style.left,w=d.style.top,S=d.style.right,M=d.style.bottom,T=d.style.overflow,A=(0,u.A)((0,u.A)({},i[r]),a),I=f.createElement("div");if(null===(o=d.parentElement)||void 0===o||o.appendChild(I),I.style.left="".concat(d.offsetLeft,"px"),I.style.top="".concat(d.offsetTop,"px"),I.style.position=x,I.style.height="".concat(d.offsetHeight,"px"),I.style.width="".concat(d.offsetWidth,"px"),d.style.left="0",d.style.top="0",d.style.right="auto",d.style.bottom="auto",d.style.overflow="hidden",Array.isArray(n))c={x:n[0],y:n[1],width:0,height:0};else{var C=n.getBoundingClientRect();c={x:C.x,y:C.y,width:C.width,height:C.height}}var D=d.getBoundingClientRect(),E=f.documentElement,L=E.clientWidth,P=E.clientHeight,O=E.scrollWidth,N=E.scrollHeight,R=E.scrollTop,k=E.scrollLeft,B=D.height,F=D.width,z=c.height,V=c.width,G={left:0,top:0,right:L,bottom:P},H={left:-k,top:-R,right:O-k,bottom:N-R},U=A.htmlRegion,j="visible",X="visibleFirst";"scroll"!==U&&U!==X&&(U=j);var Y=U===X,Z=Kt(H,g),q=Kt(G,g),$=U===j?q:Z,K=Y?q:$;d.style.left="auto",d.style.top="auto",d.style.right="0",d.style.bottom="0";var J=d.getBoundingClientRect();d.style.left=b,d.style.top=w,d.style.right=S,d.style.bottom=M,d.style.overflow=T,null===(l=d.parentElement)||void 0===l||l.removeChild(I);var Q=qt(Math.round(F/parseFloat(y)*1e3)/1e3),ee=qt(Math.round(B/parseFloat(_)*1e3)/1e3);if(0===Q||0===ee||W(n)&&!function(e){if(!e)return!1;if(e instanceof Element){if(e.offsetParent)return!0;if(e.getBBox){var t=e.getBBox(),n=t.width,r=t.height;if(n||r)return!0}if(e.getBoundingClientRect){var i=e.getBoundingClientRect(),o=i.width,a=i.height;if(o||a)return!0}}return!1}(n))return;var te=A.offset,ne=A.targetOffset,re=Qt(D,te),ie=(0,h.A)(re,2),oe=ie[0],ae=ie[1],se=Qt(c,ne),le=(0,h.A)(se,2),ue=le[0],ce=le[1];c.x-=ue,c.y-=ce;var he=A.points||[],de=(0,h.A)(he,2),pe=de[0],fe=en(de[1]),ge=en(pe),me=tn(c,fe),ve=tn(D,ge),ye=(0,u.A)({},A),_e=me.x-ve.x+oe,xe=me.y-ve.y+ae;function pt(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:$,r=D.x+e,i=D.y+t,o=r+F,a=i+B,s=Math.max(r,n.left),l=Math.max(i,n.top),u=Math.min(o,n.right),c=Math.min(a,n.bottom);return Math.max(0,(u-s)*(c-l))}var be,we,Se,Me,Te=pt(_e,xe),Ae=pt(_e,xe,q),Ie=tn(c,["t","l"]),Ce=tn(D,["t","l"]),De=tn(c,["b","r"]),Ee=tn(D,["b","r"]),Le=A.overflow||{},Pe=Le.adjustX,Oe=Le.adjustY,Ne=Le.shiftX,Re=Le.shiftY,ke=function(e){return"boolean"==typeof e?e:e>=0};function ft(){be=D.y+xe,we=be+B,Se=D.x+_e,Me=Se+F}ft();var Be=ke(Oe),Fe=ge[0]===fe[0];if(Be&&"t"===ge[0]&&(we>K.bottom||m.current.bt)){var ze=xe;Fe?ze-=B-z:ze=Ie.y-Ee.y-ae;var Ve=pt(_e,ze),Ge=pt(_e,ze,q);Ve>Te||Ve===Te&&(!Y||Ge>=Ae)?(m.current.bt=!0,xe=ze,ae=-ae,ye.points=[nn(ge,0),nn(fe,0)]):m.current.bt=!1}if(Be&&"b"===ge[0]&&(be<K.top||m.current.tb)){var He=xe;Fe?He+=B-z:He=De.y-Ce.y-ae;var Ue=pt(_e,He),We=pt(_e,He,q);Ue>Te||Ue===Te&&(!Y||We>=Ae)?(m.current.tb=!0,xe=He,ae=-ae,ye.points=[nn(ge,0),nn(fe,0)]):m.current.tb=!1}var je=ke(Pe),Xe=ge[1]===fe[1];if(je&&"l"===ge[1]&&(Me>K.right||m.current.rl)){var Ye=_e;Xe?Ye-=F-V:Ye=Ie.x-Ee.x-oe;var Ze=pt(Ye,xe),qe=pt(Ye,xe,q);Ze>Te||Ze===Te&&(!Y||qe>=Ae)?(m.current.rl=!0,_e=Ye,oe=-oe,ye.points=[nn(ge,1),nn(fe,1)]):m.current.rl=!1}if(je&&"r"===ge[1]&&(Se<K.left||m.current.lr)){var $e=_e;Xe?$e+=F-V:$e=De.x-Ce.x-oe;var Ke=pt($e,xe),Je=pt($e,xe,q);Ke>Te||Ke===Te&&(!Y||Je>=Ae)?(m.current.lr=!0,_e=$e,oe=-oe,ye.points=[nn(ge,1),nn(fe,1)]):m.current.lr=!1}ft();var Qe=!0===Ne?0:Ne;"number"==typeof Qe&&(Se<q.left&&(_e-=Se-q.left-oe,c.x+V<q.left+Qe&&(_e+=c.x-q.left+V-Qe)),Me>q.right&&(_e-=Me-q.right-oe,c.x>q.right-Qe&&(_e+=c.x-q.right+Qe)));var et=!0===Re?0:Re;"number"==typeof et&&(be<q.top&&(xe-=be-q.top-ae,c.y+z<q.top+et&&(xe+=c.y-q.top+z-et)),we>q.bottom&&(xe-=we-q.bottom-ae,c.y>q.bottom-et&&(xe+=c.y-q.bottom+et)));var tt=D.x+_e,nt=tt+F,rt=D.y+xe,it=rt+B,ot=c.x,at=ot+V,st=c.y,lt=st+z,ut=(Math.max(tt,ot)+Math.min(nt,at))/2-tt,ct=(Math.max(rt,st)+Math.min(it,lt))/2-rt;null==s||s(t,ye);var ht=J.right-D.x-(_e+D.width),dt=J.bottom-D.y-(xe+D.height);p({ready:!0,offsetX:_e/Q,offsetY:xe/ee,offsetR:ht/Q,offsetB:dt/ee,arrowX:ut/Q,arrowY:ct/ee,scaleX:Q,scaleY:ee,align:ye})}})),y=function(){p((function(e){return(0,u.A)((0,u.A)({},e),{},{ready:!1})}))};return(0,S.A)(y,[r]),(0,S.A)((function(){e||y()}),[e]),[d.ready,d.offsetX,d.offsetY,d.offsetR,d.offsetB,d.arrowX,d.arrowY,d.scaleX,d.scaleY,d.align,function(){f.current+=1;var e=f.current;Promise.resolve().then((function(){f.current===e&&v()}))}]}(ze,ge,j?rt:be,k,F,z,Y),st=(0,h.A)(at,11),lt=st[0],ut=st[1],ct=st[2],ht=st[3],dt=st[4],pt=st[5],ft=st[6],gt=st[7],mt=st[8],vt=st[9],yt=st[10],_t=function(e,t,n,r){return o.useMemo((function(){var i=Wt(null!=n?n:t),o=Wt(null!=r?r:t),a=new Set(i),s=new Set(o);return e&&(a.has("hover")&&(a.delete("hover"),a.add("click")),s.has("hover")&&(s.delete("hover"),s.add("click"))),[a,s]}),[e,t,n,r])}(se,d,p,f),xt=(0,h.A)(_t,2),bt=xt[0],wt=xt[1],St=bt.has("click"),Mt=wt.has("click")||wt.has("contextMenu"),Tt=(0,Ne.A)((function(){qe||yt()}));!function(e,t,n,r,i){(0,S.A)((function(){if(e&&t&&n){var i=n,o=Zt(t),a=Zt(i),s=Yt(i),l=new Set([s].concat((0,w.A)(o),(0,w.A)(a)));function u(){r(),Ge.current&&j&&Mt&&Xe(!1)}return l.forEach((function(e){e.addEventListener("scroll",u,{passive:!0})})),s.addEventListener("resize",u,{passive:!0}),r(),function(){l.forEach((function(e){e.removeEventListener("scroll",u),s.removeEventListener("resize",u)}))}}}),[e,t,n])}(ze,be,ge,Tt),(0,S.A)((function(){Tt()}),[rt,k]),(0,S.A)((function(){!ze||null!=F&&F[k]||Tt()}),[JSON.stringify(z)]);var At=o.useMemo((function(){var e=function(e,t,n,r){for(var i=n.points,o=Object.keys(e),a=0;a<o.length;a+=1){var s,l=o[a];if(jt(null===(s=e[l])||void 0===s?void 0:s.points,i,r))return"".concat(t,"-placement-").concat(l)}return""}(F,a,vt,j);return i()(e,null==H?void 0:H(vt))}),[vt,H,F,a,j]);o.useImperativeHandle(n,(function(){return{nativeElement:Se.current,popupElement:ve.current,forceAlign:Tt}}));var It=o.useState(0),Ct=(0,h.A)(It,2),Dt=Ct[0],Et=Ct[1],Lt=o.useState(0),Pt=(0,h.A)(Lt,2),Ot=Pt[0],Nt=Pt[1],Rt=function(){if(G&&be){var e=be.getBoundingClientRect();Et(e.width),Nt(e.height)}};function kt(e,t,n,r){Ie[e]=function(i){var o;null==r||r(i),Xe(t,n);for(var a=arguments.length,s=new Array(a>1?a-1:0),l=1;l<a;l++)s[l-1]=arguments[l];null===(o=Ae[e])||void 0===o||o.call.apply(o,[Ae,i].concat(s))}}(0,S.A)((function(){Qe&&(yt(),Qe(),et(null))}),[Qe]),(St||Mt)&&(Ie.onClick=function(e){var t;Ge.current&&Mt?Xe(!1):!Ge.current&&St&&(ot(e),Xe(!0));for(var n=arguments.length,r=new Array(n>1?n-1:0),i=1;i<n;i++)r[i-1]=arguments[i];null===(t=Ae.onClick)||void 0===t||t.call.apply(t,[Ae,e].concat(r))}),function(e,t,n,r,i,a,s,l){var u=o.useRef(e);u.current=e,o.useEffect((function(){if(t&&r&&(!i||a)){var e=function(e){var t=e.target;u.current&&!s(t)&&l(!1)},o=Yt(r);o.addEventListener("mousedown",e,!0),o.addEventListener("contextmenu",e,!0);var c=Oe(n);return c&&(c.addEventListener("mousedown",e,!0),c.addEventListener("contextmenu",e,!0)),function(){o.removeEventListener("mousedown",e,!0),o.removeEventListener("contextmenu",e,!0),c&&(c.removeEventListener("mousedown",e,!0),c.removeEventListener("contextmenu",e,!0))}}}),[t,n,r,i,a])}(ze,Mt,be,ge,A,C,Ce,Xe);var Bt,Ft,zt=bt.has("hover"),Vt=wt.has("hover");zt&&(kt("onMouseEnter",!0,_,(function(e){ot(e)})),kt("onPointerEnter",!0,_,(function(e){ot(e)})),Bt=function(e){(ze||qe)&&null!=ge&&ge.contains(e.target)&&Xe(!0,_)},j&&(Ie.onMouseMove=function(e){var t;null===(t=Ae.onMouseMove)||void 0===t||t.call(Ae,e)})),Vt&&(kt("onMouseLeave",!1,b),kt("onPointerLeave",!1,b),Ft=function(){Xe(!1,b)}),bt.has("focus")&&kt("onFocus",!0,M),wt.has("focus")&&kt("onBlur",!1,T),bt.has("contextMenu")&&(Ie.onContextMenu=function(e){var t;Ge.current&&wt.has("contextMenu")?Xe(!1):(ot(e),Xe(!0)),e.preventDefault();for(var n=arguments.length,r=new Array(n>1?n-1:0),i=1;i<n;i++)r[i-1]=arguments[i];null===(t=Ae.onContextMenu)||void 0===t||t.call.apply(t,[Ae,e].concat(r))}),te&&(Ie.className=i()(Ae.className,te));var $t=(0,u.A)((0,u.A)({},Ae),Ie),Jt={};["onContextMenu","onClick","onMouseDown","onTouchStart","onMouseEnter","onMouseLeave","onFocus","onBlur"].forEach((function(e){re[e]&&(Jt[e]=function(){for(var t,n=arguments.length,r=new Array(n),i=0;i<n;i++)r[i]=arguments[i];null===(t=$t[e])||void 0===t||t.call.apply(t,[$t].concat(r)),re[e].apply(re,r)})}));var on=o.cloneElement(Te,(0,u.A)((0,u.A)({},$t),Jt)),an={x:pt,y:ft},sn=Z?(0,u.A)({},!0!==Z?Z:{}):null;return o.createElement(o.Fragment,null,o.createElement(Le,{disabled:!ze,ref:Me,onResize:function(){Rt(),Tt()}},o.createElement(Ht,{getTriggerDOMNode:ne},on)),o.createElement(Ut.Provider,{value:he},o.createElement(Gt,{portal:e,ref:ye,prefixCls:a,popup:O,className:i()(N,At),style:R,target:be,onMouseEnter:Bt,onMouseLeave:Ft,onPointerEnter:Bt,zIndex:V,open:ze,keepDom:qe,fresh:U,onClick:X,mask:A,motion:De,maskMotion:Ee,onVisibleChanged:function(e){$e(!1),yt(),null==y||y(e)},onPrepare:function(){return new Promise((function(e){Rt(),et((function(){return e}))}))},forceRender:E,autoDestroy:ie,getPopupContainer:D,align:vt,arrow:sn,arrowPos:an,ready:lt,offsetX:ut,offsetY:ct,offsetR:ht,offsetB:dt,onAlign:Tt,stretch:G,targetWidth:Dt/gt,targetHeight:Ot/mt})))}));return t}(H);var an={shiftX:64,adjustY:1},sn={adjustX:1,shiftY:!0},ln=[0,0],un={left:{points:["cr","cl"],overflow:sn,offset:[-4,0],targetOffset:ln},right:{points:["cl","cr"],overflow:sn,offset:[4,0],targetOffset:ln},top:{points:["bc","tc"],overflow:an,offset:[0,-4],targetOffset:ln},bottom:{points:["tc","bc"],overflow:an,offset:[0,4],targetOffset:ln},topLeft:{points:["bl","tl"],overflow:an,offset:[0,-4],targetOffset:ln},leftTop:{points:["tr","tl"],overflow:sn,offset:[-4,0],targetOffset:ln},topRight:{points:["br","tr"],overflow:an,offset:[0,-4],targetOffset:ln},rightTop:{points:["tl","tr"],overflow:sn,offset:[4,0],targetOffset:ln},bottomRight:{points:["tr","br"],overflow:an,offset:[0,4],targetOffset:ln},rightBottom:{points:["bl","br"],overflow:sn,offset:[4,0],targetOffset:ln},bottomLeft:{points:["tl","bl"],overflow:an,offset:[0,4],targetOffset:ln},leftBottom:{points:["br","bl"],overflow:sn,offset:[-4,0],targetOffset:ln}},cn=["overlayClassName","trigger","mouseEnterDelay","mouseLeaveDelay","overlayStyle","prefixCls","children","onVisibleChange","afterVisibleChange","transitionName","animation","motion","placement","align","destroyTooltipOnHide","defaultVisible","getTooltipContainer","overlayInnerStyle","arrowContent","overlay","id","showArrow"],hn=function(e,t){var n=e.overlayClassName,r=e.trigger,i=void 0===r?["hover"]:r,a=e.mouseEnterDelay,h=void 0===a?0:a,d=e.mouseLeaveDelay,p=void 0===d?.1:d,f=e.overlayStyle,g=e.prefixCls,m=void 0===g?"rc-tooltip":g,v=e.children,y=e.onVisibleChange,_=e.afterVisibleChange,x=e.transitionName,b=e.animation,w=e.motion,S=e.placement,M=void 0===S?"right":S,T=e.align,A=void 0===T?{}:T,I=e.destroyTooltipOnHide,C=void 0!==I&&I,D=e.defaultVisible,E=e.getTooltipContainer,L=e.overlayInnerStyle,P=(e.arrowContent,e.overlay),O=e.id,N=e.showArrow,R=void 0===N||N,k=(0,c.A)(e,cn),B=(0,o.useRef)(null);(0,o.useImperativeHandle)(t,(function(){return B.current}));var F=(0,u.A)({},k);return"visible"in e&&(F.popupVisible=e.visible),o.createElement(on,(0,l.A)({popupClassName:n,prefixCls:m,popup:function(){return o.createElement(s,{key:"content",prefixCls:m,id:O,overlayInnerStyle:L},P)},action:i,builtinPlacements:un,popupPlacement:M,ref:B,popupAlign:A,getPopupContainer:E,onPopupVisibleChange:y,afterPopupVisibleChange:_,popupTransitionName:x,popupAnimation:b,popupMotion:w,defaultPopupVisible:D,autoDestroy:C,mouseLeaveDelay:p,popupStyle:f,mouseEnterDelay:h,arrow:R},F),v)};const dn=(0,o.forwardRef)(hn)},9370:(e,t,n)=>{"use strict";function r(){return!("undefined"==typeof window||!window.document||!window.document.createElement)}n.d(t,{A:()=>r})},8728:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(5959);function i(e){var t=r.useRef();t.current=e;var n=r.useCallback((function(){for(var e,n=arguments.length,r=new Array(n),i=0;i<n;i++)r[i]=arguments[i];return null===(e=t.current)||void 0===e?void 0:e.call.apply(e,[t].concat(r))}),[]);return n}},697:(e,t,n)=>{"use strict";n.d(t,{A:()=>s,o:()=>a});var r=n(5959),i=(0,n(9370).A)()?r.useLayoutEffect:r.useEffect,o=function(e,t){var n=r.useRef(!0);i((function(){return e(n.current)}),t),i((function(){return n.current=!1,function(){n.current=!0}}),[])},a=function(e,t){o((function(t){if(!t)return e()}),t)};const s=o},9273:(e,t,n)=>{"use strict";n.d(t,{A:()=>l});var r=n(7850),i=n(8728),o=n(697),a=n(1773);function s(e){return void 0!==e}function l(e,t){var n=t||{},l=n.defaultValue,u=n.value,c=n.onChange,h=n.postState,d=(0,a.A)((function(){return s(u)?u:s(l)?"function"==typeof l?l():l:"function"==typeof e?e():e})),p=(0,r.A)(d,2),f=p[0],g=p[1],m=void 0!==u?u:f,v=h?h(m):m,y=(0,i.A)(c),_=(0,a.A)([m]),x=(0,r.A)(_,2),b=x[0],w=x[1];return(0,o.o)((function(){var e=b[0];f!==e&&y(f,e)}),[b]),(0,o.o)((function(){s(u)||g(u)}),[u]),[v,(0,i.A)((function(e,t){g(e,t),w([m],t)}))]}},1773:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(7850),i=n(5959);function o(e){var t=i.useRef(!1),n=i.useState(e),o=(0,r.A)(n,2),a=o[0],s=o[1];return i.useEffect((function(){return t.current=!1,function(){t.current=!0}}),[]),[a,function(e,n){n&&t.current||s(e)}]}},4358:(e,t,n)=>{"use strict";n.d(t,{Ay:()=>u});var r={},i=[];function o(e,t){}function a(e,t){}function s(e,t,n){t||r[n]||(e(!1,n),r[n]=!0)}function l(e,t){s(o,e,t)}l.preMessage=function(e){i.push(e)},l.resetWarned=function(){r={}},l.noteOnce=function(e,t){s(a,e,t)};const u=l},6087:(e,t)=>{"use strict";var n=Symbol.for("react.element"),r=Symbol.for("react.portal"),i=Symbol.for("react.fragment"),o=Symbol.for("react.strict_mode"),a=Symbol.for("react.profiler"),s=Symbol.for("react.provider"),l=Symbol.for("react.context"),u=Symbol.for("react.server_context"),c=Symbol.for("react.forward_ref"),h=Symbol.for("react.suspense"),d=Symbol.for("react.suspense_list"),p=Symbol.for("react.memo"),f=Symbol.for("react.lazy");Symbol.for("react.offscreen");function g(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case n:switch(e=e.type){case i:case a:case o:case h:case d:return e;default:switch(e=e&&e.$$typeof){case u:case l:case c:case f:case p:case s:return e;default:return t}}case r:return t}}}Symbol.for("react.module.reference"),t.ForwardRef=c,t.isFragment=function(e){return g(e)===i},t.isMemo=function(e){return g(e)===p}},9555:(e,t,n)=>{"use strict";e.exports=n(6087)},9524:(e,t,n)=>{const r=Symbol("SemVer ANY");class i{static get ANY(){return r}constructor(e,t){if(t=o(t),e instanceof i){if(e.loose===!!t.loose)return e;e=e.value}e=e.trim().split(/\s+/).join(" "),u("comparator",e,t),this.options=t,this.loose=!!t.loose,this.parse(e),this.semver===r?this.value="":this.value=this.operator+this.semver.version,u("comp",this)}parse(e){const t=this.options.loose?a[s.COMPARATORLOOSE]:a[s.COMPARATOR],n=e.match(t);if(!n)throw new TypeError(`Invalid comparator: ${e}`);this.operator=void 0!==n[1]?n[1]:"","="===this.operator&&(this.operator=""),n[2]?this.semver=new c(n[2],this.options.loose):this.semver=r}toString(){return this.value}test(e){if(u("Comparator.test",e,this.options.loose),this.semver===r||e===r)return!0;if("string"==typeof e)try{e=new c(e,this.options)}catch(e){return!1}return l(e,this.operator,this.semver,this.options)}intersects(e,t){if(!(e instanceof i))throw new TypeError("a Comparator is required");return""===this.operator?""===this.value||new h(e.value,t).test(this.value):""===e.operator?""===e.value||new h(this.value,t).test(e.semver):!((t=o(t)).includePrerelease&&("<0.0.0-0"===this.value||"<0.0.0-0"===e.value)||!t.includePrerelease&&(this.value.startsWith("<0.0.0")||e.value.startsWith("<0.0.0"))||(!this.operator.startsWith(">")||!e.operator.startsWith(">"))&&(!this.operator.startsWith("<")||!e.operator.startsWith("<"))&&(this.semver.version!==e.semver.version||!this.operator.includes("=")||!e.operator.includes("="))&&!(l(this.semver,"<",e.semver,t)&&this.operator.startsWith(">")&&e.operator.startsWith("<"))&&!(l(this.semver,">",e.semver,t)&&this.operator.startsWith("<")&&e.operator.startsWith(">")))}}e.exports=i;const o=n(7095),{safeRe:a,t:s}=n(6850),l=n(3811),u=n(9796),c=n(7944),h=n(8395)},8395:(e,t,n)=>{class r{constructor(e,t){if(t=o(t),e instanceof r)return e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease?e:new r(e.raw,t);if(e instanceof a)return this.raw=e.value,this.set=[[e]],this.format(),this;if(this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease,this.raw=e.trim().split(/\s+/).join(" "),this.set=this.raw.split("||").map((e=>this.parseRange(e.trim()))).filter((e=>e.length)),!this.set.length)throw new TypeError(`Invalid SemVer Range: ${this.raw}`);if(this.set.length>1){const e=this.set[0];if(this.set=this.set.filter((e=>!m(e[0]))),0===this.set.length)this.set=[e];else if(this.set.length>1)for(const e of this.set)if(1===e.length&&v(e[0])){this.set=[e];break}}this.format()}format(){return this.range=this.set.map((e=>e.join(" ").trim())).join("||").trim(),this.range}toString(){return this.range}parseRange(e){const t=((this.options.includePrerelease&&f)|(this.options.loose&&g))+":"+e,n=i.get(t);if(n)return n;const r=this.options.loose,o=r?u[c.HYPHENRANGELOOSE]:u[c.HYPHENRANGE];e=e.replace(o,D(this.options.includePrerelease)),s("hyphen replace",e),e=e.replace(u[c.COMPARATORTRIM],h),s("comparator trim",e),e=e.replace(u[c.TILDETRIM],d),s("tilde trim",e),e=e.replace(u[c.CARETTRIM],p),s("caret trim",e);let l=e.split(" ").map((e=>_(e,this.options))).join(" ").split(/\s+/).map((e=>C(e,this.options)));r&&(l=l.filter((e=>(s("loose invalid filter",e,this.options),!!e.match(u[c.COMPARATORLOOSE]))))),s("range list",l);const v=new Map,y=l.map((e=>new a(e,this.options)));for(const e of y){if(m(e))return[e];v.set(e.value,e)}v.size>1&&v.has("")&&v.delete("");const x=[...v.values()];return i.set(t,x),x}intersects(e,t){if(!(e instanceof r))throw new TypeError("a Range is required");return this.set.some((n=>y(n,t)&&e.set.some((e=>y(e,t)&&n.every((n=>e.every((e=>n.intersects(e,t)))))))))}test(e){if(!e)return!1;if("string"==typeof e)try{e=new l(e,this.options)}catch(e){return!1}for(let t=0;t<this.set.length;t++)if(E(this.set[t],e,this.options))return!0;return!1}}e.exports=r;const i=new(n(1158)),o=n(7095),a=n(9524),s=n(9796),l=n(7944),{safeRe:u,t:c,comparatorTrimReplace:h,tildeTrimReplace:d,caretTrimReplace:p}=n(6850),{FLAG_INCLUDE_PRERELEASE:f,FLAG_LOOSE:g}=n(9630),m=e=>"<0.0.0-0"===e.value,v=e=>""===e.value,y=(e,t)=>{let n=!0;const r=e.slice();let i=r.pop();for(;n&&r.length;)n=r.every((e=>i.intersects(e,t))),i=r.pop();return n},_=(e,t)=>(s("comp",e,t),e=S(e,t),s("caret",e),e=b(e,t),s("tildes",e),e=T(e,t),s("xrange",e),e=I(e,t),s("stars",e),e),x=e=>!e||"x"===e.toLowerCase()||"*"===e,b=(e,t)=>e.trim().split(/\s+/).map((e=>w(e,t))).join(" "),w=(e,t)=>{const n=t.loose?u[c.TILDELOOSE]:u[c.TILDE];return e.replace(n,((t,n,r,i,o)=>{let a;return s("tilde",e,t,n,r,i,o),x(n)?a="":x(r)?a=`>=${n}.0.0 <${+n+1}.0.0-0`:x(i)?a=`>=${n}.${r}.0 <${n}.${+r+1}.0-0`:o?(s("replaceTilde pr",o),a=`>=${n}.${r}.${i}-${o} <${n}.${+r+1}.0-0`):a=`>=${n}.${r}.${i} <${n}.${+r+1}.0-0`,s("tilde return",a),a}))},S=(e,t)=>e.trim().split(/\s+/).map((e=>M(e,t))).join(" "),M=(e,t)=>{s("caret",e,t);const n=t.loose?u[c.CARETLOOSE]:u[c.CARET],r=t.includePrerelease?"-0":"";return e.replace(n,((t,n,i,o,a)=>{let l;return s("caret",e,t,n,i,o,a),x(n)?l="":x(i)?l=`>=${n}.0.0${r} <${+n+1}.0.0-0`:x(o)?l="0"===n?`>=${n}.${i}.0${r} <${n}.${+i+1}.0-0`:`>=${n}.${i}.0${r} <${+n+1}.0.0-0`:a?(s("replaceCaret pr",a),l="0"===n?"0"===i?`>=${n}.${i}.${o}-${a} <${n}.${i}.${+o+1}-0`:`>=${n}.${i}.${o}-${a} <${n}.${+i+1}.0-0`:`>=${n}.${i}.${o}-${a} <${+n+1}.0.0-0`):(s("no pr"),l="0"===n?"0"===i?`>=${n}.${i}.${o}${r} <${n}.${i}.${+o+1}-0`:`>=${n}.${i}.${o}${r} <${n}.${+i+1}.0-0`:`>=${n}.${i}.${o} <${+n+1}.0.0-0`),s("caret return",l),l}))},T=(e,t)=>(s("replaceXRanges",e,t),e.split(/\s+/).map((e=>A(e,t))).join(" ")),A=(e,t)=>{e=e.trim();const n=t.loose?u[c.XRANGELOOSE]:u[c.XRANGE];return e.replace(n,((n,r,i,o,a,l)=>{s("xRange",e,n,r,i,o,a,l);const u=x(i),c=u||x(o),h=c||x(a),d=h;return"="===r&&d&&(r=""),l=t.includePrerelease?"-0":"",u?n=">"===r||"<"===r?"<0.0.0-0":"*":r&&d?(c&&(o=0),a=0,">"===r?(r=">=",c?(i=+i+1,o=0,a=0):(o=+o+1,a=0)):"<="===r&&(r="<",c?i=+i+1:o=+o+1),"<"===r&&(l="-0"),n=`${r+i}.${o}.${a}${l}`):c?n=`>=${i}.0.0${l} <${+i+1}.0.0-0`:h&&(n=`>=${i}.${o}.0${l} <${i}.${+o+1}.0-0`),s("xRange return",n),n}))},I=(e,t)=>(s("replaceStars",e,t),e.trim().replace(u[c.STAR],"")),C=(e,t)=>(s("replaceGTE0",e,t),e.trim().replace(u[t.includePrerelease?c.GTE0PRE:c.GTE0],"")),D=e=>(t,n,r,i,o,a,s,l,u,c,h,d)=>`${n=x(r)?"":x(i)?`>=${r}.0.0${e?"-0":""}`:x(o)?`>=${r}.${i}.0${e?"-0":""}`:a?`>=${n}`:`>=${n}${e?"-0":""}`} ${l=x(u)?"":x(c)?`<${+u+1}.0.0-0`:x(h)?`<${u}.${+c+1}.0-0`:d?`<=${u}.${c}.${h}-${d}`:e?`<${u}.${c}.${+h+1}-0`:`<=${l}`}`.trim(),E=(e,t,n)=>{for(let n=0;n<e.length;n++)if(!e[n].test(t))return!1;if(t.prerelease.length&&!n.includePrerelease){for(let n=0;n<e.length;n++)if(s(e[n].semver),e[n].semver!==a.ANY&&e[n].semver.prerelease.length>0){const r=e[n].semver;if(r.major===t.major&&r.minor===t.minor&&r.patch===t.patch)return!0}return!1}return!0}},7944:(e,t,n)=>{const r=n(9796),{MAX_LENGTH:i,MAX_SAFE_INTEGER:o}=n(9630),{safeRe:a,t:s}=n(6850),l=n(7095),{compareIdentifiers:u}=n(4031);class c{constructor(e,t){if(t=l(t),e instanceof c){if(e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease)return e;e=e.version}else if("string"!=typeof e)throw new TypeError(`Invalid version. Must be a string. Got type "${typeof e}".`);if(e.length>i)throw new TypeError(`version is longer than ${i} characters`);r("SemVer",e,t),this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease;const n=e.trim().match(t.loose?a[s.LOOSE]:a[s.FULL]);if(!n)throw new TypeError(`Invalid Version: ${e}`);if(this.raw=e,this.major=+n[1],this.minor=+n[2],this.patch=+n[3],this.major>o||this.major<0)throw new TypeError("Invalid major version");if(this.minor>o||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>o||this.patch<0)throw new TypeError("Invalid patch version");n[4]?this.prerelease=n[4].split(".").map((e=>{if(/^[0-9]+$/.test(e)){const t=+e;if(t>=0&&t<o)return t}return e})):this.prerelease=[],this.build=n[5]?n[5].split("."):[],this.format()}format(){return this.version=`${this.major}.${this.minor}.${this.patch}`,this.prerelease.length&&(this.version+=`-${this.prerelease.join(".")}`),this.version}toString(){return this.version}compare(e){if(r("SemVer.compare",this.version,this.options,e),!(e instanceof c)){if("string"==typeof e&&e===this.version)return 0;e=new c(e,this.options)}return e.version===this.version?0:this.compareMain(e)||this.comparePre(e)}compareMain(e){return e instanceof c||(e=new c(e,this.options)),u(this.major,e.major)||u(this.minor,e.minor)||u(this.patch,e.patch)}comparePre(e){if(e instanceof c||(e=new c(e,this.options)),this.prerelease.length&&!e.prerelease.length)return-1;if(!this.prerelease.length&&e.prerelease.length)return 1;if(!this.prerelease.length&&!e.prerelease.length)return 0;let t=0;do{const n=this.prerelease[t],i=e.prerelease[t];if(r("prerelease compare",t,n,i),void 0===n&&void 0===i)return 0;if(void 0===i)return 1;if(void 0===n)return-1;if(n!==i)return u(n,i)}while(++t)}compareBuild(e){e instanceof c||(e=new c(e,this.options));let t=0;do{const n=this.build[t],i=e.build[t];if(r("build compare",t,n,i),void 0===n&&void 0===i)return 0;if(void 0===i)return 1;if(void 0===n)return-1;if(n!==i)return u(n,i)}while(++t)}inc(e,t,n){switch(e){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",t,n);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",t,n);break;case"prepatch":this.prerelease.length=0,this.inc("patch",t,n),this.inc("pre",t,n);break;case"prerelease":0===this.prerelease.length&&this.inc("patch",t,n),this.inc("pre",t,n);break;case"major":0===this.minor&&0===this.patch&&0!==this.prerelease.length||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":0===this.patch&&0!==this.prerelease.length||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":0===this.prerelease.length&&this.patch++,this.prerelease=[];break;case"pre":{const e=Number(n)?1:0;if(!t&&!1===n)throw new Error("invalid increment argument: identifier is empty");if(0===this.prerelease.length)this.prerelease=[e];else{let r=this.prerelease.length;for(;--r>=0;)"number"==typeof this.prerelease[r]&&(this.prerelease[r]++,r=-2);if(-1===r){if(t===this.prerelease.join(".")&&!1===n)throw new Error("invalid increment argument: identifier already exists");this.prerelease.push(e)}}if(t){let r=[t,e];!1===n&&(r=[t]),0===u(this.prerelease[0],t)?isNaN(this.prerelease[1])&&(this.prerelease=r):this.prerelease=r}break}default:throw new Error(`invalid increment argument: ${e}`)}return this.raw=this.format(),this.build.length&&(this.raw+=`+${this.build.join(".")}`),this}}e.exports=c},7994:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e.trim().replace(/^[=v]+/,""),t);return n?n.version:null}},3811:(e,t,n)=>{const r=n(6909),i=n(7659),o=n(144),a=n(2077),s=n(599),l=n(7092);e.exports=(e,t,n,u)=>{switch(t){case"===":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e===n;case"!==":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e!==n;case"":case"=":case"==":return r(e,n,u);case"!=":return i(e,n,u);case">":return o(e,n,u);case">=":return a(e,n,u);case"<":return s(e,n,u);case"<=":return l(e,n,u);default:throw new TypeError(`Invalid operator: ${t}`)}}},5334:(e,t,n)=>{const r=n(7944),i=n(5860),{safeRe:o,t:a}=n(6850);e.exports=(e,t)=>{if(e instanceof r)return e;if("number"==typeof e&&(e=String(e)),"string"!=typeof e)return null;let n=null;if((t=t||{}).rtl){const r=t.includePrerelease?o[a.COERCERTLFULL]:o[a.COERCERTL];let i;for(;(i=r.exec(e))&&(!n||n.index+n[0].length!==e.length);)n&&i.index+i[0].length===n.index+n[0].length||(n=i),r.lastIndex=i.index+i[1].length+i[2].length;r.lastIndex=-1}else n=e.match(t.includePrerelease?o[a.COERCEFULL]:o[a.COERCE]);if(null===n)return null;const s=n[2],l=n[3]||"0",u=n[4]||"0",c=t.includePrerelease&&n[5]?`-${n[5]}`:"",h=t.includePrerelease&&n[6]?`+${n[6]}`:"";return i(`${s}.${l}.${u}${c}${h}`,t)}},2801:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n)=>{const i=new r(e,n),o=new r(t,n);return i.compare(o)||i.compareBuild(o)}},7023:(e,t,n)=>{const r=n(5380);e.exports=(e,t)=>r(e,t,!0)},5380:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n)=>new r(e,n).compare(new r(t,n))},660:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,null,!0),i=r(t,null,!0),o=n.compare(i);if(0===o)return null;const a=o>0,s=a?n:i,l=a?i:n,u=!!s.prerelease.length;if(l.prerelease.length&&!u)return l.patch||l.minor?s.patch?"patch":s.minor?"minor":"major":"major";const c=u?"pre":"";return n.major!==i.major?c+"major":n.minor!==i.minor?c+"minor":n.patch!==i.patch?c+"patch":"prerelease"}},6909:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>0===r(e,t,n)},144:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)>0},2077:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)>=0},5955:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n,i,o)=>{"string"==typeof n&&(o=i,i=n,n=void 0);try{return new r(e instanceof r?e.version:e,n).inc(t,i,o).version}catch(e){return null}}},599:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)<0},7092:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(e,t,n)<=0},2966:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).major},5986:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).minor},7659:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>0!==r(e,t,n)},5860:(e,t,n)=>{const r=n(7944);e.exports=(e,t,n=!1)=>{if(e instanceof r)return e;try{return new r(e,t)}catch(e){if(!n)return null;throw e}}},1617:(e,t,n)=>{const r=n(7944);e.exports=(e,t)=>new r(e,t).patch},9613:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,t);return n&&n.prerelease.length?n.prerelease:null}},2862:(e,t,n)=>{const r=n(5380);e.exports=(e,t,n)=>r(t,e,n)},6033:(e,t,n)=>{const r=n(2801);e.exports=(e,t)=>e.sort(((e,n)=>r(n,e,t)))},1722:(e,t,n)=>{const r=n(8395);e.exports=(e,t,n)=>{try{t=new r(t,n)}catch(e){return!1}return t.test(e)}},603:(e,t,n)=>{const r=n(2801);e.exports=(e,t)=>e.sort(((e,n)=>r(e,n,t)))},7645:(e,t,n)=>{const r=n(5860);e.exports=(e,t)=>{const n=r(e,t);return n?n.version:null}},8449:(e,t,n)=>{const r=n(6850),i=n(9630),o=n(7944),a=n(4031),s=n(5860),l=n(7645),u=n(7994),c=n(5955),h=n(660),d=n(2966),p=n(5986),f=n(1617),g=n(9613),m=n(5380),v=n(2862),y=n(7023),_=n(2801),x=n(603),b=n(6033),w=n(144),S=n(599),M=n(6909),T=n(7659),A=n(2077),I=n(7092),C=n(3811),D=n(5334),E=n(9524),L=n(8395),P=n(1722),O=n(651),N=n(7840),R=n(7930),k=n(3489),B=n(7494),F=n(5463),z=n(7871),V=n(4266),G=n(1112),H=n(1465),U=n(9252);e.exports={parse:s,valid:l,clean:u,inc:c,diff:h,major:d,minor:p,patch:f,prerelease:g,compare:m,rcompare:v,compareLoose:y,compareBuild:_,sort:x,rsort:b,gt:w,lt:S,eq:M,neq:T,gte:A,lte:I,cmp:C,coerce:D,Comparator:E,Range:L,satisfies:P,toComparators:O,maxSatisfying:N,minSatisfying:R,minVersion:k,validRange:B,outside:F,gtr:z,ltr:V,intersects:G,simplifyRange:H,subset:U,SemVer:o,re:r.re,src:r.src,tokens:r.t,SEMVER_SPEC_VERSION:i.SEMVER_SPEC_VERSION,RELEASE_TYPES:i.RELEASE_TYPES,compareIdentifiers:a.compareIdentifiers,rcompareIdentifiers:a.rcompareIdentifiers}},9630:e=>{const t=Number.MAX_SAFE_INTEGER||9007199254740991;e.exports={MAX_LENGTH:256,MAX_SAFE_COMPONENT_LENGTH:16,MAX_SAFE_BUILD_LENGTH:250,MAX_SAFE_INTEGER:t,RELEASE_TYPES:["major","premajor","minor","preminor","patch","prepatch","prerelease"],SEMVER_SPEC_VERSION:"2.0.0",FLAG_INCLUDE_PRERELEASE:1,FLAG_LOOSE:2}},9796:e=>{const t="object"==typeof process&&process.env&&process.env.NODE_DEBUG&&/\bsemver\b/i.test(process.env.NODE_DEBUG)?(...e)=>console.error("SEMVER",...e):()=>{};e.exports=t},4031:e=>{const t=/^[0-9]+$/,n=(e,n)=>{const r=t.test(e),i=t.test(n);return r&&i&&(e=+e,n=+n),e===n?0:r&&!i?-1:i&&!r?1:e<n?-1:1};e.exports={compareIdentifiers:n,rcompareIdentifiers:(e,t)=>n(t,e)}},1158:e=>{e.exports=class{constructor(){this.max=1e3,this.map=new Map}get(e){const t=this.map.get(e);return void 0===t?void 0:(this.map.delete(e),this.map.set(e,t),t)}delete(e){return this.map.delete(e)}set(e,t){if(!this.delete(e)&&void 0!==t){if(this.map.size>=this.max){const e=this.map.keys().next().value;this.delete(e)}this.map.set(e,t)}return this}}},7095:e=>{const t=Object.freeze({loose:!0}),n=Object.freeze({});e.exports=e=>e?"object"!=typeof e?t:e:n},6850:(e,t,n)=>{const{MAX_SAFE_COMPONENT_LENGTH:r,MAX_SAFE_BUILD_LENGTH:i,MAX_LENGTH:o}=n(9630),a=n(9796),s=(t=e.exports={}).re=[],l=t.safeRe=[],u=t.src=[],c=t.t={};let h=0;const d="[a-zA-Z0-9-]",p=[["\\s",1],["\\d",o],[d,i]],f=(e,t,n)=>{const r=(e=>{for(const[t,n]of p)e=e.split(`${t}*`).join(`${t}{0,${n}}`).split(`${t}+`).join(`${t}{1,${n}}`);return e})(t),i=h++;a(e,i,t),c[e]=i,u[i]=t,s[i]=new RegExp(t,n?"g":void 0),l[i]=new RegExp(r,n?"g":void 0)};f("NUMERICIDENTIFIER","0|[1-9]\\d*"),f("NUMERICIDENTIFIERLOOSE","\\d+"),f("NONNUMERICIDENTIFIER",`\\d*[a-zA-Z-]${d}*`),f("MAINVERSION",`(${u[c.NUMERICIDENTIFIER]})\\.(${u[c.NUMERICIDENTIFIER]})\\.(${u[c.NUMERICIDENTIFIER]})`),f("MAINVERSIONLOOSE",`(${u[c.NUMERICIDENTIFIERLOOSE]})\\.(${u[c.NUMERICIDENTIFIERLOOSE]})\\.(${u[c.NUMERICIDENTIFIERLOOSE]})`),f("PRERELEASEIDENTIFIER",`(?:${u[c.NUMERICIDENTIFIER]}|${u[c.NONNUMERICIDENTIFIER]})`),f("PRERELEASEIDENTIFIERLOOSE",`(?:${u[c.NUMERICIDENTIFIERLOOSE]}|${u[c.NONNUMERICIDENTIFIER]})`),f("PRERELEASE",`(?:-(${u[c.PRERELEASEIDENTIFIER]}(?:\\.${u[c.PRERELEASEIDENTIFIER]})*))`),f("PRERELEASELOOSE",`(?:-?(${u[c.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${u[c.PRERELEASEIDENTIFIERLOOSE]})*))`),f("BUILDIDENTIFIER",`${d}+`),f("BUILD",`(?:\\+(${u[c.BUILDIDENTIFIER]}(?:\\.${u[c.BUILDIDENTIFIER]})*))`),f("FULLPLAIN",`v?${u[c.MAINVERSION]}${u[c.PRERELEASE]}?${u[c.BUILD]}?`),f("FULL",`^${u[c.FULLPLAIN]}$`),f("LOOSEPLAIN",`[v=\\s]*${u[c.MAINVERSIONLOOSE]}${u[c.PRERELEASELOOSE]}?${u[c.BUILD]}?`),f("LOOSE",`^${u[c.LOOSEPLAIN]}$`),f("GTLT","((?:<|>)?=?)"),f("XRANGEIDENTIFIERLOOSE",`${u[c.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`),f("XRANGEIDENTIFIER",`${u[c.NUMERICIDENTIFIER]}|x|X|\\*`),f("XRANGEPLAIN",`[v=\\s]*(${u[c.XRANGEIDENTIFIER]})(?:\\.(${u[c.XRANGEIDENTIFIER]})(?:\\.(${u[c.XRANGEIDENTIFIER]})(?:${u[c.PRERELEASE]})?${u[c.BUILD]}?)?)?`),f("XRANGEPLAINLOOSE",`[v=\\s]*(${u[c.XRANGEIDENTIFIERLOOSE]})(?:\\.(${u[c.XRANGEIDENTIFIERLOOSE]})(?:\\.(${u[c.XRANGEIDENTIFIERLOOSE]})(?:${u[c.PRERELEASELOOSE]})?${u[c.BUILD]}?)?)?`),f("XRANGE",`^${u[c.GTLT]}\\s*${u[c.XRANGEPLAIN]}$`),f("XRANGELOOSE",`^${u[c.GTLT]}\\s*${u[c.XRANGEPLAINLOOSE]}$`),f("COERCEPLAIN",`(^|[^\\d])(\\d{1,${r}})(?:\\.(\\d{1,${r}}))?(?:\\.(\\d{1,${r}}))?`),f("COERCE",`${u[c.COERCEPLAIN]}(?:$|[^\\d])`),f("COERCEFULL",u[c.COERCEPLAIN]+`(?:${u[c.PRERELEASE]})?`+`(?:${u[c.BUILD]})?(?:$|[^\\d])`),f("COERCERTL",u[c.COERCE],!0),f("COERCERTLFULL",u[c.COERCEFULL],!0),f("LONETILDE","(?:~>?)"),f("TILDETRIM",`(\\s*)${u[c.LONETILDE]}\\s+`,!0),t.tildeTrimReplace="$1~",f("TILDE",`^${u[c.LONETILDE]}${u[c.XRANGEPLAIN]}$`),f("TILDELOOSE",`^${u[c.LONETILDE]}${u[c.XRANGEPLAINLOOSE]}$`),f("LONECARET","(?:\\^)"),f("CARETTRIM",`(\\s*)${u[c.LONECARET]}\\s+`,!0),t.caretTrimReplace="$1^",f("CARET",`^${u[c.LONECARET]}${u[c.XRANGEPLAIN]}$`),f("CARETLOOSE",`^${u[c.LONECARET]}${u[c.XRANGEPLAINLOOSE]}$`),f("COMPARATORLOOSE",`^${u[c.GTLT]}\\s*(${u[c.LOOSEPLAIN]})$|^$`),f("COMPARATOR",`^${u[c.GTLT]}\\s*(${u[c.FULLPLAIN]})$|^$`),f("COMPARATORTRIM",`(\\s*)${u[c.GTLT]}\\s*(${u[c.LOOSEPLAIN]}|${u[c.XRANGEPLAIN]})`,!0),t.comparatorTrimReplace="$1$2$3",f("HYPHENRANGE",`^\\s*(${u[c.XRANGEPLAIN]})\\s+-\\s+(${u[c.XRANGEPLAIN]})\\s*$`),f("HYPHENRANGELOOSE",`^\\s*(${u[c.XRANGEPLAINLOOSE]})\\s+-\\s+(${u[c.XRANGEPLAINLOOSE]})\\s*$`),f("STAR","(<|>)?=?\\s*\\*"),f("GTE0","^\\s*>=\\s*0\\.0\\.0\\s*$"),f("GTE0PRE","^\\s*>=\\s*0\\.0\\.0-0\\s*$")},7871:(e,t,n)=>{const r=n(5463);e.exports=(e,t,n)=>r(e,t,">",n)},1112:(e,t,n)=>{const r=n(8395);e.exports=(e,t,n)=>(e=new r(e,n),t=new r(t,n),e.intersects(t,n))},4266:(e,t,n)=>{const r=n(5463);e.exports=(e,t,n)=>r(e,t,"<",n)},7840:(e,t,n)=>{const r=n(7944),i=n(8395);e.exports=(e,t,n)=>{let o=null,a=null,s=null;try{s=new i(t,n)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(o&&-1!==a.compare(e)||(o=e,a=new r(o,n)))})),o}},7930:(e,t,n)=>{const r=n(7944),i=n(8395);e.exports=(e,t,n)=>{let o=null,a=null,s=null;try{s=new i(t,n)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(o&&1!==a.compare(e)||(o=e,a=new r(o,n)))})),o}},3489:(e,t,n)=>{const r=n(7944),i=n(8395),o=n(144);e.exports=(e,t)=>{e=new i(e,t);let n=new r("0.0.0");if(e.test(n))return n;if(n=new r("0.0.0-0"),e.test(n))return n;n=null;for(let t=0;t<e.set.length;++t){const i=e.set[t];let a=null;i.forEach((e=>{const t=new r(e.semver.version);switch(e.operator){case">":0===t.prerelease.length?t.patch++:t.prerelease.push(0),t.raw=t.format();case"":case">=":a&&!o(t,a)||(a=t);break;case"<":case"<=":break;default:throw new Error(`Unexpected operation: ${e.operator}`)}})),!a||n&&!o(n,a)||(n=a)}return n&&e.test(n)?n:null}},5463:(e,t,n)=>{const r=n(7944),i=n(9524),{ANY:o}=i,a=n(8395),s=n(1722),l=n(144),u=n(599),c=n(7092),h=n(2077);e.exports=(e,t,n,d)=>{let p,f,g,m,v;switch(e=new r(e,d),t=new a(t,d),n){case">":p=l,f=c,g=u,m=">",v=">=";break;case"<":p=u,f=h,g=l,m="<",v="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(s(e,t,d))return!1;for(let n=0;n<t.set.length;++n){const r=t.set[n];let a=null,s=null;if(r.forEach((e=>{e.semver===o&&(e=new i(">=0.0.0")),a=a||e,s=s||e,p(e.semver,a.semver,d)?a=e:g(e.semver,s.semver,d)&&(s=e)})),a.operator===m||a.operator===v)return!1;if((!s.operator||s.operator===m)&&f(e,s.semver))return!1;if(s.operator===v&&g(e,s.semver))return!1}return!0}},1465:(e,t,n)=>{const r=n(1722),i=n(5380);e.exports=(e,t,n)=>{const o=[];let a=null,s=null;const l=e.sort(((e,t)=>i(e,t,n)));for(const e of l)r(e,t,n)?(s=e,a||(a=e)):(s&&o.push([a,s]),s=null,a=null);a&&o.push([a,null]);const u=[];for(const[e,t]of o)e===t?u.push(e):t||e!==l[0]?t?e===l[0]?u.push(`<=${t}`):u.push(`${e} - ${t}`):u.push(`>=${e}`):u.push("*");const c=u.join(" || "),h="string"==typeof t.raw?t.raw:String(t);return c.length<h.length?c:t}},9252:(e,t,n)=>{const r=n(8395),i=n(9524),{ANY:o}=i,a=n(1722),s=n(5380),l=[new i(">=0.0.0-0")],u=[new i(">=0.0.0")],c=(e,t,n)=>{if(e===t)return!0;if(1===e.length&&e[0].semver===o){if(1===t.length&&t[0].semver===o)return!0;e=n.includePrerelease?l:u}if(1===t.length&&t[0].semver===o){if(n.includePrerelease)return!0;t=u}const r=new Set;let i,c,p,f,g,m,v;for(const t of e)">"===t.operator||">="===t.operator?i=h(i,t,n):"<"===t.operator||"<="===t.operator?c=d(c,t,n):r.add(t.semver);if(r.size>1)return null;if(i&&c){if(p=s(i.semver,c.semver,n),p>0)return null;if(0===p&&(">="!==i.operator||"<="!==c.operator))return null}for(const e of r){if(i&&!a(e,String(i),n))return null;if(c&&!a(e,String(c),n))return null;for(const r of t)if(!a(e,String(r),n))return!1;return!0}let y=!(!c||n.includePrerelease||!c.semver.prerelease.length)&&c.semver,_=!(!i||n.includePrerelease||!i.semver.prerelease.length)&&i.semver;y&&1===y.prerelease.length&&"<"===c.operator&&0===y.prerelease[0]&&(y=!1);for(const e of t){if(v=v||">"===e.operator||">="===e.operator,m=m||"<"===e.operator||"<="===e.operator,i)if(_&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===_.major&&e.semver.minor===_.minor&&e.semver.patch===_.patch&&(_=!1),">"===e.operator||">="===e.operator){if(f=h(i,e,n),f===e&&f!==i)return!1}else if(">="===i.operator&&!a(i.semver,String(e),n))return!1;if(c)if(y&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===y.major&&e.semver.minor===y.minor&&e.semver.patch===y.patch&&(y=!1),"<"===e.operator||"<="===e.operator){if(g=d(c,e,n),g===e&&g!==c)return!1}else if("<="===c.operator&&!a(c.semver,String(e),n))return!1;if(!e.operator&&(c||i)&&0!==p)return!1}return!(i&&m&&!c&&0!==p||c&&v&&!i&&0!==p||_||y)},h=(e,t,n)=>{if(!e)return t;const r=s(e.semver,t.semver,n);return r>0?e:r<0||">"===t.operator&&">="===e.operator?t:e},d=(e,t,n)=>{if(!e)return t;const r=s(e.semver,t.semver,n);return r<0?e:r>0||"<"===t.operator&&"<="===e.operator?t:e};e.exports=(e,t,n={})=>{if(e===t)return!0;e=new r(e,n),t=new r(t,n);let i=!1;e:for(const r of e.set){for(const e of t.set){const t=c(r,e,n);if(i=i||null!==t,t)continue e}if(i)return!1}return!0}},651:(e,t,n)=>{const r=n(8395);e.exports=(e,t)=>new r(e,t).set.map((e=>e.map((e=>e.value)).join(" ").trim().split(" ")))},7494:(e,t,n)=>{const r=n(8395);e.exports=(e,t)=>{try{return new r(e,t).range||"*"}catch(e){return null}}},7299:(e,t,n)=>{var r={"./USA.json":7077,"./world.json":3082,"maps/USA.json":7077,"maps/world.json":3082};function i(e){var t=o(e);return n(t)}function o(e){if(!n.o(r,e)){var t=new Error("Cannot find module '"+e+"'");throw t.code="MODULE_NOT_FOUND",t}return r[e]}i.keys=function(){return Object.keys(r)},i.resolve=o,e.exports=i,i.id=7299},6089:e=>{"use strict";e.exports=i},9089:e=>{"use strict";e.exports=o},7781:t=>{"use strict";t.exports=e},8531:e=>{"use strict";e.exports=t},2007:e=>{"use strict";e.exports=n},5959:e=>{"use strict";e.exports=r},8398:e=>{"use strict";e.exports=a},200:e=>{"use strict";e.exports=l},7694:e=>{"use strict";e.exports=s},4452:(e,t)=>{var n;!function(){"use strict";var r={}.hasOwnProperty;function i(){for(var e="",t=0;t<arguments.length;t++){var n=arguments[t];n&&(e=a(e,o(n)))}return e}function o(e){if("string"==typeof e||"number"==typeof e)return e;if("object"!=typeof e)return"";if(Array.isArray(e))return i.apply(null,e);if(e.toString!==Object.prototype.toString&&!e.toString.toString().includes("[native code]"))return e.toString();var t="";for(var n in e)r.call(e,n)&&e[n]&&(t=a(t,n));return t}function a(e,t){return t?e?e+" "+t:e+t:e}e.exports?(i.default=i,e.exports=i):void 0===(n=function(){return i}.apply(t,[]))||(e.exports=n)}()},7451:(e,t,n)=>{"use strict";function r(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=Array(t);n<t;n++)r[n]=e[n];return r}n.d(t,{A:()=>r})},1705:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(2162);function i(e,t,n){return(t=(0,r.A)(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}},8102:(e,t,n)=>{"use strict";function r(){return r=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)({}).hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},r.apply(null,arguments)}n.d(t,{A:()=>r})},7405:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(1705);function i(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function o(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?i(Object(n),!0).forEach((function(t){(0,r.A)(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):i(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}},9644:(e,t,n)=>{"use strict";function r(e,t){if(null==e)return{};var n,r,i=function(e,t){if(null==e)return{};var n={};for(var r in e)if({}.hasOwnProperty.call(e,r)){if(t.indexOf(r)>=0)continue;n[r]=e[r]}return n}(e,t);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);for(r=0;r<o.length;r++)n=o[r],t.indexOf(n)>=0||{}.propertyIsEnumerable.call(e,n)&&(i[n]=e[n])}return i}n.d(t,{A:()=>r})},7850:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(6438);function i(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var r,i,o,a,s=[],l=!0,u=!1;try{if(o=(n=n.call(e)).next,0===t){if(Object(n)!==n)return;l=!1}else for(;!(l=(r=o.call(n)).done)&&(s.push(r.value),s.length!==t);l=!0);}catch(e){u=!0,i=e}finally{try{if(!l&&null!=n.return&&(a=n.return(),Object(a)!==a))return}finally{if(u)throw i}}return s}}(e,t)||(0,r.A)(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},4300:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(7451),i=n(6438);function o(e){return function(e){if(Array.isArray(e))return(0,r.A)(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||(0,i.A)(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},2162:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(694);function i(e){var t=function(e,t){if("object"!=(0,r.A)(e)||!e)return e;var n=e[Symbol.toPrimitive];if(void 0!==n){var i=n.call(e,"string");if("object"!=(0,r.A)(i))return i;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==(0,r.A)(t)?t:t+""}},694:(e,t,n)=>{"use strict";function r(e){return r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},r(e)}n.d(t,{A:()=>r})},6438:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(7451);function i(e,t){if(e){if("string"==typeof e)return(0,r.A)(e,t);var n={}.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?(0,r.A)(e,t):void 0}}},7077:e=>{"use strict";e.exports=JSON.parse('{"type":"FeatureCollection","features":[{"type":"Feature","id":"AL","properties":{"name":"Alabama","density":94.65},"geometry":{"type":"Polygon","coordinates":[[[-87.359296,35.00118],[-85.606675,34.984749],[-85.431413,34.124869],[-85.184951,32.859696],[-85.069935,32.580372],[-84.960397,32.421541],[-85.004212,32.322956],[-84.889196,32.262709],[-85.058981,32.13674],[-85.053504,32.01077],[-85.141136,31.840985],[-85.042551,31.539753],[-85.113751,31.27686],[-85.004212,31.003013],[-85.497137,30.997536],[-87.600282,30.997536],[-87.633143,30.86609],[-87.408589,30.674397],[-87.446927,30.510088],[-87.37025,30.427934],[-87.518128,30.280057],[-87.655051,30.247195],[-87.90699,30.411504],[-87.934375,30.657966],[-88.011052,30.685351],[-88.10416,30.499135],[-88.137022,30.318396],[-88.394438,30.367688],[-88.471115,31.895754],[-88.241084,33.796253],[-88.098683,34.891641],[-88.202745,34.995703],[-87.359296,35.00118]]]}},{"type":"Feature","id":"AK","properties":{"name":"Alaska","density":1.264},"geometry":{"type":"MultiPolygon","coordinates":[[[[-131.602021,55.117982],[-131.569159,55.28229],[-131.355558,55.183705],[-131.38842,55.01392],[-131.645836,55.035827],[-131.602021,55.117982]]],[[[-131.832052,55.42469],[-131.645836,55.304197],[-131.749898,55.128935],[-131.832052,55.189182],[-131.832052,55.42469]]],[[[-132.976733,56.437924],[-132.735747,56.459832],[-132.631685,56.421493],[-132.664547,56.273616],[-132.878148,56.240754],[-133.069841,56.333862],[-132.976733,56.437924]]],[[[-133.595627,56.350293],[-133.162949,56.317431],[-133.05341,56.125739],[-132.620732,55.912138],[-132.472854,55.780691],[-132.4619,55.671152],[-132.357838,55.649245],[-132.341408,55.506844],[-132.166146,55.364444],[-132.144238,55.238474],[-132.029222,55.276813],[-131.97993,55.178228],[-131.958022,54.789365],[-132.029222,54.701734],[-132.308546,54.718165],[-132.385223,54.915335],[-132.483808,54.898904],[-132.686455,55.046781],[-132.746701,54.997489],[-132.916486,55.046781],[-132.889102,54.898904],[-132.73027,54.937242],[-132.626209,54.882473],[-132.675501,54.679826],[-132.867194,54.701734],[-133.157472,54.95915],[-133.239626,55.090597],[-133.223195,55.22752],[-133.453227,55.216566],[-133.453227,55.320628],[-133.277964,55.331582],[-133.102702,55.42469],[-133.17938,55.588998],[-133.387503,55.62186],[-133.420365,55.884753],[-133.497042,56.0162],[-133.639442,55.923092],[-133.694212,56.070969],[-133.546335,56.142169],[-133.666827,56.311955],[-133.595627,56.350293]]],[[[-133.738027,55.556137],[-133.546335,55.490413],[-133.414888,55.572568],[-133.283441,55.534229],[-133.420365,55.386352],[-133.633966,55.430167],[-133.738027,55.556137]]],[[[-133.907813,56.930849],[-134.050213,57.029434],[-133.885905,57.095157],[-133.343688,57.002049],[-133.102702,57.007526],[-132.932917,56.82131],[-132.620732,56.667956],[-132.653593,56.55294],[-132.817901,56.492694],[-133.042456,56.520078],[-133.201287,56.448878],[-133.420365,56.492694],[-133.66135,56.448878],[-133.710643,56.684386],[-133.688735,56.837741],[-133.869474,56.843218],[-133.907813,56.930849]]],[[[-134.115936,56.48174],[-134.25286,56.558417],[-134.400737,56.722725],[-134.417168,56.848695],[-134.296675,56.908941],[-134.170706,56.848695],[-134.143321,56.952757],[-133.748981,56.772017],[-133.710643,56.596755],[-133.847566,56.574848],[-133.935197,56.377678],[-133.836612,56.322908],[-133.957105,56.092877],[-134.110459,56.142169],[-134.132367,55.999769],[-134.230952,56.070969],[-134.291198,56.350293],[-134.115936,56.48174]]],[[[-134.636246,56.28457],[-134.669107,56.169554],[-134.806031,56.235277],[-135.178463,56.67891],[-135.413971,56.810356],[-135.331817,56.914418],[-135.424925,57.166357],[-135.687818,57.369004],[-135.419448,57.566174],[-135.298955,57.48402],[-135.063447,57.418296],[-134.849846,57.407343],[-134.844369,57.248511],[-134.636246,56.728202],[-134.636246,56.28457]]],[[[-134.712923,58.223407],[-134.373353,58.14673],[-134.176183,58.157683],[-134.187137,58.081006],[-133.902336,57.807159],[-134.099505,57.850975],[-134.148798,57.757867],[-133.935197,57.615466],[-133.869474,57.363527],[-134.083075,57.297804],[-134.154275,57.210173],[-134.499322,57.029434],[-134.603384,57.034911],[-134.6472,57.226604],[-134.575999,57.341619],[-134.608861,57.511404],[-134.729354,57.719528],[-134.707446,57.829067],[-134.784123,58.097437],[-134.91557,58.212453],[-134.953908,58.409623],[-134.712923,58.223407]]],[[[-135.857603,57.330665],[-135.715203,57.330665],[-135.567326,57.149926],[-135.633049,57.023957],[-135.857603,56.996572],[-135.824742,57.193742],[-135.857603,57.330665]]],[[[-136.279328,58.206976],[-135.978096,58.201499],[-135.780926,58.28913],[-135.496125,58.168637],[-135.64948,58.037191],[-135.59471,57.987898],[-135.45231,58.135776],[-135.107263,58.086483],[-134.91557,57.976944],[-135.025108,57.779775],[-134.937477,57.763344],[-134.822462,57.500451],[-135.085355,57.462112],[-135.572802,57.675713],[-135.556372,57.456635],[-135.709726,57.369004],[-135.890465,57.407343],[-136.000004,57.544266],[-136.208128,57.637374],[-136.366959,57.829067],[-136.569606,57.916698],[-136.558652,58.075529],[-136.421728,58.130299],[-136.377913,58.267222],[-136.279328,58.206976]]],[[[-147.079854,60.200582],[-147.501579,59.948643],[-147.53444,59.850058],[-147.874011,59.784335],[-147.80281,59.937689],[-147.435855,60.09652],[-147.205824,60.271782],[-147.079854,60.200582]]],[[[-147.561825,60.578491],[-147.616594,60.370367],[-147.758995,60.156767],[-147.956165,60.227967],[-147.791856,60.474429],[-147.561825,60.578491]]],[[[-147.786379,70.245291],[-147.682318,70.201475],[-147.162008,70.15766],[-146.888161,70.185044],[-146.510252,70.185044],[-146.099482,70.146706],[-145.858496,70.168614],[-145.622988,70.08646],[-145.195787,69.993352],[-144.620708,69.971444],[-144.461877,70.026213],[-144.078491,70.059075],[-143.914183,70.130275],[-143.497935,70.141229],[-143.503412,70.091936],[-143.25695,70.119321],[-142.747594,70.042644],[-142.402547,69.916674],[-142.079408,69.856428],[-142.008207,69.801659],[-141.712453,69.790705],[-141.433129,69.697597],[-141.378359,69.63735],[-141.208574,69.686643],[-141.00045,69.648304],[-141.00045,60.304644],[-140.53491,60.22249],[-140.474664,60.310121],[-139.987216,60.184151],[-139.696939,60.342983],[-139.088998,60.359413],[-139.198537,60.091043],[-139.045183,59.997935],[-138.700135,59.910304],[-138.623458,59.767904],[-137.604747,59.242118],[-137.445916,58.908024],[-137.265177,59.001132],[-136.827022,59.159963],[-136.580559,59.16544],[-136.465544,59.285933],[-136.476498,59.466672],[-136.301236,59.466672],[-136.25742,59.625503],[-135.945234,59.663842],[-135.479694,59.800766],[-135.025108,59.565257],[-135.068924,59.422857],[-134.959385,59.280456],[-134.701969,59.247595],[-134.378829,59.033994],[-134.400737,58.973748],[-134.25286,58.858732],[-133.842089,58.727285],[-133.173903,58.152206],[-133.075318,57.998852],[-132.867194,57.845498],[-132.560485,57.505928],[-132.253777,57.21565],[-132.368792,57.095157],[-132.05113,57.051341],[-132.127807,56.876079],[-131.870391,56.804879],[-131.837529,56.602232],[-131.580113,56.613186],[-131.087188,56.405062],[-130.78048,56.366724],[-130.621648,56.268139],[-130.468294,56.240754],[-130.424478,56.142169],[-130.101339,56.114785],[-130.002754,55.994292],[-130.150631,55.769737],[-130.128724,55.583521],[-129.986323,55.276813],[-130.095862,55.200136],[-130.336847,54.920812],[-130.687372,54.718165],[-130.785957,54.822227],[-130.917403,54.789365],[-131.010511,54.997489],[-130.983126,55.08512],[-131.092665,55.189182],[-130.862634,55.298721],[-130.928357,55.337059],[-131.158389,55.200136],[-131.284358,55.287767],[-131.426759,55.238474],[-131.843006,55.457552],[-131.700606,55.698537],[-131.963499,55.616383],[-131.974453,55.49589],[-132.182576,55.588998],[-132.226392,55.704014],[-132.083991,55.829984],[-132.127807,55.955953],[-132.324977,55.851892],[-132.522147,56.076446],[-132.642639,56.032631],[-132.719317,56.218847],[-132.527624,56.339339],[-132.341408,56.339339],[-132.396177,56.487217],[-132.297592,56.67891],[-132.450946,56.673433],[-132.768609,56.837741],[-132.993164,57.034911],[-133.51895,57.177311],[-133.507996,57.577128],[-133.677781,57.62642],[-133.639442,57.790728],[-133.814705,57.834544],[-134.072121,58.053622],[-134.143321,58.168637],[-134.586953,58.206976],[-135.074401,58.502731],[-135.282525,59.192825],[-135.38111,59.033994],[-135.337294,58.891593],[-135.140124,58.617746],[-135.189417,58.573931],[-135.05797,58.349376],[-135.085355,58.201499],[-135.277048,58.234361],[-135.430402,58.398669],[-135.633049,58.426053],[-135.91785,58.382238],[-135.912373,58.617746],[-136.087635,58.814916],[-136.246466,58.75467],[-136.876314,58.962794],[-136.931084,58.902547],[-136.586036,58.836824],[-136.317666,58.672516],[-136.213604,58.667039],[-136.180743,58.535592],[-136.043819,58.382238],[-136.388867,58.294607],[-136.591513,58.349376],[-136.59699,58.212453],[-136.859883,58.316515],[-136.947514,58.393192],[-137.111823,58.393192],[-137.566409,58.590362],[-137.900502,58.765624],[-137.933364,58.869686],[-138.11958,59.02304],[-138.634412,59.132579],[-138.919213,59.247595],[-139.417615,59.379041],[-139.746231,59.505011],[-139.718846,59.641934],[-139.625738,59.598119],[-139.5162,59.68575],[-139.625738,59.88292],[-139.488815,59.992458],[-139.554538,60.041751],[-139.801,59.833627],[-140.315833,59.696704],[-140.92925,59.745996],[-141.444083,59.871966],[-141.46599,59.970551],[-141.706976,59.948643],[-141.964392,60.019843],[-142.539471,60.085566],[-142.873564,60.091043],[-143.623905,60.036274],[-143.892275,59.997935],[-144.231845,60.140336],[-144.65357,60.206059],[-144.785016,60.29369],[-144.834309,60.441568],[-145.124586,60.430614],[-145.223171,60.299167],[-145.738004,60.474429],[-145.820158,60.551106],[-146.351421,60.408706],[-146.608837,60.238921],[-146.718376,60.397752],[-146.608837,60.485383],[-146.455483,60.463475],[-145.951604,60.578491],[-146.017328,60.666122],[-146.252836,60.622307],[-146.345944,60.737322],[-146.565022,60.753753],[-146.784099,61.044031],[-146.866253,60.972831],[-147.172962,60.934492],[-147.271547,60.972831],[-147.375609,60.879723],[-147.758995,60.912584],[-147.775426,60.808523],[-148.032842,60.781138],[-148.153334,60.819476],[-148.065703,61.005692],[-148.175242,61.000215],[-148.350504,60.803046],[-148.109519,60.737322],[-148.087611,60.594922],[-147.939734,60.441568],[-148.027365,60.277259],[-148.219058,60.332029],[-148.273827,60.249875],[-148.087611,60.217013],[-147.983549,59.997935],[-148.251919,59.95412],[-148.399797,59.997935],[-148.635305,59.937689],[-148.755798,59.986981],[-149.067984,59.981505],[-149.05703,60.063659],[-149.204907,60.008889],[-149.287061,59.904827],[-149.418508,59.997935],[-149.582816,59.866489],[-149.511616,59.806242],[-149.741647,59.729565],[-149.949771,59.718611],[-150.031925,59.61455],[-150.25648,59.521442],[-150.409834,59.554303],[-150.579619,59.444764],[-150.716543,59.450241],[-151.001343,59.225687],[-151.308052,59.209256],[-151.406637,59.280456],[-151.592853,59.159963],[-151.976239,59.253071],[-151.888608,59.422857],[-151.636669,59.483103],[-151.47236,59.472149],[-151.423068,59.537872],[-151.127313,59.669319],[-151.116359,59.778858],[-151.505222,59.63098],[-151.828361,59.718611],[-151.8667,59.778858],[-151.702392,60.030797],[-151.423068,60.211536],[-151.379252,60.359413],[-151.297098,60.386798],[-151.264237,60.545629],[-151.406637,60.720892],[-151.06159,60.786615],[-150.404357,61.038554],[-150.245526,60.939969],[-150.042879,60.912584],[-149.741647,61.016646],[-150.075741,61.15357],[-150.207187,61.257632],[-150.47008,61.246678],[-150.656296,61.29597],[-150.711066,61.252155],[-151.023251,61.180954],[-151.165652,61.044031],[-151.477837,61.011169],[-151.800977,60.852338],[-151.833838,60.748276],[-152.080301,60.693507],[-152.13507,60.578491],[-152.310332,60.507291],[-152.392486,60.304644],[-152.732057,60.173197],[-152.567748,60.069136],[-152.704672,59.915781],[-153.022334,59.888397],[-153.049719,59.691227],[-153.345474,59.620026],[-153.438582,59.702181],[-153.586459,59.548826],[-153.761721,59.543349],[-153.72886,59.433811],[-154.117723,59.368087],[-154.1944,59.066856],[-153.750768,59.050425],[-153.400243,58.968271],[-153.301658,58.869686],[-153.444059,58.710854],[-153.679567,58.612269],[-153.898645,58.606793],[-153.920553,58.519161],[-154.062953,58.4863],[-153.99723,58.376761],[-154.145107,58.212453],[-154.46277,58.059098],[-154.643509,58.059098],[-154.818771,58.004329],[-154.988556,58.015283],[-155.120003,57.955037],[-155.081664,57.872883],[-155.328126,57.829067],[-155.377419,57.708574],[-155.547204,57.785251],[-155.73342,57.549743],[-156.045606,57.566174],[-156.023698,57.440204],[-156.209914,57.473066],[-156.34136,57.418296],[-156.34136,57.248511],[-156.549484,56.985618],[-156.883577,56.952757],[-157.157424,56.832264],[-157.20124,56.766541],[-157.376502,56.859649],[-157.672257,56.607709],[-157.754411,56.67891],[-157.918719,56.657002],[-157.957058,56.514601],[-158.126843,56.459832],[-158.32949,56.48174],[-158.488321,56.339339],[-158.208997,56.295524],[-158.510229,55.977861],[-159.375585,55.873799],[-159.616571,55.594475],[-159.676817,55.654722],[-159.643955,55.829984],[-159.813741,55.857368],[-160.027341,55.791645],[-160.060203,55.720445],[-160.394296,55.605429],[-160.536697,55.473983],[-160.580512,55.567091],[-160.668143,55.457552],[-160.865313,55.528752],[-161.232268,55.358967],[-161.506115,55.364444],[-161.467776,55.49589],[-161.588269,55.62186],[-161.697808,55.517798],[-161.686854,55.408259],[-162.053809,55.074166],[-162.179779,55.15632],[-162.218117,55.03035],[-162.470057,55.052258],[-162.508395,55.249428],[-162.661749,55.293244],[-162.716519,55.222043],[-162.579595,55.134412],[-162.645319,54.997489],[-162.847965,54.926289],[-163.00132,55.079643],[-163.187536,55.090597],[-163.220397,55.03035],[-163.034181,54.942719],[-163.373752,54.800319],[-163.14372,54.76198],[-163.138243,54.696257],[-163.329936,54.74555],[-163.587352,54.614103],[-164.085754,54.61958],[-164.332216,54.531949],[-164.354124,54.466226],[-164.638925,54.389548],[-164.847049,54.416933],[-164.918249,54.603149],[-164.710125,54.663395],[-164.551294,54.88795],[-164.34317,54.893427],[-163.894061,55.041304],[-163.532583,55.046781],[-163.39566,54.904381],[-163.291598,55.008443],[-163.313505,55.128935],[-163.105382,55.183705],[-162.880827,55.183705],[-162.579595,55.446598],[-162.245502,55.682106],[-161.807347,55.89023],[-161.292514,55.983338],[-161.078914,55.939523],[-160.87079,55.999769],[-160.816021,55.912138],[-160.931036,55.813553],[-160.805067,55.736876],[-160.766728,55.857368],[-160.509312,55.868322],[-160.438112,55.791645],[-160.27928,55.76426],[-160.273803,55.857368],[-160.536697,55.939523],[-160.558604,55.994292],[-160.383342,56.251708],[-160.147834,56.399586],[-159.830171,56.541986],[-159.326293,56.667956],[-158.959338,56.848695],[-158.784076,56.782971],[-158.641675,56.810356],[-158.701922,56.925372],[-158.658106,57.034911],[-158.378782,57.264942],[-157.995396,57.41282],[-157.688688,57.609989],[-157.705118,57.719528],[-157.458656,58.497254],[-157.07527,58.705377],[-157.119086,58.869686],[-158.039212,58.634177],[-158.32949,58.661562],[-158.40069,58.760147],[-158.564998,58.803962],[-158.619768,58.913501],[-158.767645,58.864209],[-158.860753,58.694424],[-158.701922,58.480823],[-158.893615,58.387715],[-159.0634,58.420577],[-159.392016,58.760147],[-159.616571,58.929932],[-159.731586,58.929932],[-159.808264,58.803962],[-159.906848,58.782055],[-160.054726,58.886116],[-160.235465,58.902547],[-160.317619,59.072332],[-160.854359,58.88064],[-161.33633,58.743716],[-161.374669,58.667039],[-161.752577,58.552023],[-161.938793,58.656085],[-161.769008,58.776578],[-161.829255,59.061379],[-161.955224,59.36261],[-161.703285,59.48858],[-161.911409,59.740519],[-162.092148,59.88292],[-162.234548,60.091043],[-162.448149,60.178674],[-162.502918,59.997935],[-162.760334,59.959597],[-163.171105,59.844581],[-163.66403,59.795289],[-163.9324,59.806242],[-164.162431,59.866489],[-164.189816,60.02532],[-164.386986,60.074613],[-164.699171,60.29369],[-164.962064,60.337506],[-165.268773,60.578491],[-165.060649,60.68803],[-165.016834,60.890677],[-165.175665,60.846861],[-165.197573,60.972831],[-165.120896,61.076893],[-165.323543,61.170001],[-165.34545,61.071416],[-165.591913,61.109754],[-165.624774,61.279539],[-165.816467,61.301447],[-165.920529,61.416463],[-165.915052,61.558863],[-166.106745,61.49314],[-166.139607,61.630064],[-165.904098,61.662925],[-166.095791,61.81628],[-165.756221,61.827233],[-165.756221,62.013449],[-165.674067,62.139419],[-165.044219,62.539236],[-164.912772,62.659728],[-164.819664,62.637821],[-164.874433,62.807606],[-164.633448,63.097884],[-164.425324,63.212899],[-164.036462,63.262192],[-163.73523,63.212899],[-163.313505,63.037637],[-163.039658,63.059545],[-162.661749,63.22933],[-162.272887,63.486746],[-162.075717,63.514131],[-162.026424,63.448408],[-161.555408,63.448408],[-161.13916,63.503177],[-160.766728,63.771547],[-160.766728,63.837271],[-160.952944,64.08921],[-160.974852,64.237087],[-161.26513,64.395918],[-161.374669,64.532842],[-161.078914,64.494503],[-160.79959,64.609519],[-160.783159,64.719058],[-161.144637,64.921705],[-161.413007,64.762873],[-161.664946,64.790258],[-161.900455,64.702627],[-162.168825,64.680719],[-162.234548,64.620473],[-162.541257,64.532842],[-162.634365,64.384965],[-162.787719,64.324718],[-162.858919,64.49998],[-163.045135,64.538319],[-163.176582,64.401395],[-163.253259,64.467119],[-163.598306,64.565704],[-164.304832,64.560227],[-164.80871,64.450688],[-165.000403,64.434257],[-165.411174,64.49998],[-166.188899,64.576658],[-166.391546,64.636904],[-166.484654,64.735489],[-166.413454,64.872412],[-166.692778,64.987428],[-166.638008,65.113398],[-166.462746,65.179121],[-166.517516,65.337952],[-166.796839,65.337952],[-167.026871,65.381768],[-167.47598,65.414629],[-167.711489,65.496784],[-168.072967,65.578938],[-168.105828,65.682999],[-167.541703,65.819923],[-166.829701,66.049954],[-166.3313,66.186878],[-166.046499,66.110201],[-165.756221,66.09377],[-165.690498,66.203309],[-165.86576,66.21974],[-165.88219,66.312848],[-165.186619,66.466202],[-164.403417,66.581218],[-163.981692,66.592172],[-163.751661,66.553833],[-163.872153,66.389525],[-163.828338,66.274509],[-163.915969,66.192355],[-163.768091,66.060908],[-163.494244,66.082816],[-163.149197,66.060908],[-162.749381,66.088293],[-162.634365,66.039001],[-162.371472,66.028047],[-162.14144,66.077339],[-161.840208,66.02257],[-161.549931,66.241647],[-161.341807,66.252601],[-161.199406,66.208786],[-161.128206,66.334755],[-161.528023,66.395002],[-161.911409,66.345709],[-161.87307,66.510017],[-162.174302,66.68528],[-162.502918,66.740049],[-162.601503,66.89888],[-162.344087,66.937219],[-162.015471,66.778388],[-162.075717,66.652418],[-161.916886,66.553833],[-161.571838,66.438817],[-161.489684,66.55931],[-161.884024,66.718141],[-161.714239,67.002942],[-161.851162,67.052235],[-162.240025,66.991988],[-162.639842,67.008419],[-162.700088,67.057712],[-162.902735,67.008419],[-163.740707,67.128912],[-163.757138,67.254881],[-164.009077,67.534205],[-164.211724,67.638267],[-164.534863,67.725898],[-165.192096,67.966884],[-165.493328,68.059992],[-165.794559,68.081899],[-166.243668,68.246208],[-166.681824,68.339316],[-166.703731,68.372177],[-166.375115,68.42147],[-166.227238,68.574824],[-166.216284,68.881533],[-165.329019,68.859625],[-164.255539,68.930825],[-163.976215,68.985595],[-163.532583,69.138949],[-163.110859,69.374457],[-163.023228,69.609966],[-162.842489,69.812613],[-162.470057,69.982398],[-162.311225,70.108367],[-161.851162,70.311014],[-161.779962,70.256245],[-161.396576,70.239814],[-160.837928,70.343876],[-160.487404,70.453415],[-159.649432,70.792985],[-159.33177,70.809416],[-159.298908,70.760123],[-158.975769,70.798462],[-158.658106,70.787508],[-158.033735,70.831323],[-157.420318,70.979201],[-156.812377,71.285909],[-156.565915,71.351633],[-156.522099,71.296863],[-155.585543,71.170894],[-155.508865,71.083263],[-155.832005,70.968247],[-155.979882,70.96277],[-155.974405,70.809416],[-155.503388,70.858708],[-155.476004,70.940862],[-155.262403,71.017539],[-155.191203,70.973724],[-155.032372,71.148986],[-154.566832,70.990155],[-154.643509,70.869662],[-154.353231,70.8368],[-154.183446,70.7656],[-153.931507,70.880616],[-153.487874,70.886093],[-153.235935,70.924431],[-152.589656,70.886093],[-152.26104,70.842277],[-152.419871,70.606769],[-151.817408,70.546523],[-151.773592,70.486276],[-151.187559,70.382214],[-151.182082,70.431507],[-150.760358,70.49723],[-150.355064,70.491753],[-150.349588,70.436984],[-150.114079,70.431507],[-149.867617,70.508184],[-149.462323,70.519138],[-149.177522,70.486276],[-148.78866,70.404122],[-148.607921,70.420553],[-148.350504,70.305537],[-148.202627,70.349353],[-147.961642,70.316491],[-147.786379,70.245291]]],[[[-152.94018,58.026237],[-152.945657,57.982421],[-153.290705,58.048145],[-153.044242,58.305561],[-152.819688,58.327469],[-152.666333,58.562977],[-152.496548,58.354853],[-152.354148,58.426053],[-152.080301,58.311038],[-152.080301,58.152206],[-152.480117,58.130299],[-152.655379,58.059098],[-152.94018,58.026237]]],[[[-153.958891,57.538789],[-153.67409,57.670236],[-153.931507,57.69762],[-153.936983,57.812636],[-153.723383,57.889313],[-153.570028,57.834544],[-153.548121,57.719528],[-153.46049,57.796205],[-153.455013,57.96599],[-153.268797,57.889313],[-153.235935,57.998852],[-153.071627,57.933129],[-152.874457,57.933129],[-152.721103,57.993375],[-152.469163,57.889313],[-152.469163,57.599035],[-152.151501,57.620943],[-152.359625,57.42925],[-152.74301,57.505928],[-152.60061,57.379958],[-152.710149,57.275896],[-152.907319,57.325188],[-152.912796,57.128019],[-153.214027,57.073249],[-153.312612,56.991095],[-153.498828,57.067772],[-153.695998,56.859649],[-153.849352,56.837741],[-154.013661,56.744633],[-154.073907,56.969187],[-154.303938,56.848695],[-154.314892,56.919895],[-154.523016,56.991095],[-154.539447,57.193742],[-154.742094,57.275896],[-154.627078,57.511404],[-154.227261,57.659282],[-153.980799,57.648328],[-153.958891,57.538789]]],[[[-154.53397,56.602232],[-154.742094,56.399586],[-154.807817,56.432447],[-154.53397,56.602232]]],[[[-155.634835,55.923092],[-155.476004,55.912138],[-155.530773,55.704014],[-155.793666,55.731399],[-155.837482,55.802599],[-155.634835,55.923092]]],[[[-159.890418,55.28229],[-159.950664,55.068689],[-160.257373,54.893427],[-160.109495,55.161797],[-160.005433,55.134412],[-159.890418,55.28229]]],[[[-160.520266,55.358967],[-160.33405,55.358967],[-160.339527,55.249428],[-160.525743,55.128935],[-160.690051,55.211089],[-160.794113,55.134412],[-160.854359,55.320628],[-160.79959,55.380875],[-160.520266,55.358967]]],[[[-162.256456,54.981058],[-162.234548,54.893427],[-162.349564,54.838658],[-162.437195,54.931766],[-162.256456,54.981058]]],[[[-162.415287,63.634624],[-162.563165,63.536039],[-162.612457,63.62367],[-162.415287,63.634624]]],[[[-162.80415,54.488133],[-162.590549,54.449795],[-162.612457,54.367641],[-162.782242,54.373118],[-162.80415,54.488133]]],[[[-165.548097,54.29644],[-165.476897,54.181425],[-165.630251,54.132132],[-165.685021,54.252625],[-165.548097,54.29644]]],[[[-165.73979,54.15404],[-166.046499,54.044501],[-166.112222,54.121178],[-165.980775,54.219763],[-165.73979,54.15404]]],[[[-166.364161,60.359413],[-166.13413,60.397752],[-166.084837,60.326552],[-165.88219,60.342983],[-165.685021,60.277259],[-165.646682,59.992458],[-165.750744,59.89935],[-166.00816,59.844581],[-166.062929,59.745996],[-166.440838,59.855535],[-166.6161,59.850058],[-166.994009,59.992458],[-167.125456,59.992458],[-167.344534,60.074613],[-167.421211,60.206059],[-167.311672,60.238921],[-166.93924,60.206059],[-166.763978,60.310121],[-166.577762,60.321075],[-166.495608,60.392275],[-166.364161,60.359413]]],[[[-166.375115,54.01164],[-166.210807,53.934962],[-166.5449,53.748746],[-166.539423,53.715885],[-166.117699,53.852808],[-166.112222,53.776131],[-166.282007,53.683023],[-166.555854,53.622777],[-166.583239,53.529669],[-166.878994,53.431084],[-167.13641,53.425607],[-167.306195,53.332499],[-167.623857,53.250345],[-167.793643,53.337976],[-167.459549,53.442038],[-167.355487,53.425607],[-167.103548,53.513238],[-167.163794,53.611823],[-167.021394,53.715885],[-166.807793,53.666592],[-166.785886,53.732316],[-167.015917,53.754223],[-167.141887,53.825424],[-167.032348,53.945916],[-166.643485,54.017116],[-166.561331,53.880193],[-166.375115,54.01164]]],[[[-168.790446,53.157237],[-168.40706,53.34893],[-168.385152,53.431084],[-168.237275,53.524192],[-168.007243,53.568007],[-167.886751,53.518715],[-167.842935,53.387268],[-168.270136,53.244868],[-168.500168,53.036744],[-168.686384,52.965544],[-168.790446,53.157237]]],[[[-169.74891,52.894344],[-169.705095,52.795759],[-169.962511,52.790282],[-169.989896,52.856005],[-169.74891,52.894344]]],[[[-170.148727,57.221127],[-170.28565,57.128019],[-170.313035,57.221127],[-170.148727,57.221127]]],[[[-170.669036,52.697174],[-170.603313,52.604066],[-170.789529,52.538343],[-170.816914,52.636928],[-170.669036,52.697174]]],[[[-171.742517,63.716778],[-170.94836,63.5689],[-170.488297,63.69487],[-170.280174,63.683916],[-170.093958,63.612716],[-170.044665,63.492223],[-169.644848,63.4265],[-169.518879,63.366254],[-168.99857,63.338869],[-168.686384,63.295053],[-168.856169,63.147176],[-169.108108,63.180038],[-169.376478,63.152653],[-169.513402,63.08693],[-169.639372,62.939052],[-169.831064,63.075976],[-170.055619,63.169084],[-170.263743,63.180038],[-170.362328,63.2841],[-170.866206,63.415546],[-171.101715,63.421023],[-171.463193,63.306007],[-171.73704,63.366254],[-171.852055,63.486746],[-171.742517,63.716778]]],[[[-172.432611,52.390465],[-172.41618,52.275449],[-172.607873,52.253542],[-172.569535,52.352127],[-172.432611,52.390465]]],[[[-173.626584,52.14948],[-173.495138,52.105664],[-173.122706,52.111141],[-173.106275,52.07828],[-173.549907,52.028987],[-173.626584,52.14948]]],[[[-174.322156,52.280926],[-174.327632,52.379511],[-174.185232,52.41785],[-173.982585,52.319265],[-174.059262,52.226157],[-174.179755,52.231634],[-174.141417,52.127572],[-174.333109,52.116618],[-174.738403,52.007079],[-174.968435,52.039941],[-174.902711,52.116618],[-174.656249,52.105664],[-174.322156,52.280926]]],[[[-176.469116,51.853725],[-176.288377,51.870156],[-176.288377,51.744186],[-176.518409,51.760617],[-176.80321,51.61274],[-176.912748,51.80991],[-176.792256,51.815386],[-176.775825,51.963264],[-176.627947,51.968741],[-176.627947,51.859202],[-176.469116,51.853725]]],[[[-177.153734,51.946833],[-177.044195,51.897541],[-177.120872,51.727755],[-177.274226,51.678463],[-177.279703,51.782525],[-177.153734,51.946833]]],[[[-178.123152,51.919448],[-177.953367,51.913971],[-177.800013,51.793479],[-177.964321,51.651078],[-178.123152,51.919448]]],[[[-187.107557,52.992929],[-187.293773,52.927205],[-187.304726,52.823143],[-188.90491,52.762897],[-188.642017,52.927205],[-188.642017,53.003883],[-187.107557,52.992929]]]]}},{"type":"Feature","id":"AZ","properties":{"name":"Arizona","density":57.05},"geometry":{"type":"Polygon","coordinates":[[[-109.042503,37.000263],[-109.04798,31.331629],[-111.074448,31.331629],[-112.246513,31.704061],[-114.815198,32.492741],[-114.72209,32.717295],[-114.524921,32.755634],[-114.470151,32.843265],[-114.524921,33.029481],[-114.661844,33.034958],[-114.727567,33.40739],[-114.524921,33.54979],[-114.497536,33.697668],[-114.535874,33.933176],[-114.415382,34.108438],[-114.256551,34.174162],[-114.136058,34.305608],[-114.333228,34.448009],[-114.470151,34.710902],[-114.634459,34.87521],[-114.634459,35.00118],[-114.574213,35.138103],[-114.596121,35.324319],[-114.678275,35.516012],[-114.738521,36.102045],[-114.371566,36.140383],[-114.251074,36.01989],[-114.152489,36.025367],[-114.048427,36.195153],[-114.048427,37.000263],[-110.499369,37.00574],[-109.042503,37.000263]]]}},{"type":"Feature","id":"AR","properties":{"name":"Arkansas","density":56.43},"geometry":{"type":"Polygon","coordinates":[[[-94.473842,36.501861],[-90.152536,36.496384],[-90.064905,36.304691],[-90.218259,36.184199],[-90.377091,35.997983],[-89.730812,35.997983],[-89.763673,35.811767],[-89.911551,35.756997],[-89.944412,35.603643],[-90.130628,35.439335],[-90.114197,35.198349],[-90.212782,35.023087],[-90.311367,34.995703],[-90.251121,34.908072],[-90.409952,34.831394],[-90.481152,34.661609],[-90.585214,34.617794],[-90.568783,34.420624],[-90.749522,34.365854],[-90.744046,34.300131],[-90.952169,34.135823],[-90.891923,34.026284],[-91.072662,33.867453],[-91.231493,33.560744],[-91.056231,33.429298],[-91.143862,33.347144],[-91.089093,33.13902],[-91.16577,33.002096],[-93.608485,33.018527],[-94.041164,33.018527],[-94.041164,33.54979],[-94.183564,33.593606],[-94.380734,33.544313],[-94.484796,33.637421],[-94.430026,35.395519],[-94.616242,36.501861],[-94.473842,36.501861]]]}},{"type":"Feature","id":"CA","properties":{"name":"California","density":241.7},"geometry":{"type":"Polygon","coordinates":[[[-123.233256,42.006186],[-122.378853,42.011663],[-121.037003,41.995232],[-120.001861,41.995232],[-119.996384,40.264519],[-120.001861,38.999346],[-118.71478,38.101128],[-117.498899,37.21934],[-116.540435,36.501861],[-115.85034,35.970598],[-114.634459,35.00118],[-114.634459,34.87521],[-114.470151,34.710902],[-114.333228,34.448009],[-114.136058,34.305608],[-114.256551,34.174162],[-114.415382,34.108438],[-114.535874,33.933176],[-114.497536,33.697668],[-114.524921,33.54979],[-114.727567,33.40739],[-114.661844,33.034958],[-114.524921,33.029481],[-114.470151,32.843265],[-114.524921,32.755634],[-114.72209,32.717295],[-116.04751,32.624187],[-117.126467,32.536556],[-117.24696,32.668003],[-117.252437,32.876127],[-117.329114,33.122589],[-117.471515,33.297851],[-117.7837,33.538836],[-118.183517,33.763391],[-118.260194,33.703145],[-118.413548,33.741483],[-118.391641,33.840068],[-118.566903,34.042715],[-118.802411,33.998899],[-119.218659,34.146777],[-119.278905,34.26727],[-119.558229,34.415147],[-119.875891,34.40967],[-120.138784,34.475393],[-120.472878,34.448009],[-120.64814,34.579455],[-120.609801,34.858779],[-120.670048,34.902595],[-120.631709,35.099764],[-120.894602,35.247642],[-120.905556,35.450289],[-121.004141,35.461243],[-121.168449,35.636505],[-121.283465,35.674843],[-121.332757,35.784382],[-121.716143,36.195153],[-121.896882,36.315645],[-121.935221,36.638785],[-121.858544,36.6114],[-121.787344,36.803093],[-121.929744,36.978355],[-122.105006,36.956447],[-122.335038,37.115279],[-122.417192,37.241248],[-122.400761,37.361741],[-122.515777,37.520572],[-122.515777,37.783465],[-122.329561,37.783465],[-122.406238,38.15042],[-122.488392,38.112082],[-122.504823,37.931343],[-122.701993,37.893004],[-122.937501,38.029928],[-122.97584,38.265436],[-123.129194,38.451652],[-123.331841,38.566668],[-123.44138,38.698114],[-123.737134,38.95553],[-123.687842,39.032208],[-123.824765,39.366301],[-123.764519,39.552517],[-123.85215,39.831841],[-124.109566,40.105688],[-124.361506,40.259042],[-124.410798,40.439781],[-124.158859,40.877937],[-124.109566,41.025814],[-124.158859,41.14083],[-124.065751,41.442061],[-124.147905,41.715908],[-124.257444,41.781632],[-124.213628,42.000709],[-123.233256,42.006186]]]}},{"type":"Feature","id":"CO","properties":{"name":"Colorado","density":49.33},"geometry":{"type":"Polygon","coordinates":[[[-107.919731,41.003906],[-105.728954,40.998429],[-104.053011,41.003906],[-102.053927,41.003906],[-102.053927,40.001626],[-102.042974,36.994786],[-103.001438,37.000263],[-104.337812,36.994786],[-106.868158,36.994786],[-107.421329,37.000263],[-109.042503,37.000263],[-109.042503,38.166851],[-109.058934,38.27639],[-109.053457,39.125316],[-109.04798,40.998429],[-107.919731,41.003906]]]}},{"type":"Feature","id":"CN","properties":{"name":"Connecticut","density":739.1},"geometry":{"type":"Polygon","coordinates":[[[-73.053528,42.039048],[-71.799309,42.022617],[-71.799309,42.006186],[-71.799309,41.414677],[-71.859555,41.321569],[-71.947186,41.338],[-72.385341,41.261322],[-72.905651,41.28323],[-73.130205,41.146307],[-73.371191,41.102491],[-73.655992,40.987475],[-73.727192,41.102491],[-73.48073,41.21203],[-73.55193,41.294184],[-73.486206,42.050002],[-73.053528,42.039048]]]}},{"type":"Feature","id":"DE","properties":{"name":"Delaware","density":464.3},"geometry":{"type":"Polygon","coordinates":[[[-75.414089,39.804456],[-75.507197,39.683964],[-75.611259,39.61824],[-75.589352,39.459409],[-75.441474,39.311532],[-75.403136,39.065069],[-75.189535,38.807653],[-75.09095,38.796699],[-75.047134,38.451652],[-75.693413,38.462606],[-75.786521,39.722302],[-75.616736,39.831841],[-75.414089,39.804456]]]}},{"type":"Feature","id":"DC","properties":{"name":"District of Columbia","density":10065},"geometry":{"type":"Polygon","coordinates":[[[-77.035264,38.993869],[-76.909294,38.895284],[-77.040741,38.791222],[-77.117418,38.933623],[-77.035264,38.993869]]]}},{"type":"Feature","id":"FL","properties":{"name":"Florida","density":353.4},"geometry":{"type":"Polygon","coordinates":[[[-85.497137,30.997536],[-85.004212,31.003013],[-84.867289,30.712735],[-83.498053,30.647012],[-82.216449,30.570335],[-82.167157,30.356734],[-82.046664,30.362211],[-82.002849,30.564858],[-82.041187,30.751074],[-81.948079,30.827751],[-81.718048,30.745597],[-81.444201,30.707258],[-81.383954,30.27458],[-81.257985,29.787132],[-80.967707,29.14633],[-80.524075,28.461713],[-80.589798,28.41242],[-80.56789,28.094758],[-80.381674,27.738757],[-80.091397,27.021277],[-80.03115,26.796723],[-80.036627,26.566691],[-80.146166,25.739673],[-80.239274,25.723243],[-80.337859,25.465826],[-80.304997,25.383672],[-80.49669,25.197456],[-80.573367,25.241272],[-80.759583,25.164595],[-81.077246,25.120779],[-81.170354,25.224841],[-81.126538,25.378195],[-81.351093,25.821827],[-81.526355,25.903982],[-81.679709,25.843735],[-81.800202,26.090198],[-81.833064,26.292844],[-82.041187,26.517399],[-82.09048,26.665276],[-82.057618,26.878877],[-82.172634,26.917216],[-82.145249,26.791246],[-82.249311,26.758384],[-82.566974,27.300601],[-82.692943,27.437525],[-82.391711,27.837342],[-82.588881,27.815434],[-82.720328,27.689464],[-82.851774,27.886634],[-82.676512,28.434328],[-82.643651,28.888914],[-82.764143,28.998453],[-82.802482,29.14633],[-82.994175,29.179192],[-83.218729,29.420177],[-83.399469,29.518762],[-83.410422,29.66664],[-83.536392,29.721409],[-83.640454,29.885717],[-84.02384,30.104795],[-84.357933,30.055502],[-84.341502,29.902148],[-84.451041,29.929533],[-84.867289,29.743317],[-85.310921,29.699501],[-85.299967,29.80904],[-85.404029,29.940487],[-85.924338,30.236241],[-86.29677,30.362211],[-86.630863,30.395073],[-86.910187,30.373165],[-87.518128,30.280057],[-87.37025,30.427934],[-87.446927,30.510088],[-87.408589,30.674397],[-87.633143,30.86609],[-87.600282,30.997536],[-85.497137,30.997536]]]}},{"type":"Feature","id":"GA","properties":{"name":"Georgia","density":169.5},"geometry":{"type":"Polygon","coordinates":[[[-83.109191,35.00118],[-83.322791,34.787579],[-83.339222,34.683517],[-83.005129,34.469916],[-82.901067,34.486347],[-82.747713,34.26727],[-82.714851,34.152254],[-82.55602,33.94413],[-82.325988,33.81816],[-82.194542,33.631944],[-81.926172,33.462159],[-81.937125,33.347144],[-81.761863,33.160928],[-81.493493,33.007573],[-81.42777,32.843265],[-81.416816,32.629664],[-81.279893,32.558464],[-81.121061,32.290094],[-81.115584,32.120309],[-80.885553,32.032678],[-81.132015,31.693108],[-81.175831,31.517845],[-81.279893,31.364491],[-81.290846,31.20566],[-81.400385,31.13446],[-81.444201,30.707258],[-81.718048,30.745597],[-81.948079,30.827751],[-82.041187,30.751074],[-82.002849,30.564858],[-82.046664,30.362211],[-82.167157,30.356734],[-82.216449,30.570335],[-83.498053,30.647012],[-84.867289,30.712735],[-85.004212,31.003013],[-85.113751,31.27686],[-85.042551,31.539753],[-85.141136,31.840985],[-85.053504,32.01077],[-85.058981,32.13674],[-84.889196,32.262709],[-85.004212,32.322956],[-84.960397,32.421541],[-85.069935,32.580372],[-85.184951,32.859696],[-85.431413,34.124869],[-85.606675,34.984749],[-84.319594,34.990226],[-83.618546,34.984749],[-83.109191,35.00118]]]}},{"type":"Feature","id":"HI","properties":{"name":"Hawaii","density":214.1},"geometry":{"type":"MultiPolygon","coordinates":[[[[-155.634835,18.948267],[-155.881297,19.035898],[-155.919636,19.123529],[-155.886774,19.348084],[-156.062036,19.73147],[-155.925113,19.857439],[-155.826528,20.032702],[-155.897728,20.147717],[-155.87582,20.26821],[-155.596496,20.12581],[-155.284311,20.021748],[-155.092618,19.868393],[-155.092618,19.736947],[-154.807817,19.523346],[-154.983079,19.348084],[-155.295265,19.26593],[-155.514342,19.134483],[-155.634835,18.948267]]],[[[-156.587823,21.029505],[-156.472807,20.892581],[-156.324929,20.952827],[-156.00179,20.793996],[-156.051082,20.651596],[-156.379699,20.580396],[-156.445422,20.60778],[-156.461853,20.783042],[-156.631638,20.821381],[-156.697361,20.919966],[-156.587823,21.029505]]],[[[-156.982162,21.210244],[-157.080747,21.106182],[-157.310779,21.106182],[-157.239579,21.221198],[-156.982162,21.210244]]],[[[-157.951581,21.697691],[-157.842042,21.462183],[-157.896811,21.325259],[-158.110412,21.303352],[-158.252813,21.582676],[-158.126843,21.588153],[-157.951581,21.697691]]],[[[-159.468693,22.228955],[-159.353678,22.218001],[-159.298908,22.113939],[-159.33177,21.966061],[-159.446786,21.872953],[-159.764448,21.987969],[-159.726109,22.152277],[-159.468693,22.228955]]]]}},{"type":"Feature","id":"ID","properties":{"name":"Idaho","density":19.15},"geometry":{"type":"Polygon","coordinates":[[[-116.04751,49.000239],[-116.04751,47.976051],[-115.724371,47.696727],[-115.718894,47.42288],[-115.527201,47.302388],[-115.324554,47.258572],[-115.302646,47.187372],[-114.930214,46.919002],[-114.886399,46.809463],[-114.623506,46.705401],[-114.612552,46.639678],[-114.322274,46.645155],[-114.464674,46.272723],[-114.492059,46.037214],[-114.387997,45.88386],[-114.568736,45.774321],[-114.497536,45.670259],[-114.546828,45.560721],[-114.333228,45.456659],[-114.086765,45.593582],[-113.98818,45.703121],[-113.807441,45.604536],[-113.834826,45.522382],[-113.736241,45.330689],[-113.571933,45.128042],[-113.45144,45.056842],[-113.456917,44.865149],[-113.341901,44.782995],[-113.133778,44.772041],[-113.002331,44.448902],[-112.887315,44.394132],[-112.783254,44.48724],[-112.471068,44.481763],[-112.241036,44.569394],[-112.104113,44.520102],[-111.868605,44.563917],[-111.819312,44.509148],[-111.616665,44.547487],[-111.386634,44.75561],[-111.227803,44.580348],[-111.047063,44.476286],[-111.047063,42.000709],[-112.164359,41.995232],[-114.04295,41.995232],[-117.027882,42.000709],[-117.027882,43.830007],[-116.896436,44.158624],[-116.97859,44.240778],[-117.170283,44.257209],[-117.241483,44.394132],[-117.038836,44.750133],[-116.934774,44.782995],[-116.830713,44.930872],[-116.847143,45.02398],[-116.732128,45.144473],[-116.671881,45.319735],[-116.463758,45.61549],[-116.545912,45.752413],[-116.78142,45.823614],[-116.918344,45.993399],[-116.92382,46.168661],[-117.055267,46.343923],[-117.038836,46.426077],[-117.044313,47.762451],[-117.033359,49.000239],[-116.04751,49.000239]]]}},{"type":"Feature","id":"IL","properties":{"name":"Illinois","density":231.5},"geometry":{"type":"Polygon","coordinates":[[[-90.639984,42.510065],[-88.788778,42.493634],[-87.802929,42.493634],[-87.83579,42.301941],[-87.682436,42.077386],[-87.523605,41.710431],[-87.529082,39.34987],[-87.63862,39.169131],[-87.512651,38.95553],[-87.49622,38.780268],[-87.62219,38.637868],[-87.655051,38.506421],[-87.83579,38.292821],[-87.950806,38.27639],[-87.923421,38.15042],[-88.000098,38.101128],[-88.060345,37.865619],[-88.027483,37.799896],[-88.15893,37.657496],[-88.065822,37.482234],[-88.476592,37.389126],[-88.514931,37.285064],[-88.421823,37.153617],[-88.547792,37.071463],[-88.914747,37.224817],[-89.029763,37.213863],[-89.183118,37.038601],[-89.133825,36.983832],[-89.292656,36.994786],[-89.517211,37.279587],[-89.435057,37.34531],[-89.517211,37.537003],[-89.517211,37.690357],[-89.84035,37.903958],[-89.949889,37.88205],[-90.059428,38.013497],[-90.355183,38.216144],[-90.349706,38.374975],[-90.179921,38.632391],[-90.207305,38.725499],[-90.10872,38.845992],[-90.251121,38.917192],[-90.470199,38.961007],[-90.585214,38.867899],[-90.661891,38.928146],[-90.727615,39.256762],[-91.061708,39.470363],[-91.368417,39.727779],[-91.494386,40.034488],[-91.50534,40.237135],[-91.417709,40.379535],[-91.401278,40.560274],[-91.121954,40.669813],[-91.09457,40.823167],[-90.963123,40.921752],[-90.946692,41.097014],[-91.111001,41.239415],[-91.045277,41.414677],[-90.656414,41.463969],[-90.344229,41.589939],[-90.311367,41.743293],[-90.179921,41.809016],[-90.141582,42.000709],[-90.168967,42.126679],[-90.393521,42.225264],[-90.420906,42.329326],[-90.639984,42.510065]]]}},{"type":"Feature","id":"IN","properties":{"name":"Indiana","density":181.7},"geometry":{"type":"Polygon","coordinates":[[[-85.990061,41.759724],[-84.807042,41.759724],[-84.807042,41.694001],[-84.801565,40.500028],[-84.817996,39.103408],[-84.894673,39.059592],[-84.812519,38.785745],[-84.987781,38.780268],[-85.173997,38.68716],[-85.431413,38.730976],[-85.42046,38.533806],[-85.590245,38.451652],[-85.655968,38.325682],[-85.83123,38.27639],[-85.924338,38.024451],[-86.039354,37.958727],[-86.263908,38.051835],[-86.302247,38.166851],[-86.521325,38.040881],[-86.504894,37.931343],[-86.729448,37.893004],[-86.795172,37.991589],[-87.047111,37.893004],[-87.129265,37.788942],[-87.381204,37.93682],[-87.512651,37.903958],[-87.600282,37.975158],[-87.682436,37.903958],[-87.934375,37.893004],[-88.027483,37.799896],[-88.060345,37.865619],[-88.000098,38.101128],[-87.923421,38.15042],[-87.950806,38.27639],[-87.83579,38.292821],[-87.655051,38.506421],[-87.62219,38.637868],[-87.49622,38.780268],[-87.512651,38.95553],[-87.63862,39.169131],[-87.529082,39.34987],[-87.523605,41.710431],[-87.42502,41.644708],[-87.118311,41.644708],[-86.822556,41.759724],[-85.990061,41.759724]]]}},{"type":"Feature","id":"IA","properties":{"name":"Iowa","density":54.81},"geometry":{"type":"Polygon","coordinates":[[[-91.368417,43.501391],[-91.215062,43.501391],[-91.204109,43.353514],[-91.056231,43.254929],[-91.176724,43.134436],[-91.143862,42.909881],[-91.067185,42.75105],[-90.711184,42.636034],[-90.639984,42.510065],[-90.420906,42.329326],[-90.393521,42.225264],[-90.168967,42.126679],[-90.141582,42.000709],[-90.179921,41.809016],[-90.311367,41.743293],[-90.344229,41.589939],[-90.656414,41.463969],[-91.045277,41.414677],[-91.111001,41.239415],[-90.946692,41.097014],[-90.963123,40.921752],[-91.09457,40.823167],[-91.121954,40.669813],[-91.401278,40.560274],[-91.417709,40.379535],[-91.527248,40.412397],[-91.729895,40.615043],[-91.833957,40.609566],[-93.257961,40.582182],[-94.632673,40.571228],[-95.7664,40.587659],[-95.881416,40.719105],[-95.826646,40.976521],[-95.925231,41.201076],[-95.919754,41.453015],[-96.095016,41.540646],[-96.122401,41.67757],[-96.062155,41.798063],[-96.127878,41.973325],[-96.264801,42.039048],[-96.44554,42.488157],[-96.631756,42.707235],[-96.544125,42.855112],[-96.511264,43.052282],[-96.434587,43.123482],[-96.560556,43.222067],[-96.527695,43.397329],[-96.582464,43.479483],[-96.451017,43.501391],[-91.368417,43.501391]]]}},{"type":"Feature","id":"KS","properties":{"name":"Kansas","density":35.09},"geometry":{"type":"Polygon","coordinates":[[[-101.90605,40.001626],[-95.306337,40.001626],[-95.207752,39.908518],[-94.884612,39.831841],[-95.109167,39.541563],[-94.983197,39.442978],[-94.824366,39.20747],[-94.610765,39.158177],[-94.616242,37.000263],[-100.087706,37.000263],[-102.042974,36.994786],[-102.053927,40.001626],[-101.90605,40.001626]]]}},{"type":"Feature","id":"KY","properties":{"name":"Kentucky","density":110},"geometry":{"type":"Polygon","coordinates":[[[-83.903347,38.769315],[-83.678792,38.632391],[-83.519961,38.703591],[-83.142052,38.626914],[-83.032514,38.725499],[-82.890113,38.758361],[-82.846298,38.588575],[-82.731282,38.561191],[-82.594358,38.424267],[-82.621743,38.123036],[-82.50125,37.931343],[-82.342419,37.783465],[-82.293127,37.668449],[-82.101434,37.553434],[-81.969987,37.537003],[-82.353373,37.268633],[-82.720328,37.120755],[-82.720328,37.044078],[-82.868205,36.978355],[-82.879159,36.890724],[-83.070852,36.852385],[-83.136575,36.742847],[-83.673316,36.600446],[-83.689746,36.584015],[-84.544149,36.594969],[-85.289013,36.627831],[-85.486183,36.616877],[-86.592525,36.655216],[-87.852221,36.633308],[-88.071299,36.677123],[-88.054868,36.496384],[-89.298133,36.507338],[-89.418626,36.496384],[-89.363857,36.622354],[-89.215979,36.578538],[-89.133825,36.983832],[-89.183118,37.038601],[-89.029763,37.213863],[-88.914747,37.224817],[-88.547792,37.071463],[-88.421823,37.153617],[-88.514931,37.285064],[-88.476592,37.389126],[-88.065822,37.482234],[-88.15893,37.657496],[-88.027483,37.799896],[-87.934375,37.893004],[-87.682436,37.903958],[-87.600282,37.975158],[-87.512651,37.903958],[-87.381204,37.93682],[-87.129265,37.788942],[-87.047111,37.893004],[-86.795172,37.991589],[-86.729448,37.893004],[-86.504894,37.931343],[-86.521325,38.040881],[-86.302247,38.166851],[-86.263908,38.051835],[-86.039354,37.958727],[-85.924338,38.024451],[-85.83123,38.27639],[-85.655968,38.325682],[-85.590245,38.451652],[-85.42046,38.533806],[-85.431413,38.730976],[-85.173997,38.68716],[-84.987781,38.780268],[-84.812519,38.785745],[-84.894673,39.059592],[-84.817996,39.103408],[-84.43461,39.103408],[-84.231963,38.895284],[-84.215533,38.807653],[-83.903347,38.769315]]]}},{"type":"Feature","id":"LA","properties":{"name":"Louisiana","density":105},"geometry":{"type":"Polygon","coordinates":[[[-93.608485,33.018527],[-91.16577,33.002096],[-91.072662,32.887081],[-91.143862,32.843265],[-91.154816,32.640618],[-91.006939,32.514649],[-90.985031,32.218894],[-91.105524,31.988862],[-91.341032,31.846462],[-91.401278,31.621907],[-91.499863,31.643815],[-91.516294,31.27686],[-91.636787,31.265906],[-91.565587,31.068736],[-91.636787,30.997536],[-89.747242,30.997536],[-89.845827,30.66892],[-89.681519,30.449842],[-89.643181,30.285534],[-89.522688,30.181472],[-89.818443,30.044549],[-89.84035,29.945964],[-89.599365,29.88024],[-89.495303,30.039072],[-89.287179,29.88024],[-89.30361,29.754271],[-89.424103,29.699501],[-89.648657,29.748794],[-89.621273,29.655686],[-89.69795,29.513285],[-89.506257,29.387316],[-89.199548,29.348977],[-89.09001,29.2011],[-89.002379,29.179192],[-89.16121,29.009407],[-89.336472,29.042268],[-89.484349,29.217531],[-89.851304,29.310638],[-89.851304,29.480424],[-90.032043,29.425654],[-90.021089,29.283254],[-90.103244,29.151807],[-90.23469,29.129899],[-90.333275,29.277777],[-90.563307,29.283254],[-90.645461,29.129899],[-90.798815,29.086084],[-90.963123,29.179192],[-91.09457,29.190146],[-91.220539,29.436608],[-91.445094,29.546147],[-91.532725,29.529716],[-91.620356,29.73784],[-91.883249,29.710455],[-91.888726,29.836425],[-92.146142,29.715932],[-92.113281,29.622824],[-92.31045,29.535193],[-92.617159,29.579009],[-92.97316,29.715932],[-93.2251,29.776178],[-93.767317,29.726886],[-93.838517,29.688547],[-93.926148,29.787132],[-93.690639,30.143133],[-93.767317,30.334826],[-93.696116,30.438888],[-93.728978,30.575812],[-93.630393,30.679874],[-93.526331,30.93729],[-93.542762,31.15089],[-93.816609,31.556184],[-93.822086,31.775262],[-94.041164,31.994339],[-94.041164,33.018527],[-93.608485,33.018527]]]}},{"type":"Feature","id":"ME","properties":{"name":"Maine","density":43.04},"geometry":{"type":"Polygon","coordinates":[[[-70.703921,43.057759],[-70.824413,43.128959],[-70.807983,43.227544],[-70.966814,43.34256],[-71.032537,44.657025],[-71.08183,45.303304],[-70.649151,45.440228],[-70.720352,45.511428],[-70.556043,45.664782],[-70.386258,45.735983],[-70.41912,45.796229],[-70.260289,45.889337],[-70.309581,46.064599],[-70.210996,46.327492],[-70.057642,46.415123],[-69.997395,46.694447],[-69.225147,47.461219],[-69.044408,47.428357],[-69.033454,47.242141],[-68.902007,47.176418],[-68.578868,47.285957],[-68.376221,47.285957],[-68.233821,47.357157],[-67.954497,47.198326],[-67.790188,47.066879],[-67.779235,45.944106],[-67.801142,45.675736],[-67.456095,45.604536],[-67.505388,45.48952],[-67.417757,45.379982],[-67.488957,45.281397],[-67.346556,45.128042],[-67.16034,45.160904],[-66.979601,44.804903],[-67.187725,44.646072],[-67.308218,44.706318],[-67.406803,44.596779],[-67.549203,44.624164],[-67.565634,44.531056],[-67.75185,44.54201],[-68.047605,44.328409],[-68.118805,44.476286],[-68.222867,44.48724],[-68.173574,44.328409],[-68.403606,44.251732],[-68.458375,44.377701],[-68.567914,44.311978],[-68.82533,44.311978],[-68.830807,44.459856],[-68.984161,44.426994],[-68.956777,44.322932],[-69.099177,44.103854],[-69.071793,44.043608],[-69.258008,43.923115],[-69.444224,43.966931],[-69.553763,43.840961],[-69.707118,43.82453],[-69.833087,43.720469],[-69.986442,43.742376],[-70.030257,43.851915],[-70.254812,43.676653],[-70.194565,43.567114],[-70.358873,43.528776],[-70.369827,43.435668],[-70.556043,43.320652],[-70.703921,43.057759]]]}},{"type":"Feature","id":"MD","properties":{"name":"Maryland","density":596.3},"geometry":{"type":"MultiPolygon","coordinates":[[[[-75.994645,37.95325],[-76.016553,37.95325],[-76.043938,37.95325],[-75.994645,37.95325]]],[[[-79.477979,39.722302],[-75.786521,39.722302],[-75.693413,38.462606],[-75.047134,38.451652],[-75.244304,38.029928],[-75.397659,38.013497],[-75.671506,37.95325],[-75.885106,37.909435],[-75.879629,38.073743],[-75.961783,38.139466],[-75.846768,38.210667],[-76.000122,38.374975],[-76.049415,38.303775],[-76.257538,38.320205],[-76.328738,38.500944],[-76.263015,38.500944],[-76.257538,38.736453],[-76.191815,38.829561],[-76.279446,39.147223],[-76.169907,39.333439],[-76.000122,39.366301],[-75.972737,39.557994],[-76.098707,39.536086],[-76.104184,39.437501],[-76.367077,39.311532],[-76.443754,39.196516],[-76.460185,38.906238],[-76.55877,38.769315],[-76.514954,38.539283],[-76.383508,38.380452],[-76.399939,38.259959],[-76.317785,38.139466],[-76.3616,38.057312],[-76.591632,38.216144],[-76.920248,38.292821],[-77.018833,38.446175],[-77.205049,38.358544],[-77.276249,38.479037],[-77.128372,38.632391],[-77.040741,38.791222],[-76.909294,38.895284],[-77.035264,38.993869],[-77.117418,38.933623],[-77.248864,39.026731],[-77.456988,39.076023],[-77.456988,39.223901],[-77.566527,39.306055],[-77.719881,39.322485],[-77.834897,39.601809],[-78.004682,39.601809],[-78.174467,39.694917],[-78.267575,39.61824],[-78.431884,39.623717],[-78.470222,39.514178],[-78.765977,39.585379],[-78.963147,39.437501],[-79.094593,39.470363],[-79.291763,39.300578],[-79.488933,39.20747],[-79.477979,39.722302]]]]}},{"type":"Feature","id":"MA","properties":{"name":"Massachusetts","density":840.2},"geometry":{"type":"Polygon","coordinates":[[[-70.917521,42.887974],[-70.818936,42.871543],[-70.780598,42.696281],[-70.824413,42.55388],[-70.983245,42.422434],[-70.988722,42.269079],[-70.769644,42.247172],[-70.638197,42.08834],[-70.660105,41.962371],[-70.550566,41.929509],[-70.539613,41.814493],[-70.260289,41.715908],[-69.937149,41.809016],[-70.008349,41.672093],[-70.484843,41.5516],[-70.660105,41.546123],[-70.764167,41.639231],[-70.928475,41.611847],[-70.933952,41.540646],[-71.120168,41.496831],[-71.196845,41.67757],[-71.22423,41.710431],[-71.328292,41.781632],[-71.383061,42.01714],[-71.530939,42.01714],[-71.799309,42.006186],[-71.799309,42.022617],[-73.053528,42.039048],[-73.486206,42.050002],[-73.508114,42.08834],[-73.267129,42.745573],[-72.456542,42.729142],[-71.29543,42.696281],[-71.185891,42.789389],[-70.917521,42.887974]]]}},{"type":"Feature","id":"MI","properties":{"name":"Michigan","density":173.9},"geometry":{"type":"MultiPolygon","coordinates":[[[[-83.454238,41.732339],[-84.807042,41.694001],[-84.807042,41.759724],[-85.990061,41.759724],[-86.822556,41.759724],[-86.619909,41.891171],[-86.482986,42.115725],[-86.357016,42.252649],[-86.263908,42.444341],[-86.209139,42.718189],[-86.231047,43.013943],[-86.526801,43.594499],[-86.433693,43.813577],[-86.499417,44.07647],[-86.269385,44.34484],[-86.220093,44.569394],[-86.252954,44.689887],[-86.088646,44.73918],[-86.066738,44.903488],[-85.809322,44.947303],[-85.612152,45.128042],[-85.628583,44.766564],[-85.524521,44.750133],[-85.393075,44.930872],[-85.387598,45.237581],[-85.305444,45.314258],[-85.031597,45.363551],[-85.119228,45.577151],[-84.938489,45.75789],[-84.713934,45.768844],[-84.461995,45.653829],[-84.215533,45.637398],[-84.09504,45.494997],[-83.908824,45.484043],[-83.596638,45.352597],[-83.4871,45.358074],[-83.317314,45.144473],[-83.454238,45.029457],[-83.322791,44.88158],[-83.273499,44.711795],[-83.333745,44.339363],[-83.536392,44.246255],[-83.585684,44.054562],[-83.82667,43.988839],[-83.958116,43.758807],[-83.908824,43.671176],[-83.667839,43.589022],[-83.481623,43.714992],[-83.262545,43.972408],[-82.917498,44.070993],[-82.747713,43.994316],[-82.643651,43.851915],[-82.539589,43.435668],[-82.523158,43.227544],[-82.413619,42.975605],[-82.517681,42.614127],[-82.681989,42.559357],[-82.687466,42.690804],[-82.797005,42.652465],[-82.922975,42.351234],[-83.125621,42.236218],[-83.185868,42.006186],[-83.437807,41.814493],[-83.454238,41.732339]]],[[[-85.508091,45.730506],[-85.49166,45.610013],[-85.623106,45.588105],[-85.568337,45.75789],[-85.508091,45.730506]]],[[[-87.589328,45.095181],[-87.742682,45.199243],[-87.649574,45.341643],[-87.885083,45.363551],[-87.791975,45.500474],[-87.781021,45.675736],[-87.989145,45.796229],[-88.10416,45.922199],[-88.531362,46.020784],[-88.662808,45.987922],[-89.09001,46.135799],[-90.119674,46.338446],[-90.229213,46.508231],[-90.415429,46.568478],[-90.026566,46.672539],[-89.851304,46.793032],[-89.413149,46.842325],[-89.128348,46.990202],[-88.996902,46.995679],[-88.887363,47.099741],[-88.575177,47.247618],[-88.416346,47.373588],[-88.180837,47.455742],[-87.956283,47.384542],[-88.350623,47.077833],[-88.443731,46.973771],[-88.438254,46.787555],[-88.246561,46.929956],[-87.901513,46.908048],[-87.633143,46.809463],[-87.392158,46.535616],[-87.260711,46.486323],[-87.008772,46.530139],[-86.948526,46.469893],[-86.696587,46.437031],[-86.159846,46.667063],[-85.880522,46.68897],[-85.508091,46.678016],[-85.256151,46.754694],[-85.064458,46.760171],[-85.02612,46.480847],[-84.82895,46.442508],[-84.63178,46.486323],[-84.549626,46.4206],[-84.418179,46.502754],[-84.127902,46.530139],[-84.122425,46.179615],[-83.990978,46.031737],[-83.793808,45.993399],[-83.7719,46.091984],[-83.580208,46.091984],[-83.476146,45.987922],[-83.563777,45.911245],[-84.111471,45.976968],[-84.374364,45.933153],[-84.659165,46.053645],[-84.741319,45.944106],[-84.70298,45.850998],[-84.82895,45.872906],[-85.015166,46.00983],[-85.338305,46.091984],[-85.502614,46.097461],[-85.661445,45.966014],[-85.924338,45.933153],[-86.209139,45.960537],[-86.324155,45.905768],[-86.351539,45.796229],[-86.663725,45.703121],[-86.647294,45.834568],[-86.784218,45.861952],[-86.838987,45.725029],[-87.069019,45.719552],[-87.17308,45.659305],[-87.326435,45.423797],[-87.611236,45.122565],[-87.589328,45.095181]]],[[[-88.805209,47.976051],[-89.057148,47.850082],[-89.188594,47.833651],[-89.177641,47.937713],[-88.547792,48.173221],[-88.668285,48.008913],[-88.805209,47.976051]]]]}},{"type":"Feature","id":"MN","properties":{"name":"Minnesota","density":67.14},"geometry":{"type":"Polygon","coordinates":[[[-92.014696,46.705401],[-92.091373,46.749217],[-92.29402,46.667063],[-92.29402,46.075553],[-92.354266,46.015307],[-92.639067,45.933153],[-92.869098,45.719552],[-92.885529,45.577151],[-92.770513,45.566198],[-92.644544,45.440228],[-92.75956,45.286874],[-92.737652,45.117088],[-92.808852,44.750133],[-92.545959,44.569394],[-92.337835,44.552964],[-92.233773,44.443425],[-91.927065,44.333886],[-91.877772,44.202439],[-91.592971,44.032654],[-91.43414,43.994316],[-91.242447,43.775238],[-91.269832,43.616407],[-91.215062,43.501391],[-91.368417,43.501391],[-96.451017,43.501391],[-96.451017,45.297827],[-96.681049,45.412843],[-96.856311,45.604536],[-96.582464,45.818137],[-96.560556,45.933153],[-96.598895,46.332969],[-96.719387,46.437031],[-96.801542,46.656109],[-96.785111,46.924479],[-96.823449,46.968294],[-96.856311,47.609096],[-97.053481,47.948667],[-97.130158,48.140359],[-97.16302,48.545653],[-97.097296,48.682577],[-97.228743,49.000239],[-95.152983,49.000239],[-95.152983,49.383625],[-94.955813,49.372671],[-94.824366,49.295994],[-94.69292,48.775685],[-94.588858,48.715438],[-94.260241,48.699007],[-94.221903,48.649715],[-93.838517,48.627807],[-93.794701,48.518268],[-93.466085,48.545653],[-93.466085,48.589469],[-93.208669,48.644238],[-92.984114,48.62233],[-92.726698,48.540176],[-92.655498,48.436114],[-92.50762,48.447068],[-92.370697,48.222514],[-92.304974,48.315622],[-92.053034,48.359437],[-92.009219,48.266329],[-91.713464,48.200606],[-91.713464,48.112975],[-91.565587,48.041775],[-91.264355,48.080113],[-91.083616,48.178698],[-90.837154,48.238944],[-90.749522,48.091067],[-90.579737,48.123929],[-90.377091,48.091067],[-90.141582,48.112975],[-89.873212,47.987005],[-89.615796,48.008913],[-89.637704,47.954144],[-89.971797,47.828174],[-90.437337,47.729589],[-90.738569,47.625527],[-91.171247,47.368111],[-91.357463,47.20928],[-91.642264,47.028541],[-92.091373,46.787555],[-92.014696,46.705401]]]}},{"type":"Feature","id":"MS","properties":{"name":"Mississippi","density":63.5},"geometry":{"type":"Polygon","coordinates":[[[-88.471115,34.995703],[-88.202745,34.995703],[-88.098683,34.891641],[-88.241084,33.796253],[-88.471115,31.895754],[-88.394438,30.367688],[-88.503977,30.323872],[-88.744962,30.34578],[-88.843547,30.411504],[-89.084533,30.367688],[-89.418626,30.252672],[-89.522688,30.181472],[-89.643181,30.285534],[-89.681519,30.449842],[-89.845827,30.66892],[-89.747242,30.997536],[-91.636787,30.997536],[-91.565587,31.068736],[-91.636787,31.265906],[-91.516294,31.27686],[-91.499863,31.643815],[-91.401278,31.621907],[-91.341032,31.846462],[-91.105524,31.988862],[-90.985031,32.218894],[-91.006939,32.514649],[-91.154816,32.640618],[-91.143862,32.843265],[-91.072662,32.887081],[-91.16577,33.002096],[-91.089093,33.13902],[-91.143862,33.347144],[-91.056231,33.429298],[-91.231493,33.560744],[-91.072662,33.867453],[-90.891923,34.026284],[-90.952169,34.135823],[-90.744046,34.300131],[-90.749522,34.365854],[-90.568783,34.420624],[-90.585214,34.617794],[-90.481152,34.661609],[-90.409952,34.831394],[-90.251121,34.908072],[-90.311367,34.995703],[-88.471115,34.995703]]]}},{"type":"Feature","id":"MO","properties":{"name":"Missouri","density":87.26},"geometry":{"type":"Polygon","coordinates":[[[-91.833957,40.609566],[-91.729895,40.615043],[-91.527248,40.412397],[-91.417709,40.379535],[-91.50534,40.237135],[-91.494386,40.034488],[-91.368417,39.727779],[-91.061708,39.470363],[-90.727615,39.256762],[-90.661891,38.928146],[-90.585214,38.867899],[-90.470199,38.961007],[-90.251121,38.917192],[-90.10872,38.845992],[-90.207305,38.725499],[-90.179921,38.632391],[-90.349706,38.374975],[-90.355183,38.216144],[-90.059428,38.013497],[-89.949889,37.88205],[-89.84035,37.903958],[-89.517211,37.690357],[-89.517211,37.537003],[-89.435057,37.34531],[-89.517211,37.279587],[-89.292656,36.994786],[-89.133825,36.983832],[-89.215979,36.578538],[-89.363857,36.622354],[-89.418626,36.496384],[-89.484349,36.496384],[-89.539119,36.496384],[-89.533642,36.249922],[-89.730812,35.997983],[-90.377091,35.997983],[-90.218259,36.184199],[-90.064905,36.304691],[-90.152536,36.496384],[-94.473842,36.501861],[-94.616242,36.501861],[-94.616242,37.000263],[-94.610765,39.158177],[-94.824366,39.20747],[-94.983197,39.442978],[-95.109167,39.541563],[-94.884612,39.831841],[-95.207752,39.908518],[-95.306337,40.001626],[-95.552799,40.264519],[-95.7664,40.587659],[-94.632673,40.571228],[-93.257961,40.582182],[-91.833957,40.609566]]]}},{"type":"Feature","id":"MT","properties":{"name":"Montana","density":6.858},"geometry":{"type":"Polygon","coordinates":[[[-104.047534,49.000239],[-104.042057,47.861036],[-104.047534,45.944106],[-104.042057,44.996596],[-104.058488,44.996596],[-105.91517,45.002073],[-109.080842,45.002073],[-111.05254,45.002073],[-111.047063,44.476286],[-111.227803,44.580348],[-111.386634,44.75561],[-111.616665,44.547487],[-111.819312,44.509148],[-111.868605,44.563917],[-112.104113,44.520102],[-112.241036,44.569394],[-112.471068,44.481763],[-112.783254,44.48724],[-112.887315,44.394132],[-113.002331,44.448902],[-113.133778,44.772041],[-113.341901,44.782995],[-113.456917,44.865149],[-113.45144,45.056842],[-113.571933,45.128042],[-113.736241,45.330689],[-113.834826,45.522382],[-113.807441,45.604536],[-113.98818,45.703121],[-114.086765,45.593582],[-114.333228,45.456659],[-114.546828,45.560721],[-114.497536,45.670259],[-114.568736,45.774321],[-114.387997,45.88386],[-114.492059,46.037214],[-114.464674,46.272723],[-114.322274,46.645155],[-114.612552,46.639678],[-114.623506,46.705401],[-114.886399,46.809463],[-114.930214,46.919002],[-115.302646,47.187372],[-115.324554,47.258572],[-115.527201,47.302388],[-115.718894,47.42288],[-115.724371,47.696727],[-116.04751,47.976051],[-116.04751,49.000239],[-111.50165,48.994762],[-109.453274,49.000239],[-104.047534,49.000239]]]}},{"type":"Feature","id":"NE","properties":{"name":"Nebraska","density":23.97},"geometry":{"type":"Polygon","coordinates":[[[-103.324578,43.002989],[-101.626726,42.997512],[-98.499393,42.997512],[-98.466531,42.94822],[-97.951699,42.767481],[-97.831206,42.866066],[-97.688806,42.844158],[-97.217789,42.844158],[-96.692003,42.657942],[-96.626279,42.515542],[-96.44554,42.488157],[-96.264801,42.039048],[-96.127878,41.973325],[-96.062155,41.798063],[-96.122401,41.67757],[-96.095016,41.540646],[-95.919754,41.453015],[-95.925231,41.201076],[-95.826646,40.976521],[-95.881416,40.719105],[-95.7664,40.587659],[-95.552799,40.264519],[-95.306337,40.001626],[-101.90605,40.001626],[-102.053927,40.001626],[-102.053927,41.003906],[-104.053011,41.003906],[-104.053011,43.002989],[-103.324578,43.002989]]]}},{"type":"Feature","id":"NV","properties":{"name":"Nevada","density":24.8},"geometry":{"type":"Polygon","coordinates":[[[-117.027882,42.000709],[-114.04295,41.995232],[-114.048427,37.000263],[-114.048427,36.195153],[-114.152489,36.025367],[-114.251074,36.01989],[-114.371566,36.140383],[-114.738521,36.102045],[-114.678275,35.516012],[-114.596121,35.324319],[-114.574213,35.138103],[-114.634459,35.00118],[-115.85034,35.970598],[-116.540435,36.501861],[-117.498899,37.21934],[-118.71478,38.101128],[-120.001861,38.999346],[-119.996384,40.264519],[-120.001861,41.995232],[-118.698349,41.989755],[-117.027882,42.000709]]]}},{"type":"Feature","id":"NH","properties":{"name":"New Hampshire","density":147},"geometry":{"type":"Polygon","coordinates":[[[-71.08183,45.303304],[-71.032537,44.657025],[-70.966814,43.34256],[-70.807983,43.227544],[-70.824413,43.128959],[-70.703921,43.057759],[-70.818936,42.871543],[-70.917521,42.887974],[-71.185891,42.789389],[-71.29543,42.696281],[-72.456542,42.729142],[-72.544173,42.80582],[-72.533219,42.953697],[-72.445588,43.008466],[-72.456542,43.150867],[-72.379864,43.572591],[-72.204602,43.769761],[-72.116971,43.994316],[-72.02934,44.07647],[-72.034817,44.322932],[-71.700724,44.41604],[-71.536416,44.585825],[-71.629524,44.750133],[-71.4926,44.914442],[-71.503554,45.013027],[-71.361154,45.270443],[-71.131122,45.243058],[-71.08183,45.303304]]]}},{"type":"Feature","id":"NJ","properties":{"name":"New Jersey","density":1189},"geometry":{"type":"Polygon","coordinates":[[[-74.236547,41.14083],[-73.902454,40.998429],[-74.022947,40.708151],[-74.187255,40.642428],[-74.274886,40.489074],[-74.001039,40.412397],[-73.979131,40.297381],[-74.099624,39.760641],[-74.411809,39.360824],[-74.614456,39.245808],[-74.795195,38.993869],[-74.888303,39.158177],[-75.178581,39.240331],[-75.534582,39.459409],[-75.55649,39.607286],[-75.561967,39.629194],[-75.507197,39.683964],[-75.414089,39.804456],[-75.145719,39.88661],[-75.129289,39.963288],[-74.82258,40.127596],[-74.773287,40.215227],[-75.058088,40.417874],[-75.069042,40.543843],[-75.195012,40.576705],[-75.205966,40.691721],[-75.052611,40.866983],[-75.134765,40.971045],[-74.882826,41.179168],[-74.828057,41.288707],[-74.69661,41.359907],[-74.236547,41.14083]]]}},{"type":"Feature","id":"NM","properties":{"name":"New Mexico","density":17.16},"geometry":{"type":"Polygon","coordinates":[[[-107.421329,37.000263],[-106.868158,36.994786],[-104.337812,36.994786],[-103.001438,37.000263],[-103.001438,36.501861],[-103.039777,36.501861],[-103.045254,34.01533],[-103.067161,33.002096],[-103.067161,31.999816],[-106.616219,31.999816],[-106.643603,31.901231],[-106.528588,31.786216],[-108.210008,31.786216],[-108.210008,31.331629],[-109.04798,31.331629],[-109.042503,37.000263],[-107.421329,37.000263]]]}},{"type":"Feature","id":"NY","properties":{"name":"New York","density":412.3},"geometry":{"type":"Polygon","coordinates":[[[-73.343806,45.013027],[-73.332852,44.804903],[-73.387622,44.618687],[-73.294514,44.437948],[-73.321898,44.246255],[-73.436914,44.043608],[-73.349283,43.769761],[-73.404052,43.687607],[-73.245221,43.523299],[-73.278083,42.833204],[-73.267129,42.745573],[-73.508114,42.08834],[-73.486206,42.050002],[-73.55193,41.294184],[-73.48073,41.21203],[-73.727192,41.102491],[-73.655992,40.987475],[-73.22879,40.905321],[-73.141159,40.965568],[-72.774204,40.965568],[-72.587988,40.998429],[-72.28128,41.157261],[-72.259372,41.042245],[-72.100541,40.992952],[-72.467496,40.845075],[-73.239744,40.625997],[-73.562884,40.582182],[-73.776484,40.593136],[-73.935316,40.543843],[-74.022947,40.708151],[-73.902454,40.998429],[-74.236547,41.14083],[-74.69661,41.359907],[-74.740426,41.431108],[-74.89378,41.436584],[-75.074519,41.60637],[-75.052611,41.754247],[-75.173104,41.869263],[-75.249781,41.863786],[-75.35932,42.000709],[-79.76278,42.000709],[-79.76278,42.252649],[-79.76278,42.269079],[-79.149363,42.55388],[-79.050778,42.690804],[-78.853608,42.783912],[-78.930285,42.953697],[-79.012439,42.986559],[-79.072686,43.260406],[-78.486653,43.375421],[-77.966344,43.369944],[-77.75822,43.34256],[-77.533665,43.233021],[-77.391265,43.276836],[-76.958587,43.271359],[-76.695693,43.34256],[-76.41637,43.523299],[-76.235631,43.528776],[-76.230154,43.802623],[-76.137046,43.961454],[-76.3616,44.070993],[-76.312308,44.196962],[-75.912491,44.366748],[-75.764614,44.514625],[-75.282643,44.848718],[-74.828057,45.018503],[-74.148916,44.991119],[-73.343806,45.013027]]]}},{"type":"Feature","id":"NC","properties":{"name":"North Carolina","density":198.2},"geometry":{"type":"Polygon","coordinates":[[[-80.978661,36.562108],[-80.294043,36.545677],[-79.510841,36.5402],[-75.868676,36.551154],[-75.75366,36.151337],[-76.032984,36.189676],[-76.071322,36.140383],[-76.410893,36.080137],[-76.460185,36.025367],[-76.68474,36.008937],[-76.673786,35.937736],[-76.399939,35.987029],[-76.3616,35.943213],[-76.060368,35.992506],[-75.961783,35.899398],[-75.781044,35.937736],[-75.715321,35.696751],[-75.775568,35.581735],[-75.89606,35.570781],[-76.147999,35.324319],[-76.482093,35.313365],[-76.536862,35.14358],[-76.394462,34.973795],[-76.279446,34.940933],[-76.493047,34.661609],[-76.673786,34.694471],[-76.991448,34.667086],[-77.210526,34.60684],[-77.555573,34.415147],[-77.82942,34.163208],[-77.971821,33.845545],[-78.179944,33.916745],[-78.541422,33.851022],[-79.675149,34.80401],[-80.797922,34.820441],[-80.781491,34.935456],[-80.934845,35.105241],[-81.038907,35.044995],[-81.044384,35.149057],[-82.276696,35.198349],[-82.550543,35.160011],[-82.764143,35.066903],[-83.109191,35.00118],[-83.618546,34.984749],[-84.319594,34.990226],[-84.29221,35.225734],[-84.09504,35.247642],[-84.018363,35.41195],[-83.7719,35.559827],[-83.498053,35.565304],[-83.251591,35.718659],[-82.994175,35.773428],[-82.775097,35.997983],[-82.638174,36.063706],[-82.610789,35.965121],[-82.216449,36.156814],[-82.03571,36.118475],[-81.909741,36.304691],[-81.723525,36.353984],[-81.679709,36.589492],[-80.978661,36.562108]]]}},{"type":"Feature","id":"ND","properties":{"name":"North Dakota","density":9.916},"geometry":{"type":"Polygon","coordinates":[[[-97.228743,49.000239],[-97.097296,48.682577],[-97.16302,48.545653],[-97.130158,48.140359],[-97.053481,47.948667],[-96.856311,47.609096],[-96.823449,46.968294],[-96.785111,46.924479],[-96.801542,46.656109],[-96.719387,46.437031],[-96.598895,46.332969],[-96.560556,45.933153],[-104.047534,45.944106],[-104.042057,47.861036],[-104.047534,49.000239],[-97.228743,49.000239]]]}},{"type":"Feature","id":"OH","properties":{"name":"Ohio","density":281.9},"geometry":{"type":"Polygon","coordinates":[[[-80.518598,41.978802],[-80.518598,40.636951],[-80.666475,40.582182],[-80.595275,40.472643],[-80.600752,40.319289],[-80.737675,40.078303],[-80.830783,39.711348],[-81.219646,39.388209],[-81.345616,39.344393],[-81.455155,39.410117],[-81.57017,39.267716],[-81.685186,39.273193],[-81.811156,39.0815],[-81.783771,38.966484],[-81.887833,38.873376],[-82.03571,39.026731],[-82.221926,38.785745],[-82.172634,38.632391],[-82.293127,38.577622],[-82.331465,38.446175],[-82.594358,38.424267],[-82.731282,38.561191],[-82.846298,38.588575],[-82.890113,38.758361],[-83.032514,38.725499],[-83.142052,38.626914],[-83.519961,38.703591],[-83.678792,38.632391],[-83.903347,38.769315],[-84.215533,38.807653],[-84.231963,38.895284],[-84.43461,39.103408],[-84.817996,39.103408],[-84.801565,40.500028],[-84.807042,41.694001],[-83.454238,41.732339],[-83.065375,41.595416],[-82.933929,41.513262],[-82.835344,41.589939],[-82.616266,41.431108],[-82.479343,41.381815],[-82.013803,41.513262],[-81.739956,41.485877],[-81.444201,41.672093],[-81.011523,41.852832],[-80.518598,41.978802],[-80.518598,41.978802]]]}},{"type":"Feature","id":"OK","properties":{"name":"Oklahoma","density":55.22},"geometry":{"type":"Polygon","coordinates":[[[-100.087706,37.000263],[-94.616242,37.000263],[-94.616242,36.501861],[-94.430026,35.395519],[-94.484796,33.637421],[-94.868182,33.74696],[-94.966767,33.861976],[-95.224183,33.960561],[-95.289906,33.87293],[-95.547322,33.878407],[-95.602092,33.933176],[-95.8376,33.834591],[-95.936185,33.889361],[-96.149786,33.840068],[-96.346956,33.686714],[-96.423633,33.774345],[-96.631756,33.845545],[-96.850834,33.845545],[-96.922034,33.960561],[-97.173974,33.736006],[-97.256128,33.861976],[-97.371143,33.823637],[-97.458774,33.905791],[-97.694283,33.982469],[-97.869545,33.851022],[-97.946222,33.987946],[-98.088623,34.004376],[-98.170777,34.113915],[-98.36247,34.157731],[-98.488439,34.064623],[-98.570593,34.146777],[-98.767763,34.135823],[-98.986841,34.223454],[-99.189488,34.2125],[-99.260688,34.404193],[-99.57835,34.415147],[-99.698843,34.382285],[-99.923398,34.573978],[-100.000075,34.563024],[-100.000075,36.501861],[-101.812942,36.501861],[-103.001438,36.501861],[-103.001438,37.000263],[-102.042974,36.994786],[-100.087706,37.000263]]]}},{"type":"Feature","id":"OR","properties":{"name":"Oregon","density":40.33},"geometry":{"type":"Polygon","coordinates":[[[-123.211348,46.174138],[-123.11824,46.185092],[-122.904639,46.08103],[-122.811531,45.960537],[-122.762239,45.659305],[-122.247407,45.549767],[-121.809251,45.708598],[-121.535404,45.725029],[-121.217742,45.670259],[-121.18488,45.604536],[-120.637186,45.746937],[-120.505739,45.697644],[-120.209985,45.725029],[-119.963522,45.823614],[-119.525367,45.911245],[-119.125551,45.933153],[-118.988627,45.998876],[-116.918344,45.993399],[-116.78142,45.823614],[-116.545912,45.752413],[-116.463758,45.61549],[-116.671881,45.319735],[-116.732128,45.144473],[-116.847143,45.02398],[-116.830713,44.930872],[-116.934774,44.782995],[-117.038836,44.750133],[-117.241483,44.394132],[-117.170283,44.257209],[-116.97859,44.240778],[-116.896436,44.158624],[-117.027882,43.830007],[-117.027882,42.000709],[-118.698349,41.989755],[-120.001861,41.995232],[-121.037003,41.995232],[-122.378853,42.011663],[-123.233256,42.006186],[-124.213628,42.000709],[-124.356029,42.115725],[-124.432706,42.438865],[-124.416275,42.663419],[-124.553198,42.838681],[-124.454613,43.002989],[-124.383413,43.271359],[-124.235536,43.55616],[-124.169813,43.8081],[-124.060274,44.657025],[-124.076705,44.772041],[-123.97812,45.144473],[-123.939781,45.659305],[-123.994551,45.944106],[-123.945258,46.113892],[-123.545441,46.261769],[-123.370179,46.146753],[-123.211348,46.174138]]]}},{"type":"Feature","id":"PA","properties":{"name":"Pennsylvania","density":284.3},"geometry":{"type":"Polygon","coordinates":[[[-79.76278,42.252649],[-79.76278,42.000709],[-75.35932,42.000709],[-75.249781,41.863786],[-75.173104,41.869263],[-75.052611,41.754247],[-75.074519,41.60637],[-74.89378,41.436584],[-74.740426,41.431108],[-74.69661,41.359907],[-74.828057,41.288707],[-74.882826,41.179168],[-75.134765,40.971045],[-75.052611,40.866983],[-75.205966,40.691721],[-75.195012,40.576705],[-75.069042,40.543843],[-75.058088,40.417874],[-74.773287,40.215227],[-74.82258,40.127596],[-75.129289,39.963288],[-75.145719,39.88661],[-75.414089,39.804456],[-75.616736,39.831841],[-75.786521,39.722302],[-79.477979,39.722302],[-80.518598,39.722302],[-80.518598,40.636951],[-80.518598,41.978802],[-80.518598,41.978802],[-80.332382,42.033571],[-79.76278,42.269079],[-79.76278,42.252649]]]}},{"type":"Feature","id":"RI","properties":{"name":"Rhode Island","density":1006},"geometry":{"type":"MultiPolygon","coordinates":[[[[-71.196845,41.67757],[-71.120168,41.496831],[-71.317338,41.474923],[-71.196845,41.67757]]],[[[-71.530939,42.01714],[-71.383061,42.01714],[-71.328292,41.781632],[-71.22423,41.710431],[-71.344723,41.726862],[-71.448785,41.578985],[-71.481646,41.370861],[-71.859555,41.321569],[-71.799309,41.414677],[-71.799309,42.006186],[-71.530939,42.01714]]]]}},{"type":"Feature","id":"SC","properties":{"name":"South Carolina","density":155.4},"geometry":{"type":"Polygon","coordinates":[[[-82.764143,35.066903],[-82.550543,35.160011],[-82.276696,35.198349],[-81.044384,35.149057],[-81.038907,35.044995],[-80.934845,35.105241],[-80.781491,34.935456],[-80.797922,34.820441],[-79.675149,34.80401],[-78.541422,33.851022],[-78.716684,33.80173],[-78.935762,33.637421],[-79.149363,33.380005],[-79.187701,33.171881],[-79.357487,33.007573],[-79.582041,33.007573],[-79.631334,32.887081],[-79.866842,32.755634],[-79.998289,32.613234],[-80.206412,32.552987],[-80.430967,32.399633],[-80.452875,32.328433],[-80.660998,32.246279],[-80.885553,32.032678],[-81.115584,32.120309],[-81.121061,32.290094],[-81.279893,32.558464],[-81.416816,32.629664],[-81.42777,32.843265],[-81.493493,33.007573],[-81.761863,33.160928],[-81.937125,33.347144],[-81.926172,33.462159],[-82.194542,33.631944],[-82.325988,33.81816],[-82.55602,33.94413],[-82.714851,34.152254],[-82.747713,34.26727],[-82.901067,34.486347],[-83.005129,34.469916],[-83.339222,34.683517],[-83.322791,34.787579],[-83.109191,35.00118],[-82.764143,35.066903]]]}},{"type":"Feature","id":"SD","properties":{"name":"South Dakota","density":98.07},"geometry":{"type":"Polygon","coordinates":[[[-104.047534,45.944106],[-96.560556,45.933153],[-96.582464,45.818137],[-96.856311,45.604536],[-96.681049,45.412843],[-96.451017,45.297827],[-96.451017,43.501391],[-96.582464,43.479483],[-96.527695,43.397329],[-96.560556,43.222067],[-96.434587,43.123482],[-96.511264,43.052282],[-96.544125,42.855112],[-96.631756,42.707235],[-96.44554,42.488157],[-96.626279,42.515542],[-96.692003,42.657942],[-97.217789,42.844158],[-97.688806,42.844158],[-97.831206,42.866066],[-97.951699,42.767481],[-98.466531,42.94822],[-98.499393,42.997512],[-101.626726,42.997512],[-103.324578,43.002989],[-104.053011,43.002989],[-104.058488,44.996596],[-104.042057,44.996596],[-104.047534,45.944106]]]}},{"type":"Feature","id":"TN","properties":{"name":"Tennessee","density":88.08},"geometry":{"type":"Polygon","coordinates":[[[-88.054868,36.496384],[-88.071299,36.677123],[-87.852221,36.633308],[-86.592525,36.655216],[-85.486183,36.616877],[-85.289013,36.627831],[-84.544149,36.594969],[-83.689746,36.584015],[-83.673316,36.600446],[-81.679709,36.589492],[-81.723525,36.353984],[-81.909741,36.304691],[-82.03571,36.118475],[-82.216449,36.156814],[-82.610789,35.965121],[-82.638174,36.063706],[-82.775097,35.997983],[-82.994175,35.773428],[-83.251591,35.718659],[-83.498053,35.565304],[-83.7719,35.559827],[-84.018363,35.41195],[-84.09504,35.247642],[-84.29221,35.225734],[-84.319594,34.990226],[-85.606675,34.984749],[-87.359296,35.00118],[-88.202745,34.995703],[-88.471115,34.995703],[-90.311367,34.995703],[-90.212782,35.023087],[-90.114197,35.198349],[-90.130628,35.439335],[-89.944412,35.603643],[-89.911551,35.756997],[-89.763673,35.811767],[-89.730812,35.997983],[-89.533642,36.249922],[-89.539119,36.496384],[-89.484349,36.496384],[-89.418626,36.496384],[-89.298133,36.507338],[-88.054868,36.496384]]]}},{"type":"Feature","id":"TX","properties":{"name":"Texas","density":98.07},"geometry":{"type":"Polygon","coordinates":[[[-101.812942,36.501861],[-100.000075,36.501861],[-100.000075,34.563024],[-99.923398,34.573978],[-99.698843,34.382285],[-99.57835,34.415147],[-99.260688,34.404193],[-99.189488,34.2125],[-98.986841,34.223454],[-98.767763,34.135823],[-98.570593,34.146777],[-98.488439,34.064623],[-98.36247,34.157731],[-98.170777,34.113915],[-98.088623,34.004376],[-97.946222,33.987946],[-97.869545,33.851022],[-97.694283,33.982469],[-97.458774,33.905791],[-97.371143,33.823637],[-97.256128,33.861976],[-97.173974,33.736006],[-96.922034,33.960561],[-96.850834,33.845545],[-96.631756,33.845545],[-96.423633,33.774345],[-96.346956,33.686714],[-96.149786,33.840068],[-95.936185,33.889361],[-95.8376,33.834591],[-95.602092,33.933176],[-95.547322,33.878407],[-95.289906,33.87293],[-95.224183,33.960561],[-94.966767,33.861976],[-94.868182,33.74696],[-94.484796,33.637421],[-94.380734,33.544313],[-94.183564,33.593606],[-94.041164,33.54979],[-94.041164,33.018527],[-94.041164,31.994339],[-93.822086,31.775262],[-93.816609,31.556184],[-93.542762,31.15089],[-93.526331,30.93729],[-93.630393,30.679874],[-93.728978,30.575812],[-93.696116,30.438888],[-93.767317,30.334826],[-93.690639,30.143133],[-93.926148,29.787132],[-93.838517,29.688547],[-94.002825,29.68307],[-94.523134,29.546147],[-94.70935,29.622824],[-94.742212,29.787132],[-94.873659,29.672117],[-94.966767,29.699501],[-95.016059,29.557101],[-94.911997,29.496854],[-94.895566,29.310638],[-95.081782,29.113469],[-95.383014,28.867006],[-95.985477,28.604113],[-96.045724,28.647929],[-96.226463,28.582205],[-96.23194,28.642452],[-96.478402,28.598636],[-96.593418,28.724606],[-96.664618,28.697221],[-96.401725,28.439805],[-96.593418,28.357651],[-96.774157,28.406943],[-96.801542,28.226204],[-97.026096,28.039988],[-97.256128,27.694941],[-97.404005,27.333463],[-97.513544,27.360848],[-97.540929,27.229401],[-97.425913,27.262263],[-97.480682,26.99937],[-97.557359,26.988416],[-97.562836,26.840538],[-97.469728,26.758384],[-97.442344,26.457153],[-97.332805,26.353091],[-97.30542,26.161398],[-97.217789,25.991613],[-97.524498,25.887551],[-97.650467,26.018997],[-97.885976,26.06829],[-98.198161,26.057336],[-98.466531,26.221644],[-98.669178,26.238075],[-98.822533,26.369522],[-99.030656,26.413337],[-99.173057,26.539307],[-99.266165,26.840538],[-99.446904,27.021277],[-99.424996,27.174632],[-99.50715,27.33894],[-99.479765,27.48134],[-99.605735,27.640172],[-99.709797,27.656603],[-99.879582,27.799003],[-99.934351,27.979742],[-100.082229,28.14405],[-100.29583,28.280974],[-100.399891,28.582205],[-100.498476,28.66436],[-100.629923,28.905345],[-100.673738,29.102515],[-100.799708,29.244915],[-101.013309,29.370885],[-101.062601,29.458516],[-101.259771,29.535193],[-101.413125,29.754271],[-101.851281,29.803563],[-102.114174,29.792609],[-102.338728,29.869286],[-102.388021,29.765225],[-102.629006,29.732363],[-102.809745,29.524239],[-102.919284,29.190146],[-102.97953,29.184669],[-103.116454,28.987499],[-103.280762,28.982022],[-103.527224,29.135376],[-104.146119,29.381839],[-104.266611,29.513285],[-104.507597,29.639255],[-104.677382,29.924056],[-104.688336,30.181472],[-104.858121,30.389596],[-104.896459,30.570335],[-105.005998,30.685351],[-105.394861,30.855136],[-105.602985,31.085167],[-105.77277,31.167321],[-105.953509,31.364491],[-106.205448,31.468553],[-106.38071,31.731446],[-106.528588,31.786216],[-106.643603,31.901231],[-106.616219,31.999816],[-103.067161,31.999816],[-103.067161,33.002096],[-103.045254,34.01533],[-103.039777,36.501861],[-103.001438,36.501861],[-101.812942,36.501861]]]}},{"type":"Feature","id":"UT","properties":{"name":"Utah","density":34.3},"geometry":{"type":"Polygon","coordinates":[[[-112.164359,41.995232],[-111.047063,42.000709],[-111.047063,40.998429],[-109.04798,40.998429],[-109.053457,39.125316],[-109.058934,38.27639],[-109.042503,38.166851],[-109.042503,37.000263],[-110.499369,37.00574],[-114.048427,37.000263],[-114.04295,41.995232],[-112.164359,41.995232]]]}},{"type":"Feature","id":"VT","properties":{"name":"Vermont","density":67.73},"geometry":{"type":"Polygon","coordinates":[[[-71.503554,45.013027],[-71.4926,44.914442],[-71.629524,44.750133],[-71.536416,44.585825],[-71.700724,44.41604],[-72.034817,44.322932],[-72.02934,44.07647],[-72.116971,43.994316],[-72.204602,43.769761],[-72.379864,43.572591],[-72.456542,43.150867],[-72.445588,43.008466],[-72.533219,42.953697],[-72.544173,42.80582],[-72.456542,42.729142],[-73.267129,42.745573],[-73.278083,42.833204],[-73.245221,43.523299],[-73.404052,43.687607],[-73.349283,43.769761],[-73.436914,44.043608],[-73.321898,44.246255],[-73.294514,44.437948],[-73.387622,44.618687],[-73.332852,44.804903],[-73.343806,45.013027],[-72.308664,45.002073],[-71.503554,45.013027]]]}},{"type":"Feature","id":"VA","properties":{"name":"Virginia","density":204.5},"geometry":{"type":"MultiPolygon","coordinates":[[[[-75.397659,38.013497],[-75.244304,38.029928],[-75.375751,37.860142],[-75.512674,37.799896],[-75.594828,37.569865],[-75.802952,37.197433],[-75.972737,37.120755],[-76.027507,37.257679],[-75.939876,37.564388],[-75.671506,37.95325],[-75.397659,38.013497]]],[[[-76.016553,37.95325],[-75.994645,37.95325],[-76.043938,37.95325],[-76.016553,37.95325]]],[[[-78.349729,39.464886],[-77.82942,39.130793],[-77.719881,39.322485],[-77.566527,39.306055],[-77.456988,39.223901],[-77.456988,39.076023],[-77.248864,39.026731],[-77.117418,38.933623],[-77.040741,38.791222],[-77.128372,38.632391],[-77.248864,38.588575],[-77.325542,38.446175],[-77.281726,38.342113],[-77.013356,38.374975],[-76.964064,38.216144],[-76.613539,38.15042],[-76.514954,38.024451],[-76.235631,37.887527],[-76.3616,37.608203],[-76.246584,37.389126],[-76.383508,37.285064],[-76.399939,37.159094],[-76.273969,37.082417],[-76.410893,36.961924],[-76.619016,37.120755],[-76.668309,37.065986],[-76.48757,36.95097],[-75.994645,36.923586],[-75.868676,36.551154],[-79.510841,36.5402],[-80.294043,36.545677],[-80.978661,36.562108],[-81.679709,36.589492],[-83.673316,36.600446],[-83.136575,36.742847],[-83.070852,36.852385],[-82.879159,36.890724],[-82.868205,36.978355],[-82.720328,37.044078],[-82.720328,37.120755],[-82.353373,37.268633],[-81.969987,37.537003],[-81.986418,37.454849],[-81.849494,37.285064],[-81.679709,37.20291],[-81.55374,37.208387],[-81.362047,37.339833],[-81.225123,37.235771],[-80.967707,37.290541],[-80.513121,37.482234],[-80.474782,37.421987],[-80.29952,37.509618],[-80.294043,37.690357],[-80.184505,37.849189],[-79.998289,37.997066],[-79.921611,38.177805],[-79.724442,38.364021],[-79.647764,38.594052],[-79.477979,38.457129],[-79.313671,38.413313],[-79.209609,38.495467],[-78.996008,38.851469],[-78.870039,38.763838],[-78.404499,39.169131],[-78.349729,39.464886]]]]}},{"type":"Feature","id":"WA","properties":{"name":"Washington","density":102.6},"geometry":{"type":"MultiPolygon","coordinates":[[[[-117.033359,49.000239],[-117.044313,47.762451],[-117.038836,46.426077],[-117.055267,46.343923],[-116.92382,46.168661],[-116.918344,45.993399],[-118.988627,45.998876],[-119.125551,45.933153],[-119.525367,45.911245],[-119.963522,45.823614],[-120.209985,45.725029],[-120.505739,45.697644],[-120.637186,45.746937],[-121.18488,45.604536],[-121.217742,45.670259],[-121.535404,45.725029],[-121.809251,45.708598],[-122.247407,45.549767],[-122.762239,45.659305],[-122.811531,45.960537],[-122.904639,46.08103],[-123.11824,46.185092],[-123.211348,46.174138],[-123.370179,46.146753],[-123.545441,46.261769],[-123.72618,46.300108],[-123.874058,46.239861],[-124.065751,46.327492],[-124.027412,46.464416],[-123.895966,46.535616],[-124.098612,46.74374],[-124.235536,47.285957],[-124.31769,47.357157],[-124.427229,47.740543],[-124.624399,47.88842],[-124.706553,48.184175],[-124.597014,48.381345],[-124.394367,48.288237],[-123.983597,48.162267],[-123.704273,48.167744],[-123.424949,48.118452],[-123.162056,48.167744],[-123.036086,48.080113],[-122.800578,48.08559],[-122.636269,47.866512],[-122.515777,47.882943],[-122.493869,47.587189],[-122.422669,47.318818],[-122.324084,47.346203],[-122.422669,47.576235],[-122.395284,47.800789],[-122.230976,48.030821],[-122.362422,48.123929],[-122.373376,48.288237],[-122.471961,48.468976],[-122.422669,48.600422],[-122.488392,48.753777],[-122.647223,48.775685],[-122.795101,48.8907],[-122.756762,49.000239],[-117.033359,49.000239]]],[[[-122.718423,48.310145],[-122.586977,48.35396],[-122.608885,48.151313],[-122.767716,48.227991],[-122.718423,48.310145]]],[[[-123.025132,48.583992],[-122.915593,48.715438],[-122.767716,48.556607],[-122.811531,48.419683],[-123.041563,48.458022],[-123.025132,48.583992]]]]}},{"type":"Feature","id":"WV","properties":{"name":"West Virginia","density":77.06},"geometry":{"type":"Polygon","coordinates":[[[-80.518598,40.636951],[-80.518598,39.722302],[-79.477979,39.722302],[-79.488933,39.20747],[-79.291763,39.300578],[-79.094593,39.470363],[-78.963147,39.437501],[-78.765977,39.585379],[-78.470222,39.514178],[-78.431884,39.623717],[-78.267575,39.61824],[-78.174467,39.694917],[-78.004682,39.601809],[-77.834897,39.601809],[-77.719881,39.322485],[-77.82942,39.130793],[-78.349729,39.464886],[-78.404499,39.169131],[-78.870039,38.763838],[-78.996008,38.851469],[-79.209609,38.495467],[-79.313671,38.413313],[-79.477979,38.457129],[-79.647764,38.594052],[-79.724442,38.364021],[-79.921611,38.177805],[-79.998289,37.997066],[-80.184505,37.849189],[-80.294043,37.690357],[-80.29952,37.509618],[-80.474782,37.421987],[-80.513121,37.482234],[-80.967707,37.290541],[-81.225123,37.235771],[-81.362047,37.339833],[-81.55374,37.208387],[-81.679709,37.20291],[-81.849494,37.285064],[-81.986418,37.454849],[-81.969987,37.537003],[-82.101434,37.553434],[-82.293127,37.668449],[-82.342419,37.783465],[-82.50125,37.931343],[-82.621743,38.123036],[-82.594358,38.424267],[-82.331465,38.446175],[-82.293127,38.577622],[-82.172634,38.632391],[-82.221926,38.785745],[-82.03571,39.026731],[-81.887833,38.873376],[-81.783771,38.966484],[-81.811156,39.0815],[-81.685186,39.273193],[-81.57017,39.267716],[-81.455155,39.410117],[-81.345616,39.344393],[-81.219646,39.388209],[-80.830783,39.711348],[-80.737675,40.078303],[-80.600752,40.319289],[-80.595275,40.472643],[-80.666475,40.582182],[-80.518598,40.636951]]]}},{"type":"Feature","id":"WI","properties":{"name":"Wisconsin","density":105.2},"geometry":{"type":"Polygon","coordinates":[[[-90.415429,46.568478],[-90.229213,46.508231],[-90.119674,46.338446],[-89.09001,46.135799],[-88.662808,45.987922],[-88.531362,46.020784],[-88.10416,45.922199],[-87.989145,45.796229],[-87.781021,45.675736],[-87.791975,45.500474],[-87.885083,45.363551],[-87.649574,45.341643],[-87.742682,45.199243],[-87.589328,45.095181],[-87.627666,44.974688],[-87.819359,44.95278],[-87.983668,44.722749],[-88.043914,44.563917],[-87.928898,44.536533],[-87.775544,44.640595],[-87.611236,44.837764],[-87.403112,44.914442],[-87.238804,45.166381],[-87.03068,45.22115],[-87.047111,45.089704],[-87.189511,44.969211],[-87.468835,44.552964],[-87.545512,44.322932],[-87.540035,44.158624],[-87.644097,44.103854],[-87.737205,43.8793],[-87.704344,43.687607],[-87.791975,43.561637],[-87.912467,43.249452],[-87.885083,43.002989],[-87.76459,42.783912],[-87.802929,42.493634],[-88.788778,42.493634],[-90.639984,42.510065],[-90.711184,42.636034],[-91.067185,42.75105],[-91.143862,42.909881],[-91.176724,43.134436],[-91.056231,43.254929],[-91.204109,43.353514],[-91.215062,43.501391],[-91.269832,43.616407],[-91.242447,43.775238],[-91.43414,43.994316],[-91.592971,44.032654],[-91.877772,44.202439],[-91.927065,44.333886],[-92.233773,44.443425],[-92.337835,44.552964],[-92.545959,44.569394],[-92.808852,44.750133],[-92.737652,45.117088],[-92.75956,45.286874],[-92.644544,45.440228],[-92.770513,45.566198],[-92.885529,45.577151],[-92.869098,45.719552],[-92.639067,45.933153],[-92.354266,46.015307],[-92.29402,46.075553],[-92.29402,46.667063],[-92.091373,46.749217],[-92.014696,46.705401],[-91.790141,46.694447],[-91.09457,46.864232],[-90.837154,46.95734],[-90.749522,46.88614],[-90.886446,46.754694],[-90.55783,46.584908],[-90.415429,46.568478]]]}},{"type":"Feature","id":"WY","properties":{"name":"Wyoming","density":5.851},"geometry":{"type":"Polygon","coordinates":[[[-109.080842,45.002073],[-105.91517,45.002073],[-104.058488,44.996596],[-104.053011,43.002989],[-104.053011,41.003906],[-105.728954,40.998429],[-107.919731,41.003906],[-109.04798,40.998429],[-111.047063,40.998429],[-111.047063,42.000709],[-111.047063,44.476286],[-111.05254,45.002073],[-109.080842,45.002073]]]}},{"type":"Feature","id":"PR","properties":{"name":"Puerto Rico","density":1082},"geometry":{"type":"Polygon","coordinates":[[[-66.448338,17.984326],[-66.771478,18.006234],[-66.924832,17.929556],[-66.985078,17.973372],[-67.209633,17.956941],[-67.154863,18.19245],[-67.269879,18.362235],[-67.094617,18.515589],[-66.957694,18.488204],[-66.409999,18.488204],[-65.840398,18.433435],[-65.632274,18.367712],[-65.626797,18.203403],[-65.730859,18.186973],[-65.834921,18.017187],[-66.234737,17.929556],[-66.448338,17.984326]]]}}]}')},3082:e=>{"use strict";e.exports=JSON.parse('{"type":"FeatureCollection","features":[{"type":"Feature","id":"AFG","properties":{"name":"Afghanistan"},"geometry":{"type":"Polygon","coordinates":[[[61.210817,35.650072],[62.230651,35.270664],[62.984662,35.404041],[63.193538,35.857166],[63.982896,36.007957],[64.546479,36.312073],[64.746105,37.111818],[65.588948,37.305217],[65.745631,37.661164],[66.217385,37.39379],[66.518607,37.362784],[67.075782,37.356144],[67.83,37.144994],[68.135562,37.023115],[68.859446,37.344336],[69.196273,37.151144],[69.518785,37.608997],[70.116578,37.588223],[70.270574,37.735165],[70.376304,38.138396],[70.806821,38.486282],[71.348131,38.258905],[71.239404,37.953265],[71.541918,37.905774],[71.448693,37.065645],[71.844638,36.738171],[72.193041,36.948288],[72.63689,37.047558],[73.260056,37.495257],[73.948696,37.421566],[74.980002,37.41999],[75.158028,37.133031],[74.575893,37.020841],[74.067552,36.836176],[72.920025,36.720007],[71.846292,36.509942],[71.262348,36.074388],[71.498768,35.650563],[71.613076,35.153203],[71.115019,34.733126],[71.156773,34.348911],[70.881803,33.988856],[69.930543,34.02012],[70.323594,33.358533],[69.687147,33.105499],[69.262522,32.501944],[69.317764,31.901412],[68.926677,31.620189],[68.556932,31.71331],[67.792689,31.58293],[67.683394,31.303154],[66.938891,31.304911],[66.381458,30.738899],[66.346473,29.887943],[65.046862,29.472181],[64.350419,29.560031],[64.148002,29.340819],[63.550261,29.468331],[62.549857,29.318572],[60.874248,29.829239],[61.781222,30.73585],[61.699314,31.379506],[60.941945,31.548075],[60.863655,32.18292],[60.536078,32.981269],[60.9637,33.528832],[60.52843,33.676446],[60.803193,34.404102],[61.210817,35.650072]]]}},{"type":"Feature","id":"AGO","properties":{"name":"Angola"},"geometry":{"type":"MultiPolygon","coordinates":[[[[16.326528,-5.87747],[16.57318,-6.622645],[16.860191,-7.222298],[17.089996,-7.545689],[17.47297,-8.068551],[18.134222,-7.987678],[18.464176,-7.847014],[19.016752,-7.988246],[19.166613,-7.738184],[19.417502,-7.155429],[20.037723,-7.116361],[20.091622,-6.94309],[20.601823,-6.939318],[20.514748,-7.299606],[21.728111,-7.290872],[21.746456,-7.920085],[21.949131,-8.305901],[21.801801,-8.908707],[21.875182,-9.523708],[22.208753,-9.894796],[22.155268,-11.084801],[22.402798,-10.993075],[22.837345,-11.017622],[23.456791,-10.867863],[23.912215,-10.926826],[24.017894,-11.237298],[23.904154,-11.722282],[24.079905,-12.191297],[23.930922,-12.565848],[24.016137,-12.911046],[21.933886,-12.898437],[21.887843,-16.08031],[22.562478,-16.898451],[23.215048,-17.523116],[21.377176,-17.930636],[18.956187,-17.789095],[18.263309,-17.309951],[14.209707,-17.353101],[14.058501,-17.423381],[13.462362,-16.971212],[12.814081,-16.941343],[12.215461,-17.111668],[11.734199,-17.301889],[11.640096,-16.673142],[11.778537,-15.793816],[12.123581,-14.878316],[12.175619,-14.449144],[12.500095,-13.5477],[12.738479,-13.137906],[13.312914,-12.48363],[13.633721,-12.038645],[13.738728,-11.297863],[13.686379,-10.731076],[13.387328,-10.373578],[13.120988,-9.766897],[12.87537,-9.166934],[12.929061,-8.959091],[13.236433,-8.562629],[12.93304,-7.596539],[12.728298,-6.927122],[12.227347,-6.294448],[12.322432,-6.100092],[12.735171,-5.965682],[13.024869,-5.984389],[13.375597,-5.864241],[16.326528,-5.87747]]],[[[12.436688,-5.684304],[12.182337,-5.789931],[11.914963,-5.037987],[12.318608,-4.60623],[12.62076,-4.438023],[12.995517,-4.781103],[12.631612,-4.991271],[12.468004,-5.248362],[12.436688,-5.684304]]]]}},{"type":"Feature","id":"ALB","properties":{"name":"Albania"},"geometry":{"type":"Polygon","coordinates":[[[20.590247,41.855404],[20.463175,41.515089],[20.605182,41.086226],[21.02004,40.842727],[20.99999,40.580004],[20.674997,40.435],[20.615,40.110007],[20.150016,39.624998],[19.98,39.694993],[19.960002,39.915006],[19.406082,40.250773],[19.319059,40.72723],[19.40355,41.409566],[19.540027,41.719986],[19.371769,41.877548],[19.304486,42.195745],[19.738051,42.688247],[19.801613,42.500093],[20.0707,42.58863],[20.283755,42.32026],[20.52295,42.21787],[20.590247,41.855404]]]}},{"type":"Feature","id":"ARE","properties":{"name":"United Arab Emirates"},"geometry":{"type":"Polygon","coordinates":[[[51.579519,24.245497],[51.757441,24.294073],[51.794389,24.019826],[52.577081,24.177439],[53.404007,24.151317],[54.008001,24.121758],[54.693024,24.797892],[55.439025,25.439145],[56.070821,26.055464],[56.261042,25.714606],[56.396847,24.924732],[55.886233,24.920831],[55.804119,24.269604],[55.981214,24.130543],[55.528632,23.933604],[55.525841,23.524869],[55.234489,23.110993],[55.208341,22.70833],[55.006803,22.496948],[52.000733,23.001154],[51.617708,24.014219],[51.579519,24.245497]]]}},{"type":"Feature","id":"ARG","properties":{"name":"Argentina"},"geometry":{"type":"MultiPolygon","coordinates":[[[[-65.5,-55.2],[-66.45,-55.25],[-66.95992,-54.89681],[-67.56244,-54.87001],[-68.63335,-54.8695],[-68.63401,-52.63637],[-68.25,-53.1],[-67.75,-53.85],[-66.45,-54.45],[-65.05,-54.7],[-65.5,-55.2]]],[[[-64.964892,-22.075862],[-64.377021,-22.798091],[-63.986838,-21.993644],[-62.846468,-22.034985],[-62.685057,-22.249029],[-60.846565,-23.880713],[-60.028966,-24.032796],[-58.807128,-24.771459],[-57.777217,-25.16234],[-57.63366,-25.603657],[-58.618174,-27.123719],[-57.60976,-27.395899],[-56.486702,-27.548499],[-55.695846,-27.387837],[-54.788795,-26.621786],[-54.625291,-25.739255],[-54.13005,-25.547639],[-53.628349,-26.124865],[-53.648735,-26.923473],[-54.490725,-27.474757],[-55.162286,-27.881915],[-56.2909,-28.852761],[-57.625133,-30.216295],[-57.874937,-31.016556],[-58.14244,-32.044504],[-58.132648,-33.040567],[-58.349611,-33.263189],[-58.427074,-33.909454],[-58.495442,-34.43149],[-57.22583,-35.288027],[-57.362359,-35.97739],[-56.737487,-36.413126],[-56.788285,-36.901572],[-57.749157,-38.183871],[-59.231857,-38.72022],[-61.237445,-38.928425],[-62.335957,-38.827707],[-62.125763,-39.424105],[-62.330531,-40.172586],[-62.145994,-40.676897],[-62.745803,-41.028761],[-63.770495,-41.166789],[-64.73209,-40.802677],[-65.118035,-41.064315],[-64.978561,-42.058001],[-64.303408,-42.359016],[-63.755948,-42.043687],[-63.458059,-42.563138],[-64.378804,-42.873558],[-65.181804,-43.495381],[-65.328823,-44.501366],[-65.565269,-45.036786],[-66.509966,-45.039628],[-67.293794,-45.551896],[-67.580546,-46.301773],[-66.597066,-47.033925],[-65.641027,-47.236135],[-65.985088,-48.133289],[-67.166179,-48.697337],[-67.816088,-49.869669],[-68.728745,-50.264218],[-69.138539,-50.73251],[-68.815561,-51.771104],[-68.149995,-52.349983],[-68.571545,-52.299444],[-69.498362,-52.142761],[-71.914804,-52.009022],[-72.329404,-51.425956],[-72.309974,-50.67701],[-72.975747,-50.74145],[-73.328051,-50.378785],[-73.415436,-49.318436],[-72.648247,-48.878618],[-72.331161,-48.244238],[-72.447355,-47.738533],[-71.917258,-46.884838],[-71.552009,-45.560733],[-71.659316,-44.973689],[-71.222779,-44.784243],[-71.329801,-44.407522],[-71.793623,-44.207172],[-71.464056,-43.787611],[-71.915424,-43.408565],[-72.148898,-42.254888],[-71.746804,-42.051386],[-71.915734,-40.832339],[-71.680761,-39.808164],[-71.413517,-38.916022],[-70.814664,-38.552995],[-71.118625,-37.576827],[-71.121881,-36.658124],[-70.364769,-36.005089],[-70.388049,-35.169688],[-69.817309,-34.193571],[-69.814777,-33.273886],[-70.074399,-33.09121],[-70.535069,-31.36501],[-69.919008,-30.336339],[-70.01355,-29.367923],[-69.65613,-28.459141],[-69.001235,-27.521214],[-68.295542,-26.89934],[-68.5948,-26.506909],[-68.386001,-26.185016],[-68.417653,-24.518555],[-67.328443,-24.025303],[-66.985234,-22.986349],[-67.106674,-22.735925],[-66.273339,-21.83231],[-64.964892,-22.075862]]]]}},{"type":"Feature","id":"ARM","properties":{"name":"Armenia"},"geometry":{"type":"Polygon","coordinates":[[[43.582746,41.092143],[44.97248,41.248129],[45.179496,40.985354],[45.560351,40.81229],[45.359175,40.561504],[45.891907,40.218476],[45.610012,39.899994],[46.034534,39.628021],[46.483499,39.464155],[46.50572,38.770605],[46.143623,38.741201],[45.735379,39.319719],[45.739978,39.473999],[45.298145,39.471751],[45.001987,39.740004],[44.79399,39.713003],[44.400009,40.005],[43.656436,40.253564],[43.752658,40.740201],[43.582746,41.092143]]]}},{"type":"Feature","id":"ATA","properties":{"name":"Antarctica"},"geometry":{"type":"MultiPolygon","coordinates":[[[[-59.572095,-80.040179],[-59.865849,-80.549657],[-60.159656,-81.000327],[-62.255393,-80.863178],[-64.488125,-80.921934],[-65.741666,-80.588827],[-65.741666,-80.549657],[-66.290031,-80.255773],[-64.037688,-80.294944],[-61.883246,-80.39287],[-61.138976,-79.981371],[-60.610119,-79.628679],[-59.572095,-80.040179]]],[[[-159.208184,-79.497059],[-161.127601,-79.634209],[-162.439847,-79.281465],[-163.027408,-78.928774],[-163.066604,-78.869966],[-163.712896,-78.595667],[-163.712896,-78.595667],[-163.105801,-78.223338],[-161.245113,-78.380176],[-160.246208,-78.693645],[-159.482405,-79.046338],[-159.208184,-79.497059]]],[[[-45.154758,-78.04707],[-43.920828,-78.478103],[-43.48995,-79.08556],[-43.372438,-79.516645],[-43.333267,-80.026123],[-44.880537,-80.339644],[-46.506174,-80.594357],[-48.386421,-80.829485],[-50.482107,-81.025442],[-52.851988,-80.966685],[-54.164259,-80.633528],[-53.987991,-80.222028],[-51.853134,-79.94773],[-50.991326,-79.614623],[-50.364595,-79.183487],[-49.914131,-78.811209],[-49.306959,-78.458569],[-48.660616,-78.047018],[-48.660616,-78.047019],[-48.151396,-78.04707],[-46.662857,-77.831476],[-45.154758,-78.04707]]],[[[-121.211511,-73.50099],[-119.918851,-73.657725],[-118.724143,-73.481353],[-119.292119,-73.834097],[-120.232217,-74.08881],[-121.62283,-74.010468],[-122.621735,-73.657778],[-122.621735,-73.657777],[-122.406245,-73.324619],[-121.211511,-73.50099]]],[[[-125.559566,-73.481353],[-124.031882,-73.873268],[-124.619469,-73.834097],[-125.912181,-73.736118],[-127.28313,-73.461769],[-127.28313,-73.461768],[-126.558472,-73.246226],[-125.559566,-73.481353]]],[[[-98.98155,-71.933334],[-97.884743,-72.070535],[-96.787937,-71.952971],[-96.20035,-72.521205],[-96.983765,-72.442864],[-98.198083,-72.482035],[-99.432013,-72.442864],[-100.783455,-72.50162],[-101.801868,-72.305663],[-102.330725,-71.894164],[-102.330725,-71.894164],[-101.703967,-71.717792],[-100.430919,-71.854993],[-98.98155,-71.933334]]],[[[-68.451346,-70.955823],[-68.333834,-71.406493],[-68.510128,-71.798407],[-68.784297,-72.170736],[-69.959471,-72.307885],[-71.075889,-72.503842],[-72.388134,-72.484257],[-71.8985,-72.092343],[-73.073622,-72.229492],[-74.19004,-72.366693],[-74.953895,-72.072757],[-75.012625,-71.661258],[-73.915819,-71.269345],[-73.915819,-71.269344],[-73.230331,-71.15178],[-72.074717,-71.190951],[-71.780962,-70.681473],[-71.72218,-70.309196],[-71.741791,-69.505782],[-71.173815,-69.035475],[-70.253252,-68.87874],[-69.724447,-69.251017],[-69.489422,-69.623346],[-69.058518,-70.074016],[-68.725541,-70.505153],[-68.451346,-70.955823]]],[[[-58.614143,-64.152467],[-59.045073,-64.36801],[-59.789342,-64.211223],[-60.611928,-64.309202],[-61.297416,-64.54433],[-62.0221,-64.799094],[-62.51176,-65.09303],[-62.648858,-65.484942],[-62.590128,-65.857219],[-62.120079,-66.190326],[-62.805567,-66.425505],[-63.74569,-66.503847],[-64.294106,-66.837004],[-64.881693,-67.150474],[-65.508425,-67.58161],[-65.665082,-67.953887],[-65.312545,-68.365335],[-64.783715,-68.678908],[-63.961103,-68.913984],[-63.1973,-69.227556],[-62.785955,-69.619419],[-62.570516,-69.991747],[-62.276736,-70.383661],[-61.806661,-70.716768],[-61.512906,-71.089045],[-61.375809,-72.010074],[-61.081977,-72.382351],[-61.003661,-72.774265],[-60.690269,-73.166179],[-60.827367,-73.695242],[-61.375809,-74.106742],[-61.96337,-74.439848],[-63.295201,-74.576997],[-63.74569,-74.92974],[-64.352836,-75.262847],[-65.860987,-75.635124],[-67.192818,-75.79191],[-68.446282,-76.007452],[-69.797724,-76.222995],[-70.600724,-76.634494],[-72.206776,-76.673665],[-73.969536,-76.634494],[-75.555977,-76.712887],[-77.24037,-76.712887],[-76.926979,-77.104802],[-75.399294,-77.28107],[-74.282876,-77.55542],[-73.656119,-77.908112],[-74.772536,-78.221633],[-76.4961,-78.123654],[-77.925858,-78.378419],[-77.984666,-78.789918],[-78.023785,-79.181833],[-76.848637,-79.514939],[-76.633224,-79.887216],[-75.360097,-80.259545],[-73.244852,-80.416331],[-71.442946,-80.69063],[-70.013163,-81.004151],[-68.191646,-81.317672],[-65.704279,-81.474458],[-63.25603,-81.748757],[-61.552026,-82.042692],[-59.691416,-82.37585],[-58.712121,-82.846106],[-58.222487,-83.218434],[-57.008117,-82.865691],[-55.362894,-82.571755],[-53.619771,-82.258235],[-51.543644,-82.003521],[-49.76135,-81.729171],[-47.273931,-81.709586],[-44.825708,-81.846735],[-42.808363,-82.081915],[-42.16202,-81.65083],[-40.771433,-81.356894],[-38.244818,-81.337309],[-36.26667,-81.121715],[-34.386397,-80.906172],[-32.310296,-80.769023],[-30.097098,-80.592651],[-28.549802,-80.337938],[-29.254901,-79.985195],[-29.685805,-79.632503],[-29.685805,-79.260226],[-31.624808,-79.299397],[-33.681324,-79.456132],[-35.639912,-79.456132],[-35.914107,-79.083855],[-35.77701,-78.339248],[-35.326546,-78.123654],[-33.896763,-77.888526],[-32.212369,-77.65345],[-30.998051,-77.359515],[-29.783732,-77.065579],[-28.882779,-76.673665],[-27.511752,-76.497345],[-26.160336,-76.360144],[-25.474822,-76.281803],[-23.927552,-76.24258],[-22.458598,-76.105431],[-21.224694,-75.909474],[-20.010375,-75.674346],[-18.913543,-75.439218],[-17.522982,-75.125698],[-16.641589,-74.79254],[-15.701491,-74.498604],[-15.40771,-74.106742],[-16.46532,-73.871614],[-16.112784,-73.460114],[-15.446855,-73.146542],[-14.408805,-72.950585],[-13.311973,-72.715457],[-12.293508,-72.401936],[-11.510067,-72.010074],[-11.020433,-71.539767],[-10.295774,-71.265416],[-9.101015,-71.324224],[-8.611381,-71.65733],[-7.416622,-71.696501],[-7.377451,-71.324224],[-6.868232,-70.93231],[-5.790985,-71.030289],[-5.536375,-71.402617],[-4.341667,-71.461373],[-3.048981,-71.285053],[-1.795492,-71.167438],[-0.659489,-71.226246],[-0.228637,-71.637745],[0.868195,-71.304639],[1.886686,-71.128267],[3.022638,-70.991118],[4.139055,-70.853917],[5.157546,-70.618789],[6.273912,-70.462055],[7.13572,-70.246512],[7.742866,-69.893769],[8.48711,-70.148534],[9.525135,-70.011333],[10.249845,-70.48164],[10.817821,-70.834332],[11.953824,-70.638375],[12.404287,-70.246512],[13.422778,-69.972162],[14.734998,-70.030918],[15.126757,-70.403247],[15.949342,-70.030918],[17.026589,-69.913354],[18.201711,-69.874183],[19.259373,-69.893769],[20.375739,-70.011333],[21.452985,-70.07014],[21.923034,-70.403247],[22.569403,-70.697182],[23.666184,-70.520811],[24.841357,-70.48164],[25.977309,-70.48164],[27.093726,-70.462055],[28.09258,-70.324854],[29.150242,-70.20729],[30.031583,-69.93294],[30.971733,-69.75662],[31.990172,-69.658641],[32.754053,-69.384291],[33.302443,-68.835642],[33.870419,-68.502588],[34.908495,-68.659271],[35.300202,-69.012014],[36.16201,-69.247142],[37.200035,-69.168748],[37.905108,-69.52144],[38.649404,-69.776205],[39.667894,-69.541077],[40.020431,-69.109941],[40.921358,-68.933621],[41.959434,-68.600514],[42.938702,-68.463313],[44.113876,-68.267408],[44.897291,-68.051866],[45.719928,-67.816738],[46.503343,-67.601196],[47.44344,-67.718759],[48.344419,-67.366068],[48.990736,-67.091718],[49.930885,-67.111303],[50.753471,-66.876175],[50.949325,-66.523484],[51.791547,-66.249133],[52.614133,-66.053176],[53.613038,-65.89639],[54.53355,-65.818049],[55.414943,-65.876805],[56.355041,-65.974783],[57.158093,-66.249133],[57.255968,-66.680218],[58.137361,-67.013324],[58.744508,-67.287675],[59.939318,-67.405239],[60.605221,-67.679589],[61.427806,-67.953887],[62.387489,-68.012695],[63.19049,-67.816738],[64.052349,-67.405239],[64.992447,-67.620729],[65.971715,-67.738345],[66.911864,-67.855909],[67.891133,-67.934302],[68.890038,-67.934302],[69.712624,-68.972791],[69.673453,-69.227556],[69.555941,-69.678226],[68.596258,-69.93294],[67.81274,-70.305268],[67.949889,-70.697182],[69.066307,-70.677545],[68.929157,-71.069459],[68.419989,-71.441788],[67.949889,-71.853287],[68.71377,-72.166808],[69.869307,-72.264787],[71.024895,-72.088415],[71.573285,-71.696501],[71.906288,-71.324224],[72.454627,-71.010703],[73.08141,-70.716768],[73.33602,-70.364024],[73.864877,-69.874183],[74.491557,-69.776205],[75.62756,-69.737034],[76.626465,-69.619419],[77.644904,-69.462684],[78.134539,-69.07077],[78.428371,-68.698441],[79.113859,-68.326216],[80.093127,-68.071503],[80.93535,-67.875546],[81.483792,-67.542388],[82.051767,-67.366068],[82.776426,-67.209282],[83.775331,-67.30726],[84.676206,-67.209282],[85.655527,-67.091718],[86.752359,-67.150474],[87.477017,-66.876175],[87.986289,-66.209911],[88.358411,-66.484261],[88.828408,-66.954568],[89.67063,-67.150474],[90.630365,-67.228867],[91.5901,-67.111303],[92.608539,-67.189696],[93.548637,-67.209282],[94.17542,-67.111303],[95.017591,-67.170111],[95.781472,-67.385653],[96.682399,-67.248504],[97.759646,-67.248504],[98.68021,-67.111303],[99.718182,-67.248504],[100.384188,-66.915346],[100.893356,-66.58224],[101.578896,-66.30789],[102.832411,-65.563284],[103.478676,-65.700485],[104.242557,-65.974783],[104.90846,-66.327527],[106.181561,-66.934931],[107.160881,-66.954568],[108.081393,-66.954568],[109.15864,-66.837004],[110.235835,-66.699804],[111.058472,-66.425505],[111.74396,-66.13157],[112.860378,-66.092347],[113.604673,-65.876805],[114.388088,-66.072762],[114.897308,-66.386283],[115.602381,-66.699804],[116.699161,-66.660633],[117.384701,-66.915346],[118.57946,-67.170111],[119.832924,-67.268089],[120.871,-67.189696],[121.654415,-66.876175],[122.320369,-66.562654],[123.221296,-66.484261],[124.122274,-66.621462],[125.160247,-66.719389],[126.100396,-66.562654],[127.001427,-66.562654],[127.882768,-66.660633],[128.80328,-66.758611],[129.704259,-66.58224],[130.781454,-66.425505],[131.799945,-66.386283],[132.935896,-66.386283],[133.85646,-66.288304],[134.757387,-66.209963],[135.031582,-65.72007],[135.070753,-65.308571],[135.697485,-65.582869],[135.873805,-66.033591],[136.206705,-66.44509],[136.618049,-66.778197],[137.460271,-66.954568],[138.596223,-66.895761],[139.908442,-66.876175],[140.809421,-66.817367],[142.121692,-66.817367],[143.061842,-66.797782],[144.374061,-66.837004],[145.490427,-66.915346],[146.195552,-67.228867],[145.999699,-67.601196],[146.646067,-67.895131],[147.723263,-68.130259],[148.839629,-68.385024],[150.132314,-68.561292],[151.483705,-68.71813],[152.502247,-68.874813],[153.638199,-68.894502],[154.284567,-68.561292],[155.165857,-68.835642],[155.92979,-69.149215],[156.811132,-69.384291],[158.025528,-69.482269],[159.181013,-69.599833],[159.670699,-69.991747],[160.80665,-70.226875],[161.570479,-70.579618],[162.686897,-70.736353],[163.842434,-70.716768],[164.919681,-70.775524],[166.11444,-70.755938],[167.309095,-70.834332],[168.425616,-70.971481],[169.463589,-71.20666],[170.501665,-71.402617],[171.20679,-71.696501],[171.089227,-72.088415],[170.560422,-72.441159],[170.109958,-72.891829],[169.75737,-73.24452],[169.287321,-73.65602],[167.975101,-73.812806],[167.387489,-74.165498],[166.094803,-74.38104],[165.644391,-74.772954],[164.958851,-75.145283],[164.234193,-75.458804],[163.822797,-75.870303],[163.568239,-76.24258],[163.47026,-76.693302],[163.489897,-77.065579],[164.057873,-77.457442],[164.273363,-77.82977],[164.743464,-78.182514],[166.604126,-78.319611],[166.995781,-78.750748],[165.193876,-78.907483],[163.666217,-79.123025],[161.766385,-79.162248],[160.924162,-79.730482],[160.747894,-80.200737],[160.316964,-80.573066],[159.788211,-80.945395],[161.120016,-81.278501],[161.629287,-81.690001],[162.490992,-82.062278],[163.705336,-82.395435],[165.095949,-82.708956],[166.604126,-83.022477],[168.895665,-83.335998],[169.404782,-83.825891],[172.283934,-84.041433],[172.477049,-84.117914],[173.224083,-84.41371],[175.985672,-84.158997],[178.277212,-84.472518],[180,-84.71338],[180,-90],[-180,-90],[-180,-84.71338],[-179.942499,-84.721443],[-179.058677,-84.139412],[-177.256772,-84.452933],[-177.140807,-84.417941],[-176.084673,-84.099259],[-175.947235,-84.110449],[-175.829882,-84.117914],[-174.382503,-84.534323],[-173.116559,-84.117914],[-172.889106,-84.061019],[-169.951223,-83.884647],[-168.999989,-84.117914],[-168.530199,-84.23739],[-167.022099,-84.570497],[-164.182144,-84.82521],[-161.929775,-85.138731],[-158.07138,-85.37391],[-155.192253,-85.09956],[-150.942099,-85.295517],[-148.533073,-85.609038],[-145.888918,-85.315102],[-143.107718,-85.040752],[-142.892279,-84.570497],[-146.829068,-84.531274],[-150.060732,-84.296146],[-150.902928,-83.904232],[-153.586201,-83.68869],[-153.409907,-83.23802],[-153.037759,-82.82652],[-152.665637,-82.454192],[-152.861517,-82.042692],[-154.526299,-81.768394],[-155.29018,-81.41565],[-156.83745,-81.102129],[-154.408787,-81.160937],[-152.097662,-81.004151],[-150.648293,-81.337309],[-148.865998,-81.043373],[-147.22075,-80.671045],[-146.417749,-80.337938],[-146.770286,-79.926439],[-148.062947,-79.652089],[-149.531901,-79.358205],[-151.588416,-79.299397],[-153.390322,-79.162248],[-155.329376,-79.064269],[-155.975668,-78.69194],[-157.268302,-78.378419],[-158.051768,-78.025676],[-158.365134,-76.889207],[-157.875474,-76.987238],[-156.974573,-77.300759],[-155.329376,-77.202728],[-153.742832,-77.065579],[-152.920247,-77.496664],[-151.33378,-77.398737],[-150.00195,-77.183143],[-148.748486,-76.908845],[-147.612483,-76.575738],[-146.104409,-76.47776],[-146.143528,-76.105431],[-146.496091,-75.733154],[-146.20231,-75.380411],[-144.909624,-75.204039],[-144.322037,-75.537197],[-142.794353,-75.34124],[-141.638764,-75.086475],[-140.209007,-75.06689],[-138.85759,-74.968911],[-137.5062,-74.733783],[-136.428901,-74.518241],[-135.214583,-74.302699],[-134.431194,-74.361455],[-133.745654,-74.439848],[-132.257168,-74.302699],[-130.925311,-74.479019],[-129.554284,-74.459433],[-128.242038,-74.322284],[-126.890622,-74.420263],[-125.402082,-74.518241],[-124.011496,-74.479019],[-122.562152,-74.498604],[-121.073613,-74.518241],[-119.70256,-74.479019],[-118.684145,-74.185083],[-117.469801,-74.028348],[-116.216312,-74.243891],[-115.021552,-74.067519],[-113.944331,-73.714828],[-113.297988,-74.028348],[-112.945452,-74.38104],[-112.299083,-74.714198],[-111.261059,-74.420263],[-110.066325,-74.79254],[-108.714909,-74.910103],[-107.559346,-75.184454],[-106.149148,-75.125698],[-104.876074,-74.949326],[-103.367949,-74.988497],[-102.016507,-75.125698],[-100.645531,-75.302018],[-100.1167,-74.870933],[-100.763043,-74.537826],[-101.252703,-74.185083],[-102.545337,-74.106742],[-103.113313,-73.734413],[-103.328752,-73.362084],[-103.681289,-72.61753],[-102.917485,-72.754679],[-101.60524,-72.813436],[-100.312528,-72.754679],[-99.13738,-72.911414],[-98.118889,-73.20535],[-97.688037,-73.558041],[-96.336595,-73.616849],[-95.043961,-73.4797],[-93.672907,-73.283743],[-92.439003,-73.166179],[-91.420564,-73.401307],[-90.088733,-73.322914],[-89.226951,-72.558722],[-88.423951,-73.009393],[-87.268337,-73.185764],[-86.014822,-73.087786],[-85.192236,-73.4797],[-83.879991,-73.518871],[-82.665646,-73.636434],[-81.470913,-73.851977],[-80.687447,-73.4797],[-80.295791,-73.126956],[-79.296886,-73.518871],[-77.925858,-73.420892],[-76.907367,-73.636434],[-76.221879,-73.969541],[-74.890049,-73.871614],[-73.852024,-73.65602],[-72.833533,-73.401307],[-71.619215,-73.264157],[-70.209042,-73.146542],[-68.935916,-73.009393],[-67.956622,-72.79385],[-67.369061,-72.480329],[-67.134036,-72.049244],[-67.251548,-71.637745],[-67.56494,-71.245831],[-67.917477,-70.853917],[-68.230843,-70.462055],[-68.485452,-70.109311],[-68.544209,-69.717397],[-68.446282,-69.325535],[-67.976233,-68.953206],[-67.5845,-68.541707],[-67.427843,-68.149844],[-67.62367,-67.718759],[-67.741183,-67.326845],[-67.251548,-66.876175],[-66.703184,-66.58224],[-66.056815,-66.209963],[-65.371327,-65.89639],[-64.568276,-65.602506],[-64.176542,-65.171423],[-63.628152,-64.897073],[-63.001394,-64.642308],[-62.041686,-64.583552],[-61.414928,-64.270031],[-60.709855,-64.074074],[-59.887269,-63.95651],[-59.162585,-63.701745],[-58.594557,-63.388224],[-57.811143,-63.27066],[-57.223582,-63.525425],[-57.59573,-63.858532],[-58.614143,-64.152467]]]]}},{"type":"Feature","id":"ATF","properties":{"name":"French Southern and Antarctic Lands"},"geometry":{"type":"Polygon","coordinates":[[[68.935,-48.625],[69.58,-48.94],[70.525,-49.065],[70.56,-49.255],[70.28,-49.71],[68.745,-49.775],[68.72,-49.2425],[68.8675,-48.83],[68.935,-48.625]]]}},{"type":"Feature","id":"AUS","properties":{"name":"Australia"},"geometry":{"type":"MultiPolygon","coordinates":[[[[145.397978,-40.792549],[146.364121,-41.137695],[146.908584,-41.000546],[147.689259,-40.808258],[148.289068,-40.875438],[148.359865,-42.062445],[148.017301,-42.407024],[147.914052,-43.211522],[147.564564,-42.937689],[146.870343,-43.634597],[146.663327,-43.580854],[146.048378,-43.549745],[145.43193,-42.693776],[145.29509,-42.03361],[144.718071,-41.162552],[144.743755,-40.703975],[145.397978,-40.792549]]],[[[143.561811,-13.763656],[143.922099,-14.548311],[144.563714,-14.171176],[144.894908,-14.594458],[145.374724,-14.984976],[145.271991,-15.428205],[145.48526,-16.285672],[145.637033,-16.784918],[145.888904,-16.906926],[146.160309,-17.761655],[146.063674,-18.280073],[146.387478,-18.958274],[147.471082,-19.480723],[148.177602,-19.955939],[148.848414,-20.39121],[148.717465,-20.633469],[149.28942,-21.260511],[149.678337,-22.342512],[150.077382,-22.122784],[150.482939,-22.556142],[150.727265,-22.402405],[150.899554,-23.462237],[151.609175,-24.076256],[152.07354,-24.457887],[152.855197,-25.267501],[153.136162,-26.071173],[153.161949,-26.641319],[153.092909,-27.2603],[153.569469,-28.110067],[153.512108,-28.995077],[153.339095,-29.458202],[153.069241,-30.35024],[153.089602,-30.923642],[152.891578,-31.640446],[152.450002,-32.550003],[151.709117,-33.041342],[151.343972,-33.816023],[151.010555,-34.31036],[150.714139,-35.17346],[150.32822,-35.671879],[150.075212,-36.420206],[149.946124,-37.109052],[149.997284,-37.425261],[149.423882,-37.772681],[148.304622,-37.809061],[147.381733,-38.219217],[146.922123,-38.606532],[146.317922,-39.035757],[145.489652,-38.593768],[144.876976,-38.417448],[145.032212,-37.896188],[144.485682,-38.085324],[143.609974,-38.809465],[142.745427,-38.538268],[142.17833,-38.380034],[141.606582,-38.308514],[140.638579,-38.019333],[139.992158,-37.402936],[139.806588,-36.643603],[139.574148,-36.138362],[139.082808,-35.732754],[138.120748,-35.612296],[138.449462,-35.127261],[138.207564,-34.384723],[137.71917,-35.076825],[136.829406,-35.260535],[137.352371,-34.707339],[137.503886,-34.130268],[137.890116,-33.640479],[137.810328,-32.900007],[136.996837,-33.752771],[136.372069,-34.094766],[135.989043,-34.890118],[135.208213,-34.47867],[135.239218,-33.947953],[134.613417,-33.222778],[134.085904,-32.848072],[134.273903,-32.617234],[132.990777,-32.011224],[132.288081,-31.982647],[131.326331,-31.495803],[129.535794,-31.590423],[128.240938,-31.948489],[127.102867,-32.282267],[126.148714,-32.215966],[125.088623,-32.728751],[124.221648,-32.959487],[124.028947,-33.483847],[123.659667,-33.890179],[122.811036,-33.914467],[122.183064,-34.003402],[121.299191,-33.821036],[120.580268,-33.930177],[119.893695,-33.976065],[119.298899,-34.509366],[119.007341,-34.464149],[118.505718,-34.746819],[118.024972,-35.064733],[117.295507,-35.025459],[116.625109,-35.025097],[115.564347,-34.386428],[115.026809,-34.196517],[115.048616,-33.623425],[115.545123,-33.487258],[115.714674,-33.259572],[115.679379,-32.900369],[115.801645,-32.205062],[115.689611,-31.612437],[115.160909,-30.601594],[114.997043,-30.030725],[115.040038,-29.461095],[114.641974,-28.810231],[114.616498,-28.516399],[114.173579,-28.118077],[114.048884,-27.334765],[113.477498,-26.543134],[113.338953,-26.116545],[113.778358,-26.549025],[113.440962,-25.621278],[113.936901,-25.911235],[114.232852,-26.298446],[114.216161,-25.786281],[113.721255,-24.998939],[113.625344,-24.683971],[113.393523,-24.384764],[113.502044,-23.80635],[113.706993,-23.560215],[113.843418,-23.059987],[113.736552,-22.475475],[114.149756,-21.755881],[114.225307,-22.517488],[114.647762,-21.82952],[115.460167,-21.495173],[115.947373,-21.068688],[116.711615,-20.701682],[117.166316,-20.623599],[117.441545,-20.746899],[118.229559,-20.374208],[118.836085,-20.263311],[118.987807,-20.044203],[119.252494,-19.952942],[119.805225,-19.976506],[120.85622,-19.683708],[121.399856,-19.239756],[121.655138,-18.705318],[122.241665,-18.197649],[122.286624,-17.798603],[122.312772,-17.254967],[123.012574,-16.4052],[123.433789,-17.268558],[123.859345,-17.069035],[123.503242,-16.596506],[123.817073,-16.111316],[124.258287,-16.327944],[124.379726,-15.56706],[124.926153,-15.0751],[125.167275,-14.680396],[125.670087,-14.51007],[125.685796,-14.230656],[126.125149,-14.347341],[126.142823,-14.095987],[126.582589,-13.952791],[127.065867,-13.817968],[127.804633,-14.276906],[128.35969,-14.86917],[128.985543,-14.875991],[129.621473,-14.969784],[129.4096,-14.42067],[129.888641,-13.618703],[130.339466,-13.357376],[130.183506,-13.10752],[130.617795,-12.536392],[131.223495,-12.183649],[131.735091,-12.302453],[132.575298,-12.114041],[132.557212,-11.603012],[131.824698,-11.273782],[132.357224,-11.128519],[133.019561,-11.376411],[133.550846,-11.786515],[134.393068,-12.042365],[134.678632,-11.941183],[135.298491,-12.248606],[135.882693,-11.962267],[136.258381,-12.049342],[136.492475,-11.857209],[136.95162,-12.351959],[136.685125,-12.887223],[136.305407,-13.29123],[135.961758,-13.324509],[136.077617,-13.724278],[135.783836,-14.223989],[135.428664,-14.715432],[135.500184,-14.997741],[136.295175,-15.550265],[137.06536,-15.870762],[137.580471,-16.215082],[138.303217,-16.807604],[138.585164,-16.806622],[139.108543,-17.062679],[139.260575,-17.371601],[140.215245,-17.710805],[140.875463,-17.369069],[141.07111,-16.832047],[141.274095,-16.38887],[141.398222,-15.840532],[141.702183,-15.044921],[141.56338,-14.561333],[141.63552,-14.270395],[141.519869,-13.698078],[141.65092,-12.944688],[141.842691,-12.741548],[141.68699,-12.407614],[141.928629,-11.877466],[142.118488,-11.328042],[142.143706,-11.042737],[142.51526,-10.668186],[142.79731,-11.157355],[142.866763,-11.784707],[143.115947,-11.90563],[143.158632,-12.325656],[143.522124,-12.834358],[143.597158,-13.400422],[143.561811,-13.763656]]]]}},{"type":"Feature","id":"AUT","properties":{"name":"Austria"},"geometry":{"type":"Polygon","coordinates":[[[16.979667,48.123497],[16.903754,47.714866],[16.340584,47.712902],[16.534268,47.496171],[16.202298,46.852386],[16.011664,46.683611],[15.137092,46.658703],[14.632472,46.431817],[13.806475,46.509306],[12.376485,46.767559],[12.153088,47.115393],[11.164828,46.941579],[11.048556,46.751359],[10.442701,46.893546],[9.932448,46.920728],[9.47997,47.10281],[9.632932,47.347601],[9.594226,47.525058],[9.896068,47.580197],[10.402084,47.302488],[10.544504,47.566399],[11.426414,47.523766],[12.141357,47.703083],[12.62076,47.672388],[12.932627,47.467646],[13.025851,47.637584],[12.884103,48.289146],[13.243357,48.416115],[13.595946,48.877172],[14.338898,48.555305],[14.901447,48.964402],[15.253416,49.039074],[16.029647,48.733899],[16.499283,48.785808],[16.960288,48.596982],[16.879983,48.470013],[16.979667,48.123497]]]}},{"type":"Feature","id":"AZE","properties":{"name":"Azerbaijan"},"geometry":{"type":"MultiPolygon","coordinates":[[[[45.001987,39.740004],[45.298145,39.471751],[45.739978,39.473999],[45.735379,39.319719],[46.143623,38.741201],[45.457722,38.874139],[44.952688,39.335765],[44.79399,39.713003],[45.001987,39.740004]]],[[[47.373315,41.219732],[47.815666,41.151416],[47.987283,41.405819],[48.584353,41.80887],[49.110264,41.282287],[49.618915,40.572924],[50.08483,40.526157],[50.392821,40.256561],[49.569202,40.176101],[49.395259,39.399482],[49.223228,39.049219],[48.856532,38.815486],[48.883249,38.320245],[48.634375,38.270378],[48.010744,38.794015],[48.355529,39.288765],[48.060095,39.582235],[47.685079,39.508364],[46.50572,38.770605],[46.483499,39.464155],[46.034534,39.628021],[45.610012,39.899994],[45.891907,40.218476],[45.359175,40.561504],[45.560351,40.81229],[45.179496,40.985354],[44.97248,41.248129],[45.217426,41.411452],[45.962601,41.123873],[46.501637,41.064445],[46.637908,41.181673],[46.145432,41.722802],[46.404951,41.860675],[46.686071,41.827137],[47.373315,41.219732]]]]}},{"type":"Feature","id":"BDI","properties":{"name":"Burundi"},"geometry":{"type":"Polygon","coordinates":[[[29.339998,-4.499983],[29.276384,-3.293907],[29.024926,-2.839258],[29.632176,-2.917858],[29.938359,-2.348487],[30.469696,-2.413858],[30.527677,-2.807632],[30.743013,-3.034285],[30.752263,-3.35933],[30.50556,-3.568567],[30.116333,-4.090138],[29.753512,-4.452389],[29.339998,-4.499983]]]}},{"type":"Feature","id":"BEL","properties":{"name":"Belgium"},"geometry":{"type":"Polygon","coordinates":[[[3.314971,51.345781],[4.047071,51.267259],[4.973991,51.475024],[5.606976,51.037298],[6.156658,50.803721],[6.043073,50.128052],[5.782417,50.090328],[5.674052,49.529484],[4.799222,49.985373],[4.286023,49.907497],[3.588184,50.378992],[3.123252,50.780363],[2.658422,50.796848],[2.513573,51.148506],[3.314971,51.345781]]]}},{"type":"Feature","id":"BEN","properties":{"name":"Benin"},"geometry":{"type":"Polygon","coordinates":[[[2.691702,6.258817],[1.865241,6.142158],[1.618951,6.832038],[1.664478,9.12859],[1.463043,9.334624],[1.425061,9.825395],[1.077795,10.175607],[0.772336,10.470808],[0.899563,10.997339],[1.24347,11.110511],[1.447178,11.547719],[1.935986,11.64115],[2.154474,11.94015],[2.490164,12.233052],[2.848643,12.235636],[3.61118,11.660167],[3.572216,11.327939],[3.797112,10.734746],[3.60007,10.332186],[3.705438,10.06321],[3.220352,9.444153],[2.912308,9.137608],[2.723793,8.506845],[2.749063,7.870734],[2.691702,6.258817]]]}},{"type":"Feature","id":"BFA","properties":{"name":"Burkina Faso"},"geometry":{"type":"Polygon","coordinates":[[[-2.827496,9.642461],[-3.511899,9.900326],[-3.980449,9.862344],[-4.330247,9.610835],[-4.779884,9.821985],[-4.954653,10.152714],[-5.404342,10.370737],[-5.470565,10.95127],[-5.197843,11.375146],[-5.220942,11.713859],[-4.427166,12.542646],[-4.280405,13.228444],[-4.006391,13.472485],[-3.522803,13.337662],[-3.103707,13.541267],[-2.967694,13.79815],[-2.191825,14.246418],[-2.001035,14.559008],[-1.066363,14.973815],[-0.515854,15.116158],[-0.266257,14.924309],[0.374892,14.928908],[0.295646,14.444235],[0.429928,13.988733],[0.993046,13.33575],[1.024103,12.851826],[2.177108,12.625018],[2.154474,11.94015],[1.935986,11.64115],[1.447178,11.547719],[1.24347,11.110511],[0.899563,10.997339],[0.023803,11.018682],[-0.438702,11.098341],[-0.761576,10.93693],[-1.203358,11.009819],[-2.940409,10.96269],[-2.963896,10.395335],[-2.827496,9.642461]]]}},{"type":"Feature","id":"BGD","properties":{"name":"Bangladesh"},"geometry":{"type":"Polygon","coordinates":[[[92.672721,22.041239],[92.652257,21.324048],[92.303234,21.475485],[92.368554,20.670883],[92.082886,21.192195],[92.025215,21.70157],[91.834891,22.182936],[91.417087,22.765019],[90.496006,22.805017],[90.586957,22.392794],[90.272971,21.836368],[89.847467,22.039146],[89.70205,21.857116],[89.418863,21.966179],[89.031961,22.055708],[88.876312,22.879146],[88.52977,23.631142],[88.69994,24.233715],[88.084422,24.501657],[88.306373,24.866079],[88.931554,25.238692],[88.209789,25.768066],[88.563049,26.446526],[89.355094,26.014407],[89.832481,25.965082],[89.920693,25.26975],[90.872211,25.132601],[91.799596,25.147432],[92.376202,24.976693],[91.915093,24.130414],[91.46773,24.072639],[91.158963,23.503527],[91.706475,22.985264],[91.869928,23.624346],[92.146035,23.627499],[92.672721,22.041239]]]}},{"type":"Feature","id":"BGR","properties":{"name":"Bulgaria"},"geometry":{"type":"Polygon","coordinates":[[[22.65715,44.234923],[22.944832,43.823785],[23.332302,43.897011],[24.100679,43.741051],[25.569272,43.688445],[26.065159,43.943494],[27.2424,44.175986],[27.970107,43.812468],[28.558081,43.707462],[28.039095,43.293172],[27.673898,42.577892],[27.99672,42.007359],[27.135739,42.141485],[26.117042,41.826905],[26.106138,41.328899],[25.197201,41.234486],[24.492645,41.583896],[23.692074,41.309081],[22.952377,41.337994],[22.881374,41.999297],[22.380526,42.32026],[22.545012,42.461362],[22.436595,42.580321],[22.604801,42.898519],[22.986019,43.211161],[22.500157,43.642814],[22.410446,44.008063],[22.65715,44.234923]]]}},{"type":"Feature","id":"BHS","properties":{"name":"The Bahamas"},"geometry":{"type":"MultiPolygon","coordinates":[[[[-77.53466,23.75975],[-77.78,23.71],[-78.03405,24.28615],[-78.40848,24.57564],[-78.19087,25.2103],[-77.89,25.17],[-77.54,24.34],[-77.53466,23.75975]]],[[[-77.82,26.58],[-78.91,26.42],[-78.98,26.79],[-78.51,26.87],[-77.85,26.84],[-77.82,26.58]]],[[[-77,26.59],[-77.17255,25.87918],[-77.35641,26.00735],[-77.34,26.53],[-77.78802,26.92516],[-77.79,27.04],[-77,26.59]]]]}},{"type":"Feature","id":"BIH","properties":{"name":"Bosnia and Herzegovina"},"geometry":{"type":"Polygon","coordinates":[[[19.005486,44.860234],[19.36803,44.863],[19.11761,44.42307],[19.59976,44.03847],[19.454,43.5681],[19.21852,43.52384],[19.03165,43.43253],[18.70648,43.20011],[18.56,42.65],[17.674922,43.028563],[17.297373,43.446341],[16.916156,43.667722],[16.456443,44.04124],[16.23966,44.351143],[15.750026,44.818712],[15.959367,45.233777],[16.318157,45.004127],[16.534939,45.211608],[17.002146,45.233777],[17.861783,45.06774],[18.553214,45.08159],[19.005486,44.860234]]]}},{"type":"Feature","id":"BLR","properties":{"name":"Belarus"},"geometry":{"type":"Polygon","coordinates":[[[23.484128,53.912498],[24.450684,53.905702],[25.536354,54.282423],[25.768433,54.846963],[26.588279,55.167176],[26.494331,55.615107],[27.10246,55.783314],[28.176709,56.16913],[29.229513,55.918344],[29.371572,55.670091],[29.896294,55.789463],[30.873909,55.550976],[30.971836,55.081548],[30.757534,54.811771],[31.384472,54.157056],[31.791424,53.974639],[31.731273,53.794029],[32.405599,53.618045],[32.693643,53.351421],[32.304519,53.132726],[31.497644,53.167427],[31.305201,53.073996],[31.540018,52.742052],[31.785998,52.101678],[30.927549,52.042353],[30.619454,51.822806],[30.555117,51.319503],[30.157364,51.416138],[29.254938,51.368234],[28.992835,51.602044],[28.617613,51.427714],[28.241615,51.572227],[27.454066,51.592303],[26.337959,51.832289],[25.327788,51.910656],[24.553106,51.888461],[24.005078,51.617444],[23.527071,51.578454],[23.508002,52.023647],[23.199494,52.486977],[23.799199,52.691099],[23.804935,53.089731],[23.527536,53.470122],[23.484128,53.912498]]]}},{"type":"Feature","id":"BLZ","properties":{"name":"Belize"},"geometry":{"type":"Polygon","coordinates":[[[-89.14308,17.808319],[-89.150909,17.955468],[-89.029857,18.001511],[-88.848344,17.883198],[-88.490123,18.486831],[-88.300031,18.499982],[-88.296336,18.353273],[-88.106813,18.348674],[-88.123479,18.076675],[-88.285355,17.644143],[-88.197867,17.489475],[-88.302641,17.131694],[-88.239518,17.036066],[-88.355428,16.530774],[-88.551825,16.265467],[-88.732434,16.233635],[-88.930613,15.887273],[-89.229122,15.886938],[-89.150806,17.015577],[-89.14308,17.808319]]]}},{"type":"Feature","id":"BMU","properties":{"name":"Bermuda"},"geometry":{"type":"Polygon","coordinates":[[[-64.7799734332998,32.3072000581802],[-64.7873319183061,32.3039237143428],[-64.7946942710173,32.3032682700388],[-64.8094297981283,32.3098175728414],[-64.8167896352437,32.3058845718466],[-64.8101968029642,32.3022833180511],[-64.7962291465484,32.2934409732427],[-64.7815086336978,32.2868973114514],[-64.7997025513437,32.2796896417328],[-64.8066707691087,32.2747767569465],[-64.8225587873683,32.2669111289395],[-64.8287548840306,32.2669075473817],[-64.8306732143498,32.2583944840235],[-64.8399924854972,32.254782282336],[-64.8566090462354,32.2547740387514],[-64.8682296789446,32.2616393614322],[-64.8628241459563,32.2724481933959],[-64.8748651338951,32.2757120264753],[-64.8717752856644,32.2819371582026],[-64.8671422127295,32.2930760547989],[-64.8559068764437,32.2960321186471],[-64.8597429072279,32.3015842021933],[-64.8439233486717,32.3140553852543],[-64.8350242329311,32.3242161760006],[-64.8338690593672,32.3294587561557],[-64.8520298651164,32.3110911879954],[-64.8635922932573,32.3048469433363],[-64.8686668994079,32.30910745083],[-64.8721354593415,32.3041908606301],[-64.8779667328485,32.3038632800462],[-64.8780046844321,32.2907757831692],[-64.8849776658292,32.2819261366004],[-64.8783230004629,32.2613001418681],[-64.863194968877,32.2465799485801],[-64.8519819555722,32.2485519134663],[-64.842311980074,32.2492123317296],[-64.8388242605209,32.2475773472534],[-64.8334002575532,32.2462714714698],[-64.8256389530584,32.2472637398594],[-64.8205697556026,32.2531698880328],[-64.8105087275579,32.2561208974156],[-64.7900177727338,32.2659446936992],[-64.7745415970416,32.2718413023427],[-64.7644742436426,32.2855931353214],[-64.7551803442276,32.2908326702531],[-64.7423982971436,32.2996734994024],[-64.7206991797682,32.3137542201258],[-64.7117851247134,32.3176823360806],[-64.6962778813133,32.3275029115532],[-64.6768921127452,32.3324095397555],[-64.6567136927777,32.3451776458469],[-64.6532168823499,32.3494356627941],[-64.6605720384429,32.3589423487763],[-64.65125819471,32.3615600906466],[-64.6462011670816,32.36975169749],[-64.6613227512832,32.3763135008721],[-64.6690666074397,32.388444543924],[-64.6834270548595,32.3854968316788],[-64.6954617672714,32.3763221285869],[-64.70438689565,32.3704254760469],[-64.7117569982798,32.368132600249],[-64.7061764744404,32.3600110593559],[-64.700531552697,32.3590601356818],[-64.6940348033967,32.3640708659835],[-64.6895164826082,32.3633598579866],[-64.6864150099255,32.3547797587266],[-64.6824635995504,32.3540628176846],[-64.6835876652835,32.3626447677968],[-64.6801998697415,32.3631199096979],[-64.6672170444687,32.3597751617473],[-64.6598811264978,32.3497625771755],[-64.6737331235384,32.3390281851635],[-64.6887090648183,32.3342439408053],[-64.706732854446,32.3429010723036],[-64.7149301576112,32.3552188753513],[-64.7185967666669,32.3552239212394],[-64.7214189847314,32.3518830231342],[-64.7270616067222,32.3466461715475],[-64.734962460882,32.3442819830499],[-64.7383521549094,32.3407216514918],[-64.7411729976333,32.3311790864627],[-64.7423019216485,32.323311561213],[-64.7462482354281,32.318538611581],[-64.7566773739613,32.3130509130175],[-64.768738200563,32.3088369816572],[-64.7799734332998,32.3072000581802]]]}},{"type":"Feature","id":"BOL","properties":{"name":"Bolivia"},"geometry":{"type":"Polygon","coordinates":[[[-62.846468,-22.034985],[-63.986838,-21.993644],[-64.377021,-22.798091],[-64.964892,-22.075862],[-66.273339,-21.83231],[-67.106674,-22.735925],[-67.82818,-22.872919],[-68.219913,-21.494347],[-68.757167,-20.372658],[-68.442225,-19.405068],[-68.966818,-18.981683],[-69.100247,-18.260125],[-69.590424,-17.580012],[-68.959635,-16.500698],[-69.389764,-15.660129],[-69.160347,-15.323974],[-69.339535,-14.953195],[-68.948887,-14.453639],[-68.929224,-13.602684],[-68.88008,-12.899729],[-68.66508,-12.5613],[-69.529678,-10.951734],[-68.786158,-11.03638],[-68.271254,-11.014521],[-68.048192,-10.712059],[-67.173801,-10.306812],[-66.646908,-9.931331],[-65.338435,-9.761988],[-65.444837,-10.511451],[-65.321899,-10.895872],[-65.402281,-11.56627],[-64.316353,-12.461978],[-63.196499,-12.627033],[-62.80306,-13.000653],[-62.127081,-13.198781],[-61.713204,-13.489202],[-61.084121,-13.479384],[-60.503304,-13.775955],[-60.459198,-14.354007],[-60.264326,-14.645979],[-60.251149,-15.077219],[-60.542966,-15.09391],[-60.15839,-16.258284],[-58.24122,-16.299573],[-58.388058,-16.877109],[-58.280804,-17.27171],[-57.734558,-17.552468],[-57.498371,-18.174188],[-57.676009,-18.96184],[-57.949997,-19.400004],[-57.853802,-19.969995],[-58.166392,-20.176701],[-58.183471,-19.868399],[-59.115042,-19.356906],[-60.043565,-19.342747],[-61.786326,-19.633737],[-62.265961,-20.513735],[-62.291179,-21.051635],[-62.685057,-22.249029],[-62.846468,-22.034985]]]}},{"type":"Feature","id":"BRA","properties":{"name":"Brazil"},"geometry":{"type":"Polygon","coordinates":[[[-57.625133,-30.216295],[-56.2909,-28.852761],[-55.162286,-27.881915],[-54.490725,-27.474757],[-53.648735,-26.923473],[-53.628349,-26.124865],[-54.13005,-25.547639],[-54.625291,-25.739255],[-54.428946,-25.162185],[-54.293476,-24.5708],[-54.29296,-24.021014],[-54.652834,-23.839578],[-55.027902,-24.001274],[-55.400747,-23.956935],[-55.517639,-23.571998],[-55.610683,-22.655619],[-55.797958,-22.35693],[-56.473317,-22.0863],[-56.88151,-22.282154],[-57.937156,-22.090176],[-57.870674,-20.732688],[-58.166392,-20.176701],[-57.853802,-19.969995],[-57.949997,-19.400004],[-57.676009,-18.96184],[-57.498371,-18.174188],[-57.734558,-17.552468],[-58.280804,-17.27171],[-58.388058,-16.877109],[-58.24122,-16.299573],[-60.15839,-16.258284],[-60.542966,-15.09391],[-60.251149,-15.077219],[-60.264326,-14.645979],[-60.459198,-14.354007],[-60.503304,-13.775955],[-61.084121,-13.479384],[-61.713204,-13.489202],[-62.127081,-13.198781],[-62.80306,-13.000653],[-63.196499,-12.627033],[-64.316353,-12.461978],[-65.402281,-11.56627],[-65.321899,-10.895872],[-65.444837,-10.511451],[-65.338435,-9.761988],[-66.646908,-9.931331],[-67.173801,-10.306812],[-68.048192,-10.712059],[-68.271254,-11.014521],[-68.786158,-11.03638],[-69.529678,-10.951734],[-70.093752,-11.123972],[-70.548686,-11.009147],[-70.481894,-9.490118],[-71.302412,-10.079436],[-72.184891,-10.053598],[-72.563033,-9.520194],[-73.226713,-9.462213],[-73.015383,-9.032833],[-73.571059,-8.424447],[-73.987235,-7.52383],[-73.723401,-7.340999],[-73.724487,-6.918595],[-73.120027,-6.629931],[-73.219711,-6.089189],[-72.964507,-5.741251],[-72.891928,-5.274561],[-71.748406,-4.593983],[-70.928843,-4.401591],[-70.794769,-4.251265],[-69.893635,-4.298187],[-69.444102,-1.556287],[-69.420486,-1.122619],[-69.577065,-0.549992],[-70.020656,-0.185156],[-70.015566,0.541414],[-69.452396,0.706159],[-69.252434,0.602651],[-69.218638,0.985677],[-69.804597,1.089081],[-69.816973,1.714805],[-67.868565,1.692455],[-67.53781,2.037163],[-67.259998,1.719999],[-67.065048,1.130112],[-66.876326,1.253361],[-66.325765,0.724452],[-65.548267,0.789254],[-65.354713,1.095282],[-64.611012,1.328731],[-64.199306,1.492855],[-64.083085,1.916369],[-63.368788,2.2009],[-63.422867,2.411068],[-64.269999,2.497006],[-64.408828,3.126786],[-64.368494,3.79721],[-64.816064,4.056445],[-64.628659,4.148481],[-63.888343,4.02053],[-63.093198,3.770571],[-62.804533,4.006965],[-62.08543,4.162124],[-60.966893,4.536468],[-60.601179,4.918098],[-60.733574,5.200277],[-60.213683,5.244486],[-59.980959,5.014061],[-60.111002,4.574967],[-59.767406,4.423503],[-59.53804,3.958803],[-59.815413,3.606499],[-59.974525,2.755233],[-59.718546,2.24963],[-59.646044,1.786894],[-59.030862,1.317698],[-58.540013,1.268088],[-58.429477,1.463942],[-58.11345,1.507195],[-57.660971,1.682585],[-57.335823,1.948538],[-56.782704,1.863711],[-56.539386,1.899523],[-55.995698,1.817667],[-55.9056,2.021996],[-56.073342,2.220795],[-55.973322,2.510364],[-55.569755,2.421506],[-55.097587,2.523748],[-54.524754,2.311849],[-54.088063,2.105557],[-53.778521,2.376703],[-53.554839,2.334897],[-53.418465,2.053389],[-52.939657,2.124858],[-52.556425,2.504705],[-52.249338,3.241094],[-51.657797,4.156232],[-51.317146,4.203491],[-51.069771,3.650398],[-50.508875,1.901564],[-49.974076,1.736483],[-49.947101,1.04619],[-50.699251,0.222984],[-50.388211,-0.078445],[-48.620567,-0.235489],[-48.584497,-1.237805],[-47.824956,-0.581618],[-46.566584,-0.941028],[-44.905703,-1.55174],[-44.417619,-2.13775],[-44.581589,-2.691308],[-43.418791,-2.38311],[-41.472657,-2.912018],[-39.978665,-2.873054],[-38.500383,-3.700652],[-37.223252,-4.820946],[-36.452937,-5.109404],[-35.597796,-5.149504],[-35.235389,-5.464937],[-34.89603,-6.738193],[-34.729993,-7.343221],[-35.128212,-8.996401],[-35.636967,-9.649282],[-37.046519,-11.040721],[-37.683612,-12.171195],[-38.423877,-13.038119],[-38.673887,-13.057652],[-38.953276,-13.79337],[-38.882298,-15.667054],[-39.161092,-17.208407],[-39.267339,-17.867746],[-39.583521,-18.262296],[-39.760823,-19.599113],[-40.774741,-20.904512],[-40.944756,-21.937317],[-41.754164,-22.370676],[-41.988284,-22.97007],[-43.074704,-22.967693],[-44.647812,-23.351959],[-45.352136,-23.796842],[-46.472093,-24.088969],[-47.648972,-24.885199],[-48.495458,-25.877025],[-48.641005,-26.623698],[-48.474736,-27.175912],[-48.66152,-28.186135],[-48.888457,-28.674115],[-49.587329,-29.224469],[-50.696874,-30.984465],[-51.576226,-31.777698],[-52.256081,-32.24537],[-52.7121,-33.196578],[-53.373662,-33.768378],[-53.650544,-33.202004],[-53.209589,-32.727666],[-53.787952,-32.047243],[-54.572452,-31.494511],[-55.60151,-30.853879],[-55.973245,-30.883076],[-56.976026,-30.109686],[-57.625133,-30.216295]]]}},{"type":"Feature","id":"BRN","properties":{"name":"Brunei"},"geometry":{"type":"Polygon","coordinates":[[[114.204017,4.525874],[114.599961,4.900011],[115.45071,5.44773],[115.4057,4.955228],[115.347461,4.316636],[114.869557,4.348314],[114.659596,4.007637],[114.204017,4.525874]]]}},{"type":"Feature","id":"BTN","properties":{"name":"Bhutan"},"geometry":{"type":"Polygon","coordinates":[[[91.696657,27.771742],[92.103712,27.452614],[92.033484,26.83831],[91.217513,26.808648],[90.373275,26.875724],[89.744528,26.719403],[88.835643,27.098966],[88.814248,27.299316],[89.47581,28.042759],[90.015829,28.296439],[90.730514,28.064954],[91.258854,28.040614],[91.696657,27.771742]]]}},{"type":"Feature","id":"BWA","properties":{"name":"Botswana"},"geometry":{"type":"Polygon","coordinates":[[[25.649163,-18.536026],[25.850391,-18.714413],[26.164791,-19.293086],[27.296505,-20.39152],[27.724747,-20.499059],[27.727228,-20.851802],[28.02137,-21.485975],[28.794656,-21.639454],[29.432188,-22.091313],[28.017236,-22.827754],[27.11941,-23.574323],[26.786407,-24.240691],[26.485753,-24.616327],[25.941652,-24.696373],[25.765849,-25.174845],[25.664666,-25.486816],[25.025171,-25.71967],[24.211267,-25.670216],[23.73357,-25.390129],[23.312097,-25.26869],[22.824271,-25.500459],[22.579532,-25.979448],[22.105969,-26.280256],[21.605896,-26.726534],[20.889609,-26.828543],[20.66647,-26.477453],[20.758609,-25.868136],[20.165726,-24.917962],[19.895768,-24.76779],[19.895458,-21.849157],[20.881134,-21.814327],[20.910641,-18.252219],[21.65504,-18.219146],[23.196858,-17.869038],[23.579006,-18.281261],[24.217365,-17.889347],[24.520705,-17.887125],[25.084443,-17.661816],[25.264226,-17.73654],[25.649163,-18.536026]]]}},{"type":"Feature","id":"CAF","properties":{"name":"Central African Republic"},"geometry":{"type":"Polygon","coordinates":[[[15.27946,7.421925],[16.106232,7.497088],[16.290562,7.754307],[16.456185,7.734774],[16.705988,7.508328],[17.96493,7.890914],[18.389555,8.281304],[18.911022,8.630895],[18.81201,8.982915],[19.094008,9.074847],[20.059685,9.012706],[21.000868,9.475985],[21.723822,10.567056],[22.231129,10.971889],[22.864165,11.142395],[22.977544,10.714463],[23.554304,10.089255],[23.55725,9.681218],[23.394779,9.265068],[23.459013,8.954286],[23.805813,8.666319],[24.567369,8.229188],[25.114932,7.825104],[25.124131,7.500085],[25.796648,6.979316],[26.213418,6.546603],[26.465909,5.946717],[27.213409,5.550953],[27.374226,5.233944],[27.044065,5.127853],[26.402761,5.150875],[25.650455,5.256088],[25.278798,5.170408],[25.128833,4.927245],[24.805029,4.897247],[24.410531,5.108784],[23.297214,4.609693],[22.84148,4.710126],[22.704124,4.633051],[22.405124,4.02916],[21.659123,4.224342],[20.927591,4.322786],[20.290679,4.691678],[19.467784,5.031528],[18.932312,4.709506],[18.542982,4.201785],[18.453065,3.504386],[17.8099,3.560196],[17.133042,3.728197],[16.537058,3.198255],[16.012852,2.26764],[15.907381,2.557389],[15.862732,3.013537],[15.405396,3.335301],[15.03622,3.851367],[14.950953,4.210389],[14.478372,4.732605],[14.558936,5.030598],[14.459407,5.451761],[14.53656,6.226959],[14.776545,6.408498],[15.27946,7.421925]]]}},{"type":"Feature","id":"CAN","properties":{"name":"Canada"},"geometry":{"type":"MultiPolygon","coordinates":[[[[-63.6645,46.55001],[-62.9393,46.41587],[-62.01208,46.44314],[-62.50391,46.03339],[-62.87433,45.96818],[-64.1428,46.39265],[-64.39261,46.72747],[-64.01486,47.03601],[-63.6645,46.55001]]],[[[-61.806305,49.10506],[-62.29318,49.08717],[-63.58926,49.40069],[-64.51912,49.87304],[-64.17322,49.95718],[-62.85829,49.70641],[-61.835585,49.28855],[-61.806305,49.10506]]],[[[-123.510002,48.510011],[-124.012891,48.370846],[-125.655013,48.825005],[-125.954994,49.179996],[-126.850004,49.53],[-127.029993,49.814996],[-128.059336,49.994959],[-128.444584,50.539138],[-128.358414,50.770648],[-127.308581,50.552574],[-126.695001,50.400903],[-125.755007,50.295018],[-125.415002,49.950001],[-124.920768,49.475275],[-123.922509,49.062484],[-123.510002,48.510011]]],[[[-56.134036,50.68701],[-56.795882,49.812309],[-56.143105,50.150117],[-55.471492,49.935815],[-55.822401,49.587129],[-54.935143,49.313011],[-54.473775,49.556691],[-53.476549,49.249139],[-53.786014,48.516781],[-53.086134,48.687804],[-52.958648,48.157164],[-52.648099,47.535548],[-53.069158,46.655499],[-53.521456,46.618292],[-54.178936,46.807066],[-53.961869,47.625207],[-54.240482,47.752279],[-55.400773,46.884994],[-55.997481,46.91972],[-55.291219,47.389562],[-56.250799,47.632545],[-57.325229,47.572807],[-59.266015,47.603348],[-59.419494,47.899454],[-58.796586,48.251525],[-59.231625,48.523188],[-58.391805,49.125581],[-57.35869,50.718274],[-56.73865,51.287438],[-55.870977,51.632094],[-55.406974,51.588273],[-55.600218,51.317075],[-56.134036,50.68701]]],[[[-132.710008,54.040009],[-132.710009,54.040009],[-132.710008,54.040009],[-132.710008,54.040009],[-131.74999,54.120004],[-132.04948,52.984621],[-131.179043,52.180433],[-131.57783,52.182371],[-132.180428,52.639707],[-132.549992,53.100015],[-133.054611,53.411469],[-133.239664,53.85108],[-133.180004,54.169975],[-132.710008,54.040009]]],[[[-79.26582,62.158675],[-79.65752,61.63308],[-80.09956,61.7181],[-80.36215,62.01649],[-80.315395,62.085565],[-79.92939,62.3856],[-79.52002,62.36371],[-79.26582,62.158675]]],[[[-81.89825,62.7108],[-83.06857,62.15922],[-83.77462,62.18231],[-83.99367,62.4528],[-83.25048,62.91409],[-81.87699,62.90458],[-81.89825,62.7108]]],[[[-85.161308,65.657285],[-84.975764,65.217518],[-84.464012,65.371772],[-83.882626,65.109618],[-82.787577,64.766693],[-81.642014,64.455136],[-81.55344,63.979609],[-80.817361,64.057486],[-80.103451,63.725981],[-80.99102,63.411246],[-82.547178,63.651722],[-83.108798,64.101876],[-84.100417,63.569712],[-85.523405,63.052379],[-85.866769,63.637253],[-87.221983,63.541238],[-86.35276,64.035833],[-86.224886,64.822917],[-85.883848,65.738778],[-85.161308,65.657285]]],[[[-75.86588,67.14886],[-76.98687,67.09873],[-77.2364,67.58809],[-76.81166,68.14856],[-75.89521,68.28721],[-75.1145,68.01036],[-75.10333,67.58202],[-75.21597,67.44425],[-75.86588,67.14886]]],[[[-95.647681,69.10769],[-96.269521,68.75704],[-97.617401,69.06003],[-98.431801,68.9507],[-99.797401,69.40003],[-98.917401,69.71003],[-98.218261,70.14354],[-97.157401,69.86003],[-96.557401,69.68003],[-96.257401,69.49003],[-95.647681,69.10769]]],[[[-90.5471,69.49766],[-90.55151,68.47499],[-89.21515,69.25873],[-88.01966,68.61508],[-88.31749,67.87338],[-87.35017,67.19872],[-86.30607,67.92146],[-85.57664,68.78456],[-85.52197,69.88211],[-84.10081,69.80539],[-82.62258,69.65826],[-81.28043,69.16202],[-81.2202,68.66567],[-81.96436,68.13253],[-81.25928,67.59716],[-81.38653,67.11078],[-83.34456,66.41154],[-84.73542,66.2573],[-85.76943,66.55833],[-86.0676,66.05625],[-87.03143,65.21297],[-87.32324,64.77563],[-88.48296,64.09897],[-89.91444,64.03273],[-90.70398,63.61017],[-90.77004,62.96021],[-91.93342,62.83508],[-93.15698,62.02469],[-94.24153,60.89865],[-94.62931,60.11021],[-94.6846,58.94882],[-93.21502,58.78212],[-92.76462,57.84571],[-92.29703,57.08709],[-90.89769,57.28468],[-89.03953,56.85172],[-88.03978,56.47162],[-87.32421,55.99914],[-86.07121,55.72383],[-85.01181,55.3026],[-83.36055,55.24489],[-82.27285,55.14832],[-82.4362,54.28227],[-82.12502,53.27703],[-81.40075,52.15788],[-79.91289,51.20842],[-79.14301,51.53393],[-78.60191,52.56208],[-79.12421,54.14145],[-79.82958,54.66772],[-78.22874,55.13645],[-77.0956,55.83741],[-76.54137,56.53423],[-76.62319,57.20263],[-77.30226,58.05209],[-78.51688,58.80458],[-77.33676,59.85261],[-77.77272,60.75788],[-78.10687,62.31964],[-77.41067,62.55053],[-75.69621,62.2784],[-74.6682,62.18111],[-73.83988,62.4438],[-72.90853,62.10507],[-71.67708,61.52535],[-71.37369,61.13717],[-69.59042,61.06141],[-69.62033,60.22125],[-69.2879,58.95736],[-68.37455,58.80106],[-67.64976,58.21206],[-66.20178,58.76731],[-65.24517,59.87071],[-64.58352,60.33558],[-63.80475,59.4426],[-62.50236,58.16708],[-61.39655,56.96745],[-61.79866,56.33945],[-60.46853,55.77548],[-59.56962,55.20407],[-57.97508,54.94549],[-57.3332,54.6265],[-56.93689,53.78032],[-56.15811,53.64749],[-55.75632,53.27036],[-55.68338,52.14664],[-56.40916,51.7707],[-57.12691,51.41972],[-58.77482,51.0643],[-60.03309,50.24277],[-61.72366,50.08046],[-63.86251,50.29099],[-65.36331,50.2982],[-66.39905,50.22897],[-67.23631,49.51156],[-68.51114,49.06836],[-69.95362,47.74488],[-71.10458,46.82171],[-70.25522,46.98606],[-68.65,48.3],[-66.55243,49.1331],[-65.05626,49.23278],[-64.17099,48.74248],[-65.11545,48.07085],[-64.79854,46.99297],[-64.47219,46.23849],[-63.17329,45.73902],[-61.52072,45.88377],[-60.51815,47.00793],[-60.4486,46.28264],[-59.80287,45.9204],[-61.03988,45.26525],[-63.25471,44.67014],[-64.24656,44.26553],[-65.36406,43.54523],[-66.1234,43.61867],[-66.16173,44.46512],[-64.42549,45.29204],[-66.02605,45.25931],[-67.13741,45.13753],[-67.79134,45.70281],[-67.79046,47.06636],[-68.23444,47.35486],[-68.905,47.185],[-69.237216,47.447781],[-69.99997,46.69307],[-70.305,45.915],[-70.66,45.46],[-71.08482,45.30524],[-71.405,45.255],[-71.50506,45.0082],[-73.34783,45.00738],[-74.867,45.00048],[-75.31821,44.81645],[-76.375,44.09631],[-76.5,44.018459],[-76.820034,43.628784],[-77.737885,43.629056],[-78.72028,43.625089],[-79.171674,43.466339],[-79.01,43.27],[-78.92,42.965],[-78.939362,42.863611],[-80.247448,42.3662],[-81.277747,42.209026],[-82.439278,41.675105],[-82.690089,41.675105],[-83.02981,41.832796],[-83.142,41.975681],[-83.12,42.08],[-82.9,42.43],[-82.43,42.98],[-82.137642,43.571088],[-82.337763,44.44],[-82.550925,45.347517],[-83.592851,45.816894],[-83.469551,45.994686],[-83.616131,46.116927],[-83.890765,46.116927],[-84.091851,46.275419],[-84.14212,46.512226],[-84.3367,46.40877],[-84.6049,46.4396],[-84.543749,46.538684],[-84.779238,46.637102],[-84.87608,46.900083],[-85.652363,47.220219],[-86.461991,47.553338],[-87.439793,47.94],[-88.378114,48.302918],[-89.272917,48.019808],[-89.6,48.01],[-90.83,48.27],[-91.64,48.14],[-92.61,48.45],[-93.63087,48.60926],[-94.32914,48.67074],[-94.64,48.84],[-94.81758,49.38905],[-95.15609,49.38425],[-95.15907,49],[-97.22872,49.0007],[-100.65,49],[-104.04826,48.99986],[-107.05,49],[-110.05,49],[-113,49],[-116.04818,49],[-117.03121,49],[-120,49],[-122.84,49],[-122.97421,49.002538],[-124.91024,49.98456],[-125.62461,50.41656],[-127.43561,50.83061],[-127.99276,51.71583],[-127.85032,52.32961],[-129.12979,52.75538],[-129.30523,53.56159],[-130.51497,54.28757],[-130.53611,54.80278],[-129.98,55.285],[-130.00778,55.91583],[-131.70781,56.55212],[-132.73042,57.69289],[-133.35556,58.41028],[-134.27111,58.86111],[-134.945,59.27056],[-135.47583,59.78778],[-136.47972,59.46389],[-137.4525,58.905],[-138.34089,59.56211],[-139.039,60],[-140.013,60.27682],[-140.99778,60.30639],[-140.9925,66.00003],[-140.986,69.712],[-139.12052,69.47102],[-137.54636,68.99002],[-136.50358,68.89804],[-135.62576,69.31512],[-134.41464,69.62743],[-132.92925,69.50534],[-131.43136,69.94451],[-129.79471,70.19369],[-129.10773,69.77927],[-128.36156,70.01286],[-128.13817,70.48384],[-127.44712,70.37721],[-125.75632,69.48058],[-124.42483,70.1584],[-124.28968,69.39969],[-123.06108,69.56372],[-122.6835,69.85553],[-121.47226,69.79778],[-119.94288,69.37786],[-117.60268,69.01128],[-116.22643,68.84151],[-115.2469,68.90591],[-113.89794,68.3989],[-115.30489,67.90261],[-113.49727,67.68815],[-110.798,67.80612],[-109.94619,67.98104],[-108.8802,67.38144],[-107.79239,67.88736],[-108.81299,68.31164],[-108.16721,68.65392],[-106.95,68.7],[-106.15,68.8],[-105.34282,68.56122],[-104.33791,68.018],[-103.22115,68.09775],[-101.45433,67.64689],[-99.90195,67.80566],[-98.4432,67.78165],[-98.5586,68.40394],[-97.66948,68.57864],[-96.11991,68.23939],[-96.12588,67.29338],[-95.48943,68.0907],[-94.685,68.06383],[-94.23282,69.06903],[-95.30408,69.68571],[-96.47131,70.08976],[-96.39115,71.19482],[-95.2088,71.92053],[-93.88997,71.76015],[-92.87818,71.31869],[-91.51964,70.19129],[-92.40692,69.69997],[-90.5471,69.49766]]],[[[-114.16717,73.12145],[-114.66634,72.65277],[-112.44102,72.9554],[-111.05039,72.4504],[-109.92035,72.96113],[-109.00654,72.63335],[-108.18835,71.65089],[-107.68599,72.06548],[-108.39639,73.08953],[-107.51645,73.23598],[-106.52259,73.07601],[-105.40246,72.67259],[-104.77484,71.6984],[-104.46476,70.99297],[-102.78537,70.49776],[-100.98078,70.02432],[-101.08929,69.58447],[-102.73116,69.50402],[-102.09329,69.11962],[-102.43024,68.75282],[-104.24,68.91],[-105.96,69.18],[-107.12254,69.11922],[-109,68.78],[-111.534149,68.630059],[-113.3132,68.53554],[-113.85496,69.00744],[-115.22,69.28],[-116.10794,69.16821],[-117.34,69.96],[-116.67473,70.06655],[-115.13112,70.2373],[-113.72141,70.19237],[-112.4161,70.36638],[-114.35,70.6],[-116.48684,70.52045],[-117.9048,70.54056],[-118.43238,70.9092],[-116.11311,71.30918],[-117.65568,71.2952],[-119.40199,71.55859],[-118.56267,72.30785],[-117.86642,72.70594],[-115.18909,73.31459],[-114.16717,73.12145]]],[[[-104.5,73.42],[-105.38,72.76],[-106.94,73.46],[-106.6,73.6],[-105.26,73.64],[-104.5,73.42]]],[[[-76.34,73.102685],[-76.251404,72.826385],[-77.314438,72.855545],[-78.39167,72.876656],[-79.486252,72.742203],[-79.775833,72.802902],[-80.876099,73.333183],[-80.833885,73.693184],[-80.353058,73.75972],[-78.064438,73.651932],[-76.34,73.102685]]],[[[-86.562179,73.157447],[-85.774371,72.534126],[-84.850112,73.340278],[-82.31559,73.750951],[-80.600088,72.716544],[-80.748942,72.061907],[-78.770639,72.352173],[-77.824624,72.749617],[-75.605845,72.243678],[-74.228616,71.767144],[-74.099141,71.33084],[-72.242226,71.556925],[-71.200015,70.920013],[-68.786054,70.525024],[-67.91497,70.121948],[-66.969033,69.186087],[-68.805123,68.720198],[-66.449866,68.067163],[-64.862314,67.847539],[-63.424934,66.928473],[-61.851981,66.862121],[-62.163177,66.160251],[-63.918444,64.998669],[-65.14886,65.426033],[-66.721219,66.388041],[-68.015016,66.262726],[-68.141287,65.689789],[-67.089646,65.108455],[-65.73208,64.648406],[-65.320168,64.382737],[-64.669406,63.392927],[-65.013804,62.674185],[-66.275045,62.945099],[-68.783186,63.74567],[-67.369681,62.883966],[-66.328297,62.280075],[-66.165568,61.930897],[-68.877367,62.330149],[-71.023437,62.910708],[-72.235379,63.397836],[-71.886278,63.679989],[-73.378306,64.193963],[-74.834419,64.679076],[-74.818503,64.389093],[-77.70998,64.229542],[-78.555949,64.572906],[-77.897281,65.309192],[-76.018274,65.326969],[-73.959795,65.454765],[-74.293883,65.811771],[-73.944912,66.310578],[-72.651167,67.284576],[-72.92606,67.726926],[-73.311618,68.069437],[-74.843307,68.554627],[-76.869101,68.894736],[-76.228649,69.147769],[-77.28737,69.76954],[-78.168634,69.826488],[-78.957242,70.16688],[-79.492455,69.871808],[-81.305471,69.743185],[-84.944706,69.966634],[-87.060003,70.260001],[-88.681713,70.410741],[-89.51342,70.762038],[-88.467721,71.218186],[-89.888151,71.222552],[-90.20516,72.235074],[-89.436577,73.129464],[-88.408242,73.537889],[-85.826151,73.803816],[-86.562179,73.157447]]],[[[-100.35642,73.84389],[-99.16387,73.63339],[-97.38,73.76],[-97.12,73.47],[-98.05359,72.99052],[-96.54,72.56],[-96.72,71.66],[-98.35966,71.27285],[-99.32286,71.35639],[-100.01482,71.73827],[-102.5,72.51],[-102.48,72.83],[-100.43836,72.70588],[-101.54,73.36],[-100.35642,73.84389]]],[[[-93.196296,72.771992],[-94.269047,72.024596],[-95.409856,72.061881],[-96.033745,72.940277],[-96.018268,73.43743],[-95.495793,73.862417],[-94.503658,74.134907],[-92.420012,74.100025],[-90.509793,73.856732],[-92.003965,72.966244],[-93.196296,72.771992]]],[[[-120.46,71.383602],[-123.09219,70.90164],[-123.62,71.34],[-125.928949,71.868688],[-125.5,72.292261],[-124.80729,73.02256],[-123.94,73.68],[-124.91775,74.29275],[-121.53788,74.44893],[-120.10978,74.24135],[-117.55564,74.18577],[-116.58442,73.89607],[-115.51081,73.47519],[-116.76794,73.22292],[-119.22,72.52],[-120.46,71.82],[-120.46,71.383602]]],[[[-93.612756,74.979997],[-94.156909,74.592347],[-95.608681,74.666864],[-96.820932,74.927623],[-96.288587,75.377828],[-94.85082,75.647218],[-93.977747,75.29649],[-93.612756,74.979997]]],[[[-98.5,76.72],[-97.735585,76.25656],[-97.704415,75.74344],[-98.16,75],[-99.80874,74.89744],[-100.88366,75.05736],[-100.86292,75.64075],[-102.50209,75.5638],[-102.56552,76.3366],[-101.48973,76.30537],[-99.98349,76.64634],[-98.57699,76.58859],[-98.5,76.72]]],[[[-108.21141,76.20168],[-107.81943,75.84552],[-106.92893,76.01282],[-105.881,75.9694],[-105.70498,75.47951],[-106.31347,75.00527],[-109.7,74.85],[-112.22307,74.41696],[-113.74381,74.39427],[-113.87135,74.72029],[-111.79421,75.1625],[-116.31221,75.04343],[-117.7104,75.2222],[-116.34602,76.19903],[-115.40487,76.47887],[-112.59056,76.14134],[-110.81422,75.54919],[-109.0671,75.47321],[-110.49726,76.42982],[-109.5811,76.79417],[-108.54859,76.67832],[-108.21141,76.20168]]],[[[-94.684086,77.097878],[-93.573921,76.776296],[-91.605023,76.778518],[-90.741846,76.449597],[-90.969661,76.074013],[-89.822238,75.847774],[-89.187083,75.610166],[-87.838276,75.566189],[-86.379192,75.482421],[-84.789625,75.699204],[-82.753445,75.784315],[-81.128531,75.713983],[-80.057511,75.336849],[-79.833933,74.923127],[-80.457771,74.657304],[-81.948843,74.442459],[-83.228894,74.564028],[-86.097452,74.410032],[-88.15035,74.392307],[-89.764722,74.515555],[-92.422441,74.837758],[-92.768285,75.38682],[-92.889906,75.882655],[-93.893824,76.319244],[-95.962457,76.441381],[-97.121379,76.751078],[-96.745123,77.161389],[-94.684086,77.097878]]],[[[-116.198587,77.645287],[-116.335813,76.876962],[-117.106051,76.530032],[-118.040412,76.481172],[-119.899318,76.053213],[-121.499995,75.900019],[-122.854924,76.116543],[-122.854925,76.116543],[-121.157535,76.864508],[-119.103939,77.51222],[-117.570131,77.498319],[-116.198587,77.645287]]],[[[-93.840003,77.519997],[-94.295608,77.491343],[-96.169654,77.555111],[-96.436304,77.834629],[-94.422577,77.820005],[-93.720656,77.634331],[-93.840003,77.519997]]],[[[-110.186938,77.697015],[-112.051191,77.409229],[-113.534279,77.732207],[-112.724587,78.05105],[-111.264443,78.152956],[-109.854452,77.996325],[-110.186938,77.697015]]],[[[-109.663146,78.601973],[-110.881314,78.40692],[-112.542091,78.407902],[-112.525891,78.550555],[-111.50001,78.849994],[-110.963661,78.804441],[-109.663146,78.601973]]],[[[-95.830295,78.056941],[-97.309843,77.850597],[-98.124289,78.082857],[-98.552868,78.458105],[-98.631984,78.87193],[-97.337231,78.831984],[-96.754399,78.765813],[-95.559278,78.418315],[-95.830295,78.056941]]],[[[-100.060192,78.324754],[-99.670939,77.907545],[-101.30394,78.018985],[-102.949809,78.343229],[-105.176133,78.380332],[-104.210429,78.67742],[-105.41958,78.918336],[-105.492289,79.301594],[-103.529282,79.165349],[-100.825158,78.800462],[-100.060192,78.324754]]],[[[-87.02,79.66],[-85.81435,79.3369],[-87.18756,79.0393],[-89.03535,78.28723],[-90.80436,78.21533],[-92.87669,78.34333],[-93.95116,78.75099],[-93.93574,79.11373],[-93.14524,79.3801],[-94.974,79.37248],[-96.07614,79.70502],[-96.70972,80.15777],[-96.01644,80.60233],[-95.32345,80.90729],[-94.29843,80.97727],[-94.73542,81.20646],[-92.40984,81.25739],[-91.13289,80.72345],[-89.45,80.509322],[-87.81,80.32],[-87.02,79.66]]],[[[-68.5,83.106322],[-65.82735,83.02801],[-63.68,82.9],[-61.85,82.6286],[-61.89388,82.36165],[-64.334,81.92775],[-66.75342,81.72527],[-67.65755,81.50141],[-65.48031,81.50657],[-67.84,80.9],[-69.4697,80.61683],[-71.18,79.8],[-73.2428,79.63415],[-73.88,79.430162],[-76.90773,79.32309],[-75.52924,79.19766],[-76.22046,79.01907],[-75.39345,78.52581],[-76.34354,78.18296],[-77.88851,77.89991],[-78.36269,77.50859],[-79.75951,77.20968],[-79.61965,76.98336],[-77.91089,77.022045],[-77.88911,76.777955],[-80.56125,76.17812],[-83.17439,76.45403],[-86.11184,76.29901],[-87.6,76.42],[-89.49068,76.47239],[-89.6161,76.95213],[-87.76739,77.17833],[-88.26,77.9],[-87.65,77.970222],[-84.97634,77.53873],[-86.34,78.18],[-87.96192,78.37181],[-87.15198,78.75867],[-85.37868,78.9969],[-85.09495,79.34543],[-86.50734,79.73624],[-86.93179,80.25145],[-84.19844,80.20836],[-83.408696,80.1],[-81.84823,80.46442],[-84.1,80.58],[-87.59895,80.51627],[-89.36663,80.85569],[-90.2,81.26],[-91.36786,81.5531],[-91.58702,81.89429],[-90.1,82.085],[-88.93227,82.11751],[-86.97024,82.27961],[-85.5,82.652273],[-84.260005,82.6],[-83.18,82.32],[-82.42,82.86],[-81.1,83.02],[-79.30664,83.13056],[-76.25,83.172059],[-75.71878,83.06404],[-72.83153,83.23324],[-70.665765,83.169781],[-68.5,83.106322]]]]}},{"type":"Feature","id":"CHE","properties":{"name":"Switzerland"},"geometry":{"type":"Polygon","coordinates":[[[9.594226,47.525058],[9.632932,47.347601],[9.47997,47.10281],[9.932448,46.920728],[10.442701,46.893546],[10.363378,46.483571],[9.922837,46.314899],[9.182882,46.440215],[8.966306,46.036932],[8.489952,46.005151],[8.31663,46.163642],[7.755992,45.82449],[7.273851,45.776948],[6.843593,45.991147],[6.5001,46.429673],[6.022609,46.27299],[6.037389,46.725779],[6.768714,47.287708],[6.736571,47.541801],[7.192202,47.449766],[7.466759,47.620582],[8.317301,47.61358],[8.522612,47.830828],[9.594226,47.525058]]]}},{"type":"Feature","id":"CHL","properties":{"name":"Chile"},"geometry":{"type":"MultiPolygon","coordinates":[[[[-68.63401,-52.63637],[-68.63335,-54.8695],[-67.56244,-54.87001],[-66.95992,-54.89681],[-67.29103,-55.30124],[-68.14863,-55.61183],[-68.639991,-55.580018],[-69.2321,-55.49906],[-69.95809,-55.19843],[-71.00568,-55.05383],[-72.2639,-54.49514],[-73.2852,-53.95752],[-74.66253,-52.83749],[-73.8381,-53.04743],[-72.43418,-53.7154],[-71.10773,-54.07433],[-70.59178,-53.61583],[-70.26748,-52.93123],[-69.34565,-52.5183],[-68.63401,-52.63637]]],[[[-68.219913,-21.494347],[-67.82818,-22.872919],[-67.106674,-22.735925],[-66.985234,-22.986349],[-67.328443,-24.025303],[-68.417653,-24.518555],[-68.386001,-26.185016],[-68.5948,-26.506909],[-68.295542,-26.89934],[-69.001235,-27.521214],[-69.65613,-28.459141],[-70.01355,-29.367923],[-69.919008,-30.336339],[-70.535069,-31.36501],[-70.074399,-33.09121],[-69.814777,-33.273886],[-69.817309,-34.193571],[-70.388049,-35.169688],[-70.364769,-36.005089],[-71.121881,-36.658124],[-71.118625,-37.576827],[-70.814664,-38.552995],[-71.413517,-38.916022],[-71.680761,-39.808164],[-71.915734,-40.832339],[-71.746804,-42.051386],[-72.148898,-42.254888],[-71.915424,-43.408565],[-71.464056,-43.787611],[-71.793623,-44.207172],[-71.329801,-44.407522],[-71.222779,-44.784243],[-71.659316,-44.973689],[-71.552009,-45.560733],[-71.917258,-46.884838],[-72.447355,-47.738533],[-72.331161,-48.244238],[-72.648247,-48.878618],[-73.415436,-49.318436],[-73.328051,-50.378785],[-72.975747,-50.74145],[-72.309974,-50.67701],[-72.329404,-51.425956],[-71.914804,-52.009022],[-69.498362,-52.142761],[-68.571545,-52.299444],[-69.461284,-52.291951],[-69.94278,-52.537931],[-70.845102,-52.899201],[-71.006332,-53.833252],[-71.429795,-53.856455],[-72.557943,-53.53141],[-73.702757,-52.835069],[-73.702757,-52.83507],[-74.946763,-52.262754],[-75.260026,-51.629355],[-74.976632,-51.043396],[-75.479754,-50.378372],[-75.608015,-48.673773],[-75.18277,-47.711919],[-74.126581,-46.939253],[-75.644395,-46.647643],[-74.692154,-45.763976],[-74.351709,-44.103044],[-73.240356,-44.454961],[-72.717804,-42.383356],[-73.3889,-42.117532],[-73.701336,-43.365776],[-74.331943,-43.224958],[-74.017957,-41.794813],[-73.677099,-39.942213],[-73.217593,-39.258689],[-73.505559,-38.282883],[-73.588061,-37.156285],[-73.166717,-37.12378],[-72.553137,-35.50884],[-71.861732,-33.909093],[-71.43845,-32.418899],[-71.668721,-30.920645],[-71.370083,-30.095682],[-71.489894,-28.861442],[-70.905124,-27.64038],[-70.724954,-25.705924],[-70.403966,-23.628997],[-70.091246,-21.393319],[-70.16442,-19.756468],[-70.372572,-18.347975],[-69.858444,-18.092694],[-69.590424,-17.580012],[-69.100247,-18.260125],[-68.966818,-18.981683],[-68.442225,-19.405068],[-68.757167,-20.372658],[-68.219913,-21.494347]]]]}},{"type":"Feature","id":"CHN","properties":{"name":"China"},"geometry":{"type":"MultiPolygon","coordinates":[[[[110.339188,18.678395],[109.47521,18.197701],[108.655208,18.507682],[108.626217,19.367888],[109.119056,19.821039],[110.211599,20.101254],[110.786551,20.077534],[111.010051,19.69593],[110.570647,19.255879],[110.339188,18.678395]]],[[[127.657407,49.76027],[129.397818,49.4406],[130.582293,48.729687],[130.987282,47.790132],[132.506672,47.78897],[133.373596,48.183442],[135.026311,48.47823],[134.500814,47.57844],[134.112362,47.212467],[133.769644,46.116927],[133.097127,45.144066],[131.883454,45.321162],[131.025212,44.967953],[131.288555,44.11152],[131.144688,42.92999],[130.633866,42.903015],[130.640016,42.395009],[129.994267,42.985387],[129.596669,42.424982],[128.052215,41.994285],[128.208433,41.466772],[127.343783,41.503152],[126.869083,41.816569],[126.182045,41.107336],[125.079942,40.569824],[124.265625,39.928493],[122.86757,39.637788],[122.131388,39.170452],[121.054554,38.897471],[121.585995,39.360854],[121.376757,39.750261],[122.168595,40.422443],[121.640359,40.94639],[120.768629,40.593388],[119.639602,39.898056],[119.023464,39.252333],[118.042749,39.204274],[117.532702,38.737636],[118.059699,38.061476],[118.87815,37.897325],[118.911636,37.448464],[119.702802,37.156389],[120.823457,37.870428],[121.711259,37.481123],[122.357937,37.454484],[122.519995,36.930614],[121.104164,36.651329],[120.637009,36.11144],[119.664562,35.609791],[119.151208,34.909859],[120.227525,34.360332],[120.620369,33.376723],[121.229014,32.460319],[121.908146,31.692174],[121.891919,30.949352],[121.264257,30.676267],[121.503519,30.142915],[122.092114,29.83252],[121.938428,29.018022],[121.684439,28.225513],[121.125661,28.135673],[120.395473,27.053207],[119.585497,25.740781],[118.656871,24.547391],[117.281606,23.624501],[115.890735,22.782873],[114.763827,22.668074],[114.152547,22.22376],[113.80678,22.54834],[113.241078,22.051367],[111.843592,21.550494],[110.785466,21.397144],[110.444039,20.341033],[109.889861,20.282457],[109.627655,21.008227],[109.864488,21.395051],[108.522813,21.715212],[108.05018,21.55238],[107.04342,21.811899],[106.567273,22.218205],[106.725403,22.794268],[105.811247,22.976892],[105.329209,23.352063],[104.476858,22.81915],[103.504515,22.703757],[102.706992,22.708795],[102.170436,22.464753],[101.652018,22.318199],[101.80312,21.174367],[101.270026,21.201652],[101.180005,21.436573],[101.150033,21.849984],[100.416538,21.558839],[99.983489,21.742937],[99.240899,22.118314],[99.531992,22.949039],[98.898749,23.142722],[98.660262,24.063286],[97.60472,23.897405],[97.724609,25.083637],[98.671838,25.918703],[98.712094,26.743536],[98.68269,27.508812],[98.246231,27.747221],[97.911988,28.335945],[97.327114,28.261583],[96.248833,28.411031],[96.586591,28.83098],[96.117679,29.452802],[95.404802,29.031717],[94.56599,29.277438],[93.413348,28.640629],[92.503119,27.896876],[91.696657,27.771742],[91.258854,28.040614],[90.730514,28.064954],[90.015829,28.296439],[89.47581,28.042759],[88.814248,27.299316],[88.730326,28.086865],[88.120441,27.876542],[86.954517,27.974262],[85.82332,28.203576],[85.011638,28.642774],[84.23458,28.839894],[83.898993,29.320226],[83.337115,29.463732],[82.327513,30.115268],[81.525804,30.422717],[81.111256,30.183481],[79.721367,30.882715],[78.738894,31.515906],[78.458446,32.618164],[79.176129,32.48378],[79.208892,32.994395],[78.811086,33.506198],[78.912269,34.321936],[77.837451,35.49401],[76.192848,35.898403],[75.896897,36.666806],[75.158028,37.133031],[74.980002,37.41999],[74.829986,37.990007],[74.864816,38.378846],[74.257514,38.606507],[73.928852,38.505815],[73.675379,39.431237],[73.960013,39.660008],[73.822244,39.893973],[74.776862,40.366425],[75.467828,40.562072],[76.526368,40.427946],[76.904484,41.066486],[78.187197,41.185316],[78.543661,41.582243],[80.11943,42.123941],[80.25999,42.349999],[80.18015,42.920068],[80.866206,43.180362],[79.966106,44.917517],[81.947071,45.317027],[82.458926,45.53965],[83.180484,47.330031],[85.16429,47.000956],[85.720484,47.452969],[85.768233,48.455751],[86.598776,48.549182],[87.35997,49.214981],[87.751264,49.297198],[88.013832,48.599463],[88.854298,48.069082],[90.280826,47.693549],[90.970809,46.888146],[90.585768,45.719716],[90.94554,45.286073],[92.133891,45.115076],[93.480734,44.975472],[94.688929,44.352332],[95.306875,44.241331],[95.762455,43.319449],[96.349396,42.725635],[97.451757,42.74889],[99.515817,42.524691],[100.845866,42.663804],[101.83304,42.514873],[103.312278,41.907468],[104.522282,41.908347],[104.964994,41.59741],[106.129316,42.134328],[107.744773,42.481516],[109.243596,42.519446],[110.412103,42.871234],[111.129682,43.406834],[111.829588,43.743118],[111.667737,44.073176],[111.348377,44.457442],[111.873306,45.102079],[112.436062,45.011646],[113.463907,44.808893],[114.460332,45.339817],[115.985096,45.727235],[116.717868,46.388202],[117.421701,46.672733],[118.874326,46.805412],[119.66327,46.69268],[119.772824,47.048059],[118.866574,47.74706],[118.064143,48.06673],[117.295507,47.697709],[116.308953,47.85341],[115.742837,47.726545],[115.485282,48.135383],[116.191802,49.134598],[116.678801,49.888531],[117.879244,49.510983],[119.288461,50.142883],[119.279366,50.582908],[120.18205,51.643566],[120.738191,51.964115],[120.725789,52.516226],[120.177089,52.753886],[121.003085,53.251401],[122.245748,53.431726],[123.571507,53.458804],[125.068211,53.161045],[125.946349,52.792799],[126.564399,51.784255],[126.939157,51.353894],[127.287456,50.739797],[127.657407,49.76027]]]]}},{"type":"Feature","id":"CIV","properties":{"name":"Ivory Coast"},"geometry":{"type":"Polygon","coordinates":[[[-2.856125,4.994476],[-3.311084,4.984296],[-4.00882,5.179813],[-4.649917,5.168264],[-5.834496,4.993701],[-6.528769,4.705088],[-7.518941,4.338288],[-7.712159,4.364566],[-7.635368,5.188159],[-7.539715,5.313345],[-7.570153,5.707352],[-7.993693,6.12619],[-8.311348,6.193033],[-8.60288,6.467564],[-8.385452,6.911801],[-8.485446,7.395208],[-8.439298,7.686043],[-8.280703,7.68718],[-8.221792,8.123329],[-8.299049,8.316444],[-8.203499,8.455453],[-7.8321,8.575704],[-8.079114,9.376224],[-8.309616,9.789532],[-8.229337,10.12902],[-8.029944,10.206535],[-7.89959,10.297382],[-7.622759,10.147236],[-6.850507,10.138994],[-6.666461,10.430811],[-6.493965,10.411303],[-6.205223,10.524061],[-6.050452,10.096361],[-5.816926,10.222555],[-5.404342,10.370737],[-4.954653,10.152714],[-4.779884,9.821985],[-4.330247,9.610835],[-3.980449,9.862344],[-3.511899,9.900326],[-2.827496,9.642461],[-2.56219,8.219628],[-2.983585,7.379705],[-3.24437,6.250472],[-2.810701,5.389051],[-2.856125,4.994476]]]}},{"type":"Feature","id":"CMR","properties":{"name":"Cameroon"},"geometry":{"type":"Polygon","coordinates":[[[13.075822,2.267097],[12.951334,2.321616],[12.35938,2.192812],[11.751665,2.326758],[11.276449,2.261051],[9.649158,2.283866],[9.795196,3.073404],[9.404367,3.734527],[8.948116,3.904129],[8.744924,4.352215],[8.488816,4.495617],[8.500288,4.771983],[8.757533,5.479666],[9.233163,6.444491],[9.522706,6.453482],[10.118277,7.03877],[10.497375,7.055358],[11.058788,6.644427],[11.745774,6.981383],[11.839309,7.397042],[12.063946,7.799808],[12.218872,8.305824],[12.753672,8.717763],[12.955468,9.417772],[13.1676,9.640626],[13.308676,10.160362],[13.57295,10.798566],[14.415379,11.572369],[14.468192,11.904752],[14.577178,12.085361],[14.181336,12.483657],[14.213531,12.802035],[14.495787,12.859396],[14.893386,12.219048],[14.960152,11.555574],[14.923565,10.891325],[15.467873,9.982337],[14.909354,9.992129],[14.627201,9.920919],[14.171466,10.021378],[13.954218,9.549495],[14.544467,8.965861],[14.979996,8.796104],[15.120866,8.38215],[15.436092,7.692812],[15.27946,7.421925],[14.776545,6.408498],[14.53656,6.226959],[14.459407,5.451761],[14.558936,5.030598],[14.478372,4.732605],[14.950953,4.210389],[15.03622,3.851367],[15.405396,3.335301],[15.862732,3.013537],[15.907381,2.557389],[16.012852,2.26764],[15.940919,1.727673],[15.146342,1.964015],[14.337813,2.227875],[13.075822,2.267097]]]}},{"type":"Feature","id":"COD","properties":{"name":"Democratic Republic of the Congo"},"geometry":{"type":"Polygon","coordinates":[[[30.83386,3.509166],[30.773347,2.339883],[31.174149,2.204465],[30.85267,1.849396],[30.468508,1.583805],[30.086154,1.062313],[29.875779,0.59738],[29.819503,-0.20531],[29.587838,-0.587406],[29.579466,-1.341313],[29.291887,-1.620056],[29.254835,-2.21511],[29.117479,-2.292211],[29.024926,-2.839258],[29.276384,-3.293907],[29.339998,-4.499983],[29.519987,-5.419979],[29.419993,-5.939999],[29.620032,-6.520015],[30.199997,-7.079981],[30.740015,-8.340007],[30.346086,-8.238257],[29.002912,-8.407032],[28.734867,-8.526559],[28.449871,-9.164918],[28.673682,-9.605925],[28.49607,-10.789884],[28.372253,-11.793647],[28.642417,-11.971569],[29.341548,-12.360744],[29.616001,-12.178895],[29.699614,-13.257227],[28.934286,-13.248958],[28.523562,-12.698604],[28.155109,-12.272481],[27.388799,-12.132747],[27.16442,-11.608748],[26.553088,-11.92444],[25.75231,-11.784965],[25.418118,-11.330936],[24.78317,-11.238694],[24.314516,-11.262826],[24.257155,-10.951993],[23.912215,-10.926826],[23.456791,-10.867863],[22.837345,-11.017622],[22.402798,-10.993075],[22.155268,-11.084801],[22.208753,-9.894796],[21.875182,-9.523708],[21.801801,-8.908707],[21.949131,-8.305901],[21.746456,-7.920085],[21.728111,-7.290872],[20.514748,-7.299606],[20.601823,-6.939318],[20.091622,-6.94309],[20.037723,-7.116361],[19.417502,-7.155429],[19.166613,-7.738184],[19.016752,-7.988246],[18.464176,-7.847014],[18.134222,-7.987678],[17.47297,-8.068551],[17.089996,-7.545689],[16.860191,-7.222298],[16.57318,-6.622645],[16.326528,-5.87747],[13.375597,-5.864241],[13.024869,-5.984389],[12.735171,-5.965682],[12.322432,-6.100092],[12.182337,-5.789931],[12.436688,-5.684304],[12.468004,-5.248362],[12.631612,-4.991271],[12.995517,-4.781103],[13.25824,-4.882957],[13.600235,-4.500138],[14.144956,-4.510009],[14.209035,-4.793092],[14.582604,-4.970239],[15.170992,-4.343507],[15.75354,-3.855165],[16.00629,-3.535133],[15.972803,-2.712392],[16.407092,-1.740927],[16.865307,-1.225816],[17.523716,-0.74383],[17.638645,-0.424832],[17.663553,-0.058084],[17.82654,0.288923],[17.774192,0.855659],[17.898835,1.741832],[18.094276,2.365722],[18.393792,2.900443],[18.453065,3.504386],[18.542982,4.201785],[18.932312,4.709506],[19.467784,5.031528],[20.290679,4.691678],[20.927591,4.322786],[21.659123,4.224342],[22.405124,4.02916],[22.704124,4.633051],[22.84148,4.710126],[23.297214,4.609693],[24.410531,5.108784],[24.805029,4.897247],[25.128833,4.927245],[25.278798,5.170408],[25.650455,5.256088],[26.402761,5.150875],[27.044065,5.127853],[27.374226,5.233944],[27.979977,4.408413],[28.428994,4.287155],[28.696678,4.455077],[29.159078,4.389267],[29.715995,4.600805],[29.9535,4.173699],[30.83386,3.509166]]]}},{"type":"Feature","id":"COG","properties":{"name":"Republic of the Congo"},"geometry":{"type":"Polygon","coordinates":[[[12.995517,-4.781103],[12.62076,-4.438023],[12.318608,-4.60623],[11.914963,-5.037987],[11.093773,-3.978827],[11.855122,-3.426871],[11.478039,-2.765619],[11.820964,-2.514161],[12.495703,-2.391688],[12.575284,-1.948511],[13.109619,-2.42874],[13.992407,-2.470805],[14.29921,-1.998276],[14.425456,-1.333407],[14.316418,-0.552627],[13.843321,0.038758],[14.276266,1.19693],[14.026669,1.395677],[13.282631,1.314184],[13.003114,1.830896],[13.075822,2.267097],[14.337813,2.227875],[15.146342,1.964015],[15.940919,1.727673],[16.012852,2.26764],[16.537058,3.198255],[17.133042,3.728197],[17.8099,3.560196],[18.453065,3.504386],[18.393792,2.900443],[18.094276,2.365722],[17.898835,1.741832],[17.774192,0.855659],[17.82654,0.288923],[17.663553,-0.058084],[17.638645,-0.424832],[17.523716,-0.74383],[16.865307,-1.225816],[16.407092,-1.740927],[15.972803,-2.712392],[16.00629,-3.535133],[15.75354,-3.855165],[15.170992,-4.343507],[14.582604,-4.970239],[14.209035,-4.793092],[14.144956,-4.510009],[13.600235,-4.500138],[13.25824,-4.882957],[12.995517,-4.781103]]]}},{"type":"Feature","id":"COL","properties":{"name":"Colombia"},"geometry":{"type":"Polygon","coordinates":[[[-75.373223,-0.152032],[-75.801466,0.084801],[-76.292314,0.416047],[-76.57638,0.256936],[-77.424984,0.395687],[-77.668613,0.825893],[-77.855061,0.809925],[-78.855259,1.380924],[-78.990935,1.69137],[-78.617831,1.766404],[-78.662118,2.267355],[-78.42761,2.629556],[-77.931543,2.696606],[-77.510431,3.325017],[-77.12769,3.849636],[-77.496272,4.087606],[-77.307601,4.667984],[-77.533221,5.582812],[-77.318815,5.845354],[-77.476661,6.691116],[-77.881571,7.223771],[-77.753414,7.70984],[-77.431108,7.638061],[-77.242566,7.935278],[-77.474723,8.524286],[-77.353361,8.670505],[-76.836674,8.638749],[-76.086384,9.336821],[-75.6746,9.443248],[-75.664704,9.774003],[-75.480426,10.61899],[-74.906895,11.083045],[-74.276753,11.102036],[-74.197223,11.310473],[-73.414764,11.227015],[-72.627835,11.731972],[-72.238195,11.95555],[-71.75409,12.437303],[-71.399822,12.376041],[-71.137461,12.112982],[-71.331584,11.776284],[-71.973922,11.608672],[-72.227575,11.108702],[-72.614658,10.821975],[-72.905286,10.450344],[-73.027604,9.73677],[-73.304952,9.152],[-72.78873,9.085027],[-72.660495,8.625288],[-72.439862,8.405275],[-72.360901,8.002638],[-72.479679,7.632506],[-72.444487,7.423785],[-72.198352,7.340431],[-71.960176,6.991615],[-70.674234,7.087785],[-70.093313,6.960376],[-69.38948,6.099861],[-68.985319,6.206805],[-68.265052,6.153268],[-67.695087,6.267318],[-67.34144,6.095468],[-67.521532,5.55687],[-67.744697,5.221129],[-67.823012,4.503937],[-67.621836,3.839482],[-67.337564,3.542342],[-67.303173,3.318454],[-67.809938,2.820655],[-67.447092,2.600281],[-67.181294,2.250638],[-66.876326,1.253361],[-67.065048,1.130112],[-67.259998,1.719999],[-67.53781,2.037163],[-67.868565,1.692455],[-69.816973,1.714805],[-69.804597,1.089081],[-69.218638,0.985677],[-69.252434,0.602651],[-69.452396,0.706159],[-70.015566,0.541414],[-70.020656,-0.185156],[-69.577065,-0.549992],[-69.420486,-1.122619],[-69.444102,-1.556287],[-69.893635,-4.298187],[-70.394044,-3.766591],[-70.692682,-3.742872],[-70.047709,-2.725156],[-70.813476,-2.256865],[-71.413646,-2.342802],[-71.774761,-2.16979],[-72.325787,-2.434218],[-73.070392,-2.308954],[-73.659504,-1.260491],[-74.122395,-1.002833],[-74.441601,-0.53082],[-75.106625,-0.057205],[-75.373223,-0.152032]]]}},{"type":"Feature","id":"CRI","properties":{"name":"Costa Rica"},"geometry":{"type":"Polygon","coordinates":[[[-82.965783,8.225028],[-83.508437,8.446927],[-83.711474,8.656836],[-83.596313,8.830443],[-83.632642,9.051386],[-83.909886,9.290803],[-84.303402,9.487354],[-84.647644,9.615537],[-84.713351,9.908052],[-84.97566,10.086723],[-84.911375,9.795992],[-85.110923,9.55704],[-85.339488,9.834542],[-85.660787,9.933347],[-85.797445,10.134886],[-85.791709,10.439337],[-85.659314,10.754331],[-85.941725,10.895278],[-85.71254,11.088445],[-85.561852,11.217119],[-84.903003,10.952303],[-84.673069,11.082657],[-84.355931,10.999226],[-84.190179,10.79345],[-83.895054,10.726839],[-83.655612,10.938764],[-83.40232,10.395438],[-83.015677,9.992982],[-82.546196,9.566135],[-82.932891,9.476812],[-82.927155,9.07433],[-82.719183,8.925709],[-82.868657,8.807266],[-82.829771,8.626295],[-82.913176,8.423517],[-82.965783,8.225028]]]}},{"type":"Feature","id":"CUB","properties":{"name":"Cuba"},"geometry":{"type":"Polygon","coordinates":[[[-82.268151,23.188611],[-81.404457,23.117271],[-80.618769,23.10598],[-79.679524,22.765303],[-79.281486,22.399202],[-78.347434,22.512166],[-77.993296,22.277194],[-77.146422,21.657851],[-76.523825,21.20682],[-76.19462,21.220565],[-75.598222,21.016624],[-75.67106,20.735091],[-74.933896,20.693905],[-74.178025,20.284628],[-74.296648,20.050379],[-74.961595,19.923435],[-75.63468,19.873774],[-76.323656,19.952891],[-77.755481,19.855481],[-77.085108,20.413354],[-77.492655,20.673105],[-78.137292,20.739949],[-78.482827,21.028613],[-78.719867,21.598114],[-79.285,21.559175],[-80.217475,21.827324],[-80.517535,22.037079],[-81.820943,22.192057],[-82.169992,22.387109],[-81.795002,22.636965],[-82.775898,22.68815],[-83.494459,22.168518],[-83.9088,22.154565],[-84.052151,21.910575],[-84.54703,21.801228],[-84.974911,21.896028],[-84.447062,22.20495],[-84.230357,22.565755],[-83.77824,22.788118],[-83.267548,22.983042],[-82.510436,23.078747],[-82.268151,23.188611]]]}},{"type":"Feature","id":"TRNC","properties":{"name":"Northern Cyprus"},"geometry":{"type":"Polygon","coordinates":[[[32.73178,35.140026],[32.802474,35.145504],[32.946961,35.386703],[33.667227,35.373216],[34.576474,35.671596],[33.900804,35.245756],[33.973617,35.058506],[33.86644,35.093595],[33.675392,35.017863],[33.525685,35.038688],[33.475817,35.000345],[33.455922,35.101424],[33.383833,35.162712],[33.190977,35.173125],[32.919572,35.087833],[32.73178,35.140026]]]}},{"type":"Feature","id":"CYP","properties":{"name":"Cyprus"},"geometry":{"type":"Polygon","coordinates":[[[33.973617,35.058506],[34.004881,34.978098],[32.979827,34.571869],[32.490296,34.701655],[32.256667,35.103232],[32.73178,35.140026],[32.919572,35.087833],[33.190977,35.173125],[33.383833,35.162712],[33.455922,35.101424],[33.475817,35.000345],[33.525685,35.038688],[33.675392,35.017863],[33.86644,35.093595],[33.973617,35.058506]]]}},{"type":"Feature","id":"CZE","properties":{"name":"Czech Republic"},"geometry":{"type":"Polygon","coordinates":[[[16.960288,48.596982],[16.499283,48.785808],[16.029647,48.733899],[15.253416,49.039074],[14.901447,48.964402],[14.338898,48.555305],[13.595946,48.877172],[13.031329,49.307068],[12.521024,49.547415],[12.415191,49.969121],[12.240111,50.266338],[12.966837,50.484076],[13.338132,50.733234],[14.056228,50.926918],[14.307013,51.117268],[14.570718,51.002339],[15.016996,51.106674],[15.490972,50.78473],[16.238627,50.697733],[16.176253,50.422607],[16.719476,50.215747],[16.868769,50.473974],[17.554567,50.362146],[17.649445,50.049038],[18.392914,49.988629],[18.853144,49.49623],[18.554971,49.495015],[18.399994,49.315001],[18.170498,49.271515],[18.104973,49.043983],[17.913512,48.996493],[17.886485,48.903475],[17.545007,48.800019],[17.101985,48.816969],[16.960288,48.596982]]]}},{"type":"Feature","id":"DEU","properties":{"name":"Germany"},"geometry":{"type":"Polygon","coordinates":[[[9.921906,54.983104],[9.93958,54.596642],[10.950112,54.363607],[10.939467,54.008693],[11.956252,54.196486],[12.51844,54.470371],[13.647467,54.075511],[14.119686,53.757029],[14.353315,53.248171],[14.074521,52.981263],[14.4376,52.62485],[14.685026,52.089947],[14.607098,51.745188],[15.016996,51.106674],[14.570718,51.002339],[14.307013,51.117268],[14.056228,50.926918],[13.338132,50.733234],[12.966837,50.484076],[12.240111,50.266338],[12.415191,49.969121],[12.521024,49.547415],[13.031329,49.307068],[13.595946,48.877172],[13.243357,48.416115],[12.884103,48.289146],[13.025851,47.637584],[12.932627,47.467646],[12.62076,47.672388],[12.141357,47.703083],[11.426414,47.523766],[10.544504,47.566399],[10.402084,47.302488],[9.896068,47.580197],[9.594226,47.525058],[8.522612,47.830828],[8.317301,47.61358],[7.466759,47.620582],[7.593676,48.333019],[8.099279,49.017784],[6.65823,49.201958],[6.18632,49.463803],[6.242751,49.902226],[6.043073,50.128052],[6.156658,50.803721],[5.988658,51.851616],[6.589397,51.852029],[6.84287,52.22844],[7.092053,53.144043],[6.90514,53.482162],[7.100425,53.693932],[7.936239,53.748296],[8.121706,53.527792],[8.800734,54.020786],[8.572118,54.395646],[8.526229,54.962744],[9.282049,54.830865],[9.921906,54.983104]]]}},{"type":"Feature","id":"DJI","properties":{"name":"Djibouti"},"geometry":{"type":"Polygon","coordinates":[[[43.081226,12.699639],[43.317852,12.390148],[43.286381,11.974928],[42.715874,11.735641],[43.145305,11.46204],[42.776852,10.926879],[42.55493,11.10511],[42.31414,11.0342],[41.75557,11.05091],[41.73959,11.35511],[41.66176,11.6312],[42,12.1],[42.35156,12.54223],[42.779642,12.455416],[43.081226,12.699639]]]}},{"type":"Feature","id":"DNK","properties":{"name":"Denmark"},"geometry":{"type":"MultiPolygon","coordinates":[[[[12.690006,55.609991],[12.089991,54.800015],[11.043543,55.364864],[10.903914,55.779955],[12.370904,56.111407],[12.690006,55.609991]]],[[[10.912182,56.458621],[10.667804,56.081383],[10.369993,56.190007],[9.649985,55.469999],[9.921906,54.983104],[9.282049,54.830865],[8.526229,54.962744],[8.120311,55.517723],[8.089977,56.540012],[8.256582,56.809969],[8.543438,57.110003],[9.424469,57.172066],[9.775559,57.447941],[10.580006,57.730017],[10.546106,57.215733],[10.25,56.890016],[10.369993,56.609982],[10.912182,56.458621]]]]}},{"type":"Feature","id":"DOM","properties":{"name":"Dominican Republic"},"geometry":{"type":"Polygon","coordinates":[[[-71.712361,19.714456],[-71.587304,19.884911],[-70.806706,19.880286],[-70.214365,19.622885],[-69.950815,19.648],[-69.76925,19.293267],[-69.222126,19.313214],[-69.254346,19.015196],[-68.809412,18.979074],[-68.317943,18.612198],[-68.689316,18.205142],[-69.164946,18.422648],[-69.623988,18.380713],[-69.952934,18.428307],[-70.133233,18.245915],[-70.517137,18.184291],[-70.669298,18.426886],[-70.99995,18.283329],[-71.40021,17.598564],[-71.657662,17.757573],[-71.708305,18.044997],[-71.687738,18.31666],[-71.945112,18.6169],[-71.701303,18.785417],[-71.624873,19.169838],[-71.712361,19.714456]]]}},{"type":"Feature","id":"DZA","properties":{"name":"Algeria"},"geometry":{"type":"Polygon","coordinates":[[[11.999506,23.471668],[8.572893,21.565661],[5.677566,19.601207],[4.267419,19.155265],[3.158133,19.057364],[3.146661,19.693579],[2.683588,19.85623],[2.060991,20.142233],[1.823228,20.610809],[-1.550055,22.792666],[-4.923337,24.974574],[-8.6844,27.395744],[-8.665124,27.589479],[-8.66559,27.656426],[-8.674116,28.841289],[-7.059228,29.579228],[-6.060632,29.7317],[-5.242129,30.000443],[-4.859646,30.501188],[-3.690441,30.896952],[-3.647498,31.637294],[-3.06898,31.724498],[-2.616605,32.094346],[-1.307899,32.262889],[-1.124551,32.651522],[-1.388049,32.864015],[-1.733455,33.919713],[-1.792986,34.527919],[-2.169914,35.168396],[-1.208603,35.714849],[-0.127454,35.888662],[0.503877,36.301273],[1.466919,36.605647],[3.161699,36.783905],[4.815758,36.865037],[5.32012,36.716519],[6.26182,37.110655],[7.330385,37.118381],[7.737078,36.885708],[8.420964,36.946427],[8.217824,36.433177],[8.376368,35.479876],[8.140981,34.655146],[7.524482,34.097376],[7.612642,33.344115],[8.430473,32.748337],[8.439103,32.506285],[9.055603,32.102692],[9.48214,30.307556],[9.805634,29.424638],[9.859998,28.95999],[9.683885,28.144174],[9.756128,27.688259],[9.629056,27.140953],[9.716286,26.512206],[9.319411,26.094325],[9.910693,25.365455],[9.948261,24.936954],[10.303847,24.379313],[10.771364,24.562532],[11.560669,24.097909],[11.999506,23.471668]]]}},{"type":"Feature","id":"ECU","properties":{"name":"Ecuador"},"geometry":{"type":"Polygon","coordinates":[[[-80.302561,-3.404856],[-79.770293,-2.657512],[-79.986559,-2.220794],[-80.368784,-2.685159],[-80.967765,-2.246943],[-80.764806,-1.965048],[-80.933659,-1.057455],[-80.58337,-0.906663],[-80.399325,-0.283703],[-80.020898,0.36034],[-80.09061,0.768429],[-79.542762,0.982938],[-78.855259,1.380924],[-77.855061,0.809925],[-77.668613,0.825893],[-77.424984,0.395687],[-76.57638,0.256936],[-76.292314,0.416047],[-75.801466,0.084801],[-75.373223,-0.152032],[-75.233723,-0.911417],[-75.544996,-1.56161],[-76.635394,-2.608678],[-77.837905,-3.003021],[-78.450684,-3.873097],[-78.639897,-4.547784],[-79.205289,-4.959129],[-79.624979,-4.454198],[-80.028908,-4.346091],[-80.442242,-4.425724],[-80.469295,-4.059287],[-80.184015,-3.821162],[-80.302561,-3.404856]]]}},{"type":"Feature","id":"EGY","properties":{"name":"Egypt"},"geometry":{"type":"Polygon","coordinates":[[[34.9226,29.50133],[34.64174,29.09942],[34.42655,28.34399],[34.15451,27.8233],[33.92136,27.6487],[33.58811,27.97136],[33.13676,28.41765],[32.42323,29.85108],[32.32046,29.76043],[32.73482,28.70523],[33.34876,27.69989],[34.10455,26.14227],[34.47387,25.59856],[34.79507,25.03375],[35.69241,23.92671],[35.49372,23.75237],[35.52598,23.10244],[36.69069,22.20485],[36.86623,22],[32.9,22],[29.02,22],[25,22],[25,25.6825],[25,29.238655],[24.70007,30.04419],[24.95762,30.6616],[24.80287,31.08929],[25.16482,31.56915],[26.49533,31.58568],[27.45762,31.32126],[28.45048,31.02577],[28.91353,30.87005],[29.68342,31.18686],[30.09503,31.4734],[30.97693,31.55586],[31.68796,31.4296],[31.96041,30.9336],[32.19247,31.26034],[32.99392,31.02407],[33.7734,30.96746],[34.26544,31.21936],[34.9226,29.50133]]]}},{"type":"Feature","id":"ERI","properties":{"name":"Eritrea"},"geometry":{"type":"Polygon","coordinates":[[[42.35156,12.54223],[42.00975,12.86582],[41.59856,13.45209],[41.155194,13.77332],[40.8966,14.11864],[40.026219,14.519579],[39.34061,14.53155],[39.0994,14.74064],[38.51295,14.50547],[37.90607,14.95943],[37.59377,14.2131],[36.42951,14.42211],[36.323189,14.822481],[36.75386,16.291874],[36.85253,16.95655],[37.16747,17.26314],[37.904,17.42754],[38.41009,17.998307],[38.990623,16.840626],[39.26611,15.922723],[39.814294,15.435647],[41.179275,14.49108],[41.734952,13.921037],[42.276831,13.343992],[42.589576,13.000421],[43.081226,12.699639],[42.779642,12.455416],[42.35156,12.54223]]]}},{"type":"Feature","id":"ESP","properties":{"name":"Spain"},"geometry":{"type":"Polygon","coordinates":[[[-9.034818,41.880571],[-8.984433,42.592775],[-9.392884,43.026625],[-7.97819,43.748338],[-6.754492,43.567909],[-5.411886,43.57424],[-4.347843,43.403449],[-3.517532,43.455901],[-1.901351,43.422802],[-1.502771,43.034014],[0.338047,42.579546],[0.701591,42.795734],[1.826793,42.343385],[2.985999,42.473015],[3.039484,41.89212],[2.091842,41.226089],[0.810525,41.014732],[0.721331,40.678318],[0.106692,40.123934],[-0.278711,39.309978],[0.111291,38.738514],[-0.467124,38.292366],[-0.683389,37.642354],[-1.438382,37.443064],[-2.146453,36.674144],[-3.415781,36.6589],[-4.368901,36.677839],[-4.995219,36.324708],[-5.37716,35.94685],[-5.866432,36.029817],[-6.236694,36.367677],[-6.520191,36.942913],[-7.453726,37.097788],[-7.537105,37.428904],[-7.166508,37.803894],[-7.029281,38.075764],[-7.374092,38.373059],[-7.098037,39.030073],[-7.498632,39.629571],[-7.066592,39.711892],[-7.026413,40.184524],[-6.86402,40.330872],[-6.851127,41.111083],[-6.389088,41.381815],[-6.668606,41.883387],[-7.251309,41.918346],[-7.422513,41.792075],[-8.013175,41.790886],[-8.263857,42.280469],[-8.671946,42.134689],[-9.034818,41.880571]]]}},{"type":"Feature","id":"EST","properties":{"name":"Estonia"},"geometry":{"type":"Polygon","coordinates":[[[24.312863,57.793424],[24.428928,58.383413],[24.061198,58.257375],[23.42656,58.612753],[23.339795,59.18724],[24.604214,59.465854],[25.864189,59.61109],[26.949136,59.445803],[27.981114,59.475388],[28.131699,59.300825],[27.420166,58.724581],[27.716686,57.791899],[27.288185,57.474528],[26.463532,57.476389],[25.60281,57.847529],[25.164594,57.970157],[24.312863,57.793424]]]}},{"type":"Feature","id":"ETH","properties":{"name":"Ethiopia"},"geometry":{"type":"Polygon","coordinates":[[[37.90607,14.95943],[38.51295,14.50547],[39.0994,14.74064],[39.34061,14.53155],[40.02625,14.51959],[40.8966,14.11864],[41.1552,13.77333],[41.59856,13.45209],[42.00975,12.86582],[42.35156,12.54223],[42,12.1],[41.66176,11.6312],[41.73959,11.35511],[41.75557,11.05091],[42.31414,11.0342],[42.55493,11.10511],[42.776852,10.926879],[42.55876,10.57258],[42.92812,10.02194],[43.29699,9.54048],[43.67875,9.18358],[46.94834,7.99688],[47.78942,8.003],[44.9636,5.00162],[43.66087,4.95755],[42.76967,4.25259],[42.12861,4.23413],[41.855083,3.918912],[41.1718,3.91909],[40.76848,4.25702],[39.85494,3.83879],[39.559384,3.42206],[38.89251,3.50074],[38.67114,3.61607],[38.43697,3.58851],[38.120915,3.598605],[36.855093,4.447864],[36.159079,4.447864],[35.817448,4.776966],[35.817448,5.338232],[35.298007,5.506],[34.70702,6.59422],[34.25032,6.82607],[34.0751,7.22595],[33.56829,7.71334],[32.95418,7.78497],[33.2948,8.35458],[33.8255,8.37916],[33.97498,8.68456],[33.96162,9.58358],[34.25745,10.63009],[34.73115,10.91017],[34.83163,11.31896],[35.26049,12.08286],[35.86363,12.57828],[36.27022,13.56333],[36.42951,14.42211],[37.59377,14.2131],[37.90607,14.95943]]]}},{"type":"Feature","id":"FIN","properties":{"name":"Finland"},"geometry":{"type":"Polygon","coordinates":[[[28.59193,69.064777],[28.445944,68.364613],[29.977426,67.698297],[29.054589,66.944286],[30.21765,65.80598],[29.54443,64.948672],[30.444685,64.204453],[30.035872,63.552814],[31.516092,62.867687],[31.139991,62.357693],[30.211107,61.780028],[28.069998,60.503517],[26.255173,60.423961],[24.496624,60.057316],[22.869695,59.846373],[22.290764,60.391921],[21.322244,60.72017],[21.544866,61.705329],[21.059211,62.607393],[21.536029,63.189735],[22.442744,63.81781],[24.730512,64.902344],[25.398068,65.111427],[25.294043,65.534346],[23.903379,66.006927],[23.56588,66.396051],[23.539473,67.936009],[21.978535,68.616846],[20.645593,69.106247],[21.244936,69.370443],[22.356238,68.841741],[23.66205,68.891247],[24.735679,68.649557],[25.689213,69.092114],[26.179622,69.825299],[27.732292,70.164193],[29.015573,69.766491],[28.59193,69.064777]]]}},{"type":"Feature","id":"FJI","properties":{"name":"Fiji"},"geometry":{"type":"MultiPolygon","coordinates":[[[[178.3736,-17.33992],[178.71806,-17.62846],[178.55271,-18.15059],[177.93266,-18.28799],[177.38146,-18.16432],[177.28504,-17.72465],[177.67087,-17.38114],[178.12557,-17.50481],[178.3736,-17.33992]]],[[[179.364143,-16.801354],[178.725059,-17.012042],[178.596839,-16.63915],[179.096609,-16.433984],[179.413509,-16.379054],[180,-16.067133],[180,-16.555217],[179.364143,-16.801354]]],[[[-179.917369,-16.501783],[-180,-16.555217],[-180,-16.067133],[-179.79332,-16.020882],[-179.917369,-16.501783]]]]}},{"type":"Feature","id":"FLK","properties":{"name":"Falkland Islands"},"geometry":{"type":"Polygon","coordinates":[[[-61.2,-51.85],[-60,-51.25],[-59.15,-51.5],[-58.55,-51.1],[-57.75,-51.55],[-58.05,-51.9],[-59.4,-52.2],[-59.85,-51.85],[-60.7,-52.3],[-61.2,-51.85]]]}},{"type":"Feature","id":"FRA","properties":{"name":"France"},"geometry":{"type":"MultiPolygon","coordinates":[[[[9.560016,42.152492],[9.229752,41.380007],[8.775723,41.583612],[8.544213,42.256517],[8.746009,42.628122],[9.390001,43.009985],[9.560016,42.152492]]],[[[3.588184,50.378992],[4.286023,49.907497],[4.799222,49.985373],[5.674052,49.529484],[5.897759,49.442667],[6.18632,49.463803],[6.65823,49.201958],[8.099279,49.017784],[7.593676,48.333019],[7.466759,47.620582],[7.192202,47.449766],[6.736571,47.541801],[6.768714,47.287708],[6.037389,46.725779],[6.022609,46.27299],[6.5001,46.429673],[6.843593,45.991147],[6.802355,45.70858],[7.096652,45.333099],[6.749955,45.028518],[7.007562,44.254767],[7.549596,44.127901],[7.435185,43.693845],[6.529245,43.128892],[4.556963,43.399651],[3.100411,43.075201],[2.985999,42.473015],[1.826793,42.343385],[0.701591,42.795734],[0.338047,42.579546],[-1.502771,43.034014],[-1.901351,43.422802],[-1.384225,44.02261],[-1.193798,46.014918],[-2.225724,47.064363],[-2.963276,47.570327],[-4.491555,47.954954],[-4.59235,48.68416],[-3.295814,48.901692],[-1.616511,48.644421],[-1.933494,49.776342],[-0.989469,49.347376],[1.338761,50.127173],[1.639001,50.946606],[2.513573,51.148506],[2.658422,50.796848],[3.123252,50.780363],[3.588184,50.378992]]]]}},{"type":"Feature","id":"GAB","properties":{"name":"Gabon"},"geometry":{"type":"Polygon","coordinates":[[[11.093773,-3.978827],[10.066135,-2.969483],[9.405245,-2.144313],[8.797996,-1.111301],[8.830087,-0.779074],[9.04842,-0.459351],[9.291351,0.268666],[9.492889,1.01012],[9.830284,1.067894],[11.285079,1.057662],[11.276449,2.261051],[11.751665,2.326758],[12.35938,2.192812],[12.951334,2.321616],[13.075822,2.267097],[13.003114,1.830896],[13.282631,1.314184],[14.026669,1.395677],[14.276266,1.19693],[13.843321,0.038758],[14.316418,-0.552627],[14.425456,-1.333407],[14.29921,-1.998276],[13.992407,-2.470805],[13.109619,-2.42874],[12.575284,-1.948511],[12.495703,-2.391688],[11.820964,-2.514161],[11.478039,-2.765619],[11.855122,-3.426871],[11.093773,-3.978827]]]}},{"type":"Feature","id":"GBR","properties":{"name":"United Kingdom"},"geometry":{"type":"MultiPolygon","coordinates":[[[[-5.661949,54.554603],[-6.197885,53.867565],[-6.95373,54.073702],[-7.572168,54.059956],[-7.366031,54.595841],[-7.572168,55.131622],[-6.733847,55.17286],[-5.661949,54.554603]]],[[[-3.005005,58.635],[-4.073828,57.553025],[-3.055002,57.690019],[-1.959281,57.6848],[-2.219988,56.870017],[-3.119003,55.973793],[-2.085009,55.909998],[-2.005676,55.804903],[-1.114991,54.624986],[-0.430485,54.464376],[0.184981,53.325014],[0.469977,52.929999],[1.681531,52.73952],[1.559988,52.099998],[1.050562,51.806761],[1.449865,51.289428],[0.550334,50.765739],[-0.787517,50.774989],[-2.489998,50.500019],[-2.956274,50.69688],[-3.617448,50.228356],[-4.542508,50.341837],[-5.245023,49.96],[-5.776567,50.159678],[-4.30999,51.210001],[-3.414851,51.426009],[-3.422719,51.426848],[-4.984367,51.593466],[-5.267296,51.9914],[-4.222347,52.301356],[-4.770013,52.840005],[-4.579999,53.495004],[-3.093831,53.404547],[-3.09208,53.404441],[-2.945009,53.985],[-3.614701,54.600937],[-3.630005,54.615013],[-4.844169,54.790971],[-5.082527,55.061601],[-4.719112,55.508473],[-5.047981,55.783986],[-5.586398,55.311146],[-5.644999,56.275015],[-6.149981,56.78501],[-5.786825,57.818848],[-5.009999,58.630013],[-4.211495,58.550845],[-3.005005,58.635]]]]}},{"type":"Feature","id":"GEO","properties":{"name":"Georgia"},"geometry":{"type":"Polygon","coordinates":[[[41.554084,41.535656],[41.703171,41.962943],[41.45347,42.645123],[40.875469,43.013628],[40.321394,43.128634],[39.955009,43.434998],[40.076965,43.553104],[40.922185,43.382159],[42.394395,43.220308],[43.756017,42.740828],[43.9312,42.554974],[44.537623,42.711993],[45.470279,42.502781],[45.77641,42.092444],[46.404951,41.860675],[46.145432,41.722802],[46.637908,41.181673],[46.501637,41.064445],[45.962601,41.123873],[45.217426,41.411452],[44.97248,41.248129],[43.582746,41.092143],[42.619549,41.583173],[41.554084,41.535656]]]}},{"type":"Feature","id":"GHA","properties":{"name":"Ghana"},"geometry":{"type":"Polygon","coordinates":[[[1.060122,5.928837],[-0.507638,5.343473],[-1.063625,5.000548],[-1.964707,4.710462],[-2.856125,4.994476],[-2.810701,5.389051],[-3.24437,6.250472],[-2.983585,7.379705],[-2.56219,8.219628],[-2.827496,9.642461],[-2.963896,10.395335],[-2.940409,10.96269],[-1.203358,11.009819],[-0.761576,10.93693],[-0.438702,11.098341],[0.023803,11.018682],[-0.049785,10.706918],[0.36758,10.191213],[0.365901,9.465004],[0.461192,8.677223],[0.712029,8.312465],[0.490957,7.411744],[0.570384,6.914359],[0.836931,6.279979],[1.060122,5.928837]]]}},{"type":"Feature","id":"GIN","properties":{"name":"Guinea"},"geometry":{"type":"Polygon","coordinates":[[[-8.439298,7.686043],[-8.722124,7.711674],[-8.926065,7.309037],[-9.208786,7.313921],[-9.403348,7.526905],[-9.33728,7.928534],[-9.755342,8.541055],[-10.016567,8.428504],[-10.230094,8.406206],[-10.505477,8.348896],[-10.494315,8.715541],[-10.65477,8.977178],[-10.622395,9.26791],[-10.839152,9.688246],[-11.117481,10.045873],[-11.917277,10.046984],[-12.150338,9.858572],[-12.425929,9.835834],[-12.596719,9.620188],[-12.711958,9.342712],[-13.24655,8.903049],[-13.685154,9.494744],[-14.074045,9.886167],[-14.330076,10.01572],[-14.579699,10.214467],[-14.693232,10.656301],[-14.839554,10.876572],[-15.130311,11.040412],[-14.685687,11.527824],[-14.382192,11.509272],[-14.121406,11.677117],[-13.9008,11.678719],[-13.743161,11.811269],[-13.828272,12.142644],[-13.718744,12.247186],[-13.700476,12.586183],[-13.217818,12.575874],[-12.499051,12.33209],[-12.278599,12.35444],[-12.203565,12.465648],[-11.658301,12.386583],[-11.513943,12.442988],[-11.456169,12.076834],[-11.297574,12.077971],[-11.036556,12.211245],[-10.87083,12.177887],[-10.593224,11.923975],[-10.165214,11.844084],[-9.890993,12.060479],[-9.567912,12.194243],[-9.327616,12.334286],[-9.127474,12.30806],[-8.905265,12.088358],[-8.786099,11.812561],[-8.376305,11.393646],[-8.581305,11.136246],[-8.620321,10.810891],[-8.407311,10.909257],[-8.282357,10.792597],[-8.335377,10.494812],[-8.029944,10.206535],[-8.229337,10.12902],[-8.309616,9.789532],[-8.079114,9.376224],[-7.8321,8.575704],[-8.203499,8.455453],[-8.299049,8.316444],[-8.221792,8.123329],[-8.280703,7.68718],[-8.439298,7.686043]]]}},{"type":"Feature","id":"GMB","properties":{"name":"Gambia"},"geometry":{"type":"Polygon","coordinates":[[[-16.841525,13.151394],[-16.713729,13.594959],[-15.624596,13.623587],[-15.39877,13.860369],[-15.081735,13.876492],[-14.687031,13.630357],[-14.376714,13.62568],[-14.046992,13.794068],[-13.844963,13.505042],[-14.277702,13.280585],[-14.712197,13.298207],[-15.141163,13.509512],[-15.511813,13.27857],[-15.691001,13.270353],[-15.931296,13.130284],[-16.841525,13.151394]]]}},{"type":"Feature","id":"GNB","properties":{"name":"Guinea Bissau"},"geometry":{"type":"Polygon","coordinates":[[[-15.130311,11.040412],[-15.66418,11.458474],[-16.085214,11.524594],[-16.314787,11.806515],[-16.308947,11.958702],[-16.613838,12.170911],[-16.677452,12.384852],[-16.147717,12.547762],[-15.816574,12.515567],[-15.548477,12.62817],[-13.700476,12.586183],[-13.718744,12.247186],[-13.828272,12.142644],[-13.743161,11.811269],[-13.9008,11.678719],[-14.121406,11.677117],[-14.382192,11.509272],[-14.685687,11.527824],[-15.130311,11.040412]]]}},{"type":"Feature","id":"GNQ","properties":{"name":"Equatorial Guinea"},"geometry":{"type":"Polygon","coordinates":[[[9.492889,1.01012],[9.305613,1.160911],[9.649158,2.283866],[11.276449,2.261051],[11.285079,1.057662],[9.830284,1.067894],[9.492889,1.01012]]]}},{"type":"Feature","id":"GRC","properties":{"name":"Greece"},"geometry":{"type":"MultiPolygon","coordinates":[[[[23.69998,35.705004],[24.246665,35.368022],[25.025015,35.424996],[25.769208,35.354018],[25.745023,35.179998],[26.290003,35.29999],[26.164998,35.004995],[24.724982,34.919988],[24.735007,35.084991],[23.514978,35.279992],[23.69998,35.705004]]],[[[26.604196,41.562115],[26.294602,40.936261],[26.056942,40.824123],[25.447677,40.852545],[24.925848,40.947062],[23.714811,40.687129],[24.407999,40.124993],[23.899968,39.962006],[23.342999,39.960998],[22.813988,40.476005],[22.626299,40.256561],[22.849748,39.659311],[23.350027,39.190011],[22.973099,38.970903],[23.530016,38.510001],[24.025025,38.219993],[24.040011,37.655015],[23.115003,37.920011],[23.409972,37.409991],[22.774972,37.30501],[23.154225,36.422506],[22.490028,36.41],[21.670026,36.844986],[21.295011,37.644989],[21.120034,38.310323],[20.730032,38.769985],[20.217712,39.340235],[20.150016,39.624998],[20.615,40.110007],[20.674997,40.435],[20.99999,40.580004],[21.02004,40.842727],[21.674161,40.931275],[22.055378,41.149866],[22.597308,41.130487],[22.76177,41.3048],[22.952377,41.337994],[23.692074,41.309081],[24.492645,41.583896],[25.197201,41.234486],[26.106138,41.328899],[26.117042,41.826905],[26.604196,41.562115]]]]}},{"type":"Feature","id":"GRL","properties":{"name":"Greenland"},"geometry":{"type":"Polygon","coordinates":[[[-46.76379,82.62796],[-43.40644,83.22516],[-39.89753,83.18018],[-38.62214,83.54905],[-35.08787,83.64513],[-27.10046,83.51966],[-20.84539,82.72669],[-22.69182,82.34165],[-26.51753,82.29765],[-31.9,82.2],[-31.39646,82.02154],[-27.85666,82.13178],[-24.84448,81.78697],[-22.90328,82.09317],[-22.07175,81.73449],[-23.16961,81.15271],[-20.62363,81.52462],[-15.76818,81.91245],[-12.77018,81.71885],[-12.20855,81.29154],[-16.28533,80.58004],[-16.85,80.35],[-20.04624,80.17708],[-17.73035,80.12912],[-18.9,79.4],[-19.70499,78.75128],[-19.67353,77.63859],[-18.47285,76.98565],[-20.03503,76.94434],[-21.67944,76.62795],[-19.83407,76.09808],[-19.59896,75.24838],[-20.66818,75.15585],[-19.37281,74.29561],[-21.59422,74.22382],[-20.43454,73.81713],[-20.76234,73.46436],[-22.17221,73.30955],[-23.56593,73.30663],[-22.31311,72.62928],[-22.29954,72.18409],[-24.27834,72.59788],[-24.79296,72.3302],[-23.44296,72.08016],[-22.13281,71.46898],[-21.75356,70.66369],[-23.53603,70.471],[-24.30702,70.85649],[-25.54341,71.43094],[-25.20135,70.75226],[-26.36276,70.22646],[-23.72742,70.18401],[-22.34902,70.12946],[-25.02927,69.2588],[-27.74737,68.47046],[-30.67371,68.12503],[-31.77665,68.12078],[-32.81105,67.73547],[-34.20196,66.67974],[-36.35284,65.9789],[-37.04378,65.93768],[-38.37505,65.69213],[-39.81222,65.45848],[-40.66899,64.83997],[-40.68281,64.13902],[-41.1887,63.48246],[-42.81938,62.68233],[-42.41666,61.90093],[-42.86619,61.07404],[-43.3784,60.09772],[-44.7875,60.03676],[-46.26364,60.85328],[-48.26294,60.85843],[-49.23308,61.40681],[-49.90039,62.38336],[-51.63325,63.62691],[-52.14014,64.27842],[-52.27659,65.1767],[-53.66166,66.09957],[-53.30161,66.8365],[-53.96911,67.18899],[-52.9804,68.35759],[-51.47536,68.72958],[-51.08041,69.14781],[-50.87122,69.9291],[-52.013585,69.574925],[-52.55792,69.42616],[-53.45629,69.283625],[-54.68336,69.61003],[-54.75001,70.28932],[-54.35884,70.821315],[-53.431315,70.835755],[-51.39014,70.56978],[-53.10937,71.20485],[-54.00422,71.54719],[-55,71.406537],[-55.83468,71.65444],[-54.71819,72.58625],[-55.32634,72.95861],[-56.12003,73.64977],[-57.32363,74.71026],[-58.59679,75.09861],[-58.58516,75.51727],[-61.26861,76.10238],[-63.39165,76.1752],[-66.06427,76.13486],[-68.50438,76.06141],[-69.66485,76.37975],[-71.40257,77.00857],[-68.77671,77.32312],[-66.76397,77.37595],[-71.04293,77.63595],[-73.297,78.04419],[-73.15938,78.43271],[-69.37345,78.91388],[-65.7107,79.39436],[-65.3239,79.75814],[-68.02298,80.11721],[-67.15129,80.51582],[-63.68925,81.21396],[-62.23444,81.3211],[-62.65116,81.77042],[-60.28249,82.03363],[-57.20744,82.19074],[-54.13442,82.19962],[-53.04328,81.88833],[-50.39061,82.43883],[-48.00386,82.06481],[-46.59984,81.985945],[-44.523,81.6607],[-46.9007,82.19979],[-46.76379,82.62796]]]}},{"type":"Feature","id":"GTM","properties":{"name":"Guatemala"},"geometry":{"type":"Polygon","coordinates":[[[-90.095555,13.735338],[-90.608624,13.909771],[-91.23241,13.927832],[-91.689747,14.126218],[-92.22775,14.538829],[-92.20323,14.830103],[-92.087216,15.064585],[-92.229249,15.251447],[-91.74796,16.066565],[-90.464473,16.069562],[-90.438867,16.41011],[-90.600847,16.470778],[-90.711822,16.687483],[-91.08167,16.918477],[-91.453921,17.252177],[-91.002269,17.254658],[-91.00152,17.817595],[-90.067934,17.819326],[-89.14308,17.808319],[-89.150806,17.015577],[-89.229122,15.886938],[-88.930613,15.887273],[-88.604586,15.70638],[-88.518364,15.855389],[-88.225023,15.727722],[-88.68068,15.346247],[-89.154811,15.066419],[-89.22522,14.874286],[-89.145535,14.678019],[-89.353326,14.424133],[-89.587343,14.362586],[-89.534219,14.244816],[-89.721934,14.134228],[-90.064678,13.88197],[-90.095555,13.735338]]]}},{"type":"Feature","id":"GUF","properties":{"name":"French Guiana"},"geometry":{"type":"Polygon","coordinates":[[[-52.556425,2.504705],[-52.939657,2.124858],[-53.418465,2.053389],[-53.554839,2.334897],[-53.778521,2.376703],[-54.088063,2.105557],[-54.524754,2.311849],[-54.27123,2.738748],[-54.184284,3.194172],[-54.011504,3.62257],[-54.399542,4.212611],[-54.478633,4.896756],[-53.958045,5.756548],[-53.618453,5.646529],[-52.882141,5.409851],[-51.823343,4.565768],[-51.657797,4.156232],[-52.249338,3.241094],[-52.556425,2.504705]]]}},{"type":"Feature","id":"GUY","properties":{"name":"Guyana"},"geometry":{"type":"Polygon","coordinates":[[[-59.758285,8.367035],[-59.101684,7.999202],[-58.482962,7.347691],[-58.454876,6.832787],[-58.078103,6.809094],[-57.542219,6.321268],[-57.147436,5.97315],[-57.307246,5.073567],[-57.914289,4.812626],[-57.86021,4.576801],[-58.044694,4.060864],[-57.601569,3.334655],[-57.281433,3.333492],[-57.150098,2.768927],[-56.539386,1.899523],[-56.782704,1.863711],[-57.335823,1.948538],[-57.660971,1.682585],[-58.11345,1.507195],[-58.429477,1.463942],[-58.540013,1.268088],[-59.030862,1.317698],[-59.646044,1.786894],[-59.718546,2.24963],[-59.974525,2.755233],[-59.815413,3.606499],[-59.53804,3.958803],[-59.767406,4.423503],[-60.111002,4.574967],[-59.980959,5.014061],[-60.213683,5.244486],[-60.733574,5.200277],[-61.410303,5.959068],[-61.139415,6.234297],[-61.159336,6.696077],[-60.543999,6.856584],[-60.295668,7.043911],[-60.637973,7.415],[-60.550588,7.779603],[-59.758285,8.367035]]]}},{"type":"Feature","id":"HND","properties":{"name":"Honduras"},"geometry":{"type":"Polygon","coordinates":[[[-87.316654,12.984686],[-87.489409,13.297535],[-87.793111,13.38448],[-87.723503,13.78505],[-87.859515,13.893312],[-88.065343,13.964626],[-88.503998,13.845486],[-88.541231,13.980155],[-88.843073,14.140507],[-89.058512,14.340029],[-89.353326,14.424133],[-89.145535,14.678019],[-89.22522,14.874286],[-89.154811,15.066419],[-88.68068,15.346247],[-88.225023,15.727722],[-88.121153,15.688655],[-87.901813,15.864458],[-87.61568,15.878799],[-87.522921,15.797279],[-87.367762,15.84694],[-86.903191,15.756713],[-86.440946,15.782835],[-86.119234,15.893449],[-86.001954,16.005406],[-85.683317,15.953652],[-85.444004,15.885749],[-85.182444,15.909158],[-84.983722,15.995923],[-84.52698,15.857224],[-84.368256,15.835158],[-84.063055,15.648244],[-83.773977,15.424072],[-83.410381,15.270903],[-83.147219,14.995829],[-83.489989,15.016267],[-83.628585,14.880074],[-83.975721,14.749436],[-84.228342,14.748764],[-84.449336,14.621614],[-84.649582,14.666805],[-84.820037,14.819587],[-84.924501,14.790493],[-85.052787,14.551541],[-85.148751,14.560197],[-85.165365,14.35437],[-85.514413,14.079012],[-85.698665,13.960078],[-85.801295,13.836055],[-86.096264,14.038187],[-86.312142,13.771356],[-86.520708,13.778487],[-86.755087,13.754845],[-86.733822,13.263093],[-86.880557,13.254204],[-87.005769,13.025794],[-87.316654,12.984686]]]}},{"type":"Feature","id":"HRV","properties":{"name":"Croatia"},"geometry":{"type":"Polygon","coordinates":[[[18.829838,45.908878],[19.072769,45.521511],[19.390476,45.236516],[19.005486,44.860234],[18.553214,45.08159],[17.861783,45.06774],[17.002146,45.233777],[16.534939,45.211608],[16.318157,45.004127],[15.959367,45.233777],[15.750026,44.818712],[16.23966,44.351143],[16.456443,44.04124],[16.916156,43.667722],[17.297373,43.446341],[17.674922,43.028563],[18.56,42.65],[18.450016,42.479991],[17.50997,42.849995],[16.930006,43.209998],[16.015385,43.507215],[15.174454,44.243191],[15.37625,44.317915],[14.920309,44.738484],[14.901602,45.07606],[14.258748,45.233777],[13.952255,44.802124],[13.656976,45.136935],[13.679403,45.484149],[13.71506,45.500324],[14.411968,45.466166],[14.595109,45.634941],[14.935244,45.471695],[15.327675,45.452316],[15.323954,45.731783],[15.67153,45.834154],[15.768733,46.238108],[16.564808,46.503751],[16.882515,46.380632],[17.630066,45.951769],[18.456062,45.759481],[18.829838,45.908878]]]}},{"type":"Feature","id":"HTI","properties":{"name":"Haiti"},"geometry":{"type":"Polygon","coordinates":[[[-73.189791,19.915684],[-72.579673,19.871501],[-71.712361,19.714456],[-71.624873,19.169838],[-71.701303,18.785417],[-71.945112,18.6169],[-71.687738,18.31666],[-71.708305,18.044997],[-72.372476,18.214961],[-72.844411,18.145611],[-73.454555,18.217906],[-73.922433,18.030993],[-74.458034,18.34255],[-74.369925,18.664908],[-73.449542,18.526053],[-72.694937,18.445799],[-72.334882,18.668422],[-72.79165,19.101625],[-72.784105,19.483591],[-73.415022,19.639551],[-73.189791,19.915684]]]}},{"type":"Feature","id":"HUN","properties":{"name":"Hungary"},"geometry":{"type":"Polygon","coordinates":[[[16.202298,46.852386],[16.534268,47.496171],[16.340584,47.712902],[16.903754,47.714866],[16.979667,48.123497],[17.488473,47.867466],[17.857133,47.758429],[18.696513,47.880954],[18.777025,48.081768],[19.174365,48.111379],[19.661364,48.266615],[19.769471,48.202691],[20.239054,48.327567],[20.473562,48.56285],[20.801294,48.623854],[21.872236,48.319971],[22.085608,48.422264],[22.64082,48.15024],[22.710531,47.882194],[22.099768,47.672439],[21.626515,46.994238],[21.021952,46.316088],[20.220192,46.127469],[19.596045,46.17173],[18.829838,45.908878],[18.456062,45.759481],[17.630066,45.951769],[16.882515,46.380632],[16.564808,46.503751],[16.370505,46.841327],[16.202298,46.852386]]]}},{"type":"Feature","id":"IDN","properties":{"name":"Indonesia"},"geometry":{"type":"MultiPolygon","coordinates":[[[[120.715609,-10.239581],[120.295014,-10.25865],[118.967808,-9.557969],[119.90031,-9.36134],[120.425756,-9.665921],[120.775502,-9.969675],[120.715609,-10.239581]]],[[[124.43595,-10.140001],[123.579982,-10.359987],[123.459989,-10.239995],[123.550009,-9.900016],[123.980009,-9.290027],[124.968682,-8.89279],[125.07002,-9.089987],[125.08852,-9.393173],[124.43595,-10.140001]]],[[[117.900018,-8.095681],[118.260616,-8.362383],[118.87846,-8.280683],[119.126507,-8.705825],[117.970402,-8.906639],[117.277731,-9.040895],[116.740141,-9.032937],[117.083737,-8.457158],[117.632024,-8.449303],[117.900018,-8.095681]]],[[[122.903537,-8.094234],[122.756983,-8.649808],[121.254491,-8.933666],[119.924391,-8.810418],[119.920929,-8.444859],[120.715092,-8.236965],[121.341669,-8.53674],[122.007365,-8.46062],[122.903537,-8.094234]]],[[[108.623479,-6.777674],[110.539227,-6.877358],[110.759576,-6.465186],[112.614811,-6.946036],[112.978768,-7.594213],[114.478935,-7.776528],[115.705527,-8.370807],[114.564511,-8.751817],[113.464734,-8.348947],[112.559672,-8.376181],[111.522061,-8.302129],[110.58615,-8.122605],[109.427667,-7.740664],[108.693655,-7.6416],[108.277763,-7.766657],[106.454102,-7.3549],[106.280624,-6.9249],[105.365486,-6.851416],[106.051646,-5.895919],[107.265009,-5.954985],[108.072091,-6.345762],[108.486846,-6.421985],[108.623479,-6.777674]]],[[[134.724624,-6.214401],[134.210134,-6.895238],[134.112776,-6.142467],[134.290336,-5.783058],[134.499625,-5.445042],[134.727002,-5.737582],[134.724624,-6.214401]]],[[[127.249215,-3.459065],[126.874923,-3.790983],[126.183802,-3.607376],[125.989034,-3.177273],[127.000651,-3.129318],[127.249215,-3.459065]]],[[[130.471344,-3.093764],[130.834836,-3.858472],[129.990547,-3.446301],[129.155249,-3.362637],[128.590684,-3.428679],[127.898891,-3.393436],[128.135879,-2.84365],[129.370998,-2.802154],[130.471344,-3.093764]]],[[[134.143368,-1.151867],[134.422627,-2.769185],[135.457603,-3.367753],[136.293314,-2.307042],[137.440738,-1.703513],[138.329727,-1.702686],[139.184921,-2.051296],[139.926684,-2.409052],[141.00021,-2.600151],[141.017057,-5.859022],[141.033852,-9.117893],[140.143415,-8.297168],[139.127767,-8.096043],[138.881477,-8.380935],[137.614474,-8.411683],[138.039099,-7.597882],[138.668621,-7.320225],[138.407914,-6.232849],[137.92784,-5.393366],[135.98925,-4.546544],[135.164598,-4.462931],[133.66288,-3.538853],[133.367705,-4.024819],[132.983956,-4.112979],[132.756941,-3.746283],[132.753789,-3.311787],[131.989804,-2.820551],[133.066845,-2.460418],[133.780031,-2.479848],[133.696212,-2.214542],[132.232373,-2.212526],[131.836222,-1.617162],[130.94284,-1.432522],[130.519558,-0.93772],[131.867538,-0.695461],[132.380116,-0.369538],[133.985548,-0.78021],[134.143368,-1.151867]]],[[[125.240501,1.419836],[124.437035,0.427881],[123.685505,0.235593],[122.723083,0.431137],[121.056725,0.381217],[120.183083,0.237247],[120.04087,-0.519658],[120.935905,-1.408906],[121.475821,-0.955962],[123.340565,-0.615673],[123.258399,-1.076213],[122.822715,-0.930951],[122.38853,-1.516858],[121.508274,-1.904483],[122.454572,-3.186058],[122.271896,-3.5295],[123.170963,-4.683693],[123.162333,-5.340604],[122.628515,-5.634591],[122.236394,-5.282933],[122.719569,-4.464172],[121.738234,-4.851331],[121.489463,-4.574553],[121.619171,-4.188478],[120.898182,-3.602105],[120.972389,-2.627643],[120.305453,-2.931604],[120.390047,-4.097579],[120.430717,-5.528241],[119.796543,-5.6734],[119.366906,-5.379878],[119.653606,-4.459417],[119.498835,-3.494412],[119.078344,-3.487022],[118.767769,-2.801999],[119.180974,-2.147104],[119.323394,-1.353147],[119.825999,0.154254],[120.035702,0.566477],[120.885779,1.309223],[121.666817,1.013944],[122.927567,0.875192],[124.077522,0.917102],[125.065989,1.643259],[125.240501,1.419836]]],[[[128.688249,1.132386],[128.635952,0.258486],[128.12017,0.356413],[127.968034,-0.252077],[128.379999,-0.780004],[128.100016,-0.899996],[127.696475,-0.266598],[127.39949,1.011722],[127.600512,1.810691],[127.932378,2.174596],[128.004156,1.628531],[128.594559,1.540811],[128.688249,1.132386]]],[[[117.875627,1.827641],[118.996747,0.902219],[117.811858,0.784242],[117.478339,0.102475],[117.521644,-0.803723],[116.560048,-1.487661],[116.533797,-2.483517],[116.148084,-4.012726],[116.000858,-3.657037],[114.864803,-4.106984],[114.468652,-3.495704],[113.755672,-3.43917],[113.256994,-3.118776],[112.068126,-3.478392],[111.703291,-2.994442],[111.04824,-3.049426],[110.223846,-2.934032],[110.070936,-1.592874],[109.571948,-1.314907],[109.091874,-0.459507],[108.952658,0.415375],[109.069136,1.341934],[109.66326,2.006467],[109.830227,1.338136],[110.514061,0.773131],[111.159138,0.976478],[111.797548,0.904441],[112.380252,1.410121],[112.859809,1.49779],[113.80585,1.217549],[114.621355,1.430688],[115.134037,2.821482],[115.519078,3.169238],[115.865517,4.306559],[117.015214,4.306094],[117.882035,4.137551],[117.313232,3.234428],[118.04833,2.28769],[117.875627,1.827641]]],[[[105.817655,-5.852356],[104.710384,-5.873285],[103.868213,-5.037315],[102.584261,-4.220259],[102.156173,-3.614146],[101.399113,-2.799777],[100.902503,-2.050262],[100.141981,-0.650348],[99.26374,0.183142],[98.970011,1.042882],[98.601351,1.823507],[97.699598,2.453184],[97.176942,3.308791],[96.424017,3.86886],[95.380876,4.970782],[95.293026,5.479821],[95.936863,5.439513],[97.484882,5.246321],[98.369169,4.26837],[99.142559,3.59035],[99.693998,3.174329],[100.641434,2.099381],[101.658012,2.083697],[102.498271,1.3987],[103.07684,0.561361],[103.838396,0.104542],[103.437645,-0.711946],[104.010789,-1.059212],[104.369991,-1.084843],[104.53949,-1.782372],[104.887893,-2.340425],[105.622111,-2.428844],[106.108593,-3.061777],[105.857446,-4.305525],[105.817655,-5.852356]]]]}},{"type":"Feature","id":"IND","properties":{"name":"India"},"geometry":{"type":"Polygon","coordinates":[[[77.837451,35.49401],[78.912269,34.321936],[78.811086,33.506198],[79.208892,32.994395],[79.176129,32.48378],[78.458446,32.618164],[78.738894,31.515906],[79.721367,30.882715],[81.111256,30.183481],[80.476721,29.729865],[80.088425,28.79447],[81.057203,28.416095],[81.999987,27.925479],[83.304249,27.364506],[84.675018,27.234901],[85.251779,26.726198],[86.024393,26.630985],[87.227472,26.397898],[88.060238,26.414615],[88.174804,26.810405],[88.043133,27.445819],[88.120441,27.876542],[88.730326,28.086865],[88.814248,27.299316],[88.835643,27.098966],[89.744528,26.719403],[90.373275,26.875724],[91.217513,26.808648],[92.033484,26.83831],[92.103712,27.452614],[91.696657,27.771742],[92.503119,27.896876],[93.413348,28.640629],[94.56599,29.277438],[95.404802,29.031717],[96.117679,29.452802],[96.586591,28.83098],[96.248833,28.411031],[97.327114,28.261583],[97.402561,27.882536],[97.051989,27.699059],[97.133999,27.083774],[96.419366,27.264589],[95.124768,26.573572],[95.155153,26.001307],[94.603249,25.162495],[94.552658,24.675238],[94.106742,23.850741],[93.325188,24.078556],[93.286327,23.043658],[93.060294,22.703111],[93.166128,22.27846],[92.672721,22.041239],[92.146035,23.627499],[91.869928,23.624346],[91.706475,22.985264],[91.158963,23.503527],[91.46773,24.072639],[91.915093,24.130414],[92.376202,24.976693],[91.799596,25.147432],[90.872211,25.132601],[89.920693,25.26975],[89.832481,25.965082],[89.355094,26.014407],[88.563049,26.446526],[88.209789,25.768066],[88.931554,25.238692],[88.306373,24.866079],[88.084422,24.501657],[88.69994,24.233715],[88.52977,23.631142],[88.876312,22.879146],[89.031961,22.055708],[88.888766,21.690588],[88.208497,21.703172],[86.975704,21.495562],[87.033169,20.743308],[86.499351,20.151638],[85.060266,19.478579],[83.941006,18.30201],[83.189217,17.671221],[82.192792,17.016636],[82.191242,16.556664],[81.692719,16.310219],[80.791999,15.951972],[80.324896,15.899185],[80.025069,15.136415],[80.233274,13.835771],[80.286294,13.006261],[79.862547,12.056215],[79.857999,10.357275],[79.340512,10.308854],[78.885345,9.546136],[79.18972,9.216544],[78.277941,8.933047],[77.941165,8.252959],[77.539898,7.965535],[76.592979,8.899276],[76.130061,10.29963],[75.746467,11.308251],[75.396101,11.781245],[74.864816,12.741936],[74.616717,13.992583],[74.443859,14.617222],[73.534199,15.990652],[73.119909,17.92857],[72.820909,19.208234],[72.824475,20.419503],[72.630533,21.356009],[71.175273,20.757441],[70.470459,20.877331],[69.16413,22.089298],[69.644928,22.450775],[69.349597,22.84318],[68.176645,23.691965],[68.842599,24.359134],[71.04324,24.356524],[70.844699,25.215102],[70.282873,25.722229],[70.168927,26.491872],[69.514393,26.940966],[70.616496,27.989196],[71.777666,27.91318],[72.823752,28.961592],[73.450638,29.976413],[74.42138,30.979815],[74.405929,31.692639],[75.258642,32.271105],[74.451559,32.7649],[74.104294,33.441473],[73.749948,34.317699],[74.240203,34.748887],[75.757061,34.504923],[76.871722,34.653544],[77.837451,35.49401]]]}},{"type":"Feature","id":"IRL","properties":{"name":"Ireland"},"geometry":{"type":"Polygon","coordinates":[[[-6.197885,53.867565],[-6.032985,53.153164],[-6.788857,52.260118],[-8.561617,51.669301],[-9.977086,51.820455],[-9.166283,52.864629],[-9.688525,53.881363],[-8.327987,54.664519],[-7.572168,55.131622],[-7.366031,54.595841],[-7.572168,54.059956],[-6.95373,54.073702],[-6.197885,53.867565]]]}},{"type":"Feature","id":"IRN","properties":{"name":"Iran"},"geometry":{"type":"Polygon","coordinates":[[[53.921598,37.198918],[54.800304,37.392421],[55.511578,37.964117],[56.180375,37.935127],[56.619366,38.121394],[57.330434,38.029229],[58.436154,37.522309],[59.234762,37.412988],[60.377638,36.527383],[61.123071,36.491597],[61.210817,35.650072],[60.803193,34.404102],[60.52843,33.676446],[60.9637,33.528832],[60.536078,32.981269],[60.863655,32.18292],[60.941945,31.548075],[61.699314,31.379506],[61.781222,30.73585],[60.874248,29.829239],[61.369309,29.303276],[61.771868,28.699334],[62.72783,28.259645],[62.755426,27.378923],[63.233898,27.217047],[63.316632,26.756532],[61.874187,26.239975],[61.497363,25.078237],[59.616134,25.380157],[58.525761,25.609962],[57.397251,25.739902],[56.970766,26.966106],[56.492139,27.143305],[55.72371,26.964633],[54.71509,26.480658],[53.493097,26.812369],[52.483598,27.580849],[51.520763,27.86569],[50.852948,28.814521],[50.115009,30.147773],[49.57685,29.985715],[48.941333,30.31709],[48.567971,29.926778],[48.014568,30.452457],[48.004698,30.985137],[47.685286,30.984853],[47.849204,31.709176],[47.334661,32.469155],[46.109362,33.017287],[45.416691,33.967798],[45.64846,34.748138],[46.151788,35.093259],[46.07634,35.677383],[45.420618,35.977546],[44.77267,37.17045],[44.225756,37.971584],[44.421403,38.281281],[44.109225,39.428136],[44.79399,39.713003],[44.952688,39.335765],[45.457722,38.874139],[46.143623,38.741201],[46.50572,38.770605],[47.685079,39.508364],[48.060095,39.582235],[48.355529,39.288765],[48.010744,38.794015],[48.634375,38.270378],[48.883249,38.320245],[49.199612,37.582874],[50.147771,37.374567],[50.842354,36.872814],[52.264025,36.700422],[53.82579,36.965031],[53.921598,37.198918]]]}},{"type":"Feature","id":"IRQ","properties":{"name":"Iraq"},"geometry":{"type":"Polygon","coordinates":[[[45.420618,35.977546],[46.07634,35.677383],[46.151788,35.093259],[45.64846,34.748138],[45.416691,33.967798],[46.109362,33.017287],[47.334661,32.469155],[47.849204,31.709176],[47.685286,30.984853],[48.004698,30.985137],[48.014568,30.452457],[48.567971,29.926778],[47.974519,29.975819],[47.302622,30.05907],[46.568713,29.099025],[44.709499,29.178891],[41.889981,31.190009],[40.399994,31.889992],[39.195468,32.161009],[38.792341,33.378686],[41.006159,34.419372],[41.383965,35.628317],[41.289707,36.358815],[41.837064,36.605854],[42.349591,37.229873],[42.779126,37.385264],[43.942259,37.256228],[44.293452,37.001514],[44.772699,37.170445],[45.420618,35.977546]]]}},{"type":"Feature","id":"ISL","properties":{"name":"Iceland"},"geometry":{"type":"Polygon","coordinates":[[[-14.508695,66.455892],[-14.739637,65.808748],[-13.609732,65.126671],[-14.909834,64.364082],[-17.794438,63.678749],[-18.656246,63.496383],[-19.972755,63.643635],[-22.762972,63.960179],[-21.778484,64.402116],[-23.955044,64.89113],[-22.184403,65.084968],[-22.227423,65.378594],[-24.326184,65.611189],[-23.650515,66.262519],[-22.134922,66.410469],[-20.576284,65.732112],[-19.056842,66.276601],[-17.798624,65.993853],[-16.167819,66.526792],[-14.508695,66.455892]]]}},{"type":"Feature","id":"ISR","properties":{"name":"Israel"},"geometry":{"type":"Polygon","coordinates":[[[35.719918,32.709192],[35.545665,32.393992],[35.18393,32.532511],[34.974641,31.866582],[35.225892,31.754341],[34.970507,31.616778],[34.927408,31.353435],[35.397561,31.489086],[35.420918,31.100066],[34.922603,29.501326],[34.265433,31.219361],[34.556372,31.548824],[34.488107,31.605539],[34.752587,32.072926],[34.955417,32.827376],[35.098457,33.080539],[35.126053,33.0909],[35.460709,33.08904],[35.552797,33.264275],[35.821101,33.277426],[35.836397,32.868123],[35.700798,32.716014],[35.719918,32.709192]]]}},{"type":"Feature","id":"ITA","properties":{"name":"Italy"},"geometry":{"type":"MultiPolygon","coordinates":[[[[15.520376,38.231155],[15.160243,37.444046],[15.309898,37.134219],[15.099988,36.619987],[14.335229,36.996631],[13.826733,37.104531],[12.431004,37.61295],[12.570944,38.126381],[13.741156,38.034966],[14.761249,38.143874],[15.520376,38.231155]]],[[[9.210012,41.209991],[9.809975,40.500009],[9.669519,39.177376],[9.214818,39.240473],[8.806936,38.906618],[8.428302,39.171847],[8.388253,40.378311],[8.159998,40.950007],[8.709991,40.899984],[9.210012,41.209991]]],[[[12.376485,46.767559],[13.806475,46.509306],[13.69811,46.016778],[13.93763,45.591016],[13.141606,45.736692],[12.328581,45.381778],[12.383875,44.885374],[12.261453,44.600482],[12.589237,44.091366],[13.526906,43.587727],[14.029821,42.761008],[15.14257,41.95514],[15.926191,41.961315],[16.169897,41.740295],[15.889346,41.541082],[16.785002,41.179606],[17.519169,40.877143],[18.376687,40.355625],[18.480247,40.168866],[18.293385,39.810774],[17.73838,40.277671],[16.869596,40.442235],[16.448743,39.795401],[17.17149,39.4247],[17.052841,38.902871],[16.635088,38.843572],[16.100961,37.985899],[15.684087,37.908849],[15.687963,38.214593],[15.891981,38.750942],[16.109332,38.964547],[15.718814,39.544072],[15.413613,40.048357],[14.998496,40.172949],[14.703268,40.60455],[14.060672,40.786348],[13.627985,41.188287],[12.888082,41.25309],[12.106683,41.704535],[11.191906,42.355425],[10.511948,42.931463],[10.200029,43.920007],[9.702488,44.036279],[8.888946,44.366336],[8.428561,44.231228],[7.850767,43.767148],[7.435185,43.693845],[7.549596,44.127901],[7.007562,44.254767],[6.749955,45.028518],[7.096652,45.333099],[6.802355,45.70858],[6.843593,45.991147],[7.273851,45.776948],[7.755992,45.82449],[8.31663,46.163642],[8.489952,46.005151],[8.966306,46.036932],[9.182882,46.440215],[9.922837,46.314899],[10.363378,46.483571],[10.442701,46.893546],[11.048556,46.751359],[11.164828,46.941579],[12.153088,47.115393],[12.376485,46.767559]]]]}},{"type":"Feature","id":"JAM","properties":{"name":"Jamaica"},"geometry":{"type":"Polygon","coordinates":[[[-77.569601,18.490525],[-76.896619,18.400867],[-76.365359,18.160701],[-76.199659,17.886867],[-76.902561,17.868238],[-77.206341,17.701116],[-77.766023,17.861597],[-78.337719,18.225968],[-78.217727,18.454533],[-77.797365,18.524218],[-77.569601,18.490525]]]}},{"type":"Feature","id":"JOR","properties":{"name":"Jordan"},"geometry":{"type":"Polygon","coordinates":[[[35.545665,32.393992],[35.719918,32.709192],[36.834062,32.312938],[38.792341,33.378686],[39.195468,32.161009],[39.004886,32.010217],[37.002166,31.508413],[37.998849,30.5085],[37.66812,30.338665],[37.503582,30.003776],[36.740528,29.865283],[36.501214,29.505254],[36.068941,29.197495],[34.956037,29.356555],[34.922603,29.501326],[35.420918,31.100066],[35.397561,31.489086],[35.545252,31.782505],[35.545665,32.393992]]]}},{"type":"Feature","id":"JPN","properties":{"name":"Japan"},"geometry":{"type":"MultiPolygon","coordinates":[[[[134.638428,34.149234],[134.766379,33.806335],[134.203416,33.201178],[133.79295,33.521985],[133.280268,33.28957],[133.014858,32.704567],[132.363115,32.989382],[132.371176,33.463642],[132.924373,34.060299],[133.492968,33.944621],[133.904106,34.364931],[134.638428,34.149234]]],[[[140.976388,37.142074],[140.59977,36.343983],[140.774074,35.842877],[140.253279,35.138114],[138.975528,34.6676],[137.217599,34.606286],[135.792983,33.464805],[135.120983,33.849071],[135.079435,34.596545],[133.340316,34.375938],[132.156771,33.904933],[130.986145,33.885761],[132.000036,33.149992],[131.33279,31.450355],[130.686318,31.029579],[130.20242,31.418238],[130.447676,32.319475],[129.814692,32.61031],[129.408463,33.296056],[130.353935,33.604151],[130.878451,34.232743],[131.884229,34.749714],[132.617673,35.433393],[134.608301,35.731618],[135.677538,35.527134],[136.723831,37.304984],[137.390612,36.827391],[138.857602,37.827485],[139.426405,38.215962],[140.05479,39.438807],[139.883379,40.563312],[140.305783,41.195005],[141.368973,41.37856],[141.914263,39.991616],[141.884601,39.180865],[140.959489,38.174001],[140.976388,37.142074]]],[[[143.910162,44.1741],[144.613427,43.960883],[145.320825,44.384733],[145.543137,43.262088],[144.059662,42.988358],[143.18385,41.995215],[141.611491,42.678791],[141.067286,41.584594],[139.955106,41.569556],[139.817544,42.563759],[140.312087,43.333273],[141.380549,43.388825],[141.671952,44.772125],[141.967645,45.551483],[143.14287,44.510358],[143.910162,44.1741]]]]}},{"type":"Feature","id":"KAZ","properties":{"name":"Kazakhstan"},"geometry":{"type":"Polygon","coordinates":[[[70.962315,42.266154],[70.388965,42.081308],[69.070027,41.384244],[68.632483,40.668681],[68.259896,40.662325],[67.985856,41.135991],[66.714047,41.168444],[66.510649,41.987644],[66.023392,41.994646],[66.098012,42.99766],[64.900824,43.728081],[63.185787,43.650075],[62.0133,43.504477],[61.05832,44.405817],[60.239972,44.784037],[58.689989,45.500014],[58.503127,45.586804],[55.928917,44.995858],[55.968191,41.308642],[55.455251,41.259859],[54.755345,42.043971],[54.079418,42.324109],[52.944293,42.116034],[52.50246,41.783316],[52.446339,42.027151],[52.692112,42.443895],[52.501426,42.792298],[51.342427,43.132975],[50.891292,44.031034],[50.339129,44.284016],[50.305643,44.609836],[51.278503,44.514854],[51.316899,45.245998],[52.16739,45.408391],[53.040876,45.259047],[53.220866,46.234646],[53.042737,46.853006],[52.042023,46.804637],[51.191945,47.048705],[50.034083,46.60899],[49.10116,46.39933],[48.593241,46.561034],[48.694734,47.075628],[48.057253,47.743753],[47.315231,47.715847],[46.466446,48.394152],[47.043672,49.152039],[46.751596,49.356006],[47.54948,50.454698],[48.577841,49.87476],[48.702382,50.605128],[50.766648,51.692762],[52.328724,51.718652],[54.532878,51.02624],[55.716941,50.621717],[56.777961,51.043551],[58.363291,51.063653],[59.642282,50.545442],[59.932807,50.842194],[61.337424,50.79907],[61.588003,51.272659],[59.967534,51.96042],[60.927269,52.447548],[60.739993,52.719986],[61.699986,52.979996],[60.978066,53.664993],[61.436591,54.006265],[65.178534,54.354228],[65.666876,54.601267],[68.1691,54.970392],[69.068167,55.38525],[70.865267,55.169734],[71.180131,54.133285],[72.22415,54.376655],[73.508516,54.035617],[73.425679,53.48981],[74.384845,53.546861],[76.8911,54.490524],[76.525179,54.177003],[77.800916,53.404415],[80.03556,50.864751],[80.568447,51.388336],[81.945986,50.812196],[83.383004,51.069183],[83.935115,50.889246],[84.416377,50.3114],[85.11556,50.117303],[85.54127,49.692859],[86.829357,49.826675],[87.35997,49.214981],[86.598776,48.549182],[85.768233,48.455751],[85.720484,47.452969],[85.16429,47.000956],[83.180484,47.330031],[82.458926,45.53965],[81.947071,45.317027],[79.966106,44.917517],[80.866206,43.180362],[80.18015,42.920068],[80.25999,42.349999],[79.643645,42.496683],[79.142177,42.856092],[77.658392,42.960686],[76.000354,42.988022],[75.636965,42.8779],[74.212866,43.298339],[73.645304,43.091272],[73.489758,42.500894],[71.844638,42.845395],[71.186281,42.704293],[70.962315,42.266154]]]}},{"type":"Feature","id":"KEN","properties":{"name":"Kenya"},"geometry":{"type":"Polygon","coordinates":[[[40.993,-0.85829],[41.58513,-1.68325],[40.88477,-2.08255],[40.63785,-2.49979],[40.26304,-2.57309],[40.12119,-3.27768],[39.80006,-3.68116],[39.60489,-4.34653],[39.20222,-4.67677],[37.7669,-3.67712],[37.69869,-3.09699],[34.07262,-1.05982],[33.903711,-0.95],[33.893569,0.109814],[34.18,0.515],[34.6721,1.17694],[35.03599,1.90584],[34.59607,3.05374],[34.47913,3.5556],[34.005,4.249885],[34.620196,4.847123],[35.298007,5.506],[35.817448,5.338232],[35.817448,4.776966],[36.159079,4.447864],[36.855093,4.447864],[38.120915,3.598605],[38.43697,3.58851],[38.67114,3.61607],[38.89251,3.50074],[39.559384,3.42206],[39.85494,3.83879],[40.76848,4.25702],[41.1718,3.91909],[41.855083,3.918912],[40.98105,2.78452],[40.993,-0.85829]]]}},{"type":"Feature","id":"KGZ","properties":{"name":"Kyrgyzstan"},"geometry":{"type":"Polygon","coordinates":[[[70.962315,42.266154],[71.186281,42.704293],[71.844638,42.845395],[73.489758,42.500894],[73.645304,43.091272],[74.212866,43.298339],[75.636965,42.8779],[76.000354,42.988022],[77.658392,42.960686],[79.142177,42.856092],[79.643645,42.496683],[80.25999,42.349999],[80.11943,42.123941],[78.543661,41.582243],[78.187197,41.185316],[76.904484,41.066486],[76.526368,40.427946],[75.467828,40.562072],[74.776862,40.366425],[73.822244,39.893973],[73.960013,39.660008],[73.675379,39.431237],[71.784694,39.279463],[70.549162,39.604198],[69.464887,39.526683],[69.55961,40.103211],[70.648019,39.935754],[71.014198,40.244366],[71.774875,40.145844],[73.055417,40.866033],[71.870115,41.3929],[71.157859,41.143587],[70.420022,41.519998],[71.259248,42.167711],[70.962315,42.266154]]]}},{"type":"Feature","id":"KHM","properties":{"name":"Cambodia"},"geometry":{"type":"Polygon","coordinates":[[[103.49728,10.632555],[103.09069,11.153661],[102.584932,12.186595],[102.348099,13.394247],[102.988422,14.225721],[104.281418,14.416743],[105.218777,14.273212],[106.043946,13.881091],[106.496373,14.570584],[107.382727,14.202441],[107.614548,13.535531],[107.491403,12.337206],[105.810524,11.567615],[106.24967,10.961812],[105.199915,10.88931],[104.334335,10.486544],[103.49728,10.632555]]]}},{"type":"Feature","id":"KOR","properties":{"name":"South Korea"},"geometry":{"type":"Polygon","coordinates":[[[128.349716,38.612243],[129.21292,37.432392],[129.46045,36.784189],[129.468304,35.632141],[129.091377,35.082484],[128.18585,34.890377],[127.386519,34.475674],[126.485748,34.390046],[126.37392,34.93456],[126.559231,35.684541],[126.117398,36.725485],[126.860143,36.893924],[126.174759,37.749686],[126.237339,37.840378],[126.68372,37.804773],[127.073309,38.256115],[127.780035,38.304536],[128.205746,38.370397],[128.349716,38.612243]]]}},{"type":"Feature","id":"CS-KM","properties":{"name":"Kosovo"},"geometry":{"type":"Polygon","coordinates":[[[20.76216,42.05186],[20.71731,41.84711],[20.59023,41.85541],[20.52295,42.21787],[20.28374,42.32025],[20.0707,42.58863],[20.25758,42.81275],[20.49679,42.88469],[20.63508,43.21671],[20.81448,43.27205],[20.95651,43.13094],[21.143395,43.068685],[21.27421,42.90959],[21.43866,42.86255],[21.63302,42.67717],[21.77505,42.6827],[21.66292,42.43922],[21.54332,42.32025],[21.576636,42.245224],[21.3527,42.2068],[20.76216,42.05186]]]}},{"type":"Feature","id":"KWT","properties":{"name":"Kuwait"},"geometry":{"type":"Polygon","coordinates":[[[47.974519,29.975819],[48.183189,29.534477],[48.093943,29.306299],[48.416094,28.552004],[47.708851,28.526063],[47.459822,29.002519],[46.568713,29.099025],[47.302622,30.05907],[47.974519,29.975819]]]}},{"type":"Feature","id":"LAO","properties":{"name":"Laos"},"geometry":{"type":"Polygon","coordinates":[[[105.218777,14.273212],[105.544338,14.723934],[105.589039,15.570316],[104.779321,16.441865],[104.716947,17.428859],[103.956477,18.240954],[103.200192,18.309632],[102.998706,17.961695],[102.413005,17.932782],[102.113592,18.109102],[101.059548,17.512497],[101.035931,18.408928],[101.282015,19.462585],[100.606294,19.508344],[100.548881,20.109238],[100.115988,20.41785],[100.329101,20.786122],[101.180005,21.436573],[101.270026,21.201652],[101.80312,21.174367],[101.652018,22.318199],[102.170436,22.464753],[102.754896,21.675137],[103.203861,20.766562],[104.435,20.758733],[104.822574,19.886642],[104.183388,19.624668],[103.896532,19.265181],[105.094598,18.666975],[105.925762,17.485315],[106.556008,16.604284],[107.312706,15.908538],[107.564525,15.202173],[107.382727,14.202441],[106.496373,14.570584],[106.043946,13.881091],[105.218777,14.273212]]]}},{"type":"Feature","id":"LBN","properties":{"name":"Lebanon"},"geometry":{"type":"Polygon","coordinates":[[[35.821101,33.277426],[35.552797,33.264275],[35.460709,33.08904],[35.126053,33.0909],[35.482207,33.90545],[35.979592,34.610058],[35.998403,34.644914],[36.448194,34.593935],[36.61175,34.201789],[36.06646,33.824912],[35.821101,33.277426]]]}},{"type":"Feature","id":"LBR","properties":{"name":"Liberia"},"geometry":{"type":"Polygon","coordinates":[[[-7.712159,4.364566],[-7.974107,4.355755],[-9.004794,4.832419],[-9.91342,5.593561],[-10.765384,6.140711],[-11.438779,6.785917],[-11.199802,7.105846],[-11.146704,7.396706],[-10.695595,7.939464],[-10.230094,8.406206],[-10.016567,8.428504],[-9.755342,8.541055],[-9.33728,7.928534],[-9.403348,7.526905],[-9.208786,7.313921],[-8.926065,7.309037],[-8.722124,7.711674],[-8.439298,7.686043],[-8.485446,7.395208],[-8.385452,6.911801],[-8.60288,6.467564],[-8.311348,6.193033],[-7.993693,6.12619],[-7.570153,5.707352],[-7.539715,5.313345],[-7.635368,5.188159],[-7.712159,4.364566]]]}},{"type":"Feature","id":"LBY","properties":{"name":"Libya"},"geometry":{"type":"Polygon","coordinates":[[[14.8513,22.86295],[14.143871,22.491289],[13.581425,23.040506],[11.999506,23.471668],[11.560669,24.097909],[10.771364,24.562532],[10.303847,24.379313],[9.948261,24.936954],[9.910693,25.365455],[9.319411,26.094325],[9.716286,26.512206],[9.629056,27.140953],[9.756128,27.688259],[9.683885,28.144174],[9.859998,28.95999],[9.805634,29.424638],[9.48214,30.307556],[9.970017,30.539325],[10.056575,30.961831],[9.950225,31.37607],[10.636901,31.761421],[10.94479,32.081815],[11.432253,32.368903],[11.488787,33.136996],[12.66331,32.79278],[13.08326,32.87882],[13.91868,32.71196],[15.24563,32.26508],[15.71394,31.37626],[16.61162,31.18218],[18.02109,30.76357],[19.08641,30.26639],[19.57404,30.52582],[20.05335,30.98576],[19.82033,31.75179],[20.13397,32.2382],[20.85452,32.7068],[21.54298,32.8432],[22.89576,32.63858],[23.2368,32.19149],[23.60913,32.18726],[23.9275,32.01667],[24.92114,31.89936],[25.16482,31.56915],[24.80287,31.08929],[24.95762,30.6616],[24.70007,30.04419],[25,29.238655],[25,25.6825],[25,22],[25,20.00304],[23.85,20],[23.83766,19.58047],[19.84926,21.49509],[15.86085,23.40972],[14.8513,22.86295]]]}},{"type":"Feature","id":"LKA","properties":{"name":"Sri Lanka"},"geometry":{"type":"Polygon","coordinates":[[[81.787959,7.523055],[81.637322,6.481775],[81.21802,6.197141],[80.348357,5.96837],[79.872469,6.763463],[79.695167,8.200843],[80.147801,9.824078],[80.838818,9.268427],[81.304319,8.564206],[81.787959,7.523055]]]}},{"type":"Feature","id":"LSO","properties":{"name":"Lesotho"},"geometry":{"type":"Polygon","coordinates":[[[28.978263,-28.955597],[29.325166,-29.257387],[29.018415,-29.743766],[28.8484,-30.070051],[28.291069,-30.226217],[28.107205,-30.545732],[27.749397,-30.645106],[26.999262,-29.875954],[27.532511,-29.242711],[28.074338,-28.851469],[28.5417,-28.647502],[28.978263,-28.955597]]]}},{"type":"Feature","id":"LTU","properties":{"name":"Lithuania"},"geometry":{"type":"Polygon","coordinates":[[[22.731099,54.327537],[22.651052,54.582741],[22.757764,54.856574],[22.315724,55.015299],[21.268449,55.190482],[21.0558,56.031076],[22.201157,56.337802],[23.878264,56.273671],[24.860684,56.372528],[25.000934,56.164531],[25.533047,56.100297],[26.494331,55.615107],[26.588279,55.167176],[25.768433,54.846963],[25.536354,54.282423],[24.450684,53.905702],[23.484128,53.912498],[23.243987,54.220567],[22.731099,54.327537]]]}},{"type":"Feature","id":"LUX","properties":{"name":"Luxembourg"},"geometry":{"type":"Polygon","coordinates":[[[6.043073,50.128052],[6.242751,49.902226],[6.18632,49.463803],[5.897759,49.442667],[5.674052,49.529484],[5.782417,50.090328],[6.043073,50.128052]]]}},{"type":"Feature","id":"LVA","properties":{"name":"Latvia"},"geometry":{"type":"Polygon","coordinates":[[[21.0558,56.031076],[21.090424,56.783873],[21.581866,57.411871],[22.524341,57.753374],[23.318453,57.006236],[24.12073,57.025693],[24.312863,57.793424],[25.164594,57.970157],[25.60281,57.847529],[26.463532,57.476389],[27.288185,57.474528],[27.770016,57.244258],[27.855282,56.759326],[28.176709,56.16913],[27.10246,55.783314],[26.494331,55.615107],[25.533047,56.100297],[25.000934,56.164531],[24.860684,56.372528],[23.878264,56.273671],[22.201157,56.337802],[21.0558,56.031076]]]}},{"type":"Feature","id":"MAR","properties":{"name":"Morocco"},"geometry":{"type":"Polygon","coordinates":[[[-5.193863,35.755182],[-4.591006,35.330712],[-3.640057,35.399855],[-2.604306,35.179093],[-2.169914,35.168396],[-1.792986,34.527919],[-1.733455,33.919713],[-1.388049,32.864015],[-1.124551,32.651522],[-1.307899,32.262889],[-2.616605,32.094346],[-3.06898,31.724498],[-3.647498,31.637294],[-3.690441,30.896952],[-4.859646,30.501188],[-5.242129,30.000443],[-6.060632,29.7317],[-7.059228,29.579228],[-8.674116,28.841289],[-8.66559,27.656426],[-8.817809,27.656426],[-8.817828,27.656426],[-8.794884,27.120696],[-9.413037,27.088476],[-9.735343,26.860945],[-10.189424,26.860945],[-10.551263,26.990808],[-11.392555,26.883424],[-11.71822,26.104092],[-12.030759,26.030866],[-12.500963,24.770116],[-13.89111,23.691009],[-14.221168,22.310163],[-14.630833,21.86094],[-14.750955,21.5006],[-17.002962,21.420734],[-17.020428,21.42231],[-16.973248,21.885745],[-16.589137,22.158234],[-16.261922,22.67934],[-16.326414,23.017768],[-15.982611,23.723358],[-15.426004,24.359134],[-15.089332,24.520261],[-14.824645,25.103533],[-14.800926,25.636265],[-14.43994,26.254418],[-13.773805,26.618892],[-13.139942,27.640148],[-13.121613,27.654148],[-12.618837,28.038186],[-11.688919,28.148644],[-10.900957,28.832142],[-10.399592,29.098586],[-9.564811,29.933574],[-9.814718,31.177736],[-9.434793,32.038096],[-9.300693,32.564679],[-8.657476,33.240245],[-7.654178,33.697065],[-6.912544,34.110476],[-6.244342,35.145865],[-5.929994,35.759988],[-5.193863,35.755182]]]}},{"type":"Feature","id":"MDA","properties":{"name":"Moldova"},"geometry":{"type":"Polygon","coordinates":[[[26.619337,48.220726],[26.857824,48.368211],[27.522537,48.467119],[28.259547,48.155562],[28.670891,48.118149],[29.122698,47.849095],[29.050868,47.510227],[29.415135,47.346645],[29.559674,46.928583],[29.908852,46.674361],[29.83821,46.525326],[30.024659,46.423937],[29.759972,46.349988],[29.170654,46.379262],[29.072107,46.517678],[28.862972,46.437889],[28.933717,46.25883],[28.659987,45.939987],[28.485269,45.596907],[28.233554,45.488283],[28.054443,45.944586],[28.160018,46.371563],[28.12803,46.810476],[27.551166,47.405117],[27.233873,47.826771],[26.924176,48.123264],[26.619337,48.220726]]]}},{"type":"Feature","id":"MDG","properties":{"name":"Madagascar"},"geometry":{"type":"Polygon","coordinates":[[[49.543519,-12.469833],[49.808981,-12.895285],[50.056511,-13.555761],[50.217431,-14.758789],[50.476537,-15.226512],[50.377111,-15.706069],[50.200275,-16.000263],[49.860606,-15.414253],[49.672607,-15.710204],[49.863344,-16.451037],[49.774564,-16.875042],[49.498612,-17.106036],[49.435619,-17.953064],[49.041792,-19.118781],[48.548541,-20.496888],[47.930749,-22.391501],[47.547723,-23.781959],[47.095761,-24.94163],[46.282478,-25.178463],[45.409508,-25.601434],[44.833574,-25.346101],[44.03972,-24.988345],[43.763768,-24.460677],[43.697778,-23.574116],[43.345654,-22.776904],[43.254187,-22.057413],[43.433298,-21.336475],[43.893683,-21.163307],[43.89637,-20.830459],[44.374325,-20.072366],[44.464397,-19.435454],[44.232422,-18.961995],[44.042976,-18.331387],[43.963084,-17.409945],[44.312469,-16.850496],[44.446517,-16.216219],[44.944937,-16.179374],[45.502732,-15.974373],[45.872994,-15.793454],[46.312243,-15.780018],[46.882183,-15.210182],[47.70513,-14.594303],[48.005215,-14.091233],[47.869047,-13.663869],[48.293828,-13.784068],[48.84506,-13.089175],[48.863509,-12.487868],[49.194651,-12.040557],[49.543519,-12.469833]]]}},{"type":"Feature","id":"MEX","properties":{"name":"Mexico"},"geometry":{"type":"Polygon","coordinates":[[[-97.140008,25.869997],[-97.528072,24.992144],[-97.702946,24.272343],[-97.776042,22.93258],[-97.872367,22.444212],[-97.699044,21.898689],[-97.38896,21.411019],[-97.189333,20.635433],[-96.525576,19.890931],[-96.292127,19.320371],[-95.900885,18.828024],[-94.839063,18.562717],[-94.42573,18.144371],[-93.548651,18.423837],[-92.786114,18.524839],[-92.037348,18.704569],[-91.407903,18.876083],[-90.77187,19.28412],[-90.53359,19.867418],[-90.451476,20.707522],[-90.278618,20.999855],[-89.601321,21.261726],[-88.543866,21.493675],[-87.658417,21.458846],[-87.05189,21.543543],[-86.811982,21.331515],[-86.845908,20.849865],[-87.383291,20.255405],[-87.621054,19.646553],[-87.43675,19.472403],[-87.58656,19.04013],[-87.837191,18.259816],[-88.090664,18.516648],[-88.300031,18.499982],[-88.490123,18.486831],[-88.848344,17.883198],[-89.029857,18.001511],[-89.150909,17.955468],[-89.14308,17.808319],[-90.067934,17.819326],[-91.00152,17.817595],[-91.002269,17.254658],[-91.453921,17.252177],[-91.08167,16.918477],[-90.711822,16.687483],[-90.600847,16.470778],[-90.438867,16.41011],[-90.464473,16.069562],[-91.74796,16.066565],[-92.229249,15.251447],[-92.087216,15.064585],[-92.20323,14.830103],[-92.22775,14.538829],[-93.359464,15.61543],[-93.875169,15.940164],[-94.691656,16.200975],[-95.250227,16.128318],[-96.053382,15.752088],[-96.557434,15.653515],[-97.263592,15.917065],[-98.01303,16.107312],[-98.947676,16.566043],[-99.697397,16.706164],[-100.829499,17.171071],[-101.666089,17.649026],[-101.918528,17.91609],[-102.478132,17.975751],[-103.50099,18.292295],[-103.917527,18.748572],[-104.99201,19.316134],[-105.493038,19.946767],[-105.731396,20.434102],[-105.397773,20.531719],[-105.500661,20.816895],[-105.270752,21.076285],[-105.265817,21.422104],[-105.603161,21.871146],[-105.693414,22.26908],[-106.028716,22.773752],[-106.90998,23.767774],[-107.915449,24.548915],[-108.401905,25.172314],[-109.260199,25.580609],[-109.444089,25.824884],[-109.291644,26.442934],[-109.801458,26.676176],[-110.391732,27.162115],[-110.641019,27.859876],[-111.178919,27.941241],[-111.759607,28.467953],[-112.228235,28.954409],[-112.271824,29.266844],[-112.809594,30.021114],[-113.163811,30.786881],[-113.148669,31.170966],[-113.871881,31.567608],[-114.205737,31.524045],[-114.776451,31.799532],[-114.9367,31.393485],[-114.771232,30.913617],[-114.673899,30.162681],[-114.330974,29.750432],[-113.588875,29.061611],[-113.424053,28.826174],[-113.271969,28.754783],[-113.140039,28.411289],[-112.962298,28.42519],[-112.761587,27.780217],[-112.457911,27.525814],[-112.244952,27.171727],[-111.616489,26.662817],[-111.284675,25.73259],[-110.987819,25.294606],[-110.710007,24.826004],[-110.655049,24.298595],[-110.172856,24.265548],[-109.771847,23.811183],[-109.409104,23.364672],[-109.433392,23.185588],[-109.854219,22.818272],[-110.031392,22.823078],[-110.295071,23.430973],[-110.949501,24.000964],[-111.670568,24.484423],[-112.182036,24.738413],[-112.148989,25.470125],[-112.300711,26.012004],[-112.777297,26.32196],[-113.464671,26.768186],[-113.59673,26.63946],[-113.848937,26.900064],[-114.465747,27.14209],[-115.055142,27.722727],[-114.982253,27.7982],[-114.570366,27.741485],[-114.199329,28.115003],[-114.162018,28.566112],[-114.931842,29.279479],[-115.518654,29.556362],[-115.887365,30.180794],[-116.25835,30.836464],[-116.721526,31.635744],[-117.12776,32.53534],[-115.99135,32.61239],[-114.72139,32.72083],[-114.815,32.52528],[-113.30498,32.03914],[-111.02361,31.33472],[-109.035,31.34194],[-108.24194,31.34222],[-108.24,31.754854],[-106.50759,31.75452],[-106.1429,31.39995],[-105.63159,31.08383],[-105.03737,30.64402],[-104.70575,30.12173],[-104.45697,29.57196],[-103.94,29.27],[-103.11,28.97],[-102.48,29.76],[-101.6624,29.7793],[-100.9576,29.38071],[-100.45584,28.69612],[-100.11,28.11],[-99.52,27.54],[-99.3,26.84],[-99.02,26.37],[-98.24,26.06],[-97.53,25.84],[-97.140008,25.869997]]]}},{"type":"Feature","id":"MKD","properties":{"name":"Macedonia"},"geometry":{"type":"Polygon","coordinates":[[[20.59023,41.85541],[20.71731,41.84711],[20.76216,42.05186],[21.3527,42.2068],[21.576636,42.245224],[21.91708,42.30364],[22.380526,42.32026],[22.881374,41.999297],[22.952377,41.337994],[22.76177,41.3048],[22.597308,41.130487],[22.055378,41.149866],[21.674161,40.931275],[21.02004,40.842727],[20.60518,41.08622],[20.46315,41.51509],[20.59023,41.85541]]]}},{"type":"Feature","id":"MLI","properties":{"name":"Mali"},"geometry":{"type":"Polygon","coordinates":[[[-12.17075,14.616834],[-11.834208,14.799097],[-11.666078,15.388208],[-11.349095,15.411256],[-10.650791,15.132746],[-10.086846,15.330486],[-9.700255,15.264107],[-9.550238,15.486497],[-5.537744,15.50169],[-5.315277,16.201854],[-5.488523,16.325102],[-5.971129,20.640833],[-6.453787,24.956591],[-4.923337,24.974574],[-1.550055,22.792666],[1.823228,20.610809],[2.060991,20.142233],[2.683588,19.85623],[3.146661,19.693579],[3.158133,19.057364],[4.267419,19.155265],[4.27021,16.852227],[3.723422,16.184284],[3.638259,15.56812],[2.749993,15.409525],[1.385528,15.323561],[1.015783,14.968182],[0.374892,14.928908],[-0.266257,14.924309],[-0.515854,15.116158],[-1.066363,14.973815],[-2.001035,14.559008],[-2.191825,14.246418],[-2.967694,13.79815],[-3.103707,13.541267],[-3.522803,13.337662],[-4.006391,13.472485],[-4.280405,13.228444],[-4.427166,12.542646],[-5.220942,11.713859],[-5.197843,11.375146],[-5.470565,10.95127],[-5.404342,10.370737],[-5.816926,10.222555],[-6.050452,10.096361],[-6.205223,10.524061],[-6.493965,10.411303],[-6.666461,10.430811],[-6.850507,10.138994],[-7.622759,10.147236],[-7.89959,10.297382],[-8.029944,10.206535],[-8.335377,10.494812],[-8.282357,10.792597],[-8.407311,10.909257],[-8.620321,10.810891],[-8.581305,11.136246],[-8.376305,11.393646],[-8.786099,11.812561],[-8.905265,12.088358],[-9.127474,12.30806],[-9.327616,12.334286],[-9.567912,12.194243],[-9.890993,12.060479],[-10.165214,11.844084],[-10.593224,11.923975],[-10.87083,12.177887],[-11.036556,12.211245],[-11.297574,12.077971],[-11.456169,12.076834],[-11.513943,12.442988],[-11.467899,12.754519],[-11.553398,13.141214],[-11.927716,13.422075],[-12.124887,13.994727],[-12.17075,14.616834]]]}},{"type":"Feature","id":"MMR","properties":{"name":"Myanmar"},"geometry":{"type":"Polygon","coordinates":[[[99.543309,20.186598],[98.959676,19.752981],[98.253724,19.708203],[97.797783,18.62708],[97.375896,18.445438],[97.859123,17.567946],[98.493761,16.837836],[98.903348,16.177824],[98.537376,15.308497],[98.192074,15.123703],[98.430819,14.622028],[99.097755,13.827503],[99.212012,13.269294],[99.196354,12.804748],[99.587286,11.892763],[99.038121,10.960546],[98.553551,9.93296],[98.457174,10.675266],[98.764546,11.441292],[98.428339,12.032987],[98.509574,13.122378],[98.103604,13.64046],[97.777732,14.837286],[97.597072,16.100568],[97.16454,16.928734],[96.505769,16.427241],[95.369352,15.71439],[94.808405,15.803454],[94.188804,16.037936],[94.533486,17.27724],[94.324817,18.213514],[93.540988,19.366493],[93.663255,19.726962],[93.078278,19.855145],[92.368554,20.670883],[92.303234,21.475485],[92.652257,21.324048],[92.672721,22.041239],[93.166128,22.27846],[93.060294,22.703111],[93.286327,23.043658],[93.325188,24.078556],[94.106742,23.850741],[94.552658,24.675238],[94.603249,25.162495],[95.155153,26.001307],[95.124768,26.573572],[96.419366,27.264589],[97.133999,27.083774],[97.051989,27.699059],[97.402561,27.882536],[97.327114,28.261583],[97.911988,28.335945],[98.246231,27.747221],[98.68269,27.508812],[98.712094,26.743536],[98.671838,25.918703],[97.724609,25.083637],[97.60472,23.897405],[98.660262,24.063286],[98.898749,23.142722],[99.531992,22.949039],[99.240899,22.118314],[99.983489,21.742937],[100.416538,21.558839],[101.150033,21.849984],[101.180005,21.436573],[100.329101,20.786122],[100.115988,20.41785],[99.543309,20.186598]]]}},{"type":"Feature","id":"MNE","properties":{"name":"Montenegro"},"geometry":{"type":"Polygon","coordinates":[[[19.801613,42.500093],[19.738051,42.688247],[19.30449,42.19574],[19.37177,41.87755],[19.16246,41.95502],[18.88214,42.28151],[18.45,42.48],[18.56,42.65],[18.70648,43.20011],[19.03165,43.43253],[19.21852,43.52384],[19.48389,43.35229],[19.63,43.21378],[19.95857,43.10604],[20.3398,42.89852],[20.25758,42.81275],[20.0707,42.58863],[19.801613,42.500093]]]}},{"type":"Feature","id":"MNG","properties":{"name":"Mongolia"},"geometry":{"type":"Polygon","coordinates":[[[87.751264,49.297198],[88.805567,49.470521],[90.713667,50.331812],[92.234712,50.802171],[93.104219,50.49529],[94.147566,50.480537],[94.815949,50.013433],[95.814028,49.977467],[97.259728,49.726061],[98.231762,50.422401],[97.82574,51.010995],[98.861491,52.047366],[99.981732,51.634006],[100.88948,51.516856],[102.065223,51.259921],[102.255909,50.510561],[103.676545,50.089966],[104.621552,50.275329],[105.886591,50.406019],[106.888804,50.274296],[107.868176,49.793705],[108.475167,49.282548],[109.402449,49.292961],[110.662011,49.130128],[111.581231,49.377968],[112.89774,49.543565],[114.362456,50.248303],[114.96211,50.140247],[115.485695,49.805177],[116.678801,49.888531],[116.191802,49.134598],[115.485282,48.135383],[115.742837,47.726545],[116.308953,47.85341],[117.295507,47.697709],[118.064143,48.06673],[118.866574,47.74706],[119.772824,47.048059],[119.66327,46.69268],[118.874326,46.805412],[117.421701,46.672733],[116.717868,46.388202],[115.985096,45.727235],[114.460332,45.339817],[113.463907,44.808893],[112.436062,45.011646],[111.873306,45.102079],[111.348377,44.457442],[111.667737,44.073176],[111.829588,43.743118],[111.129682,43.406834],[110.412103,42.871234],[109.243596,42.519446],[107.744773,42.481516],[106.129316,42.134328],[104.964994,41.59741],[104.522282,41.908347],[103.312278,41.907468],[101.83304,42.514873],[100.845866,42.663804],[99.515817,42.524691],[97.451757,42.74889],[96.349396,42.725635],[95.762455,43.319449],[95.306875,44.241331],[94.688929,44.352332],[93.480734,44.975472],[92.133891,45.115076],[90.94554,45.286073],[90.585768,45.719716],[90.970809,46.888146],[90.280826,47.693549],[88.854298,48.069082],[88.013832,48.599463],[87.751264,49.297198]]]}},{"type":"Feature","id":"MOZ","properties":{"name":"Mozambique"},"geometry":{"type":"Polygon","coordinates":[[[34.559989,-11.52002],[35.312398,-11.439146],[36.514082,-11.720938],[36.775151,-11.594537],[37.471284,-11.568751],[37.827645,-11.268769],[38.427557,-11.285202],[39.52103,-10.896854],[40.316589,-10.317096],[40.478387,-10.765441],[40.437253,-11.761711],[40.560811,-12.639177],[40.59962,-14.201975],[40.775475,-14.691764],[40.477251,-15.406294],[40.089264,-16.100774],[39.452559,-16.720891],[38.538351,-17.101023],[37.411133,-17.586368],[36.281279,-18.659688],[35.896497,-18.84226],[35.1984,-19.552811],[34.786383,-19.784012],[34.701893,-20.497043],[35.176127,-21.254361],[35.373428,-21.840837],[35.385848,-22.14],[35.562546,-22.09],[35.533935,-23.070788],[35.371774,-23.535359],[35.60747,-23.706563],[35.458746,-24.12261],[35.040735,-24.478351],[34.215824,-24.816314],[33.01321,-25.357573],[32.574632,-25.727318],[32.660363,-26.148584],[32.915955,-26.215867],[32.83012,-26.742192],[32.071665,-26.73382],[31.985779,-26.29178],[31.837778,-25.843332],[31.752408,-25.484284],[31.930589,-24.369417],[31.670398,-23.658969],[31.191409,-22.25151],[32.244988,-21.116489],[32.508693,-20.395292],[32.659743,-20.30429],[32.772708,-19.715592],[32.611994,-19.419383],[32.654886,-18.67209],[32.849861,-17.979057],[32.847639,-16.713398],[32.328239,-16.392074],[31.852041,-16.319417],[31.636498,-16.07199],[31.173064,-15.860944],[30.338955,-15.880839],[30.274256,-15.507787],[30.179481,-14.796099],[33.214025,-13.97186],[33.7897,-14.451831],[34.064825,-14.35995],[34.459633,-14.61301],[34.517666,-15.013709],[34.307291,-15.478641],[34.381292,-16.18356],[35.03381,-16.8013],[35.339063,-16.10744],[35.771905,-15.896859],[35.686845,-14.611046],[35.267956,-13.887834],[34.907151,-13.565425],[34.559989,-13.579998],[34.280006,-12.280025],[34.559989,-11.52002]]]}},{"type":"Feature","id":"MRT","properties":{"name":"Mauritania"},"geometry":{"type":"Polygon","coordinates":[[[-12.17075,14.616834],[-12.830658,15.303692],[-13.435738,16.039383],[-14.099521,16.304302],[-14.577348,16.598264],[-15.135737,16.587282],[-15.623666,16.369337],[-16.12069,16.455663],[-16.463098,16.135036],[-16.549708,16.673892],[-16.270552,17.166963],[-16.146347,18.108482],[-16.256883,19.096716],[-16.377651,19.593817],[-16.277838,20.092521],[-16.536324,20.567866],[-17.063423,20.999752],[-16.845194,21.333323],[-12.929102,21.327071],[-13.118754,22.77122],[-12.874222,23.284832],[-11.937224,23.374594],[-11.969419,25.933353],[-8.687294,25.881056],[-8.6844,27.395744],[-4.923337,24.974574],[-6.453787,24.956591],[-5.971129,20.640833],[-5.488523,16.325102],[-5.315277,16.201854],[-5.537744,15.50169],[-9.550238,15.486497],[-9.700255,15.264107],[-10.086846,15.330486],[-10.650791,15.132746],[-11.349095,15.411256],[-11.666078,15.388208],[-11.834208,14.799097],[-12.17075,14.616834]]]}},{"type":"Feature","id":"MWI","properties":{"name":"Malawi"},"geometry":{"type":"Polygon","coordinates":[[[34.559989,-11.52002],[34.280006,-12.280025],[34.559989,-13.579998],[34.907151,-13.565425],[35.267956,-13.887834],[35.686845,-14.611046],[35.771905,-15.896859],[35.339063,-16.10744],[35.03381,-16.8013],[34.381292,-16.18356],[34.307291,-15.478641],[34.517666,-15.013709],[34.459633,-14.61301],[34.064825,-14.35995],[33.7897,-14.451831],[33.214025,-13.97186],[32.688165,-13.712858],[32.991764,-12.783871],[33.306422,-12.435778],[33.114289,-11.607198],[33.31531,-10.79655],[33.485688,-10.525559],[33.231388,-9.676722],[32.759375,-9.230599],[33.739729,-9.417151],[33.940838,-9.693674],[34.280006,-10.16],[34.559989,-11.52002]]]}},{"type":"Feature","id":"MYS","properties":{"name":"Malaysia"},"geometry":{"type":"MultiPolygon","coordinates":[[[[101.075516,6.204867],[101.154219,5.691384],[101.814282,5.810808],[102.141187,6.221636],[102.371147,6.128205],[102.961705,5.524495],[103.381215,4.855001],[103.438575,4.181606],[103.332122,3.726698],[103.429429,3.382869],[103.502448,2.791019],[103.854674,2.515454],[104.247932,1.631141],[104.228811,1.293048],[103.519707,1.226334],[102.573615,1.967115],[101.390638,2.760814],[101.27354,3.270292],[100.695435,3.93914],[100.557408,4.76728],[100.196706,5.312493],[100.30626,6.040562],[100.085757,6.464489],[100.259596,6.642825],[101.075516,6.204867]]],[[[118.618321,4.478202],[117.882035,4.137551],[117.015214,4.306094],[115.865517,4.306559],[115.519078,3.169238],[115.134037,2.821482],[114.621355,1.430688],[113.80585,1.217549],[112.859809,1.49779],[112.380252,1.410121],[111.797548,0.904441],[111.159138,0.976478],[110.514061,0.773131],[109.830227,1.338136],[109.66326,2.006467],[110.396135,1.663775],[111.168853,1.850637],[111.370081,2.697303],[111.796928,2.885897],[112.995615,3.102395],[113.712935,3.893509],[114.204017,4.525874],[114.659596,4.007637],[114.869557,4.348314],[115.347461,4.316636],[115.4057,4.955228],[115.45071,5.44773],[116.220741,6.143191],[116.725103,6.924771],[117.129626,6.928053],[117.643393,6.422166],[117.689075,5.98749],[118.347691,5.708696],[119.181904,5.407836],[119.110694,5.016128],[118.439727,4.966519],[118.618321,4.478202]]]]}},{"type":"Feature","id":"NAM","properties":{"name":"Namibia"},"geometry":{"type":"Polygon","coordinates":[[[16.344977,-28.576705],[15.601818,-27.821247],[15.210472,-27.090956],[14.989711,-26.117372],[14.743214,-25.39292],[14.408144,-23.853014],[14.385717,-22.656653],[14.257714,-22.111208],[13.868642,-21.699037],[13.352498,-20.872834],[12.826845,-19.673166],[12.608564,-19.045349],[11.794919,-18.069129],[11.734199,-17.301889],[12.215461,-17.111668],[12.814081,-16.941343],[13.462362,-16.971212],[14.058501,-17.423381],[14.209707,-17.353101],[18.263309,-17.309951],[18.956187,-17.789095],[21.377176,-17.930636],[23.215048,-17.523116],[24.033862,-17.295843],[24.682349,-17.353411],[25.07695,-17.578823],[25.084443,-17.661816],[24.520705,-17.887125],[24.217365,-17.889347],[23.579006,-18.281261],[23.196858,-17.869038],[21.65504,-18.219146],[20.910641,-18.252219],[20.881134,-21.814327],[19.895458,-21.849157],[19.895768,-24.76779],[19.894734,-28.461105],[19.002127,-28.972443],[18.464899,-29.045462],[17.836152,-28.856378],[17.387497,-28.783514],[17.218929,-28.355943],[16.824017,-28.082162],[16.344977,-28.576705]]]}},{"type":"Feature","id":"NCL","properties":{"name":"New Caledonia"},"geometry":{"type":"Polygon","coordinates":[[[165.77999,-21.080005],[166.599991,-21.700019],[167.120011,-22.159991],[166.740035,-22.399976],[166.189732,-22.129708],[165.474375,-21.679607],[164.829815,-21.14982],[164.167995,-20.444747],[164.029606,-20.105646],[164.459967,-20.120012],[165.020036,-20.459991],[165.460009,-20.800022],[165.77999,-21.080005]]]}},{"type":"Feature","id":"NER","properties":{"name":"Niger"},"geometry":{"type":"Polygon","coordinates":[[[2.154474,11.94015],[2.177108,12.625018],[1.024103,12.851826],[0.993046,13.33575],[0.429928,13.988733],[0.295646,14.444235],[0.374892,14.928908],[1.015783,14.968182],[1.385528,15.323561],[2.749993,15.409525],[3.638259,15.56812],[3.723422,16.184284],[4.27021,16.852227],[4.267419,19.155265],[5.677566,19.601207],[8.572893,21.565661],[11.999506,23.471668],[13.581425,23.040506],[14.143871,22.491289],[14.8513,22.86295],[15.096888,21.308519],[15.471077,21.048457],[15.487148,20.730415],[15.903247,20.387619],[15.685741,19.95718],[15.300441,17.92795],[15.247731,16.627306],[13.972202,15.684366],[13.540394,14.367134],[13.956699,13.996691],[13.954477,13.353449],[14.595781,13.330427],[14.495787,12.859396],[14.213531,12.802035],[14.181336,12.483657],[13.995353,12.461565],[13.318702,13.556356],[13.083987,13.596147],[12.302071,13.037189],[11.527803,13.32898],[10.989593,13.387323],[10.701032,13.246918],[10.114814,13.277252],[9.524928,12.851102],[9.014933,12.826659],[7.804671,13.343527],[7.330747,13.098038],[6.820442,13.115091],[6.445426,13.492768],[5.443058,13.865924],[4.368344,13.747482],[4.107946,13.531216],[3.967283,12.956109],[3.680634,12.552903],[3.61118,11.660167],[2.848643,12.235636],[2.490164,12.233052],[2.154474,11.94015]]]}},{"type":"Feature","id":"NGA","properties":{"name":"Nigeria"},"geometry":{"type":"Polygon","coordinates":[[[8.500288,4.771983],[7.462108,4.412108],[7.082596,4.464689],[6.698072,4.240594],[5.898173,4.262453],[5.362805,4.887971],[5.033574,5.611802],[4.325607,6.270651],[3.57418,6.2583],[2.691702,6.258817],[2.749063,7.870734],[2.723793,8.506845],[2.912308,9.137608],[3.220352,9.444153],[3.705438,10.06321],[3.60007,10.332186],[3.797112,10.734746],[3.572216,11.327939],[3.61118,11.660167],[3.680634,12.552903],[3.967283,12.956109],[4.107946,13.531216],[4.368344,13.747482],[5.443058,13.865924],[6.445426,13.492768],[6.820442,13.115091],[7.330747,13.098038],[7.804671,13.343527],[9.014933,12.826659],[9.524928,12.851102],[10.114814,13.277252],[10.701032,13.246918],[10.989593,13.387323],[11.527803,13.32898],[12.302071,13.037189],[13.083987,13.596147],[13.318702,13.556356],[13.995353,12.461565],[14.181336,12.483657],[14.577178,12.085361],[14.468192,11.904752],[14.415379,11.572369],[13.57295,10.798566],[13.308676,10.160362],[13.1676,9.640626],[12.955468,9.417772],[12.753672,8.717763],[12.218872,8.305824],[12.063946,7.799808],[11.839309,7.397042],[11.745774,6.981383],[11.058788,6.644427],[10.497375,7.055358],[10.118277,7.03877],[9.522706,6.453482],[9.233163,6.444491],[8.757533,5.479666],[8.500288,4.771983]]]}},{"type":"Feature","id":"NIC","properties":{"name":"Nicaragua"},"geometry":{"type":"Polygon","coordinates":[[[-85.71254,11.088445],[-86.058488,11.403439],[-86.52585,11.806877],[-86.745992,12.143962],[-87.167516,12.458258],[-87.668493,12.90991],[-87.557467,13.064552],[-87.392386,12.914018],[-87.316654,12.984686],[-87.005769,13.025794],[-86.880557,13.254204],[-86.733822,13.263093],[-86.755087,13.754845],[-86.520708,13.778487],[-86.312142,13.771356],[-86.096264,14.038187],[-85.801295,13.836055],[-85.698665,13.960078],[-85.514413,14.079012],[-85.165365,14.35437],[-85.148751,14.560197],[-85.052787,14.551541],[-84.924501,14.790493],[-84.820037,14.819587],[-84.649582,14.666805],[-84.449336,14.621614],[-84.228342,14.748764],[-83.975721,14.749436],[-83.628585,14.880074],[-83.489989,15.016267],[-83.147219,14.995829],[-83.233234,14.899866],[-83.284162,14.676624],[-83.182126,14.310703],[-83.4125,13.970078],[-83.519832,13.567699],[-83.552207,13.127054],[-83.498515,12.869292],[-83.473323,12.419087],[-83.626104,12.32085],[-83.719613,11.893124],[-83.650858,11.629032],[-83.85547,11.373311],[-83.808936,11.103044],[-83.655612,10.938764],[-83.895054,10.726839],[-84.190179,10.79345],[-84.355931,10.999226],[-84.673069,11.082657],[-84.903003,10.952303],[-85.561852,11.217119],[-85.71254,11.088445]]]}},{"type":"Feature","id":"NLD","properties":{"name":"Netherlands"},"geometry":{"type":"Polygon","coordinates":[[[6.074183,53.510403],[6.90514,53.482162],[7.092053,53.144043],[6.84287,52.22844],[6.589397,51.852029],[5.988658,51.851616],[6.156658,50.803721],[5.606976,51.037298],[4.973991,51.475024],[4.047071,51.267259],[3.314971,51.345755],[3.830289,51.620545],[4.705997,53.091798],[6.074183,53.510403]]]}},{"type":"Feature","id":"NOR","properties":{"name":"Norway"},"geometry":{"type":"MultiPolygon","coordinates":[[[[28.165547,71.185474],[31.293418,70.453788],[30.005435,70.186259],[31.101079,69.55808],[29.399581,69.156916],[28.59193,69.064777],[29.015573,69.766491],[27.732292,70.164193],[26.179622,69.825299],[25.689213,69.092114],[24.735679,68.649557],[23.66205,68.891247],[22.356238,68.841741],[21.244936,69.370443],[20.645593,69.106247],[20.025269,69.065139],[19.87856,68.407194],[17.993868,68.567391],[17.729182,68.010552],[16.768879,68.013937],[16.108712,67.302456],[15.108411,66.193867],[13.55569,64.787028],[13.919905,64.445421],[13.571916,64.049114],[12.579935,64.066219],[11.930569,63.128318],[11.992064,61.800362],[12.631147,61.293572],[12.300366,60.117933],[11.468272,59.432393],[11.027369,58.856149],[10.356557,59.469807],[8.382,58.313288],[7.048748,58.078884],[5.665835,58.588155],[5.308234,59.663232],[4.992078,61.970998],[5.9129,62.614473],[8.553411,63.454008],[10.527709,64.486038],[12.358347,65.879726],[14.761146,67.810642],[16.435927,68.563205],[19.184028,69.817444],[21.378416,70.255169],[23.023742,70.202072],[24.546543,71.030497],[26.37005,70.986262],[28.165547,71.185474]]],[[[24.72412,77.85385],[22.49032,77.44493],[20.72601,77.67704],[21.41611,77.93504],[20.8119,78.25463],[22.88426,78.45494],[23.28134,78.07954],[24.72412,77.85385]]],[[[18.25183,79.70175],[21.54383,78.95611],[19.02737,78.5626],[18.47172,77.82669],[17.59441,77.63796],[17.1182,76.80941],[15.91315,76.77045],[13.76259,77.38035],[14.66956,77.73565],[13.1706,78.02493],[11.22231,78.8693],[10.44453,79.65239],[13.17077,80.01046],[13.71852,79.66039],[15.14282,79.67431],[15.52255,80.01608],[16.99085,80.05086],[18.25183,79.70175]]],[[[25.447625,80.40734],[27.407506,80.056406],[25.924651,79.517834],[23.024466,79.400012],[20.075188,79.566823],[19.897266,79.842362],[18.462264,79.85988],[17.368015,80.318896],[20.455992,80.598156],[21.907945,80.357679],[22.919253,80.657144],[25.447625,80.40734]]]]}},{"type":"Feature","id":"NPL","properties":{"name":"Nepal"},"geometry":{"type":"Polygon","coordinates":[[[88.120441,27.876542],[88.043133,27.445819],[88.174804,26.810405],[88.060238,26.414615],[87.227472,26.397898],[86.024393,26.630985],[85.251779,26.726198],[84.675018,27.234901],[83.304249,27.364506],[81.999987,27.925479],[81.057203,28.416095],[80.088425,28.79447],[80.476721,29.729865],[81.111256,30.183481],[81.525804,30.422717],[82.327513,30.115268],[83.337115,29.463732],[83.898993,29.320226],[84.23458,28.839894],[85.011638,28.642774],[85.82332,28.203576],[86.954517,27.974262],[88.120441,27.876542]]]}},{"type":"Feature","id":"NZL","properties":{"name":"New Zealand"},"geometry":{"type":"MultiPolygon","coordinates":[[[[173.020375,-40.919052],[173.247234,-41.331999],[173.958405,-40.926701],[174.247587,-41.349155],[174.248517,-41.770008],[173.876447,-42.233184],[173.22274,-42.970038],[172.711246,-43.372288],[173.080113,-43.853344],[172.308584,-43.865694],[171.452925,-44.242519],[171.185138,-44.897104],[170.616697,-45.908929],[169.831422,-46.355775],[169.332331,-46.641235],[168.411354,-46.619945],[167.763745,-46.290197],[166.676886,-46.219917],[166.509144,-45.852705],[167.046424,-45.110941],[168.303763,-44.123973],[168.949409,-43.935819],[169.667815,-43.555326],[170.52492,-43.031688],[171.12509,-42.512754],[171.569714,-41.767424],[171.948709,-41.514417],[172.097227,-40.956104],[172.79858,-40.493962],[173.020375,-40.919052]]],[[[174.612009,-36.156397],[175.336616,-37.209098],[175.357596,-36.526194],[175.808887,-36.798942],[175.95849,-37.555382],[176.763195,-37.881253],[177.438813,-37.961248],[178.010354,-37.579825],[178.517094,-37.695373],[178.274731,-38.582813],[177.97046,-39.166343],[177.206993,-39.145776],[176.939981,-39.449736],[177.032946,-39.879943],[176.885824,-40.065978],[176.508017,-40.604808],[176.01244,-41.289624],[175.239567,-41.688308],[175.067898,-41.425895],[174.650973,-41.281821],[175.22763,-40.459236],[174.900157,-39.908933],[173.824047,-39.508854],[173.852262,-39.146602],[174.574802,-38.797683],[174.743474,-38.027808],[174.697017,-37.381129],[174.292028,-36.711092],[174.319004,-36.534824],[173.840997,-36.121981],[173.054171,-35.237125],[172.636005,-34.529107],[173.007042,-34.450662],[173.551298,-35.006183],[174.32939,-35.265496],[174.612009,-36.156397]]]]}},{"type":"Feature","id":"OMN","properties":{"name":"Oman"},"geometry":{"type":"MultiPolygon","coordinates":[[[[58.861141,21.114035],[58.487986,20.428986],[58.034318,20.481437],[57.826373,20.243002],[57.665762,19.736005],[57.7887,19.06757],[57.694391,18.94471],[57.234264,18.947991],[56.609651,18.574267],[56.512189,18.087113],[56.283521,17.876067],[55.661492,17.884128],[55.269939,17.632309],[55.2749,17.228354],[54.791002,16.950697],[54.239253,17.044981],[53.570508,16.707663],[53.108573,16.651051],[52.782184,17.349742],[52.00001,19.000003],[54.999982,19.999994],[55.666659,22.000001],[55.208341,22.70833],[55.234489,23.110993],[55.525841,23.524869],[55.528632,23.933604],[55.981214,24.130543],[55.804119,24.269604],[55.886233,24.920831],[56.396847,24.924732],[56.84514,24.241673],[57.403453,23.878594],[58.136948,23.747931],[58.729211,23.565668],[59.180502,22.992395],[59.450098,22.660271],[59.80806,22.533612],[59.806148,22.310525],[59.442191,21.714541],[59.282408,21.433886],[58.861141,21.114035]]],[[[56.391421,25.895991],[56.261042,25.714606],[56.070821,26.055464],[56.362017,26.395934],[56.485679,26.309118],[56.391421,25.895991]]]]}},{"type":"Feature","id":"PAK","properties":{"name":"Pakistan"},"geometry":{"type":"Polygon","coordinates":[[[75.158028,37.133031],[75.896897,36.666806],[76.192848,35.898403],[77.837451,35.49401],[76.871722,34.653544],[75.757061,34.504923],[74.240203,34.748887],[73.749948,34.317699],[74.104294,33.441473],[74.451559,32.7649],[75.258642,32.271105],[74.405929,31.692639],[74.42138,30.979815],[73.450638,29.976413],[72.823752,28.961592],[71.777666,27.91318],[70.616496,27.989196],[69.514393,26.940966],[70.168927,26.491872],[70.282873,25.722229],[70.844699,25.215102],[71.04324,24.356524],[68.842599,24.359134],[68.176645,23.691965],[67.443667,23.944844],[67.145442,24.663611],[66.372828,25.425141],[64.530408,25.237039],[62.905701,25.218409],[61.497363,25.078237],[61.874187,26.239975],[63.316632,26.756532],[63.233898,27.217047],[62.755426,27.378923],[62.72783,28.259645],[61.771868,28.699334],[61.369309,29.303276],[60.874248,29.829239],[62.549857,29.318572],[63.550261,29.468331],[64.148002,29.340819],[64.350419,29.560031],[65.046862,29.472181],[66.346473,29.887943],[66.381458,30.738899],[66.938891,31.304911],[67.683394,31.303154],[67.792689,31.58293],[68.556932,31.71331],[68.926677,31.620189],[69.317764,31.901412],[69.262522,32.501944],[69.687147,33.105499],[70.323594,33.358533],[69.930543,34.02012],[70.881803,33.988856],[71.156773,34.348911],[71.115019,34.733126],[71.613076,35.153203],[71.498768,35.650563],[71.262348,36.074388],[71.846292,36.509942],[72.920025,36.720007],[74.067552,36.836176],[74.575893,37.020841],[75.158028,37.133031]]]}},{"type":"Feature","id":"PAN","properties":{"name":"Panama"},"geometry":{"type":"Polygon","coordinates":[[[-77.881571,7.223771],[-78.214936,7.512255],[-78.429161,8.052041],[-78.182096,8.319182],[-78.435465,8.387705],[-78.622121,8.718124],[-79.120307,8.996092],[-79.557877,8.932375],[-79.760578,8.584515],[-80.164481,8.333316],[-80.382659,8.298409],[-80.480689,8.090308],[-80.00369,7.547524],[-80.276671,7.419754],[-80.421158,7.271572],[-80.886401,7.220541],[-81.059543,7.817921],[-81.189716,7.647906],[-81.519515,7.70661],[-81.721311,8.108963],[-82.131441,8.175393],[-82.390934,8.292362],[-82.820081,8.290864],[-82.850958,8.073823],[-82.965783,8.225028],[-82.913176,8.423517],[-82.829771,8.626295],[-82.868657,8.807266],[-82.719183,8.925709],[-82.927155,9.07433],[-82.932891,9.476812],[-82.546196,9.566135],[-82.187123,9.207449],[-82.207586,8.995575],[-81.808567,8.950617],[-81.714154,9.031955],[-81.439287,8.786234],[-80.947302,8.858504],[-80.521901,9.111072],[-79.9146,9.312765],[-79.573303,9.61161],[-79.021192,9.552931],[-79.05845,9.454565],[-78.500888,9.420459],[-78.055928,9.24773],[-77.729514,8.946844],[-77.353361,8.670505],[-77.474723,8.524286],[-77.242566,7.935278],[-77.431108,7.638061],[-77.753414,7.70984],[-77.881571,7.223771]]]}},{"type":"Feature","id":"PER","properties":{"name":"Peru"},"geometry":{"type":"Polygon","coordinates":[[[-69.590424,-17.580012],[-69.858444,-18.092694],[-70.372572,-18.347975],[-71.37525,-17.773799],[-71.462041,-17.363488],[-73.44453,-16.359363],[-75.237883,-15.265683],[-76.009205,-14.649286],[-76.423469,-13.823187],[-76.259242,-13.535039],[-77.106192,-12.222716],[-78.092153,-10.377712],[-79.036953,-8.386568],[-79.44592,-7.930833],[-79.760578,-7.194341],[-80.537482,-6.541668],[-81.249996,-6.136834],[-80.926347,-5.690557],[-81.410943,-4.736765],[-81.09967,-4.036394],[-80.302561,-3.404856],[-80.184015,-3.821162],[-80.469295,-4.059287],[-80.442242,-4.425724],[-80.028908,-4.346091],[-79.624979,-4.454198],[-79.205289,-4.959129],[-78.639897,-4.547784],[-78.450684,-3.873097],[-77.837905,-3.003021],[-76.635394,-2.608678],[-75.544996,-1.56161],[-75.233723,-0.911417],[-75.373223,-0.152032],[-75.106625,-0.057205],[-74.441601,-0.53082],[-74.122395,-1.002833],[-73.659504,-1.260491],[-73.070392,-2.308954],[-72.325787,-2.434218],[-71.774761,-2.16979],[-71.413646,-2.342802],[-70.813476,-2.256865],[-70.047709,-2.725156],[-70.692682,-3.742872],[-70.394044,-3.766591],[-69.893635,-4.298187],[-70.794769,-4.251265],[-70.928843,-4.401591],[-71.748406,-4.593983],[-72.891928,-5.274561],[-72.964507,-5.741251],[-73.219711,-6.089189],[-73.120027,-6.629931],[-73.724487,-6.918595],[-73.723401,-7.340999],[-73.987235,-7.52383],[-73.571059,-8.424447],[-73.015383,-9.032833],[-73.226713,-9.462213],[-72.563033,-9.520194],[-72.184891,-10.053598],[-71.302412,-10.079436],[-70.481894,-9.490118],[-70.548686,-11.009147],[-70.093752,-11.123972],[-69.529678,-10.951734],[-68.66508,-12.5613],[-68.88008,-12.899729],[-68.929224,-13.602684],[-68.948887,-14.453639],[-69.339535,-14.953195],[-69.160347,-15.323974],[-69.389764,-15.660129],[-68.959635,-16.500698],[-69.590424,-17.580012]]]}},{"type":"Feature","id":"PHL","properties":{"name":"Philippines"},"geometry":{"type":"MultiPolygon","coordinates":[[[[126.376814,8.414706],[126.478513,7.750354],[126.537424,7.189381],[126.196773,6.274294],[125.831421,7.293715],[125.363852,6.786485],[125.683161,6.049657],[125.396512,5.581003],[124.219788,6.161355],[123.93872,6.885136],[124.243662,7.36061],[123.610212,7.833527],[123.296071,7.418876],[122.825506,7.457375],[122.085499,6.899424],[121.919928,7.192119],[122.312359,8.034962],[122.942398,8.316237],[123.487688,8.69301],[123.841154,8.240324],[124.60147,8.514158],[124.764612,8.960409],[125.471391,8.986997],[125.412118,9.760335],[126.222714,9.286074],[126.306637,8.782487],[126.376814,8.414706]]],[[[123.982438,10.278779],[123.623183,9.950091],[123.309921,9.318269],[122.995883,9.022189],[122.380055,9.713361],[122.586089,9.981045],[122.837081,10.261157],[122.947411,10.881868],[123.49885,10.940624],[123.337774,10.267384],[124.077936,11.232726],[123.982438,10.278779]]],[[[118.504581,9.316383],[117.174275,8.3675],[117.664477,9.066889],[118.386914,9.6845],[118.987342,10.376292],[119.511496,11.369668],[119.689677,10.554291],[119.029458,10.003653],[118.504581,9.316383]]],[[[121.883548,11.891755],[122.483821,11.582187],[123.120217,11.58366],[123.100838,11.165934],[122.637714,10.741308],[122.00261,10.441017],[121.967367,10.905691],[122.03837,11.415841],[121.883548,11.891755]]],[[[125.502552,12.162695],[125.783465,11.046122],[125.011884,11.311455],[125.032761,10.975816],[125.277449,10.358722],[124.801819,10.134679],[124.760168,10.837995],[124.459101,10.88993],[124.302522,11.495371],[124.891013,11.415583],[124.87799,11.79419],[124.266762,12.557761],[125.227116,12.535721],[125.502552,12.162695]]],[[[121.527394,13.06959],[121.26219,12.20556],[120.833896,12.704496],[120.323436,13.466413],[121.180128,13.429697],[121.527394,13.06959]]],[[[121.321308,18.504065],[121.937601,18.218552],[122.246006,18.47895],[122.336957,18.224883],[122.174279,17.810283],[122.515654,17.093505],[122.252311,16.262444],[121.662786,15.931018],[121.50507,15.124814],[121.728829,14.328376],[122.258925,14.218202],[122.701276,14.336541],[123.950295,13.782131],[123.855107,13.237771],[124.181289,12.997527],[124.077419,12.536677],[123.298035,13.027526],[122.928652,13.55292],[122.671355,13.185836],[122.03465,13.784482],[121.126385,13.636687],[120.628637,13.857656],[120.679384,14.271016],[120.991819,14.525393],[120.693336,14.756671],[120.564145,14.396279],[120.070429,14.970869],[119.920929,15.406347],[119.883773,16.363704],[120.286488,16.034629],[120.390047,17.599081],[120.715867,18.505227],[121.321308,18.504065]]]]}},{"type":"Feature","id":"PNG","properties":{"name":"Papua New Guinea"},"geometry":{"type":"MultiPolygon","coordinates":[[[[155.880026,-6.819997],[155.599991,-6.919991],[155.166994,-6.535931],[154.729192,-5.900828],[154.514114,-5.139118],[154.652504,-5.042431],[154.759991,-5.339984],[155.062918,-5.566792],[155.547746,-6.200655],[156.019965,-6.540014],[155.880026,-6.819997]]],[[[151.982796,-5.478063],[151.459107,-5.56028],[151.30139,-5.840728],[150.754447,-6.083763],[150.241197,-6.317754],[149.709963,-6.316513],[148.890065,-6.02604],[148.318937,-5.747142],[148.401826,-5.437756],[149.298412,-5.583742],[149.845562,-5.505503],[149.99625,-5.026101],[150.139756,-5.001348],[150.236908,-5.53222],[150.807467,-5.455842],[151.089672,-5.113693],[151.647881,-4.757074],[151.537862,-4.167807],[152.136792,-4.14879],[152.338743,-4.312966],[152.318693,-4.867661],[151.982796,-5.478063]]],[[[147.191874,-7.388024],[148.084636,-8.044108],[148.734105,-9.104664],[149.306835,-9.071436],[149.266631,-9.514406],[150.038728,-9.684318],[149.738798,-9.872937],[150.801628,-10.293687],[150.690575,-10.582713],[150.028393,-10.652476],[149.78231,-10.393267],[148.923138,-10.280923],[147.913018,-10.130441],[147.135443,-9.492444],[146.567881,-8.942555],[146.048481,-8.067414],[144.744168,-7.630128],[143.897088,-7.91533],[143.286376,-8.245491],[143.413913,-8.983069],[142.628431,-9.326821],[142.068259,-9.159596],[141.033852,-9.117893],[141.017057,-5.859022],[141.00021,-2.600151],[142.735247,-3.289153],[144.583971,-3.861418],[145.27318,-4.373738],[145.829786,-4.876498],[145.981922,-5.465609],[147.648073,-6.083659],[147.891108,-6.614015],[146.970905,-6.721657],[147.191874,-7.388024]]],[[[153.140038,-4.499983],[152.827292,-4.766427],[152.638673,-4.176127],[152.406026,-3.789743],[151.953237,-3.462062],[151.384279,-3.035422],[150.66205,-2.741486],[150.939965,-2.500002],[151.479984,-2.779985],[151.820015,-2.999972],[152.239989,-3.240009],[152.640017,-3.659983],[153.019994,-3.980015],[153.140038,-4.499983]]]]}},{"type":"Feature","id":"POL","properties":{"name":"Poland"},"geometry":{"type":"Polygon","coordinates":[[[15.016996,51.106674],[14.607098,51.745188],[14.685026,52.089947],[14.4376,52.62485],[14.074521,52.981263],[14.353315,53.248171],[14.119686,53.757029],[14.8029,54.050706],[16.363477,54.513159],[17.622832,54.851536],[18.620859,54.682606],[18.696255,54.438719],[19.66064,54.426084],[20.892245,54.312525],[22.731099,54.327537],[23.243987,54.220567],[23.484128,53.912498],[23.527536,53.470122],[23.804935,53.089731],[23.799199,52.691099],[23.199494,52.486977],[23.508002,52.023647],[23.527071,51.578454],[24.029986,50.705407],[23.922757,50.424881],[23.426508,50.308506],[22.51845,49.476774],[22.776419,49.027395],[22.558138,49.085738],[21.607808,49.470107],[20.887955,49.328772],[20.415839,49.431453],[19.825023,49.217125],[19.320713,49.571574],[18.909575,49.435846],[18.853144,49.49623],[18.392914,49.988629],[17.649445,50.049038],[17.554567,50.362146],[16.868769,50.473974],[16.719476,50.215747],[16.176253,50.422607],[16.238627,50.697733],[15.490972,50.78473],[15.016996,51.106674]]]}},{"type":"Feature","id":"PRI","properties":{"name":"Puerto Rico"},"geometry":{"type":"Polygon","coordinates":[[[-66.282434,18.514762],[-65.771303,18.426679],[-65.591004,18.228035],[-65.847164,17.975906],[-66.599934,17.981823],[-67.184162,17.946553],[-67.242428,18.37446],[-67.100679,18.520601],[-66.282434,18.514762]]]}},{"type":"Feature","id":"PRK","properties":{"name":"North Korea"},"geometry":{"type":"Polygon","coordinates":[[[130.640016,42.395009],[130.780007,42.220007],[130.400031,42.280004],[129.965949,41.941368],[129.667362,41.601104],[129.705189,40.882828],[129.188115,40.661808],[129.0104,40.485436],[128.633368,40.189847],[127.967414,40.025413],[127.533436,39.75685],[127.50212,39.323931],[127.385434,39.213472],[127.783343,39.050898],[128.349716,38.612243],[128.205746,38.370397],[127.780035,38.304536],[127.073309,38.256115],[126.68372,37.804773],[126.237339,37.840378],[126.174759,37.749686],[125.689104,37.94001],[125.568439,37.752089],[125.27533,37.669071],[125.240087,37.857224],[124.981033,37.948821],[124.712161,38.108346],[124.985994,38.548474],[125.221949,38.665857],[125.132859,38.848559],[125.38659,39.387958],[125.321116,39.551385],[124.737482,39.660344],[124.265625,39.928493],[125.079942,40.569824],[126.182045,41.107336],[126.869083,41.816569],[127.343783,41.503152],[128.208433,41.466772],[128.052215,41.994285],[129.596669,42.424982],[129.994267,42.985387],[130.640016,42.395009]]]}},{"type":"Feature","id":"PRT","properties":{"name":"Portugal"},"geometry":{"type":"Polygon","coordinates":[[[-9.034818,41.880571],[-8.671946,42.134689],[-8.263857,42.280469],[-8.013175,41.790886],[-7.422513,41.792075],[-7.251309,41.918346],[-6.668606,41.883387],[-6.389088,41.381815],[-6.851127,41.111083],[-6.86402,40.330872],[-7.026413,40.184524],[-7.066592,39.711892],[-7.498632,39.629571],[-7.098037,39.030073],[-7.374092,38.373059],[-7.029281,38.075764],[-7.166508,37.803894],[-7.537105,37.428904],[-7.453726,37.097788],[-7.855613,36.838269],[-8.382816,36.97888],[-8.898857,36.868809],[-8.746101,37.651346],[-8.839998,38.266243],[-9.287464,38.358486],[-9.526571,38.737429],[-9.446989,39.392066],[-9.048305,39.755093],[-8.977353,40.159306],[-8.768684,40.760639],[-8.790853,41.184334],[-8.990789,41.543459],[-9.034818,41.880571]]]}},{"type":"Feature","id":"PRY","properties":{"name":"Paraguay"},"geometry":{"type":"Polygon","coordinates":[[[-62.685057,-22.249029],[-62.291179,-21.051635],[-62.265961,-20.513735],[-61.786326,-19.633737],[-60.043565,-19.342747],[-59.115042,-19.356906],[-58.183471,-19.868399],[-58.166392,-20.176701],[-57.870674,-20.732688],[-57.937156,-22.090176],[-56.88151,-22.282154],[-56.473317,-22.0863],[-55.797958,-22.35693],[-55.610683,-22.655619],[-55.517639,-23.571998],[-55.400747,-23.956935],[-55.027902,-24.001274],[-54.652834,-23.839578],[-54.29296,-24.021014],[-54.293476,-24.5708],[-54.428946,-25.162185],[-54.625291,-25.739255],[-54.788795,-26.621786],[-55.695846,-27.387837],[-56.486702,-27.548499],[-57.60976,-27.395899],[-58.618174,-27.123719],[-57.63366,-25.603657],[-57.777217,-25.16234],[-58.807128,-24.771459],[-60.028966,-24.032796],[-60.846565,-23.880713],[-62.685057,-22.249029]]]}},{"type":"Feature","id":"QAT","properties":{"name":"Qatar"},"geometry":{"type":"Polygon","coordinates":[[[50.810108,24.754743],[50.743911,25.482424],[51.013352,26.006992],[51.286462,26.114582],[51.589079,25.801113],[51.6067,25.21567],[51.389608,24.627386],[51.112415,24.556331],[50.810108,24.754743]]]}},{"type":"Feature","id":"ROU","properties":{"name":"Romania"},"geometry":{"type":"Polygon","coordinates":[[[22.710531,47.882194],[23.142236,48.096341],[23.760958,47.985598],[24.402056,47.981878],[24.866317,47.737526],[25.207743,47.891056],[25.945941,47.987149],[26.19745,48.220881],[26.619337,48.220726],[26.924176,48.123264],[27.233873,47.826771],[27.551166,47.405117],[28.12803,46.810476],[28.160018,46.371563],[28.054443,45.944586],[28.233554,45.488283],[28.679779,45.304031],[29.149725,45.464925],[29.603289,45.293308],[29.626543,45.035391],[29.141612,44.82021],[28.837858,44.913874],[28.558081,43.707462],[27.970107,43.812468],[27.2424,44.175986],[26.065159,43.943494],[25.569272,43.688445],[24.100679,43.741051],[23.332302,43.897011],[22.944832,43.823785],[22.65715,44.234923],[22.474008,44.409228],[22.705726,44.578003],[22.459022,44.702517],[22.145088,44.478422],[21.562023,44.768947],[21.483526,45.18117],[20.874313,45.416375],[20.762175,45.734573],[20.220192,46.127469],[21.021952,46.316088],[21.626515,46.994238],[22.099768,47.672439],[22.710531,47.882194]]]}},{"type":"Feature","id":"RUS","properties":{"name":"Russia"},"geometry":{"type":"MultiPolygon","coordinates":[[[[143.648007,50.7476],[144.654148,48.976391],[143.173928,49.306551],[142.558668,47.861575],[143.533492,46.836728],[143.505277,46.137908],[142.747701,46.740765],[142.09203,45.966755],[141.906925,46.805929],[142.018443,47.780133],[141.904445,48.859189],[142.1358,49.615163],[142.179983,50.952342],[141.594076,51.935435],[141.682546,53.301966],[142.606934,53.762145],[142.209749,54.225476],[142.654786,54.365881],[142.914616,53.704578],[143.260848,52.74076],[143.235268,51.75666],[143.648007,50.7476]]],[[[22.731099,54.327537],[20.892245,54.312525],[19.66064,54.426084],[19.888481,54.86616],[21.268449,55.190482],[22.315724,55.015299],[22.757764,54.856574],[22.651052,54.582741],[22.731099,54.327537]]],[[[-175.01425,66.58435],[-174.33983,66.33556],[-174.57182,67.06219],[-171.85731,66.91308],[-169.89958,65.97724],[-170.89107,65.54139],[-172.53025,65.43791],[-172.555,64.46079],[-172.95533,64.25269],[-173.89184,64.2826],[-174.65392,64.63125],[-175.98353,64.92288],[-176.20716,65.35667],[-177.22266,65.52024],[-178.35993,65.39052],[-178.90332,65.74044],[-178.68611,66.11211],[-179.88377,65.87456],[-179.43268,65.40411],[-180,64.979709],[-180,68.963636],[-177.55,68.2],[-174.92825,67.20589],[-175.01425,66.58435]]],[[[180,70.832199],[178.903425,70.78114],[178.7253,71.0988],[180,71.515714],[180,70.832199]]],[[[-178.69378,70.89302],[-180,70.832199],[-180,71.515714],[-179.871875,71.55762],[-179.02433,71.55553],[-177.577945,71.26948],[-177.663575,71.13277],[-178.69378,70.89302]]],[[[143.60385,73.21244],[142.08763,73.20544],[140.038155,73.31692],[139.86312,73.36983],[140.81171,73.76506],[142.06207,73.85758],[143.48283,73.47525],[143.60385,73.21244]]],[[[150.73167,75.08406],[149.575925,74.68892],[147.977465,74.778355],[146.11919,75.17298],[146.358485,75.49682],[148.22223,75.345845],[150.73167,75.08406]]],[[[145.086285,75.562625],[144.3,74.82],[140.61381,74.84768],[138.95544,74.61148],[136.97439,75.26167],[137.51176,75.94917],[138.831075,76.13676],[141.471615,76.09289],[145.086285,75.562625]]],[[[57.535693,70.720464],[56.944979,70.632743],[53.677375,70.762658],[53.412017,71.206662],[51.601895,71.474759],[51.455754,72.014881],[52.478275,72.229442],[52.444169,72.774731],[54.427614,73.627548],[53.50829,73.749814],[55.902459,74.627486],[55.631933,75.081412],[57.868644,75.60939],[61.170044,76.251883],[64.498368,76.439055],[66.210977,76.809782],[68.15706,76.939697],[68.852211,76.544811],[68.180573,76.233642],[64.637326,75.737755],[61.583508,75.260885],[58.477082,74.309056],[56.986786,73.333044],[55.419336,72.371268],[55.622838,71.540595],[57.535693,70.720464]]],[[[106.97013,76.97419],[107.24,76.48],[108.1538,76.72335],[111.07726,76.71],[113.33151,76.22224],[114.13417,75.84764],[113.88539,75.32779],[112.77918,75.03186],[110.15125,74.47673],[109.4,74.18],[110.64,74.04],[112.11919,73.78774],[113.01954,73.97693],[113.52958,73.33505],[113.96881,73.59488],[115.56782,73.75285],[118.77633,73.58772],[119.02,73.12],[123.20066,72.97122],[123.25777,73.73503],[125.38,73.56],[126.97644,73.56549],[128.59126,73.03871],[129.05157,72.39872],[128.46,71.98],[129.71599,71.19304],[131.28858,70.78699],[132.2535,71.8363],[133.85766,71.38642],[135.56193,71.65525],[137.49755,71.34763],[138.23409,71.62803],[139.86983,71.48783],[139.14791,72.41619],[140.46817,72.84941],[149.5,72.2],[150.35118,71.60643],[152.9689,70.84222],[157.00688,71.03141],[158.99779,70.86672],[159.83031,70.45324],[159.70866,69.72198],[160.94053,69.43728],[162.27907,69.64204],[164.05248,69.66823],[165.94037,69.47199],[167.83567,69.58269],[169.57763,68.6938],[170.81688,69.01363],[170.0082,69.65276],[170.45345,70.09703],[173.64391,69.81743],[175.72403,69.87725],[178.6,69.4],[180,68.963636],[180,64.979709],[179.99281,64.97433],[178.7072,64.53493],[177.41128,64.60821],[178.313,64.07593],[178.90825,63.25197],[179.37034,62.98262],[179.48636,62.56894],[179.22825,62.3041],[177.3643,62.5219],[174.56929,61.76915],[173.68013,61.65261],[172.15,60.95],[170.6985,60.33618],[170.33085,59.88177],[168.90046,60.57355],[166.29498,59.78855],[165.84,60.16],[164.87674,59.7316],[163.53929,59.86871],[163.21711,59.21101],[162.01733,58.24328],[162.05297,57.83912],[163.19191,57.61503],[163.05794,56.15924],[162.12958,56.12219],[161.70146,55.28568],[162.11749,54.85514],[160.36877,54.34433],[160.02173,53.20257],[158.53094,52.95868],[158.23118,51.94269],[156.78979,51.01105],[156.42,51.7],[155.99182,53.15895],[155.43366,55.38103],[155.91442,56.76792],[156.75815,57.3647],[156.81035,57.83204],[158.36433,58.05575],[160.15064,59.31477],[161.87204,60.343],[163.66969,61.1409],[164.47355,62.55061],[163.25842,62.46627],[162.65791,61.6425],[160.12148,60.54423],[159.30232,61.77396],[156.72068,61.43442],[154.21806,59.75818],[155.04375,59.14495],[152.81185,58.88385],[151.26573,58.78089],[151.33815,59.50396],[149.78371,59.65573],[148.54481,59.16448],[145.48722,59.33637],[142.19782,59.03998],[138.95848,57.08805],[135.12619,54.72959],[136.70171,54.60355],[137.19342,53.97732],[138.1647,53.75501],[138.80463,54.25455],[139.90151,54.18968],[141.34531,53.08957],[141.37923,52.23877],[140.59742,51.23967],[140.51308,50.04553],[140.06193,48.44671],[138.55472,46.99965],[138.21971,46.30795],[136.86232,45.1435],[135.51535,43.989],[134.86939,43.39821],[133.53687,42.81147],[132.90627,42.79849],[132.27807,43.28456],[130.93587,42.55274],[130.78,42.22],[130.64,42.395],[130.633866,42.903015],[131.144688,42.92999],[131.288555,44.11152],[131.02519,44.96796],[131.883454,45.321162],[133.09712,45.14409],[133.769644,46.116927],[134.11235,47.21248],[134.50081,47.57845],[135.026311,48.47823],[133.373596,48.183442],[132.50669,47.78896],[130.98726,47.79013],[130.582293,48.729687],[129.397818,49.4406],[127.6574,49.76027],[127.287456,50.739797],[126.939157,51.353894],[126.564399,51.784255],[125.946349,52.792799],[125.068211,53.161045],[123.57147,53.4588],[122.245748,53.431726],[121.003085,53.251401],[120.177089,52.753886],[120.725789,52.516226],[120.7382,51.96411],[120.18208,51.64355],[119.27939,50.58292],[119.288461,50.142883],[117.879244,49.510983],[116.678801,49.888531],[115.485695,49.805177],[114.96211,50.140247],[114.362456,50.248303],[112.89774,49.543565],[111.581231,49.377968],[110.662011,49.130128],[109.402449,49.292961],[108.475167,49.282548],[107.868176,49.793705],[106.888804,50.274296],[105.886591,50.406019],[104.62158,50.27532],[103.676545,50.089966],[102.25589,50.51056],[102.06521,51.25991],[100.88948,51.516856],[99.981732,51.634006],[98.861491,52.047366],[97.82574,51.010995],[98.231762,50.422401],[97.25976,49.72605],[95.81402,49.97746],[94.815949,50.013433],[94.147566,50.480537],[93.10421,50.49529],[92.234712,50.802171],[90.713667,50.331812],[88.805567,49.470521],[87.751264,49.297198],[87.35997,49.214981],[86.829357,49.826675],[85.54127,49.692859],[85.11556,50.117303],[84.416377,50.3114],[83.935115,50.889246],[83.383004,51.069183],[81.945986,50.812196],[80.568447,51.388336],[80.03556,50.864751],[77.800916,53.404415],[76.525179,54.177003],[76.8911,54.490524],[74.38482,53.54685],[73.425679,53.48981],[73.508516,54.035617],[72.22415,54.376655],[71.180131,54.133285],[70.865267,55.169734],[69.068167,55.38525],[68.1691,54.970392],[65.66687,54.60125],[65.178534,54.354228],[61.4366,54.00625],[60.978066,53.664993],[61.699986,52.979996],[60.739993,52.719986],[60.927269,52.447548],[59.967534,51.96042],[61.588003,51.272659],[61.337424,50.79907],[59.932807,50.842194],[59.642282,50.545442],[58.36332,51.06364],[56.77798,51.04355],[55.71694,50.62171],[54.532878,51.02624],[52.328724,51.718652],[50.766648,51.692762],[48.702382,50.605128],[48.577841,49.87476],[47.54948,50.454698],[46.751596,49.356006],[47.043672,49.152039],[46.466446,48.394152],[47.31524,47.71585],[48.05725,47.74377],[48.694734,47.075628],[48.59325,46.56104],[49.10116,46.39933],[48.64541,45.80629],[47.67591,45.64149],[46.68201,44.6092],[47.59094,43.66016],[47.49252,42.98658],[48.58437,41.80888],[47.987283,41.405819],[47.815666,41.151416],[47.373315,41.219732],[46.686071,41.827137],[46.404951,41.860675],[45.7764,42.09244],[45.470279,42.502781],[44.537623,42.711993],[43.93121,42.55496],[43.75599,42.74083],[42.3944,43.2203],[40.92219,43.38215],[40.076965,43.553104],[39.955009,43.434998],[38.68,44.28],[37.53912,44.65721],[36.67546,45.24469],[37.40317,45.40451],[38.23295,46.24087],[37.67372,46.63657],[39.14767,47.04475],[39.1212,47.26336],[38.223538,47.10219],[38.255112,47.5464],[38.77057,47.82562],[39.738278,47.898937],[39.89562,48.23241],[39.67465,48.78382],[40.080789,49.30743],[40.06904,49.60105],[38.594988,49.926462],[38.010631,49.915662],[37.39346,50.383953],[36.626168,50.225591],[35.356116,50.577197],[35.37791,50.77394],[35.022183,51.207572],[34.224816,51.255993],[34.141978,51.566413],[34.391731,51.768882],[33.7527,52.335075],[32.715761,52.238465],[32.412058,52.288695],[32.15944,52.06125],[31.78597,52.10168],[31.540018,52.742052],[31.305201,53.073996],[31.49764,53.16743],[32.304519,53.132726],[32.693643,53.351421],[32.405599,53.618045],[31.731273,53.794029],[31.791424,53.974639],[31.384472,54.157056],[30.757534,54.811771],[30.971836,55.081548],[30.873909,55.550976],[29.896294,55.789463],[29.371572,55.670091],[29.229513,55.918344],[28.176709,56.16913],[27.855282,56.759326],[27.770016,57.244258],[27.288185,57.474528],[27.716686,57.791899],[27.42015,58.72457],[28.131699,59.300825],[27.98112,59.47537],[29.1177,60.02805],[28.07,60.50352],[30.211107,61.780028],[31.139991,62.357693],[31.516092,62.867687],[30.035872,63.552814],[30.444685,64.204453],[29.54443,64.948672],[30.21765,65.80598],[29.054589,66.944286],[29.977426,67.698297],[28.445944,68.364613],[28.59193,69.064777],[29.39955,69.15692],[31.10108,69.55811],[32.13272,69.90595],[33.77547,69.30142],[36.51396,69.06342],[40.29234,67.9324],[41.05987,67.45713],[41.12595,66.79158],[40.01583,66.26618],[38.38295,65.99953],[33.91871,66.75961],[33.18444,66.63253],[34.81477,65.90015],[34.878574,65.436213],[34.94391,64.41437],[36.23129,64.10945],[37.01273,63.84983],[37.14197,64.33471],[36.539579,64.76446],[37.17604,65.14322],[39.59345,64.52079],[40.4356,64.76446],[39.7626,65.49682],[42.09309,66.47623],[43.01604,66.41858],[43.94975,66.06908],[44.53226,66.75634],[43.69839,67.35245],[44.18795,67.95051],[43.45282,68.57079],[46.25,68.25],[46.82134,67.68997],[45.55517,67.56652],[45.56202,67.01005],[46.34915,66.66767],[47.89416,66.88455],[48.13876,67.52238],[50.22766,67.99867],[53.71743,68.85738],[54.47171,68.80815],[53.48582,68.20131],[54.72628,68.09702],[55.44268,68.43866],[57.31702,68.46628],[58.802,68.88082],[59.94142,68.27844],[61.07784,68.94069],[60.03,69.52],[60.55,69.85],[63.504,69.54739],[64.888115,69.234835],[68.51216,68.09233],[69.18068,68.61563],[68.16444,69.14436],[68.13522,69.35649],[66.93008,69.45461],[67.25976,69.92873],[66.72492,70.70889],[66.69466,71.02897],[68.54006,71.9345],[69.19636,72.84336],[69.94,73.04],[72.58754,72.77629],[72.79603,72.22006],[71.84811,71.40898],[72.47011,71.09019],[72.79188,70.39114],[72.5647,69.02085],[73.66787,68.4079],[73.2387,67.7404],[71.28,66.32],[72.42301,66.17267],[72.82077,66.53267],[73.92099,66.78946],[74.18651,67.28429],[75.052,67.76047],[74.46926,68.32899],[74.93584,68.98918],[73.84236,69.07146],[73.60187,69.62763],[74.3998,70.63175],[73.1011,71.44717],[74.89082,72.12119],[74.65926,72.83227],[75.15801,72.85497],[75.68351,72.30056],[75.28898,71.33556],[76.35911,71.15287],[75.90313,71.87401],[77.57665,72.26717],[79.65202,72.32011],[81.5,71.75],[80.61071,72.58285],[80.51109,73.6482],[82.25,73.85],[84.65526,73.80591],[86.8223,73.93688],[86.00956,74.45967],[87.16682,75.11643],[88.31571,75.14393],[90.26,75.64],[92.90058,75.77333],[93.23421,76.0472],[95.86,76.14],[96.67821,75.91548],[98.92254,76.44689],[100.75967,76.43028],[101.03532,76.86189],[101.99084,77.28754],[104.3516,77.69792],[106.06664,77.37389],[104.705,77.1274],[106.97013,76.97419]]],[[[105.07547,78.30689],[99.43814,77.921],[101.2649,79.23399],[102.08635,79.34641],[102.837815,79.28129],[105.37243,78.71334],[105.07547,78.30689]]],[[[51.136187,80.54728],[49.793685,80.415428],[48.894411,80.339567],[48.754937,80.175468],[47.586119,80.010181],[46.502826,80.247247],[47.072455,80.559424],[44.846958,80.58981],[46.799139,80.771918],[48.318477,80.78401],[48.522806,80.514569],[49.09719,80.753986],[50.039768,80.918885],[51.522933,80.699726],[51.136187,80.54728]]],[[[99.93976,78.88094],[97.75794,78.7562],[94.97259,79.044745],[93.31288,79.4265],[92.5454,80.14379],[91.18107,80.34146],[93.77766,81.0246],[95.940895,81.2504],[97.88385,80.746975],[100.186655,79.780135],[99.93976,78.88094]]]]}},{"type":"Feature","id":"RWA","properties":{"name":"Rwanda"},"geometry":{"type":"Polygon","coordinates":[[[30.419105,-1.134659],[30.816135,-1.698914],[30.758309,-2.28725],[30.469696,-2.413858],[29.938359,-2.348487],[29.632176,-2.917858],[29.024926,-2.839258],[29.117479,-2.292211],[29.254835,-2.21511],[29.291887,-1.620056],[29.579466,-1.341313],[29.821519,-1.443322],[30.419105,-1.134659]]]}},{"type":"Feature","id":"ESH","properties":{"name":"Western Sahara"},"geometry":{"type":"Polygon","coordinates":[[[-8.794884,27.120696],[-8.817828,27.656426],[-8.66559,27.656426],[-8.665124,27.589479],[-8.6844,27.395744],[-8.687294,25.881056],[-11.969419,25.933353],[-11.937224,23.374594],[-12.874222,23.284832],[-13.118754,22.77122],[-12.929102,21.327071],[-16.845194,21.333323],[-17.063423,20.999752],[-17.020428,21.42231],[-17.002962,21.420734],[-14.750955,21.5006],[-14.630833,21.86094],[-14.221168,22.310163],[-13.89111,23.691009],[-12.500963,24.770116],[-12.030759,26.030866],[-11.71822,26.104092],[-11.392555,26.883424],[-10.551263,26.990808],[-10.189424,26.860945],[-9.735343,26.860945],[-9.413037,27.088476],[-8.794884,27.120696]]]}},{"type":"Feature","id":"SAU","properties":{"name":"Saudi Arabia"},"geometry":{"type":"Polygon","coordinates":[[[42.779332,16.347891],[42.649573,16.774635],[42.347989,17.075806],[42.270888,17.474722],[41.754382,17.833046],[41.221391,18.6716],[40.939341,19.486485],[40.247652,20.174635],[39.801685,20.338862],[39.139399,21.291905],[39.023696,21.986875],[39.066329,22.579656],[38.492772,23.688451],[38.02386,24.078686],[37.483635,24.285495],[37.154818,24.858483],[37.209491,25.084542],[36.931627,25.602959],[36.639604,25.826228],[36.249137,26.570136],[35.640182,27.37652],[35.130187,28.063352],[34.632336,28.058546],[34.787779,28.607427],[34.83222,28.957483],[34.956037,29.356555],[36.068941,29.197495],[36.501214,29.505254],[36.740528,29.865283],[37.503582,30.003776],[37.66812,30.338665],[37.998849,30.5085],[37.002166,31.508413],[39.004886,32.010217],[39.195468,32.161009],[40.399994,31.889992],[41.889981,31.190009],[44.709499,29.178891],[46.568713,29.099025],[47.459822,29.002519],[47.708851,28.526063],[48.416094,28.552004],[48.807595,27.689628],[49.299554,27.461218],[49.470914,27.109999],[50.152422,26.689663],[50.212935,26.277027],[50.113303,25.943972],[50.239859,25.60805],[50.527387,25.327808],[50.660557,24.999896],[50.810108,24.754743],[51.112415,24.556331],[51.389608,24.627386],[51.579519,24.245497],[51.617708,24.014219],[52.000733,23.001154],[55.006803,22.496948],[55.208341,22.70833],[55.666659,22.000001],[54.999982,19.999994],[52.00001,19.000003],[49.116672,18.616668],[48.183344,18.166669],[47.466695,17.116682],[47.000005,16.949999],[46.749994,17.283338],[46.366659,17.233315],[45.399999,17.333335],[45.216651,17.433329],[44.062613,17.410359],[43.791519,17.319977],[43.380794,17.579987],[43.115798,17.08844],[43.218375,16.66689],[42.779332,16.347891]]]}},{"type":"Feature","id":"SDN","properties":{"name":"Sudan"},"geometry":{"type":"Polygon","coordinates":[[[33.963393,9.464285],[33.824963,9.484061],[33.842131,9.981915],[33.721959,10.325262],[33.206938,10.720112],[33.086766,11.441141],[33.206938,12.179338],[32.743419,12.248008],[32.67475,12.024832],[32.073892,11.97333],[32.314235,11.681484],[32.400072,11.080626],[31.850716,10.531271],[31.352862,9.810241],[30.837841,9.707237],[29.996639,10.290927],[29.618957,10.084919],[29.515953,9.793074],[29.000932,9.604232],[28.966597,9.398224],[27.97089,9.398224],[27.833551,9.604232],[27.112521,9.638567],[26.752006,9.466893],[26.477328,9.55273],[25.962307,10.136421],[25.790633,10.411099],[25.069604,10.27376],[24.794926,9.810241],[24.537415,8.917538],[24.194068,8.728696],[23.88698,8.61973],[23.805813,8.666319],[23.459013,8.954286],[23.394779,9.265068],[23.55725,9.681218],[23.554304,10.089255],[22.977544,10.714463],[22.864165,11.142395],[22.87622,11.38461],[22.50869,11.67936],[22.49762,12.26024],[22.28801,12.64605],[21.93681,12.58818],[22.03759,12.95546],[22.29658,13.37232],[22.18329,13.78648],[22.51202,14.09318],[22.30351,14.32682],[22.56795,14.94429],[23.02459,15.68072],[23.88689,15.61084],[23.83766,19.58047],[23.85,20],[25,20.00304],[25,22],[29.02,22],[32.9,22],[36.86623,22],[37.18872,21.01885],[36.96941,20.83744],[37.1147,19.80796],[37.48179,18.61409],[37.86276,18.36786],[38.41009,17.998307],[37.904,17.42754],[37.16747,17.26314],[36.85253,16.95655],[36.75389,16.29186],[36.32322,14.82249],[36.42951,14.42211],[36.27022,13.56333],[35.86363,12.57828],[35.26049,12.08286],[34.83163,11.31896],[34.73115,10.91017],[34.25745,10.63009],[33.96162,9.58358],[33.963393,9.464285]]]}},{"type":"Feature","id":"SDS","properties":{"name":"South Sudan"},"geometry":{"type":"Polygon","coordinates":[[[33.963393,9.464285],[33.97498,8.68456],[33.8255,8.37916],[33.2948,8.35458],[32.95418,7.78497],[33.56829,7.71334],[34.0751,7.22595],[34.25032,6.82607],[34.70702,6.59422],[35.298007,5.506],[34.620196,4.847123],[34.005,4.249885],[33.39,3.79],[32.68642,3.79232],[31.88145,3.55827],[31.24556,3.7819],[30.83385,3.50917],[29.95349,4.1737],[29.715995,4.600805],[29.159078,4.389267],[28.696678,4.455077],[28.428994,4.287155],[27.979977,4.408413],[27.374226,5.233944],[27.213409,5.550953],[26.465909,5.946717],[26.213418,6.546603],[25.796648,6.979316],[25.124131,7.500085],[25.114932,7.825104],[24.567369,8.229188],[23.88698,8.61973],[24.194068,8.728696],[24.537415,8.917538],[24.794926,9.810241],[25.069604,10.27376],[25.790633,10.411099],[25.962307,10.136421],[26.477328,9.55273],[26.752006,9.466893],[27.112521,9.638567],[27.833551,9.604232],[27.97089,9.398224],[28.966597,9.398224],[29.000932,9.604232],[29.515953,9.793074],[29.618957,10.084919],[29.996639,10.290927],[30.837841,9.707237],[31.352862,9.810241],[31.850716,10.531271],[32.400072,11.080626],[32.314235,11.681484],[32.073892,11.97333],[32.67475,12.024832],[32.743419,12.248008],[33.206938,12.179338],[33.086766,11.441141],[33.206938,10.720112],[33.721959,10.325262],[33.842131,9.981915],[33.824963,9.484061],[33.963393,9.464285]]]}},{"type":"Feature","id":"SEN","properties":{"name":"Senegal"},"geometry":{"type":"Polygon","coordinates":[[[-16.713729,13.594959],[-17.126107,14.373516],[-17.625043,14.729541],[-17.185173,14.919477],[-16.700706,15.621527],[-16.463098,16.135036],[-16.12069,16.455663],[-15.623666,16.369337],[-15.135737,16.587282],[-14.577348,16.598264],[-14.099521,16.304302],[-13.435738,16.039383],[-12.830658,15.303692],[-12.17075,14.616834],[-12.124887,13.994727],[-11.927716,13.422075],[-11.553398,13.141214],[-11.467899,12.754519],[-11.513943,12.442988],[-11.658301,12.386583],[-12.203565,12.465648],[-12.278599,12.35444],[-12.499051,12.33209],[-13.217818,12.575874],[-13.700476,12.586183],[-15.548477,12.62817],[-15.816574,12.515567],[-16.147717,12.547762],[-16.677452,12.384852],[-16.841525,13.151394],[-15.931296,13.130284],[-15.691001,13.270353],[-15.511813,13.27857],[-15.141163,13.509512],[-14.712197,13.298207],[-14.277702,13.280585],[-13.844963,13.505042],[-14.046992,13.794068],[-14.376714,13.62568],[-14.687031,13.630357],[-15.081735,13.876492],[-15.39877,13.860369],[-15.624596,13.623587],[-16.713729,13.594959]]]}},{"type":"Feature","id":"SLB","properties":{"name":"Solomon Islands"},"geometry":{"type":"MultiPolygon","coordinates":[[[[162.119025,-10.482719],[162.398646,-10.826367],[161.700032,-10.820011],[161.319797,-10.204751],[161.917383,-10.446701],[162.119025,-10.482719]]],[[[160.852229,-9.872937],[160.462588,-9.89521],[159.849447,-9.794027],[159.640003,-9.63998],[159.702945,-9.24295],[160.362956,-9.400304],[160.688518,-9.610162],[160.852229,-9.872937]]],[[[161.679982,-9.599982],[161.529397,-9.784312],[160.788253,-8.917543],[160.579997,-8.320009],[160.920028,-8.320009],[161.280006,-9.120011],[161.679982,-9.599982]]],[[[159.875027,-8.33732],[159.917402,-8.53829],[159.133677,-8.114181],[158.586114,-7.754824],[158.21115,-7.421872],[158.359978,-7.320018],[158.820001,-7.560003],[159.640003,-8.020027],[159.875027,-8.33732]]],[[[157.538426,-7.34782],[157.33942,-7.404767],[156.90203,-7.176874],[156.491358,-6.765943],[156.542828,-6.599338],[157.14,-7.021638],[157.538426,-7.34782]]]]}},{"type":"Feature","id":"SLE","properties":{"name":"Sierra Leone"},"geometry":{"type":"Polygon","coordinates":[[[-11.438779,6.785917],[-11.708195,6.860098],[-12.428099,7.262942],[-12.949049,7.798646],[-13.124025,8.163946],[-13.24655,8.903049],[-12.711958,9.342712],[-12.596719,9.620188],[-12.425929,9.835834],[-12.150338,9.858572],[-11.917277,10.046984],[-11.117481,10.045873],[-10.839152,9.688246],[-10.622395,9.26791],[-10.65477,8.977178],[-10.494315,8.715541],[-10.505477,8.348896],[-10.230094,8.406206],[-10.695595,7.939464],[-11.146704,7.396706],[-11.199802,7.105846],[-11.438779,6.785917]]]}},{"type":"Feature","id":"SLV","properties":{"name":"El Salvador"},"geometry":{"type":"Polygon","coordinates":[[[-87.793111,13.38448],[-87.904112,13.149017],[-88.483302,13.163951],[-88.843228,13.259734],[-89.256743,13.458533],[-89.812394,13.520622],[-90.095555,13.735338],[-90.064678,13.88197],[-89.721934,14.134228],[-89.534219,14.244816],[-89.587343,14.362586],[-89.353326,14.424133],[-89.058512,14.340029],[-88.843073,14.140507],[-88.541231,13.980155],[-88.503998,13.845486],[-88.065343,13.964626],[-87.859515,13.893312],[-87.723503,13.78505],[-87.793111,13.38448]]]}},{"type":"Feature","id":"SOL","properties":{"name":"Somaliland"},"geometry":{"type":"Polygon","coordinates":[[[48.93813,9.451749],[48.486736,8.837626],[47.78942,8.003],[46.948328,7.996877],[43.67875,9.18358],[43.296975,9.540477],[42.92812,10.02194],[42.55876,10.57258],[42.776852,10.926879],[43.145305,11.46204],[43.47066,11.27771],[43.666668,10.864169],[44.117804,10.445538],[44.614259,10.442205],[45.556941,10.698029],[46.645401,10.816549],[47.525658,11.127228],[48.021596,11.193064],[48.378784,11.375482],[48.948206,11.410622],[48.942005,11.394266],[48.938491,10.982327],[48.938233,9.9735],[48.93813,9.451749]]]}},{"type":"Feature","id":"SOM","properties":{"name":"Somalia"},"geometry":{"type":"Polygon","coordinates":[[[49.72862,11.5789],[50.25878,11.67957],[50.73202,12.0219],[51.1112,12.02464],[51.13387,11.74815],[51.04153,11.16651],[51.04531,10.6409],[50.83418,10.27972],[50.55239,9.19874],[50.07092,8.08173],[49.4527,6.80466],[48.59455,5.33911],[47.74079,4.2194],[46.56476,2.85529],[45.56399,2.04576],[44.06815,1.05283],[43.13597,0.2922],[42.04157,-0.91916],[41.81095,-1.44647],[41.58513,-1.68325],[40.993,-0.85829],[40.98105,2.78452],[41.855083,3.918912],[42.12861,4.23413],[42.76967,4.25259],[43.66087,4.95755],[44.9636,5.00162],[47.78942,8.003],[48.486736,8.837626],[48.93813,9.451749],[48.938233,9.9735],[48.938491,10.982327],[48.942005,11.394266],[48.948205,11.410617],[49.26776,11.43033],[49.72862,11.5789]]]}},{"type":"Feature","id":"SRB","properties":{"name":"Republic of Serbia"},"geometry":{"type":"Polygon","coordinates":[[[20.874313,45.416375],[21.483526,45.18117],[21.562023,44.768947],[22.145088,44.478422],[22.459022,44.702517],[22.705726,44.578003],[22.474008,44.409228],[22.65715,44.234923],[22.410446,44.008063],[22.500157,43.642814],[22.986019,43.211161],[22.604801,42.898519],[22.436595,42.580321],[22.545012,42.461362],[22.380526,42.32026],[21.91708,42.30364],[21.576636,42.245224],[21.54332,42.32025],[21.66292,42.43922],[21.77505,42.6827],[21.63302,42.67717],[21.43866,42.86255],[21.27421,42.90959],[21.143395,43.068685],[20.95651,43.13094],[20.81448,43.27205],[20.63508,43.21671],[20.49679,42.88469],[20.25758,42.81275],[20.3398,42.89852],[19.95857,43.10604],[19.63,43.21378],[19.48389,43.35229],[19.21852,43.52384],[19.454,43.5681],[19.59976,44.03847],[19.11761,44.42307],[19.36803,44.863],[19.00548,44.86023],[19.390476,45.236516],[19.072769,45.521511],[18.82982,45.90888],[19.596045,46.17173],[20.220192,46.127469],[20.762175,45.734573],[20.874313,45.416375]]]}},{"type":"Feature","id":"SUR","properties":{"name":"Suriname"},"geometry":{"type":"Polygon","coordinates":[[[-57.147436,5.97315],[-55.949318,5.772878],[-55.84178,5.953125],[-55.03325,6.025291],[-53.958045,5.756548],[-54.478633,4.896756],[-54.399542,4.212611],[-54.006931,3.620038],[-54.181726,3.18978],[-54.269705,2.732392],[-54.524754,2.311849],[-55.097587,2.523748],[-55.569755,2.421506],[-55.973322,2.510364],[-56.073342,2.220795],[-55.9056,2.021996],[-55.995698,1.817667],[-56.539386,1.899523],[-57.150098,2.768927],[-57.281433,3.333492],[-57.601569,3.334655],[-58.044694,4.060864],[-57.86021,4.576801],[-57.914289,4.812626],[-57.307246,5.073567],[-57.147436,5.97315]]]}},{"type":"Feature","id":"SVK","properties":{"name":"Slovakia"},"geometry":{"type":"Polygon","coordinates":[[[18.853144,49.49623],[18.909575,49.435846],[19.320713,49.571574],[19.825023,49.217125],[20.415839,49.431453],[20.887955,49.328772],[21.607808,49.470107],[22.558138,49.085738],[22.280842,48.825392],[22.085608,48.422264],[21.872236,48.319971],[20.801294,48.623854],[20.473562,48.56285],[20.239054,48.327567],[19.769471,48.202691],[19.661364,48.266615],[19.174365,48.111379],[18.777025,48.081768],[18.696513,47.880954],[17.857133,47.758429],[17.488473,47.867466],[16.979667,48.123497],[16.879983,48.470013],[16.960288,48.596982],[17.101985,48.816969],[17.545007,48.800019],[17.886485,48.903475],[17.913512,48.996493],[18.104973,49.043983],[18.170498,49.271515],[18.399994,49.315001],[18.554971,49.495015],[18.853144,49.49623]]]}},{"type":"Feature","id":"SVN","properties":{"name":"Slovenia"},"geometry":{"type":"Polygon","coordinates":[[[13.806475,46.509306],[14.632472,46.431817],[15.137092,46.658703],[16.011664,46.683611],[16.202298,46.852386],[16.370505,46.841327],[16.564808,46.503751],[15.768733,46.238108],[15.67153,45.834154],[15.323954,45.731783],[15.327675,45.452316],[14.935244,45.471695],[14.595109,45.634941],[14.411968,45.466166],[13.71506,45.500324],[13.93763,45.591016],[13.69811,46.016778],[13.806475,46.509306]]]}},{"type":"Feature","id":"SWE","properties":{"name":"Sweden"},"geometry":{"type":"Polygon","coordinates":[[[22.183173,65.723741],[21.213517,65.026005],[21.369631,64.413588],[19.778876,63.609554],[17.847779,62.7494],[17.119555,61.341166],[17.831346,60.636583],[18.787722,60.081914],[17.869225,58.953766],[16.829185,58.719827],[16.44771,57.041118],[15.879786,56.104302],[14.666681,56.200885],[14.100721,55.407781],[12.942911,55.361737],[12.625101,56.30708],[11.787942,57.441817],[11.027369,58.856149],[11.468272,59.432393],[12.300366,60.117933],[12.631147,61.293572],[11.992064,61.800362],[11.930569,63.128318],[12.579935,64.066219],[13.571916,64.049114],[13.919905,64.445421],[13.55569,64.787028],[15.108411,66.193867],[16.108712,67.302456],[16.768879,68.013937],[17.729182,68.010552],[17.993868,68.567391],[19.87856,68.407194],[20.025269,69.065139],[20.645593,69.106247],[21.978535,68.616846],[23.539473,67.936009],[23.56588,66.396051],[23.903379,66.006927],[22.183173,65.723741]]]}},{"type":"Feature","id":"SWZ","properties":{"name":"Swaziland"},"geometry":{"type":"Polygon","coordinates":[[[32.071665,-26.73382],[31.86806,-27.177927],[31.282773,-27.285879],[30.685962,-26.743845],[30.676609,-26.398078],[30.949667,-26.022649],[31.04408,-25.731452],[31.333158,-25.660191],[31.837778,-25.843332],[31.985779,-26.29178],[32.071665,-26.73382]]]}},{"type":"Feature","id":"SYR","properties":{"name":"Syria"},"geometry":{"type":"Polygon","coordinates":[[[38.792341,33.378686],[36.834062,32.312938],[35.719918,32.709192],[35.700798,32.716014],[35.836397,32.868123],[35.821101,33.277426],[36.06646,33.824912],[36.61175,34.201789],[36.448194,34.593935],[35.998403,34.644914],[35.905023,35.410009],[36.149763,35.821535],[36.41755,36.040617],[36.685389,36.259699],[36.739494,36.81752],[37.066761,36.623036],[38.167727,36.90121],[38.699891,36.712927],[39.52258,36.716054],[40.673259,37.091276],[41.212089,37.074352],[42.349591,37.229873],[41.837064,36.605854],[41.289707,36.358815],[41.383965,35.628317],[41.006159,34.419372],[38.792341,33.378686]]]}},{"type":"Feature","id":"TCD","properties":{"name":"Chad"},"geometry":{"type":"Polygon","coordinates":[[[14.495787,12.859396],[14.595781,13.330427],[13.954477,13.353449],[13.956699,13.996691],[13.540394,14.367134],[13.97217,15.68437],[15.247731,16.627306],[15.300441,17.92795],[15.685741,19.95718],[15.903247,20.387619],[15.487148,20.730415],[15.47106,21.04845],[15.096888,21.308519],[14.8513,22.86295],[15.86085,23.40972],[19.84926,21.49509],[23.83766,19.58047],[23.88689,15.61084],[23.02459,15.68072],[22.56795,14.94429],[22.30351,14.32682],[22.51202,14.09318],[22.18329,13.78648],[22.29658,13.37232],[22.03759,12.95546],[21.93681,12.58818],[22.28801,12.64605],[22.49762,12.26024],[22.50869,11.67936],[22.87622,11.38461],[22.864165,11.142395],[22.231129,10.971889],[21.723822,10.567056],[21.000868,9.475985],[20.059685,9.012706],[19.094008,9.074847],[18.81201,8.982915],[18.911022,8.630895],[18.389555,8.281304],[17.96493,7.890914],[16.705988,7.508328],[16.456185,7.734774],[16.290562,7.754307],[16.106232,7.497088],[15.27946,7.421925],[15.436092,7.692812],[15.120866,8.38215],[14.979996,8.796104],[14.544467,8.965861],[13.954218,9.549495],[14.171466,10.021378],[14.627201,9.920919],[14.909354,9.992129],[15.467873,9.982337],[14.923565,10.891325],[14.960152,11.555574],[14.89336,12.21905],[14.495787,12.859396]]]}},{"type":"Feature","id":"TGO","properties":{"name":"Togo"},"geometry":{"type":"Polygon","coordinates":[[[1.865241,6.142158],[1.060122,5.928837],[0.836931,6.279979],[0.570384,6.914359],[0.490957,7.411744],[0.712029,8.312465],[0.461192,8.677223],[0.365901,9.465004],[0.36758,10.191213],[-0.049785,10.706918],[0.023803,11.018682],[0.899563,10.997339],[0.772336,10.470808],[1.077795,10.175607],[1.425061,9.825395],[1.463043,9.334624],[1.664478,9.12859],[1.618951,6.832038],[1.865241,6.142158]]]}},{"type":"Feature","id":"THA","properties":{"name":"Thailand"},"geometry":{"type":"Polygon","coordinates":[[[102.584932,12.186595],[101.687158,12.64574],[100.83181,12.627085],[100.978467,13.412722],[100.097797,13.406856],[100.018733,12.307001],[99.478921,10.846367],[99.153772,9.963061],[99.222399,9.239255],[99.873832,9.207862],[100.279647,8.295153],[100.459274,7.429573],[101.017328,6.856869],[101.623079,6.740622],[102.141187,6.221636],[101.814282,5.810808],[101.154219,5.691384],[101.075516,6.204867],[100.259596,6.642825],[100.085757,6.464489],[99.690691,6.848213],[99.519642,7.343454],[98.988253,7.907993],[98.503786,8.382305],[98.339662,7.794512],[98.150009,8.350007],[98.25915,8.973923],[98.553551,9.93296],[99.038121,10.960546],[99.587286,11.892763],[99.196354,12.804748],[99.212012,13.269294],[99.097755,13.827503],[98.430819,14.622028],[98.192074,15.123703],[98.537376,15.308497],[98.903348,16.177824],[98.493761,16.837836],[97.859123,17.567946],[97.375896,18.445438],[97.797783,18.62708],[98.253724,19.708203],[98.959676,19.752981],[99.543309,20.186598],[100.115988,20.41785],[100.548881,20.109238],[100.606294,19.508344],[101.282015,19.462585],[101.035931,18.408928],[101.059548,17.512497],[102.113592,18.109102],[102.413005,17.932782],[102.998706,17.961695],[103.200192,18.309632],[103.956477,18.240954],[104.716947,17.428859],[104.779321,16.441865],[105.589039,15.570316],[105.544338,14.723934],[105.218777,14.273212],[104.281418,14.416743],[102.988422,14.225721],[102.348099,13.394247],[102.584932,12.186595]]]}},{"type":"Feature","id":"TJK","properties":{"name":"Tajikistan"},"geometry":{"type":"Polygon","coordinates":[[[71.014198,40.244366],[70.648019,39.935754],[69.55961,40.103211],[69.464887,39.526683],[70.549162,39.604198],[71.784694,39.279463],[73.675379,39.431237],[73.928852,38.505815],[74.257514,38.606507],[74.864816,38.378846],[74.829986,37.990007],[74.980002,37.41999],[73.948696,37.421566],[73.260056,37.495257],[72.63689,37.047558],[72.193041,36.948288],[71.844638,36.738171],[71.448693,37.065645],[71.541918,37.905774],[71.239404,37.953265],[71.348131,38.258905],[70.806821,38.486282],[70.376304,38.138396],[70.270574,37.735165],[70.116578,37.588223],[69.518785,37.608997],[69.196273,37.151144],[68.859446,37.344336],[68.135562,37.023115],[67.83,37.144994],[68.392033,38.157025],[68.176025,38.901553],[67.44222,39.140144],[67.701429,39.580478],[68.536416,39.533453],[69.011633,40.086158],[69.329495,40.727824],[70.666622,40.960213],[70.45816,40.496495],[70.601407,40.218527],[71.014198,40.244366]]]}},{"type":"Feature","id":"TKM","properties":{"name":"Turkmenistan"},"geometry":{"type":"Polygon","coordinates":[[[61.210817,35.650072],[61.123071,36.491597],[60.377638,36.527383],[59.234762,37.412988],[58.436154,37.522309],[57.330434,38.029229],[56.619366,38.121394],[56.180375,37.935127],[55.511578,37.964117],[54.800304,37.392421],[53.921598,37.198918],[53.735511,37.906136],[53.880929,38.952093],[53.101028,39.290574],[53.357808,39.975286],[52.693973,40.033629],[52.915251,40.876523],[53.858139,40.631034],[54.736845,40.951015],[54.008311,41.551211],[53.721713,42.123191],[52.91675,41.868117],[52.814689,41.135371],[52.50246,41.783316],[52.944293,42.116034],[54.079418,42.324109],[54.755345,42.043971],[55.455251,41.259859],[55.968191,41.308642],[57.096391,41.32231],[56.932215,41.826026],[57.78653,42.170553],[58.629011,42.751551],[59.976422,42.223082],[60.083341,41.425146],[60.465953,41.220327],[61.547179,41.26637],[61.882714,41.084857],[62.37426,40.053886],[63.518015,39.363257],[64.170223,38.892407],[65.215999,38.402695],[66.54615,37.974685],[66.518607,37.362784],[66.217385,37.39379],[65.745631,37.661164],[65.588948,37.305217],[64.746105,37.111818],[64.546479,36.312073],[63.982896,36.007957],[63.193538,35.857166],[62.984662,35.404041],[62.230651,35.270664],[61.210817,35.650072]]]}},{"type":"Feature","id":"TLS","properties":{"name":"East Timor"},"geometry":{"type":"Polygon","coordinates":[[[124.968682,-8.89279],[125.086246,-8.656887],[125.947072,-8.432095],[126.644704,-8.398247],[126.957243,-8.273345],[127.335928,-8.397317],[126.967992,-8.668256],[125.925885,-9.106007],[125.08852,-9.393173],[125.07002,-9.089987],[124.968682,-8.89279]]]}},{"type":"Feature","id":"TTO","properties":{"name":"Trinidad and Tobago"},"geometry":{"type":"Polygon","coordinates":[[[-61.68,10.76],[-61.105,10.89],[-60.895,10.855],[-60.935,10.11],[-61.77,10],[-61.95,10.09],[-61.66,10.365],[-61.68,10.76]]]}},{"type":"Feature","id":"TUN","properties":{"name":"Tunisia"},"geometry":{"type":"Polygon","coordinates":[[[9.48214,30.307556],[9.055603,32.102692],[8.439103,32.506285],[8.430473,32.748337],[7.612642,33.344115],[7.524482,34.097376],[8.140981,34.655146],[8.376368,35.479876],[8.217824,36.433177],[8.420964,36.946427],[9.509994,37.349994],[10.210002,37.230002],[10.18065,36.724038],[11.028867,37.092103],[11.100026,36.899996],[10.600005,36.41],[10.593287,35.947444],[10.939519,35.698984],[10.807847,34.833507],[10.149593,34.330773],[10.339659,33.785742],[10.856836,33.76874],[11.108501,33.293343],[11.488787,33.136996],[11.432253,32.368903],[10.94479,32.081815],[10.636901,31.761421],[9.950225,31.37607],[10.056575,30.961831],[9.970017,30.539325],[9.48214,30.307556]]]}},{"type":"Feature","id":"TUR","properties":{"name":"Turkey"},"geometry":{"type":"MultiPolygon","coordinates":[[[[36.913127,41.335358],[38.347665,40.948586],[39.512607,41.102763],[40.373433,41.013673],[41.554084,41.535656],[42.619549,41.583173],[43.582746,41.092143],[43.752658,40.740201],[43.656436,40.253564],[44.400009,40.005],[44.79399,39.713003],[44.109225,39.428136],[44.421403,38.281281],[44.225756,37.971584],[44.772699,37.170445],[44.293452,37.001514],[43.942259,37.256228],[42.779126,37.385264],[42.349591,37.229873],[41.212089,37.074352],[40.673259,37.091276],[39.52258,36.716054],[38.699891,36.712927],[38.167727,36.90121],[37.066761,36.623036],[36.739494,36.81752],[36.685389,36.259699],[36.41755,36.040617],[36.149763,35.821535],[35.782085,36.274995],[36.160822,36.650606],[35.550936,36.565443],[34.714553,36.795532],[34.026895,36.21996],[32.509158,36.107564],[31.699595,36.644275],[30.621625,36.677865],[30.391096,36.262981],[29.699976,36.144357],[28.732903,36.676831],[27.641187,36.658822],[27.048768,37.653361],[26.318218,38.208133],[26.8047,38.98576],[26.170785,39.463612],[27.28002,40.420014],[28.819978,40.460011],[29.240004,41.219991],[31.145934,41.087622],[32.347979,41.736264],[33.513283,42.01896],[35.167704,42.040225],[36.913127,41.335358]]],[[[27.192377,40.690566],[26.358009,40.151994],[26.043351,40.617754],[26.056942,40.824123],[26.294602,40.936261],[26.604196,41.562115],[26.117042,41.826905],[27.135739,42.141485],[27.99672,42.007359],[28.115525,41.622886],[28.988443,41.299934],[28.806438,41.054962],[27.619017,40.999823],[27.192377,40.690566]]]]}},{"type":"Feature","id":"TWN","properties":{"name":"Taiwan"},"geometry":{"type":"Polygon","coordinates":[[[121.777818,24.394274],[121.175632,22.790857],[120.74708,21.970571],[120.220083,22.814861],[120.106189,23.556263],[120.69468,24.538451],[121.495044,25.295459],[121.951244,24.997596],[121.777818,24.394274]]]}},{"type":"Feature","id":"TZA","properties":{"name":"United Republic of Tanzania"},"geometry":{"type":"Polygon","coordinates":[[[33.903711,-0.95],[34.07262,-1.05982],[37.69869,-3.09699],[37.7669,-3.67712],[39.20222,-4.67677],[38.74054,-5.90895],[38.79977,-6.47566],[39.44,-6.84],[39.47,-7.1],[39.19469,-7.7039],[39.25203,-8.00781],[39.18652,-8.48551],[39.53574,-9.11237],[39.9496,-10.0984],[40.31659,-10.3171],[39.521,-10.89688],[38.427557,-11.285202],[37.82764,-11.26879],[37.47129,-11.56876],[36.775151,-11.594537],[36.514082,-11.720938],[35.312398,-11.439146],[34.559989,-11.52002],[34.28,-10.16],[33.940838,-9.693674],[33.73972,-9.41715],[32.759375,-9.230599],[32.191865,-8.930359],[31.556348,-8.762049],[31.157751,-8.594579],[30.74,-8.34],[30.2,-7.08],[29.62,-6.52],[29.419993,-5.939999],[29.519987,-5.419979],[29.339998,-4.499983],[29.753512,-4.452389],[30.11632,-4.09012],[30.50554,-3.56858],[30.75224,-3.35931],[30.74301,-3.03431],[30.52766,-2.80762],[30.46967,-2.41383],[30.758309,-2.28725],[30.816135,-1.698914],[30.419105,-1.134659],[30.76986,-1.01455],[31.86617,-1.02736],[33.903711,-0.95]]]}},{"type":"Feature","id":"UGA","properties":{"name":"Uganda"},"geometry":{"type":"Polygon","coordinates":[[[31.86617,-1.02736],[30.76986,-1.01455],[30.419105,-1.134659],[29.821519,-1.443322],[29.579466,-1.341313],[29.587838,-0.587406],[29.8195,-0.2053],[29.875779,0.59738],[30.086154,1.062313],[30.468508,1.583805],[30.85267,1.849396],[31.174149,2.204465],[30.77332,2.33989],[30.83385,3.50917],[31.24556,3.7819],[31.88145,3.55827],[32.68642,3.79232],[33.39,3.79],[34.005,4.249885],[34.47913,3.5556],[34.59607,3.05374],[35.03599,1.90584],[34.6721,1.17694],[34.18,0.515],[33.893569,0.109814],[33.903711,-0.95],[31.86617,-1.02736]]]}},{"type":"Feature","id":"UKR","properties":{"name":"Ukraine"},"geometry":{"type":"Polygon","coordinates":[[[31.785998,52.101678],[32.159412,52.061267],[32.412058,52.288695],[32.715761,52.238465],[33.7527,52.335075],[34.391731,51.768882],[34.141978,51.566413],[34.224816,51.255993],[35.022183,51.207572],[35.377924,50.773955],[35.356116,50.577197],[36.626168,50.225591],[37.39346,50.383953],[38.010631,49.915662],[38.594988,49.926462],[40.069058,49.601055],[40.080789,49.30743],[39.674664,48.783818],[39.895632,48.232405],[39.738278,47.898937],[38.770585,47.825608],[38.255112,47.5464],[38.223538,47.10219],[37.425137,47.022221],[36.759855,46.6987],[35.823685,46.645964],[34.962342,46.273197],[35.020788,45.651219],[35.510009,45.409993],[36.529998,45.46999],[36.334713,45.113216],[35.239999,44.939996],[33.882511,44.361479],[33.326421,44.564877],[33.546924,45.034771],[32.454174,45.327466],[32.630804,45.519186],[33.588162,45.851569],[33.298567,46.080598],[31.74414,46.333348],[31.675307,46.706245],[30.748749,46.5831],[30.377609,46.03241],[29.603289,45.293308],[29.149725,45.464925],[28.679779,45.304031],[28.233554,45.488283],[28.485269,45.596907],[28.659987,45.939987],[28.933717,46.25883],[28.862972,46.437889],[29.072107,46.517678],[29.170654,46.379262],[29.759972,46.349988],[30.024659,46.423937],[29.83821,46.525326],[29.908852,46.674361],[29.559674,46.928583],[29.415135,47.346645],[29.050868,47.510227],[29.122698,47.849095],[28.670891,48.118149],[28.259547,48.155562],[27.522537,48.467119],[26.857824,48.368211],[26.619337,48.220726],[26.19745,48.220881],[25.945941,47.987149],[25.207743,47.891056],[24.866317,47.737526],[24.402056,47.981878],[23.760958,47.985598],[23.142236,48.096341],[22.710531,47.882194],[22.64082,48.15024],[22.085608,48.422264],[22.280842,48.825392],[22.558138,49.085738],[22.776419,49.027395],[22.51845,49.476774],[23.426508,50.308506],[23.922757,50.424881],[24.029986,50.705407],[23.527071,51.578454],[24.005078,51.617444],[24.553106,51.888461],[25.327788,51.910656],[26.337959,51.832289],[27.454066,51.592303],[28.241615,51.572227],[28.617613,51.427714],[28.992835,51.602044],[29.254938,51.368234],[30.157364,51.416138],[30.555117,51.319503],[30.619454,51.822806],[30.927549,52.042353],[31.785998,52.101678]]]}},{"type":"Feature","id":"URY","properties":{"name":"Uruguay"},"geometry":{"type":"Polygon","coordinates":[[[-57.625133,-30.216295],[-56.976026,-30.109686],[-55.973245,-30.883076],[-55.60151,-30.853879],[-54.572452,-31.494511],[-53.787952,-32.047243],[-53.209589,-32.727666],[-53.650544,-33.202004],[-53.373662,-33.768378],[-53.806426,-34.396815],[-54.935866,-34.952647],[-55.67409,-34.752659],[-56.215297,-34.859836],[-57.139685,-34.430456],[-57.817861,-34.462547],[-58.427074,-33.909454],[-58.349611,-33.263189],[-58.132648,-33.040567],[-58.14244,-32.044504],[-57.874937,-31.016556],[-57.625133,-30.216295]]]}},{"type":"Feature","id":"USA","properties":{"name":"United States of America"},"geometry":{"type":"MultiPolygon","coordinates":[[[[-155.54211,19.08348],[-155.68817,18.91619],[-155.93665,19.05939],[-155.90806,19.33888],[-156.07347,19.70294],[-156.02368,19.81422],[-155.85008,19.97729],[-155.91907,20.17395],[-155.86108,20.26721],[-155.78505,20.2487],[-155.40214,20.07975],[-155.22452,19.99302],[-155.06226,19.8591],[-154.80741,19.50871],[-154.83147,19.45328],[-155.22217,19.23972],[-155.54211,19.08348]]],[[[-156.07926,20.64397],[-156.41445,20.57241],[-156.58673,20.783],[-156.70167,20.8643],[-156.71055,20.92676],[-156.61258,21.01249],[-156.25711,20.91745],[-155.99566,20.76404],[-156.07926,20.64397]]],[[[-156.75824,21.17684],[-156.78933,21.06873],[-157.32521,21.09777],[-157.25027,21.21958],[-156.75824,21.17684]]],[[[-157.65283,21.32217],[-157.70703,21.26442],[-157.7786,21.27729],[-158.12667,21.31244],[-158.2538,21.53919],[-158.29265,21.57912],[-158.0252,21.71696],[-157.94161,21.65272],[-157.65283,21.32217]]],[[[-159.34512,21.982],[-159.46372,21.88299],[-159.80051,22.06533],[-159.74877,22.1382],[-159.5962,22.23618],[-159.36569,22.21494],[-159.34512,21.982]]],[[[-94.81758,49.38905],[-94.64,48.84],[-94.32914,48.67074],[-93.63087,48.60926],[-92.61,48.45],[-91.64,48.14],[-90.83,48.27],[-89.6,48.01],[-89.272917,48.019808],[-88.378114,48.302918],[-87.439793,47.94],[-86.461991,47.553338],[-85.652363,47.220219],[-84.87608,46.900083],[-84.779238,46.637102],[-84.543749,46.538684],[-84.6049,46.4396],[-84.3367,46.40877],[-84.14212,46.512226],[-84.091851,46.275419],[-83.890765,46.116927],[-83.616131,46.116927],[-83.469551,45.994686],[-83.592851,45.816894],[-82.550925,45.347517],[-82.337763,44.44],[-82.137642,43.571088],[-82.43,42.98],[-82.9,42.43],[-83.12,42.08],[-83.142,41.975681],[-83.02981,41.832796],[-82.690089,41.675105],[-82.439278,41.675105],[-81.277747,42.209026],[-80.247448,42.3662],[-78.939362,42.863611],[-78.92,42.965],[-79.01,43.27],[-79.171674,43.466339],[-78.72028,43.625089],[-77.737885,43.629056],[-76.820034,43.628784],[-76.5,44.018459],[-76.375,44.09631],[-75.31821,44.81645],[-74.867,45.00048],[-73.34783,45.00738],[-71.50506,45.0082],[-71.405,45.255],[-71.08482,45.30524],[-70.66,45.46],[-70.305,45.915],[-69.99997,46.69307],[-69.237216,47.447781],[-68.905,47.185],[-68.23444,47.35486],[-67.79046,47.06636],[-67.79134,45.70281],[-67.13741,45.13753],[-66.96466,44.8097],[-68.03252,44.3252],[-69.06,43.98],[-70.11617,43.68405],[-70.645476,43.090238],[-70.81489,42.8653],[-70.825,42.335],[-70.495,41.805],[-70.08,41.78],[-70.185,42.145],[-69.88497,41.92283],[-69.96503,41.63717],[-70.64,41.475],[-71.12039,41.49445],[-71.86,41.32],[-72.295,41.27],[-72.87643,41.22065],[-73.71,40.931102],[-72.24126,41.11948],[-71.945,40.93],[-73.345,40.63],[-73.982,40.628],[-73.952325,40.75075],[-74.25671,40.47351],[-73.96244,40.42763],[-74.17838,39.70926],[-74.90604,38.93954],[-74.98041,39.1964],[-75.20002,39.24845],[-75.52805,39.4985],[-75.32,38.96],[-75.071835,38.782032],[-75.05673,38.40412],[-75.37747,38.01551],[-75.94023,37.21689],[-76.03127,37.2566],[-75.72205,37.93705],[-76.23287,38.319215],[-76.35,39.15],[-76.542725,38.717615],[-76.32933,38.08326],[-76.989998,38.239992],[-76.30162,37.917945],[-76.25874,36.9664],[-75.9718,36.89726],[-75.86804,36.55125],[-75.72749,35.55074],[-76.36318,34.80854],[-77.397635,34.51201],[-78.05496,33.92547],[-78.55435,33.86133],[-79.06067,33.49395],[-79.20357,33.15839],[-80.301325,32.509355],[-80.86498,32.0333],[-81.33629,31.44049],[-81.49042,30.72999],[-81.31371,30.03552],[-80.98,29.18],[-80.535585,28.47213],[-80.53,28.04],[-80.056539,26.88],[-80.088015,26.205765],[-80.13156,25.816775],[-80.38103,25.20616],[-80.68,25.08],[-81.17213,25.20126],[-81.33,25.64],[-81.71,25.87],[-82.24,26.73],[-82.70515,27.49504],[-82.85526,27.88624],[-82.65,28.55],[-82.93,29.1],[-83.70959,29.93656],[-84.1,30.09],[-85.10882,29.63615],[-85.28784,29.68612],[-85.7731,30.15261],[-86.4,30.4],[-87.53036,30.27433],[-88.41782,30.3849],[-89.18049,30.31598],[-89.593831,30.159994],[-89.413735,29.89419],[-89.43,29.48864],[-89.21767,29.29108],[-89.40823,29.15961],[-89.77928,29.30714],[-90.15463,29.11743],[-90.880225,29.148535],[-91.626785,29.677],[-92.49906,29.5523],[-93.22637,29.78375],[-93.84842,29.71363],[-94.69,29.48],[-95.60026,28.73863],[-96.59404,28.30748],[-97.14,27.83],[-97.37,27.38],[-97.38,26.69],[-97.33,26.21],[-97.14,25.87],[-97.53,25.84],[-98.24,26.06],[-99.02,26.37],[-99.3,26.84],[-99.52,27.54],[-100.11,28.11],[-100.45584,28.69612],[-100.9576,29.38071],[-101.6624,29.7793],[-102.48,29.76],[-103.11,28.97],[-103.94,29.27],[-104.45697,29.57196],[-104.70575,30.12173],[-105.03737,30.64402],[-105.63159,31.08383],[-106.1429,31.39995],[-106.50759,31.75452],[-108.24,31.754854],[-108.24194,31.34222],[-109.035,31.34194],[-111.02361,31.33472],[-113.30498,32.03914],[-114.815,32.52528],[-114.72139,32.72083],[-115.99135,32.61239],[-117.12776,32.53534],[-117.295938,33.046225],[-117.944,33.621236],[-118.410602,33.740909],[-118.519895,34.027782],[-119.081,34.078],[-119.438841,34.348477],[-120.36778,34.44711],[-120.62286,34.60855],[-120.74433,35.15686],[-121.71457,36.16153],[-122.54747,37.55176],[-122.51201,37.78339],[-122.95319,38.11371],[-123.7272,38.95166],[-123.86517,39.76699],[-124.39807,40.3132],[-124.17886,41.14202],[-124.2137,41.99964],[-124.53284,42.76599],[-124.14214,43.70838],[-124.020535,44.615895],[-123.89893,45.52341],[-124.079635,46.86475],[-124.39567,47.72017],[-124.68721,48.184433],[-124.566101,48.379715],[-123.12,48.04],[-122.58736,47.096],[-122.34,47.36],[-122.5,48.18],[-122.84,49],[-120,49],[-117.03121,49],[-116.04818,49],[-113,49],[-110.05,49],[-107.05,49],[-104.04826,48.99986],[-100.65,49],[-97.22872,49.0007],[-95.15907,49],[-95.15609,49.38425],[-94.81758,49.38905]]],[[[-153.006314,57.115842],[-154.00509,56.734677],[-154.516403,56.992749],[-154.670993,57.461196],[-153.76278,57.816575],[-153.228729,57.968968],[-152.564791,57.901427],[-152.141147,57.591059],[-153.006314,57.115842]]],[[[-165.579164,59.909987],[-166.19277,59.754441],[-166.848337,59.941406],[-167.455277,60.213069],[-166.467792,60.38417],[-165.67443,60.293607],[-165.579164,59.909987]]],[[[-171.731657,63.782515],[-171.114434,63.592191],[-170.491112,63.694975],[-169.682505,63.431116],[-168.689439,63.297506],[-168.771941,63.188598],[-169.52944,62.976931],[-170.290556,63.194438],[-170.671386,63.375822],[-171.553063,63.317789],[-171.791111,63.405846],[-171.731657,63.782515]]],[[[-155.06779,71.147776],[-154.344165,70.696409],[-153.900006,70.889989],[-152.210006,70.829992],[-152.270002,70.600006],[-150.739992,70.430017],[-149.720003,70.53001],[-147.613362,70.214035],[-145.68999,70.12001],[-144.920011,69.989992],[-143.589446,70.152514],[-142.07251,69.851938],[-140.985988,69.711998],[-140.985988,69.711998],[-140.992499,66.000029],[-140.99777,60.306397],[-140.012998,60.276838],[-139.039,60.000007],[-138.34089,59.56211],[-137.4525,58.905],[-136.47972,59.46389],[-135.47583,59.78778],[-134.945,59.27056],[-134.27111,58.86111],[-133.355549,58.410285],[-132.73042,57.69289],[-131.70781,56.55212],[-130.00778,55.91583],[-129.979994,55.284998],[-130.53611,54.802753],[-131.085818,55.178906],[-131.967211,55.497776],[-132.250011,56.369996],[-133.539181,57.178887],[-134.078063,58.123068],[-135.038211,58.187715],[-136.628062,58.212209],[-137.800006,58.499995],[-139.867787,59.537762],[-140.825274,59.727517],[-142.574444,60.084447],[-143.958881,59.99918],[-145.925557,60.45861],[-147.114374,60.884656],[-148.224306,60.672989],[-148.018066,59.978329],[-148.570823,59.914173],[-149.727858,59.705658],[-150.608243,59.368211],[-151.716393,59.155821],[-151.859433,59.744984],[-151.409719,60.725803],[-150.346941,61.033588],[-150.621111,61.284425],[-151.895839,60.727198],[-152.57833,60.061657],[-154.019172,59.350279],[-153.287511,58.864728],[-154.232492,58.146374],[-155.307491,57.727795],[-156.308335,57.422774],[-156.556097,56.979985],[-158.117217,56.463608],[-158.433321,55.994154],[-159.603327,55.566686],[-160.28972,55.643581],[-161.223048,55.364735],[-162.237766,55.024187],[-163.069447,54.689737],[-164.785569,54.404173],[-164.942226,54.572225],[-163.84834,55.039431],[-162.870001,55.348043],[-161.804175,55.894986],[-160.563605,56.008055],[-160.07056,56.418055],[-158.684443,57.016675],[-158.461097,57.216921],[-157.72277,57.570001],[-157.550274,58.328326],[-157.041675,58.918885],[-158.194731,58.615802],[-158.517218,58.787781],[-159.058606,58.424186],[-159.711667,58.93139],[-159.981289,58.572549],[-160.355271,59.071123],[-161.355003,58.670838],[-161.968894,58.671665],[-162.054987,59.266925],[-161.874171,59.633621],[-162.518059,59.989724],[-163.818341,59.798056],[-164.662218,60.267484],[-165.346388,60.507496],[-165.350832,61.073895],[-166.121379,61.500019],[-165.734452,62.074997],[-164.919179,62.633076],[-164.562508,63.146378],[-163.753332,63.219449],[-163.067224,63.059459],[-162.260555,63.541936],[-161.53445,63.455817],[-160.772507,63.766108],[-160.958335,64.222799],[-161.518068,64.402788],[-160.777778,64.788604],[-161.391926,64.777235],[-162.45305,64.559445],[-162.757786,64.338605],[-163.546394,64.55916],[-164.96083,64.446945],[-166.425288,64.686672],[-166.845004,65.088896],[-168.11056,65.669997],[-166.705271,66.088318],[-164.47471,66.57666],[-163.652512,66.57666],[-163.788602,66.077207],[-161.677774,66.11612],[-162.489715,66.735565],[-163.719717,67.116395],[-164.430991,67.616338],[-165.390287,68.042772],[-166.764441,68.358877],[-166.204707,68.883031],[-164.430811,68.915535],[-163.168614,69.371115],[-162.930566,69.858062],[-161.908897,70.33333],[-160.934797,70.44769],[-159.039176,70.891642],[-158.119723,70.824721],[-156.580825,71.357764],[-155.06779,71.147776]]]]}},{"type":"Feature","id":"UZB","properties":{"name":"Uzbekistan"},"geometry":{"type":"Polygon","coordinates":[[[66.518607,37.362784],[66.54615,37.974685],[65.215999,38.402695],[64.170223,38.892407],[63.518015,39.363257],[62.37426,40.053886],[61.882714,41.084857],[61.547179,41.26637],[60.465953,41.220327],[60.083341,41.425146],[59.976422,42.223082],[58.629011,42.751551],[57.78653,42.170553],[56.932215,41.826026],[57.096391,41.32231],[55.968191,41.308642],[55.928917,44.995858],[58.503127,45.586804],[58.689989,45.500014],[60.239972,44.784037],[61.05832,44.405817],[62.0133,43.504477],[63.185787,43.650075],[64.900824,43.728081],[66.098012,42.99766],[66.023392,41.994646],[66.510649,41.987644],[66.714047,41.168444],[67.985856,41.135991],[68.259896,40.662325],[68.632483,40.668681],[69.070027,41.384244],[70.388965,42.081308],[70.962315,42.266154],[71.259248,42.167711],[70.420022,41.519998],[71.157859,41.143587],[71.870115,41.3929],[73.055417,40.866033],[71.774875,40.145844],[71.014198,40.244366],[70.601407,40.218527],[70.45816,40.496495],[70.666622,40.960213],[69.329495,40.727824],[69.011633,40.086158],[68.536416,39.533453],[67.701429,39.580478],[67.44222,39.140144],[68.176025,38.901553],[68.392033,38.157025],[67.83,37.144994],[67.075782,37.356144],[66.518607,37.362784]]]}},{"type":"Feature","id":"VEN","properties":{"name":"Venezuela"},"geometry":{"type":"Polygon","coordinates":[[[-71.331584,11.776284],[-71.360006,11.539994],[-71.94705,11.423282],[-71.620868,10.96946],[-71.633064,10.446494],[-72.074174,9.865651],[-71.695644,9.072263],[-71.264559,9.137195],[-71.039999,9.859993],[-71.350084,10.211935],[-71.400623,10.968969],[-70.155299,11.375482],[-70.293843,11.846822],[-69.943245,12.162307],[-69.5843,11.459611],[-68.882999,11.443385],[-68.233271,10.885744],[-68.194127,10.554653],[-67.296249,10.545868],[-66.227864,10.648627],[-65.655238,10.200799],[-64.890452,10.077215],[-64.329479,10.389599],[-64.318007,10.641418],[-63.079322,10.701724],[-61.880946,10.715625],[-62.730119,10.420269],[-62.388512,9.948204],[-61.588767,9.873067],[-60.830597,9.38134],[-60.671252,8.580174],[-60.150096,8.602757],[-59.758285,8.367035],[-60.550588,7.779603],[-60.637973,7.415],[-60.295668,7.043911],[-60.543999,6.856584],[-61.159336,6.696077],[-61.139415,6.234297],[-61.410303,5.959068],[-60.733574,5.200277],[-60.601179,4.918098],[-60.966893,4.536468],[-62.08543,4.162124],[-62.804533,4.006965],[-63.093198,3.770571],[-63.888343,4.02053],[-64.628659,4.148481],[-64.816064,4.056445],[-64.368494,3.79721],[-64.408828,3.126786],[-64.269999,2.497006],[-63.422867,2.411068],[-63.368788,2.2009],[-64.083085,1.916369],[-64.199306,1.492855],[-64.611012,1.328731],[-65.354713,1.095282],[-65.548267,0.789254],[-66.325765,0.724452],[-66.876326,1.253361],[-67.181294,2.250638],[-67.447092,2.600281],[-67.809938,2.820655],[-67.303173,3.318454],[-67.337564,3.542342],[-67.621836,3.839482],[-67.823012,4.503937],[-67.744697,5.221129],[-67.521532,5.55687],[-67.34144,6.095468],[-67.695087,6.267318],[-68.265052,6.153268],[-68.985319,6.206805],[-69.38948,6.099861],[-70.093313,6.960376],[-70.674234,7.087785],[-71.960176,6.991615],[-72.198352,7.340431],[-72.444487,7.423785],[-72.479679,7.632506],[-72.360901,8.002638],[-72.439862,8.405275],[-72.660495,8.625288],[-72.78873,9.085027],[-73.304952,9.152],[-73.027604,9.73677],[-72.905286,10.450344],[-72.614658,10.821975],[-72.227575,11.108702],[-71.973922,11.608672],[-71.331584,11.776284]]]}},{"type":"Feature","id":"VNM","properties":{"name":"Vietnam"},"geometry":{"type":"Polygon","coordinates":[[[108.05018,21.55238],[106.715068,20.696851],[105.881682,19.75205],[105.662006,19.058165],[106.426817,18.004121],[107.361954,16.697457],[108.269495,16.079742],[108.877107,15.276691],[109.33527,13.426028],[109.200136,11.666859],[108.36613,11.008321],[107.220929,10.364484],[106.405113,9.53084],[105.158264,8.59976],[104.795185,9.241038],[105.076202,9.918491],[104.334335,10.486544],[105.199915,10.88931],[106.24967,10.961812],[105.810524,11.567615],[107.491403,12.337206],[107.614548,13.535531],[107.382727,14.202441],[107.564525,15.202173],[107.312706,15.908538],[106.556008,16.604284],[105.925762,17.485315],[105.094598,18.666975],[103.896532,19.265181],[104.183388,19.624668],[104.822574,19.886642],[104.435,20.758733],[103.203861,20.766562],[102.754896,21.675137],[102.170436,22.464753],[102.706992,22.708795],[103.504515,22.703757],[104.476858,22.81915],[105.329209,23.352063],[105.811247,22.976892],[106.725403,22.794268],[106.567273,22.218205],[107.04342,21.811899],[108.05018,21.55238]]]}},{"type":"Feature","id":"VUT","properties":{"name":"Vanuatu"},"geometry":{"type":"MultiPolygon","coordinates":[[[[167.844877,-16.466333],[167.515181,-16.59785],[167.180008,-16.159995],[167.216801,-15.891846],[167.844877,-16.466333]]],[[[167.107712,-14.93392],[167.270028,-15.740021],[167.001207,-15.614602],[166.793158,-15.668811],[166.649859,-15.392704],[166.629137,-14.626497],[167.107712,-14.93392]]]]}},{"type":"Feature","id":"PSE","properties":{"name":"West Bank"},"geometry":{"type":"Polygon","coordinates":[[[35.545665,32.393992],[35.545252,31.782505],[35.397561,31.489086],[34.927408,31.353435],[34.970507,31.616778],[35.225892,31.754341],[34.974641,31.866582],[35.18393,32.532511],[35.545665,32.393992]]]}},{"type":"Feature","id":"YEM","properties":{"name":"Yemen"},"geometry":{"type":"Polygon","coordinates":[[[53.108573,16.651051],[52.385206,16.382411],[52.191729,15.938433],[52.168165,15.59742],[51.172515,15.17525],[49.574576,14.708767],[48.679231,14.003202],[48.238947,13.94809],[47.938914,14.007233],[47.354454,13.59222],[46.717076,13.399699],[45.877593,13.347764],[45.62505,13.290946],[45.406459,13.026905],[45.144356,12.953938],[44.989533,12.699587],[44.494576,12.721653],[44.175113,12.58595],[43.482959,12.6368],[43.222871,13.22095],[43.251448,13.767584],[43.087944,14.06263],[42.892245,14.802249],[42.604873,15.213335],[42.805015,15.261963],[42.702438,15.718886],[42.823671,15.911742],[42.779332,16.347891],[43.218375,16.66689],[43.115798,17.08844],[43.380794,17.579987],[43.791519,17.319977],[44.062613,17.410359],[45.216651,17.433329],[45.399999,17.333335],[46.366659,17.233315],[46.749994,17.283338],[47.000005,16.949999],[47.466695,17.116682],[48.183344,18.166669],[49.116672,18.616668],[52.00001,19.000003],[52.782184,17.349742],[53.108573,16.651051]]]}},{"type":"Feature","id":"ZAF","properties":{"name":"South Africa"},"geometry":{"type":"Polygon","coordinates":[[[31.521001,-29.257387],[31.325561,-29.401978],[30.901763,-29.909957],[30.622813,-30.423776],[30.055716,-31.140269],[28.925553,-32.172041],[28.219756,-32.771953],[27.464608,-33.226964],[26.419452,-33.61495],[25.909664,-33.66704],[25.780628,-33.944646],[25.172862,-33.796851],[24.677853,-33.987176],[23.594043,-33.794474],[22.988189,-33.916431],[22.574157,-33.864083],[21.542799,-34.258839],[20.689053,-34.417175],[20.071261,-34.795137],[19.616405,-34.819166],[19.193278,-34.462599],[18.855315,-34.444306],[18.424643,-33.997873],[18.377411,-34.136521],[18.244499,-33.867752],[18.25008,-33.281431],[17.92519,-32.611291],[18.24791,-32.429131],[18.221762,-31.661633],[17.566918,-30.725721],[17.064416,-29.878641],[17.062918,-29.875954],[16.344977,-28.576705],[16.824017,-28.082162],[17.218929,-28.355943],[17.387497,-28.783514],[17.836152,-28.856378],[18.464899,-29.045462],[19.002127,-28.972443],[19.894734,-28.461105],[19.895768,-24.76779],[20.165726,-24.917962],[20.758609,-25.868136],[20.66647,-26.477453],[20.889609,-26.828543],[21.605896,-26.726534],[22.105969,-26.280256],[22.579532,-25.979448],[22.824271,-25.500459],[23.312097,-25.26869],[23.73357,-25.390129],[24.211267,-25.670216],[25.025171,-25.71967],[25.664666,-25.486816],[25.765849,-25.174845],[25.941652,-24.696373],[26.485753,-24.616327],[26.786407,-24.240691],[27.11941,-23.574323],[28.017236,-22.827754],[29.432188,-22.091313],[29.839037,-22.102216],[30.322883,-22.271612],[30.659865,-22.151567],[31.191409,-22.25151],[31.670398,-23.658969],[31.930589,-24.369417],[31.752408,-25.484284],[31.837778,-25.843332],[31.333158,-25.660191],[31.04408,-25.731452],[30.949667,-26.022649],[30.676609,-26.398078],[30.685962,-26.743845],[31.282773,-27.285879],[31.86806,-27.177927],[32.071665,-26.73382],[32.83012,-26.742192],[32.580265,-27.470158],[32.462133,-28.301011],[32.203389,-28.752405],[31.521001,-29.257387]],[[28.978263,-28.955597],[28.5417,-28.647502],[28.074338,-28.851469],[27.532511,-29.242711],[26.999262,-29.875954],[27.749397,-30.645106],[28.107205,-30.545732],[28.291069,-30.226217],[28.8484,-30.070051],[29.018415,-29.743766],[29.325166,-29.257387],[28.978263,-28.955597]]]}},{"type":"Feature","id":"ZMB","properties":{"name":"Zambia"},"geometry":{"type":"Polygon","coordinates":[[[32.759375,-9.230599],[33.231388,-9.676722],[33.485688,-10.525559],[33.31531,-10.79655],[33.114289,-11.607198],[33.306422,-12.435778],[32.991764,-12.783871],[32.688165,-13.712858],[33.214025,-13.97186],[30.179481,-14.796099],[30.274256,-15.507787],[29.516834,-15.644678],[28.947463,-16.043051],[28.825869,-16.389749],[28.467906,-16.4684],[27.598243,-17.290831],[27.044427,-17.938026],[26.706773,-17.961229],[26.381935,-17.846042],[25.264226,-17.73654],[25.084443,-17.661816],[25.07695,-17.578823],[24.682349,-17.353411],[24.033862,-17.295843],[23.215048,-17.523116],[22.562478,-16.898451],[21.887843,-16.08031],[21.933886,-12.898437],[24.016137,-12.911046],[23.930922,-12.565848],[24.079905,-12.191297],[23.904154,-11.722282],[24.017894,-11.237298],[23.912215,-10.926826],[24.257155,-10.951993],[24.314516,-11.262826],[24.78317,-11.238694],[25.418118,-11.330936],[25.75231,-11.784965],[26.553088,-11.92444],[27.16442,-11.608748],[27.388799,-12.132747],[28.155109,-12.272481],[28.523562,-12.698604],[28.934286,-13.248958],[29.699614,-13.257227],[29.616001,-12.178895],[29.341548,-12.360744],[28.642417,-11.971569],[28.372253,-11.793647],[28.49607,-10.789884],[28.673682,-9.605925],[28.449871,-9.164918],[28.734867,-8.526559],[29.002912,-8.407032],[30.346086,-8.238257],[30.740015,-8.340007],[31.157751,-8.594579],[31.556348,-8.762049],[32.191865,-8.930359],[32.759375,-9.230599]]]}},{"type":"Feature","id":"ZWE","properties":{"name":"Zimbabwe"},"geometry":{"type":"Polygon","coordinates":[[[31.191409,-22.25151],[30.659865,-22.151567],[30.322883,-22.271612],[29.839037,-22.102216],[29.432188,-22.091313],[28.794656,-21.639454],[28.02137,-21.485975],[27.727228,-20.851802],[27.724747,-20.499059],[27.296505,-20.39152],[26.164791,-19.293086],[25.850391,-18.714413],[25.649163,-18.536026],[25.264226,-17.73654],[26.381935,-17.846042],[26.706773,-17.961229],[27.044427,-17.938026],[27.598243,-17.290831],[28.467906,-16.4684],[28.825869,-16.389749],[28.947463,-16.043051],[29.516834,-15.644678],[30.274256,-15.507787],[30.338955,-15.880839],[31.173064,-15.860944],[31.636498,-16.07199],[31.852041,-16.319417],[32.328239,-16.392074],[32.847639,-16.713398],[32.849861,-17.979057],[32.654886,-18.67209],[32.611994,-19.419383],[32.772708,-19.715592],[32.659743,-20.30429],[32.508693,-20.395292],[32.244988,-21.116489],[31.191409,-22.25151]]]}}]}')}},c={};function h(e){var t=c[e];if(void 0!==t)return t.exports;var n=c[e]={exports:{}};return u[e].call(n.exports,n,n.exports,h),n.exports}h.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return h.d(t,{a:t}),t},h.d=(e,t)=>{for(var n in t)h.o(t,n)&&!h.o(e,n)&&Object.defineProperty(e,n,{enumerable:!0,get:t[n]})},h.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),h.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),h.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})};var d={};return(()=>{"use strict";h.r(d),h.d(d,{plugin:()=>Mre});var e={};h.r(e),h.d(e,{HashMap:()=>Xt,RADIAN_TO_DEGREE:()=>Qt,assert:()=>zt,bind:()=>_t,clone:()=>rt,concatArray:()=>Zt,createCanvas:()=>lt,createHashMap:()=>Yt,createObject:()=>qt,curry:()=>xt,defaults:()=>st,disableUserSelect:()=>$t,each:()=>pt,eqNaN:()=>Ot,extend:()=>at,filter:()=>mt,find:()=>vt,guid:()=>tt,hasOwn:()=>Kt,indexOf:()=>ut,inherits:()=>ct,isArray:()=>bt,isArrayLike:()=>dt,isBuiltInObject:()=>It,isDom:()=>Dt,isFunction:()=>wt,isGradientObject:()=>Et,isImagePatternObject:()=>Lt,isNumber:()=>Tt,isObject:()=>At,isPrimitive:()=>Ut,isRegExp:()=>Pt,isString:()=>St,isStringSafe:()=>Mt,isTypedArray:()=>Ct,keys:()=>yt,logError:()=>nt,map:()=>ft,merge:()=>it,mergeAll:()=>ot,mixin:()=>ht,noop:()=>Jt,normalizeCssArray:()=>Ft,reduce:()=>gt,retrieve:()=>Nt,retrieve2:()=>Rt,retrieve3:()=>kt,setAsPrimitive:()=>Ht,slice:()=>Bt,trim:()=>Vt});var t={};h.r(t),h.d(t,{add:()=>sn,applyTransform:()=>Tn,clone:()=>on,copy:()=>rn,create:()=>nn,dist:()=>xn,distSquare:()=>wn,distance:()=>_n,distanceSquare:()=>bn,div:()=>gn,dot:()=>mn,len:()=>cn,lenSquare:()=>dn,length:()=>hn,lengthSquare:()=>pn,lerp:()=>Mn,max:()=>In,min:()=>An,mul:()=>fn,negate:()=>Sn,normalize:()=>yn,scale:()=>vn,scaleAndAdd:()=>ln,set:()=>an,sub:()=>un});var n={};h.r(n),h.d(n,{clone:()=>cr,copy:()=>ir,create:()=>nr,identity:()=>rr,invert:()=>ur,mul:()=>or,rotate:()=>sr,scale:()=>lr,translate:()=>ar});var r={};h.r(r),h.d(r,{fastLerp:()=>Ui,fastMapToColor:()=>Wi,lerp:()=>ji,lift:()=>Gi,liftColor:()=>Qi,lum:()=>$i,mapToColor:()=>Xi,modifyAlpha:()=>Zi,modifyHSL:()=>Yi,parse:()=>zi,random:()=>Ki,stringify:()=>qi,toHex:()=>Hi});var i={};h.r(i),h.d(i,{dispose:()=>za,disposeAll:()=>Va,getElementSSRData:()=>Ua,getInstance:()=>Ga,init:()=>Fa,registerPainter:()=>Ha,registerSSRDataGetter:()=>Wa,version:()=>ja});var o={};h.r(o),h.d(o,{Arc:()=>pv,BezierCurve:()=>cv,BoundingRect:()=>wr,Circle:()=>Im,CompoundPath:()=>gv,Ellipse:()=>Em,Group:()=>Oa,Image:()=>Bu,IncrementalDisplayable:()=>Ev,Line:()=>ov,LinearGradient:()=>_v,OrientedBoundingRect:()=>Iv,Path:()=>Eu,Point:()=>dr,Polygon:()=>Jm,Polyline:()=>tv,RadialGradient:()=>bv,Rect:()=>ju,Ring:()=>Zm,Sector:()=>jm,Text:()=>sc,applyTransform:()=>Zv,clipPointsByRect:()=>Jv,clipRectByRect:()=>Qv,createIcon:()=>ey,extendPath:()=>kv,extendShape:()=>Nv,getShapeClass:()=>Fv,getTransform:()=>Yv,groupTransition:()=>Kv,initProps:()=>fh,isElementRemoved:()=>gh,lineLineIntersect:()=>ny,linePolygonIntersect:()=>ty,makeImage:()=>Vv,makePath:()=>zv,mergePath:()=>Hv,registerShape:()=>Bv,removeElement:()=>mh,removeElementWithFadeOut:()=>yh,resizePath:()=>Uv,setTooltipConfig:()=>iy,subPixelOptimize:()=>Xv,subPixelOptimizeLine:()=>Wv,subPixelOptimizeRect:()=>jv,transformDirection:()=>qv,traverseElements:()=>ay,updateProps:()=>ph});var a={};h.r(a),h.d(a,{createDimensions:()=>uw,createList:()=>ES,createScale:()=>PS,createSymbol:()=>T_,createTextStyle:()=>NS,dataStack:()=>LS,enableHoverEmphasis:()=>eh,getECData:()=>lc,getLayoutRect:()=>Qd,mixinAxisModelCommonMethods:()=>OS});var s={};h.r(s),h.d(s,{MAX_SAFE_INTEGER:()=>is,asc:()=>Ka,getPercentWithPrecision:()=>ts,getPixelPrecision:()=>es,getPrecision:()=>Ja,getPrecisionSafe:()=>Qa,isNumeric:()=>gs,isRadianAroundZero:()=>as,linearMap:()=>Za,nice:()=>hs,numericToNumber:()=>fs,parseDate:()=>ls,quantile:()=>ds,quantity:()=>us,quantityExponent:()=>cs,reformIntervals:()=>ps,remRadian:()=>os,round:()=>$a});var l={};h.r(l),h.d(l,{format:()=>_d,parse:()=>ls});var u={};h.r(u),h.d(u,{Arc:()=>pv,BezierCurve:()=>cv,BoundingRect:()=>wr,Circle:()=>Im,CompoundPath:()=>gv,Ellipse:()=>Em,Group:()=>Oa,Image:()=>Bu,IncrementalDisplayable:()=>Ev,Line:()=>ov,LinearGradient:()=>_v,Polygon:()=>Jm,Polyline:()=>tv,RadialGradient:()=>bv,Rect:()=>ju,Ring:()=>Zm,Sector:()=>jm,Text:()=>sc,clipPointsByRect:()=>Jv,clipRectByRect:()=>Qv,createIcon:()=>ey,extendPath:()=>kv,extendShape:()=>Nv,getShapeClass:()=>Fv,getTransform:()=>Yv,initProps:()=>fh,makeImage:()=>Vv,makePath:()=>zv,mergePath:()=>Hv,registerShape:()=>Bv,resizePath:()=>Uv,updateProps:()=>ph});var c={};h.r(c),h.d(c,{addCommas:()=>kd,capitalFirst:()=>jd,encodeHTML:()=>Hn,formatTime:()=>Wd,formatTpl:()=>Hd,getTextRect:()=>JS,getTooltipMarker:()=>Ud,normalizeCssArray:()=>Fd,toCamelCase:()=>Bd,truncateText:()=>ul});var p={};h.r(p),h.d(p,{bind:()=>_t,clone:()=>rt,curry:()=>xt,defaults:()=>st,each:()=>pt,extend:()=>at,filter:()=>mt,indexOf:()=>ut,inherits:()=>ct,isArray:()=>bt,isFunction:()=>wt,isObject:()=>At,isString:()=>St,map:()=>ft,merge:()=>it,reduce:()=>gt});var f={};h.r(f),h.d(f,{Axis:()=>uM,ChartView:()=>gy,ComponentModel:()=>sp,ComponentView:()=>rm,List:()=>lw,Model:()=>qh,PRIORITY:()=>mx,SeriesModel:()=>tm,color:()=>r,connect:()=>ub,dataTool:()=>Ob,default:()=>dT,dependencies:()=>cx,disConnect:()=>hb,disconnect:()=>cb,dispose:()=>db,env:()=>Ne,extendChartView:()=>pM,extendComponentModel:()=>cM,extendComponentView:()=>hM,extendSeriesModel:()=>dM,format:()=>c,getCoordinateSystemDimensions:()=>Sb,getInstanceByDom:()=>pb,getInstanceById:()=>fb,getMap:()=>Lb,graphic:()=>u,helper:()=>a,init:()=>lb,innerDrawElementOnCanvas:()=>K_,matrix:()=>n,number:()=>s,parseGeoJSON:()=>KS,parseGeoJson:()=>KS,registerAction:()=>bb,registerCoordinateSystem:()=>wb,registerLayout:()=>Mb,registerLoading:()=>Cb,registerLocale:()=>od,registerMap:()=>Eb,registerPostInit:()=>yb,registerPostUpdate:()=>_b,registerPreprocessor:()=>mb,registerProcessor:()=>vb,registerTheme:()=>gb,registerTransform:()=>Pb,registerUpdateLifecycle:()=>xb,registerVisual:()=>Tb,setCanvasCreator:()=>Db,setPlatformAPI:()=>He,throttle:()=>_y,time:()=>l,use:()=>BS,util:()=>p,vector:()=>t,version:()=>ux,zrUtil:()=>e,zrender:()=>i});var g={};h.r(g),h.d(g,{Axis:()=>uM,ChartView:()=>gy,ComponentModel:()=>sp,ComponentView:()=>rm,List:()=>lw,Model:()=>qh,PRIORITY:()=>mx,SeriesModel:()=>tm,color:()=>r,connect:()=>ub,dataTool:()=>Ob,dependencies:()=>cx,disConnect:()=>hb,disconnect:()=>cb,dispose:()=>db,env:()=>Ne,extendChartView:()=>pM,extendComponentModel:()=>cM,extendComponentView:()=>hM,extendSeriesModel:()=>dM,format:()=>c,getCoordinateSystemDimensions:()=>Sb,getInstanceByDom:()=>pb,getInstanceById:()=>fb,getMap:()=>Lb,graphic:()=>u,helper:()=>a,init:()=>lb,innerDrawElementOnCanvas:()=>K_,matrix:()=>n,number:()=>s,parseGeoJSON:()=>KS,parseGeoJson:()=>KS,registerAction:()=>bb,registerCoordinateSystem:()=>wb,registerLayout:()=>Mb,registerLoading:()=>Cb,registerLocale:()=>od,registerMap:()=>Eb,registerPostInit:()=>yb,registerPostUpdate:()=>_b,registerPreprocessor:()=>mb,registerProcessor:()=>vb,registerTheme:()=>gb,registerTransform:()=>Pb,registerUpdateLifecycle:()=>xb,registerVisual:()=>Tb,setCanvasCreator:()=>Db,setPlatformAPI:()=>He,throttle:()=>_y,time:()=>l,use:()=>BS,util:()=>p,vector:()=>t,version:()=>ux,zrUtil:()=>e,zrender:()=>i});var m,v,y=h(7781),_=h(8531),x=h(2007),b=h(7774),w=h(5959),S=h.n(w);!function(e){e.CANVAS="canvas",e.SVG="svg"}(m||(m={})),function(e){e.CUSTOM="custom",e.DEFAULT="default"}(v||(v={}));const M=[{value:"default",label:"Default",description:"Default ECharts theme",icon:"star"},{value:"custom",label:"Custom",description:"Ability to use custom ECharts theme",icon:"presentation-play"}],T=[{value:"canvas",label:"Canvas",description:"More suitable for charts with a large number of elements.",icon:"gf-landscape"},{value:"svg",label:"SVG",description:"Has less memory usage, no blur when using the browser zoom.",icon:"gf-grid"}];function A(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function I(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){A(e,t,n[t])}))}return e}function C(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const D={detail:"All passed possible properties and methods.",items:{panel:{detail:"Panel instance properties.",items:{data:new b.OA("Panel data."),chart:new b.OA("ECharts instance.")}},grafana:{detail:"Grafana properties and methods.",items:{eventBus:new b.OA("Panels events."),locationService:new b.OA("Location service."),replaceVariables:new b.OA("Interpolate variables.",x.CodeEditorSuggestionItemKind.Method),theme:new b.OA("Theme object."),notifySuccess:new b.OA("Display successful notification.",x.CodeEditorSuggestionItemKind.Method),notifyError:new b.OA("Display error notification.",x.CodeEditorSuggestionItemKind.Method),refresh:new b.OA("Refresh dashboard panels using application events.",x.CodeEditorSuggestionItemKind.Method)}},echarts:new b.OA("Apache ECharts library."),ecStat:new b.OA("A statistical and data mining tool for Apache ECharts.")}},E=new b.Fn(D),L=new b.Fn(C(I({},D),{items:C(I({},D.items),{editor:{detail:"Editor properties.",items:{dataset:new b.OA("ECharts dataset."),series:new b.OA("ECharts series.")}}})})),P={randomUUID:"undefined"!=typeof crypto&&crypto.randomUUID&&crypto.randomUUID.bind(crypto)};let O;const N=new Uint8Array(16);function R(){if(!O&&(O="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto),!O))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return O(N)}const k=[];for(let e=0;e<256;++e)k.push((e+256).toString(16).slice(1));const B=function(e,t,n){if(P.randomUUID&&!t&&!e)return P.randomUUID();const r=(e=e||{}).random||(e.rng||R)();if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,t){n=n||0;for(let e=0;e<16;++e)t[n+e]=r[e];return t}return function(e,t=0){return k[e[t+0]]+k[e[t+1]]+k[e[t+2]]+k[e[t+3]]+"-"+k[e[t+4]]+k[e[t+5]]+"-"+k[e[t+6]]+k[e[t+7]]+"-"+k[e[t+8]]+k[e[t+9]]+"-"+k[e[t+10]]+k[e[t+11]]+k[e[t+12]]+k[e[t+13]]+k[e[t+14]]+k[e[t+15]]}(r)};var F;function z(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function V(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){z(e,t,n[t])}))}return e}function G(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}!function(e){e.LINE="line",e.BAR="bar",e.PIE="pie",e.SCATTER="scatter",e.EFFECTSCATTER="effectScatter",e.RADAR="radar",e.TREE="tree",e.TREEMAP="treemap",e.SUNBURST="sunburst",e.BOXPLOT="boxplot",e.CANDLESTICK="candlestick",e.HEATMAP="heatmap",e.MAP="map",e.PARALLEL="parallel",e.LINES="lines",e.GRAPH="graph",e.SANKEY="sankey",e.FUNNEL="funnel",e.GAUGE="gauge",e.PICTORIALBAR="pictorialBar",e.THEMERIVER="themeRiver",e.CUSTOM="custom"}(F||(F={}));const H=(e,t,n)=>{const r=Array.from(e),[i]=r.splice(t,1);return r.splice(n,0,i),r},U=e=>e.source?`${e.source}:${e.name}`:e.name,W=(e,t)=>{const n=t.reduce(((t,n)=>{const r=e.find((e=>n.source?e.refId===n.source:e.fields.some((e=>e.name===n.name))));var i;return t.set(U(n),(null==(i=null==r?void 0:r.fields.find((e=>e.name===n.name)))?void 0:i.values)||[]),t}),new Map),r=Array.from(n.values()).reduce(((e,t)=>Math.max(e,t.length)),0),i=[];for(let e=0;e<r;e+=1){const r=t.map((t=>{var r;const i=null===(r=n.get(U(t)))||void 0===r?void 0:r[e];return void 0===i?null:i}));i.push(r)}return[t.map((e=>U(e))),...i]},j=(e,t)=>{const n={uid:e.uid,id:e.id,name:e.name};return t===F.LINE?G(V({},n),{encode:{x:[],y:[]},type:t}):G(V({},n),{type:t})};var X,Y,Z,q;!function(e){e.CODE="getOption",e.THEME="themeEditor",e.VISUALCODE="visualCode"}(X||(X={})),function(e){e.JAVASCRIPT="javascript",e.JSON="json"}(Y||(Y={})),function(e){e.NONE="none",e.AUTO="auto"}(Z||(Z={})),function(e){e.CODE="code",e.VISUAL="visual"}(q||(q={}));const $=[{value:"code",label:"Code",icon:"keyboard"},{value:"visual",label:"Visual",icon:"chart-line"}],K=[{value:"auto",label:"Auto",icon:"thumbs-up"},{value:"none",label:"Disabled",icon:"toggle-off"}],J=E.suggestions,Q=L.suggestions;var ee;!function(e){e.AMAP="amap",e.BMAP="bmap",e.GMAP="gmap",e.JSON="json",e.NONE="none"}(ee||(ee={}));const te=[{value:"bmap",label:"Baidu",description:"Requires Baidu Maps."},{value:"amap",label:"Gaode",description:"Requires Gaode Maps."},{value:"gmap",label:"Google",description:"Requires Google Maps.",icon:"google"},{value:"json",label:"JSON",description:"Includes World and USA maps.",icon:"map-marker"},{value:"none",label:"None",icon:"minus-circle"}],ne={getOption:"const series = context.panel.data.series.map((s) => {\n  const sData = s.fields.find((f) => f.type === 'number').values.buffer || s.fields.find((f) => f.type === 'number').values;\n  const sTime = s.fields.find((f) => f.type === 'time').values.buffer || s.fields.find((f) => f.type === 'time').values;\n  \n  return {\n    name: s.refId,\n    type: 'line',\n    showSymbol: false,\n    areaStyle: {\n      opacity: 0.1,\n    },\n    lineStyle: {\n      width: 1,\n    },\n    data: sData.map((d, i) => [sTime[i], d.toFixed(2)]),\n  };\n});\n\n/**\n * Enable Data Zoom by default\n */\nsetTimeout(() => context.panel.chart.dispatchAction({\n  type: 'takeGlobalCursor',\n  key: 'dataZoomSelect',\n  dataZoomSelectActive: true,\n}), 500);\n\n/**\n * Update Time Range on Zoom\n */\ncontext.panel.chart.on('datazoom', function (params) {\n  const startValue = params.batch[0]?.startValue;\n  const endValue = params.batch[0]?.endValue;\n  locationService.partial({ from: startValue, to: endValue });\n});\n\nreturn {\n  backgroundColor: 'transparent',\n  tooltip: {\n    trigger: 'axis',\n  },\n  legend: {\n    left: '0',\n    bottom: '0',\n    data: context.panel.data.series.map((s) => s.refId),\n    textStyle: {\n      color: 'rgba(128, 128, 128, .9)',\n    },\n  },\n  toolbox: {\n    feature: {\n      dataZoom: {\n        yAxisIndex: 'none',\n        icon: {\n          zoom: 'path://',\n          back: 'path://',\n        },\n      },\n      saveAsImage: {},\n    }\n  },\n  xAxis: {\n    type: 'time',\n  },\n  yAxis: {\n    type: 'value',\n    min: 'dataMin',\n  },\n  grid: {\n    left: '2%',\n    right: '2%',\n    top: '2%',\n    bottom: 24,\n    containLabel: true,\n  },\n  series,\n};",renderer:m.CANVAS,themeEditor:{name:v.DEFAULT,config:"{}"},editor:{format:Z.AUTO},map:ee.NONE,baidu:{key:"",callback:"bmapReady"},gaode:{key:"",plugin:"AMap.Scale,AMap.ToolBar"},google:{key:"",callback:"gmapReady"},visualEditor:{dataset:[],series:[],code:"return {\n  dataset: context.editor.dataset,\n  series: context.editor.series,\n  xAxis: {\n    type: 'time',\n  },\n  yAxis: {\n    type: 'value',\n    min: 'dataMin',\n  },\n}\n"}},re="data-testid chart",ie="data-testid chart error",oe="data-testid chart theme-error",ae="data-testid editor",se="data-testid series-editor",le="data-testid series-editor button-add-new",ue="data-testid series-editor button-remove",ce=e=>`data-testid series-editor item-header-${e}`,he=e=>`data-testid series-editor item-content-${e}`,de="data-testid series-editor new-level",pe="data-testid series-editor new-item-id",fe="data-testid series-editor field-id",ge="data-testid series-editor field-name",me="series-editor field-type",ve="series-editor field-encode-x",ye="series-editor field-encode-y",_e="data-testid dataset-editor button-add-new",xe="dataset-editor button-remove",be=e=>`data-testid dataset-editor item-${e}`,we="data-testid dataset-editor new-item",Se="dataset-editor new-item-name",Me="data-testid dataset-editor",Te=Object.values(F).map((e=>({label:e.charAt(0).toUpperCase()+e.slice(1),value:e})));function Ae(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Ie(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Ae(e,t,n[t])}))}return e}function Ce(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const De=({value:e,onChange:t,context:n,item:r})=>{var i;const o=(0,_.getTemplateSrv)(),a=(null===(i=n.options)||void 0===i?void 0:i.editor.format)===Z.AUTO?{formatOnPaste:!0,formatOnType:!0}:{formatOnPaste:!1,formatOnType:!1};return S().createElement("div",{"data-testid":ae},S().createElement(b.v4,Ie({language:Y.JAVASCRIPT,showLineNumbers:!0,showMiniMap:e.length>100,value:e,onBlur:t,onSave:t,monacoOptions:Ce(Ie({},a),{scrollBeyondLastLine:!1}),onEditorDidMount:e=>{var t;(null===(t=n.options)||void 0===t?void 0:t.editor.format)===Z.AUTO&&setTimeout((()=>{e.getAction("editor.action.formatDocument").run()}),100)}},r.id===X.THEME?{language:Y.JSON}:(r.id,X.VISUALCODE,{language:Y.JAVASCRIPT,getSuggestions:()=>{const e=o.getVariables().map((e=>({label:`\${${e.name}}`,kind:x.CodeEditorSuggestionItemKind.Property,detail:e.description?e.description:e.label})));return r.id===X.VISUALCODE?[...Q,...e]:[...J,...e]}}))))};var Ee=function(e,t){return Ee=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n])},Ee(e,t)};function Le(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function n(){this.constructor=e}Ee(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}Object.create,Object.create;var Pe=function(){this.firefox=!1,this.ie=!1,this.edge=!1,this.newEdge=!1,this.weChat=!1},Oe=new function(){this.browser=new Pe,this.node=!1,this.wxa=!1,this.worker=!1,this.svgSupported=!1,this.touchEventsSupported=!1,this.pointerEventsSupported=!1,this.domSupported=!1,this.transformSupported=!1,this.transform3dSupported=!1,this.hasGlobalWindow="undefined"!=typeof window};"object"==typeof wx&&"function"==typeof wx.getSystemInfoSync?(Oe.wxa=!0,Oe.touchEventsSupported=!0):"undefined"==typeof document&&"undefined"!=typeof self?Oe.worker=!0:"undefined"==typeof navigator||0===navigator.userAgent.indexOf("Node.js")?(Oe.node=!0,Oe.svgSupported=!0):function(e,t){var n=t.browser,r=e.match(/Firefox\/([\d.]+)/),i=e.match(/MSIE\s([\d.]+)/)||e.match(/Trident\/.+?rv:(([\d.]+))/),o=e.match(/Edge?\/([\d.]+)/),a=/micromessenger/i.test(e);r&&(n.firefox=!0,n.version=r[1]),i&&(n.ie=!0,n.version=i[1]),o&&(n.edge=!0,n.version=o[1],n.newEdge=+o[1].split(".")[0]>18),a&&(n.weChat=!0),t.svgSupported="undefined"!=typeof SVGRect,t.touchEventsSupported="ontouchstart"in window&&!n.ie&&!n.edge,t.pointerEventsSupported="onpointerdown"in window&&(n.edge||n.ie&&+n.version>=11),t.domSupported="undefined"!=typeof document;var s=document.documentElement.style;t.transform3dSupported=(n.ie&&"transition"in s||n.edge||"WebKitCSSMatrix"in window&&"m11"in new WebKitCSSMatrix||"MozPerspective"in s)&&!("OTransition"in s),t.transformSupported=t.transform3dSupported||n.ie&&+n.version>=9}(navigator.userAgent,Oe);const Ne=Oe;var Re,ke,Be=12,Fe="sans-serif",ze=Be+"px "+Fe,Ve=function(e){var t={};if("undefined"==typeof JSON)return t;for(var n=0;n<95;n++){var r=String.fromCharCode(n+32),i=(e.charCodeAt(n)-20)/100;t[r]=i}return t}("007LLmW'55;N0500LLLLLLLLLL00NNNLzWW\\\\WQb\\0FWLg\\bWb\\WQ\\WrWWQ000CL5LLFLL0LL**F*gLLLL5F0LF\\FFF5.5N"),Ge={createCanvas:function(){return"undefined"!=typeof document&&document.createElement("canvas")},measureText:function(e,t){if(!Re){var n=Ge.createCanvas();Re=n&&n.getContext("2d")}if(Re)return ke!==t&&(ke=Re.font=t||ze),Re.measureText(e);e=e||"";var r=/(\d+)px/.exec(t=t||ze),i=r&&+r[1]||Be,o=0;if(t.indexOf("mono")>=0)o=i*e.length;else for(var a=0;a<e.length;a++){var s=Ve[e[a]];o+=null==s?i:s*i}return{width:o}},loadImage:function(e,t,n){var r=new Image;return r.onload=t,r.onerror=n,r.src=e,r}};function He(e){for(var t in Ge)e[t]&&(Ge[t]=e[t])}var Ue=gt(["Function","RegExp","Date","Error","CanvasGradient","CanvasPattern","Image","Canvas"],(function(e,t){return e["[object "+t+"]"]=!0,e}),{}),We=gt(["Int8","Uint8","Uint8Clamped","Int16","Uint16","Int32","Uint32","Float32","Float64"],(function(e,t){return e["[object "+t+"Array]"]=!0,e}),{}),je=Object.prototype.toString,Xe=Array.prototype,Ye=Xe.forEach,Ze=Xe.filter,qe=Xe.slice,$e=Xe.map,Ke=function(){}.constructor,Je=Ke?Ke.prototype:null,Qe="__proto__",et=2311;function tt(){return et++}function nt(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];"undefined"!=typeof console&&console.error.apply(console,e)}function rt(e){if(null==e||"object"!=typeof e)return e;var t=e,n=je.call(e);if("[object Array]"===n){if(!Ut(e)){t=[];for(var r=0,i=e.length;r<i;r++)t[r]=rt(e[r])}}else if(We[n]){if(!Ut(e)){var o=e.constructor;if(o.from)t=o.from(e);else for(t=new o(e.length),r=0,i=e.length;r<i;r++)t[r]=e[r]}}else if(!Ue[n]&&!Ut(e)&&!Dt(e))for(var a in t={},e)e.hasOwnProperty(a)&&a!==Qe&&(t[a]=rt(e[a]));return t}function it(e,t,n){if(!At(t)||!At(e))return n?rt(t):e;for(var r in t)if(t.hasOwnProperty(r)&&r!==Qe){var i=e[r],o=t[r];!At(o)||!At(i)||bt(o)||bt(i)||Dt(o)||Dt(i)||It(o)||It(i)||Ut(o)||Ut(i)?!n&&r in e||(e[r]=rt(t[r])):it(i,o,n)}return e}function ot(e,t){for(var n=e[0],r=1,i=e.length;r<i;r++)n=it(n,e[r],t);return n}function at(e,t){if(Object.assign)Object.assign(e,t);else for(var n in t)t.hasOwnProperty(n)&&n!==Qe&&(e[n]=t[n]);return e}function st(e,t,n){for(var r=yt(t),i=0;i<r.length;i++){var o=r[i];(n?null!=t[o]:null==e[o])&&(e[o]=t[o])}return e}var lt=Ge.createCanvas;function ut(e,t){if(e){if(e.indexOf)return e.indexOf(t);for(var n=0,r=e.length;n<r;n++)if(e[n]===t)return n}return-1}function ct(e,t){var n=e.prototype;function r(){}for(var i in r.prototype=t.prototype,e.prototype=new r,n)n.hasOwnProperty(i)&&(e.prototype[i]=n[i]);e.prototype.constructor=e,e.superClass=t}function ht(e,t,n){if(e="prototype"in e?e.prototype:e,t="prototype"in t?t.prototype:t,Object.getOwnPropertyNames)for(var r=Object.getOwnPropertyNames(t),i=0;i<r.length;i++){var o=r[i];"constructor"!==o&&(n?null!=t[o]:null==e[o])&&(e[o]=t[o])}else st(e,t,n)}function dt(e){return!!e&&"string"!=typeof e&&"number"==typeof e.length}function pt(e,t,n){if(e&&t)if(e.forEach&&e.forEach===Ye)e.forEach(t,n);else if(e.length===+e.length)for(var r=0,i=e.length;r<i;r++)t.call(n,e[r],r,e);else for(var o in e)e.hasOwnProperty(o)&&t.call(n,e[o],o,e)}function ft(e,t,n){if(!e)return[];if(!t)return Bt(e);if(e.map&&e.map===$e)return e.map(t,n);for(var r=[],i=0,o=e.length;i<o;i++)r.push(t.call(n,e[i],i,e));return r}function gt(e,t,n,r){if(e&&t){for(var i=0,o=e.length;i<o;i++)n=t.call(r,n,e[i],i,e);return n}}function mt(e,t,n){if(!e)return[];if(!t)return Bt(e);if(e.filter&&e.filter===Ze)return e.filter(t,n);for(var r=[],i=0,o=e.length;i<o;i++)t.call(n,e[i],i,e)&&r.push(e[i]);return r}function vt(e,t,n){if(e&&t)for(var r=0,i=e.length;r<i;r++)if(t.call(n,e[r],r,e))return e[r]}function yt(e){if(!e)return[];if(Object.keys)return Object.keys(e);var t=[];for(var n in e)e.hasOwnProperty(n)&&t.push(n);return t}var _t=Je&&wt(Je.bind)?Je.call.bind(Je.bind):function(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];return function(){return e.apply(t,n.concat(qe.call(arguments)))}};function xt(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return function(){return e.apply(this,t.concat(qe.call(arguments)))}}function bt(e){return Array.isArray?Array.isArray(e):"[object Array]"===je.call(e)}function wt(e){return"function"==typeof e}function St(e){return"string"==typeof e}function Mt(e){return"[object String]"===je.call(e)}function Tt(e){return"number"==typeof e}function At(e){var t=typeof e;return"function"===t||!!e&&"object"===t}function It(e){return!!Ue[je.call(e)]}function Ct(e){return!!We[je.call(e)]}function Dt(e){return"object"==typeof e&&"number"==typeof e.nodeType&&"object"==typeof e.ownerDocument}function Et(e){return null!=e.colorStops}function Lt(e){return null!=e.image}function Pt(e){return"[object RegExp]"===je.call(e)}function Ot(e){return e!=e}function Nt(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,r=e.length;n<r;n++)if(null!=e[n])return e[n]}function Rt(e,t){return null!=e?e:t}function kt(e,t,n){return null!=e?e:null!=t?t:n}function Bt(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return qe.apply(e,t)}function Ft(e){if("number"==typeof e)return[e,e,e,e];var t=e.length;return 2===t?[e[0],e[1],e[0],e[1]]:3===t?[e[0],e[1],e[2],e[1]]:e}function zt(e,t){if(!e)throw new Error(t)}function Vt(e){return null==e?null:"function"==typeof e.trim?e.trim():e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,"")}var Gt="__ec_primitive__";function Ht(e){e[Gt]=!0}function Ut(e){return e[Gt]}var Wt=function(){function e(){this.data={}}return e.prototype.delete=function(e){var t=this.has(e);return t&&delete this.data[e],t},e.prototype.has=function(e){return this.data.hasOwnProperty(e)},e.prototype.get=function(e){return this.data[e]},e.prototype.set=function(e,t){return this.data[e]=t,this},e.prototype.keys=function(){return yt(this.data)},e.prototype.forEach=function(e){var t=this.data;for(var n in t)t.hasOwnProperty(n)&&e(t[n],n)},e}(),jt="function"==typeof Map,Xt=function(){function e(t){var n=bt(t);this.data=jt?new Map:new Wt;var r=this;function i(e,t){n?r.set(e,t):r.set(t,e)}t instanceof e?t.each(i):t&&pt(t,i)}return e.prototype.hasKey=function(e){return this.data.has(e)},e.prototype.get=function(e){return this.data.get(e)},e.prototype.set=function(e,t){return this.data.set(e,t),t},e.prototype.each=function(e,t){this.data.forEach((function(n,r){e.call(t,n,r)}))},e.prototype.keys=function(){var e=this.data.keys();return jt?Array.from(e):e},e.prototype.removeKey=function(e){this.data.delete(e)},e}();function Yt(e){return new Xt(e)}function Zt(e,t){for(var n=new e.constructor(e.length+t.length),r=0;r<e.length;r++)n[r]=e[r];var i=e.length;for(r=0;r<t.length;r++)n[r+i]=t[r];return n}function qt(e,t){var n;if(Object.create)n=Object.create(e);else{var r=function(){};r.prototype=e,n=new r}return t&&at(n,t),n}function $t(e){var t=e.style;t.webkitUserSelect="none",t.userSelect="none",t.webkitTapHighlightColor="rgba(0,0,0,0)",t["-webkit-touch-callout"]="none"}function Kt(e,t){return e.hasOwnProperty(t)}function Jt(){}var Qt=180/Math.PI,en=function(e,t){return en=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n])},en(e,t)};function tn(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function n(){this.constructor=e}en(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}function nn(e,t){return null==e&&(e=0),null==t&&(t=0),[e,t]}function rn(e,t){return e[0]=t[0],e[1]=t[1],e}function on(e){return[e[0],e[1]]}function an(e,t,n){return e[0]=t,e[1]=n,e}function sn(e,t,n){return e[0]=t[0]+n[0],e[1]=t[1]+n[1],e}function ln(e,t,n,r){return e[0]=t[0]+n[0]*r,e[1]=t[1]+n[1]*r,e}function un(e,t,n){return e[0]=t[0]-n[0],e[1]=t[1]-n[1],e}function cn(e){return Math.sqrt(dn(e))}Object.create,Object.create;var hn=cn;function dn(e){return e[0]*e[0]+e[1]*e[1]}var pn=dn;function fn(e,t,n){return e[0]=t[0]*n[0],e[1]=t[1]*n[1],e}function gn(e,t,n){return e[0]=t[0]/n[0],e[1]=t[1]/n[1],e}function mn(e,t){return e[0]*t[0]+e[1]*t[1]}function vn(e,t,n){return e[0]=t[0]*n,e[1]=t[1]*n,e}function yn(e,t){var n=cn(t);return 0===n?(e[0]=0,e[1]=0):(e[0]=t[0]/n,e[1]=t[1]/n),e}function _n(e,t){return Math.sqrt((e[0]-t[0])*(e[0]-t[0])+(e[1]-t[1])*(e[1]-t[1]))}var xn=_n;function bn(e,t){return(e[0]-t[0])*(e[0]-t[0])+(e[1]-t[1])*(e[1]-t[1])}var wn=bn;function Sn(e,t){return e[0]=-t[0],e[1]=-t[1],e}function Mn(e,t,n,r){return e[0]=t[0]+r*(n[0]-t[0]),e[1]=t[1]+r*(n[1]-t[1]),e}function Tn(e,t,n){var r=t[0],i=t[1];return e[0]=n[0]*r+n[2]*i+n[4],e[1]=n[1]*r+n[3]*i+n[5],e}function An(e,t,n){return e[0]=Math.min(t[0],n[0]),e[1]=Math.min(t[1],n[1]),e}function In(e,t,n){return e[0]=Math.max(t[0],n[0]),e[1]=Math.max(t[1],n[1]),e}var Cn=function(e,t){this.target=e,this.topTarget=t&&t.topTarget},Dn=function(){function e(e){this.handler=e,e.on("mousedown",this._dragStart,this),e.on("mousemove",this._drag,this),e.on("mouseup",this._dragEnd,this)}return e.prototype._dragStart=function(e){for(var t=e.target;t&&!t.draggable;)t=t.parent||t.__hostTarget;t&&(this._draggingTarget=t,t.dragging=!0,this._x=e.offsetX,this._y=e.offsetY,this.handler.dispatchToElement(new Cn(t,e),"dragstart",e.event))},e.prototype._drag=function(e){var t=this._draggingTarget;if(t){var n=e.offsetX,r=e.offsetY,i=n-this._x,o=r-this._y;this._x=n,this._y=r,t.drift(i,o,e),this.handler.dispatchToElement(new Cn(t,e),"drag",e.event);var a=this.handler.findHover(n,r,t).target,s=this._dropTarget;this._dropTarget=a,t!==a&&(s&&a!==s&&this.handler.dispatchToElement(new Cn(s,e),"dragleave",e.event),a&&a!==s&&this.handler.dispatchToElement(new Cn(a,e),"dragenter",e.event))}},e.prototype._dragEnd=function(e){var t=this._draggingTarget;t&&(t.dragging=!1),this.handler.dispatchToElement(new Cn(t,e),"dragend",e.event),this._dropTarget&&this.handler.dispatchToElement(new Cn(this._dropTarget,e),"drop",e.event),this._draggingTarget=null,this._dropTarget=null},e}();const En=Dn;var Ln=function(){function e(e){e&&(this._$eventProcessor=e)}return e.prototype.on=function(e,t,n,r){this._$handlers||(this._$handlers={});var i=this._$handlers;if("function"==typeof t&&(r=n,n=t,t=null),!n||!e)return this;var o=this._$eventProcessor;null!=t&&o&&o.normalizeQuery&&(t=o.normalizeQuery(t)),i[e]||(i[e]=[]);for(var a=0;a<i[e].length;a++)if(i[e][a].h===n)return this;var s={h:n,query:t,ctx:r||this,callAtLast:n.zrEventfulCallAtLast},l=i[e].length-1,u=i[e][l];return u&&u.callAtLast?i[e].splice(l,0,s):i[e].push(s),this},e.prototype.isSilent=function(e){var t=this._$handlers;return!t||!t[e]||!t[e].length},e.prototype.off=function(e,t){var n=this._$handlers;if(!n)return this;if(!e)return this._$handlers={},this;if(t){if(n[e]){for(var r=[],i=0,o=n[e].length;i<o;i++)n[e][i].h!==t&&r.push(n[e][i]);n[e]=r}n[e]&&0===n[e].length&&delete n[e]}else delete n[e];return this},e.prototype.trigger=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];if(!this._$handlers)return this;var r=this._$handlers[e],i=this._$eventProcessor;if(r)for(var o=t.length,a=r.length,s=0;s<a;s++){var l=r[s];if(!i||!i.filter||null==l.query||i.filter(e,l.query))switch(o){case 0:l.h.call(l.ctx);break;case 1:l.h.call(l.ctx,t[0]);break;case 2:l.h.call(l.ctx,t[0],t[1]);break;default:l.h.apply(l.ctx,t)}}return i&&i.afterTrigger&&i.afterTrigger(e),this},e.prototype.triggerWithContext=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];if(!this._$handlers)return this;var r=this._$handlers[e],i=this._$eventProcessor;if(r)for(var o=t.length,a=t[o-1],s=r.length,l=0;l<s;l++){var u=r[l];if(!i||!i.filter||null==u.query||i.filter(e,u.query))switch(o){case 0:u.h.call(a);break;case 1:u.h.call(a,t[0]);break;case 2:u.h.call(a,t[0],t[1]);break;default:u.h.apply(a,t.slice(1,o-1))}}return i&&i.afterTrigger&&i.afterTrigger(e),this},e}();const Pn=Ln;var On=Math.log(2);function Nn(e,t,n,r,i,o){var a=r+"-"+i,s=e.length;if(o.hasOwnProperty(a))return o[a];if(1===t){var l=Math.round(Math.log((1<<s)-1&~i)/On);return e[n][l]}for(var u=r|1<<n,c=n+1;r&1<<c;)c++;for(var h=0,d=0,p=0;d<s;d++){var f=1<<d;f&i||(h+=(p%2?-1:1)*e[n][d]*Nn(e,t-1,c,u,i|f,o),p++)}return o[a]=h,h}function Rn(e,t){var n=[[e[0],e[1],1,0,0,0,-t[0]*e[0],-t[0]*e[1]],[0,0,0,e[0],e[1],1,-t[1]*e[0],-t[1]*e[1]],[e[2],e[3],1,0,0,0,-t[2]*e[2],-t[2]*e[3]],[0,0,0,e[2],e[3],1,-t[3]*e[2],-t[3]*e[3]],[e[4],e[5],1,0,0,0,-t[4]*e[4],-t[4]*e[5]],[0,0,0,e[4],e[5],1,-t[5]*e[4],-t[5]*e[5]],[e[6],e[7],1,0,0,0,-t[6]*e[6],-t[6]*e[7]],[0,0,0,e[6],e[7],1,-t[7]*e[6],-t[7]*e[7]]],r={},i=Nn(n,8,0,0,0,r);if(0!==i){for(var o=[],a=0;a<8;a++)for(var s=0;s<8;s++)null==o[s]&&(o[s]=0),o[s]+=((a+s)%2?-1:1)*Nn(n,7,0===a?1:0,1<<a,1<<s,r)/i*t[a];return function(e,t,n){var r=t*o[6]+n*o[7]+1;e[0]=(t*o[0]+n*o[1]+o[2])/r,e[1]=(t*o[3]+n*o[4]+o[5])/r}}}var kn="___zrEVENTSAVED",Bn=[];function Fn(e,t,n,r,i){if(t.getBoundingClientRect&&Ne.domSupported&&!zn(t)){var o=t[kn]||(t[kn]={}),a=function(e,t){var n=t.markers;if(n)return n;n=t.markers=[];for(var r=["left","right"],i=["top","bottom"],o=0;o<4;o++){var a=document.createElement("div"),s=o%2,l=(o>>1)%2;a.style.cssText=["position: absolute","visibility: hidden","padding: 0","margin: 0","border-width: 0","user-select: none","width:0","height:0",r[s]+":0",i[l]+":0",r[1-s]+":auto",i[1-l]+":auto",""].join("!important;"),e.appendChild(a),n.push(a)}return n}(t,o),s=function(e,t,n){for(var r=n?"invTrans":"trans",i=t[r],o=t.srcCoords,a=[],s=[],l=!0,u=0;u<4;u++){var c=e[u].getBoundingClientRect(),h=2*u,d=c.left,p=c.top;a.push(d,p),l=l&&o&&d===o[h]&&p===o[h+1],s.push(e[u].offsetLeft,e[u].offsetTop)}return l&&i?i:(t.srcCoords=a,t[r]=n?Rn(s,a):Rn(a,s))}(a,o,i);if(s)return s(e,n,r),!0}return!1}function zn(e){return"CANVAS"===e.nodeName.toUpperCase()}var Vn=/([&<>"'])/g,Gn={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"};function Hn(e){return null==e?"":(e+"").replace(Vn,(function(e,t){return Gn[t]}))}var Un=/^(?:mouse|pointer|contextmenu|drag|drop)|click/,Wn=[],jn=Ne.browser.firefox&&+Ne.browser.version.split(".")[0]<39;function Xn(e,t,n,r){return n=n||{},r?Yn(e,t,n):jn&&null!=t.layerX&&t.layerX!==t.offsetX?(n.zrX=t.layerX,n.zrY=t.layerY):null!=t.offsetX?(n.zrX=t.offsetX,n.zrY=t.offsetY):Yn(e,t,n),n}function Yn(e,t,n){if(Ne.domSupported&&e.getBoundingClientRect){var r=t.clientX,i=t.clientY;if(zn(e)){var o=e.getBoundingClientRect();return n.zrX=r-o.left,void(n.zrY=i-o.top)}if(Fn(Wn,e,r,i))return n.zrX=Wn[0],void(n.zrY=Wn[1])}n.zrX=n.zrY=0}function Zn(e){return e||window.event}function qn(e,t,n){if(null!=(t=Zn(t)).zrX)return t;var r=t.type;if(r&&r.indexOf("touch")>=0){var i="touchend"!==r?t.targetTouches[0]:t.changedTouches[0];i&&Xn(e,i,t,n)}else{Xn(e,t,t,n);var o=function(e){var t=e.wheelDelta;if(t)return t;var n=e.deltaX,r=e.deltaY;return null==n||null==r?t:3*(0!==r?Math.abs(r):Math.abs(n))*(r>0?-1:r<0?1:n>0?-1:1)}(t);t.zrDelta=o?o/120:-(t.detail||0)/3}var a=t.button;return null==t.which&&void 0!==a&&Un.test(t.type)&&(t.which=1&a?1:2&a?3:4&a?2:0),t}function $n(e,t,n,r){e.addEventListener(t,n,r)}var Kn=function(e){e.preventDefault(),e.stopPropagation(),e.cancelBubble=!0};function Jn(e){return 2===e.which||3===e.which}var Qn=function(){function e(){this._track=[]}return e.prototype.recognize=function(e,t,n){return this._doTrack(e,t,n),this._recognize(e)},e.prototype.clear=function(){return this._track.length=0,this},e.prototype._doTrack=function(e,t,n){var r=e.touches;if(r){for(var i={points:[],touches:[],target:t,event:e},o=0,a=r.length;o<a;o++){var s=r[o],l=Xn(n,s,{});i.points.push([l.zrX,l.zrY]),i.touches.push(s)}this._track.push(i)}},e.prototype._recognize=function(e){for(var t in tr)if(tr.hasOwnProperty(t)){var n=tr[t](this._track,e);if(n)return n}},e}();function er(e){var t=e[1][0]-e[0][0],n=e[1][1]-e[0][1];return Math.sqrt(t*t+n*n)}var tr={pinch:function(e,t){var n=e.length;if(n){var r,i=(e[n-1]||{}).points,o=(e[n-2]||{}).points||i;if(o&&o.length>1&&i&&i.length>1){var a=er(i)/er(o);!isFinite(a)&&(a=1),t.pinchScale=a;var s=[((r=i)[0][0]+r[1][0])/2,(r[0][1]+r[1][1])/2];return t.pinchX=s[0],t.pinchY=s[1],{type:"pinch",target:e[0].target,event:t}}}}};function nr(){return[1,0,0,1,0,0]}function rr(e){return e[0]=1,e[1]=0,e[2]=0,e[3]=1,e[4]=0,e[5]=0,e}function ir(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e[4]=t[4],e[5]=t[5],e}function or(e,t,n){var r=t[0]*n[0]+t[2]*n[1],i=t[1]*n[0]+t[3]*n[1],o=t[0]*n[2]+t[2]*n[3],a=t[1]*n[2]+t[3]*n[3],s=t[0]*n[4]+t[2]*n[5]+t[4],l=t[1]*n[4]+t[3]*n[5]+t[5];return e[0]=r,e[1]=i,e[2]=o,e[3]=a,e[4]=s,e[5]=l,e}function ar(e,t,n){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e[4]=t[4]+n[0],e[5]=t[5]+n[1],e}function sr(e,t,n,r){void 0===r&&(r=[0,0]);var i=t[0],o=t[2],a=t[4],s=t[1],l=t[3],u=t[5],c=Math.sin(n),h=Math.cos(n);return e[0]=i*h+s*c,e[1]=-i*c+s*h,e[2]=o*h+l*c,e[3]=-o*c+h*l,e[4]=h*(a-r[0])+c*(u-r[1])+r[0],e[5]=h*(u-r[1])-c*(a-r[0])+r[1],e}function lr(e,t,n){var r=n[0],i=n[1];return e[0]=t[0]*r,e[1]=t[1]*i,e[2]=t[2]*r,e[3]=t[3]*i,e[4]=t[4]*r,e[5]=t[5]*i,e}function ur(e,t){var n=t[0],r=t[2],i=t[4],o=t[1],a=t[3],s=t[5],l=n*a-o*r;return l?(l=1/l,e[0]=a*l,e[1]=-o*l,e[2]=-r*l,e[3]=n*l,e[4]=(r*s-a*i)*l,e[5]=(o*i-n*s)*l,e):null}function cr(e){var t=[1,0,0,1,0,0];return ir(t,e),t}var hr=function(){function e(e,t){this.x=e||0,this.y=t||0}return e.prototype.copy=function(e){return this.x=e.x,this.y=e.y,this},e.prototype.clone=function(){return new e(this.x,this.y)},e.prototype.set=function(e,t){return this.x=e,this.y=t,this},e.prototype.equal=function(e){return e.x===this.x&&e.y===this.y},e.prototype.add=function(e){return this.x+=e.x,this.y+=e.y,this},e.prototype.scale=function(e){this.x*=e,this.y*=e},e.prototype.scaleAndAdd=function(e,t){this.x+=e.x*t,this.y+=e.y*t},e.prototype.sub=function(e){return this.x-=e.x,this.y-=e.y,this},e.prototype.dot=function(e){return this.x*e.x+this.y*e.y},e.prototype.len=function(){return Math.sqrt(this.x*this.x+this.y*this.y)},e.prototype.lenSquare=function(){return this.x*this.x+this.y*this.y},e.prototype.normalize=function(){var e=this.len();return this.x/=e,this.y/=e,this},e.prototype.distance=function(e){var t=this.x-e.x,n=this.y-e.y;return Math.sqrt(t*t+n*n)},e.prototype.distanceSquare=function(e){var t=this.x-e.x,n=this.y-e.y;return t*t+n*n},e.prototype.negate=function(){return this.x=-this.x,this.y=-this.y,this},e.prototype.transform=function(e){if(e){var t=this.x,n=this.y;return this.x=e[0]*t+e[2]*n+e[4],this.y=e[1]*t+e[3]*n+e[5],this}},e.prototype.toArray=function(e){return e[0]=this.x,e[1]=this.y,e},e.prototype.fromArray=function(e){this.x=e[0],this.y=e[1]},e.set=function(e,t,n){e.x=t,e.y=n},e.copy=function(e,t){e.x=t.x,e.y=t.y},e.len=function(e){return Math.sqrt(e.x*e.x+e.y*e.y)},e.lenSquare=function(e){return e.x*e.x+e.y*e.y},e.dot=function(e,t){return e.x*t.x+e.y*t.y},e.add=function(e,t,n){e.x=t.x+n.x,e.y=t.y+n.y},e.sub=function(e,t,n){e.x=t.x-n.x,e.y=t.y-n.y},e.scale=function(e,t,n){e.x=t.x*n,e.y=t.y*n},e.scaleAndAdd=function(e,t,n,r){e.x=t.x+n.x*r,e.y=t.y+n.y*r},e.lerp=function(e,t,n,r){var i=1-r;e.x=i*t.x+r*n.x,e.y=i*t.y+r*n.y},e}();const dr=hr;var pr=Math.min,fr=Math.max,gr=new dr,mr=new dr,vr=new dr,yr=new dr,_r=new dr,xr=new dr,br=function(){function e(e,t,n,r){n<0&&(e+=n,n=-n),r<0&&(t+=r,r=-r),this.x=e,this.y=t,this.width=n,this.height=r}return e.prototype.union=function(e){var t=pr(e.x,this.x),n=pr(e.y,this.y);isFinite(this.x)&&isFinite(this.width)?this.width=fr(e.x+e.width,this.x+this.width)-t:this.width=e.width,isFinite(this.y)&&isFinite(this.height)?this.height=fr(e.y+e.height,this.y+this.height)-n:this.height=e.height,this.x=t,this.y=n},e.prototype.applyTransform=function(t){e.applyTransform(this,this,t)},e.prototype.calculateTransform=function(e){var t=this,n=e.width/t.width,r=e.height/t.height,i=[1,0,0,1,0,0];return ar(i,i,[-t.x,-t.y]),lr(i,i,[n,r]),ar(i,i,[e.x,e.y]),i},e.prototype.intersect=function(t,n){if(!t)return!1;t instanceof e||(t=e.create(t));var r=this,i=r.x,o=r.x+r.width,a=r.y,s=r.y+r.height,l=t.x,u=t.x+t.width,c=t.y,h=t.y+t.height,d=!(o<l||u<i||s<c||h<a);if(n){var p=1/0,f=0,g=Math.abs(o-l),m=Math.abs(u-i),v=Math.abs(s-c),y=Math.abs(h-a),_=Math.min(g,m),x=Math.min(v,y);o<l||u<i?_>f&&(f=_,g<m?dr.set(xr,-g,0):dr.set(xr,m,0)):_<p&&(p=_,g<m?dr.set(_r,g,0):dr.set(_r,-m,0)),s<c||h<a?x>f&&(f=x,v<y?dr.set(xr,0,-v):dr.set(xr,0,y)):_<p&&(p=_,v<y?dr.set(_r,0,v):dr.set(_r,0,-y))}return n&&dr.copy(n,d?_r:xr),d},e.prototype.contain=function(e,t){var n=this;return e>=n.x&&e<=n.x+n.width&&t>=n.y&&t<=n.y+n.height},e.prototype.clone=function(){return new e(this.x,this.y,this.width,this.height)},e.prototype.copy=function(t){e.copy(this,t)},e.prototype.plain=function(){return{x:this.x,y:this.y,width:this.width,height:this.height}},e.prototype.isFinite=function(){return isFinite(this.x)&&isFinite(this.y)&&isFinite(this.width)&&isFinite(this.height)},e.prototype.isZero=function(){return 0===this.width||0===this.height},e.create=function(t){return new e(t.x,t.y,t.width,t.height)},e.copy=function(e,t){e.x=t.x,e.y=t.y,e.width=t.width,e.height=t.height},e.applyTransform=function(t,n,r){if(r){if(r[1]<1e-5&&r[1]>-1e-5&&r[2]<1e-5&&r[2]>-1e-5){var i=r[0],o=r[3],a=r[4],s=r[5];return t.x=n.x*i+a,t.y=n.y*o+s,t.width=n.width*i,t.height=n.height*o,t.width<0&&(t.x+=t.width,t.width=-t.width),void(t.height<0&&(t.y+=t.height,t.height=-t.height))}gr.x=vr.x=n.x,gr.y=yr.y=n.y,mr.x=yr.x=n.x+n.width,mr.y=vr.y=n.y+n.height,gr.transform(r),yr.transform(r),mr.transform(r),vr.transform(r),t.x=pr(gr.x,mr.x,vr.x,yr.x),t.y=pr(gr.y,mr.y,vr.y,yr.y);var l=fr(gr.x,mr.x,vr.x,yr.x),u=fr(gr.y,mr.y,vr.y,yr.y);t.width=l-t.x,t.height=u-t.y}else t!==n&&e.copy(t,n)},e}();const wr=br;var Sr="silent";function Mr(){Kn(this.event)}var Tr=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.handler=null,t}return tn(t,e),t.prototype.dispose=function(){},t.prototype.setCursor=function(){},t}(Pn),Ar=function(e,t){this.x=e,this.y=t},Ir=["click","dblclick","mousewheel","mouseout","mouseup","mousedown","mousemove","contextmenu"],Cr=new wr(0,0,0,0),Dr=function(e){function t(t,n,r,i,o){var a=e.call(this)||this;return a._hovered=new Ar(0,0),a.storage=t,a.painter=n,a.painterRoot=i,a._pointerSize=o,r=r||new Tr,a.proxy=null,a.setHandlerProxy(r),a._draggingMgr=new En(a),a}return tn(t,e),t.prototype.setHandlerProxy=function(e){this.proxy&&this.proxy.dispose(),e&&(pt(Ir,(function(t){e.on&&e.on(t,this[t],this)}),this),e.handler=this),this.proxy=e},t.prototype.mousemove=function(e){var t=e.zrX,n=e.zrY,r=Pr(this,t,n),i=this._hovered,o=i.target;o&&!o.__zr&&(o=(i=this.findHover(i.x,i.y)).target);var a=this._hovered=r?new Ar(t,n):this.findHover(t,n),s=a.target,l=this.proxy;l.setCursor&&l.setCursor(s?s.cursor:"default"),o&&s!==o&&this.dispatchToElement(i,"mouseout",e),this.dispatchToElement(a,"mousemove",e),s&&s!==o&&this.dispatchToElement(a,"mouseover",e)},t.prototype.mouseout=function(e){var t=e.zrEventControl;"only_globalout"!==t&&this.dispatchToElement(this._hovered,"mouseout",e),"no_globalout"!==t&&this.trigger("globalout",{type:"globalout",event:e})},t.prototype.resize=function(){this._hovered=new Ar(0,0)},t.prototype.dispatch=function(e,t){var n=this[e];n&&n.call(this,t)},t.prototype.dispose=function(){this.proxy.dispose(),this.storage=null,this.proxy=null,this.painter=null},t.prototype.setCursorStyle=function(e){var t=this.proxy;t.setCursor&&t.setCursor(e)},t.prototype.dispatchToElement=function(e,t,n){var r=(e=e||{}).target;if(!r||!r.silent){for(var i="on"+t,o=function(e,t,n){return{type:e,event:n,target:t.target,topTarget:t.topTarget,cancelBubble:!1,offsetX:n.zrX,offsetY:n.zrY,gestureEvent:n.gestureEvent,pinchX:n.pinchX,pinchY:n.pinchY,pinchScale:n.pinchScale,wheelDelta:n.zrDelta,zrByTouch:n.zrByTouch,which:n.which,stop:Mr}}(t,e,n);r&&(r[i]&&(o.cancelBubble=!!r[i].call(r,o)),r.trigger(t,o),r=r.__hostTarget?r.__hostTarget:r.parent,!o.cancelBubble););o.cancelBubble||(this.trigger(t,o),this.painter&&this.painter.eachOtherLayer&&this.painter.eachOtherLayer((function(e){"function"==typeof e[i]&&e[i].call(e,o),e.trigger&&e.trigger(t,o)})))}},t.prototype.findHover=function(e,t,n){var r=this.storage.getDisplayList(),i=new Ar(e,t);if(Lr(r,i,e,t,n),this._pointerSize&&!i.target){for(var o=[],a=this._pointerSize,s=a/2,l=new wr(e-s,t-s,a,a),u=r.length-1;u>=0;u--){var c=r[u];c===n||c.ignore||c.ignoreCoarsePointer||c.parent&&c.parent.ignoreCoarsePointer||(Cr.copy(c.getBoundingRect()),c.transform&&Cr.applyTransform(c.transform),Cr.intersect(l)&&o.push(c))}if(o.length)for(var h=Math.PI/12,d=2*Math.PI,p=0;p<s;p+=4)for(var f=0;f<d;f+=h)if(Lr(o,i,e+p*Math.cos(f),t+p*Math.sin(f),n),i.target)return i}return i},t.prototype.processGesture=function(e,t){this._gestureMgr||(this._gestureMgr=new Qn);var n=this._gestureMgr;"start"===t&&n.clear();var r=n.recognize(e,this.findHover(e.zrX,e.zrY,null).target,this.proxy.dom);if("end"===t&&n.clear(),r){var i=r.type;e.gestureEvent=i;var o=new Ar;o.target=r.target,this.dispatchToElement(o,i,r.event)}},t}(Pn);function Er(e,t,n){if(e[e.rectHover?"rectContain":"contain"](t,n)){for(var r=e,i=void 0,o=!1;r;){if(r.ignoreClip&&(o=!0),!o){var a=r.getClipPath();if(a&&!a.contain(t,n))return!1}r.silent&&(i=!0),r=r.__hostTarget||r.parent}return!i||Sr}return!1}function Lr(e,t,n,r,i){for(var o=e.length-1;o>=0;o--){var a=e[o],s=void 0;if(a!==i&&!a.ignore&&(s=Er(a,n,r))&&(!t.topTarget&&(t.topTarget=a),s!==Sr)){t.target=a;break}}}function Pr(e,t,n){var r=e.painter;return t<0||t>r.getWidth()||n<0||n>r.getHeight()}pt(["click","mousedown","mouseup","mousewheel","dblclick","contextmenu"],(function(e){Dr.prototype[e]=function(t){var n,r,i=t.zrX,o=t.zrY,a=Pr(this,i,o);if("mouseup"===e&&a||(r=(n=this.findHover(i,o)).target),"mousedown"===e)this._downEl=r,this._downPoint=[t.zrX,t.zrY],this._upEl=r;else if("mouseup"===e)this._upEl=r;else if("click"===e){if(this._downEl!==this._upEl||!this._downPoint||xn(this._downPoint,[t.zrX,t.zrY])>4)return;this._downPoint=null}this.dispatchToElement(n,e,t)}}));const Or=Dr;var Nr=7;function Rr(e,t,n,r){var i=t+1;if(i===n)return 1;if(r(e[i++],e[t])<0){for(;i<n&&r(e[i],e[i-1])<0;)i++;!function(e,t,n){for(n--;t<n;){var r=e[t];e[t++]=e[n],e[n--]=r}}(e,t,i)}else for(;i<n&&r(e[i],e[i-1])>=0;)i++;return i-t}function kr(e,t,n,r,i){for(r===t&&r++;r<n;r++){for(var o,a=e[r],s=t,l=r;s<l;)i(a,e[o=s+l>>>1])<0?l=o:s=o+1;var u=r-s;switch(u){case 3:e[s+3]=e[s+2];case 2:e[s+2]=e[s+1];case 1:e[s+1]=e[s];break;default:for(;u>0;)e[s+u]=e[s+u-1],u--}e[s]=a}}function Br(e,t,n,r,i,o){var a=0,s=0,l=1;if(o(e,t[n+i])>0){for(s=r-i;l<s&&o(e,t[n+i+l])>0;)a=l,(l=1+(l<<1))<=0&&(l=s);l>s&&(l=s),a+=i,l+=i}else{for(s=i+1;l<s&&o(e,t[n+i-l])<=0;)a=l,(l=1+(l<<1))<=0&&(l=s);l>s&&(l=s);var u=a;a=i-l,l=i-u}for(a++;a<l;){var c=a+(l-a>>>1);o(e,t[n+c])>0?a=c+1:l=c}return l}function Fr(e,t,n,r,i,o){var a=0,s=0,l=1;if(o(e,t[n+i])<0){for(s=i+1;l<s&&o(e,t[n+i-l])<0;)a=l,(l=1+(l<<1))<=0&&(l=s);l>s&&(l=s);var u=a;a=i-l,l=i-u}else{for(s=r-i;l<s&&o(e,t[n+i+l])>=0;)a=l,(l=1+(l<<1))<=0&&(l=s);l>s&&(l=s),a+=i,l+=i}for(a++;a<l;){var c=a+(l-a>>>1);o(e,t[n+c])<0?l=c:a=c+1}return l}function zr(e,t,n,r){n||(n=0),r||(r=e.length);var i=r-n;if(!(i<2)){var o=0;if(i<32)kr(e,n,r,n+(o=Rr(e,n,r,t)),t);else{var a=function(e,t){var n,r,i=Nr,o=0,a=[];function s(s){var l=n[s],u=r[s],c=n[s+1],h=r[s+1];r[s]=u+h,s===o-3&&(n[s+1]=n[s+2],r[s+1]=r[s+2]),o--;var d=Fr(e[c],e,l,u,0,t);l+=d,0!=(u-=d)&&0!==(h=Br(e[l+u-1],e,c,h,h-1,t))&&(u<=h?function(n,r,o,s){var l=0;for(l=0;l<r;l++)a[l]=e[n+l];var u=0,c=o,h=n;if(e[h++]=e[c++],0!=--s)if(1!==r){for(var d,p,f,g=i;;){d=0,p=0,f=!1;do{if(t(e[c],a[u])<0){if(e[h++]=e[c++],p++,d=0,0==--s){f=!0;break}}else if(e[h++]=a[u++],d++,p=0,1==--r){f=!0;break}}while((d|p)<g);if(f)break;do{if(0!==(d=Fr(e[c],a,u,r,0,t))){for(l=0;l<d;l++)e[h+l]=a[u+l];if(h+=d,u+=d,(r-=d)<=1){f=!0;break}}if(e[h++]=e[c++],0==--s){f=!0;break}if(0!==(p=Br(a[u],e,c,s,0,t))){for(l=0;l<p;l++)e[h+l]=e[c+l];if(h+=p,c+=p,0==(s-=p)){f=!0;break}}if(e[h++]=a[u++],1==--r){f=!0;break}g--}while(d>=Nr||p>=Nr);if(f)break;g<0&&(g=0),g+=2}if((i=g)<1&&(i=1),1===r){for(l=0;l<s;l++)e[h+l]=e[c+l];e[h+s]=a[u]}else{if(0===r)throw new Error;for(l=0;l<r;l++)e[h+l]=a[u+l]}}else{for(l=0;l<s;l++)e[h+l]=e[c+l];e[h+s]=a[u]}else for(l=0;l<r;l++)e[h+l]=a[u+l]}(l,u,c,h):function(n,r,o,s){var l=0;for(l=0;l<s;l++)a[l]=e[o+l];var u=n+r-1,c=s-1,h=o+s-1,d=0,p=0;if(e[h--]=e[u--],0!=--r)if(1!==s){for(var f=i;;){var g=0,m=0,v=!1;do{if(t(a[c],e[u])<0){if(e[h--]=e[u--],g++,m=0,0==--r){v=!0;break}}else if(e[h--]=a[c--],m++,g=0,1==--s){v=!0;break}}while((g|m)<f);if(v)break;do{if(0!=(g=r-Fr(a[c],e,n,r,r-1,t))){for(r-=g,p=1+(h-=g),d=1+(u-=g),l=g-1;l>=0;l--)e[p+l]=e[d+l];if(0===r){v=!0;break}}if(e[h--]=a[c--],1==--s){v=!0;break}if(0!=(m=s-Br(e[u],a,0,s,s-1,t))){for(s-=m,p=1+(h-=m),d=1+(c-=m),l=0;l<m;l++)e[p+l]=a[d+l];if(s<=1){v=!0;break}}if(e[h--]=e[u--],0==--r){v=!0;break}f--}while(g>=Nr||m>=Nr);if(v)break;f<0&&(f=0),f+=2}if((i=f)<1&&(i=1),1===s){for(p=1+(h-=r),d=1+(u-=r),l=r-1;l>=0;l--)e[p+l]=e[d+l];e[h]=a[c]}else{if(0===s)throw new Error;for(d=h-(s-1),l=0;l<s;l++)e[d+l]=a[l]}}else{for(p=1+(h-=r),d=1+(u-=r),l=r-1;l>=0;l--)e[p+l]=e[d+l];e[h]=a[c]}else for(d=h-(s-1),l=0;l<s;l++)e[d+l]=a[l]}(l,u,c,h))}return n=[],r=[],{mergeRuns:function(){for(;o>1;){var e=o-2;if(e>=1&&r[e-1]<=r[e]+r[e+1]||e>=2&&r[e-2]<=r[e]+r[e-1])r[e-1]<r[e+1]&&e--;else if(r[e]>r[e+1])break;s(e)}},forceMergeRuns:function(){for(;o>1;){var e=o-2;e>0&&r[e-1]<r[e+1]&&e--,s(e)}},pushRun:function(e,t){n[o]=e,r[o]=t,o+=1}}}(e,t),s=function(e){for(var t=0;e>=32;)t|=1&e,e>>=1;return e+t}(i);do{if((o=Rr(e,n,r,t))<s){var l=i;l>s&&(l=s),kr(e,n,n+l,n+o,t),o=l}a.pushRun(n,o),a.mergeRuns(),i-=o,n+=o}while(0!==i);a.forceMergeRuns()}}}var Vr=1,Gr=4,Hr=!1;function Ur(){Hr||(Hr=!0,console.warn("z / z2 / zlevel of displayable is invalid, which may cause unexpected errors"))}function Wr(e,t){return e.zlevel===t.zlevel?e.z===t.z?e.z2-t.z2:e.z-t.z:e.zlevel-t.zlevel}var jr=function(){function e(){this._roots=[],this._displayList=[],this._displayListLen=0,this.displayableSortFunc=Wr}return e.prototype.traverse=function(e,t){for(var n=0;n<this._roots.length;n++)this._roots[n].traverse(e,t)},e.prototype.getDisplayList=function(e,t){t=t||!1;var n=this._displayList;return!e&&n.length||this.updateDisplayList(t),n},e.prototype.updateDisplayList=function(e){this._displayListLen=0;for(var t=this._roots,n=this._displayList,r=0,i=t.length;r<i;r++)this._updateAndAddDisplayable(t[r],null,e);n.length=this._displayListLen,zr(n,Wr)},e.prototype._updateAndAddDisplayable=function(e,t,n){if(!e.ignore||n){e.beforeUpdate(),e.update(),e.afterUpdate();var r=e.getClipPath();if(e.ignoreClip)t=null;else if(r){t=t?t.slice():[];for(var i=r,o=e;i;)i.parent=o,i.updateTransform(),t.push(i),o=i,i=i.getClipPath()}if(e.childrenRef){for(var a=e.childrenRef(),s=0;s<a.length;s++){var l=a[s];e.__dirty&&(l.__dirty|=Vr),this._updateAndAddDisplayable(l,t,n)}e.__dirty=0}else{var u=e;t&&t.length?u.__clipPaths=t:u.__clipPaths&&u.__clipPaths.length>0&&(u.__clipPaths=[]),isNaN(u.z)&&(Ur(),u.z=0),isNaN(u.z2)&&(Ur(),u.z2=0),isNaN(u.zlevel)&&(Ur(),u.zlevel=0),this._displayList[this._displayListLen++]=u}var c=e.getDecalElement&&e.getDecalElement();c&&this._updateAndAddDisplayable(c,t,n);var h=e.getTextGuideLine();h&&this._updateAndAddDisplayable(h,t,n);var d=e.getTextContent();d&&this._updateAndAddDisplayable(d,t,n)}},e.prototype.addRoot=function(e){e.__zr&&e.__zr.storage===this||this._roots.push(e)},e.prototype.delRoot=function(e){if(e instanceof Array)for(var t=0,n=e.length;t<n;t++)this.delRoot(e[t]);else{var r=ut(this._roots,e);r>=0&&this._roots.splice(r,1)}},e.prototype.delAllRoots=function(){this._roots=[],this._displayList=[],this._displayListLen=0},e.prototype.getRoots=function(){return this._roots},e.prototype.dispose=function(){this._displayList=null,this._roots=null},e}();const Xr=jr,Yr=Ne.hasGlobalWindow&&(window.requestAnimationFrame&&window.requestAnimationFrame.bind(window)||window.msRequestAnimationFrame&&window.msRequestAnimationFrame.bind(window)||window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame)||function(e){return setTimeout(e,16)};var Zr={linear:function(e){return e},quadraticIn:function(e){return e*e},quadraticOut:function(e){return e*(2-e)},quadraticInOut:function(e){return(e*=2)<1?.5*e*e:-.5*(--e*(e-2)-1)},cubicIn:function(e){return e*e*e},cubicOut:function(e){return--e*e*e+1},cubicInOut:function(e){return(e*=2)<1?.5*e*e*e:.5*((e-=2)*e*e+2)},quarticIn:function(e){return e*e*e*e},quarticOut:function(e){return 1- --e*e*e*e},quarticInOut:function(e){return(e*=2)<1?.5*e*e*e*e:-.5*((e-=2)*e*e*e-2)},quinticIn:function(e){return e*e*e*e*e},quinticOut:function(e){return--e*e*e*e*e+1},quinticInOut:function(e){return(e*=2)<1?.5*e*e*e*e*e:.5*((e-=2)*e*e*e*e+2)},sinusoidalIn:function(e){return 1-Math.cos(e*Math.PI/2)},sinusoidalOut:function(e){return Math.sin(e*Math.PI/2)},sinusoidalInOut:function(e){return.5*(1-Math.cos(Math.PI*e))},exponentialIn:function(e){return 0===e?0:Math.pow(1024,e-1)},exponentialOut:function(e){return 1===e?1:1-Math.pow(2,-10*e)},exponentialInOut:function(e){return 0===e?0:1===e?1:(e*=2)<1?.5*Math.pow(1024,e-1):.5*(2-Math.pow(2,-10*(e-1)))},circularIn:function(e){return 1-Math.sqrt(1-e*e)},circularOut:function(e){return Math.sqrt(1- --e*e)},circularInOut:function(e){return(e*=2)<1?-.5*(Math.sqrt(1-e*e)-1):.5*(Math.sqrt(1-(e-=2)*e)+1)},elasticIn:function(e){var t,n=.1;return 0===e?0:1===e?1:(!n||n<1?(n=1,t=.1):t=.4*Math.asin(1/n)/(2*Math.PI),-n*Math.pow(2,10*(e-=1))*Math.sin((e-t)*(2*Math.PI)/.4))},elasticOut:function(e){var t,n=.1;return 0===e?0:1===e?1:(!n||n<1?(n=1,t=.1):t=.4*Math.asin(1/n)/(2*Math.PI),n*Math.pow(2,-10*e)*Math.sin((e-t)*(2*Math.PI)/.4)+1)},elasticInOut:function(e){var t,n=.1;return 0===e?0:1===e?1:(!n||n<1?(n=1,t=.1):t=.4*Math.asin(1/n)/(2*Math.PI),(e*=2)<1?n*Math.pow(2,10*(e-=1))*Math.sin((e-t)*(2*Math.PI)/.4)*-.5:n*Math.pow(2,-10*(e-=1))*Math.sin((e-t)*(2*Math.PI)/.4)*.5+1)},backIn:function(e){var t=1.70158;return e*e*((t+1)*e-t)},backOut:function(e){var t=1.70158;return--e*e*((t+1)*e+t)+1},backInOut:function(e){var t=2.5949095;return(e*=2)<1?e*e*((t+1)*e-t)*.5:.5*((e-=2)*e*((t+1)*e+t)+2)},bounceIn:function(e){return 1-Zr.bounceOut(1-e)},bounceOut:function(e){return e<1/2.75?7.5625*e*e:e<2/2.75?7.5625*(e-=1.5/2.75)*e+.75:e<2.5/2.75?7.5625*(e-=2.25/2.75)*e+.9375:7.5625*(e-=2.625/2.75)*e+.984375},bounceInOut:function(e){return e<.5?.5*Zr.bounceIn(2*e):.5*Zr.bounceOut(2*e-1)+.5}};const qr=Zr;var $r=Math.pow,Kr=Math.sqrt,Jr=1e-8,Qr=1e-4,ei=Kr(3),ti=1/3,ni=nn(),ri=nn(),ii=nn();function oi(e){return e>-Jr&&e<Jr}function ai(e){return e>Jr||e<-Jr}function si(e,t,n,r,i){var o=1-i;return o*o*(o*e+3*i*t)+i*i*(i*r+3*o*n)}function li(e,t,n,r,i){var o=1-i;return 3*(((t-e)*o+2*(n-t)*i)*o+(r-n)*i*i)}function ui(e,t,n,r,i,o){var a=r+3*(t-n)-e,s=3*(n-2*t+e),l=3*(t-e),u=e-i,c=s*s-3*a*l,h=s*l-9*a*u,d=l*l-3*s*u,p=0;if(oi(c)&&oi(h))oi(s)?o[0]=0:(M=-l/s)>=0&&M<=1&&(o[p++]=M);else{var f=h*h-4*c*d;if(oi(f)){var g=h/c,m=-g/2;(M=-s/a+g)>=0&&M<=1&&(o[p++]=M),m>=0&&m<=1&&(o[p++]=m)}else if(f>0){var v=Kr(f),y=c*s+1.5*a*(-h+v),_=c*s+1.5*a*(-h-v);(M=(-s-((y=y<0?-$r(-y,ti):$r(y,ti))+(_=_<0?-$r(-_,ti):$r(_,ti))))/(3*a))>=0&&M<=1&&(o[p++]=M)}else{var x=(2*c*s-3*a*h)/(2*Kr(c*c*c)),b=Math.acos(x)/3,w=Kr(c),S=Math.cos(b),M=(-s-2*w*S)/(3*a),T=(m=(-s+w*(S+ei*Math.sin(b)))/(3*a),(-s+w*(S-ei*Math.sin(b)))/(3*a));M>=0&&M<=1&&(o[p++]=M),m>=0&&m<=1&&(o[p++]=m),T>=0&&T<=1&&(o[p++]=T)}}return p}function ci(e,t,n,r,i){var o=6*n-12*t+6*e,a=9*t+3*r-3*e-9*n,s=3*t-3*e,l=0;if(oi(a))ai(o)&&(c=-s/o)>=0&&c<=1&&(i[l++]=c);else{var u=o*o-4*a*s;if(oi(u))i[0]=-o/(2*a);else if(u>0){var c,h=Kr(u),d=(-o-h)/(2*a);(c=(-o+h)/(2*a))>=0&&c<=1&&(i[l++]=c),d>=0&&d<=1&&(i[l++]=d)}}return l}function hi(e,t,n,r,i,o){var a=(t-e)*i+e,s=(n-t)*i+t,l=(r-n)*i+n,u=(s-a)*i+a,c=(l-s)*i+s,h=(c-u)*i+u;o[0]=e,o[1]=a,o[2]=u,o[3]=h,o[4]=h,o[5]=c,o[6]=l,o[7]=r}function di(e,t,n,r,i,o,a,s,l,u,c){var h,d,p,f,g,m=.005,v=1/0;ni[0]=l,ni[1]=u;for(var y=0;y<1;y+=.05)ri[0]=si(e,n,i,a,y),ri[1]=si(t,r,o,s,y),(f=wn(ni,ri))<v&&(h=y,v=f);v=1/0;for(var _=0;_<32&&!(m<Qr);_++)d=h-m,p=h+m,ri[0]=si(e,n,i,a,d),ri[1]=si(t,r,o,s,d),f=wn(ri,ni),d>=0&&f<v?(h=d,v=f):(ii[0]=si(e,n,i,a,p),ii[1]=si(t,r,o,s,p),g=wn(ii,ni),p<=1&&g<v?(h=p,v=g):m*=.5);return c&&(c[0]=si(e,n,i,a,h),c[1]=si(t,r,o,s,h)),Kr(v)}function pi(e,t,n,r,i,o,a,s,l){for(var u=e,c=t,h=0,d=1/l,p=1;p<=l;p++){var f=p*d,g=si(e,n,i,a,f),m=si(t,r,o,s,f),v=g-u,y=m-c;h+=Math.sqrt(v*v+y*y),u=g,c=m}return h}function fi(e,t,n,r){var i=1-r;return i*(i*e+2*r*t)+r*r*n}function gi(e,t,n,r){return 2*((1-r)*(t-e)+r*(n-t))}function mi(e,t,n){var r=e+n-2*t;return 0===r?.5:(e-t)/r}function vi(e,t,n,r,i){var o=(t-e)*r+e,a=(n-t)*r+t,s=(a-o)*r+o;i[0]=e,i[1]=o,i[2]=s,i[3]=s,i[4]=a,i[5]=n}function yi(e,t,n,r,i,o,a,s,l){var u,c=.005,h=1/0;ni[0]=a,ni[1]=s;for(var d=0;d<1;d+=.05)ri[0]=fi(e,n,i,d),ri[1]=fi(t,r,o,d),(m=wn(ni,ri))<h&&(u=d,h=m);h=1/0;for(var p=0;p<32&&!(c<Qr);p++){var f=u-c,g=u+c;ri[0]=fi(e,n,i,f),ri[1]=fi(t,r,o,f);var m=wn(ri,ni);if(f>=0&&m<h)u=f,h=m;else{ii[0]=fi(e,n,i,g),ii[1]=fi(t,r,o,g);var v=wn(ii,ni);g<=1&&v<h?(u=g,h=v):c*=.5}}return l&&(l[0]=fi(e,n,i,u),l[1]=fi(t,r,o,u)),Kr(h)}function _i(e,t,n,r,i,o,a){for(var s=e,l=t,u=0,c=1/a,h=1;h<=a;h++){var d=h*c,p=fi(e,n,i,d),f=fi(t,r,o,d),g=p-s,m=f-l;u+=Math.sqrt(g*g+m*m),s=p,l=f}return u}var xi=/cubic-bezier\(([0-9,\.e ]+)\)/;function bi(e){var t=e&&xi.exec(e);if(t){var n=t[1].split(","),r=+Vt(n[0]),i=+Vt(n[1]),o=+Vt(n[2]),a=+Vt(n[3]);if(isNaN(r+i+o+a))return;var s=[];return function(e){return e<=0?0:e>=1?1:ui(0,r,o,1,e,s)&&si(0,i,a,1,s[0])}}}const wi=function(){function e(e){this._inited=!1,this._startTime=0,this._pausedTime=0,this._paused=!1,this._life=e.life||1e3,this._delay=e.delay||0,this.loop=e.loop||!1,this.onframe=e.onframe||Jt,this.ondestroy=e.ondestroy||Jt,this.onrestart=e.onrestart||Jt,e.easing&&this.setEasing(e.easing)}return e.prototype.step=function(e,t){if(this._inited||(this._startTime=e+this._delay,this._inited=!0),!this._paused){var n=this._life,r=e-this._startTime-this._pausedTime,i=r/n;i<0&&(i=0),i=Math.min(i,1);var o=this.easingFunc,a=o?o(i):i;if(this.onframe(a),1===i){if(!this.loop)return!0;var s=r%n;this._startTime=e-s,this._pausedTime=0,this.onrestart()}return!1}this._pausedTime+=t},e.prototype.pause=function(){this._paused=!0},e.prototype.resume=function(){this._paused=!1},e.prototype.setEasing=function(e){this.easing=e,this.easingFunc=wt(e)?e:qr[e]||bi(e)},e}();var Si=function(e){this.value=e},Mi=function(){function e(){this._len=0}return e.prototype.insert=function(e){var t=new Si(e);return this.insertEntry(t),t},e.prototype.insertEntry=function(e){this.head?(this.tail.next=e,e.prev=this.tail,e.next=null,this.tail=e):this.head=this.tail=e,this._len++},e.prototype.remove=function(e){var t=e.prev,n=e.next;t?t.next=n:this.head=n,n?n.prev=t:this.tail=t,e.next=e.prev=null,this._len--},e.prototype.len=function(){return this._len},e.prototype.clear=function(){this.head=this.tail=null,this._len=0},e}(),Ti=function(){function e(e){this._list=new Mi,this._maxSize=10,this._map={},this._maxSize=e}return e.prototype.put=function(e,t){var n=this._list,r=this._map,i=null;if(null==r[e]){var o=n.len(),a=this._lastRemovedEntry;if(o>=this._maxSize&&o>0){var s=n.head;n.remove(s),delete r[s.key],i=s.value,this._lastRemovedEntry=s}a?a.value=t:a=new Si(t),a.key=e,n.insertEntry(a),r[e]=a}return i},e.prototype.get=function(e){var t=this._map[e],n=this._list;if(null!=t)return t!==n.tail&&(n.remove(t),n.insertEntry(t)),t.value},e.prototype.clear=function(){this._list.clear(),this._map={}},e.prototype.len=function(){return this._list.len()},e}();const Ai=Ti;var Ii={transparent:[0,0,0,0],aliceblue:[240,248,255,1],antiquewhite:[250,235,215,1],aqua:[0,255,255,1],aquamarine:[127,255,212,1],azure:[240,255,255,1],beige:[245,245,220,1],bisque:[255,228,196,1],black:[0,0,0,1],blanchedalmond:[255,235,205,1],blue:[0,0,255,1],blueviolet:[138,43,226,1],brown:[165,42,42,1],burlywood:[222,184,135,1],cadetblue:[95,158,160,1],chartreuse:[127,255,0,1],chocolate:[210,105,30,1],coral:[255,127,80,1],cornflowerblue:[100,149,237,1],cornsilk:[255,248,220,1],crimson:[220,20,60,1],cyan:[0,255,255,1],darkblue:[0,0,139,1],darkcyan:[0,139,139,1],darkgoldenrod:[184,134,11,1],darkgray:[169,169,169,1],darkgreen:[0,100,0,1],darkgrey:[169,169,169,1],darkkhaki:[189,183,107,1],darkmagenta:[139,0,139,1],darkolivegreen:[85,107,47,1],darkorange:[255,140,0,1],darkorchid:[153,50,204,1],darkred:[139,0,0,1],darksalmon:[233,150,122,1],darkseagreen:[143,188,143,1],darkslateblue:[72,61,139,1],darkslategray:[47,79,79,1],darkslategrey:[47,79,79,1],darkturquoise:[0,206,209,1],darkviolet:[148,0,211,1],deeppink:[255,20,147,1],deepskyblue:[0,191,255,1],dimgray:[105,105,105,1],dimgrey:[105,105,105,1],dodgerblue:[30,144,255,1],firebrick:[178,34,34,1],floralwhite:[255,250,240,1],forestgreen:[34,139,34,1],fuchsia:[255,0,255,1],gainsboro:[220,220,220,1],ghostwhite:[248,248,255,1],gold:[255,215,0,1],goldenrod:[218,165,32,1],gray:[128,128,128,1],green:[0,128,0,1],greenyellow:[173,255,47,1],grey:[128,128,128,1],honeydew:[240,255,240,1],hotpink:[255,105,180,1],indianred:[205,92,92,1],indigo:[75,0,130,1],ivory:[255,255,240,1],khaki:[240,230,140,1],lavender:[230,230,250,1],lavenderblush:[255,240,245,1],lawngreen:[124,252,0,1],lemonchiffon:[255,250,205,1],lightblue:[173,216,230,1],lightcoral:[240,128,128,1],lightcyan:[224,255,255,1],lightgoldenrodyellow:[250,250,210,1],lightgray:[211,211,211,1],lightgreen:[144,238,144,1],lightgrey:[211,211,211,1],lightpink:[255,182,193,1],lightsalmon:[255,160,122,1],lightseagreen:[32,178,170,1],lightskyblue:[135,206,250,1],lightslategray:[119,136,153,1],lightslategrey:[119,136,153,1],lightsteelblue:[176,196,222,1],lightyellow:[255,255,224,1],lime:[0,255,0,1],limegreen:[50,205,50,1],linen:[250,240,230,1],magenta:[255,0,255,1],maroon:[128,0,0,1],mediumaquamarine:[102,205,170,1],mediumblue:[0,0,205,1],mediumorchid:[186,85,211,1],mediumpurple:[147,112,219,1],mediumseagreen:[60,179,113,1],mediumslateblue:[123,104,238,1],mediumspringgreen:[0,250,154,1],mediumturquoise:[72,209,204,1],mediumvioletred:[199,21,133,1],midnightblue:[25,25,112,1],mintcream:[245,255,250,1],mistyrose:[255,228,225,1],moccasin:[255,228,181,1],navajowhite:[255,222,173,1],navy:[0,0,128,1],oldlace:[253,245,230,1],olive:[128,128,0,1],olivedrab:[107,142,35,1],orange:[255,165,0,1],orangered:[255,69,0,1],orchid:[218,112,214,1],palegoldenrod:[238,232,170,1],palegreen:[152,251,152,1],paleturquoise:[175,238,238,1],palevioletred:[219,112,147,1],papayawhip:[255,239,213,1],peachpuff:[255,218,185,1],peru:[205,133,63,1],pink:[255,192,203,1],plum:[221,160,221,1],powderblue:[176,224,230,1],purple:[128,0,128,1],red:[255,0,0,1],rosybrown:[188,143,143,1],royalblue:[65,105,225,1],saddlebrown:[139,69,19,1],salmon:[250,128,114,1],sandybrown:[244,164,96,1],seagreen:[46,139,87,1],seashell:[255,245,238,1],sienna:[160,82,45,1],silver:[192,192,192,1],skyblue:[135,206,235,1],slateblue:[106,90,205,1],slategray:[112,128,144,1],slategrey:[112,128,144,1],snow:[255,250,250,1],springgreen:[0,255,127,1],steelblue:[70,130,180,1],tan:[210,180,140,1],teal:[0,128,128,1],thistle:[216,191,216,1],tomato:[255,99,71,1],turquoise:[64,224,208,1],violet:[238,130,238,1],wheat:[245,222,179,1],white:[255,255,255,1],whitesmoke:[245,245,245,1],yellow:[255,255,0,1],yellowgreen:[154,205,50,1]};function Ci(e){return(e=Math.round(e))<0?0:e>255?255:e}function Di(e){return e<0?0:e>1?1:e}function Ei(e){var t=e;return t.length&&"%"===t.charAt(t.length-1)?Ci(parseFloat(t)/100*255):Ci(parseInt(t,10))}function Li(e){var t=e;return t.length&&"%"===t.charAt(t.length-1)?Di(parseFloat(t)/100):Di(parseFloat(t))}function Pi(e,t,n){return n<0?n+=1:n>1&&(n-=1),6*n<1?e+(t-e)*n*6:2*n<1?t:3*n<2?e+(t-e)*(2/3-n)*6:e}function Oi(e,t,n){return e+(t-e)*n}function Ni(e,t,n,r,i){return e[0]=t,e[1]=n,e[2]=r,e[3]=i,e}function Ri(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e}var ki=new Ai(20),Bi=null;function Fi(e,t){Bi&&Ri(Bi,t),Bi=ki.put(e,Bi||t.slice())}function zi(e,t){if(e){t=t||[];var n=ki.get(e);if(n)return Ri(t,n);var r=(e+="").replace(/ /g,"").toLowerCase();if(r in Ii)return Ri(t,Ii[r]),Fi(e,t),t;var i,o=r.length;if("#"===r.charAt(0))return 4===o||5===o?(i=parseInt(r.slice(1,4),16))>=0&&i<=4095?(Ni(t,(3840&i)>>4|(3840&i)>>8,240&i|(240&i)>>4,15&i|(15&i)<<4,5===o?parseInt(r.slice(4),16)/15:1),Fi(e,t),t):void Ni(t,0,0,0,1):7===o||9===o?(i=parseInt(r.slice(1,7),16))>=0&&i<=16777215?(Ni(t,(16711680&i)>>16,(65280&i)>>8,255&i,9===o?parseInt(r.slice(7),16)/255:1),Fi(e,t),t):void Ni(t,0,0,0,1):void 0;var a=r.indexOf("("),s=r.indexOf(")");if(-1!==a&&s+1===o){var l=r.substr(0,a),u=r.substr(a+1,s-(a+1)).split(","),c=1;switch(l){case"rgba":if(4!==u.length)return 3===u.length?Ni(t,+u[0],+u[1],+u[2],1):Ni(t,0,0,0,1);c=Li(u.pop());case"rgb":return u.length>=3?(Ni(t,Ei(u[0]),Ei(u[1]),Ei(u[2]),3===u.length?c:Li(u[3])),Fi(e,t),t):void Ni(t,0,0,0,1);case"hsla":return 4!==u.length?void Ni(t,0,0,0,1):(u[3]=Li(u[3]),Vi(u,t),Fi(e,t),t);case"hsl":return 3!==u.length?void Ni(t,0,0,0,1):(Vi(u,t),Fi(e,t),t);default:return}}Ni(t,0,0,0,1)}}function Vi(e,t){var n=(parseFloat(e[0])%360+360)%360/360,r=Li(e[1]),i=Li(e[2]),o=i<=.5?i*(r+1):i+r-i*r,a=2*i-o;return Ni(t=t||[],Ci(255*Pi(a,o,n+1/3)),Ci(255*Pi(a,o,n)),Ci(255*Pi(a,o,n-1/3)),1),4===e.length&&(t[3]=e[3]),t}function Gi(e,t){var n=zi(e);if(n){for(var r=0;r<3;r++)n[r]=t<0?n[r]*(1-t)|0:(255-n[r])*t+n[r]|0,n[r]>255?n[r]=255:n[r]<0&&(n[r]=0);return qi(n,4===n.length?"rgba":"rgb")}}function Hi(e){var t=zi(e);if(t)return((1<<24)+(t[0]<<16)+(t[1]<<8)+ +t[2]).toString(16).slice(1)}function Ui(e,t,n){if(t&&t.length&&e>=0&&e<=1){n=n||[];var r=e*(t.length-1),i=Math.floor(r),o=Math.ceil(r),a=t[i],s=t[o],l=r-i;return n[0]=Ci(Oi(a[0],s[0],l)),n[1]=Ci(Oi(a[1],s[1],l)),n[2]=Ci(Oi(a[2],s[2],l)),n[3]=Di(Oi(a[3],s[3],l)),n}}var Wi=Ui;function ji(e,t,n){if(t&&t.length&&e>=0&&e<=1){var r=e*(t.length-1),i=Math.floor(r),o=Math.ceil(r),a=zi(t[i]),s=zi(t[o]),l=r-i,u=qi([Ci(Oi(a[0],s[0],l)),Ci(Oi(a[1],s[1],l)),Ci(Oi(a[2],s[2],l)),Di(Oi(a[3],s[3],l))],"rgba");return n?{color:u,leftIndex:i,rightIndex:o,value:r}:u}}var Xi=ji;function Yi(e,t,n,r){var i=zi(e);if(e)return i=function(e){if(e){var t,n,r=e[0]/255,i=e[1]/255,o=e[2]/255,a=Math.min(r,i,o),s=Math.max(r,i,o),l=s-a,u=(s+a)/2;if(0===l)t=0,n=0;else{n=u<.5?l/(s+a):l/(2-s-a);var c=((s-r)/6+l/2)/l,h=((s-i)/6+l/2)/l,d=((s-o)/6+l/2)/l;r===s?t=d-h:i===s?t=1/3+c-d:o===s&&(t=2/3+h-c),t<0&&(t+=1),t>1&&(t-=1)}var p=[360*t,n,u];return null!=e[3]&&p.push(e[3]),p}}(i),null!=t&&(i[0]=function(e){return(e=Math.round(e))<0?0:e>360?360:e}(t)),null!=n&&(i[1]=Li(n)),null!=r&&(i[2]=Li(r)),qi(Vi(i),"rgba")}function Zi(e,t){var n=zi(e);if(n&&null!=t)return n[3]=Di(t),qi(n,"rgba")}function qi(e,t){if(e&&e.length){var n=e[0]+","+e[1]+","+e[2];return"rgba"!==t&&"hsva"!==t&&"hsla"!==t||(n+=","+e[3]),t+"("+n+")"}}function $i(e,t){var n=zi(e);return n?(.299*n[0]+.587*n[1]+.114*n[2])*n[3]/255+(1-n[3])*t:0}function Ki(){return qi([Math.round(255*Math.random()),Math.round(255*Math.random()),Math.round(255*Math.random())],"rgb")}var Ji=new Ai(100);function Qi(e){if(St(e)){var t=Ji.get(e);return t||(t=Gi(e,-.1),Ji.put(e,t)),t}if(Et(e)){var n=at({},e);return n.colorStops=ft(e.colorStops,(function(e){return{offset:e.offset,color:Gi(e.color,-.1)}})),n}return e}var eo=Math.round;function to(e){var t;if(e&&"transparent"!==e){if("string"==typeof e&&e.indexOf("rgba")>-1){var n=zi(e);n&&(e="rgb("+n[0]+","+n[1]+","+n[2]+")",t=n[3])}}else e="none";return{color:e,opacity:null==t?1:t}}var no=1e-4;function ro(e){return e<no&&e>-no}function io(e){return eo(1e3*e)/1e3}function oo(e){return eo(1e4*e)/1e4}var ao={left:"start",right:"end",center:"middle",middle:"middle"};function so(e){return e&&!!e.image}function lo(e){return so(e)||function(e){return e&&!!e.svgElement}(e)}function uo(e){return"linear"===e.type}function co(e){return"radial"===e.type}function ho(e){return e&&("linear"===e.type||"radial"===e.type)}function po(e){return"url(#"+e+")"}function fo(e){var t=e.getGlobalScale(),n=Math.max(t[0],t[1]);return Math.max(Math.ceil(Math.log(n)/Math.log(10)),1)}function go(e){var t=e.x||0,n=e.y||0,r=(e.rotation||0)*Qt,i=Rt(e.scaleX,1),o=Rt(e.scaleY,1),a=e.skewX||0,s=e.skewY||0,l=[];return(t||n)&&l.push("translate("+t+"px,"+n+"px)"),r&&l.push("rotate("+r+")"),1===i&&1===o||l.push("scale("+i+","+o+")"),(a||s)&&l.push("skew("+eo(a*Qt)+"deg, "+eo(s*Qt)+"deg)"),l.join(" ")}var mo=Ne.hasGlobalWindow&&wt(window.btoa)?function(e){return window.btoa(unescape(encodeURIComponent(e)))}:"undefined"!=typeof Buffer?function(e){return Buffer.from(e).toString("base64")}:function(e){return null},vo=Array.prototype.slice;function yo(e,t,n){return(t-e)*n+e}function _o(e,t,n,r){for(var i=t.length,o=0;o<i;o++)e[o]=yo(t[o],n[o],r);return e}function xo(e,t,n,r){for(var i=t.length,o=0;o<i;o++)e[o]=t[o]+n[o]*r;return e}function bo(e,t,n,r){for(var i=t.length,o=i&&t[0].length,a=0;a<i;a++){e[a]||(e[a]=[]);for(var s=0;s<o;s++)e[a][s]=t[a][s]+n[a][s]*r}return e}function wo(e,t){for(var n=e.length,r=t.length,i=n>r?t:e,o=Math.min(n,r),a=i[o-1]||{color:[0,0,0,0],offset:0},s=o;s<Math.max(n,r);s++)i.push({offset:a.offset,color:a.color.slice()})}function So(e,t,n){var r=e,i=t;if(r.push&&i.push){var o=r.length,a=i.length;if(o!==a)if(o>a)r.length=a;else for(var s=o;s<a;s++)r.push(1===n?i[s]:vo.call(i[s]));var l=r[0]&&r[0].length;for(s=0;s<r.length;s++)if(1===n)isNaN(r[s])&&(r[s]=i[s]);else for(var u=0;u<l;u++)isNaN(r[s][u])&&(r[s][u]=i[s][u])}}function Mo(e){if(dt(e)){var t=e.length;if(dt(e[0])){for(var n=[],r=0;r<t;r++)n.push(vo.call(e[r]));return n}return vo.call(e)}return e}function To(e){return e[0]=Math.floor(e[0])||0,e[1]=Math.floor(e[1])||0,e[2]=Math.floor(e[2])||0,e[3]=null==e[3]?1:e[3],"rgba("+e.join(",")+")"}function Ao(e){return 4===e||5===e}function Io(e){return 1===e||2===e}var Co=[0,0,0,0],Do=function(){function e(e){this.keyframes=[],this.discrete=!1,this._invalid=!1,this._needsSort=!1,this._lastFr=0,this._lastFrP=0,this.propName=e}return e.prototype.isFinished=function(){return this._finished},e.prototype.setFinished=function(){this._finished=!0,this._additiveTrack&&this._additiveTrack.setFinished()},e.prototype.needsAnimate=function(){return this.keyframes.length>=1},e.prototype.getAdditiveTrack=function(){return this._additiveTrack},e.prototype.addKeyframe=function(e,t,n){this._needsSort=!0;var r=this.keyframes,i=r.length,o=!1,a=6,s=t;if(dt(t)){var l=function(e){return dt(e&&e[0])?2:1}(t);a=l,(1===l&&!Tt(t[0])||2===l&&!Tt(t[0][0]))&&(o=!0)}else if(Tt(t)&&!Ot(t))a=0;else if(St(t))if(isNaN(+t)){var u=zi(t);u&&(s=u,a=3)}else a=0;else if(Et(t)){var c=at({},s);c.colorStops=ft(t.colorStops,(function(e){return{offset:e.offset,color:zi(e.color)}})),uo(t)?a=4:co(t)&&(a=5),s=c}0===i?this.valType=a:a===this.valType&&6!==a||(o=!0),this.discrete=this.discrete||o;var h={time:e,value:s,rawValue:t,percent:0};return n&&(h.easing=n,h.easingFunc=wt(n)?n:qr[n]||bi(n)),r.push(h),h},e.prototype.prepare=function(e,t){var n=this.keyframes;this._needsSort&&n.sort((function(e,t){return e.time-t.time}));for(var r=this.valType,i=n.length,o=n[i-1],a=this.discrete,s=Io(r),l=Ao(r),u=0;u<i;u++){var c=n[u],h=c.value,d=o.value;c.percent=c.time/e,a||(s&&u!==i-1?So(h,d,r):l&&wo(h.colorStops,d.colorStops))}if(!a&&5!==r&&t&&this.needsAnimate()&&t.needsAnimate()&&r===t.valType&&!t._finished){this._additiveTrack=t;var p=n[0].value;for(u=0;u<i;u++)0===r?n[u].additiveValue=n[u].value-p:3===r?n[u].additiveValue=xo([],n[u].value,p,-1):Io(r)&&(n[u].additiveValue=1===r?xo([],n[u].value,p,-1):bo([],n[u].value,p,-1))}},e.prototype.step=function(e,t){if(!this._finished){this._additiveTrack&&this._additiveTrack._finished&&(this._additiveTrack=null);var n,r,i,o=null!=this._additiveTrack,a=o?"additiveValue":"value",s=this.valType,l=this.keyframes,u=l.length,c=this.propName,h=3===s,d=this._lastFr,p=Math.min;if(1===u)r=i=l[0];else{if(t<0)n=0;else if(t<this._lastFrP){for(n=p(d+1,u-1);n>=0&&!(l[n].percent<=t);n--);n=p(n,u-2)}else{for(n=d;n<u&&!(l[n].percent>t);n++);n=p(n-1,u-2)}i=l[n+1],r=l[n]}if(r&&i){this._lastFr=n,this._lastFrP=t;var f=i.percent-r.percent,g=0===f?1:p((t-r.percent)/f,1);i.easingFunc&&(g=i.easingFunc(g));var m=o?this._additiveValue:h?Co:e[c];if(!Io(s)&&!h||m||(m=this._additiveValue=[]),this.discrete)e[c]=g<1?r.rawValue:i.rawValue;else if(Io(s))1===s?_o(m,r[a],i[a],g):function(e,t,n,r){for(var i=t.length,o=i&&t[0].length,a=0;a<i;a++){e[a]||(e[a]=[]);for(var s=0;s<o;s++)e[a][s]=yo(t[a][s],n[a][s],r)}}(m,r[a],i[a],g);else if(Ao(s)){var v=r[a],y=i[a],_=4===s;e[c]={type:_?"linear":"radial",x:yo(v.x,y.x,g),y:yo(v.y,y.y,g),colorStops:ft(v.colorStops,(function(e,t){var n=y.colorStops[t];return{offset:yo(e.offset,n.offset,g),color:To(_o([],e.color,n.color,g))}})),global:y.global},_?(e[c].x2=yo(v.x2,y.x2,g),e[c].y2=yo(v.y2,y.y2,g)):e[c].r=yo(v.r,y.r,g)}else if(h)_o(m,r[a],i[a],g),o||(e[c]=To(m));else{var x=yo(r[a],i[a],g);o?this._additiveValue=x:e[c]=x}o&&this._addToTarget(e)}}},e.prototype._addToTarget=function(e){var t=this.valType,n=this.propName,r=this._additiveValue;0===t?e[n]=e[n]+r:3===t?(zi(e[n],Co),xo(Co,Co,r,1),e[n]=To(Co)):1===t?xo(e[n],e[n],r,1):2===t&&bo(e[n],e[n],r,1)},e}(),Eo=function(){function e(e,t,n,r){this._tracks={},this._trackKeys=[],this._maxTime=0,this._started=0,this._clip=null,this._target=e,this._loop=t,t&&r?nt("Can' use additive animation on looped animation."):(this._additiveAnimators=r,this._allowDiscrete=n)}return e.prototype.getMaxTime=function(){return this._maxTime},e.prototype.getDelay=function(){return this._delay},e.prototype.getLoop=function(){return this._loop},e.prototype.getTarget=function(){return this._target},e.prototype.changeTarget=function(e){this._target=e},e.prototype.when=function(e,t,n){return this.whenWithKeys(e,t,yt(t),n)},e.prototype.whenWithKeys=function(e,t,n,r){for(var i=this._tracks,o=0;o<n.length;o++){var a=n[o],s=i[a];if(!s){s=i[a]=new Do(a);var l=void 0,u=this._getAdditiveTrack(a);if(u){var c=u.keyframes,h=c[c.length-1];l=h&&h.value,3===u.valType&&l&&(l=To(l))}else l=this._target[a];if(null==l)continue;e>0&&s.addKeyframe(0,Mo(l),r),this._trackKeys.push(a)}s.addKeyframe(e,Mo(t[a]),r)}return this._maxTime=Math.max(this._maxTime,e),this},e.prototype.pause=function(){this._clip.pause(),this._paused=!0},e.prototype.resume=function(){this._clip.resume(),this._paused=!1},e.prototype.isPaused=function(){return!!this._paused},e.prototype.duration=function(e){return this._maxTime=e,this._force=!0,this},e.prototype._doneCallback=function(){this._setTracksFinished(),this._clip=null;var e=this._doneCbs;if(e)for(var t=e.length,n=0;n<t;n++)e[n].call(this)},e.prototype._abortedCallback=function(){this._setTracksFinished();var e=this.animation,t=this._abortedCbs;if(e&&e.removeClip(this._clip),this._clip=null,t)for(var n=0;n<t.length;n++)t[n].call(this)},e.prototype._setTracksFinished=function(){for(var e=this._tracks,t=this._trackKeys,n=0;n<t.length;n++)e[t[n]].setFinished()},e.prototype._getAdditiveTrack=function(e){var t,n=this._additiveAnimators;if(n)for(var r=0;r<n.length;r++){var i=n[r].getTrack(e);i&&(t=i)}return t},e.prototype.start=function(e){if(!(this._started>0)){this._started=1;for(var t=this,n=[],r=this._maxTime||0,i=0;i<this._trackKeys.length;i++){var o=this._trackKeys[i],a=this._tracks[o],s=this._getAdditiveTrack(o),l=a.keyframes,u=l.length;if(a.prepare(r,s),a.needsAnimate())if(!this._allowDiscrete&&a.discrete){var c=l[u-1];c&&(t._target[a.propName]=c.rawValue),a.setFinished()}else n.push(a)}if(n.length||this._force){var h=new wi({life:r,loop:this._loop,delay:this._delay||0,onframe:function(e){t._started=2;var r=t._additiveAnimators;if(r){for(var i=!1,o=0;o<r.length;o++)if(r[o]._clip){i=!0;break}i||(t._additiveAnimators=null)}for(o=0;o<n.length;o++)n[o].step(t._target,e);var a=t._onframeCbs;if(a)for(o=0;o<a.length;o++)a[o](t._target,e)},ondestroy:function(){t._doneCallback()}});this._clip=h,this.animation&&this.animation.addClip(h),e&&h.setEasing(e)}else this._doneCallback();return this}},e.prototype.stop=function(e){if(this._clip){var t=this._clip;e&&t.onframe(1),this._abortedCallback()}},e.prototype.delay=function(e){return this._delay=e,this},e.prototype.during=function(e){return e&&(this._onframeCbs||(this._onframeCbs=[]),this._onframeCbs.push(e)),this},e.prototype.done=function(e){return e&&(this._doneCbs||(this._doneCbs=[]),this._doneCbs.push(e)),this},e.prototype.aborted=function(e){return e&&(this._abortedCbs||(this._abortedCbs=[]),this._abortedCbs.push(e)),this},e.prototype.getClip=function(){return this._clip},e.prototype.getTrack=function(e){return this._tracks[e]},e.prototype.getTracks=function(){var e=this;return ft(this._trackKeys,(function(t){return e._tracks[t]}))},e.prototype.stopTracks=function(e,t){if(!e.length||!this._clip)return!0;for(var n=this._tracks,r=this._trackKeys,i=0;i<e.length;i++){var o=n[e[i]];o&&!o.isFinished()&&(t?o.step(this._target,1):1===this._started&&o.step(this._target,0),o.setFinished())}var a=!0;for(i=0;i<r.length;i++)if(!n[r[i]].isFinished()){a=!1;break}return a&&this._abortedCallback(),a},e.prototype.saveTo=function(e,t,n){if(e){t=t||this._trackKeys;for(var r=0;r<t.length;r++){var i=t[r],o=this._tracks[i];if(o&&!o.isFinished()){var a=o.keyframes,s=a[n?0:a.length-1];s&&(e[i]=Mo(s.rawValue))}}}},e.prototype.__changeFinalValue=function(e,t){t=t||yt(e);for(var n=0;n<t.length;n++){var r=t[n],i=this._tracks[r];if(i){var o=i.keyframes;if(o.length>1){var a=o.pop();i.addKeyframe(a.time,e[r]),i.prepare(this._maxTime,i.getAdditiveTrack())}}}},e}();const Lo=Eo;function Po(){return(new Date).getTime()}var Oo=function(e){function t(t){var n=e.call(this)||this;return n._running=!1,n._time=0,n._pausedTime=0,n._pauseStart=0,n._paused=!1,t=t||{},n.stage=t.stage||{},n}return tn(t,e),t.prototype.addClip=function(e){e.animation&&this.removeClip(e),this._head?(this._tail.next=e,e.prev=this._tail,e.next=null,this._tail=e):this._head=this._tail=e,e.animation=this},t.prototype.addAnimator=function(e){e.animation=this;var t=e.getClip();t&&this.addClip(t)},t.prototype.removeClip=function(e){if(e.animation){var t=e.prev,n=e.next;t?t.next=n:this._head=n,n?n.prev=t:this._tail=t,e.next=e.prev=e.animation=null}},t.prototype.removeAnimator=function(e){var t=e.getClip();t&&this.removeClip(t),e.animation=null},t.prototype.update=function(e){for(var t=Po()-this._pausedTime,n=t-this._time,r=this._head;r;){var i=r.next;r.step(t,n)?(r.ondestroy(),this.removeClip(r),r=i):r=i}this._time=t,e||(this.trigger("frame",n),this.stage.update&&this.stage.update())},t.prototype._startLoop=function(){var e=this;this._running=!0,Yr((function t(){e._running&&(Yr(t),!e._paused&&e.update())}))},t.prototype.start=function(){this._running||(this._time=Po(),this._pausedTime=0,this._startLoop())},t.prototype.stop=function(){this._running=!1},t.prototype.pause=function(){this._paused||(this._pauseStart=Po(),this._paused=!0)},t.prototype.resume=function(){this._paused&&(this._pausedTime+=Po()-this._pauseStart,this._paused=!1)},t.prototype.clear=function(){for(var e=this._head;e;){var t=e.next;e.prev=e.next=e.animation=null,e=t}this._head=this._tail=null},t.prototype.isFinished=function(){return null==this._head},t.prototype.animate=function(e,t){t=t||{},this.start();var n=new Lo(e,t.loop);return this.addAnimator(n),n},t}(Pn);const No=Oo;var Ro,ko,Bo=Ne.domSupported,Fo=(ko={pointerdown:1,pointerup:1,pointermove:1,pointerout:1},{mouse:Ro=["click","dblclick","mousewheel","wheel","mouseout","mouseup","mousedown","mousemove","contextmenu"],touch:["touchstart","touchend","touchmove"],pointer:ft(Ro,(function(e){var t=e.replace("mouse","pointer");return ko.hasOwnProperty(t)?t:e}))}),zo=["mousemove","mouseup"],Vo=["pointermove","pointerup"],Go=!1;function Ho(e){var t=e.pointerType;return"pen"===t||"touch"===t}function Uo(e){e&&(e.zrByTouch=!0)}function Wo(e,t){for(var n=t,r=!1;n&&9!==n.nodeType&&!(r=n.domBelongToZr||n!==t&&n===e.painterRoot);)n=n.parentNode;return r}var jo=function(e,t){this.stopPropagation=Jt,this.stopImmediatePropagation=Jt,this.preventDefault=Jt,this.type=t.type,this.target=this.currentTarget=e.dom,this.pointerType=t.pointerType,this.clientX=t.clientX,this.clientY=t.clientY},Xo={mousedown:function(e){e=qn(this.dom,e),this.__mayPointerCapture=[e.zrX,e.zrY],this.trigger("mousedown",e)},mousemove:function(e){e=qn(this.dom,e);var t=this.__mayPointerCapture;!t||e.zrX===t[0]&&e.zrY===t[1]||this.__togglePointerCapture(!0),this.trigger("mousemove",e)},mouseup:function(e){e=qn(this.dom,e),this.__togglePointerCapture(!1),this.trigger("mouseup",e)},mouseout:function(e){Wo(this,(e=qn(this.dom,e)).toElement||e.relatedTarget)||(this.__pointerCapturing&&(e.zrEventControl="no_globalout"),this.trigger("mouseout",e))},wheel:function(e){Go=!0,e=qn(this.dom,e),this.trigger("mousewheel",e)},mousewheel:function(e){Go||(e=qn(this.dom,e),this.trigger("mousewheel",e))},touchstart:function(e){Uo(e=qn(this.dom,e)),this.__lastTouchMoment=new Date,this.handler.processGesture(e,"start"),Xo.mousemove.call(this,e),Xo.mousedown.call(this,e)},touchmove:function(e){Uo(e=qn(this.dom,e)),this.handler.processGesture(e,"change"),Xo.mousemove.call(this,e)},touchend:function(e){Uo(e=qn(this.dom,e)),this.handler.processGesture(e,"end"),Xo.mouseup.call(this,e),+new Date-+this.__lastTouchMoment<300&&Xo.click.call(this,e)},pointerdown:function(e){Xo.mousedown.call(this,e)},pointermove:function(e){Ho(e)||Xo.mousemove.call(this,e)},pointerup:function(e){Xo.mouseup.call(this,e)},pointerout:function(e){Ho(e)||Xo.mouseout.call(this,e)}};pt(["click","dblclick","contextmenu"],(function(e){Xo[e]=function(t){t=qn(this.dom,t),this.trigger(e,t)}}));var Yo={pointermove:function(e){Ho(e)||Yo.mousemove.call(this,e)},pointerup:function(e){Yo.mouseup.call(this,e)},mousemove:function(e){this.trigger("mousemove",e)},mouseup:function(e){var t=this.__pointerCapturing;this.__togglePointerCapture(!1),this.trigger("mouseup",e),t&&(e.zrEventControl="only_globalout",this.trigger("mouseout",e))}};function Zo(e,t,n,r){e.mounted[t]=n,e.listenerOpts[t]=r,$n(e.domTarget,t,n,r)}function qo(e){var t,n,r,i,o=e.mounted;for(var a in o)o.hasOwnProperty(a)&&(t=e.domTarget,n=a,r=o[a],i=e.listenerOpts[a],t.removeEventListener(n,r,i));e.mounted={}}var $o=function(e,t){this.mounted={},this.listenerOpts={},this.touching=!1,this.domTarget=e,this.domHandlers=t};const Ko=function(e){function t(t,n){var r,i,o,a=e.call(this)||this;return a.__pointerCapturing=!1,a.dom=t,a.painterRoot=n,a._localHandlerScope=new $o(t,Xo),Bo&&(a._globalHandlerScope=new $o(document,Yo)),r=a,i=a._localHandlerScope,o=i.domHandlers,Ne.pointerEventsSupported?pt(Fo.pointer,(function(e){Zo(i,e,(function(t){o[e].call(r,t)}))})):(Ne.touchEventsSupported&&pt(Fo.touch,(function(e){Zo(i,e,(function(t){o[e].call(r,t),function(e){e.touching=!0,null!=e.touchTimer&&(clearTimeout(e.touchTimer),e.touchTimer=null),e.touchTimer=setTimeout((function(){e.touching=!1,e.touchTimer=null}),700)}(i)}))})),pt(Fo.mouse,(function(e){Zo(i,e,(function(t){t=Zn(t),i.touching||o[e].call(r,t)}))}))),a}return tn(t,e),t.prototype.dispose=function(){qo(this._localHandlerScope),Bo&&qo(this._globalHandlerScope)},t.prototype.setCursor=function(e){this.dom.style&&(this.dom.style.cursor=e||"default")},t.prototype.__togglePointerCapture=function(e){if(this.__mayPointerCapture=null,Bo&&+this.__pointerCapturing^+e){this.__pointerCapturing=e;var t=this._globalHandlerScope;e?function(e,t){function n(n){Zo(t,n,(function(r){r=Zn(r),Wo(e,r.target)||(r=function(e,t){return qn(e.dom,new jo(e,t),!0)}(e,r),t.domHandlers[n].call(e,r))}),{capture:!0})}Ne.pointerEventsSupported?pt(Vo,n):Ne.touchEventsSupported||pt(zo,n)}(this,t):qo(t)}},t}(Pn);var Jo=1;Ne.hasGlobalWindow&&(Jo=Math.max(window.devicePixelRatio||window.screen&&window.screen.deviceXDPI/window.screen.logicalXDPI||1,1));var Qo=Jo,ea="#333",ta="#ccc",na=rr;function ra(e){return e>5e-5||e<-5e-5}var ia=[],oa=[],aa=[1,0,0,1,0,0],sa=Math.abs,la=function(){function e(){}return e.prototype.getLocalTransform=function(t){return e.getLocalTransform(this,t)},e.prototype.setPosition=function(e){this.x=e[0],this.y=e[1]},e.prototype.setScale=function(e){this.scaleX=e[0],this.scaleY=e[1]},e.prototype.setSkew=function(e){this.skewX=e[0],this.skewY=e[1]},e.prototype.setOrigin=function(e){this.originX=e[0],this.originY=e[1]},e.prototype.needLocalTransform=function(){return ra(this.rotation)||ra(this.x)||ra(this.y)||ra(this.scaleX-1)||ra(this.scaleY-1)||ra(this.skewX)||ra(this.skewY)},e.prototype.updateTransform=function(){var e=this.parent&&this.parent.transform,t=this.needLocalTransform(),n=this.transform;t||e?(n=n||[1,0,0,1,0,0],t?this.getLocalTransform(n):na(n),e&&(t?or(n,e,n):ir(n,e)),this.transform=n,this._resolveGlobalScaleRatio(n)):n&&(na(n),this.invTransform=null)},e.prototype._resolveGlobalScaleRatio=function(e){var t=this.globalScaleRatio;if(null!=t&&1!==t){this.getGlobalScale(ia);var n=ia[0]<0?-1:1,r=ia[1]<0?-1:1,i=((ia[0]-n)*t+n)/ia[0]||0,o=((ia[1]-r)*t+r)/ia[1]||0;e[0]*=i,e[1]*=i,e[2]*=o,e[3]*=o}this.invTransform=this.invTransform||[1,0,0,1,0,0],ur(this.invTransform,e)},e.prototype.getComputedTransform=function(){for(var e=this,t=[];e;)t.push(e),e=e.parent;for(;e=t.pop();)e.updateTransform();return this.transform},e.prototype.setLocalTransform=function(e){if(e){var t=e[0]*e[0]+e[1]*e[1],n=e[2]*e[2]+e[3]*e[3],r=Math.atan2(e[1],e[0]),i=Math.PI/2+r-Math.atan2(e[3],e[2]);n=Math.sqrt(n)*Math.cos(i),t=Math.sqrt(t),this.skewX=i,this.skewY=0,this.rotation=-r,this.x=+e[4],this.y=+e[5],this.scaleX=t,this.scaleY=n,this.originX=0,this.originY=0}},e.prototype.decomposeTransform=function(){if(this.transform){var e=this.parent,t=this.transform;e&&e.transform&&(e.invTransform=e.invTransform||[1,0,0,1,0,0],or(oa,e.invTransform,t),t=oa);var n=this.originX,r=this.originY;(n||r)&&(aa[4]=n,aa[5]=r,or(oa,t,aa),oa[4]-=n,oa[5]-=r,t=oa),this.setLocalTransform(t)}},e.prototype.getGlobalScale=function(e){var t=this.transform;return e=e||[],t?(e[0]=Math.sqrt(t[0]*t[0]+t[1]*t[1]),e[1]=Math.sqrt(t[2]*t[2]+t[3]*t[3]),t[0]<0&&(e[0]=-e[0]),t[3]<0&&(e[1]=-e[1]),e):(e[0]=1,e[1]=1,e)},e.prototype.transformCoordToLocal=function(e,t){var n=[e,t],r=this.invTransform;return r&&Tn(n,n,r),n},e.prototype.transformCoordToGlobal=function(e,t){var n=[e,t],r=this.transform;return r&&Tn(n,n,r),n},e.prototype.getLineScale=function(){var e=this.transform;return e&&sa(e[0]-1)>1e-10&&sa(e[3]-1)>1e-10?Math.sqrt(sa(e[0]*e[3]-e[2]*e[1])):1},e.prototype.copyTransform=function(e){ca(this,e)},e.getLocalTransform=function(e,t){t=t||[];var n=e.originX||0,r=e.originY||0,i=e.scaleX,o=e.scaleY,a=e.anchorX,s=e.anchorY,l=e.rotation||0,u=e.x,c=e.y,h=e.skewX?Math.tan(e.skewX):0,d=e.skewY?Math.tan(-e.skewY):0;if(n||r||a||s){var p=n+a,f=r+s;t[4]=-p*i-h*f*o,t[5]=-f*o-d*p*i}else t[4]=t[5]=0;return t[0]=i,t[3]=o,t[1]=d*i,t[2]=h*o,l&&sr(t,t,l),t[4]+=n+u,t[5]+=r+c,t},e.initDefaultProps=function(){var t=e.prototype;t.scaleX=t.scaleY=t.globalScaleRatio=1,t.x=t.y=t.originX=t.originY=t.skewX=t.skewY=t.rotation=t.anchorX=t.anchorY=0}(),e}(),ua=["x","y","originX","originY","anchorX","anchorY","rotation","scaleX","scaleY","skewX","skewY"];function ca(e,t){for(var n=0;n<ua.length;n++){var r=ua[n];e[r]=t[r]}}const ha=la;var da={};function pa(e,t){var n=da[t=t||ze];n||(n=da[t]=new Ai(500));var r=n.get(e);return null==r&&(r=Ge.measureText(e,t).width,n.put(e,r)),r}function fa(e,t,n,r){var i=pa(e,t),o=ya(t),a=ma(0,i,n),s=va(0,o,r);return new wr(a,s,i,o)}function ga(e,t,n,r){var i=((e||"")+"").split("\n");if(1===i.length)return fa(i[0],t,n,r);for(var o=new wr(0,0,0,0),a=0;a<i.length;a++){var s=fa(i[a],t,n,r);0===a?o.copy(s):o.union(s)}return o}function ma(e,t,n){return"right"===n?e-=t:"center"===n&&(e-=t/2),e}function va(e,t,n){return"middle"===n?e-=t/2:"bottom"===n&&(e-=t),e}function ya(e){return pa("国",e)}function _a(e,t){return"string"==typeof e?e.lastIndexOf("%")>=0?parseFloat(e)/100*t:parseFloat(e):e}function xa(e,t,n){var r=t.position||"inside",i=null!=t.distance?t.distance:5,o=n.height,a=n.width,s=o/2,l=n.x,u=n.y,c="left",h="top";if(r instanceof Array)l+=_a(r[0],n.width),u+=_a(r[1],n.height),c=null,h=null;else switch(r){case"left":l-=i,u+=s,c="right",h="middle";break;case"right":l+=i+a,u+=s,h="middle";break;case"top":l+=a/2,u-=i,c="center",h="bottom";break;case"bottom":l+=a/2,u+=o+i,c="center";break;case"inside":l+=a/2,u+=s,c="center",h="middle";break;case"insideLeft":l+=i,u+=s,h="middle";break;case"insideRight":l+=a-i,u+=s,c="right",h="middle";break;case"insideTop":l+=a/2,u+=i,c="center";break;case"insideBottom":l+=a/2,u+=o-i,c="center",h="bottom";break;case"insideTopLeft":l+=i,u+=i;break;case"insideTopRight":l+=a-i,u+=i,c="right";break;case"insideBottomLeft":l+=i,u+=o-i,h="bottom";break;case"insideBottomRight":l+=a-i,u+=o-i,c="right",h="bottom"}return(e=e||{}).x=l,e.y=u,e.align=c,e.verticalAlign=h,e}var ba="__zr_normal__",wa=ua.concat(["ignore"]),Sa=gt(ua,(function(e,t){return e[t]=!0,e}),{ignore:!1}),Ma={},Ta=new wr(0,0,0,0),Aa=function(){function e(e){this.id=tt(),this.animators=[],this.currentStates=[],this.states={},this._init(e)}return e.prototype._init=function(e){this.attr(e)},e.prototype.drift=function(e,t,n){switch(this.draggable){case"horizontal":t=0;break;case"vertical":e=0}var r=this.transform;r||(r=this.transform=[1,0,0,1,0,0]),r[4]+=e,r[5]+=t,this.decomposeTransform(),this.markRedraw()},e.prototype.beforeUpdate=function(){},e.prototype.afterUpdate=function(){},e.prototype.update=function(){this.updateTransform(),this.__dirty&&this.updateInnerText()},e.prototype.updateInnerText=function(e){var t=this._textContent;if(t&&(!t.ignore||e)){this.textConfig||(this.textConfig={});var n=this.textConfig,r=n.local,i=t.innerTransformable,o=void 0,a=void 0,s=!1;i.parent=r?this:null;var l=!1;if(i.copyTransform(t),null!=n.position){var u=Ta;n.layoutRect?u.copy(n.layoutRect):u.copy(this.getBoundingRect()),r||u.applyTransform(this.transform),this.calculateTextPosition?this.calculateTextPosition(Ma,n,u):xa(Ma,n,u),i.x=Ma.x,i.y=Ma.y,o=Ma.align,a=Ma.verticalAlign;var c=n.origin;if(c&&null!=n.rotation){var h=void 0,d=void 0;"center"===c?(h=.5*u.width,d=.5*u.height):(h=_a(c[0],u.width),d=_a(c[1],u.height)),l=!0,i.originX=-i.x+h+(r?0:u.x),i.originY=-i.y+d+(r?0:u.y)}}null!=n.rotation&&(i.rotation=n.rotation);var p=n.offset;p&&(i.x+=p[0],i.y+=p[1],l||(i.originX=-p[0],i.originY=-p[1]));var f=null==n.inside?"string"==typeof n.position&&n.position.indexOf("inside")>=0:n.inside,g=this._innerTextDefaultStyle||(this._innerTextDefaultStyle={}),m=void 0,v=void 0,y=void 0;f&&this.canBeInsideText()?(m=n.insideFill,v=n.insideStroke,null!=m&&"auto"!==m||(m=this.getInsideTextFill()),null!=v&&"auto"!==v||(v=this.getInsideTextStroke(m),y=!0)):(m=n.outsideFill,v=n.outsideStroke,null!=m&&"auto"!==m||(m=this.getOutsideFill()),null!=v&&"auto"!==v||(v=this.getOutsideStroke(m),y=!0)),(m=m||"#000")===g.fill&&v===g.stroke&&y===g.autoStroke&&o===g.align&&a===g.verticalAlign||(s=!0,g.fill=m,g.stroke=v,g.autoStroke=y,g.align=o,g.verticalAlign=a,t.setDefaultTextStyle(g)),t.__dirty|=Vr,s&&t.dirtyStyle(!0)}},e.prototype.canBeInsideText=function(){return!0},e.prototype.getInsideTextFill=function(){return"#fff"},e.prototype.getInsideTextStroke=function(e){return"#000"},e.prototype.getOutsideFill=function(){return this.__zr&&this.__zr.isDarkMode()?ta:ea},e.prototype.getOutsideStroke=function(e){var t=this.__zr&&this.__zr.getBackgroundColor(),n="string"==typeof t&&zi(t);n||(n=[255,255,255,1]);for(var r=n[3],i=this.__zr.isDarkMode(),o=0;o<3;o++)n[o]=n[o]*r+(i?0:255)*(1-r);return n[3]=1,qi(n,"rgba")},e.prototype.traverse=function(e,t){},e.prototype.attrKV=function(e,t){"textConfig"===e?this.setTextConfig(t):"textContent"===e?this.setTextContent(t):"clipPath"===e?this.setClipPath(t):"extra"===e?(this.extra=this.extra||{},at(this.extra,t)):this[e]=t},e.prototype.hide=function(){this.ignore=!0,this.markRedraw()},e.prototype.show=function(){this.ignore=!1,this.markRedraw()},e.prototype.attr=function(e,t){if("string"==typeof e)this.attrKV(e,t);else if(At(e))for(var n=yt(e),r=0;r<n.length;r++){var i=n[r];this.attrKV(i,e[i])}return this.markRedraw(),this},e.prototype.saveCurrentToNormalState=function(e){this._innerSaveToNormal(e);for(var t=this._normalState,n=0;n<this.animators.length;n++){var r=this.animators[n],i=r.__fromStateTransition;if(!(r.getLoop()||i&&i!==ba)){var o=r.targetName,a=o?t[o]:t;r.saveTo(a)}}},e.prototype._innerSaveToNormal=function(e){var t=this._normalState;t||(t=this._normalState={}),e.textConfig&&!t.textConfig&&(t.textConfig=this.textConfig),this._savePrimaryToNormal(e,t,wa)},e.prototype._savePrimaryToNormal=function(e,t,n){for(var r=0;r<n.length;r++){var i=n[r];null==e[i]||i in t||(t[i]=this[i])}},e.prototype.hasState=function(){return this.currentStates.length>0},e.prototype.getState=function(e){return this.states[e]},e.prototype.ensureState=function(e){var t=this.states;return t[e]||(t[e]={}),t[e]},e.prototype.clearStates=function(e){this.useState(ba,!1,e)},e.prototype.useState=function(e,t,n,r){var i=e===ba;if(this.hasState()||!i){var o=this.currentStates,a=this.stateTransition;if(!(ut(o,e)>=0)||!t&&1!==o.length){var s;if(this.stateProxy&&!i&&(s=this.stateProxy(e)),s||(s=this.states&&this.states[e]),s||i){i||this.saveCurrentToNormalState(s);var l=!!(s&&s.hoverLayer||r);l&&this._toggleHoverLayerFlag(!0),this._applyStateObj(e,s,this._normalState,t,!n&&!this.__inHover&&a&&a.duration>0,a);var u=this._textContent,c=this._textGuide;return u&&u.useState(e,t,n,l),c&&c.useState(e,t,n,l),i?(this.currentStates=[],this._normalState={}):t?this.currentStates.push(e):this.currentStates=[e],this._updateAnimationTargets(),this.markRedraw(),!l&&this.__inHover&&(this._toggleHoverLayerFlag(!1),this.__dirty&=~Vr),s}nt("State "+e+" not exists.")}}},e.prototype.useStates=function(e,t,n){if(e.length){var r=[],i=this.currentStates,o=e.length,a=o===i.length;if(a)for(var s=0;s<o;s++)if(e[s]!==i[s]){a=!1;break}if(a)return;for(s=0;s<o;s++){var l=e[s],u=void 0;this.stateProxy&&(u=this.stateProxy(l,e)),u||(u=this.states[l]),u&&r.push(u)}var c=r[o-1],h=!!(c&&c.hoverLayer||n);h&&this._toggleHoverLayerFlag(!0);var d=this._mergeStates(r),p=this.stateTransition;this.saveCurrentToNormalState(d),this._applyStateObj(e.join(","),d,this._normalState,!1,!t&&!this.__inHover&&p&&p.duration>0,p);var f=this._textContent,g=this._textGuide;f&&f.useStates(e,t,h),g&&g.useStates(e,t,h),this._updateAnimationTargets(),this.currentStates=e.slice(),this.markRedraw(),!h&&this.__inHover&&(this._toggleHoverLayerFlag(!1),this.__dirty&=~Vr)}else this.clearStates()},e.prototype.isSilent=function(){for(var e=this.silent,t=this.parent;!e&&t;){if(t.silent){e=!0;break}t=t.parent}return e},e.prototype._updateAnimationTargets=function(){for(var e=0;e<this.animators.length;e++){var t=this.animators[e];t.targetName&&t.changeTarget(this[t.targetName])}},e.prototype.removeState=function(e){var t=ut(this.currentStates,e);if(t>=0){var n=this.currentStates.slice();n.splice(t,1),this.useStates(n)}},e.prototype.replaceState=function(e,t,n){var r=this.currentStates.slice(),i=ut(r,e),o=ut(r,t)>=0;i>=0?o?r.splice(i,1):r[i]=t:n&&!o&&r.push(t),this.useStates(r)},e.prototype.toggleState=function(e,t){t?this.useState(e,!0):this.removeState(e)},e.prototype._mergeStates=function(e){for(var t,n={},r=0;r<e.length;r++){var i=e[r];at(n,i),i.textConfig&&at(t=t||{},i.textConfig)}return t&&(n.textConfig=t),n},e.prototype._applyStateObj=function(e,t,n,r,i,o){var a=!(t&&r);t&&t.textConfig?(this.textConfig=at({},r?this.textConfig:n.textConfig),at(this.textConfig,t.textConfig)):a&&n.textConfig&&(this.textConfig=n.textConfig);for(var s={},l=!1,u=0;u<wa.length;u++){var c=wa[u],h=i&&Sa[c];t&&null!=t[c]?h?(l=!0,s[c]=t[c]):this[c]=t[c]:a&&null!=n[c]&&(h?(l=!0,s[c]=n[c]):this[c]=n[c])}if(!i)for(u=0;u<this.animators.length;u++){var d=this.animators[u],p=d.targetName;d.getLoop()||d.__changeFinalValue(p?(t||n)[p]:t||n)}l&&this._transitionState(e,s,o)},e.prototype._attachComponent=function(e){if((!e.__zr||e.__hostTarget)&&e!==this){var t=this.__zr;t&&e.addSelfToZr(t),e.__zr=t,e.__hostTarget=this}},e.prototype._detachComponent=function(e){e.__zr&&e.removeSelfFromZr(e.__zr),e.__zr=null,e.__hostTarget=null},e.prototype.getClipPath=function(){return this._clipPath},e.prototype.setClipPath=function(e){this._clipPath&&this._clipPath!==e&&this.removeClipPath(),this._attachComponent(e),this._clipPath=e,this.markRedraw()},e.prototype.removeClipPath=function(){var e=this._clipPath;e&&(this._detachComponent(e),this._clipPath=null,this.markRedraw())},e.prototype.getTextContent=function(){return this._textContent},e.prototype.setTextContent=function(e){var t=this._textContent;t!==e&&(t&&t!==e&&this.removeTextContent(),e.innerTransformable=new ha,this._attachComponent(e),this._textContent=e,this.markRedraw())},e.prototype.setTextConfig=function(e){this.textConfig||(this.textConfig={}),at(this.textConfig,e),this.markRedraw()},e.prototype.removeTextConfig=function(){this.textConfig=null,this.markRedraw()},e.prototype.removeTextContent=function(){var e=this._textContent;e&&(e.innerTransformable=null,this._detachComponent(e),this._textContent=null,this._innerTextDefaultStyle=null,this.markRedraw())},e.prototype.getTextGuideLine=function(){return this._textGuide},e.prototype.setTextGuideLine=function(e){this._textGuide&&this._textGuide!==e&&this.removeTextGuideLine(),this._attachComponent(e),this._textGuide=e,this.markRedraw()},e.prototype.removeTextGuideLine=function(){var e=this._textGuide;e&&(this._detachComponent(e),this._textGuide=null,this.markRedraw())},e.prototype.markRedraw=function(){this.__dirty|=Vr;var e=this.__zr;e&&(this.__inHover?e.refreshHover():e.refresh()),this.__hostTarget&&this.__hostTarget.markRedraw()},e.prototype.dirty=function(){this.markRedraw()},e.prototype._toggleHoverLayerFlag=function(e){this.__inHover=e;var t=this._textContent,n=this._textGuide;t&&(t.__inHover=e),n&&(n.__inHover=e)},e.prototype.addSelfToZr=function(e){if(this.__zr!==e){this.__zr=e;var t=this.animators;if(t)for(var n=0;n<t.length;n++)e.animation.addAnimator(t[n]);this._clipPath&&this._clipPath.addSelfToZr(e),this._textContent&&this._textContent.addSelfToZr(e),this._textGuide&&this._textGuide.addSelfToZr(e)}},e.prototype.removeSelfFromZr=function(e){if(this.__zr){this.__zr=null;var t=this.animators;if(t)for(var n=0;n<t.length;n++)e.animation.removeAnimator(t[n]);this._clipPath&&this._clipPath.removeSelfFromZr(e),this._textContent&&this._textContent.removeSelfFromZr(e),this._textGuide&&this._textGuide.removeSelfFromZr(e)}},e.prototype.animate=function(e,t,n){var r=e?this[e]:this,i=new Lo(r,t,n);return e&&(i.targetName=e),this.addAnimator(i,e),i},e.prototype.addAnimator=function(e,t){var n=this.__zr,r=this;e.during((function(){r.updateDuringAnimation(t)})).done((function(){var t=r.animators,n=ut(t,e);n>=0&&t.splice(n,1)})),this.animators.push(e),n&&n.animation.addAnimator(e),n&&n.wakeUp()},e.prototype.updateDuringAnimation=function(e){this.markRedraw()},e.prototype.stopAnimation=function(e,t){for(var n=this.animators,r=n.length,i=[],o=0;o<r;o++){var a=n[o];e&&e!==a.scope?i.push(a):a.stop(t)}return this.animators=i,this},e.prototype.animateTo=function(e,t,n){Ia(this,e,t,n)},e.prototype.animateFrom=function(e,t,n){Ia(this,e,t,n,!0)},e.prototype._transitionState=function(e,t,n,r){for(var i=Ia(this,t,n,r),o=0;o<i.length;o++)i[o].__fromStateTransition=e},e.prototype.getBoundingRect=function(){return null},e.prototype.getPaintRect=function(){return null},e.initDefaultProps=function(){var t=e.prototype;function n(e,n,r,i){function o(e,t){Object.defineProperty(t,0,{get:function(){return e[r]},set:function(t){e[r]=t}}),Object.defineProperty(t,1,{get:function(){return e[i]},set:function(t){e[i]=t}})}Object.defineProperty(t,e,{get:function(){return this[n]||o(this,this[n]=[]),this[n]},set:function(e){this[r]=e[0],this[i]=e[1],this[n]=e,o(this,e)}})}t.type="element",t.name="",t.ignore=t.silent=t.isGroup=t.draggable=t.dragging=t.ignoreClip=t.__inHover=!1,t.__dirty=Vr,Object.defineProperty&&(n("position","_legacyPos","x","y"),n("scale","_legacyScale","scaleX","scaleY"),n("origin","_legacyOrigin","originX","originY"))}(),e}();function Ia(e,t,n,r,i){var o=[];Ea(e,"",e,t,n=n||{},r,o,i);var a=o.length,s=!1,l=n.done,u=n.aborted,c=function(){s=!0,--a<=0&&(s?l&&l():u&&u())},h=function(){--a<=0&&(s?l&&l():u&&u())};a||l&&l(),o.length>0&&n.during&&o[0].during((function(e,t){n.during(t)}));for(var d=0;d<o.length;d++){var p=o[d];c&&p.done(c),h&&p.aborted(h),n.force&&p.duration(n.duration),p.start(n.easing)}return o}function Ca(e,t,n){for(var r=0;r<n;r++)e[r]=t[r]}function Da(e,t,n){if(dt(t[n]))if(dt(e[n])||(e[n]=[]),Ct(t[n])){var r=t[n].length;e[n].length!==r&&(e[n]=new t[n].constructor(r),Ca(e[n],t[n],r))}else{var i=t[n],o=e[n],a=i.length;if(dt(i[0]))for(var s=i[0].length,l=0;l<a;l++)o[l]?Ca(o[l],i[l],s):o[l]=Array.prototype.slice.call(i[l]);else Ca(o,i,a);o.length=i.length}else e[n]=t[n]}function Ea(e,t,n,r,i,o,a,s){for(var l=yt(r),u=i.duration,c=i.delay,h=i.additive,d=i.setToFinal,p=!At(o),f=e.animators,g=[],m=0;m<l.length;m++){var v=l[m],y=r[v];if(null!=y&&null!=n[v]&&(p||o[v]))if(!At(y)||dt(y)||Et(y))g.push(v);else{if(t){s||(n[v]=y,e.updateDuringAnimation(t));continue}Ea(e,v,n[v],y,i,o&&o[v],a,s)}else s||(n[v]=y,e.updateDuringAnimation(t),g.push(v))}var _=g.length;if(!h&&_)for(var x=0;x<f.length;x++)if((w=f[x]).targetName===t&&w.stopTracks(g)){var b=ut(f,w);f.splice(b,1)}if(i.force||(g=mt(g,(function(e){return!((t=r[e])===(i=n[e])||dt(t)&&dt(i)&&function(e,t){var n=e.length;if(n!==t.length)return!1;for(var r=0;r<n;r++)if(e[r]!==t[r])return!1;return!0}(t,i));var t,i})),_=g.length),_>0||i.force&&!a.length){var w,S=void 0,M=void 0,T=void 0;if(s)for(M={},d&&(S={}),x=0;x<_;x++)M[v=g[x]]=n[v],d?S[v]=r[v]:n[v]=r[v];else if(d)for(T={},x=0;x<_;x++)T[v=g[x]]=Mo(n[v]),Da(n,r,v);(w=new Lo(n,!1,!1,h?mt(f,(function(e){return e.targetName===t})):null)).targetName=t,i.scope&&(w.scope=i.scope),d&&S&&w.whenWithKeys(0,S,g),T&&w.whenWithKeys(0,T,g),w.whenWithKeys(null==u?500:u,s?M:r,g).delay(c||0),e.addAnimator(w,t),a.push(w)}}ht(Aa,Pn),ht(Aa,ha);const La=Aa;var Pa=function(e){function t(t){var n=e.call(this)||this;return n.isGroup=!0,n._children=[],n.attr(t),n}return tn(t,e),t.prototype.childrenRef=function(){return this._children},t.prototype.children=function(){return this._children.slice()},t.prototype.childAt=function(e){return this._children[e]},t.prototype.childOfName=function(e){for(var t=this._children,n=0;n<t.length;n++)if(t[n].name===e)return t[n]},t.prototype.childCount=function(){return this._children.length},t.prototype.add=function(e){return e&&e!==this&&e.parent!==this&&(this._children.push(e),this._doAdd(e)),this},t.prototype.addBefore=function(e,t){if(e&&e!==this&&e.parent!==this&&t&&t.parent===this){var n=this._children,r=n.indexOf(t);r>=0&&(n.splice(r,0,e),this._doAdd(e))}return this},t.prototype.replace=function(e,t){var n=ut(this._children,e);return n>=0&&this.replaceAt(t,n),this},t.prototype.replaceAt=function(e,t){var n=this._children,r=n[t];if(e&&e!==this&&e.parent!==this&&e!==r){n[t]=e,r.parent=null;var i=this.__zr;i&&r.removeSelfFromZr(i),this._doAdd(e)}return this},t.prototype._doAdd=function(e){e.parent&&e.parent.remove(e),e.parent=this;var t=this.__zr;t&&t!==e.__zr&&e.addSelfToZr(t),t&&t.refresh()},t.prototype.remove=function(e){var t=this.__zr,n=this._children,r=ut(n,e);return r<0||(n.splice(r,1),e.parent=null,t&&e.removeSelfFromZr(t),t&&t.refresh()),this},t.prototype.removeAll=function(){for(var e=this._children,t=this.__zr,n=0;n<e.length;n++){var r=e[n];t&&r.removeSelfFromZr(t),r.parent=null}return e.length=0,this},t.prototype.eachChild=function(e,t){for(var n=this._children,r=0;r<n.length;r++){var i=n[r];e.call(t,i,r)}return this},t.prototype.traverse=function(e,t){for(var n=0;n<this._children.length;n++){var r=this._children[n],i=e.call(t,r);r.isGroup&&!i&&r.traverse(e,t)}return this},t.prototype.addSelfToZr=function(t){e.prototype.addSelfToZr.call(this,t);for(var n=0;n<this._children.length;n++)this._children[n].addSelfToZr(t)},t.prototype.removeSelfFromZr=function(t){e.prototype.removeSelfFromZr.call(this,t);for(var n=0;n<this._children.length;n++)this._children[n].removeSelfFromZr(t)},t.prototype.getBoundingRect=function(e){for(var t=new wr(0,0,0,0),n=e||this._children,r=[],i=null,o=0;o<n.length;o++){var a=n[o];if(!a.ignore&&!a.invisible){var s=a.getBoundingRect(),l=a.getLocalTransform(r);l?(wr.applyTransform(t,s,l),(i=i||t.clone()).union(t)):(i=i||s.clone()).union(s)}}return i||t},t}(La);Pa.prototype.type="group";const Oa=Pa;var Na,Ra={},ka={},Ba=function(){function e(e,t,n){var r=this;this._sleepAfterStill=10,this._stillFrameAccum=0,this._needsRefresh=!0,this._needsRefreshHover=!0,this._darkMode=!1,n=n||{},this.dom=t,this.id=e;var i=new Xr,o=n.renderer||"canvas";Ra[o]||(o=yt(Ra)[0]),n.useDirtyRect=null!=n.useDirtyRect&&n.useDirtyRect;var a=new Ra[o](t,i,n,e),s=n.ssr||a.ssrOnly;this.storage=i,this.painter=a;var l,u=Ne.node||Ne.worker||s?null:new Ko(a.getViewportRoot(),a.root),c=n.useCoarsePointer;(null==c||"auto"===c?Ne.touchEventsSupported:!!c)&&(l=Rt(n.pointerSize,44)),this.handler=new Or(i,a,u,a.root,l),this.animation=new No({stage:{update:s?null:function(){return r._flush(!0)}}}),s||this.animation.start()}return e.prototype.add=function(e){!this._disposed&&e&&(this.storage.addRoot(e),e.addSelfToZr(this),this.refresh())},e.prototype.remove=function(e){!this._disposed&&e&&(this.storage.delRoot(e),e.removeSelfFromZr(this),this.refresh())},e.prototype.configLayer=function(e,t){this._disposed||(this.painter.configLayer&&this.painter.configLayer(e,t),this.refresh())},e.prototype.setBackgroundColor=function(e){this._disposed||(this.painter.setBackgroundColor&&this.painter.setBackgroundColor(e),this.refresh(),this._backgroundColor=e,this._darkMode=function(e){if(!e)return!1;if("string"==typeof e)return $i(e,1)<.4;if(e.colorStops){for(var t=e.colorStops,n=0,r=t.length,i=0;i<r;i++)n+=$i(t[i].color,1);return(n/=r)<.4}return!1}(e))},e.prototype.getBackgroundColor=function(){return this._backgroundColor},e.prototype.setDarkMode=function(e){this._darkMode=e},e.prototype.isDarkMode=function(){return this._darkMode},e.prototype.refreshImmediately=function(e){this._disposed||(e||this.animation.update(!0),this._needsRefresh=!1,this.painter.refresh(),this._needsRefresh=!1)},e.prototype.refresh=function(){this._disposed||(this._needsRefresh=!0,this.animation.start())},e.prototype.flush=function(){this._disposed||this._flush(!1)},e.prototype._flush=function(e){var t,n=Po();this._needsRefresh&&(t=!0,this.refreshImmediately(e)),this._needsRefreshHover&&(t=!0,this.refreshHoverImmediately());var r=Po();t?(this._stillFrameAccum=0,this.trigger("rendered",{elapsedTime:r-n})):this._sleepAfterStill>0&&(this._stillFrameAccum++,this._stillFrameAccum>this._sleepAfterStill&&this.animation.stop())},e.prototype.setSleepAfterStill=function(e){this._sleepAfterStill=e},e.prototype.wakeUp=function(){this._disposed||(this.animation.start(),this._stillFrameAccum=0)},e.prototype.refreshHover=function(){this._needsRefreshHover=!0},e.prototype.refreshHoverImmediately=function(){this._disposed||(this._needsRefreshHover=!1,this.painter.refreshHover&&"canvas"===this.painter.getType()&&this.painter.refreshHover())},e.prototype.resize=function(e){this._disposed||(e=e||{},this.painter.resize(e.width,e.height),this.handler.resize())},e.prototype.clearAnimation=function(){this._disposed||this.animation.clear()},e.prototype.getWidth=function(){if(!this._disposed)return this.painter.getWidth()},e.prototype.getHeight=function(){if(!this._disposed)return this.painter.getHeight()},e.prototype.setCursorStyle=function(e){this._disposed||this.handler.setCursorStyle(e)},e.prototype.findHover=function(e,t){if(!this._disposed)return this.handler.findHover(e,t)},e.prototype.on=function(e,t,n){return this._disposed||this.handler.on(e,t,n),this},e.prototype.off=function(e,t){this._disposed||this.handler.off(e,t)},e.prototype.trigger=function(e,t){this._disposed||this.handler.trigger(e,t)},e.prototype.clear=function(){if(!this._disposed){for(var e=this.storage.getRoots(),t=0;t<e.length;t++)e[t]instanceof Oa&&e[t].removeSelfFromZr(this);this.storage.delAllRoots(),this.painter.clear()}},e.prototype.dispose=function(){var e;this._disposed||(this.animation.stop(),this.clear(),this.storage.dispose(),this.painter.dispose(),this.handler.dispose(),this.animation=this.storage=this.painter=this.handler=null,this._disposed=!0,e=this.id,delete ka[e])},e}();function Fa(e,t){var n=new Ba(tt(),e,t);return ka[n.id]=n,n}function za(e){e.dispose()}function Va(){for(var e in ka)ka.hasOwnProperty(e)&&ka[e].dispose();ka={}}function Ga(e){return ka[e]}function Ha(e,t){Ra[e]=t}function Ua(e){if("function"==typeof Na)return Na(e)}function Wa(e){Na=e}var ja="5.5.0",Xa=1e-4,Ya=20;function Za(e,t,n,r){var i=t[0],o=t[1],a=n[0],s=n[1],l=o-i,u=s-a;if(0===l)return 0===u?a:(a+s)/2;if(r)if(l>0){if(e<=i)return a;if(e>=o)return s}else{if(e>=i)return a;if(e<=o)return s}else{if(e===i)return a;if(e===o)return s}return(e-i)/l*u+a}function qa(e,t){switch(e){case"center":case"middle":e="50%";break;case"left":case"top":e="0%";break;case"right":case"bottom":e="100%"}return St(e)?(n=e,n.replace(/^\s+|\s+$/g,"")).match(/%$/)?parseFloat(e)/100*t:parseFloat(e):null==e?NaN:+e;var n}function $a(e,t,n){return null==t&&(t=10),t=Math.min(Math.max(0,t),Ya),e=(+e).toFixed(t),n?e:+e}function Ka(e){return e.sort((function(e,t){return e-t})),e}function Ja(e){if(e=+e,isNaN(e))return 0;if(e>1e-14)for(var t=1,n=0;n<15;n++,t*=10)if(Math.round(e*t)/t===e)return n;return Qa(e)}function Qa(e){var t=e.toString().toLowerCase(),n=t.indexOf("e"),r=n>0?+t.slice(n+1):0,i=n>0?n:t.length,o=t.indexOf("."),a=o<0?0:i-1-o;return Math.max(0,a-r)}function es(e,t){var n=Math.log,r=Math.LN10,i=Math.floor(n(e[1]-e[0])/r),o=Math.round(n(Math.abs(t[1]-t[0]))/r),a=Math.min(Math.max(-i+o,0),20);return isFinite(a)?a:20}function ts(e,t,n){return e[t]&&ns(e,n)[t]||0}function ns(e,t){var n=gt(e,(function(e,t){return e+(isNaN(t)?0:t)}),0);if(0===n)return[];for(var r=Math.pow(10,t),i=ft(e,(function(e){return(isNaN(e)?0:e)/n*r*100})),o=100*r,a=ft(i,(function(e){return Math.floor(e)})),s=gt(a,(function(e,t){return e+t}),0),l=ft(i,(function(e,t){return e-a[t]}));s<o;){for(var u=Number.NEGATIVE_INFINITY,c=null,h=0,d=l.length;h<d;++h)l[h]>u&&(u=l[h],c=h);++a[c],l[c]=0,++s}return ft(a,(function(e){return e/r}))}function rs(e,t){var n=Math.max(Ja(e),Ja(t)),r=e+t;return n>Ya?r:$a(r,n)}var is=9007199254740991;function os(e){var t=2*Math.PI;return(e%t+t)%t}function as(e){return e>-Xa&&e<Xa}var ss=/^(?:(\d{4})(?:[-\/](\d{1,2})(?:[-\/](\d{1,2})(?:[T ](\d{1,2})(?::(\d{1,2})(?::(\d{1,2})(?:[.,](\d+))?)?)?(Z|[\+\-]\d\d:?\d\d)?)?)?)?)?$/;function ls(e){if(e instanceof Date)return e;if(St(e)){var t=ss.exec(e);if(!t)return new Date(NaN);if(t[8]){var n=+t[4]||0;return"Z"!==t[8].toUpperCase()&&(n-=+t[8].slice(0,3)),new Date(Date.UTC(+t[1],+(t[2]||1)-1,+t[3]||1,n,+(t[5]||0),+t[6]||0,t[7]?+t[7].substring(0,3):0))}return new Date(+t[1],+(t[2]||1)-1,+t[3]||1,+t[4]||0,+(t[5]||0),+t[6]||0,t[7]?+t[7].substring(0,3):0)}return null==e?new Date(NaN):new Date(Math.round(e))}function us(e){return Math.pow(10,cs(e))}function cs(e){if(0===e)return 0;var t=Math.floor(Math.log(e)/Math.LN10);return e/Math.pow(10,t)>=10&&t++,t}function hs(e,t){var n=cs(e),r=Math.pow(10,n),i=e/r;return e=(t?i<1.5?1:i<2.5?2:i<4?3:i<7?5:10:i<1?1:i<2?2:i<3?3:i<5?5:10)*r,n>=-20?+e.toFixed(n<0?-n:0):e}function ds(e,t){var n=(e.length-1)*t+1,r=Math.floor(n),i=+e[r-1],o=n-r;return o?i+o*(e[r]-i):i}function ps(e){e.sort((function(e,t){return s(e,t,0)?-1:1}));for(var t=-1/0,n=1,r=0;r<e.length;){for(var i=e[r].interval,o=e[r].close,a=0;a<2;a++)i[a]<=t&&(i[a]=t,o[a]=a?1:1-n),t=i[a],n=o[a];i[0]===i[1]&&o[0]*o[1]!=1?e.splice(r,1):r++}return e;function s(e,t,n){return e.interval[n]<t.interval[n]||e.interval[n]===t.interval[n]&&(e.close[n]-t.close[n]==(n?-1:1)||!n&&s(e,t,1))}}function fs(e){var t=parseFloat(e);return t==e&&(0!==t||!St(e)||e.indexOf("x")<=0)?t:NaN}function gs(e){return!isNaN(fs(e))}function ms(){return Math.round(9*Math.random())}function vs(e,t){return 0===t?e:vs(t,e%t)}function ys(e,t){return null==e?t:null==t?e:e*t/vs(e,t)}function _s(e,t,n){return(t-e)*n+e}var xs="series\0",bs="\0_ec_\0";function ws(e){return e instanceof Array?e:null==e?[]:[e]}function Ss(e,t,n){if(e){e[t]=e[t]||{},e.emphasis=e.emphasis||{},e.emphasis[t]=e.emphasis[t]||{};for(var r=0,i=n.length;r<i;r++){var o=n[r];!e.emphasis[t].hasOwnProperty(o)&&e[t].hasOwnProperty(o)&&(e.emphasis[t][o]=e[t][o])}}}var Ms=["fontStyle","fontWeight","fontSize","fontFamily","rich","tag","color","textBorderColor","textBorderWidth","width","height","lineHeight","align","verticalAlign","baseline","shadowColor","shadowBlur","shadowOffsetX","shadowOffsetY","textShadowColor","textShadowBlur","textShadowOffsetX","textShadowOffsetY","backgroundColor","borderColor","borderWidth","borderRadius","padding"];function Ts(e){return!At(e)||bt(e)||e instanceof Date?e:e.value}function As(e){return At(e)&&!(e instanceof Array)}function Is(e,t,n){var r="normalMerge"===n,i="replaceMerge"===n,o="replaceAll"===n;e=e||[],t=(t||[]).slice();var a=Yt();pt(t,(function(e,n){At(e)||(t[n]=null)}));var s,l,u=function(e,t,n){var r=[];if("replaceAll"===n)return r;for(var i=0;i<e.length;i++){var o=e[i];o&&null!=o.id&&t.set(o.id,i),r.push({existing:"replaceMerge"===n||Ps(o)?null:o,newOption:null,keyInfo:null,brandNew:null})}return r}(e,a,n);return(r||i)&&function(e,t,n,r){pt(r,(function(i,o){if(i&&null!=i.id){var a=Ds(i.id),s=n.get(a);if(null!=s){var l=e[s];zt(!l.newOption,'Duplicated option on id "'+a+'".'),l.newOption=i,l.existing=t[s],r[o]=null}}}))}(u,e,a,t),r&&function(e,t){pt(t,(function(n,r){if(n&&null!=n.name)for(var i=0;i<e.length;i++){var o=e[i].existing;if(!e[i].newOption&&o&&(null==o.id||null==n.id)&&!Ps(n)&&!Ps(o)&&Cs("name",o,n))return e[i].newOption=n,void(t[r]=null)}}))}(u,t),r||i?function(e,t,n){pt(t,(function(t){if(t){for(var r,i=0;(r=e[i])&&(r.newOption||Ps(r.existing)||r.existing&&null!=t.id&&!Cs("id",t,r.existing));)i++;r?(r.newOption=t,r.brandNew=n):e.push({newOption:t,brandNew:n,existing:null,keyInfo:null}),i++}}))}(u,t,i):o&&function(e,t){pt(t,(function(t){e.push({newOption:t,brandNew:!0,existing:null,keyInfo:null})}))}(u,t),s=u,l=Yt(),pt(s,(function(e){var t=e.existing;t&&l.set(t.id,e)})),pt(s,(function(e){var t=e.newOption;zt(!t||null==t.id||!l.get(t.id)||l.get(t.id)===e,"id duplicates: "+(t&&t.id)),t&&null!=t.id&&l.set(t.id,e),!e.keyInfo&&(e.keyInfo={})})),pt(s,(function(e,t){var n=e.existing,r=e.newOption,i=e.keyInfo;if(At(r)){if(i.name=null!=r.name?Ds(r.name):n?n.name:xs+t,n)i.id=Ds(n.id);else if(null!=r.id)i.id=Ds(r.id);else{var o=0;do{i.id="\0"+i.name+"\0"+o++}while(l.get(i.id))}l.set(i.id,e)}})),u}function Cs(e,t,n){var r=Es(t[e],null),i=Es(n[e],null);return null!=r&&null!=i&&r===i}function Ds(e){return Es(e,"")}function Es(e,t){return null==e?t:St(e)?e:Tt(e)||Mt(e)?e+"":t}function Ls(e){var t=e.name;return!(!t||!t.indexOf(xs))}function Ps(e){return e&&null!=e.id&&0===Ds(e.id).indexOf(bs)}function Os(e,t){return null!=t.dataIndexInside?t.dataIndexInside:null!=t.dataIndex?bt(t.dataIndex)?ft(t.dataIndex,(function(t){return e.indexOfRawIndex(t)})):e.indexOfRawIndex(t.dataIndex):null!=t.name?bt(t.name)?ft(t.name,(function(t){return e.indexOfName(t)})):e.indexOfName(t.name):void 0}function Ns(){var e="__ec_inner_"+Rs++;return function(t){return t[e]||(t[e]={})}}var Rs=ms();function ks(e,t,n){var r=Bs(t,n),i=r.mainTypeSpecified,o=r.queryOptionMap,a=r.others,s=n?n.defaultMainType:null;return!i&&s&&o.set(s,{}),o.each((function(t,r){var i=Vs(e,r,t,{useDefault:s===r,enableAll:!n||null==n.enableAll||n.enableAll,enableNone:!n||null==n.enableNone||n.enableNone});a[r+"Models"]=i.models,a[r+"Model"]=i.models[0]})),a}function Bs(e,t){var n;if(St(e)){var r={};r[e+"Index"]=0,n=r}else n=e;var i=Yt(),o={},a=!1;return pt(n,(function(e,n){if("dataIndex"!==n&&"dataIndexInside"!==n){var r=n.match(/^(\w+)(Index|Id|Name)$/)||[],s=r[1],l=(r[2]||"").toLowerCase();!s||!l||t&&t.includeMainTypes&&ut(t.includeMainTypes,s)<0||(a=a||!!s,(i.get(s)||i.set(s,{}))[l]=e)}else o[n]=e})),{mainTypeSpecified:a,queryOptionMap:i,others:o}}var Fs={useDefault:!0,enableAll:!1,enableNone:!1},zs={useDefault:!1,enableAll:!0,enableNone:!0};function Vs(e,t,n,r){r=r||Fs;var i=n.index,o=n.id,a=n.name,s={models:null,specified:null!=i||null!=o||null!=a};if(!s.specified){var l=void 0;return s.models=r.useDefault&&(l=e.getComponent(t))?[l]:[],s}return"none"===i||!1===i?(zt(r.enableNone,'`"none"` or `false` is not a valid value on index option.'),s.models=[],s):("all"===i&&(zt(r.enableAll,'`"all"` is not a valid value on index option.'),i=o=a=null),s.models=e.queryComponents({mainType:t,index:i,id:o,name:a}),s)}function Gs(e,t,n){e.setAttribute?e.setAttribute(t,n):e[t]=n}function Hs(e,t){var n=Yt(),r=[];return pt(e,(function(e){var i=t(e);(n.get(i)||(r.push(i),n.set(i,[]))).push(e)})),{keys:r,buckets:n}}function Us(e,t,n,r,i){var o=null==t||"auto"===t;if(null==r)return r;if(Tt(r))return $a(f=_s(n||0,r,i),o?Math.max(Ja(n||0),Ja(r)):t);if(St(r))return i<1?n:r;for(var a=[],s=n,l=r,u=Math.max(s?s.length:0,l.length),c=0;c<u;++c){var h=e.getDimensionInfo(c);if(h&&"ordinal"===h.type)a[c]=(i<1&&s?s:l)[c];else{var d=s&&s[c]?s[c]:0,p=l[c],f=_s(d,p,i);a[c]=$a(f,o?Math.max(Ja(d),Ja(p)):t)}}return a}var Ws=".",js="___EC__COMPONENT__CONTAINER___",Xs="___EC__EXTENDED_CLASS___";function Ys(e){var t={main:"",sub:""};if(e){var n=e.split(Ws);t.main=n[0]||"",t.sub=n[1]||""}return t}function Zs(e,t){e.$constructor=e,e.extend=function(e){var t,n,r=this;return wt(n=r)&&/^class\s/.test(Function.prototype.toString.call(n))?t=function(e){function t(){return e.apply(this,arguments)||this}return Le(t,e),t}(r):(t=function(){(e.$constructor||r).apply(this,arguments)},ct(t,this)),at(t.prototype,e),t[Xs]=!0,t.extend=this.extend,t.superCall=Ks,t.superApply=Js,t.superClass=r,t}}function qs(e,t){e.extend=t.extend}var $s=Math.round(10*Math.random());function Ks(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];return this.superClass.prototype[t].apply(e,n)}function Js(e,t,n){return this.superClass.prototype[t].apply(e,n)}function Qs(e){var t={};e.registerClass=function(e){var n,r=e.type||e.prototype.type;if(r){zt(/^[a-zA-Z0-9_]+([.][a-zA-Z0-9_]+)?$/.test(n=r),'componentType "'+n+'" illegal'),e.prototype.type=r;var i=Ys(r);if(i.sub){if(i.sub!==js){var o=function(e){var n=t[e.main];return n&&n[js]||((n=t[e.main]={})[js]=!0),n}(i);o[i.sub]=e}}else t[i.main]=e}return e},e.getClass=function(e,n,r){var i=t[e];if(i&&i[js]&&(i=n?i[n]:null),r&&!i)throw new Error(n?"Component "+e+"."+(n||"")+" is used but not imported.":e+".type should be specified.");return i},e.getClassesByMainType=function(e){var n=Ys(e),r=[],i=t[n.main];return i&&i[js]?pt(i,(function(e,t){t!==js&&r.push(e)})):r.push(i),r},e.hasClass=function(e){var n=Ys(e);return!!t[n.main]},e.getAllClassMainTypes=function(){var e=[];return pt(t,(function(t,n){e.push(n)})),e},e.hasSubTypes=function(e){var n=Ys(e),r=t[n.main];return r&&r[js]}}function el(e,t){for(var n=0;n<e.length;n++)e[n][1]||(e[n][1]=e[n][0]);return t=t||!1,function(n,r,i){for(var o={},a=0;a<e.length;a++){var s=e[a][1];if(!(r&&ut(r,s)>=0||i&&ut(i,s)<0)){var l=n.getShallow(s,t);null!=l&&(o[e[a][0]]=l)}}return o}}var tl=el([["fill","color"],["shadowBlur"],["shadowOffsetX"],["shadowOffsetY"],["opacity"],["shadowColor"]]),nl=function(){function e(){}return e.prototype.getAreaStyle=function(e,t){return tl(this,e,t)},e}(),rl=new Ai(50);function il(e){if("string"==typeof e){var t=rl.get(e);return t&&t.image}return e}function ol(e,t,n,r,i){if(e){if("string"==typeof e){if(t&&t.__zrImageSrc===e||!n)return t;var o=rl.get(e),a={hostEl:n,cb:r,cbPayload:i};return o?!sl(t=o.image)&&o.pending.push(a):((t=Ge.loadImage(e,al,al)).__zrImageSrc=e,rl.put(e,t.__cachedImgObj={image:t,pending:[a]})),t}return e}return t}function al(){var e=this.__cachedImgObj;this.onload=this.onerror=this.__cachedImgObj=null;for(var t=0;t<e.pending.length;t++){var n=e.pending[t],r=n.cb;r&&r(this,n.cbPayload),n.hostEl.dirty()}e.pending.length=0}function sl(e){return e&&e.width&&e.height}var ll=/\{([a-zA-Z0-9_]+)\|([^}]*)\}/g;function ul(e,t,n,r,i){if(!t)return"";var o=(e+"").split("\n");i=cl(t,n,r,i);for(var a=0,s=o.length;a<s;a++)o[a]=hl(o[a],i);return o.join("\n")}function cl(e,t,n,r){var i=at({},r=r||{});i.font=t,n=Rt(n,"..."),i.maxIterations=Rt(r.maxIterations,2);var o=i.minChar=Rt(r.minChar,0);i.cnCharWidth=pa("国",t);var a=i.ascCharWidth=pa("a",t);i.placeholder=Rt(r.placeholder,"");for(var s=e=Math.max(0,e-1),l=0;l<o&&s>=a;l++)s-=a;var u=pa(n,t);return u>s&&(n="",u=0),s=e-u,i.ellipsis=n,i.ellipsisWidth=u,i.contentWidth=s,i.containerWidth=e,i}function hl(e,t){var n=t.containerWidth,r=t.font,i=t.contentWidth;if(!n)return"";var o=pa(e,r);if(o<=n)return e;for(var a=0;;a++){if(o<=i||a>=t.maxIterations){e+=t.ellipsis;break}var s=0===a?dl(e,i,t.ascCharWidth,t.cnCharWidth):o>0?Math.floor(e.length*i/o):0;o=pa(e=e.substr(0,s),r)}return""===e&&(e=t.placeholder),e}function dl(e,t,n,r){for(var i=0,o=0,a=e.length;o<a&&i<t;o++){var s=e.charCodeAt(o);i+=0<=s&&s<=127?n:r}return o}var pl=function(){},fl=function(e){this.tokens=[],e&&(this.tokens=e)},gl=function(){this.width=0,this.height=0,this.contentWidth=0,this.contentHeight=0,this.outerWidth=0,this.outerHeight=0,this.lines=[]};function ml(e,t,n,r,i){var o,a,s=""===t,l=i&&n.rich[i]||{},u=e.lines,c=l.font||n.font,h=!1;if(r){var d=l.padding,p=d?d[1]+d[3]:0;if(null!=l.width&&"auto"!==l.width){var f=_a(l.width,r.width)+p;u.length>0&&f+r.accumWidth>r.width&&(o=t.split("\n"),h=!0),r.accumWidth=f}else{var g=_l(t,c,r.width,r.breakAll,r.accumWidth);r.accumWidth=g.accumWidth+p,a=g.linesWidths,o=g.lines}}else o=t.split("\n");for(var m=0;m<o.length;m++){var v=o[m],y=new pl;if(y.styleName=i,y.text=v,y.isLineHolder=!v&&!s,"number"==typeof l.width?y.width=l.width:y.width=a?a[m]:pa(v,c),m||h)u.push(new fl([y]));else{var _=(u[u.length-1]||(u[0]=new fl)).tokens,x=_.length;1===x&&_[0].isLineHolder?_[0]=y:(v||!x||s)&&_.push(y)}}}var vl=gt(",&?/;] ".split(""),(function(e,t){return e[t]=!0,e}),{});function yl(e){return!function(e){var t=e.charCodeAt(0);return t>=32&&t<=591||t>=880&&t<=4351||t>=4608&&t<=5119||t>=7680&&t<=8303}(e)||!!vl[e]}function _l(e,t,n,r,i){for(var o=[],a=[],s="",l="",u=0,c=0,h=0;h<e.length;h++){var d=e.charAt(h);if("\n"!==d){var p=pa(d,t),f=!r&&!yl(d);(o.length?c+p>n:i+c+p>n)?c?(s||l)&&(f?(s||(s=l,l="",c=u=0),o.push(s),a.push(c-u),l+=d,s="",c=u+=p):(l&&(s+=l,l="",u=0),o.push(s),a.push(c),s=d,c=p)):f?(o.push(l),a.push(u),l=d,u=p):(o.push(d),a.push(p)):(c+=p,f?(l+=d,u+=p):(l&&(s+=l,l="",u=0),s+=d))}else l&&(s+=l,c+=u),o.push(s),a.push(c),s="",l="",u=0,c=0}return o.length||s||(s=e,l="",u=0),l&&(s+=l),s&&(o.push(s),a.push(c)),1===o.length&&(c+=i),{accumWidth:c,lines:o,linesWidths:a}}var xl="__zr_style_"+Math.round(10*Math.random()),bl={shadowBlur:0,shadowOffsetX:0,shadowOffsetY:0,shadowColor:"#000",opacity:1,blend:"source-over"},wl={style:{shadowBlur:!0,shadowOffsetX:!0,shadowOffsetY:!0,shadowColor:!0,opacity:!0}};bl[xl]=!0;var Sl=["z","z2","invisible"],Ml=["invisible"],Tl=function(e){function t(t){return e.call(this,t)||this}var n;return tn(t,e),t.prototype._init=function(t){for(var n=yt(t),r=0;r<n.length;r++){var i=n[r];"style"===i?this.useStyle(t[i]):e.prototype.attrKV.call(this,i,t[i])}this.style||this.useStyle({})},t.prototype.beforeBrush=function(){},t.prototype.afterBrush=function(){},t.prototype.innerBeforeBrush=function(){},t.prototype.innerAfterBrush=function(){},t.prototype.shouldBePainted=function(e,t,n,r){var i,o,a,s=this.transform;if(this.ignore||this.invisible||0===this.style.opacity||this.culling&&(i=this,o=e,a=t,Al.copy(i.getBoundingRect()),i.transform&&Al.applyTransform(i.transform),Il.width=o,Il.height=a,!Al.intersect(Il))||s&&!s[0]&&!s[3])return!1;if(n&&this.__clipPaths)for(var l=0;l<this.__clipPaths.length;++l)if(this.__clipPaths[l].isZeroArea())return!1;if(r&&this.parent)for(var u=this.parent;u;){if(u.ignore)return!1;u=u.parent}return!0},t.prototype.contain=function(e,t){return this.rectContain(e,t)},t.prototype.traverse=function(e,t){e.call(t,this)},t.prototype.rectContain=function(e,t){var n=this.transformCoordToLocal(e,t);return this.getBoundingRect().contain(n[0],n[1])},t.prototype.getPaintRect=function(){var e=this._paintRect;if(!this._paintRect||this.__dirty){var t=this.transform,n=this.getBoundingRect(),r=this.style,i=r.shadowBlur||0,o=r.shadowOffsetX||0,a=r.shadowOffsetY||0;e=this._paintRect||(this._paintRect=new wr(0,0,0,0)),t?wr.applyTransform(e,n,t):e.copy(n),(i||o||a)&&(e.width+=2*i+Math.abs(o),e.height+=2*i+Math.abs(a),e.x=Math.min(e.x,e.x+o-i),e.y=Math.min(e.y,e.y+a-i));var s=this.dirtyRectTolerance;e.isZero()||(e.x=Math.floor(e.x-s),e.y=Math.floor(e.y-s),e.width=Math.ceil(e.width+1+2*s),e.height=Math.ceil(e.height+1+2*s))}return e},t.prototype.setPrevPaintRect=function(e){e?(this._prevPaintRect=this._prevPaintRect||new wr(0,0,0,0),this._prevPaintRect.copy(e)):this._prevPaintRect=null},t.prototype.getPrevPaintRect=function(){return this._prevPaintRect},t.prototype.animateStyle=function(e){return this.animate("style",e)},t.prototype.updateDuringAnimation=function(e){"style"===e?this.dirtyStyle():this.markRedraw()},t.prototype.attrKV=function(t,n){"style"!==t?e.prototype.attrKV.call(this,t,n):this.style?this.setStyle(n):this.useStyle(n)},t.prototype.setStyle=function(e,t){return"string"==typeof e?this.style[e]=t:at(this.style,e),this.dirtyStyle(),this},t.prototype.dirtyStyle=function(e){e||this.markRedraw(),this.__dirty|=2,this._rect&&(this._rect=null)},t.prototype.dirty=function(){this.dirtyStyle()},t.prototype.styleChanged=function(){return!!(2&this.__dirty)},t.prototype.styleUpdated=function(){this.__dirty&=-3},t.prototype.createStyle=function(e){return qt(bl,e)},t.prototype.useStyle=function(e){e[xl]||(e=this.createStyle(e)),this.__inHover?this.__hoverStyle=e:this.style=e,this.dirtyStyle()},t.prototype.isStyleObject=function(e){return e[xl]},t.prototype._innerSaveToNormal=function(t){e.prototype._innerSaveToNormal.call(this,t);var n=this._normalState;t.style&&!n.style&&(n.style=this._mergeStyle(this.createStyle(),this.style)),this._savePrimaryToNormal(t,n,Sl)},t.prototype._applyStateObj=function(t,n,r,i,o,a){e.prototype._applyStateObj.call(this,t,n,r,i,o,a);var s,l=!(n&&i);if(n&&n.style?o?i?s=n.style:(s=this._mergeStyle(this.createStyle(),r.style),this._mergeStyle(s,n.style)):(s=this._mergeStyle(this.createStyle(),i?this.style:r.style),this._mergeStyle(s,n.style)):l&&(s=r.style),s)if(o){var u=this.style;if(this.style=this.createStyle(l?{}:u),l)for(var c=yt(u),h=0;h<c.length;h++)(p=c[h])in s&&(s[p]=s[p],this.style[p]=u[p]);var d=yt(s);for(h=0;h<d.length;h++){var p=d[h];this.style[p]=this.style[p]}this._transitionState(t,{style:s},a,this.getAnimationStyleProps())}else this.useStyle(s);var f=this.__inHover?Ml:Sl;for(h=0;h<f.length;h++)p=f[h],n&&null!=n[p]?this[p]=n[p]:l&&null!=r[p]&&(this[p]=r[p])},t.prototype._mergeStates=function(t){for(var n,r=e.prototype._mergeStates.call(this,t),i=0;i<t.length;i++){var o=t[i];o.style&&(n=n||{},this._mergeStyle(n,o.style))}return n&&(r.style=n),r},t.prototype._mergeStyle=function(e,t){return at(e,t),e},t.prototype.getAnimationStyleProps=function(){return wl},t.initDefaultProps=((n=t.prototype).type="displayable",n.invisible=!1,n.z=0,n.z2=0,n.zlevel=0,n.culling=!1,n.cursor="pointer",n.rectHover=!1,n.incremental=!1,n._rect=null,n.dirtyRectTolerance=0,void(n.__dirty=2|Vr)),t}(La),Al=new wr(0,0,0,0),Il=new wr(0,0,0,0);const Cl=Tl;var Dl=Math.min,El=Math.max,Ll=Math.sin,Pl=Math.cos,Ol=2*Math.PI,Nl=nn(),Rl=nn(),kl=nn();function Bl(e,t,n){if(0!==e.length){for(var r=e[0],i=r[0],o=r[0],a=r[1],s=r[1],l=1;l<e.length;l++)r=e[l],i=Dl(i,r[0]),o=El(o,r[0]),a=Dl(a,r[1]),s=El(s,r[1]);t[0]=i,t[1]=a,n[0]=o,n[1]=s}}function Fl(e,t,n,r,i,o){i[0]=Dl(e,n),i[1]=Dl(t,r),o[0]=El(e,n),o[1]=El(t,r)}var zl=[],Vl=[];function Gl(e,t,n,r,i,o,a,s,l,u){var c=ci,h=si,d=c(e,n,i,a,zl);l[0]=1/0,l[1]=1/0,u[0]=-1/0,u[1]=-1/0;for(var p=0;p<d;p++){var f=h(e,n,i,a,zl[p]);l[0]=Dl(f,l[0]),u[0]=El(f,u[0])}for(d=c(t,r,o,s,Vl),p=0;p<d;p++){var g=h(t,r,o,s,Vl[p]);l[1]=Dl(g,l[1]),u[1]=El(g,u[1])}l[0]=Dl(e,l[0]),u[0]=El(e,u[0]),l[0]=Dl(a,l[0]),u[0]=El(a,u[0]),l[1]=Dl(t,l[1]),u[1]=El(t,u[1]),l[1]=Dl(s,l[1]),u[1]=El(s,u[1])}function Hl(e,t,n,r,i,o,a,s){var l=mi,u=fi,c=El(Dl(l(e,n,i),1),0),h=El(Dl(l(t,r,o),1),0),d=u(e,n,i,c),p=u(t,r,o,h);a[0]=Dl(e,i,d),a[1]=Dl(t,o,p),s[0]=El(e,i,d),s[1]=El(t,o,p)}function Ul(e,t,n,r,i,o,a,s,l){var u=An,c=In,h=Math.abs(i-o);if(h%Ol<1e-4&&h>1e-4)return s[0]=e-n,s[1]=t-r,l[0]=e+n,void(l[1]=t+r);if(Nl[0]=Pl(i)*n+e,Nl[1]=Ll(i)*r+t,Rl[0]=Pl(o)*n+e,Rl[1]=Ll(o)*r+t,u(s,Nl,Rl),c(l,Nl,Rl),(i%=Ol)<0&&(i+=Ol),(o%=Ol)<0&&(o+=Ol),i>o&&!a?o+=Ol:i<o&&a&&(i+=Ol),a){var d=o;o=i,i=d}for(var p=0;p<o;p+=Math.PI/2)p>i&&(kl[0]=Pl(p)*n+e,kl[1]=Ll(p)*r+t,u(s,kl,s),c(l,kl,l))}var Wl={M:1,L:2,C:3,Q:4,A:5,Z:6,R:7},jl=[],Xl=[],Yl=[],Zl=[],ql=[],$l=[],Kl=Math.min,Jl=Math.max,Ql=Math.cos,eu=Math.sin,tu=Math.abs,nu=Math.PI,ru=2*nu,iu="undefined"!=typeof Float32Array,ou=[];function au(e){return Math.round(e/nu*1e8)/1e8%2*nu}function su(e,t){var n=au(e[0]);n<0&&(n+=ru);var r=n-e[0],i=e[1];i+=r,!t&&i-n>=ru?i=n+ru:t&&n-i>=ru?i=n-ru:!t&&n>i?i=n+(ru-au(n-i)):t&&n<i&&(i=n-(ru-au(i-n))),e[0]=n,e[1]=i}var lu=function(){function e(e){this.dpr=1,this._xi=0,this._yi=0,this._x0=0,this._y0=0,this._len=0,e&&(this._saveData=!1),this._saveData&&(this.data=[])}return e.prototype.increaseVersion=function(){this._version++},e.prototype.getVersion=function(){return this._version},e.prototype.setScale=function(e,t,n){(n=n||0)>0&&(this._ux=tu(n/Qo/e)||0,this._uy=tu(n/Qo/t)||0)},e.prototype.setDPR=function(e){this.dpr=e},e.prototype.setContext=function(e){this._ctx=e},e.prototype.getContext=function(){return this._ctx},e.prototype.beginPath=function(){return this._ctx&&this._ctx.beginPath(),this.reset(),this},e.prototype.reset=function(){this._saveData&&(this._len=0),this._pathSegLen&&(this._pathSegLen=null,this._pathLen=0),this._version++},e.prototype.moveTo=function(e,t){return this._drawPendingPt(),this.addData(Wl.M,e,t),this._ctx&&this._ctx.moveTo(e,t),this._x0=e,this._y0=t,this._xi=e,this._yi=t,this},e.prototype.lineTo=function(e,t){var n=tu(e-this._xi),r=tu(t-this._yi),i=n>this._ux||r>this._uy;if(this.addData(Wl.L,e,t),this._ctx&&i&&this._ctx.lineTo(e,t),i)this._xi=e,this._yi=t,this._pendingPtDist=0;else{var o=n*n+r*r;o>this._pendingPtDist&&(this._pendingPtX=e,this._pendingPtY=t,this._pendingPtDist=o)}return this},e.prototype.bezierCurveTo=function(e,t,n,r,i,o){return this._drawPendingPt(),this.addData(Wl.C,e,t,n,r,i,o),this._ctx&&this._ctx.bezierCurveTo(e,t,n,r,i,o),this._xi=i,this._yi=o,this},e.prototype.quadraticCurveTo=function(e,t,n,r){return this._drawPendingPt(),this.addData(Wl.Q,e,t,n,r),this._ctx&&this._ctx.quadraticCurveTo(e,t,n,r),this._xi=n,this._yi=r,this},e.prototype.arc=function(e,t,n,r,i,o){this._drawPendingPt(),ou[0]=r,ou[1]=i,su(ou,o),r=ou[0];var a=(i=ou[1])-r;return this.addData(Wl.A,e,t,n,n,r,a,0,o?0:1),this._ctx&&this._ctx.arc(e,t,n,r,i,o),this._xi=Ql(i)*n+e,this._yi=eu(i)*n+t,this},e.prototype.arcTo=function(e,t,n,r,i){return this._drawPendingPt(),this._ctx&&this._ctx.arcTo(e,t,n,r,i),this},e.prototype.rect=function(e,t,n,r){return this._drawPendingPt(),this._ctx&&this._ctx.rect(e,t,n,r),this.addData(Wl.R,e,t,n,r),this},e.prototype.closePath=function(){this._drawPendingPt(),this.addData(Wl.Z);var e=this._ctx,t=this._x0,n=this._y0;return e&&e.closePath(),this._xi=t,this._yi=n,this},e.prototype.fill=function(e){e&&e.fill(),this.toStatic()},e.prototype.stroke=function(e){e&&e.stroke(),this.toStatic()},e.prototype.len=function(){return this._len},e.prototype.setData=function(e){var t=e.length;this.data&&this.data.length===t||!iu||(this.data=new Float32Array(t));for(var n=0;n<t;n++)this.data[n]=e[n];this._len=t},e.prototype.appendPath=function(e){e instanceof Array||(e=[e]);for(var t=e.length,n=0,r=this._len,i=0;i<t;i++)n+=e[i].len();for(iu&&this.data instanceof Float32Array&&(this.data=new Float32Array(r+n)),i=0;i<t;i++)for(var o=e[i].data,a=0;a<o.length;a++)this.data[r++]=o[a];this._len=r},e.prototype.addData=function(e,t,n,r,i,o,a,s,l){if(this._saveData){var u=this.data;this._len+arguments.length>u.length&&(this._expandData(),u=this.data);for(var c=0;c<arguments.length;c++)u[this._len++]=arguments[c]}},e.prototype._drawPendingPt=function(){this._pendingPtDist>0&&(this._ctx&&this._ctx.lineTo(this._pendingPtX,this._pendingPtY),this._pendingPtDist=0)},e.prototype._expandData=function(){if(!(this.data instanceof Array)){for(var e=[],t=0;t<this._len;t++)e[t]=this.data[t];this.data=e}},e.prototype.toStatic=function(){if(this._saveData){this._drawPendingPt();var e=this.data;e instanceof Array&&(e.length=this._len,iu&&this._len>11&&(this.data=new Float32Array(e)))}},e.prototype.getBoundingRect=function(){Yl[0]=Yl[1]=ql[0]=ql[1]=Number.MAX_VALUE,Zl[0]=Zl[1]=$l[0]=$l[1]=-Number.MAX_VALUE;var e,t=this.data,n=0,r=0,i=0,o=0;for(e=0;e<this._len;){var a=t[e++],s=1===e;switch(s&&(i=n=t[e],o=r=t[e+1]),a){case Wl.M:n=i=t[e++],r=o=t[e++],ql[0]=i,ql[1]=o,$l[0]=i,$l[1]=o;break;case Wl.L:Fl(n,r,t[e],t[e+1],ql,$l),n=t[e++],r=t[e++];break;case Wl.C:Gl(n,r,t[e++],t[e++],t[e++],t[e++],t[e],t[e+1],ql,$l),n=t[e++],r=t[e++];break;case Wl.Q:Hl(n,r,t[e++],t[e++],t[e],t[e+1],ql,$l),n=t[e++],r=t[e++];break;case Wl.A:var l=t[e++],u=t[e++],c=t[e++],h=t[e++],d=t[e++],p=t[e++]+d;e+=1;var f=!t[e++];s&&(i=Ql(d)*c+l,o=eu(d)*h+u),Ul(l,u,c,h,d,p,f,ql,$l),n=Ql(p)*c+l,r=eu(p)*h+u;break;case Wl.R:Fl(i=n=t[e++],o=r=t[e++],i+t[e++],o+t[e++],ql,$l);break;case Wl.Z:n=i,r=o}An(Yl,Yl,ql),In(Zl,Zl,$l)}return 0===e&&(Yl[0]=Yl[1]=Zl[0]=Zl[1]=0),new wr(Yl[0],Yl[1],Zl[0]-Yl[0],Zl[1]-Yl[1])},e.prototype._calculateLength=function(){var e=this.data,t=this._len,n=this._ux,r=this._uy,i=0,o=0,a=0,s=0;this._pathSegLen||(this._pathSegLen=[]);for(var l=this._pathSegLen,u=0,c=0,h=0;h<t;){var d=e[h++],p=1===h;p&&(a=i=e[h],s=o=e[h+1]);var f=-1;switch(d){case Wl.M:i=a=e[h++],o=s=e[h++];break;case Wl.L:var g=e[h++],m=(_=e[h++])-o;(tu(D=g-i)>n||tu(m)>r||h===t-1)&&(f=Math.sqrt(D*D+m*m),i=g,o=_);break;case Wl.C:var v=e[h++],y=e[h++],_=(g=e[h++],e[h++]),x=e[h++],b=e[h++];f=pi(i,o,v,y,g,_,x,b,10),i=x,o=b;break;case Wl.Q:f=_i(i,o,v=e[h++],y=e[h++],g=e[h++],_=e[h++],10),i=g,o=_;break;case Wl.A:var w=e[h++],S=e[h++],M=e[h++],T=e[h++],A=e[h++],I=e[h++],C=I+A;h+=1,p&&(a=Ql(A)*M+w,s=eu(A)*T+S),f=Jl(M,T)*Kl(ru,Math.abs(I)),i=Ql(C)*M+w,o=eu(C)*T+S;break;case Wl.R:a=i=e[h++],s=o=e[h++],f=2*e[h++]+2*e[h++];break;case Wl.Z:var D=a-i;m=s-o,f=Math.sqrt(D*D+m*m),i=a,o=s}f>=0&&(l[c++]=f,u+=f)}return this._pathLen=u,u},e.prototype.rebuildPath=function(e,t){var n,r,i,o,a,s,l,u,c,h,d=this.data,p=this._ux,f=this._uy,g=this._len,m=t<1,v=0,y=0,_=0;if(!m||(this._pathSegLen||this._calculateLength(),l=this._pathSegLen,u=t*this._pathLen))e:for(var x=0;x<g;){var b=d[x++],w=1===x;switch(w&&(n=i=d[x],r=o=d[x+1]),b!==Wl.L&&_>0&&(e.lineTo(c,h),_=0),b){case Wl.M:n=i=d[x++],r=o=d[x++],e.moveTo(i,o);break;case Wl.L:a=d[x++],s=d[x++];var S=tu(a-i),M=tu(s-o);if(S>p||M>f){if(m){if(v+(Z=l[y++])>u){var T=(u-v)/Z;e.lineTo(i*(1-T)+a*T,o*(1-T)+s*T);break e}v+=Z}e.lineTo(a,s),i=a,o=s,_=0}else{var A=S*S+M*M;A>_&&(c=a,h=s,_=A)}break;case Wl.C:var I=d[x++],C=d[x++],D=d[x++],E=d[x++],L=d[x++],P=d[x++];if(m){if(v+(Z=l[y++])>u){hi(i,I,D,L,T=(u-v)/Z,jl),hi(o,C,E,P,T,Xl),e.bezierCurveTo(jl[1],Xl[1],jl[2],Xl[2],jl[3],Xl[3]);break e}v+=Z}e.bezierCurveTo(I,C,D,E,L,P),i=L,o=P;break;case Wl.Q:if(I=d[x++],C=d[x++],D=d[x++],E=d[x++],m){if(v+(Z=l[y++])>u){vi(i,I,D,T=(u-v)/Z,jl),vi(o,C,E,T,Xl),e.quadraticCurveTo(jl[1],Xl[1],jl[2],Xl[2]);break e}v+=Z}e.quadraticCurveTo(I,C,D,E),i=D,o=E;break;case Wl.A:var O=d[x++],N=d[x++],R=d[x++],k=d[x++],B=d[x++],F=d[x++],z=d[x++],V=!d[x++],G=R>k?R:k,H=tu(R-k)>.001,U=B+F,W=!1;if(m&&(v+(Z=l[y++])>u&&(U=B+F*(u-v)/Z,W=!0),v+=Z),H&&e.ellipse?e.ellipse(O,N,R,k,z,B,U,V):e.arc(O,N,G,B,U,V),W)break e;w&&(n=Ql(B)*R+O,r=eu(B)*k+N),i=Ql(U)*R+O,o=eu(U)*k+N;break;case Wl.R:n=i=d[x],r=o=d[x+1],a=d[x++],s=d[x++];var j=d[x++],X=d[x++];if(m){if(v+(Z=l[y++])>u){var Y=u-v;e.moveTo(a,s),e.lineTo(a+Kl(Y,j),s),(Y-=j)>0&&e.lineTo(a+j,s+Kl(Y,X)),(Y-=X)>0&&e.lineTo(a+Jl(j-Y,0),s+X),(Y-=j)>0&&e.lineTo(a,s+Jl(X-Y,0));break e}v+=Z}e.rect(a,s,j,X);break;case Wl.Z:if(m){var Z;if(v+(Z=l[y++])>u){T=(u-v)/Z,e.lineTo(i*(1-T)+n*T,o*(1-T)+r*T);break e}v+=Z}e.closePath(),i=n,o=r}}},e.prototype.clone=function(){var t=new e,n=this.data;return t.data=n.slice?n.slice():Array.prototype.slice.call(n),t._len=this._len,t},e.CMD=Wl,e.initDefaultProps=function(){var t=e.prototype;t._saveData=!0,t._ux=0,t._uy=0,t._pendingPtDist=0,t._version=0}(),e}();const uu=lu;function cu(e,t,n,r,i,o,a){if(0===i)return!1;var s,l=i;if(a>t+l&&a>r+l||a<t-l&&a<r-l||o>e+l&&o>n+l||o<e-l&&o<n-l)return!1;if(e===n)return Math.abs(o-e)<=l/2;var u=(s=(t-r)/(e-n))*o-a+(e*r-n*t)/(e-n);return u*u/(s*s+1)<=l/2*l/2}function hu(e,t,n,r,i,o,a,s,l,u,c){if(0===l)return!1;var h=l;return!(c>t+h&&c>r+h&&c>o+h&&c>s+h||c<t-h&&c<r-h&&c<o-h&&c<s-h||u>e+h&&u>n+h&&u>i+h&&u>a+h||u<e-h&&u<n-h&&u<i-h&&u<a-h)&&di(e,t,n,r,i,o,a,s,u,c,null)<=h/2}function du(e,t,n,r,i,o,a,s,l){if(0===a)return!1;var u=a;return!(l>t+u&&l>r+u&&l>o+u||l<t-u&&l<r-u&&l<o-u||s>e+u&&s>n+u&&s>i+u||s<e-u&&s<n-u&&s<i-u)&&yi(e,t,n,r,i,o,s,l,null)<=u/2}var pu=2*Math.PI;function fu(e){return(e%=pu)<0&&(e+=pu),e}var gu=2*Math.PI;function mu(e,t,n,r,i,o,a,s,l){if(0===a)return!1;var u=a;s-=e,l-=t;var c=Math.sqrt(s*s+l*l);if(c-u>n||c+u<n)return!1;if(Math.abs(r-i)%gu<1e-4)return!0;if(o){var h=r;r=fu(i),i=fu(h)}else r=fu(r),i=fu(i);r>i&&(i+=gu);var d=Math.atan2(l,s);return d<0&&(d+=gu),d>=r&&d<=i||d+gu>=r&&d+gu<=i}function vu(e,t,n,r,i,o){if(o>t&&o>r||o<t&&o<r)return 0;if(r===t)return 0;var a=(o-t)/(r-t),s=r<t?1:-1;1!==a&&0!==a||(s=r<t?.5:-.5);var l=a*(n-e)+e;return l===i?1/0:l>i?s:0}var yu=uu.CMD,_u=2*Math.PI,xu=[-1,-1,-1],bu=[-1,-1];function wu(e,t,n,r,i,o,a,s,l,u){if(u>t&&u>r&&u>o&&u>s||u<t&&u<r&&u<o&&u<s)return 0;var c,h=ui(t,r,o,s,u,xu);if(0===h)return 0;for(var d=0,p=-1,f=void 0,g=void 0,m=0;m<h;m++){var v=xu[m],y=0===v||1===v?.5:1;si(e,n,i,a,v)<l||(p<0&&(p=ci(t,r,o,s,bu),bu[1]<bu[0]&&p>1&&(void 0,c=bu[0],bu[0]=bu[1],bu[1]=c),f=si(t,r,o,s,bu[0]),p>1&&(g=si(t,r,o,s,bu[1]))),2===p?v<bu[0]?d+=f<t?y:-y:v<bu[1]?d+=g<f?y:-y:d+=s<g?y:-y:v<bu[0]?d+=f<t?y:-y:d+=s<f?y:-y)}return d}function Su(e,t,n,r,i,o,a,s){if(s>t&&s>r&&s>o||s<t&&s<r&&s<o)return 0;var l=function(e,t,n,r,i){var o=e-2*t+n,a=2*(t-e),s=e-r,l=0;if(oi(o))ai(a)&&(c=-s/a)>=0&&c<=1&&(i[l++]=c);else{var u=a*a-4*o*s;if(oi(u))(c=-a/(2*o))>=0&&c<=1&&(i[l++]=c);else if(u>0){var c,h=Kr(u),d=(-a-h)/(2*o);(c=(-a+h)/(2*o))>=0&&c<=1&&(i[l++]=c),d>=0&&d<=1&&(i[l++]=d)}}return l}(t,r,o,s,xu);if(0===l)return 0;var u=mi(t,r,o);if(u>=0&&u<=1){for(var c=0,h=fi(t,r,o,u),d=0;d<l;d++){var p=0===xu[d]||1===xu[d]?.5:1;fi(e,n,i,xu[d])<a||(xu[d]<u?c+=h<t?p:-p:c+=o<h?p:-p)}return c}return p=0===xu[0]||1===xu[0]?.5:1,fi(e,n,i,xu[0])<a?0:o<t?p:-p}function Mu(e,t,n,r,i,o,a,s){if((s-=t)>n||s<-n)return 0;var l=Math.sqrt(n*n-s*s);xu[0]=-l,xu[1]=l;var u=Math.abs(r-i);if(u<1e-4)return 0;if(u>=_u-1e-4){r=0,i=_u;var c=o?1:-1;return a>=xu[0]+e&&a<=xu[1]+e?c:0}if(r>i){var h=r;r=i,i=h}r<0&&(r+=_u,i+=_u);for(var d=0,p=0;p<2;p++){var f=xu[p];if(f+e>a){var g=Math.atan2(s,f);c=o?1:-1,g<0&&(g=_u+g),(g>=r&&g<=i||g+_u>=r&&g+_u<=i)&&(g>Math.PI/2&&g<1.5*Math.PI&&(c=-c),d+=c)}}return d}function Tu(e,t,n,r,i){for(var o,a,s,l,u=e.data,c=e.len(),h=0,d=0,p=0,f=0,g=0,m=0;m<c;){var v=u[m++],y=1===m;switch(v===yu.M&&m>1&&(n||(h+=vu(d,p,f,g,r,i))),y&&(f=d=u[m],g=p=u[m+1]),v){case yu.M:d=f=u[m++],p=g=u[m++];break;case yu.L:if(n){if(cu(d,p,u[m],u[m+1],t,r,i))return!0}else h+=vu(d,p,u[m],u[m+1],r,i)||0;d=u[m++],p=u[m++];break;case yu.C:if(n){if(hu(d,p,u[m++],u[m++],u[m++],u[m++],u[m],u[m+1],t,r,i))return!0}else h+=wu(d,p,u[m++],u[m++],u[m++],u[m++],u[m],u[m+1],r,i)||0;d=u[m++],p=u[m++];break;case yu.Q:if(n){if(du(d,p,u[m++],u[m++],u[m],u[m+1],t,r,i))return!0}else h+=Su(d,p,u[m++],u[m++],u[m],u[m+1],r,i)||0;d=u[m++],p=u[m++];break;case yu.A:var _=u[m++],x=u[m++],b=u[m++],w=u[m++],S=u[m++],M=u[m++];m+=1;var T=!!(1-u[m++]);o=Math.cos(S)*b+_,a=Math.sin(S)*w+x,y?(f=o,g=a):h+=vu(d,p,o,a,r,i);var A=(r-_)*w/b+_;if(n){if(mu(_,x,w,S,S+M,T,t,A,i))return!0}else h+=Mu(_,x,w,S,S+M,T,A,i);d=Math.cos(S+M)*b+_,p=Math.sin(S+M)*w+x;break;case yu.R:if(f=d=u[m++],g=p=u[m++],o=f+u[m++],a=g+u[m++],n){if(cu(f,g,o,g,t,r,i)||cu(o,g,o,a,t,r,i)||cu(o,a,f,a,t,r,i)||cu(f,a,f,g,t,r,i))return!0}else h+=vu(o,g,o,a,r,i),h+=vu(f,a,f,g,r,i);break;case yu.Z:if(n){if(cu(d,p,f,g,t,r,i))return!0}else h+=vu(d,p,f,g,r,i);d=f,p=g}}return n||(s=p,l=g,Math.abs(s-l)<1e-4)||(h+=vu(d,p,f,g,r,i)||0),0!==h}var Au=st({fill:"#000",stroke:null,strokePercent:1,fillOpacity:1,strokeOpacity:1,lineDashOffset:0,lineWidth:1,lineCap:"butt",miterLimit:10,strokeNoScale:!1,strokeFirst:!1},bl),Iu={style:st({fill:!0,stroke:!0,strokePercent:!0,fillOpacity:!0,strokeOpacity:!0,lineDashOffset:!0,lineWidth:!0,miterLimit:!0},wl.style)},Cu=ua.concat(["invisible","culling","z","z2","zlevel","parent"]),Du=function(e){function t(t){return e.call(this,t)||this}var n;return tn(t,e),t.prototype.update=function(){var n=this;e.prototype.update.call(this);var r=this.style;if(r.decal){var i=this._decalEl=this._decalEl||new t;i.buildPath===t.prototype.buildPath&&(i.buildPath=function(e){n.buildPath(e,n.shape)}),i.silent=!0;var o=i.style;for(var a in r)o[a]!==r[a]&&(o[a]=r[a]);o.fill=r.fill?r.decal:null,o.decal=null,o.shadowColor=null,r.strokeFirst&&(o.stroke=null);for(var s=0;s<Cu.length;++s)i[Cu[s]]=this[Cu[s]];i.__dirty|=Vr}else this._decalEl&&(this._decalEl=null)},t.prototype.getDecalElement=function(){return this._decalEl},t.prototype._init=function(t){var n=yt(t);this.shape=this.getDefaultShape();var r=this.getDefaultStyle();r&&this.useStyle(r);for(var i=0;i<n.length;i++){var o=n[i],a=t[o];"style"===o?this.style?at(this.style,a):this.useStyle(a):"shape"===o?at(this.shape,a):e.prototype.attrKV.call(this,o,a)}this.style||this.useStyle({})},t.prototype.getDefaultStyle=function(){return null},t.prototype.getDefaultShape=function(){return{}},t.prototype.canBeInsideText=function(){return this.hasFill()},t.prototype.getInsideTextFill=function(){var e=this.style.fill;if("none"!==e){if(St(e)){var t=$i(e,0);return t>.5?ea:t>.2?"#eee":ta}if(e)return ta}return ea},t.prototype.getInsideTextStroke=function(e){var t=this.style.fill;if(St(t)){var n=this.__zr;if(!(!n||!n.isDarkMode())==$i(e,0)<.4)return t}},t.prototype.buildPath=function(e,t,n){},t.prototype.pathUpdated=function(){this.__dirty&=~Gr},t.prototype.getUpdatedPathProxy=function(e){return!this.path&&this.createPathProxy(),this.path.beginPath(),this.buildPath(this.path,this.shape,e),this.path},t.prototype.createPathProxy=function(){this.path=new uu(!1)},t.prototype.hasStroke=function(){var e=this.style,t=e.stroke;return!(null==t||"none"===t||!(e.lineWidth>0))},t.prototype.hasFill=function(){var e=this.style.fill;return null!=e&&"none"!==e},t.prototype.getBoundingRect=function(){var e=this._rect,t=this.style,n=!e;if(n){var r=!1;this.path||(r=!0,this.createPathProxy());var i=this.path;(r||this.__dirty&Gr)&&(i.beginPath(),this.buildPath(i,this.shape,!1),this.pathUpdated()),e=i.getBoundingRect()}if(this._rect=e,this.hasStroke()&&this.path&&this.path.len()>0){var o=this._rectStroke||(this._rectStroke=e.clone());if(this.__dirty||n){o.copy(e);var a=t.strokeNoScale?this.getLineScale():1,s=t.lineWidth;if(!this.hasFill()){var l=this.strokeContainThreshold;s=Math.max(s,null==l?4:l)}a>1e-10&&(o.width+=s/a,o.height+=s/a,o.x-=s/a/2,o.y-=s/a/2)}return o}return e},t.prototype.contain=function(e,t){var n=this.transformCoordToLocal(e,t),r=this.getBoundingRect(),i=this.style;if(e=n[0],t=n[1],r.contain(e,t)){var o=this.path;if(this.hasStroke()){var a=i.lineWidth,s=i.strokeNoScale?this.getLineScale():1;if(s>1e-10&&(this.hasFill()||(a=Math.max(a,this.strokeContainThreshold)),function(e,t,n,r){return Tu(e,t,!0,n,r)}(o,a/s,e,t)))return!0}if(this.hasFill())return function(e,t,n){return Tu(e,0,!1,t,n)}(o,e,t)}return!1},t.prototype.dirtyShape=function(){this.__dirty|=Gr,this._rect&&(this._rect=null),this._decalEl&&this._decalEl.dirtyShape(),this.markRedraw()},t.prototype.dirty=function(){this.dirtyStyle(),this.dirtyShape()},t.prototype.animateShape=function(e){return this.animate("shape",e)},t.prototype.updateDuringAnimation=function(e){"style"===e?this.dirtyStyle():"shape"===e?this.dirtyShape():this.markRedraw()},t.prototype.attrKV=function(t,n){"shape"===t?this.setShape(n):e.prototype.attrKV.call(this,t,n)},t.prototype.setShape=function(e,t){var n=this.shape;return n||(n=this.shape={}),"string"==typeof e?n[e]=t:at(n,e),this.dirtyShape(),this},t.prototype.shapeChanged=function(){return!!(this.__dirty&Gr)},t.prototype.createStyle=function(e){return qt(Au,e)},t.prototype._innerSaveToNormal=function(t){e.prototype._innerSaveToNormal.call(this,t);var n=this._normalState;t.shape&&!n.shape&&(n.shape=at({},this.shape))},t.prototype._applyStateObj=function(t,n,r,i,o,a){e.prototype._applyStateObj.call(this,t,n,r,i,o,a);var s,l=!(n&&i);if(n&&n.shape?o?i?s=n.shape:(s=at({},r.shape),at(s,n.shape)):(s=at({},i?this.shape:r.shape),at(s,n.shape)):l&&(s=r.shape),s)if(o){this.shape=at({},this.shape);for(var u={},c=yt(s),h=0;h<c.length;h++){var d=c[h];"object"==typeof s[d]?this.shape[d]=s[d]:u[d]=s[d]}this._transitionState(t,{shape:u},a)}else this.shape=s,this.dirtyShape()},t.prototype._mergeStates=function(t){for(var n,r=e.prototype._mergeStates.call(this,t),i=0;i<t.length;i++){var o=t[i];o.shape&&(n=n||{},this._mergeStyle(n,o.shape))}return n&&(r.shape=n),r},t.prototype.getAnimationStyleProps=function(){return Iu},t.prototype.isZeroArea=function(){return!1},t.extend=function(e){var n=function(t){function n(n){var r=t.call(this,n)||this;return e.init&&e.init.call(r,n),r}return tn(n,t),n.prototype.getDefaultStyle=function(){return rt(e.style)},n.prototype.getDefaultShape=function(){return rt(e.shape)},n}(t);for(var r in e)"function"==typeof e[r]&&(n.prototype[r]=e[r]);return n},t.initDefaultProps=((n=t.prototype).type="path",n.strokeContainThreshold=5,n.segmentIgnoreThreshold=0,n.subPixelOptimize=!1,n.autoBatch=!1,void(n.__dirty=2|Vr|Gr)),t}(Cl);const Eu=Du;var Lu=st({strokeFirst:!0,font:ze,x:0,y:0,textAlign:"left",textBaseline:"top",miterLimit:2},Au),Pu=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return tn(t,e),t.prototype.hasStroke=function(){var e=this.style,t=e.stroke;return null!=t&&"none"!==t&&e.lineWidth>0},t.prototype.hasFill=function(){var e=this.style.fill;return null!=e&&"none"!==e},t.prototype.createStyle=function(e){return qt(Lu,e)},t.prototype.setBoundingRect=function(e){this._rect=e},t.prototype.getBoundingRect=function(){var e=this.style;if(!this._rect){var t=e.text;null!=t?t+="":t="";var n=ga(t,e.font,e.textAlign,e.textBaseline);if(n.x+=e.x||0,n.y+=e.y||0,this.hasStroke()){var r=e.lineWidth;n.x-=r/2,n.y-=r/2,n.width+=r,n.height+=r}this._rect=n}return this._rect},t.initDefaultProps=void(t.prototype.dirtyRectTolerance=10),t}(Cl);Pu.prototype.type="tspan";const Ou=Pu;var Nu=st({x:0,y:0},bl),Ru={style:st({x:!0,y:!0,width:!0,height:!0,sx:!0,sy:!0,sWidth:!0,sHeight:!0},wl.style)},ku=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return tn(t,e),t.prototype.createStyle=function(e){return qt(Nu,e)},t.prototype._getSize=function(e){var t=this.style,n=t[e];if(null!=n)return n;var r,i=(r=t.image)&&"string"!=typeof r&&r.width&&r.height?t.image:this.__image;if(!i)return 0;var o="width"===e?"height":"width",a=t[o];return null==a?i[e]:i[e]/i[o]*a},t.prototype.getWidth=function(){return this._getSize("width")},t.prototype.getHeight=function(){return this._getSize("height")},t.prototype.getAnimationStyleProps=function(){return Ru},t.prototype.getBoundingRect=function(){var e=this.style;return this._rect||(this._rect=new wr(e.x||0,e.y||0,this.getWidth(),this.getHeight())),this._rect},t}(Cl);ku.prototype.type="image";const Bu=ku;var Fu=Math.round;function zu(e,t,n){if(t){var r=t.x1,i=t.x2,o=t.y1,a=t.y2;e.x1=r,e.x2=i,e.y1=o,e.y2=a;var s=n&&n.lineWidth;return s?(Fu(2*r)===Fu(2*i)&&(e.x1=e.x2=Gu(r,s,!0)),Fu(2*o)===Fu(2*a)&&(e.y1=e.y2=Gu(o,s,!0)),e):e}}function Vu(e,t,n){if(t){var r=t.x,i=t.y,o=t.width,a=t.height;e.x=r,e.y=i,e.width=o,e.height=a;var s=n&&n.lineWidth;return s?(e.x=Gu(r,s,!0),e.y=Gu(i,s,!0),e.width=Math.max(Gu(r+o,s,!1)-e.x,0===o?0:1),e.height=Math.max(Gu(i+a,s,!1)-e.y,0===a?0:1),e):e}}function Gu(e,t,n){if(!t)return e;var r=Fu(2*e);return(r+Fu(t))%2==0?r/2:(r+(n?1:-1))/2}var Hu=function(){this.x=0,this.y=0,this.width=0,this.height=0},Uu={},Wu=function(e){function t(t){return e.call(this,t)||this}return tn(t,e),t.prototype.getDefaultShape=function(){return new Hu},t.prototype.buildPath=function(e,t){var n,r,i,o;if(this.subPixelOptimize){var a=Vu(Uu,t,this.style);n=a.x,r=a.y,i=a.width,o=a.height,a.r=t.r,t=a}else n=t.x,r=t.y,i=t.width,o=t.height;t.r?function(e,t){var n,r,i,o,a,s=t.x,l=t.y,u=t.width,c=t.height,h=t.r;u<0&&(s+=u,u=-u),c<0&&(l+=c,c=-c),"number"==typeof h?n=r=i=o=h:h instanceof Array?1===h.length?n=r=i=o=h[0]:2===h.length?(n=i=h[0],r=o=h[1]):3===h.length?(n=h[0],r=o=h[1],i=h[2]):(n=h[0],r=h[1],i=h[2],o=h[3]):n=r=i=o=0,n+r>u&&(n*=u/(a=n+r),r*=u/a),i+o>u&&(i*=u/(a=i+o),o*=u/a),r+i>c&&(r*=c/(a=r+i),i*=c/a),n+o>c&&(n*=c/(a=n+o),o*=c/a),e.moveTo(s+n,l),e.lineTo(s+u-r,l),0!==r&&e.arc(s+u-r,l+r,r,-Math.PI/2,0),e.lineTo(s+u,l+c-i),0!==i&&e.arc(s+u-i,l+c-i,i,0,Math.PI/2),e.lineTo(s+o,l+c),0!==o&&e.arc(s+o,l+c-o,o,Math.PI/2,Math.PI),e.lineTo(s,l+n),0!==n&&e.arc(s+n,l+n,n,Math.PI,1.5*Math.PI)}(e,t):e.rect(n,r,i,o)},t.prototype.isZeroArea=function(){return!this.shape.width||!this.shape.height},t}(Eu);Wu.prototype.type="rect";const ju=Wu;var Xu={fill:"#000"},Yu={style:st({fill:!0,stroke:!0,fillOpacity:!0,strokeOpacity:!0,lineWidth:!0,fontSize:!0,lineHeight:!0,width:!0,height:!0,textShadowColor:!0,textShadowBlur:!0,textShadowOffsetX:!0,textShadowOffsetY:!0,backgroundColor:!0,padding:!0,borderColor:!0,borderWidth:!0,borderRadius:!0},wl.style)},Zu=function(e){function t(t){var n=e.call(this)||this;return n.type="text",n._children=[],n._defaultStyle=Xu,n.attr(t),n}return tn(t,e),t.prototype.childrenRef=function(){return this._children},t.prototype.update=function(){e.prototype.update.call(this),this.styleChanged()&&this._updateSubTexts();for(var t=0;t<this._children.length;t++){var n=this._children[t];n.zlevel=this.zlevel,n.z=this.z,n.z2=this.z2,n.culling=this.culling,n.cursor=this.cursor,n.invisible=this.invisible}},t.prototype.updateTransform=function(){var t=this.innerTransformable;t?(t.updateTransform(),t.transform&&(this.transform=t.transform)):e.prototype.updateTransform.call(this)},t.prototype.getLocalTransform=function(t){var n=this.innerTransformable;return n?n.getLocalTransform(t):e.prototype.getLocalTransform.call(this,t)},t.prototype.getComputedTransform=function(){return this.__hostTarget&&(this.__hostTarget.getComputedTransform(),this.__hostTarget.updateInnerText(!0)),e.prototype.getComputedTransform.call(this)},t.prototype._updateSubTexts=function(){var e;this._childCursor=0,tc(e=this.style),pt(e.rich,tc),this.style.rich?this._updateRichTexts():this._updatePlainTexts(),this._children.length=this._childCursor,this.styleUpdated()},t.prototype.addSelfToZr=function(t){e.prototype.addSelfToZr.call(this,t);for(var n=0;n<this._children.length;n++)this._children[n].__zr=t},t.prototype.removeSelfFromZr=function(t){e.prototype.removeSelfFromZr.call(this,t);for(var n=0;n<this._children.length;n++)this._children[n].__zr=null},t.prototype.getBoundingRect=function(){if(this.styleChanged()&&this._updateSubTexts(),!this._rect){for(var e=new wr(0,0,0,0),t=this._children,n=[],r=null,i=0;i<t.length;i++){var o=t[i],a=o.getBoundingRect(),s=o.getLocalTransform(n);s?(e.copy(a),e.applyTransform(s),(r=r||e.clone()).union(e)):(r=r||a.clone()).union(a)}this._rect=r||e}return this._rect},t.prototype.setDefaultTextStyle=function(e){this._defaultStyle=e||Xu},t.prototype.setTextContent=function(e){},t.prototype._mergeStyle=function(e,t){if(!t)return e;var n=t.rich,r=e.rich||n&&{};return at(e,t),n&&r?(this._mergeRich(r,n),e.rich=r):r&&(e.rich=r),e},t.prototype._mergeRich=function(e,t){for(var n=yt(t),r=0;r<n.length;r++){var i=n[r];e[i]=e[i]||{},at(e[i],t[i])}},t.prototype.getAnimationStyleProps=function(){return Yu},t.prototype._getOrCreateChild=function(e){var t=this._children[this._childCursor];return t&&t instanceof e||(t=new e),this._children[this._childCursor++]=t,t.__zr=this.__zr,t.parent=this,t},t.prototype._updatePlainTexts=function(){var e=this.style,t=e.font||ze,n=e.padding,r=function(e,t){null!=e&&(e+="");var n,r=t.overflow,i=t.padding,o=t.font,a="truncate"===r,s=ya(o),l=Rt(t.lineHeight,s),u=!!t.backgroundColor,c="truncate"===t.lineOverflow,h=t.width,d=(n=null==h||"break"!==r&&"breakAll"!==r?e?e.split("\n"):[]:e?_l(e,t.font,h,"breakAll"===r,0).lines:[]).length*l,p=Rt(t.height,d);if(d>p&&c){var f=Math.floor(p/l);n=n.slice(0,f)}if(e&&a&&null!=h)for(var g=cl(h,o,t.ellipsis,{minChar:t.truncateMinChar,placeholder:t.placeholder}),m=0;m<n.length;m++)n[m]=hl(n[m],g);var v=p,y=0;for(m=0;m<n.length;m++)y=Math.max(pa(n[m],o),y);null==h&&(h=y);var _=y;return i&&(v+=i[0]+i[2],_+=i[1]+i[3],h+=i[1]+i[3]),u&&(_=h),{lines:n,height:p,outerWidth:_,outerHeight:v,lineHeight:l,calculatedLineHeight:s,contentWidth:y,contentHeight:d,width:h}}(oc(e),e),i=ac(e),o=!!e.backgroundColor,a=r.outerHeight,s=r.outerWidth,l=r.contentWidth,u=r.lines,c=r.lineHeight,h=this._defaultStyle,d=e.x||0,p=e.y||0,f=e.align||h.align||"left",g=e.verticalAlign||h.verticalAlign||"top",m=d,v=va(p,r.contentHeight,g);if(i||n){var y=ma(d,s,f),_=va(p,a,g);i&&this._renderBackground(e,e,y,_,s,a)}v+=c/2,n&&(m=ic(d,f,n),"top"===g?v+=n[0]:"bottom"===g&&(v-=n[2]));for(var x=0,b=!1,w=(rc("fill"in e?e.fill:(b=!0,h.fill))),S=(nc("stroke"in e?e.stroke:o||h.autoStroke&&!b?null:(x=2,h.stroke))),M=e.textShadowBlur>0,T=null!=e.width&&("truncate"===e.overflow||"break"===e.overflow||"breakAll"===e.overflow),A=r.calculatedLineHeight,I=0;I<u.length;I++){var C=this._getOrCreateChild(Ou),D=C.createStyle();C.useStyle(D),D.text=u[I],D.x=m,D.y=v,f&&(D.textAlign=f),D.textBaseline="middle",D.opacity=e.opacity,D.strokeFirst=!0,M&&(D.shadowBlur=e.textShadowBlur||0,D.shadowColor=e.textShadowColor||"transparent",D.shadowOffsetX=e.textShadowOffsetX||0,D.shadowOffsetY=e.textShadowOffsetY||0),D.stroke=S,D.fill=w,S&&(D.lineWidth=e.lineWidth||x,D.lineDash=e.lineDash,D.lineDashOffset=e.lineDashOffset||0),D.font=t,Qu(D,e),v+=c,T&&C.setBoundingRect(new wr(ma(D.x,e.width,D.textAlign),va(D.y,A,D.textBaseline),l,A))}},t.prototype._updateRichTexts=function(){var e=this.style,t=function(e,t){var n=new gl;if(null!=e&&(e+=""),!e)return n;for(var r,i=t.width,o=t.height,a=t.overflow,s="break"!==a&&"breakAll"!==a||null==i?null:{width:i,accumWidth:0,breakAll:"breakAll"===a},l=ll.lastIndex=0;null!=(r=ll.exec(e));){var u=r.index;u>l&&ml(n,e.substring(l,u),t,s),ml(n,r[2],t,s,r[1]),l=ll.lastIndex}l<e.length&&ml(n,e.substring(l,e.length),t,s);var c=[],h=0,d=0,p=t.padding,f="truncate"===a,g="truncate"===t.lineOverflow;function m(e,t,n){e.width=t,e.lineHeight=n,h+=n,d=Math.max(d,t)}e:for(var v=0;v<n.lines.length;v++){for(var y=n.lines[v],_=0,x=0,b=0;b<y.tokens.length;b++){var w=(P=y.tokens[b]).styleName&&t.rich[P.styleName]||{},S=P.textPadding=w.padding,M=S?S[1]+S[3]:0,T=P.font=w.font||t.font;P.contentHeight=ya(T);var A=Rt(w.height,P.contentHeight);if(P.innerHeight=A,S&&(A+=S[0]+S[2]),P.height=A,P.lineHeight=kt(w.lineHeight,t.lineHeight,A),P.align=w&&w.align||t.align,P.verticalAlign=w&&w.verticalAlign||"middle",g&&null!=o&&h+P.lineHeight>o){b>0?(y.tokens=y.tokens.slice(0,b),m(y,x,_),n.lines=n.lines.slice(0,v+1)):n.lines=n.lines.slice(0,v);break e}var I=w.width,C=null==I||"auto"===I;if("string"==typeof I&&"%"===I.charAt(I.length-1))P.percentWidth=I,c.push(P),P.contentWidth=pa(P.text,T);else{if(C){var D=w.backgroundColor,E=D&&D.image;E&&sl(E=il(E))&&(P.width=Math.max(P.width,E.width*A/E.height))}var L=f&&null!=i?i-x:null;null!=L&&L<P.width?!C||L<M?(P.text="",P.width=P.contentWidth=0):(P.text=ul(P.text,L-M,T,t.ellipsis,{minChar:t.truncateMinChar}),P.width=P.contentWidth=pa(P.text,T)):P.contentWidth=pa(P.text,T)}P.width+=M,x+=P.width,w&&(_=Math.max(_,P.lineHeight))}m(y,x,_)}for(n.outerWidth=n.width=Rt(i,d),n.outerHeight=n.height=Rt(o,h),n.contentHeight=h,n.contentWidth=d,p&&(n.outerWidth+=p[1]+p[3],n.outerHeight+=p[0]+p[2]),v=0;v<c.length;v++){var P,O=(P=c[v]).percentWidth;P.width=parseInt(O,10)/100*n.width}return n}(oc(e),e),n=t.width,r=t.outerWidth,i=t.outerHeight,o=e.padding,a=e.x||0,s=e.y||0,l=this._defaultStyle,u=e.align||l.align,c=e.verticalAlign||l.verticalAlign,h=ma(a,r,u),d=va(s,i,c),p=h,f=d;o&&(p+=o[3],f+=o[0]);var g=p+n;ac(e)&&this._renderBackground(e,e,h,d,r,i);for(var m=!!e.backgroundColor,v=0;v<t.lines.length;v++){for(var y=t.lines[v],_=y.tokens,x=_.length,b=y.lineHeight,w=y.width,S=0,M=p,T=g,A=x-1,I=void 0;S<x&&(!(I=_[S]).align||"left"===I.align);)this._placeToken(I,e,b,f,M,"left",m),w-=I.width,M+=I.width,S++;for(;A>=0&&"right"===(I=_[A]).align;)this._placeToken(I,e,b,f,T,"right",m),w-=I.width,T-=I.width,A--;for(M+=(n-(M-p)-(g-T)-w)/2;S<=A;)I=_[S],this._placeToken(I,e,b,f,M+I.width/2,"center",m),M+=I.width,S++;f+=b}},t.prototype._placeToken=function(e,t,n,r,i,o,a){var s=t.rich[e.styleName]||{};s.text=e.text;var l=e.verticalAlign,u=r+n/2;"top"===l?u=r+e.height/2:"bottom"===l&&(u=r+n-e.height/2),!e.isLineHolder&&ac(s)&&this._renderBackground(s,t,"right"===o?i-e.width:"center"===o?i-e.width/2:i,u-e.height/2,e.width,e.height);var c=!!s.backgroundColor,h=e.textPadding;h&&(i=ic(i,o,h),u-=e.height/2-h[0]-e.innerHeight/2);var d=this._getOrCreateChild(Ou),p=d.createStyle();d.useStyle(p);var f=this._defaultStyle,g=!1,m=0,v=rc("fill"in s?s.fill:"fill"in t?t.fill:(g=!0,f.fill)),y=nc("stroke"in s?s.stroke:"stroke"in t?t.stroke:c||a||f.autoStroke&&!g?null:(m=2,f.stroke)),_=s.textShadowBlur>0||t.textShadowBlur>0;p.text=e.text,p.x=i,p.y=u,_&&(p.shadowBlur=s.textShadowBlur||t.textShadowBlur||0,p.shadowColor=s.textShadowColor||t.textShadowColor||"transparent",p.shadowOffsetX=s.textShadowOffsetX||t.textShadowOffsetX||0,p.shadowOffsetY=s.textShadowOffsetY||t.textShadowOffsetY||0),p.textAlign=o,p.textBaseline="middle",p.font=e.font||ze,p.opacity=kt(s.opacity,t.opacity,1),Qu(p,s),y&&(p.lineWidth=kt(s.lineWidth,t.lineWidth,m),p.lineDash=Rt(s.lineDash,t.lineDash),p.lineDashOffset=t.lineDashOffset||0,p.stroke=y),v&&(p.fill=v);var x=e.contentWidth,b=e.contentHeight;d.setBoundingRect(new wr(ma(p.x,x,p.textAlign),va(p.y,b,p.textBaseline),x,b))},t.prototype._renderBackground=function(e,t,n,r,i,o){var a,s,l,u=e.backgroundColor,c=e.borderWidth,h=e.borderColor,d=u&&u.image,p=u&&!d,f=e.borderRadius,g=this;if(p||e.lineHeight||c&&h){(a=this._getOrCreateChild(ju)).useStyle(a.createStyle()),a.style.fill=null;var m=a.shape;m.x=n,m.y=r,m.width=i,m.height=o,m.r=f,a.dirtyShape()}if(p)(l=a.style).fill=u||null,l.fillOpacity=Rt(e.fillOpacity,1);else if(d){(s=this._getOrCreateChild(Bu)).onload=function(){g.dirtyStyle()};var v=s.style;v.image=u.image,v.x=n,v.y=r,v.width=i,v.height=o}c&&h&&((l=a.style).lineWidth=c,l.stroke=h,l.strokeOpacity=Rt(e.strokeOpacity,1),l.lineDash=e.borderDash,l.lineDashOffset=e.borderDashOffset||0,a.strokeContainThreshold=0,a.hasFill()&&a.hasStroke()&&(l.strokeFirst=!0,l.lineWidth*=2));var y=(a||s).style;y.shadowBlur=e.shadowBlur||0,y.shadowColor=e.shadowColor||"transparent",y.shadowOffsetX=e.shadowOffsetX||0,y.shadowOffsetY=e.shadowOffsetY||0,y.opacity=kt(e.opacity,t.opacity,1)},t.makeFont=function(e){var t="";return ec(e)&&(t=[e.fontStyle,e.fontWeight,Ju(e.fontSize),e.fontFamily||"sans-serif"].join(" ")),t&&Vt(t)||e.textFont||e.font},t}(Cl),qu={left:!0,right:1,center:1},$u={top:1,bottom:1,middle:1},Ku=["fontStyle","fontWeight","fontSize","fontFamily"];function Ju(e){return"string"!=typeof e||-1===e.indexOf("px")&&-1===e.indexOf("rem")&&-1===e.indexOf("em")?isNaN(+e)?Be+"px":e+"px":e}function Qu(e,t){for(var n=0;n<Ku.length;n++){var r=Ku[n],i=t[r];null!=i&&(e[r]=i)}}function ec(e){return null!=e.fontSize||e.fontFamily||e.fontWeight}function tc(e){if(e){e.font=Zu.makeFont(e);var t=e.align;"middle"===t&&(t="center"),e.align=null==t||qu[t]?t:"left";var n=e.verticalAlign;"center"===n&&(n="middle"),e.verticalAlign=null==n||$u[n]?n:"top",e.padding&&(e.padding=Ft(e.padding))}}function nc(e,t){return null==e||t<=0||"transparent"===e||"none"===e?null:e.image||e.colorStops?"#000":e}function rc(e){return null==e||"none"===e?null:e.image||e.colorStops?"#000":e}function ic(e,t,n){return"right"===t?e-n[1]:"center"===t?e+n[3]/2-n[1]/2:e+n[3]}function oc(e){var t=e.text;return null!=t&&(t+=""),t}function ac(e){return!!(e.backgroundColor||e.lineHeight||e.borderWidth&&e.borderColor)}const sc=Zu;var lc=Ns(),uc=function(e,t,n,r){if(r){var i=lc(r);i.dataIndex=n,i.dataType=t,i.seriesIndex=e,i.ssrType="chart","group"===r.type&&r.traverse((function(r){var i=lc(r);i.seriesIndex=e,i.dataIndex=n,i.dataType=t,i.ssrType="chart"}))}},cc=1,hc={},dc=Ns(),pc=Ns(),fc=0,gc=1,mc=2,vc=["emphasis","blur","select"],yc=["normal","emphasis","blur","select"],_c=10,xc=9,bc="highlight",wc="downplay",Sc="select",Mc="unselect",Tc="toggleSelect";function Ac(e){return null!=e&&"none"!==e}function Ic(e,t,n){e.onHoverStateChange&&(e.hoverState||0)!==n&&e.onHoverStateChange(t),e.hoverState=n}function Cc(e){Ic(e,"emphasis",mc)}function Dc(e){e.hoverState===mc&&Ic(e,"normal",fc)}function Ec(e){Ic(e,"blur",gc)}function Lc(e){e.hoverState===gc&&Ic(e,"normal",fc)}function Pc(e){e.selected=!0}function Oc(e){e.selected=!1}function Nc(e,t,n){t(e,n)}function Rc(e,t,n){Nc(e,t,n),e.isGroup&&e.traverse((function(e){Nc(e,t,n)}))}function kc(e,t){switch(t){case"emphasis":e.hoverState=mc;break;case"normal":e.hoverState=fc;break;case"blur":e.hoverState=gc;break;case"select":e.selected=!0}}function Bc(e,t){var n=this.states[e];if(this.style){if("emphasis"===e)return function(e,t,n,r){var i=n&&ut(n,"select")>=0,o=!1;if(e instanceof Eu){var a=dc(e),s=i&&a.selectFill||a.normalFill,l=i&&a.selectStroke||a.normalStroke;if(Ac(s)||Ac(l)){var u=(r=r||{}).style||{};"inherit"===u.fill?(o=!0,r=at({},r),(u=at({},u)).fill=s):!Ac(u.fill)&&Ac(s)?(o=!0,r=at({},r),(u=at({},u)).fill=Qi(s)):!Ac(u.stroke)&&Ac(l)&&(o||(r=at({},r),u=at({},u)),u.stroke=Qi(l)),r.style=u}}if(r&&null==r.z2){o||(r=at({},r));var c=e.z2EmphasisLift;r.z2=e.z2+(null!=c?c:_c)}return r}(this,0,t,n);if("blur"===e)return function(e,t,n){var r=ut(e.currentStates,t)>=0,i=e.style.opacity,o=r?null:function(e,t,n,r){for(var i=e.style,o={},a=0;a<t.length;a++){var s=t[a],l=i[s];o[s]=null==l?r&&r[s]:l}for(a=0;a<e.animators.length;a++){var u=e.animators[a];u.__fromStateTransition&&u.__fromStateTransition.indexOf(n)<0&&"style"===u.targetName&&u.saveTo(o,t)}return o}(e,["opacity"],t,{opacity:1}),a=(n=n||{}).style||{};return null==a.opacity&&(n=at({},n),a=at({opacity:r?i:.1*o.opacity},a),n.style=a),n}(this,e,n);if("select"===e)return function(e,t,n){if(n&&null==n.z2){n=at({},n);var r=e.z2SelectLift;n.z2=e.z2+(null!=r?r:xc)}return n}(this,0,n)}return n}function Fc(e){e.stateProxy=Bc;var t=e.getTextContent(),n=e.getTextGuideLine();t&&(t.stateProxy=Bc),n&&(n.stateProxy=Bc)}function zc(e,t){!Yc(e,t)&&!e.__highByOuter&&Rc(e,Cc)}function Vc(e,t){!Yc(e,t)&&!e.__highByOuter&&Rc(e,Dc)}function Gc(e,t){e.__highByOuter|=1<<(t||0),Rc(e,Cc)}function Hc(e,t){!(e.__highByOuter&=~(1<<(t||0)))&&Rc(e,Dc)}function Uc(e){Rc(e,Ec)}function Wc(e){Rc(e,Lc)}function jc(e){Rc(e,Pc)}function Xc(e){Rc(e,Oc)}function Yc(e,t){return e.__highDownSilentOnTouch&&t.zrByTouch}function Zc(e){var t=e.getModel(),n=[],r=[];t.eachComponent((function(t,i){var o=pc(i),a="series"===t,s=a?e.getViewOfSeriesModel(i):e.getViewOfComponentModel(i);!a&&r.push(s),o.isBlured&&(s.group.traverse((function(e){Lc(e)})),a&&n.push(i)),o.isBlured=!1})),pt(r,(function(e){e&&e.toggleBlurSeries&&e.toggleBlurSeries(n,!1,t)}))}function qc(e,t,n,r){var i=r.getModel();function o(e,t){for(var n=0;n<t.length;n++){var r=e.getItemGraphicEl(t[n]);r&&Wc(r)}}if(n=n||"coordinateSystem",null!=e&&t&&"none"!==t){var a=i.getSeriesByIndex(e),s=a.coordinateSystem;s&&s.master&&(s=s.master);var l=[];i.eachSeries((function(e){var i=a===e,u=e.coordinateSystem;if(u&&u.master&&(u=u.master),!("series"===n&&!i||"coordinateSystem"===n&&!(u&&s?u===s:i)||"series"===t&&i)){if(r.getViewOfSeriesModel(e).group.traverse((function(e){e.__highByOuter&&i&&"self"===t||Ec(e)})),dt(t))o(e.getData(),t);else if(At(t))for(var c=yt(t),h=0;h<c.length;h++)o(e.getData(c[h]),t[c[h]]);l.push(e),pc(e).isBlured=!0}})),i.eachComponent((function(e,t){if("series"!==e){var n=r.getViewOfComponentModel(t);n&&n.toggleBlurSeries&&n.toggleBlurSeries(l,!0,i)}}))}}function $c(e,t,n){if(null!=e&&null!=t){var r=n.getModel().getComponent(e,t);if(r){pc(r).isBlured=!0;var i=n.getViewOfComponentModel(r);i&&i.focusBlurEnabled&&i.group.traverse((function(e){Ec(e)}))}}}function Kc(e,t,n,r){var i={focusSelf:!1,dispatchers:null};if(null==e||"series"===e||null==t||null==n)return i;var o=r.getModel().getComponent(e,t);if(!o)return i;var a=r.getViewOfComponentModel(o);if(!a||!a.findHighDownDispatchers)return i;for(var s,l=a.findHighDownDispatchers(n),u=0;u<l.length;u++)if("self"===lc(l[u]).focus){s=!0;break}return{focusSelf:s,dispatchers:l}}function Jc(e){pt(e.getAllData(),(function(t){var n=t.data,r=t.type;n.eachItemGraphicEl((function(t,n){e.isSelected(n,r)?jc(t):Xc(t)}))}))}function Qc(e){var t=[];return e.eachSeries((function(e){pt(e.getAllData(),(function(n){n.data;var r=n.type,i=e.getSelectedDataIndices();if(i.length>0){var o={dataIndex:i,seriesIndex:e.seriesIndex};null!=r&&(o.dataType=r),t.push(o)}}))})),t}function eh(e,t,n){ah(e,!0),Rc(e,Fc),nh(e,t,n)}function th(e,t,n,r){r?function(e){ah(e,!1)}(e):eh(e,t,n)}function nh(e,t,n){var r=lc(e);null!=t?(r.focus=t,r.blurScope=n):r.focus&&(r.focus=null)}var rh=["emphasis","blur","select"],ih={itemStyle:"getItemStyle",lineStyle:"getLineStyle",areaStyle:"getAreaStyle"};function oh(e,t,n,r){n=n||"itemStyle";for(var i=0;i<rh.length;i++){var o=rh[i],a=t.getModel([o,n]);e.ensureState(o).style=r?r(a):a[ih[n]]()}}function ah(e,t){var n=!1===t,r=e;e.highDownSilentOnTouch&&(r.__highDownSilentOnTouch=e.highDownSilentOnTouch),n&&!r.__highDownDispatcher||(r.__highByOuter=r.__highByOuter||0,r.__highDownDispatcher=!n)}function sh(e){return!(!e||!e.__highDownDispatcher)}function lh(e){var t=e.type;return t===Sc||t===Mc||t===Tc}function uh(e){var t=e.type;return t===bc||t===wc}var ch=Ns();function hh(e,t,n,r,i){var o;if(t&&t.ecModel){var a=t.ecModel.getUpdatePayload();o=a&&a.animation}var s="update"===e;if(t&&t.isAnimationEnabled()){var l=void 0,u=void 0,c=void 0;return r?(l=Rt(r.duration,200),u=Rt(r.easing,"cubicOut"),c=0):(l=t.getShallow(s?"animationDurationUpdate":"animationDuration"),u=t.getShallow(s?"animationEasingUpdate":"animationEasing"),c=t.getShallow(s?"animationDelayUpdate":"animationDelay")),o&&(null!=o.duration&&(l=o.duration),null!=o.easing&&(u=o.easing),null!=o.delay&&(c=o.delay)),wt(c)&&(c=c(n,i)),wt(l)&&(l=l(n)),{duration:l||0,delay:c,easing:u}}return null}function dh(e,t,n,r,i,o,a){var s,l=!1;wt(i)?(a=o,o=i,i=null):At(i)&&(o=i.cb,a=i.during,l=i.isFrom,s=i.removeOpt,i=i.dataIndex);var u="leave"===e;u||t.stopAnimation("leave");var c=hh(e,r,i,u?s||{}:null,r&&r.getAnimationDelayParams?r.getAnimationDelayParams(t,i):null);if(c&&c.duration>0){var h={duration:c.duration,delay:c.delay||0,easing:c.easing,done:o,force:!!o||!!a,setToFinal:!u,scope:e,during:a};l?t.animateFrom(n,h):t.animateTo(n,h)}else t.stopAnimation(),!l&&t.attr(n),a&&a(1),o&&o()}function ph(e,t,n,r,i,o){dh("update",e,t,n,r,i,o)}function fh(e,t,n,r,i,o){dh("enter",e,t,n,r,i,o)}function gh(e){if(!e.__zr)return!0;for(var t=0;t<e.animators.length;t++)if("leave"===e.animators[t].scope)return!0;return!1}function mh(e,t,n,r,i,o){gh(e)||dh("leave",e,t,n,r,i,o)}function vh(e,t,n,r){e.removeTextContent(),e.removeTextGuideLine(),mh(e,{style:{opacity:0}},t,n,r)}function yh(e,t,n){function r(){e.parent&&e.parent.remove(e)}e.isGroup?e.traverse((function(e){e.isGroup||vh(e,t,n,r)})):vh(e,t,n,r)}function _h(e){ch(e).oldStyle=e.style}var xh={};function bh(e,t){for(var n=0;n<vc.length;n++){var r=vc[n],i=t[r],o=e.ensureState(r);o.style=o.style||{},o.style.text=i}var a=e.currentStates.slice();e.clearStates(!0),e.setStyle({text:t.normal}),e.useStates(a,!0)}function wh(e,t,n){var r,i=e.labelFetcher,o=e.labelDataIndex,a=e.labelDimIndex,s=t.normal;i&&(r=i.getFormattedLabel(o,"normal",null,a,s&&s.get("formatter"),null!=n?{interpolatedValue:n}:null)),null==r&&(r=wt(e.defaultText)?e.defaultText(o,e,n):e.defaultText);for(var l={normal:r},u=0;u<vc.length;u++){var c=vc[u],h=t[c];l[c]=Rt(i?i.getFormattedLabel(o,c,null,a,h&&h.get("formatter")):null,r)}return l}function Sh(e,t,n,r){n=n||xh;for(var i=e instanceof sc,o=!1,a=0;a<yc.length;a++)if((d=t[yc[a]])&&d.getShallow("show")){o=!0;break}var s=i?e:e.getTextContent();if(o){i||(s||(s=new sc,e.setTextContent(s)),e.stateProxy&&(s.stateProxy=e.stateProxy));var l=wh(n,t),u=t.normal,c=!!u.getShallow("show"),h=Th(u,r&&r.normal,n,!1,!i);for(h.text=l.normal,i||e.setTextConfig(Ah(u,n,!1)),a=0;a<vc.length;a++){var d,p=vc[a];if(d=t[p]){var f=s.ensureState(p),g=!!Rt(d.getShallow("show"),c);g!==c&&(f.ignore=!g),f.style=Th(d,r&&r[p],n,!0,!i),f.style.text=l[p],i||(e.ensureState(p).textConfig=Ah(d,n,!0))}}s.silent=!!u.getShallow("silent"),null!=s.style.x&&(h.x=s.style.x),null!=s.style.y&&(h.y=s.style.y),s.ignore=!c,s.useStyle(h),s.dirty(),n.enableTextSetter&&(Ph(s).setLabelText=function(e){var r=wh(n,t,e);bh(s,r)})}else s&&(s.ignore=!0);e.dirty()}function Mh(e,t){t=t||"label";for(var n={normal:e.getModel(t)},r=0;r<vc.length;r++){var i=vc[r];n[i]=e.getModel([i,t])}return n}function Th(e,t,n,r,i){var o={};return function(e,t,n,r,i){n=n||xh;var o,a=t.ecModel,s=a&&a.option.textStyle,l=function(e){for(var t;e&&e!==e.ecModel;){var n=(e.option||xh).rich;if(n){t=t||{};for(var r=yt(n),i=0;i<r.length;i++)t[r[i]]=1}e=e.parentModel}return t}(t);if(l)for(var u in o={},l)if(l.hasOwnProperty(u)){var c=t.getModel(["rich",u]);Eh(o[u]={},c,s,n,r,i,!1,!0)}o&&(e.rich=o);var h=t.get("overflow");h&&(e.overflow=h);var d=t.get("minMargin");null!=d&&(e.margin=d),Eh(e,t,s,n,r,i,!0,!1)}(o,e,n,r,i),t&&at(o,t),o}function Ah(e,t,n){t=t||{};var r,i={},o=e.getShallow("rotate"),a=Rt(e.getShallow("distance"),n?null:5),s=e.getShallow("offset");return"outside"===(r=e.getShallow("position")||(n?null:"inside"))&&(r=t.defaultOutsidePosition||"top"),null!=r&&(i.position=r),null!=s&&(i.offset=s),null!=o&&(o*=Math.PI/180,i.rotation=o),null!=a&&(i.distance=a),i.outsideFill="inherit"===e.get("color")?t.inheritColor||null:"auto",i}var Ih=["fontStyle","fontWeight","fontSize","fontFamily","textShadowColor","textShadowBlur","textShadowOffsetX","textShadowOffsetY"],Ch=["align","lineHeight","width","height","tag","verticalAlign","ellipsis"],Dh=["padding","borderWidth","borderRadius","borderDashOffset","backgroundColor","borderColor","shadowColor","shadowBlur","shadowOffsetX","shadowOffsetY"];function Eh(e,t,n,r,i,o,a,s){n=!i&&n||xh;var l=r&&r.inheritColor,u=t.getShallow("color"),c=t.getShallow("textBorderColor"),h=Rt(t.getShallow("opacity"),n.opacity);"inherit"!==u&&"auto"!==u||(u=l||null),"inherit"!==c&&"auto"!==c||(c=l||null),o||(u=u||n.color,c=c||n.textBorderColor),null!=u&&(e.fill=u),null!=c&&(e.stroke=c);var d=Rt(t.getShallow("textBorderWidth"),n.textBorderWidth);null!=d&&(e.lineWidth=d);var p=Rt(t.getShallow("textBorderType"),n.textBorderType);null!=p&&(e.lineDash=p);var f=Rt(t.getShallow("textBorderDashOffset"),n.textBorderDashOffset);null!=f&&(e.lineDashOffset=f),i||null!=h||s||(h=r&&r.defaultOpacity),null!=h&&(e.opacity=h),i||o||null==e.fill&&r.inheritColor&&(e.fill=r.inheritColor);for(var g=0;g<Ih.length;g++){var m=Ih[g];null!=(y=Rt(t.getShallow(m),n[m]))&&(e[m]=y)}for(g=0;g<Ch.length;g++)m=Ch[g],null!=(y=t.getShallow(m))&&(e[m]=y);if(null==e.verticalAlign){var v=t.getShallow("baseline");null!=v&&(e.verticalAlign=v)}if(!a||!r.disableBox){for(g=0;g<Dh.length;g++){var y;m=Dh[g],null!=(y=t.getShallow(m))&&(e[m]=y)}var _=t.getShallow("borderType");null!=_&&(e.borderDash=_),"auto"!==e.backgroundColor&&"inherit"!==e.backgroundColor||!l||(e.backgroundColor=l),"auto"!==e.borderColor&&"inherit"!==e.borderColor||!l||(e.borderColor=l)}}function Lh(e,t){var n=t&&t.getModel("textStyle");return Vt([e.fontStyle||n&&n.getShallow("fontStyle")||"",e.fontWeight||n&&n.getShallow("fontWeight")||"",(e.fontSize||n&&n.getShallow("fontSize")||12)+"px",e.fontFamily||n&&n.getShallow("fontFamily")||"sans-serif"].join(" "))}var Ph=Ns();function Oh(e,t,n,r){if(e){var i=Ph(e);i.prevValue=i.value,i.value=n;var o=t.normal;i.valueAnimation=o.get("valueAnimation"),i.valueAnimation&&(i.precision=o.get("precision"),i.defaultInterpolatedText=r,i.statesModels=t)}}function Nh(e,t,n,r,i){var o=Ph(e);if(o.valueAnimation&&o.prevValue!==o.value){var a=o.defaultInterpolatedText,s=Rt(o.interpolatedValue,o.prevValue),l=o.value;e.percent=0,(null==o.prevValue?fh:ph)(e,{percent:1},r,t,null,(function(r){var u=Us(n,o.precision,s,l,r);o.interpolatedValue=1===r?null:u;var c=wh({labelDataIndex:t,labelFetcher:i,defaultText:a?a(u):u+""},o.statesModels,u);bh(e,c)}))}}var Rh=["textStyle","color"],kh=["fontStyle","fontWeight","fontSize","fontFamily","padding","lineHeight","rich","width","height","overflow"],Bh=new sc,Fh=function(){function e(){}return e.prototype.getTextColor=function(e){var t=this.ecModel;return this.getShallow("color")||(!e&&t?t.get(Rh):null)},e.prototype.getFont=function(){return Lh({fontStyle:this.getShallow("fontStyle"),fontWeight:this.getShallow("fontWeight"),fontSize:this.getShallow("fontSize"),fontFamily:this.getShallow("fontFamily")},this.ecModel)},e.prototype.getTextRect=function(e){for(var t={text:e,verticalAlign:this.getShallow("verticalAlign")||this.getShallow("baseline")},n=0;n<kh.length;n++)t[kh[n]]=this.getShallow(kh[n]);return Bh.useStyle(t),Bh.update(),Bh.getBoundingRect()},e}();const zh=Fh;var Vh,Gh,Hh=[["lineWidth","width"],["stroke","color"],["opacity"],["shadowBlur"],["shadowOffsetX"],["shadowOffsetY"],["shadowColor"],["lineDash","type"],["lineDashOffset","dashOffset"],["lineCap","cap"],["lineJoin","join"],["miterLimit"]],Uh=el(Hh),Wh=function(){function e(){}return e.prototype.getLineStyle=function(e){return Uh(this,e)},e}(),jh=[["fill","color"],["stroke","borderColor"],["lineWidth","borderWidth"],["opacity"],["shadowBlur"],["shadowOffsetX"],["shadowOffsetY"],["shadowColor"],["lineDash","borderType"],["lineDashOffset","borderDashOffset"],["lineCap","borderCap"],["lineJoin","borderJoin"],["miterLimit","borderMiterLimit"]],Xh=el(jh),Yh=function(){function e(){}return e.prototype.getItemStyle=function(e,t){return Xh(this,e,t)},e}(),Zh=function(){function e(e,t,n){this.parentModel=t,this.ecModel=n,this.option=e}return e.prototype.init=function(e,t,n){for(var r=[],i=3;i<arguments.length;i++)r[i-3]=arguments[i]},e.prototype.mergeOption=function(e,t){it(this.option,e,!0)},e.prototype.get=function(e,t){return null==e?this.option:this._doGet(this.parsePath(e),!t&&this.parentModel)},e.prototype.getShallow=function(e,t){var n=this.option,r=null==n?n:n[e];if(null==r&&!t){var i=this.parentModel;i&&(r=i.getShallow(e))}return r},e.prototype.getModel=function(t,n){var r=null!=t,i=r?this.parsePath(t):null;return new e(r?this._doGet(i):this.option,n=n||this.parentModel&&this.parentModel.getModel(this.resolveParentPath(i)),this.ecModel)},e.prototype.isEmpty=function(){return null==this.option},e.prototype.restoreData=function(){},e.prototype.clone=function(){return new(0,this.constructor)(rt(this.option))},e.prototype.parsePath=function(e){return"string"==typeof e?e.split("."):e},e.prototype.resolveParentPath=function(e){return e},e.prototype.isAnimationEnabled=function(){if(!Ne.node&&this.option){if(null!=this.option.animation)return!!this.option.animation;if(this.parentModel)return this.parentModel.isAnimationEnabled()}},e.prototype._doGet=function(e,t){var n=this.option;if(!e)return n;for(var r=0;r<e.length&&(!e[r]||null!=(n=n&&"object"==typeof n?n[e[r]]:null));r++);return null==n&&t&&(n=t._doGet(this.resolveParentPath(e),t.parentModel)),n},e}();Zs(Zh),Vh=Zh,Gh=["__\0is_clz",$s++].join("_"),Vh.prototype[Gh]=!0,Vh.isInstance=function(e){return!(!e||!e[Gh])},ht(Zh,Wh),ht(Zh,Yh),ht(Zh,nl),ht(Zh,zh);const qh=Zh;var $h=Math.round(10*Math.random());function Kh(e){return[e||"",$h++].join("_")}function Jh(e,t){return it(it({},e,!0),t,!0)}var Qh="ZH",ed="EN",td=ed,nd={},rd={},id=Ne.domSupported&&(document.documentElement.lang||navigator.language||navigator.browserLanguage||td).toUpperCase().indexOf(Qh)>-1?Qh:td;function od(e,t){e=e.toUpperCase(),rd[e]=new qh(t),nd[e]=t}function ad(e){return rd[e]}od(ed,{time:{month:["January","February","March","April","May","June","July","August","September","October","November","December"],monthAbbr:["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],dayOfWeek:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],dayOfWeekAbbr:["Sun","Mon","Tue","Wed","Thu","Fri","Sat"]},legend:{selector:{all:"All",inverse:"Inv"}},toolbox:{brush:{title:{rect:"Box Select",polygon:"Lasso Select",lineX:"Horizontally Select",lineY:"Vertically Select",keep:"Keep Selections",clear:"Clear Selections"}},dataView:{title:"Data View",lang:["Data View","Close","Refresh"]},dataZoom:{title:{zoom:"Zoom",back:"Zoom Reset"}},magicType:{title:{line:"Switch to Line Chart",bar:"Switch to Bar Chart",stack:"Stack",tiled:"Tile"}},restore:{title:"Restore"},saveAsImage:{title:"Save as Image",lang:["Right Click to Save Image"]}},series:{typeNames:{pie:"Pie chart",bar:"Bar chart",line:"Line chart",scatter:"Scatter plot",effectScatter:"Ripple scatter plot",radar:"Radar chart",tree:"Tree",treemap:"Treemap",boxplot:"Boxplot",candlestick:"Candlestick",k:"K line chart",heatmap:"Heat map",map:"Map",parallel:"Parallel coordinate map",lines:"Line graph",graph:"Relationship graph",sankey:"Sankey diagram",funnel:"Funnel chart",gauge:"Gauge",pictorialBar:"Pictorial bar",themeRiver:"Theme River Map",sunburst:"Sunburst",custom:"Custom chart",chart:"Chart"}},aria:{general:{withTitle:'This is a chart about "{title}"',withoutTitle:"This is a chart"},series:{single:{prefix:"",withName:" with type {seriesType} named {seriesName}.",withoutName:" with type {seriesType}."},multiple:{prefix:". It consists of {seriesCount} series count.",withName:" The {seriesId} series is a {seriesType} representing {seriesName}.",withoutName:" The {seriesId} series is a {seriesType}.",separator:{middle:"",end:""}}},data:{allData:"The data is as follows: ",partialData:"The first {displayCnt} items are: ",withName:"the data for {name} is {value}",withoutName:"{value}",separator:{middle:", ",end:". "}}}}),od(Qh,{time:{month:["一月","二月","三月","四月","五月","六月","七月","八月","九月","十月","十一月","十二月"],monthAbbr:["1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"],dayOfWeek:["星期日","星期一","星期二","星期三","星期四","星期五","星期六"],dayOfWeekAbbr:["日","一","二","三","四","五","六"]},legend:{selector:{all:"全选",inverse:"反选"}},toolbox:{brush:{title:{rect:"矩形选择",polygon:"圈选",lineX:"横向选择",lineY:"纵向选择",keep:"保持选择",clear:"清除选择"}},dataView:{title:"数据视图",lang:["数据视图","关闭","刷新"]},dataZoom:{title:{zoom:"区域缩放",back:"区域缩放还原"}},magicType:{title:{line:"切换为折线图",bar:"切换为柱状图",stack:"切换为堆叠",tiled:"切换为平铺"}},restore:{title:"还原"},saveAsImage:{title:"保存为图片",lang:["右键另存为图片"]}},series:{typeNames:{pie:"饼图",bar:"柱状图",line:"折线图",scatter:"散点图",effectScatter:"涟漪散点图",radar:"雷达图",tree:"树图",treemap:"矩形树图",boxplot:"箱型图",candlestick:"K线图",k:"K线图",heatmap:"热力图",map:"地图",parallel:"平行坐标图",lines:"线图",graph:"关系图",sankey:"桑基图",funnel:"漏斗图",gauge:"仪表盘图",pictorialBar:"象形柱图",themeRiver:"主题河流图",sunburst:"旭日图",custom:"自定义图表",chart:"图表"}},aria:{general:{withTitle:"这是一个关于“{title}”的图表。",withoutTitle:"这是一个图表，"},series:{single:{prefix:"",withName:"图表类型是{seriesType}，表示{seriesName}。",withoutName:"图表类型是{seriesType}。"},multiple:{prefix:"它由{seriesCount}个图表系列组成。",withName:"第{seriesId}个系列是一个表示{seriesName}的{seriesType}，",withoutName:"第{seriesId}个系列是一个{seriesType}，",separator:{middle:"；",end:"。"}}},data:{allData:"其数据是——",partialData:"其中，前{displayCnt}项是——",withName:"{name}的数据是{value}",withoutName:"{value}",separator:{middle:"，",end:""}}}});var sd=1e3,ld=6e4,ud=36e5,cd=864e5,hd=31536e6,dd={year:"{yyyy}",month:"{MMM}",day:"{d}",hour:"{HH}:{mm}",minute:"{HH}:{mm}",second:"{HH}:{mm}:{ss}",millisecond:"{HH}:{mm}:{ss} {SSS}",none:"{yyyy}-{MM}-{dd} {HH}:{mm}:{ss} {SSS}"},pd="{yyyy}-{MM}-{dd}",fd={year:"{yyyy}",month:"{yyyy}-{MM}",day:pd,hour:pd+" "+dd.hour,minute:pd+" "+dd.minute,second:pd+" "+dd.second,millisecond:dd.none},gd=["year","month","day","hour","minute","second","millisecond"],md=["year","half-year","quarter","month","week","half-week","day","half-day","quarter-day","hour","minute","second","millisecond"];function vd(e,t){return"0000".substr(0,t-(e+="").length)+e}function yd(e){switch(e){case"half-year":case"quarter":return"month";case"week":case"half-week":return"day";case"half-day":case"quarter-day":return"hour";default:return e}}function _d(e,t,n,r){var i=ls(e),o=i[wd(n)](),a=i[Sd(n)]()+1,s=Math.floor((a-1)/3)+1,l=i[Md(n)](),u=i["get"+(n?"UTC":"")+"Day"](),c=i[Td(n)](),h=(c-1)%12+1,d=i[Ad(n)](),p=i[Id(n)](),f=i[Cd(n)](),g=(r instanceof qh?r:ad(r||id)||rd[td]).getModel("time"),m=g.get("month"),v=g.get("monthAbbr"),y=g.get("dayOfWeek"),_=g.get("dayOfWeekAbbr");return(t||"").replace(/{yyyy}/g,o+"").replace(/{yy}/g,vd(o%100+"",2)).replace(/{Q}/g,s+"").replace(/{MMMM}/g,m[a-1]).replace(/{MMM}/g,v[a-1]).replace(/{MM}/g,vd(a,2)).replace(/{M}/g,a+"").replace(/{dd}/g,vd(l,2)).replace(/{d}/g,l+"").replace(/{eeee}/g,y[u]).replace(/{ee}/g,_[u]).replace(/{e}/g,u+"").replace(/{HH}/g,vd(c,2)).replace(/{H}/g,c+"").replace(/{hh}/g,vd(h+"",2)).replace(/{h}/g,h+"").replace(/{mm}/g,vd(d,2)).replace(/{m}/g,d+"").replace(/{ss}/g,vd(p,2)).replace(/{s}/g,p+"").replace(/{SSS}/g,vd(f,3)).replace(/{S}/g,f+"")}function xd(e,t){var n=ls(e),r=n[Sd(t)]()+1,i=n[Md(t)](),o=n[Td(t)](),a=n[Ad(t)](),s=n[Id(t)](),l=0===n[Cd(t)](),u=l&&0===s,c=u&&0===a,h=c&&0===o,d=h&&1===i;return d&&1===r?"year":d?"month":h?"day":c?"hour":u?"minute":l?"second":"millisecond"}function bd(e,t,n){var r=Tt(e)?ls(e):e;switch(t=t||xd(e,n)){case"year":return r[wd(n)]();case"half-year":return r[Sd(n)]()>=6?1:0;case"quarter":return Math.floor((r[Sd(n)]()+1)/4);case"month":return r[Sd(n)]();case"day":return r[Md(n)]();case"half-day":return r[Td(n)]()/24;case"hour":return r[Td(n)]();case"minute":return r[Ad(n)]();case"second":return r[Id(n)]();case"millisecond":return r[Cd(n)]()}}function wd(e){return e?"getUTCFullYear":"getFullYear"}function Sd(e){return e?"getUTCMonth":"getMonth"}function Md(e){return e?"getUTCDate":"getDate"}function Td(e){return e?"getUTCHours":"getHours"}function Ad(e){return e?"getUTCMinutes":"getMinutes"}function Id(e){return e?"getUTCSeconds":"getSeconds"}function Cd(e){return e?"getUTCMilliseconds":"getMilliseconds"}function Dd(e){return e?"setUTCFullYear":"setFullYear"}function Ed(e){return e?"setUTCMonth":"setMonth"}function Ld(e){return e?"setUTCDate":"setDate"}function Pd(e){return e?"setUTCHours":"setHours"}function Od(e){return e?"setUTCMinutes":"setMinutes"}function Nd(e){return e?"setUTCSeconds":"setSeconds"}function Rd(e){return e?"setUTCMilliseconds":"setMilliseconds"}function kd(e){if(!gs(e))return St(e)?e:"-";var t=(e+"").split(".");return t[0].replace(/(\d{1,3})(?=(?:\d{3})+(?!\d))/g,"$1,")+(t.length>1?"."+t[1]:"")}function Bd(e,t){return e=(e||"").toLowerCase().replace(/-(.)/g,(function(e,t){return t.toUpperCase()})),t&&e&&(e=e.charAt(0).toUpperCase()+e.slice(1)),e}var Fd=Ft;function zd(e,t,n){function r(e){return e&&Vt(e)?e:"-"}function i(e){return!(null==e||isNaN(e)||!isFinite(e))}var o="time"===t,a=e instanceof Date;if(o||a){var s=o?ls(e):e;if(!isNaN(+s))return _d(s,"{yyyy}-{MM}-{dd} {HH}:{mm}:{ss}",n);if(a)return"-"}if("ordinal"===t)return Mt(e)?r(e):Tt(e)&&i(e)?e+"":"-";var l=fs(e);return i(l)?kd(l):Mt(e)?r(e):"boolean"==typeof e?e+"":"-"}var Vd=["a","b","c","d","e","f","g"],Gd=function(e,t){return"{"+e+(null==t?"":t)+"}"};function Hd(e,t,n){bt(t)||(t=[t]);var r=t.length;if(!r)return"";for(var i=t[0].$vars||[],o=0;o<i.length;o++){var a=Vd[o];e=e.replace(Gd(a),Gd(a,0))}for(var s=0;s<r;s++)for(var l=0;l<i.length;l++){var u=t[s][i[l]];e=e.replace(Gd(Vd[l],s),n?Hn(u):u)}return e}function Ud(e,t){var n=St(e)?{color:e,extraCssText:t}:e||{},r=n.color,i=n.type;t=n.extraCssText;var o=n.renderMode||"html";return r?"html"===o?"subItem"===i?'<span style="display:inline-block;vertical-align:middle;margin-right:8px;margin-left:3px;border-radius:4px;width:4px;height:4px;background-color:'+Hn(r)+";"+(t||"")+'"></span>':'<span style="display:inline-block;margin-right:4px;border-radius:10px;width:10px;height:10px;background-color:'+Hn(r)+";"+(t||"")+'"></span>':{renderMode:o,content:"{"+(n.markerId||"markerX")+"|}  ",style:"subItem"===i?{width:4,height:4,borderRadius:2,backgroundColor:r}:{width:10,height:10,borderRadius:5,backgroundColor:r}}:""}function Wd(e,t,n){"week"!==e&&"month"!==e&&"quarter"!==e&&"half-year"!==e&&"year"!==e||(e="MM-dd\nyyyy");var r=ls(t),i=n?"getUTC":"get",o=r[i+"FullYear"](),a=r[i+"Month"]()+1,s=r[i+"Date"](),l=r[i+"Hours"](),u=r[i+"Minutes"](),c=r[i+"Seconds"](),h=r[i+"Milliseconds"]();return e.replace("MM",vd(a,2)).replace("M",a).replace("yyyy",o).replace("yy",vd(o%100+"",2)).replace("dd",vd(s,2)).replace("d",s).replace("hh",vd(l,2)).replace("h",l).replace("mm",vd(u,2)).replace("m",u).replace("ss",vd(c,2)).replace("s",c).replace("SSS",vd(h,3))}function jd(e){return e?e.charAt(0).toUpperCase()+e.substr(1):e}function Xd(e,t){return t=t||"transparent",St(e)?e:At(e)&&e.colorStops&&(e.colorStops[0]||{}).color||t}function Yd(e,t){if("_blank"===t||"blank"===t){var n=window.open();n.opener=null,n.location.href=e}else window.open(e,t)}var Zd=pt,qd=["left","right","top","bottom","width","height"],$d=[["width","left","right"],["height","top","bottom"]];function Kd(e,t,n,r,i){var o=0,a=0;null==r&&(r=1/0),null==i&&(i=1/0);var s=0;t.eachChild((function(l,u){var c,h,d=l.getBoundingRect(),p=t.childAt(u+1),f=p&&p.getBoundingRect();if("horizontal"===e){var g=d.width+(f?-f.x+d.x:0);(c=o+g)>r||l.newline?(o=0,c=g,a+=s+n,s=d.height):s=Math.max(s,d.height)}else{var m=d.height+(f?-f.y+d.y:0);(h=a+m)>i||l.newline?(o+=s+n,a=0,h=m,s=d.width):s=Math.max(s,d.width)}l.newline||(l.x=o,l.y=a,l.markRedraw(),"horizontal"===e?o=c+n:a=h+n)}))}var Jd=Kd;function Qd(e,t,n){n=Fd(n||0);var r=t.width,i=t.height,o=qa(e.left,r),a=qa(e.top,i),s=qa(e.right,r),l=qa(e.bottom,i),u=qa(e.width,r),c=qa(e.height,i),h=n[2]+n[0],d=n[1]+n[3],p=e.aspect;switch(isNaN(u)&&(u=r-s-d-o),isNaN(c)&&(c=i-l-h-a),null!=p&&(isNaN(u)&&isNaN(c)&&(p>r/i?u=.8*r:c=.8*i),isNaN(u)&&(u=p*c),isNaN(c)&&(c=u/p)),isNaN(o)&&(o=r-s-u-d),isNaN(a)&&(a=i-l-c-h),e.left||e.right){case"center":o=r/2-u/2-n[3];break;case"right":o=r-u-d}switch(e.top||e.bottom){case"middle":case"center":a=i/2-c/2-n[0];break;case"bottom":a=i-c-h}o=o||0,a=a||0,isNaN(u)&&(u=r-d-o-(s||0)),isNaN(c)&&(c=i-h-a-(l||0));var f=new wr(o+n[3],a+n[0],u,c);return f.margin=n,f}function ep(e,t,n,r,i,o){var a,s=!i||!i.hv||i.hv[0],l=!i||!i.hv||i.hv[1],u=i&&i.boundingMode||"all";if((o=o||e).x=e.x,o.y=e.y,!s&&!l)return!1;if("raw"===u)a="group"===e.type?new wr(0,0,+t.width||0,+t.height||0):e.getBoundingRect();else if(a=e.getBoundingRect(),e.needLocalTransform()){var c=e.getLocalTransform();(a=a.clone()).applyTransform(c)}var h=Qd(st({width:a.width,height:a.height},t),n,r),d=s?h.x-a.x:0,p=l?h.y-a.y:0;return"raw"===u?(o.x=d,o.y=p):(o.x+=d,o.y+=p),o===e&&e.markRedraw(),!0}function tp(e){var t=e.layoutMode||e.constructor.layoutMode;return At(t)?t:t?{type:t}:null}function np(e,t,n){var r=n&&n.ignoreSize;!bt(r)&&(r=[r,r]);var i=a($d[0],0),o=a($d[1],1);function a(n,i){var o={},a=0,u={},c=0;if(Zd(n,(function(t){u[t]=e[t]})),Zd(n,(function(e){s(t,e)&&(o[e]=u[e]=t[e]),l(o,e)&&a++,l(u,e)&&c++})),r[i])return l(t,n[1])?u[n[2]]=null:l(t,n[2])&&(u[n[1]]=null),u;if(2!==c&&a){if(a>=2)return o;for(var h=0;h<n.length;h++){var d=n[h];if(!s(o,d)&&s(e,d)){o[d]=e[d];break}}return o}return u}function s(e,t){return e.hasOwnProperty(t)}function l(e,t){return null!=e[t]&&"auto"!==e[t]}function u(e,t,n){Zd(e,(function(e){t[e]=n[e]}))}u($d[0],e,i),u($d[1],e,o)}function rp(e){return ip({},e)}function ip(e,t){return t&&e&&Zd(qd,(function(n){t.hasOwnProperty(n)&&(e[n]=t[n])})),e}xt(Kd,"vertical"),xt(Kd,"horizontal");var op=Ns(),ap=function(e){function t(t,n,r){var i=e.call(this,t,n,r)||this;return i.uid=Kh("ec_cpt_model"),i}return Le(t,e),t.prototype.init=function(e,t,n){this.mergeDefaultAndTheme(e,n)},t.prototype.mergeDefaultAndTheme=function(e,t){var n=tp(this),r=n?rp(e):{};it(e,t.getTheme().get(this.mainType)),it(e,this.getDefaultOption()),n&&np(e,r,n)},t.prototype.mergeOption=function(e,t){it(this.option,e,!0);var n=tp(this);n&&np(this.option,e,n)},t.prototype.optionUpdated=function(e,t){},t.prototype.getDefaultOption=function(){var e=this.constructor;if(!function(e){return!(!e||!e[Xs])}(e))return e.defaultOption;var t=op(this);if(!t.defaultOption){for(var n=[],r=e;r;){var i=r.prototype.defaultOption;i&&n.push(i),r=r.superClass}for(var o={},a=n.length-1;a>=0;a--)o=it(o,n[a],!0);t.defaultOption=o}return t.defaultOption},t.prototype.getReferringComponents=function(e,t){var n=e+"Index",r=e+"Id";return Vs(this.ecModel,e,{index:this.get(n,!0),id:this.get(r,!0)},t)},t.prototype.getBoxLayoutParams=function(){var e=this;return{left:e.get("left"),top:e.get("top"),right:e.get("right"),bottom:e.get("bottom"),width:e.get("width"),height:e.get("height")}},t.prototype.getZLevelKey=function(){return""},t.prototype.setZLevel=function(e){this.option.zlevel=e},t.protoInitialize=function(){var e=t.prototype;e.type="component",e.id="",e.name="",e.mainType="",e.subType="",e.componentIndex=0}(),t}(qh);qs(ap,qh),Qs(ap),function(e){var t={};e.registerSubTypeDefaulter=function(e,n){var r=Ys(e);t[r.main]=n},e.determineSubType=function(n,r){var i=r.type;if(!i){var o=Ys(n).main;e.hasSubTypes(n)&&t[o]&&(i=t[o](r))}return i}}(ap),function(e,t){function n(e,t){return e[t]||(e[t]={predecessor:[],successor:[]}),e[t]}e.topologicalTravel=function(e,t,r,i){if(e.length){var o=function(e){var t={},r=[];return pt(e,(function(i){var o,a,s=n(t,i),l=function(e,t){var n=[];return pt(e,(function(e){ut(t,e)>=0&&n.push(e)})),n}(s.originalDeps=(o=i,a=[],pt(ap.getClassesByMainType(o),(function(e){a=a.concat(e.dependencies||e.prototype.dependencies||[])})),a=ft(a,(function(e){return Ys(e).main})),"dataset"!==o&&ut(a,"dataset")<=0&&a.unshift("dataset"),a),e);s.entryCount=l.length,0===s.entryCount&&r.push(i),pt(l,(function(e){ut(s.predecessor,e)<0&&s.predecessor.push(e);var r=n(t,e);ut(r.successor,e)<0&&r.successor.push(i)}))})),{graph:t,noEntryList:r}}(t),a=o.graph,s=o.noEntryList,l={};for(pt(e,(function(e){l[e]=!0}));s.length;){var u=s.pop(),c=a[u],h=!!l[u];h&&(r.call(i,u,c.originalDeps.slice()),delete l[u]),pt(c.successor,h?p:d)}pt(l,(function(){throw new Error("")}))}function d(e){a[e].entryCount--,0===a[e].entryCount&&s.push(e)}function p(e){l[e]=!0,d(e)}}}(ap);const sp=ap;var lp="";"undefined"!=typeof navigator&&(lp=navigator.platform||"");var up="rgba(0, 0, 0, 0.2)";const cp={darkMode:"auto",colorBy:"series",color:["#5470c6","#91cc75","#fac858","#ee6666","#73c0de","#3ba272","#fc8452","#9a60b4","#ea7ccc"],gradientColor:["#f6efa6","#d88273","#bf444c"],aria:{decal:{decals:[{color:up,dashArrayX:[1,0],dashArrayY:[2,5],symbolSize:1,rotation:Math.PI/6},{color:up,symbol:"circle",dashArrayX:[[8,8],[0,8,8,0]],dashArrayY:[6,0],symbolSize:.8},{color:up,dashArrayX:[1,0],dashArrayY:[4,3],rotation:-Math.PI/4},{color:up,dashArrayX:[[6,6],[0,6,6,0]],dashArrayY:[6,0]},{color:up,dashArrayX:[[1,0],[1,6]],dashArrayY:[1,0,6,0],rotation:Math.PI/4},{color:up,symbol:"triangle",dashArrayX:[[9,9],[0,9,9,0]],dashArrayY:[7,2],symbolSize:.75}]}},textStyle:{fontFamily:lp.match(/^Win/)?"Microsoft YaHei":"sans-serif",fontSize:12,fontStyle:"normal",fontWeight:"normal"},blendMode:null,stateAnimation:{duration:300,easing:"cubicOut"},animation:"auto",animationDuration:1e3,animationDurationUpdate:500,animationEasing:"cubicInOut",animationEasingUpdate:"cubicInOut",animationThreshold:2e3,progressiveThreshold:3e3,progressive:400,hoverLayerThreshold:3e3,useUTC:!1};var hp=Yt(["tooltip","label","itemName","itemId","itemGroupId","itemChildGroupId","seriesName"]),dp="original",pp="arrayRows",fp="objectRows",gp="keyedColumns",mp="typedArray",vp="unknown",yp="column",_p="row",xp={Must:1,Might:2,Not:3},bp=Ns();function wp(e,t,n){var r={},i=Mp(t);if(!i||!e)return r;var o,a,s=[],l=[],u=t.ecModel,c=bp(u).datasetMap,h=i.uid+"_"+n.seriesLayoutBy;pt(e=e.slice(),(function(t,n){var i=At(t)?t:e[n]={name:t};"ordinal"===i.type&&null==o&&(o=n,a=f(i)),r[i.name]=[]}));var d=c.get(h)||c.set(h,{categoryWayDim:a,valueWayDim:0});function p(e,t,n){for(var r=0;r<n;r++)e.push(t+r)}function f(e){var t=e.dimsDef;return t?t.length:1}return pt(e,(function(e,t){var n=e.name,i=f(e);if(null==o){var a=d.valueWayDim;p(r[n],a,i),p(l,a,i),d.valueWayDim+=i}else o===t?(p(r[n],0,i),p(s,0,i)):(a=d.categoryWayDim,p(r[n],a,i),p(l,a,i),d.categoryWayDim+=i)})),s.length&&(r.itemName=s),l.length&&(r.seriesName=l),r}function Sp(e,t,n){var r={};if(!Mp(e))return r;var i,o=t.sourceFormat,a=t.dimensionsDefine;o!==fp&&o!==gp||pt(a,(function(e,t){"name"===(At(e)?e.name:e)&&(i=t)}));var s=function(){for(var e={},r={},s=[],l=0,u=Math.min(5,n);l<u;l++){var c=Ap(t.data,o,t.seriesLayoutBy,a,t.startIndex,l);s.push(c);var h=c===xp.Not;if(h&&null==e.v&&l!==i&&(e.v=l),(null==e.n||e.n===e.v||!h&&s[e.n]===xp.Not)&&(e.n=l),d(e)&&s[e.n]!==xp.Not)return e;h||(c===xp.Might&&null==r.v&&l!==i&&(r.v=l),null!=r.n&&r.n!==r.v||(r.n=l))}function d(e){return null!=e.v&&null!=e.n}return d(e)?e:d(r)?r:null}();if(s){r.value=[s.v];var l=null!=i?i:s.n;r.itemName=[l],r.seriesName=[l]}return r}function Mp(e){if(!e.get("data",!0))return Vs(e.ecModel,"dataset",{index:e.get("datasetIndex",!0),id:e.get("datasetId",!0)},Fs).models[0]}function Tp(e,t){return Ap(e.data,e.sourceFormat,e.seriesLayoutBy,e.dimensionsDefine,e.startIndex,t)}function Ap(e,t,n,r,i,o){var a,s,l;if(Ct(e))return xp.Not;if(r){var u=r[o];At(u)?(s=u.name,l=u.type):St(u)&&(s=u)}if(null!=l)return"ordinal"===l?xp.Must:xp.Not;if(t===pp){var c=e;if(n===_p){for(var h=c[o],d=0;d<(h||[]).length&&d<5;d++)if(null!=(a=_(h[i+d])))return a}else for(d=0;d<c.length&&d<5;d++){var p=c[i+d];if(p&&null!=(a=_(p[o])))return a}}else if(t===fp){var f=e;if(!s)return xp.Not;for(d=0;d<f.length&&d<5;d++)if((v=f[d])&&null!=(a=_(v[s])))return a}else if(t===gp){var g=e;if(!s)return xp.Not;if(!(h=g[s])||Ct(h))return xp.Not;for(d=0;d<h.length&&d<5;d++)if(null!=(a=_(h[d])))return a}else if(t===dp){var m=e;for(d=0;d<m.length&&d<5;d++){var v,y=Ts(v=m[d]);if(!bt(y))return xp.Not;if(null!=(a=_(y[o])))return a}}function _(e){var t=St(e);return null!=e&&isFinite(e)&&""!==e?t?xp.Might:xp.Not:t&&"-"!==e?xp.Must:void 0}return xp.Not}var Ip,Cp,Dp,Ep=Yt(),Lp=Ns(),Pp=Ns(),Op=function(){function e(){}return e.prototype.getColorFromPalette=function(e,t,n){var r=ws(this.get("color",!0)),i=this.get("colorLayer",!0);return Rp(this,Lp,r,i,e,t,n)},e.prototype.clearColorPalette=function(){!function(e,t){t(e).paletteIdx=0,t(e).paletteNameMap={}}(this,Lp)},e}();function Np(e,t,n,r){var i=ws(e.get(["aria","decal","decals"]));return Rp(e,Pp,i,null,t,n,r)}function Rp(e,t,n,r,i,o,a){var s=t(o=o||e),l=s.paletteIdx||0,u=s.paletteNameMap=s.paletteNameMap||{};if(u.hasOwnProperty(i))return u[i];var c=null!=a&&r?function(e,t){for(var n=e.length,r=0;r<n;r++)if(e[r].length>t)return e[r];return e[n-1]}(r,a):n;if((c=c||n)&&c.length){var h=c[l];return i&&(u[i]=h),s.paletteIdx=(l+1)%c.length,h}}var kp="\0_ec_inner",Bp=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.init=function(e,t,n,r,i,o){r=r||{},this.option=null,this._theme=new qh(r),this._locale=new qh(i),this._optionManager=o},t.prototype.setOption=function(e,t,n){var r=Vp(t);this._optionManager.setOption(e,n,r),this._resetOption(null,r)},t.prototype.resetOption=function(e,t){return this._resetOption(e,Vp(t))},t.prototype._resetOption=function(e,t){var n=!1,r=this._optionManager;if(!e||"recreate"===e){var i=r.mountOption("recreate"===e);this.option&&"recreate"!==e?(this.restoreData(),this._mergeOption(i,t)):Dp(this,i),n=!0}if("timeline"!==e&&"media"!==e||this.restoreData(),!e||"recreate"===e||"timeline"===e){var o=r.getTimelineOption(this);o&&(n=!0,this._mergeOption(o,t))}if(!e||"recreate"===e||"media"===e){var a=r.getMediaOption(this);a.length&&pt(a,(function(e){n=!0,this._mergeOption(e,t)}),this)}return n},t.prototype.mergeOption=function(e){this._mergeOption(e,null)},t.prototype._mergeOption=function(e,t){var n=this.option,r=this._componentsMap,i=this._componentsCount,o=[],a=Yt(),s=t&&t.replaceMergeMainTypeMap;bp(this).datasetMap=Yt(),pt(e,(function(e,t){null!=e&&(sp.hasClass(t)?t&&(o.push(t),a.set(t,!0)):n[t]=null==n[t]?rt(e):it(n[t],e,!0))})),s&&s.each((function(e,t){sp.hasClass(t)&&!a.get(t)&&(o.push(t),a.set(t,!0))})),sp.topologicalTravel(o,sp.getAllClassMainTypes(),(function(t){var o=function(e,t,n){var r=Ep.get(t);if(!r)return n;var i=r(e);return i?n.concat(i):n}(this,t,ws(e[t])),a=r.get(t),l=Is(a,o,a?s&&s.get(t)?"replaceMerge":"normalMerge":"replaceAll");(function(e,t,n){pt(e,(function(e){var r=e.newOption;At(r)&&(e.keyInfo.mainType=t,e.keyInfo.subType=function(e,t,n,r){return t.type?t.type:n?n.subType:r.determineSubType(e,t)}(t,r,e.existing,n))}))})(l,t,sp),n[t]=null,r.set(t,null),i.set(t,0);var u,c=[],h=[],d=0;pt(l,(function(e,n){var r=e.existing,i=e.newOption;if(i){var o="series"===t,a=sp.getClass(t,e.keyInfo.subType,!o);if(!a)return;if("tooltip"===t){if(u)return;u=!0}if(r&&r.constructor===a)r.name=e.keyInfo.name,r.mergeOption(i,this),r.optionUpdated(i,!1);else{var s=at({componentIndex:n},e.keyInfo);at(r=new a(i,this,this,s),s),e.brandNew&&(r.__requireNewView=!0),r.init(i,this,this),r.optionUpdated(null,!0)}}else r&&(r.mergeOption({},this),r.optionUpdated({},!1));r?(c.push(r.option),h.push(r),d++):(c.push(void 0),h.push(void 0))}),this),n[t]=c,r.set(t,h),i.set(t,d),"series"===t&&Ip(this)}),this),this._seriesIndices||Ip(this)},t.prototype.getOption=function(){var e=rt(this.option);return pt(e,(function(t,n){if(sp.hasClass(n)){for(var r=ws(t),i=r.length,o=!1,a=i-1;a>=0;a--)r[a]&&!Ps(r[a])?o=!0:(r[a]=null,!o&&i--);r.length=i,e[n]=r}})),delete e[kp],e},t.prototype.getTheme=function(){return this._theme},t.prototype.getLocaleModel=function(){return this._locale},t.prototype.setUpdatePayload=function(e){this._payload=e},t.prototype.getUpdatePayload=function(){return this._payload},t.prototype.getComponent=function(e,t){var n=this._componentsMap.get(e);if(n){var r=n[t||0];if(r)return r;if(null==t)for(var i=0;i<n.length;i++)if(n[i])return n[i]}},t.prototype.queryComponents=function(e){var t=e.mainType;if(!t)return[];var n,r=e.index,i=e.id,o=e.name,a=this._componentsMap.get(t);return a&&a.length?(null!=r?(n=[],pt(ws(r),(function(e){a[e]&&n.push(a[e])}))):n=null!=i?Fp("id",i,a):null!=o?Fp("name",o,a):mt(a,(function(e){return!!e})),zp(n,e)):[]},t.prototype.findComponents=function(e){var t,n,r,i,o,a=e.query,s=e.mainType,l=(n=s+"Index",r=s+"Id",i=s+"Name",!(t=a)||null==t[n]&&null==t[r]&&null==t[i]?null:{mainType:s,index:t[n],id:t[r],name:t[i]});return o=zp(l?this.queryComponents(l):mt(this._componentsMap.get(s),(function(e){return!!e})),e),e.filter?mt(o,e.filter):o},t.prototype.eachComponent=function(e,t,n){var r=this._componentsMap;if(wt(e)){var i=t,o=e;r.each((function(e,t){for(var n=0;e&&n<e.length;n++){var r=e[n];r&&o.call(i,t,r,r.componentIndex)}}))}else for(var a=St(e)?r.get(e):At(e)?this.findComponents(e):null,s=0;a&&s<a.length;s++){var l=a[s];l&&t.call(n,l,l.componentIndex)}},t.prototype.getSeriesByName=function(e){var t=Es(e,null);return mt(this._componentsMap.get("series"),(function(e){return!!e&&null!=t&&e.name===t}))},t.prototype.getSeriesByIndex=function(e){return this._componentsMap.get("series")[e]},t.prototype.getSeriesByType=function(e){return mt(this._componentsMap.get("series"),(function(t){return!!t&&t.subType===e}))},t.prototype.getSeries=function(){return mt(this._componentsMap.get("series"),(function(e){return!!e}))},t.prototype.getSeriesCount=function(){return this._componentsCount.get("series")},t.prototype.eachSeries=function(e,t){Cp(this),pt(this._seriesIndices,(function(n){var r=this._componentsMap.get("series")[n];e.call(t,r,n)}),this)},t.prototype.eachRawSeries=function(e,t){pt(this._componentsMap.get("series"),(function(n){n&&e.call(t,n,n.componentIndex)}))},t.prototype.eachSeriesByType=function(e,t,n){Cp(this),pt(this._seriesIndices,(function(r){var i=this._componentsMap.get("series")[r];i.subType===e&&t.call(n,i,r)}),this)},t.prototype.eachRawSeriesByType=function(e,t,n){return pt(this.getSeriesByType(e),t,n)},t.prototype.isSeriesFiltered=function(e){return Cp(this),null==this._seriesIndicesMap.get(e.componentIndex)},t.prototype.getCurrentSeriesIndices=function(){return(this._seriesIndices||[]).slice()},t.prototype.filterSeries=function(e,t){Cp(this);var n=[];pt(this._seriesIndices,(function(r){var i=this._componentsMap.get("series")[r];e.call(t,i,r)&&n.push(r)}),this),this._seriesIndices=n,this._seriesIndicesMap=Yt(n)},t.prototype.restoreData=function(e){Ip(this);var t=this._componentsMap,n=[];t.each((function(e,t){sp.hasClass(t)&&n.push(t)})),sp.topologicalTravel(n,sp.getAllClassMainTypes(),(function(n){pt(t.get(n),(function(t){!t||"series"===n&&function(e,t){if(t){var n=t.seriesIndex,r=t.seriesId,i=t.seriesName;return null!=n&&e.componentIndex!==n||null!=r&&e.id!==r||null!=i&&e.name!==i}}(t,e)||t.restoreData()}))}))},t.internalField=(Ip=function(e){var t=e._seriesIndices=[];pt(e._componentsMap.get("series"),(function(e){e&&t.push(e.componentIndex)})),e._seriesIndicesMap=Yt(t)},Cp=function(e){},void(Dp=function(e,t){e.option={},e.option[kp]=1,e._componentsMap=Yt({series:[]}),e._componentsCount=Yt();var n=t.aria;At(n)&&null==n.enabled&&(n.enabled=!0),function(e,t){var n=e.color&&!e.colorLayer;pt(t,(function(t,r){"colorLayer"===r&&n||sp.hasClass(r)||("object"==typeof t?e[r]=e[r]?it(e[r],t,!1):rt(t):null==e[r]&&(e[r]=t))}))}(t,e._theme.option),it(t,cp,!1),e._mergeOption(t,null)})),t}(qh);function Fp(e,t,n){if(bt(t)){var r=Yt();return pt(t,(function(e){null!=e&&null!=Es(e,null)&&r.set(e,!0)})),mt(n,(function(t){return t&&r.get(t[e])}))}var i=Es(t,null);return mt(n,(function(t){return t&&null!=i&&t[e]===i}))}function zp(e,t){return t.hasOwnProperty("subType")?mt(e,(function(e){return e&&e.subType===t.subType})):e}function Vp(e){var t=Yt();return e&&pt(ws(e.replaceMerge),(function(e){t.set(e,!0)})),{replaceMergeMainTypeMap:t}}ht(Bp,Op);const Gp=Bp;var Hp=["getDom","getZr","getWidth","getHeight","getDevicePixelRatio","dispatchAction","isSSR","isDisposed","on","off","getDataURL","getConnectedDataURL","getOption","getId","updateLabelLayout"];const Up=function(e){pt(Hp,(function(t){this[t]=_t(e[t],e)}),this)};var Wp={},jp=function(){function e(){this._coordinateSystems=[]}return e.prototype.create=function(e,t){var n=[];pt(Wp,(function(r,i){var o=r.create(e,t);n=n.concat(o||[])})),this._coordinateSystems=n},e.prototype.update=function(e,t){pt(this._coordinateSystems,(function(n){n.update&&n.update(e,t)}))},e.prototype.getCoordinateSystems=function(){return this._coordinateSystems.slice()},e.register=function(e,t){Wp[e]=t},e.get=function(e){return Wp[e]},e}();const Xp=jp;var Yp=/^(min|max)?(.+)$/,Zp=function(){function e(e){this._timelineOptions=[],this._mediaList=[],this._currentMediaIndices=[],this._api=e}return e.prototype.setOption=function(e,t,n){e&&(pt(ws(e.series),(function(e){e&&e.data&&Ct(e.data)&&Ht(e.data)})),pt(ws(e.dataset),(function(e){e&&e.source&&Ct(e.source)&&Ht(e.source)}))),e=rt(e);var r=this._optionBackup,i=function(e,t,n){var r,i,o=[],a=e.baseOption,s=e.timeline,l=e.options,u=e.media,c=!!e.media,h=!!(l||s||a&&a.timeline);function d(e){pt(t,(function(t){t(e,n)}))}return a?(i=a).timeline||(i.timeline=s):((h||c)&&(e.options=e.media=null),i=e),c&&bt(u)&&pt(u,(function(e){e&&e.option&&(e.query?o.push(e):r||(r=e))})),d(i),pt(l,(function(e){return d(e)})),pt(o,(function(e){return d(e.option)})),{baseOption:i,timelineOptions:l||[],mediaDefault:r,mediaList:o}}(e,t,!r);this._newBaseOption=i.baseOption,r?(i.timelineOptions.length&&(r.timelineOptions=i.timelineOptions),i.mediaList.length&&(r.mediaList=i.mediaList),i.mediaDefault&&(r.mediaDefault=i.mediaDefault)):this._optionBackup=i},e.prototype.mountOption=function(e){var t=this._optionBackup;return this._timelineOptions=t.timelineOptions,this._mediaList=t.mediaList,this._mediaDefault=t.mediaDefault,this._currentMediaIndices=[],rt(e?t.baseOption:this._newBaseOption)},e.prototype.getTimelineOption=function(e){var t,n=this._timelineOptions;if(n.length){var r=e.getComponent("timeline");r&&(t=rt(n[r.getCurrentIndex()]))}return t},e.prototype.getMediaOption=function(e){var t,n,r=this._api.getWidth(),i=this._api.getHeight(),o=this._mediaList,a=this._mediaDefault,s=[],l=[];if(!o.length&&!a)return l;for(var u=0,c=o.length;u<c;u++)qp(o[u].query,r,i)&&s.push(u);return!s.length&&a&&(s=[-1]),s.length&&(t=s,n=this._currentMediaIndices,t.join(",")!==n.join(","))&&(l=ft(s,(function(e){return rt(-1===e?a.option:o[e].option)}))),this._currentMediaIndices=s,l},e}();function qp(e,t,n){var r={width:t,height:n,aspectratio:t/n},i=!0;return pt(e,(function(e,t){var n=t.match(Yp);if(n&&n[1]&&n[2]){var o=n[1],a=n[2].toLowerCase();(function(e,t,n){return"min"===n?e>=t:"max"===n?e<=t:e===t})(r[a],e,o)||(i=!1)}})),i}const $p=Zp;var Kp=pt,Jp=At,Qp=["areaStyle","lineStyle","nodeStyle","linkStyle","chordStyle","label","labelLine"];function ef(e){var t=e&&e.itemStyle;if(t)for(var n=0,r=Qp.length;n<r;n++){var i=Qp[n],o=t.normal,a=t.emphasis;o&&o[i]&&(e[i]=e[i]||{},e[i].normal?it(e[i].normal,o[i]):e[i].normal=o[i],o[i]=null),a&&a[i]&&(e[i]=e[i]||{},e[i].emphasis?it(e[i].emphasis,a[i]):e[i].emphasis=a[i],a[i]=null)}}function tf(e,t,n){if(e&&e[t]&&(e[t].normal||e[t].emphasis)){var r=e[t].normal,i=e[t].emphasis;r&&(n?(e[t].normal=e[t].emphasis=null,st(e[t],r)):e[t]=r),i&&(e.emphasis=e.emphasis||{},e.emphasis[t]=i,i.focus&&(e.emphasis.focus=i.focus),i.blurScope&&(e.emphasis.blurScope=i.blurScope))}}function nf(e){tf(e,"itemStyle"),tf(e,"lineStyle"),tf(e,"areaStyle"),tf(e,"label"),tf(e,"labelLine"),tf(e,"upperLabel"),tf(e,"edgeLabel")}function rf(e,t){var n=Jp(e)&&e[t],r=Jp(n)&&n.textStyle;if(r)for(var i=0,o=Ms.length;i<o;i++){var a=Ms[i];r.hasOwnProperty(a)&&(n[a]=r[a])}}function of(e){e&&(nf(e),rf(e,"label"),e.emphasis&&rf(e.emphasis,"label"))}function af(e){return bt(e)?e:e?[e]:[]}function sf(e){return(bt(e)?e[0]:e)||{}}function lf(e){e&&pt(uf,(function(t){t[0]in e&&!(t[1]in e)&&(e[t[1]]=e[t[0]])}))}var uf=[["x","left"],["y","top"],["x2","right"],["y2","bottom"]],cf=["grid","geo","parallel","legend","toolbox","title","visualMap","dataZoom","timeline"],hf=[["borderRadius","barBorderRadius"],["borderColor","barBorderColor"],["borderWidth","barBorderWidth"]];function df(e){var t=e&&e.itemStyle;if(t)for(var n=0;n<hf.length;n++){var r=hf[n][1],i=hf[n][0];null!=t[r]&&(t[i]=t[r])}}function pf(e){e&&"edge"===e.alignTo&&null!=e.margin&&null==e.edgeDistance&&(e.edgeDistance=e.margin)}function ff(e){e&&e.downplay&&!e.blur&&(e.blur=e.downplay)}function gf(e,t){if(e)for(var n=0;n<e.length;n++)t(e[n]),e[n]&&gf(e[n].children,t)}function mf(e,t){(function(e,t){Kp(af(e.series),(function(e){Jp(e)&&function(e){if(Jp(e)){ef(e),nf(e),rf(e,"label"),rf(e,"upperLabel"),rf(e,"edgeLabel"),e.emphasis&&(rf(e.emphasis,"label"),rf(e.emphasis,"upperLabel"),rf(e.emphasis,"edgeLabel"));var t=e.markPoint;t&&(ef(t),of(t));var n=e.markLine;n&&(ef(n),of(n));var r=e.markArea;r&&of(r);var i=e.data;if("graph"===e.type){i=i||e.nodes;var o=e.links||e.edges;if(o&&!Ct(o))for(var a=0;a<o.length;a++)of(o[a]);pt(e.categories,(function(e){nf(e)}))}if(i&&!Ct(i))for(a=0;a<i.length;a++)of(i[a]);if((t=e.markPoint)&&t.data){var s=t.data;for(a=0;a<s.length;a++)of(s[a])}if((n=e.markLine)&&n.data){var l=n.data;for(a=0;a<l.length;a++)bt(l[a])?(of(l[a][0]),of(l[a][1])):of(l[a])}"gauge"===e.type?(rf(e,"axisLabel"),rf(e,"title"),rf(e,"detail")):"treemap"===e.type?(tf(e.breadcrumb,"itemStyle"),pt(e.levels,(function(e){nf(e)}))):"tree"===e.type&&nf(e.leaves)}}(e)}));var n=["xAxis","yAxis","radiusAxis","angleAxis","singleAxis","parallelAxis","radar"];t&&n.push("valueAxis","categoryAxis","logAxis","timeAxis"),Kp(n,(function(t){Kp(af(e[t]),(function(e){e&&(rf(e,"axisLabel"),rf(e.axisPointer,"label"))}))})),Kp(af(e.parallel),(function(e){var t=e&&e.parallelAxisDefault;rf(t,"axisLabel"),rf(t&&t.axisPointer,"label")})),Kp(af(e.calendar),(function(e){tf(e,"itemStyle"),rf(e,"dayLabel"),rf(e,"monthLabel"),rf(e,"yearLabel")})),Kp(af(e.radar),(function(e){rf(e,"name"),e.name&&null==e.axisName&&(e.axisName=e.name,delete e.name),null!=e.nameGap&&null==e.axisNameGap&&(e.axisNameGap=e.nameGap,delete e.nameGap)})),Kp(af(e.geo),(function(e){Jp(e)&&(of(e),Kp(af(e.regions),(function(e){of(e)})))})),Kp(af(e.timeline),(function(e){of(e),tf(e,"label"),tf(e,"itemStyle"),tf(e,"controlStyle",!0);var t=e.data;bt(t)&&pt(t,(function(e){At(e)&&(tf(e,"label"),tf(e,"itemStyle"))}))})),Kp(af(e.toolbox),(function(e){tf(e,"iconStyle"),Kp(e.feature,(function(e){tf(e,"iconStyle")}))})),rf(sf(e.axisPointer),"label"),rf(sf(e.tooltip).axisPointer,"label")})(e,t),e.series=ws(e.series),pt(e.series,(function(e){if(At(e)){var t=e.type;if("line"===t)null!=e.clipOverflow&&(e.clip=e.clipOverflow);else if("pie"===t||"gauge"===t){if(null!=e.clockWise&&(e.clockwise=e.clockWise),pf(e.label),(i=e.data)&&!Ct(i))for(var n=0;n<i.length;n++)pf(i[n]);null!=e.hoverOffset&&(e.emphasis=e.emphasis||{},(e.emphasis.scaleSize=null)&&(e.emphasis.scaleSize=e.hoverOffset))}else if("gauge"===t){var r=function(e,t){for(var n="pointer.color".split(","),r=e,i=0;i<n.length&&null!=(r=r&&r[n[i]]);i++);return r}(e);null!=r&&function(e,t,n,r){for(var i,o="itemStyle.color".split(","),a=e,s=0;s<o.length-1;s++)null==a[i=o[s]]&&(a[i]={}),a=a[i];null==a[o[s]]&&(a[o[s]]=n)}(e,0,r)}else if("bar"===t){var i;if(df(e),df(e.backgroundStyle),df(e.emphasis),(i=e.data)&&!Ct(i))for(n=0;n<i.length;n++)"object"==typeof i[n]&&(df(i[n]),df(i[n]&&i[n].emphasis))}else if("sunburst"===t){var o=e.highlightPolicy;o&&(e.emphasis=e.emphasis||{},e.emphasis.focus||(e.emphasis.focus=o)),ff(e),gf(e.data,ff)}else"graph"===t||"sankey"===t?function(e){e&&null!=e.focusNodeAdjacency&&(e.emphasis=e.emphasis||{},null==e.emphasis.focus&&(e.emphasis.focus="adjacency"))}(e):"map"===t&&(e.mapType&&!e.map&&(e.map=e.mapType),e.mapLocation&&st(e,e.mapLocation));null!=e.hoverAnimation&&(e.emphasis=e.emphasis||{},e.emphasis&&null==e.emphasis.scale&&(e.emphasis.scale=e.hoverAnimation)),lf(e)}})),e.dataRange&&(e.visualMap=e.dataRange),pt(cf,(function(t){var n=e[t];n&&(bt(n)||(n=[n]),pt(n,(function(e){lf(e)})))}))}function vf(e){pt(e,(function(t,n){var r=[],i=[NaN,NaN],o=[t.stackResultDimension,t.stackedOverDimension],a=t.data,s=t.isStackedByIndex,l=t.seriesModel.get("stackStrategy")||"samesign";a.modify(o,(function(o,u,c){var h,d,p=a.get(t.stackedDimension,c);if(isNaN(p))return i;s?d=a.getRawIndex(c):h=a.get(t.stackedByDimension,c);for(var f=NaN,g=n-1;g>=0;g--){var m=e[g];if(s||(d=m.data.rawIndexOf(m.stackedByDimension,h)),d>=0){var v=m.data.getByRawIndex(m.stackResultDimension,d);if("all"===l||"positive"===l&&v>0||"negative"===l&&v<0||"samesign"===l&&p>=0&&v>0||"samesign"===l&&p<=0&&v<0){p=rs(p,v),f=v;break}}}return r[0]=p,r[1]=f,r}))}))}var yf,_f,xf,bf,wf,Sf=function(e){this.data=e.data||(e.sourceFormat===gp?{}:[]),this.sourceFormat=e.sourceFormat||vp,this.seriesLayoutBy=e.seriesLayoutBy||yp,this.startIndex=e.startIndex||0,this.dimensionsDetectedCount=e.dimensionsDetectedCount,this.metaRawOption=e.metaRawOption;var t=this.dimensionsDefine=e.dimensionsDefine;if(t)for(var n=0;n<t.length;n++){var r=t[n];null==r.type&&Tp(this,n)===xp.Must&&(r.type="ordinal")}};function Mf(e){return e instanceof Sf}function Tf(e,t,n){n=n||If(e);var r=t.seriesLayoutBy,i=function(e,t,n,r,i){var o,a;if(!e)return{dimensionsDefine:Cf(i),startIndex:a,dimensionsDetectedCount:o};if(t===pp){var s=e;"auto"===r||null==r?Df((function(e){null!=e&&"-"!==e&&(St(e)?null==a&&(a=1):a=0)}),n,s,10):a=Tt(r)?r:r?1:0,i||1!==a||(i=[],Df((function(e,t){i[t]=null!=e?e+"":""}),n,s,1/0)),o=i?i.length:n===_p?s.length:s[0]?s[0].length:null}else if(t===fp)i||(i=function(e){for(var t,n=0;n<e.length&&!(t=e[n++]););if(t)return yt(t)}(e));else if(t===gp)i||(i=[],pt(e,(function(e,t){i.push(t)})));else if(t===dp){var l=Ts(e[0]);o=bt(l)&&l.length||1}return{startIndex:a,dimensionsDefine:Cf(i),dimensionsDetectedCount:o}}(e,n,r,t.sourceHeader,t.dimensions);return new Sf({data:e,sourceFormat:n,seriesLayoutBy:r,dimensionsDefine:i.dimensionsDefine,startIndex:i.startIndex,dimensionsDetectedCount:i.dimensionsDetectedCount,metaRawOption:rt(t)})}function Af(e){return new Sf({data:e,sourceFormat:Ct(e)?mp:dp})}function If(e){var t=vp;if(Ct(e))t=mp;else if(bt(e)){0===e.length&&(t=pp);for(var n=0,r=e.length;n<r;n++){var i=e[n];if(null!=i){if(bt(i)||Ct(i)){t=pp;break}if(At(i)){t=fp;break}}}}else if(At(e))for(var o in e)if(Kt(e,o)&&dt(e[o])){t=gp;break}return t}function Cf(e){if(e){var t=Yt();return ft(e,(function(e,n){var r={name:(e=At(e)?e:{name:e}).name,displayName:e.displayName,type:e.type};if(null==r.name)return r;r.name+="",null==r.displayName&&(r.displayName=r.name);var i=t.get(r.name);return i?r.name+="-"+i.count++:t.set(r.name,{count:1}),r}))}}function Df(e,t,n,r){if(t===_p)for(var i=0;i<n.length&&i<r;i++)e(n[i]?n[i][0]:null,i);else{var o=n[0]||[];for(i=0;i<o.length&&i<r;i++)e(o[i],i)}}function Ef(e){var t=e.sourceFormat;return t===fp||t===gp}var Lf=function(){function e(e,t){var n=Mf(e)?e:Af(e);this._source=n;var r=this._data=n.data;n.sourceFormat===mp&&(this._offset=0,this._dimSize=t,this._data=r),wf(this,r,n)}return e.prototype.getSource=function(){return this._source},e.prototype.count=function(){return 0},e.prototype.getItem=function(e,t){},e.prototype.appendData=function(e){},e.prototype.clean=function(){},e.protoInitialize=function(){var t=e.prototype;t.pure=!1,t.persistent=!0}(),e.internalField=function(){var e;wf=function(e,i,o){var a=o.sourceFormat,s=o.seriesLayoutBy,l=o.startIndex,u=o.dimensionsDefine;if(at(e,bf[Gf(a,s)]),a===mp)e.getItem=t,e.count=r,e.fillStorage=n;else{var c=Nf(a,s);e.getItem=_t(c,null,i,l,u);var h=Bf(a,s);e.count=_t(h,null,i,l,u)}};var t=function(e,t){e-=this._offset,t=t||[];for(var n=this._data,r=this._dimSize,i=r*e,o=0;o<r;o++)t[o]=n[i+o];return t},n=function(e,t,n,r){for(var i=this._data,o=this._dimSize,a=0;a<o;a++){for(var s=r[a],l=null==s[0]?1/0:s[0],u=null==s[1]?-1/0:s[1],c=t-e,h=n[a],d=0;d<c;d++){var p=i[d*o+a];h[e+d]=p,p<l&&(l=p),p>u&&(u=p)}s[0]=l,s[1]=u}},r=function(){return this._data?this._data.length/this._dimSize:0};function i(e){for(var t=0;t<e.length;t++)this._data.push(e[t])}(e={})[pp+"_"+yp]={pure:!0,appendData:i},e[pp+"_"+_p]={pure:!0,appendData:function(){throw new Error('Do not support appendData when set seriesLayoutBy: "row".')}},e[fp]={pure:!0,appendData:i},e[gp]={pure:!0,appendData:function(e){var t=this._data;pt(e,(function(e,n){for(var r=t[n]||(t[n]=[]),i=0;i<(e||[]).length;i++)r.push(e[i])}))}},e[dp]={appendData:i},e[mp]={persistent:!1,pure:!0,appendData:function(e){this._data=e},clean:function(){this._offset+=this.count(),this._data=null}},bf=e}(),e}(),Pf=function(e,t,n,r){return e[r]},Of=((yf={})[pp+"_"+yp]=function(e,t,n,r){return e[r+t]},yf[pp+"_"+_p]=function(e,t,n,r,i){r+=t;for(var o=i||[],a=e,s=0;s<a.length;s++){var l=a[s];o[s]=l?l[r]:null}return o},yf[fp]=Pf,yf[gp]=function(e,t,n,r,i){for(var o=i||[],a=0;a<n.length;a++){var s=e[n[a].name];o[a]=s?s[r]:null}return o},yf[dp]=Pf,yf);function Nf(e,t){return Of[Gf(e,t)]}var Rf=function(e,t,n){return e.length},kf=((_f={})[pp+"_"+yp]=function(e,t,n){return Math.max(0,e.length-t)},_f[pp+"_"+_p]=function(e,t,n){var r=e[0];return r?Math.max(0,r.length-t):0},_f[fp]=Rf,_f[gp]=function(e,t,n){var r=e[n[0].name];return r?r.length:0},_f[dp]=Rf,_f);function Bf(e,t){return kf[Gf(e,t)]}var Ff=function(e,t,n){return e[t]},zf=((xf={})[pp]=Ff,xf[fp]=function(e,t,n){return e[n]},xf[gp]=Ff,xf[dp]=function(e,t,n){var r=Ts(e);return r instanceof Array?r[t]:r},xf[mp]=Ff,xf);function Vf(e){return zf[e]}function Gf(e,t){return e===pp?e+"_"+t:e}function Hf(e,t,n){if(e){var r=e.getRawDataItem(t);if(null!=r){var i=e.getStore(),o=i.getSource().sourceFormat;if(null!=n){var a=e.getDimensionIndex(n),s=i.getDimensionProperty(a);return Vf(o)(r,a,s)}var l=r;return o===dp&&(l=Ts(r)),l}}}var Uf=/\{@(.+?)\}/g,Wf=function(){function e(){}return e.prototype.getDataParams=function(e,t){var n=this.getData(t),r=this.getRawValue(e,t),i=n.getRawIndex(e),o=n.getName(e),a=n.getRawDataItem(e),s=n.getItemVisual(e,"style"),l=s&&s[n.getItemVisual(e,"drawType")||"fill"],u=s&&s.stroke,c=this.mainType,h="series"===c,d=n.userOutput&&n.userOutput.get();return{componentType:c,componentSubType:this.subType,componentIndex:this.componentIndex,seriesType:h?this.subType:null,seriesIndex:this.seriesIndex,seriesId:h?this.id:null,seriesName:h?this.name:null,name:o,dataIndex:i,data:a,dataType:t,value:r,color:l,borderColor:u,dimensionNames:d?d.fullDimensions:null,encode:d?d.encode:null,$vars:["seriesName","name","value"]}},e.prototype.getFormattedLabel=function(e,t,n,r,i,o){t=t||"normal";var a=this.getData(n),s=this.getDataParams(e,n);return o&&(s.value=o.interpolatedValue),null!=r&&bt(s.value)&&(s.value=s.value[r]),i||(i=a.getItemModel(e).get("normal"===t?["label","formatter"]:[t,"label","formatter"])),wt(i)?(s.status=t,s.dimensionIndex=r,i(s)):St(i)?Hd(i,s).replace(Uf,(function(t,n){var r=n.length,i=n;"["===i.charAt(0)&&"]"===i.charAt(r-1)&&(i=+i.slice(1,r-1));var s=Hf(a,e,i);if(o&&bt(o.interpolatedValue)){var l=a.getDimensionIndex(i);l>=0&&(s=o.interpolatedValue[l])}return null!=s?s+"":""})):void 0},e.prototype.getRawValue=function(e,t){return Hf(this.getData(t),e)},e.prototype.formatTooltip=function(e,t,n){},e}();function jf(e){var t,n;return At(e)?e.type&&(n=e):t=e,{text:t,frag:n}}function Xf(e){return new Yf(e)}var Yf=function(){function e(e){e=e||{},this._reset=e.reset,this._plan=e.plan,this._count=e.count,this._onDirty=e.onDirty,this._dirty=!0}return e.prototype.perform=function(e){var t,n=this._upstream,r=e&&e.skip;if(this._dirty&&n){var i=this.context;i.data=i.outputData=n.context.outputData}this.__pipeline&&(this.__pipeline.currentTask=this),this._plan&&!r&&(t=this._plan(this.context));var o,a=c(this._modBy),s=this._modDataCount||0,l=c(e&&e.modBy),u=e&&e.modDataCount||0;function c(e){return!(e>=1)&&(e=1),e}a===l&&s===u||(t="reset"),(this._dirty||"reset"===t)&&(this._dirty=!1,o=this._doReset(r)),this._modBy=l,this._modDataCount=u;var h=e&&e.step;if(this._dueEnd=n?n._outputDueEnd:this._count?this._count(this.context):1/0,this._progress){var d=this._dueIndex,p=Math.min(null!=h?this._dueIndex+h:1/0,this._dueEnd);if(!r&&(o||d<p)){var f=this._progress;if(bt(f))for(var g=0;g<f.length;g++)this._doProgress(f[g],d,p,l,u);else this._doProgress(f,d,p,l,u)}this._dueIndex=p;var m=null!=this._settedOutputEnd?this._settedOutputEnd:p;this._outputDueEnd=m}else this._dueIndex=this._outputDueEnd=null!=this._settedOutputEnd?this._settedOutputEnd:this._dueEnd;return this.unfinished()},e.prototype.dirty=function(){this._dirty=!0,this._onDirty&&this._onDirty(this.context)},e.prototype._doProgress=function(e,t,n,r,i){Zf.reset(t,n,r,i),this._callingProgress=e,this._callingProgress({start:t,end:n,count:n-t,next:Zf.next},this.context)},e.prototype._doReset=function(e){var t,n;this._dueIndex=this._outputDueEnd=this._dueEnd=0,this._settedOutputEnd=null,!e&&this._reset&&((t=this._reset(this.context))&&t.progress&&(n=t.forceFirstProgress,t=t.progress),bt(t)&&!t.length&&(t=null)),this._progress=t,this._modBy=this._modDataCount=null;var r=this._downstream;return r&&r.dirty(),n},e.prototype.unfinished=function(){return this._progress&&this._dueIndex<this._dueEnd},e.prototype.pipe=function(e){(this._downstream!==e||this._dirty)&&(this._downstream=e,e._upstream=this,e.dirty())},e.prototype.dispose=function(){this._disposed||(this._upstream&&(this._upstream._downstream=null),this._downstream&&(this._downstream._upstream=null),this._dirty=!1,this._disposed=!0)},e.prototype.getUpstream=function(){return this._upstream},e.prototype.getDownstream=function(){return this._downstream},e.prototype.setOutputEnd=function(e){this._outputDueEnd=this._settedOutputEnd=e},e}(),Zf=function(){var e,t,n,r,i,o={reset:function(l,u,c,h){t=l,e=u,n=c,r=h,i=Math.ceil(r/n),o.next=n>1&&r>0?s:a}};return o;function a(){return t<e?t++:null}function s(){var o=t%i*n+Math.ceil(t/i),a=t>=e?null:o<r?o:t;return t++,a}}();function qf(e){throw new Error(e)}function $f(e,t){var n=t&&t.type;return"ordinal"===n?e:("time"!==n||Tt(e)||null==e||"-"===e||(e=+ls(e)),null==e||""===e?NaN:+e)}"undefined"!=typeof console&&console.warn&&console.log;var Kf=Yt({number:function(e){return parseFloat(e)},time:function(e){return+ls(e)},trim:function(e){return St(e)?Vt(e):e}});function Jf(e){return Kf.get(e)}var Qf={lt:function(e,t){return e<t},lte:function(e,t){return e<=t},gt:function(e,t){return e>t},gte:function(e,t){return e>=t}},eg=function(){function e(e,t){Tt(t)||qf(""),this._opFn=Qf[e],this._rvalFloat=fs(t)}return e.prototype.evaluate=function(e){return Tt(e)?this._opFn(e,this._rvalFloat):this._opFn(fs(e),this._rvalFloat)},e}(),tg=function(){function e(e,t){var n="desc"===e;this._resultLT=n?1:-1,null==t&&(t=n?"min":"max"),this._incomparable="min"===t?-1/0:1/0}return e.prototype.evaluate=function(e,t){var n=Tt(e)?e:fs(e),r=Tt(t)?t:fs(t),i=isNaN(n),o=isNaN(r);if(i&&(n=this._incomparable),o&&(r=this._incomparable),i&&o){var a=St(e),s=St(t);a&&(n=s?e:0),s&&(r=a?t:0)}return n<r?this._resultLT:n>r?-this._resultLT:0},e}(),ng=function(){function e(e,t){this._rval=t,this._isEQ=e,this._rvalTypeof=typeof t,this._rvalFloat=fs(t)}return e.prototype.evaluate=function(e){var t=e===this._rval;if(!t){var n=typeof e;n===this._rvalTypeof||"number"!==n&&"number"!==this._rvalTypeof||(t=fs(e)===this._rvalFloat)}return this._isEQ?t:!t},e}();function rg(e,t){return"eq"===e||"ne"===e?new ng("eq"===e,t):Kt(Qf,e)?new eg(e,t):null}var ig=function(){function e(){}return e.prototype.getRawData=function(){throw new Error("not supported")},e.prototype.getRawDataItem=function(e){throw new Error("not supported")},e.prototype.cloneRawData=function(){},e.prototype.getDimensionInfo=function(e){},e.prototype.cloneAllDimensionInfo=function(){},e.prototype.count=function(){},e.prototype.retrieveValue=function(e,t){},e.prototype.retrieveValueFromItem=function(e,t){},e.prototype.convertValue=function(e,t){return $f(e,t)},e}();function og(e){return hg(e.sourceFormat)||qf(""),e.data}function ag(e){var t=e.sourceFormat,n=e.data;if(hg(t)||qf(""),t===pp){for(var r=[],i=0,o=n.length;i<o;i++)r.push(n[i].slice());return r}if(t===fp){for(r=[],i=0,o=n.length;i<o;i++)r.push(at({},n[i]));return r}}function sg(e,t,n){if(null!=n)return Tt(n)||!isNaN(n)&&!Kt(t,n)?e[n]:Kt(t,n)?t[n]:void 0}function lg(e){return rt(e)}var ug=Yt();function cg(e,t,n,r){t.length||qf(""),At(e)||qf("");var i=e.type,o=ug.get(i);o||qf("");var a=ft(t,(function(e){return function(e,t){var n=new ig,r=e.data,i=n.sourceFormat=e.sourceFormat,o=e.startIndex;e.seriesLayoutBy!==yp&&qf("");var a=[],s={},l=e.dimensionsDefine;if(l)pt(l,(function(e,t){var n=e.name,r={index:t,name:n,displayName:e.displayName};a.push(r),null!=n&&(Kt(s,n)&&qf(""),s[n]=r)}));else for(var u=0;u<e.dimensionsDetectedCount;u++)a.push({index:u});var c=Nf(i,yp);t.__isBuiltIn&&(n.getRawDataItem=function(e){return c(r,o,a,e)},n.getRawData=_t(og,null,e)),n.cloneRawData=_t(ag,null,e);var h=Bf(i,yp);n.count=_t(h,null,r,o,a);var d=Vf(i);n.retrieveValue=function(e,t){var n=c(r,o,a,e);return p(n,t)};var p=n.retrieveValueFromItem=function(e,t){if(null!=e){var n=a[t];return n?d(e,t,n.name):void 0}};return n.getDimensionInfo=_t(sg,null,a,s),n.cloneAllDimensionInfo=_t(lg,null,a),n}(e,o)}));return ft(ws(o.transform({upstream:a[0],upstreamList:a,config:rt(e.config)})),(function(e,n){var r;At(e)||qf(""),e.data||qf(""),hg(If(e.data))||qf("");var i=t[0];if(i&&0===n&&!e.dimensions){var o=i.startIndex;o&&(e.data=i.data.slice(0,o).concat(e.data)),r={seriesLayoutBy:yp,sourceHeader:o,dimensions:i.metaRawOption.dimensions}}else r={seriesLayoutBy:yp,sourceHeader:0,dimensions:e.dimensions};return Tf(e.data,r,null)}))}function hg(e){return e===pp||e===fp}var dg,pg="undefined",fg=typeof Uint32Array===pg?Array:Uint32Array,gg=typeof Uint16Array===pg?Array:Uint16Array,mg=typeof Int32Array===pg?Array:Int32Array,vg=typeof Float64Array===pg?Array:Float64Array,yg={float:vg,int:mg,ordinal:Array,number:Array,time:vg};function _g(e){return e>65535?fg:gg}function xg(e,t,n,r,i){var o=yg[n||"float"];if(i){var a=e[t],s=a&&a.length;if(s!==r){for(var l=new o(r),u=0;u<s;u++)l[u]=a[u];e[t]=l}}else e[t]=new o(r)}var bg=function(){function e(){this._chunks=[],this._rawExtent=[],this._extent=[],this._count=0,this._rawCount=0,this._calcDimNameToIdx=Yt()}return e.prototype.initData=function(e,t,n){this._provider=e,this._chunks=[],this._indices=null,this.getRawIndex=this._getRawIdxIdentity;var r=e.getSource(),i=this.defaultDimValueGetter=dg[r.sourceFormat];this._dimValueGetter=n||i,this._rawExtent=[],Ef(r),this._dimensions=ft(t,(function(e){return{type:e.type,property:e.property}})),this._initDataFromProvider(0,e.count())},e.prototype.getProvider=function(){return this._provider},e.prototype.getSource=function(){return this._provider.getSource()},e.prototype.ensureCalculationDimension=function(e,t){var n=this._calcDimNameToIdx,r=this._dimensions,i=n.get(e);if(null!=i){if(r[i].type===t)return i}else i=r.length;return r[i]={type:t},n.set(e,i),this._chunks[i]=new yg[t||"float"](this._rawCount),this._rawExtent[i]=[1/0,-1/0],i},e.prototype.collectOrdinalMeta=function(e,t){var n=this._chunks[e],r=this._dimensions[e],i=this._rawExtent,o=r.ordinalOffset||0,a=n.length;0===o&&(i[e]=[1/0,-1/0]);for(var s=i[e],l=o;l<a;l++){var u=n[l]=t.parseAndCollect(n[l]);isNaN(u)||(s[0]=Math.min(u,s[0]),s[1]=Math.max(u,s[1]))}r.ordinalMeta=t,r.ordinalOffset=a,r.type="ordinal"},e.prototype.getOrdinalMeta=function(e){return this._dimensions[e].ordinalMeta},e.prototype.getDimensionProperty=function(e){var t=this._dimensions[e];return t&&t.property},e.prototype.appendData=function(e){var t=this._provider,n=this.count();t.appendData(e);var r=t.count();return t.persistent||(r+=n),n<r&&this._initDataFromProvider(n,r,!0),[n,r]},e.prototype.appendValues=function(e,t){for(var n=this._chunks,r=this._dimensions,i=r.length,o=this._rawExtent,a=this.count(),s=a+Math.max(e.length,t||0),l=0;l<i;l++)xg(n,l,(p=r[l]).type,s,!0);for(var u=[],c=a;c<s;c++)for(var h=c-a,d=0;d<i;d++){var p=r[d],f=dg.arrayRows.call(this,e[h]||u,p.property,h,d);n[d][c]=f;var g=o[d];f<g[0]&&(g[0]=f),f>g[1]&&(g[1]=f)}return this._rawCount=this._count=s,{start:a,end:s}},e.prototype._initDataFromProvider=function(e,t,n){for(var r=this._provider,i=this._chunks,o=this._dimensions,a=o.length,s=this._rawExtent,l=ft(o,(function(e){return e.property})),u=0;u<a;u++){var c=o[u];s[u]||(s[u]=[1/0,-1/0]),xg(i,u,c.type,t,n)}if(r.fillStorage)r.fillStorage(e,t,i,s);else for(var h=[],d=e;d<t;d++){h=r.getItem(d,h);for(var p=0;p<a;p++){var f=i[p],g=this._dimValueGetter(h,l[p],d,p);f[d]=g;var m=s[p];g<m[0]&&(m[0]=g),g>m[1]&&(m[1]=g)}}!r.persistent&&r.clean&&r.clean(),this._rawCount=this._count=t,this._extent=[]},e.prototype.count=function(){return this._count},e.prototype.get=function(e,t){if(!(t>=0&&t<this._count))return NaN;var n=this._chunks[e];return n?n[this.getRawIndex(t)]:NaN},e.prototype.getValues=function(e,t){var n=[],r=[];if(null==t){t=e,e=[];for(var i=0;i<this._dimensions.length;i++)r.push(i)}else r=e;i=0;for(var o=r.length;i<o;i++)n.push(this.get(r[i],t));return n},e.prototype.getByRawIndex=function(e,t){if(!(t>=0&&t<this._rawCount))return NaN;var n=this._chunks[e];return n?n[t]:NaN},e.prototype.getSum=function(e){var t=0;if(this._chunks[e])for(var n=0,r=this.count();n<r;n++){var i=this.get(e,n);isNaN(i)||(t+=i)}return t},e.prototype.getMedian=function(e){var t=[];this.each([e],(function(e){isNaN(e)||t.push(e)}));var n=t.sort((function(e,t){return e-t})),r=this.count();return 0===r?0:r%2==1?n[(r-1)/2]:(n[r/2]+n[r/2-1])/2},e.prototype.indexOfRawIndex=function(e){if(e>=this._rawCount||e<0)return-1;if(!this._indices)return e;var t=this._indices,n=t[e];if(null!=n&&n<this._count&&n===e)return e;for(var r=0,i=this._count-1;r<=i;){var o=(r+i)/2|0;if(t[o]<e)r=o+1;else{if(!(t[o]>e))return o;i=o-1}}return-1},e.prototype.indicesOfNearest=function(e,t,n){var r=this._chunks[e],i=[];if(!r)return i;null==n&&(n=1/0);for(var o=1/0,a=-1,s=0,l=0,u=this.count();l<u;l++){var c=t-r[this.getRawIndex(l)],h=Math.abs(c);h<=n&&((h<o||h===o&&c>=0&&a<0)&&(o=h,a=c,s=0),c===a&&(i[s++]=l))}return i.length=s,i},e.prototype.getIndices=function(){var e,t=this._indices;if(t){var n=t.constructor,r=this._count;if(n===Array){e=new n(r);for(var i=0;i<r;i++)e[i]=t[i]}else e=new n(t.buffer,0,r)}else for(e=new(n=_g(this._rawCount))(this.count()),i=0;i<e.length;i++)e[i]=i;return e},e.prototype.filter=function(e,t){if(!this._count)return this;for(var n=this.clone(),r=n.count(),i=new(_g(n._rawCount))(r),o=[],a=e.length,s=0,l=e[0],u=n._chunks,c=0;c<r;c++){var h=void 0,d=n.getRawIndex(c);if(0===a)h=t(c);else if(1===a)h=t(u[l][d],c);else{for(var p=0;p<a;p++)o[p]=u[e[p]][d];o[p]=c,h=t.apply(null,o)}h&&(i[s++]=d)}return s<r&&(n._indices=i),n._count=s,n._extent=[],n._updateGetRawIdx(),n},e.prototype.selectRange=function(e){var t=this.clone(),n=t._count;if(!n)return this;var r=yt(e),i=r.length;if(!i)return this;var o=t.count(),a=new(_g(t._rawCount))(o),s=0,l=r[0],u=e[l][0],c=e[l][1],h=t._chunks,d=!1;if(!t._indices){var p=0;if(1===i){for(var f=h[r[0]],g=0;g<n;g++)((_=f[g])>=u&&_<=c||isNaN(_))&&(a[s++]=p),p++;d=!0}else if(2===i){f=h[r[0]];var m=h[r[1]],v=e[r[1]][0],y=e[r[1]][1];for(g=0;g<n;g++){var _=f[g],x=m[g];(_>=u&&_<=c||isNaN(_))&&(x>=v&&x<=y||isNaN(x))&&(a[s++]=p),p++}d=!0}}if(!d)if(1===i)for(g=0;g<o;g++){var b=t.getRawIndex(g);((_=h[r[0]][b])>=u&&_<=c||isNaN(_))&&(a[s++]=b)}else for(g=0;g<o;g++){for(var w=!0,S=(b=t.getRawIndex(g),0);S<i;S++){var M=r[S];((_=h[M][b])<e[M][0]||_>e[M][1])&&(w=!1)}w&&(a[s++]=t.getRawIndex(g))}return s<o&&(t._indices=a),t._count=s,t._extent=[],t._updateGetRawIdx(),t},e.prototype.map=function(e,t){var n=this.clone(e);return this._updateDims(n,e,t),n},e.prototype.modify=function(e,t){this._updateDims(this,e,t)},e.prototype._updateDims=function(e,t,n){for(var r=e._chunks,i=[],o=t.length,a=e.count(),s=[],l=e._rawExtent,u=0;u<t.length;u++)l[t[u]]=[1/0,-1/0];for(var c=0;c<a;c++){for(var h=e.getRawIndex(c),d=0;d<o;d++)s[d]=r[t[d]][h];s[o]=c;var p=n&&n.apply(null,s);if(null!=p)for("object"!=typeof p&&(i[0]=p,p=i),u=0;u<p.length;u++){var f=t[u],g=p[u],m=l[f],v=r[f];v&&(v[h]=g),g<m[0]&&(m[0]=g),g>m[1]&&(m[1]=g)}}},e.prototype.lttbDownSample=function(e,t){var n,r,i,o=this.clone([e],!0),a=o._chunks[e],s=this.count(),l=0,u=Math.floor(1/t),c=this.getRawIndex(0),h=new(_g(this._rawCount))(Math.min(2*(Math.ceil(s/u)+2),s));h[l++]=c;for(var d=1;d<s-1;d+=u){for(var p=Math.min(d+u,s-1),f=Math.min(d+2*u,s),g=(f+p)/2,m=0,v=p;v<f;v++){var y=a[T=this.getRawIndex(v)];isNaN(y)||(m+=y)}m/=f-p;var _=d,x=Math.min(d+u,s),b=d-1,w=a[c];n=-1,i=_;var S=-1,M=0;for(v=_;v<x;v++){var T;y=a[T=this.getRawIndex(v)],isNaN(y)?(M++,S<0&&(S=T)):(r=Math.abs((b-g)*(y-w)-(b-v)*(m-w)))>n&&(n=r,i=T)}M>0&&M<x-_&&(h[l++]=Math.min(S,i),i=Math.max(S,i)),h[l++]=i,c=i}return h[l++]=this.getRawIndex(s-1),o._count=l,o._indices=h,o.getRawIndex=this._getRawIdx,o},e.prototype.downSample=function(e,t,n,r){for(var i=this.clone([e],!0),o=i._chunks,a=[],s=Math.floor(1/t),l=o[e],u=this.count(),c=i._rawExtent[e]=[1/0,-1/0],h=new(_g(this._rawCount))(Math.ceil(u/s)),d=0,p=0;p<u;p+=s){s>u-p&&(s=u-p,a.length=s);for(var f=0;f<s;f++){var g=this.getRawIndex(p+f);a[f]=l[g]}var m=n(a),v=this.getRawIndex(Math.min(p+r(a,m)||0,u-1));l[v]=m,m<c[0]&&(c[0]=m),m>c[1]&&(c[1]=m),h[d++]=v}return i._count=d,i._indices=h,i._updateGetRawIdx(),i},e.prototype.each=function(e,t){if(this._count)for(var n=e.length,r=this._chunks,i=0,o=this.count();i<o;i++){var a=this.getRawIndex(i);switch(n){case 0:t(i);break;case 1:t(r[e[0]][a],i);break;case 2:t(r[e[0]][a],r[e[1]][a],i);break;default:for(var s=0,l=[];s<n;s++)l[s]=r[e[s]][a];l[s]=i,t.apply(null,l)}}},e.prototype.getDataExtent=function(e){var t=this._chunks[e],n=[1/0,-1/0];if(!t)return n;var r,i=this.count();if(!this._indices)return this._rawExtent[e].slice();if(r=this._extent[e])return r.slice();for(var o=(r=n)[0],a=r[1],s=0;s<i;s++){var l=t[this.getRawIndex(s)];l<o&&(o=l),l>a&&(a=l)}return r=[o,a],this._extent[e]=r,r},e.prototype.getRawDataItem=function(e){var t=this.getRawIndex(e);if(this._provider.persistent)return this._provider.getItem(t);for(var n=[],r=this._chunks,i=0;i<r.length;i++)n.push(r[i][t]);return n},e.prototype.clone=function(t,n){var r,i,o=new e,a=this._chunks,s=t&&gt(t,(function(e,t){return e[t]=!0,e}),{});if(s)for(var l=0;l<a.length;l++)o._chunks[l]=s[l]?(i=void 0,(i=(r=a[l]).constructor)===Array?r.slice():new i(r)):a[l];else o._chunks=a;return this._copyCommonProps(o),n||(o._indices=this._cloneIndices()),o._updateGetRawIdx(),o},e.prototype._copyCommonProps=function(e){e._count=this._count,e._rawCount=this._rawCount,e._provider=this._provider,e._dimensions=this._dimensions,e._extent=rt(this._extent),e._rawExtent=rt(this._rawExtent)},e.prototype._cloneIndices=function(){if(this._indices){var e=this._indices.constructor,t=void 0;if(e===Array){var n=this._indices.length;t=new e(n);for(var r=0;r<n;r++)t[r]=this._indices[r]}else t=new e(this._indices);return t}return null},e.prototype._getRawIdxIdentity=function(e){return e},e.prototype._getRawIdx=function(e){return e<this._count&&e>=0?this._indices[e]:-1},e.prototype._updateGetRawIdx=function(){this.getRawIndex=this._indices?this._getRawIdx:this._getRawIdxIdentity},e.internalField=function(){function e(e,t,n,r){return $f(e[r],this._dimensions[r])}dg={arrayRows:e,objectRows:function(e,t,n,r){return $f(e[t],this._dimensions[r])},keyedColumns:e,original:function(e,t,n,r){var i=e&&(null==e.value?e:e.value);return $f(i instanceof Array?i[r]:i,this._dimensions[r])},typedArray:function(e,t,n,r){return e[r]}}}(),e}();const wg=bg;var Sg=function(){function e(e){this._sourceList=[],this._storeList=[],this._upstreamSignList=[],this._versionSignBase=0,this._dirty=!0,this._sourceHost=e}return e.prototype.dirty=function(){this._setLocalSource([],[]),this._storeList=[],this._dirty=!0},e.prototype._setLocalSource=function(e,t){this._sourceList=e,this._upstreamSignList=t,this._versionSignBase++,this._versionSignBase>9e10&&(this._versionSignBase=0)},e.prototype._getVersionSign=function(){return this._sourceHost.uid+"_"+this._versionSignBase},e.prototype.prepareSource=function(){this._isDirty()&&(this._createSource(),this._dirty=!1)},e.prototype._createSource=function(){this._setLocalSource([],[]);var e,t,n=this._sourceHost,r=this._getUpstreamSourceManagers(),i=!!r.length;if(Tg(n)){var o=n,a=void 0,s=void 0,l=void 0;if(i){var u=r[0];u.prepareSource(),a=(l=u.getSource()).data,s=l.sourceFormat,t=[u._getVersionSign()]}else s=Ct(a=o.get("data",!0))?mp:dp,t=[];var c=this._getSourceMetaRawOption()||{},h=l&&l.metaRawOption||{},d=Rt(c.seriesLayoutBy,h.seriesLayoutBy)||null,p=Rt(c.sourceHeader,h.sourceHeader),f=Rt(c.dimensions,h.dimensions);e=d!==h.seriesLayoutBy||!!p!=!!h.sourceHeader||f?[Tf(a,{seriesLayoutBy:d,sourceHeader:p,dimensions:f},s)]:[]}else{var g=n;if(i){var m=this._applyTransform(r);e=m.sourceList,t=m.upstreamSignList}else e=[Tf(g.get("source",!0),this._getSourceMetaRawOption(),null)],t=[]}this._setLocalSource(e,t)},e.prototype._applyTransform=function(e){var t,n=this._sourceHost,r=n.get("transform",!0),i=n.get("fromTransformResult",!0);null!=i&&1!==e.length&&Ag("");var o,a=[],s=[];return pt(e,(function(e){e.prepareSource();var t=e.getSource(i||0);null==i||t||Ag(""),a.push(t),s.push(e._getVersionSign())})),r?t=function(e,t,n){var r=ws(e),i=r.length;i||qf("");for(var o=0,a=i;o<a;o++)t=cg(r[o],t),o!==a-1&&(t.length=Math.max(t.length,1));return t}(r,a,n.componentIndex):null!=i&&(t=[(o=a[0],new Sf({data:o.data,sourceFormat:o.sourceFormat,seriesLayoutBy:o.seriesLayoutBy,dimensionsDefine:rt(o.dimensionsDefine),startIndex:o.startIndex,dimensionsDetectedCount:o.dimensionsDetectedCount}))]),{sourceList:t,upstreamSignList:s}},e.prototype._isDirty=function(){if(this._dirty)return!0;for(var e=this._getUpstreamSourceManagers(),t=0;t<e.length;t++){var n=e[t];if(n._isDirty()||this._upstreamSignList[t]!==n._getVersionSign())return!0}},e.prototype.getSource=function(e){e=e||0;var t=this._sourceList[e];if(!t){var n=this._getUpstreamSourceManagers();return n[0]&&n[0].getSource(e)}return t},e.prototype.getSharedDataStore=function(e){var t=e.makeStoreSchema();return this._innerGetDataStore(t.dimensions,e.source,t.hash)},e.prototype._innerGetDataStore=function(e,t,n){var r=this._storeList,i=r[0];i||(i=r[0]={});var o=i[n];if(!o){var a=this._getUpstreamSourceManagers()[0];Tg(this._sourceHost)&&a?o=a._innerGetDataStore(e,t,n):(o=new wg).initData(new Lf(t,e.length),e),i[n]=o}return o},e.prototype._getUpstreamSourceManagers=function(){var e=this._sourceHost;if(Tg(e)){var t=Mp(e);return t?[t.getSourceManager()]:[]}return ft(function(e){return e.get("transform",!0)||e.get("fromTransformResult",!0)?Vs(e.ecModel,"dataset",{index:e.get("fromDatasetIndex",!0),id:e.get("fromDatasetId",!0)},Fs).models:[]}(e),(function(e){return e.getSourceManager()}))},e.prototype._getSourceMetaRawOption=function(){var e,t,n,r=this._sourceHost;if(Tg(r))e=r.get("seriesLayoutBy",!0),t=r.get("sourceHeader",!0),n=r.get("dimensions",!0);else if(!this._getUpstreamSourceManagers().length){var i=r;e=i.get("seriesLayoutBy",!0),t=i.get("sourceHeader",!0),n=i.get("dimensions",!0)}return{seriesLayoutBy:e,sourceHeader:t,dimensions:n}},e}();function Mg(e){e.option.transform&&Ht(e.option.transform)}function Tg(e){return"series"===e.mainType}function Ag(e){throw new Error(e)}var Ig="line-height:1";function Cg(e,t){var n=e.color||"#6e7079",r=e.fontSize||12,i=e.fontWeight||"400",o=e.color||"#464646",a=e.fontSize||14,s=e.fontWeight||"900";return"html"===t?{nameStyle:"font-size:"+Hn(r+"")+"px;color:"+Hn(n)+";font-weight:"+Hn(i+""),valueStyle:"font-size:"+Hn(a+"")+"px;color:"+Hn(o)+";font-weight:"+Hn(s+"")}:{nameStyle:{fontSize:r,fill:n,fontWeight:i},valueStyle:{fontSize:a,fill:o,fontWeight:s}}}var Dg=[0,10,20,30],Eg=["","\n","\n\n","\n\n\n"];function Lg(e,t){return t.type=e,t}function Pg(e){return"section"===e.type}function Og(e){return Pg(e)?Rg:kg}function Ng(e){if(Pg(e)){var t=0,n=e.blocks.length,r=n>1||n>0&&!e.noHeader;return pt(e.blocks,(function(e){var n=Ng(e);n>=t&&(t=n+ +(r&&(!n||Pg(e)&&!e.noHeader)))})),t}return 0}function Rg(e,t,n,r){var i,o=t.noHeader,a=(i=Ng(t),{html:Dg[i],richText:Eg[i]}),s=[],l=t.blocks||[];zt(!l||bt(l)),l=l||[];var u=e.orderMode;if(t.sortBlocks&&u){l=l.slice();var c={valueAsc:"asc",valueDesc:"desc"};if(Kt(c,u)){var h=new tg(c[u],null);l.sort((function(e,t){return h.evaluate(e.sortParam,t.sortParam)}))}else"seriesDesc"===u&&l.reverse()}pt(l,(function(n,i){var o=t.valueFormatter,l=Og(n)(o?at(at({},e),{valueFormatter:o}):e,n,i>0?a.html:0,r);null!=l&&s.push(l)}));var d="richText"===e.renderMode?s.join(a.richText):Fg(s.join(""),o?n:a.html);if(o)return d;var p=zd(t.header,"ordinal",e.useUTC),f=Cg(r,e.renderMode).nameStyle;return"richText"===e.renderMode?zg(e,p,f)+a.richText+d:Fg('<div style="'+f+";"+Ig+';">'+Hn(p)+"</div>"+d,n)}function kg(e,t,n,r){var i=e.renderMode,o=t.noName,a=t.noValue,s=!t.markerType,l=t.name,u=e.useUTC,c=t.valueFormatter||e.valueFormatter||function(e){return ft(e=bt(e)?e:[e],(function(e,t){return zd(e,bt(p)?p[t]:p,u)}))};if(!o||!a){var h=s?"":e.markupStyleCreator.makeTooltipMarker(t.markerType,t.markerColor||"#333",i),d=o?"":zd(l,"ordinal",u),p=t.valueType,f=a?[]:c(t.value,t.dataIndex),g=!s||!o,m=!s&&o,v=Cg(r,i),y=v.nameStyle,_=v.valueStyle;return"richText"===i?(s?"":h)+(o?"":zg(e,d,y))+(a?"":function(e,t,n,r,i){var o=[i],a=r?10:20;return n&&o.push({padding:[0,0,0,a],align:"right"}),e.markupStyleCreator.wrapRichTextStyle(bt(t)?t.join("  "):t,o)}(e,f,g,m,_)):Fg((s?"":h)+(o?"":function(e,t,n){return'<span style="'+n+";"+(t?"margin-left:2px":"")+'">'+Hn(e)+"</span>"}(d,!s,y))+(a?"":function(e,t,n,r){return'<span style="'+(t?"float:right;margin-left:"+(n?"10px":"20px"):"")+";"+r+'">'+ft(e=bt(e)?e:[e],(function(e){return Hn(e)})).join("&nbsp;&nbsp;")+"</span>"}(f,g,m,_)),n)}}function Bg(e,t,n,r,i,o){if(e)return Og(e)({useUTC:i,renderMode:n,orderMode:r,markupStyleCreator:t,valueFormatter:e.valueFormatter},e,0,o)}function Fg(e,t){return'<div style="margin: '+t+"px 0 0;"+Ig+';">'+e+'<div style="clear:both"></div></div>'}function zg(e,t,n){return e.markupStyleCreator.wrapRichTextStyle(t,n)}function Vg(e,t){return Xd(e.getData().getItemVisual(t,"style")[e.visualDrawType])}function Gg(e,t){var n=e.get("padding");return null!=n?n:"richText"===t?[8,10]:10}var Hg=function(){function e(){this.richTextStyles={},this._nextStyleNameId=ms()}return e.prototype._generateStyleName=function(){return"__EC_aUTo_"+this._nextStyleNameId++},e.prototype.makeTooltipMarker=function(e,t,n){var r="richText"===n?this._generateStyleName():null,i=Ud({color:t,type:e,renderMode:n,markerId:r});return St(i)?i:(this.richTextStyles[r]=i.style,i.content)},e.prototype.wrapRichTextStyle=function(e,t){var n={};bt(t)?pt(t,(function(e){return at(n,e)})):at(n,t);var r=this._generateStyleName();return this.richTextStyles[r]=n,"{"+r+"|"+e+"}"},e}();function Ug(e){var t,n,r,i,o=e.series,a=e.dataIndex,s=e.multipleSeries,l=o.getData(),u=l.mapDimensionsAll("defaultedTooltip"),c=u.length,h=o.getRawValue(a),d=bt(h),p=Vg(o,a);if(c>1||d&&!c){var f=function(e,t,n,r,i){var o=t.getData(),a=gt(e,(function(e,t,n){var r=o.getDimensionInfo(n);return e||r&&!1!==r.tooltip&&null!=r.displayName}),!1),s=[],l=[],u=[];function c(e,t){var n=o.getDimensionInfo(t);n&&!1!==n.otherDims.tooltip&&(a?u.push(Lg("nameValue",{markerType:"subItem",markerColor:i,name:n.displayName,value:e,valueType:n.type})):(s.push(e),l.push(n.type)))}return r.length?pt(r,(function(e){c(Hf(o,n,e),e)})):pt(e,c),{inlineValues:s,inlineValueTypes:l,blocks:u}}(h,o,a,u,p);t=f.inlineValues,n=f.inlineValueTypes,r=f.blocks,i=f.inlineValues[0]}else if(c){var g=l.getDimensionInfo(u[0]);i=t=Hf(l,a,u[0]),n=g.type}else i=t=d?h[0]:h;var m=Ls(o),v=m&&o.name||"",y=l.getName(a),_=s?v:y;return Lg("section",{header:v,noHeader:s||!m,sortParam:i,blocks:[Lg("nameValue",{markerType:"item",markerColor:p,name:_,noName:!Vt(_),value:t,valueType:n,dataIndex:a})].concat(r||[])})}var Wg=Ns();function jg(e,t){return e.getName(t)||e.getId(t)}var Xg="__universalTransitionEnabled",Yg=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t._selectedDataIndicesMap={},t}return Le(t,e),t.prototype.init=function(e,t,n){this.seriesIndex=this.componentIndex,this.dataTask=Xf({count:qg,reset:$g}),this.dataTask.context={model:this},this.mergeDefaultAndTheme(e,n),(Wg(this).sourceManager=new Sg(this)).prepareSource();var r=this.getInitialData(e,n);Jg(r,this),this.dataTask.context.data=r,Wg(this).dataBeforeProcessed=r,Zg(this),this._initSelectedMapFromData(r)},t.prototype.mergeDefaultAndTheme=function(e,t){var n=tp(this),r=n?rp(e):{},i=this.subType;sp.hasClass(i)&&(i+="Series"),it(e,t.getTheme().get(this.subType)),it(e,this.getDefaultOption()),Ss(e,"label",["show"]),this.fillDataTextStyle(e.data),n&&np(e,r,n)},t.prototype.mergeOption=function(e,t){e=it(this.option,e,!0),this.fillDataTextStyle(e.data);var n=tp(this);n&&np(this.option,e,n);var r=Wg(this).sourceManager;r.dirty(),r.prepareSource();var i=this.getInitialData(e,t);Jg(i,this),this.dataTask.dirty(),this.dataTask.context.data=i,Wg(this).dataBeforeProcessed=i,Zg(this),this._initSelectedMapFromData(i)},t.prototype.fillDataTextStyle=function(e){if(e&&!Ct(e))for(var t=["show"],n=0;n<e.length;n++)e[n]&&e[n].label&&Ss(e[n],"label",t)},t.prototype.getInitialData=function(e,t){},t.prototype.appendData=function(e){this.getRawData().appendData(e.data)},t.prototype.getData=function(e){var t=em(this);if(t){var n=t.context.data;return null==e?n:n.getLinkedData(e)}return Wg(this).data},t.prototype.getAllData=function(){var e=this.getData();return e&&e.getLinkedDataAll?e.getLinkedDataAll():[{data:e}]},t.prototype.setData=function(e){var t=em(this);if(t){var n=t.context;n.outputData=e,t!==this.dataTask&&(n.data=e)}Wg(this).data=e},t.prototype.getEncode=function(){var e=this.get("encode",!0);if(e)return Yt(e)},t.prototype.getSourceManager=function(){return Wg(this).sourceManager},t.prototype.getSource=function(){return this.getSourceManager().getSource()},t.prototype.getRawData=function(){return Wg(this).dataBeforeProcessed},t.prototype.getColorBy=function(){return this.get("colorBy")||"series"},t.prototype.isColorBySeries=function(){return"series"===this.getColorBy()},t.prototype.getBaseAxis=function(){var e=this.coordinateSystem;return e&&e.getBaseAxis&&e.getBaseAxis()},t.prototype.formatTooltip=function(e,t,n){return Ug({series:this,dataIndex:e,multipleSeries:t})},t.prototype.isAnimationEnabled=function(){var e=this.ecModel;if(Ne.node&&(!e||!e.ssr))return!1;var t=this.getShallow("animation");return t&&this.getData().count()>this.getShallow("animationThreshold")&&(t=!1),!!t},t.prototype.restoreData=function(){this.dataTask.dirty()},t.prototype.getColorFromPalette=function(e,t,n){var r=this.ecModel,i=Op.prototype.getColorFromPalette.call(this,e,t,n);return i||(i=r.getColorFromPalette(e,t,n)),i},t.prototype.coordDimToDataDim=function(e){return this.getRawData().mapDimensionsAll(e)},t.prototype.getProgressive=function(){return this.get("progressive")},t.prototype.getProgressiveThreshold=function(){return this.get("progressiveThreshold")},t.prototype.select=function(e,t){this._innerSelect(this.getData(t),e)},t.prototype.unselect=function(e,t){var n=this.option.selectedMap;if(n){var r=this.option.selectedMode,i=this.getData(t);if("series"===r||"all"===n)return this.option.selectedMap={},void(this._selectedDataIndicesMap={});for(var o=0;o<e.length;o++){var a=jg(i,e[o]);n[a]=!1,this._selectedDataIndicesMap[a]=-1}}},t.prototype.toggleSelect=function(e,t){for(var n=[],r=0;r<e.length;r++)n[0]=e[r],this.isSelected(e[r],t)?this.unselect(n,t):this.select(n,t)},t.prototype.getSelectedDataIndices=function(){if("all"===this.option.selectedMap)return[].slice.call(this.getData().getIndices());for(var e=this._selectedDataIndicesMap,t=yt(e),n=[],r=0;r<t.length;r++){var i=e[t[r]];i>=0&&n.push(i)}return n},t.prototype.isSelected=function(e,t){var n=this.option.selectedMap;if(!n)return!1;var r=this.getData(t);return("all"===n||n[jg(r,e)])&&!r.getItemModel(e).get(["select","disabled"])},t.prototype.isUniversalTransitionEnabled=function(){if(this[Xg])return!0;var e=this.option.universalTransition;return!!e&&(!0===e||e&&e.enabled)},t.prototype._innerSelect=function(e,t){var n,r,i=this.option,o=i.selectedMode,a=t.length;if(o&&a)if("series"===o)i.selectedMap="all";else if("multiple"===o){At(i.selectedMap)||(i.selectedMap={});for(var s=i.selectedMap,l=0;l<a;l++){var u=t[l];s[h=jg(e,u)]=!0,this._selectedDataIndicesMap[h]=e.getRawIndex(u)}}else if("single"===o||!0===o){var c=t[a-1],h=jg(e,c);i.selectedMap=((n={})[h]=!0,n),this._selectedDataIndicesMap=((r={})[h]=e.getRawIndex(c),r)}},t.prototype._initSelectedMapFromData=function(e){if(!this.option.selectedMap){var t=[];e.hasItemOption&&e.each((function(n){var r=e.getRawDataItem(n);r&&r.selected&&t.push(n)})),t.length>0&&this._innerSelect(e,t)}},t.registerClass=function(e){return sp.registerClass(e)},t.protoInitialize=function(){var e=t.prototype;e.type="series.__base__",e.seriesIndex=0,e.ignoreStyleOnData=!1,e.hasSymbolVisual=!1,e.defaultSymbol="circle",e.visualStyleAccessPath="itemStyle",e.visualDrawType="fill"}(),t}(sp);function Zg(e){var t=e.name;Ls(e)||(e.name=function(e){var t=e.getRawData(),n=t.mapDimensionsAll("seriesName"),r=[];return pt(n,(function(e){var n=t.getDimensionInfo(e);n.displayName&&r.push(n.displayName)})),r.join(" ")}(e)||t)}function qg(e){return e.model.getRawData().count()}function $g(e){var t=e.model;return t.setData(t.getRawData().cloneShallow()),Kg}function Kg(e,t){t.outputData&&e.end>t.outputData.count()&&t.model.getRawData().cloneShallow(t.outputData)}function Jg(e,t){pt(Zt(e.CHANGABLE_METHODS,e.DOWNSAMPLE_METHODS),(function(n){e.wrapMethod(n,xt(Qg,t))}))}function Qg(e,t){var n=em(e);return n&&n.setOutputEnd((t||this).count()),t}function em(e){var t=(e.ecModel||{}).scheduler,n=t&&t.getPipeline(e.uid);if(n){var r=n.currentTask;if(r){var i=r.agentStubMap;i&&(r=i.get(e.uid))}return r}}ht(Yg,Wf),ht(Yg,Op),qs(Yg,sp);const tm=Yg;var nm=function(){function e(){this.group=new Oa,this.uid=Kh("viewComponent")}return e.prototype.init=function(e,t){},e.prototype.render=function(e,t,n,r){},e.prototype.dispose=function(e,t){},e.prototype.updateView=function(e,t,n,r){},e.prototype.updateLayout=function(e,t,n,r){},e.prototype.updateVisual=function(e,t,n,r){},e.prototype.toggleBlurSeries=function(e,t,n){},e.prototype.eachRendered=function(e){var t=this.group;t&&t.traverse(e)},e}();Zs(nm),Qs(nm);const rm=nm;function im(){var e=Ns();return function(t){var n=e(t),r=t.pipelineContext,i=!!n.large,o=!!n.progressiveRender,a=n.large=!(!r||!r.large),s=n.progressiveRender=!(!r||!r.progressiveRender);return!(i===a&&o===s)&&"reset"}}var om=uu.CMD,am=[[],[],[]],sm=Math.sqrt,lm=Math.atan2;function um(e,t){if(t){var n,r,i,o,a,s,l=e.data,u=e.len(),c=om.M,h=om.C,d=om.L,p=om.R,f=om.A,g=om.Q;for(i=0,o=0;i<u;){switch(n=l[i++],o=i,r=0,n){case c:case d:r=1;break;case h:r=3;break;case g:r=2;break;case f:var m=t[4],v=t[5],y=sm(t[0]*t[0]+t[1]*t[1]),_=sm(t[2]*t[2]+t[3]*t[3]),x=lm(-t[1]/_,t[0]/y);l[i]*=y,l[i++]+=m,l[i]*=_,l[i++]+=v,l[i++]*=y,l[i++]*=_,l[i++]+=x,l[i++]+=x,o=i+=2;break;case p:s[0]=l[i++],s[1]=l[i++],Tn(s,s,t),l[o++]=s[0],l[o++]=s[1],s[0]+=l[i++],s[1]+=l[i++],Tn(s,s,t),l[o++]=s[0],l[o++]=s[1]}for(a=0;a<r;a++){var b=am[a];b[0]=l[i++],b[1]=l[i++],Tn(b,b,t),l[o++]=b[0],l[o++]=b[1]}}e.increaseVersion()}}var cm=Math.sqrt,hm=Math.sin,dm=Math.cos,pm=Math.PI;function fm(e){return Math.sqrt(e[0]*e[0]+e[1]*e[1])}function gm(e,t){return(e[0]*t[0]+e[1]*t[1])/(fm(e)*fm(t))}function mm(e,t){return(e[0]*t[1]<e[1]*t[0]?-1:1)*Math.acos(gm(e,t))}function vm(e,t,n,r,i,o,a,s,l,u,c){var h=l*(pm/180),d=dm(h)*(e-n)/2+hm(h)*(t-r)/2,p=-1*hm(h)*(e-n)/2+dm(h)*(t-r)/2,f=d*d/(a*a)+p*p/(s*s);f>1&&(a*=cm(f),s*=cm(f));var g=(i===o?-1:1)*cm((a*a*(s*s)-a*a*(p*p)-s*s*(d*d))/(a*a*(p*p)+s*s*(d*d)))||0,m=g*a*p/s,v=g*-s*d/a,y=(e+n)/2+dm(h)*m-hm(h)*v,_=(t+r)/2+hm(h)*m+dm(h)*v,x=mm([1,0],[(d-m)/a,(p-v)/s]),b=[(d-m)/a,(p-v)/s],w=[(-1*d-m)/a,(-1*p-v)/s],S=mm(b,w);if(gm(b,w)<=-1&&(S=pm),gm(b,w)>=1&&(S=0),S<0){var M=Math.round(S/pm*1e6)/1e6;S=2*pm+M%2*pm}c.addData(u,y,_,a,s,x,S,h,o)}var ym=/([mlvhzcqtsa])([^mlvhzcqtsa]*)/gi,_m=/-?([0-9]*\.)?[0-9]+([eE]-?[0-9]+)?/g,xm=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return tn(t,e),t.prototype.applyTransform=function(e){},t}(Eu);function bm(e){return null!=e.setData}function wm(e,t){var n=function(e){var t=new uu;if(!e)return t;var n,r=0,i=0,o=r,a=i,s=uu.CMD,l=e.match(ym);if(!l)return t;for(var u=0;u<l.length;u++){for(var c=l[u],h=c.charAt(0),d=void 0,p=c.match(_m)||[],f=p.length,g=0;g<f;g++)p[g]=parseFloat(p[g]);for(var m=0;m<f;){var v=void 0,y=void 0,_=void 0,x=void 0,b=void 0,w=void 0,S=void 0,M=r,T=i,A=void 0,I=void 0;switch(h){case"l":r+=p[m++],i+=p[m++],d=s.L,t.addData(d,r,i);break;case"L":r=p[m++],i=p[m++],d=s.L,t.addData(d,r,i);break;case"m":r+=p[m++],i+=p[m++],d=s.M,t.addData(d,r,i),o=r,a=i,h="l";break;case"M":r=p[m++],i=p[m++],d=s.M,t.addData(d,r,i),o=r,a=i,h="L";break;case"h":r+=p[m++],d=s.L,t.addData(d,r,i);break;case"H":r=p[m++],d=s.L,t.addData(d,r,i);break;case"v":i+=p[m++],d=s.L,t.addData(d,r,i);break;case"V":i=p[m++],d=s.L,t.addData(d,r,i);break;case"C":d=s.C,t.addData(d,p[m++],p[m++],p[m++],p[m++],p[m++],p[m++]),r=p[m-2],i=p[m-1];break;case"c":d=s.C,t.addData(d,p[m++]+r,p[m++]+i,p[m++]+r,p[m++]+i,p[m++]+r,p[m++]+i),r+=p[m-2],i+=p[m-1];break;case"S":v=r,y=i,A=t.len(),I=t.data,n===s.C&&(v+=r-I[A-4],y+=i-I[A-3]),d=s.C,M=p[m++],T=p[m++],r=p[m++],i=p[m++],t.addData(d,v,y,M,T,r,i);break;case"s":v=r,y=i,A=t.len(),I=t.data,n===s.C&&(v+=r-I[A-4],y+=i-I[A-3]),d=s.C,M=r+p[m++],T=i+p[m++],r+=p[m++],i+=p[m++],t.addData(d,v,y,M,T,r,i);break;case"Q":M=p[m++],T=p[m++],r=p[m++],i=p[m++],d=s.Q,t.addData(d,M,T,r,i);break;case"q":M=p[m++]+r,T=p[m++]+i,r+=p[m++],i+=p[m++],d=s.Q,t.addData(d,M,T,r,i);break;case"T":v=r,y=i,A=t.len(),I=t.data,n===s.Q&&(v+=r-I[A-4],y+=i-I[A-3]),r=p[m++],i=p[m++],d=s.Q,t.addData(d,v,y,r,i);break;case"t":v=r,y=i,A=t.len(),I=t.data,n===s.Q&&(v+=r-I[A-4],y+=i-I[A-3]),r+=p[m++],i+=p[m++],d=s.Q,t.addData(d,v,y,r,i);break;case"A":_=p[m++],x=p[m++],b=p[m++],w=p[m++],S=p[m++],vm(M=r,T=i,r=p[m++],i=p[m++],w,S,_,x,b,d=s.A,t);break;case"a":_=p[m++],x=p[m++],b=p[m++],w=p[m++],S=p[m++],vm(M=r,T=i,r+=p[m++],i+=p[m++],w,S,_,x,b,d=s.A,t)}}"z"!==h&&"Z"!==h||(d=s.Z,t.addData(d),r=o,i=a),n=d}return t.toStatic(),t}(e),r=at({},t);return r.buildPath=function(e){if(bm(e))e.setData(n.data),(t=e.getContext())&&e.rebuildPath(t,1);else{var t=e;n.rebuildPath(t,1)}},r.applyTransform=function(e){um(n,e),this.dirtyShape()},r}function Sm(e,t){return new xm(wm(e,t))}function Mm(e,t){t=t||{};var n=new Eu;return e.shape&&n.setShape(e.shape),n.setStyle(e.style),t.bakeTransform?um(n.path,e.getComputedTransform()):t.toLocal?n.setLocalTransform(e.getComputedTransform()):n.copyTransform(e),n.buildPath=e.buildPath,n.applyTransform=n.applyTransform,n.z=e.z,n.z2=e.z2,n.zlevel=e.zlevel,n}var Tm=function(){this.cx=0,this.cy=0,this.r=0},Am=function(e){function t(t){return e.call(this,t)||this}return tn(t,e),t.prototype.getDefaultShape=function(){return new Tm},t.prototype.buildPath=function(e,t){e.moveTo(t.cx+t.r,t.cy),e.arc(t.cx,t.cy,t.r,0,2*Math.PI)},t}(Eu);Am.prototype.type="circle";const Im=Am;var Cm=function(){this.cx=0,this.cy=0,this.rx=0,this.ry=0},Dm=function(e){function t(t){return e.call(this,t)||this}return tn(t,e),t.prototype.getDefaultShape=function(){return new Cm},t.prototype.buildPath=function(e,t){var n=.5522848,r=t.cx,i=t.cy,o=t.rx,a=t.ry,s=o*n,l=a*n;e.moveTo(r-o,i),e.bezierCurveTo(r-o,i-l,r-s,i-a,r,i-a),e.bezierCurveTo(r+s,i-a,r+o,i-l,r+o,i),e.bezierCurveTo(r+o,i+l,r+s,i+a,r,i+a),e.bezierCurveTo(r-s,i+a,r-o,i+l,r-o,i),e.closePath()},t}(Eu);Dm.prototype.type="ellipse";const Em=Dm;var Lm=Math.PI,Pm=2*Lm,Om=Math.sin,Nm=Math.cos,Rm=Math.acos,km=Math.atan2,Bm=Math.abs,Fm=Math.sqrt,zm=Math.max,Vm=Math.min,Gm=1e-4;function Hm(e,t,n,r,i,o,a){var s=e-n,l=t-r,u=(a?o:-o)/Fm(s*s+l*l),c=u*l,h=-u*s,d=e+c,p=t+h,f=n+c,g=r+h,m=(d+f)/2,v=(p+g)/2,y=f-d,_=g-p,x=y*y+_*_,b=i-o,w=d*g-f*p,S=(_<0?-1:1)*Fm(zm(0,b*b*x-w*w)),M=(w*_-y*S)/x,T=(-w*y-_*S)/x,A=(w*_+y*S)/x,I=(-w*y+_*S)/x,C=M-m,D=T-v,E=A-m,L=I-v;return C*C+D*D>E*E+L*L&&(M=A,T=I),{cx:M,cy:T,x0:-c,y0:-h,x1:M*(i/b-1),y1:T*(i/b-1)}}var Um=function(){this.cx=0,this.cy=0,this.r0=0,this.r=0,this.startAngle=0,this.endAngle=2*Math.PI,this.clockwise=!0,this.cornerRadius=0},Wm=function(e){function t(t){return e.call(this,t)||this}return tn(t,e),t.prototype.getDefaultShape=function(){return new Um},t.prototype.buildPath=function(e,t){!function(e,t){var n,r=zm(t.r,0),i=zm(t.r0||0,0),o=r>0;if(o||i>0){if(o||(r=i,i=0),i>r){var a=r;r=i,i=a}var s=t.startAngle,l=t.endAngle;if(!isNaN(s)&&!isNaN(l)){var u=t.cx,c=t.cy,h=!!t.clockwise,d=Bm(l-s),p=d>Pm&&d%Pm;if(p>Gm&&(d=p),r>Gm)if(d>Pm-Gm)e.moveTo(u+r*Nm(s),c+r*Om(s)),e.arc(u,c,r,s,l,!h),i>Gm&&(e.moveTo(u+i*Nm(l),c+i*Om(l)),e.arc(u,c,i,l,s,h));else{var f=void 0,g=void 0,m=void 0,v=void 0,y=void 0,_=void 0,x=void 0,b=void 0,w=void 0,S=void 0,M=void 0,T=void 0,A=void 0,I=void 0,C=void 0,D=void 0,E=r*Nm(s),L=r*Om(s),P=i*Nm(l),O=i*Om(l),N=d>Gm;if(N){var R=t.cornerRadius;R&&(n=function(e){var t;if(bt(e)){var n=e.length;if(!n)return e;t=1===n?[e[0],e[0],0,0]:2===n?[e[0],e[0],e[1],e[1]]:3===n?e.concat(e[2]):e}else t=[e,e,e,e];return t}(R),f=n[0],g=n[1],m=n[2],v=n[3]);var k=Bm(r-i)/2;if(y=Vm(k,m),_=Vm(k,v),x=Vm(k,f),b=Vm(k,g),M=w=zm(y,_),T=S=zm(x,b),(w>Gm||S>Gm)&&(A=r*Nm(l),I=r*Om(l),C=i*Nm(s),D=i*Om(s),d<Lm)){var B=function(e,t,n,r,i,o,a,s){var l=n-e,u=r-t,c=a-i,h=s-o,d=h*l-c*u;if(!(d*d<Gm))return[e+(d=(c*(t-o)-h*(e-i))/d)*l,t+d*u]}(E,L,C,D,A,I,P,O);if(B){var F=E-B[0],z=L-B[1],V=A-B[0],G=I-B[1],H=1/Om(Rm((F*V+z*G)/(Fm(F*F+z*z)*Fm(V*V+G*G)))/2),U=Fm(B[0]*B[0]+B[1]*B[1]);M=Vm(w,(r-U)/(H+1)),T=Vm(S,(i-U)/(H-1))}}}if(N)if(M>Gm){var W=Vm(m,M),j=Vm(v,M),X=Hm(C,D,E,L,r,W,h),Y=Hm(A,I,P,O,r,j,h);e.moveTo(u+X.cx+X.x0,c+X.cy+X.y0),M<w&&W===j?e.arc(u+X.cx,c+X.cy,M,km(X.y0,X.x0),km(Y.y0,Y.x0),!h):(W>0&&e.arc(u+X.cx,c+X.cy,W,km(X.y0,X.x0),km(X.y1,X.x1),!h),e.arc(u,c,r,km(X.cy+X.y1,X.cx+X.x1),km(Y.cy+Y.y1,Y.cx+Y.x1),!h),j>0&&e.arc(u+Y.cx,c+Y.cy,j,km(Y.y1,Y.x1),km(Y.y0,Y.x0),!h))}else e.moveTo(u+E,c+L),e.arc(u,c,r,s,l,!h);else e.moveTo(u+E,c+L);i>Gm&&N?T>Gm?(W=Vm(f,T),X=Hm(P,O,A,I,i,-(j=Vm(g,T)),h),Y=Hm(E,L,C,D,i,-W,h),e.lineTo(u+X.cx+X.x0,c+X.cy+X.y0),T<S&&W===j?e.arc(u+X.cx,c+X.cy,T,km(X.y0,X.x0),km(Y.y0,Y.x0),!h):(j>0&&e.arc(u+X.cx,c+X.cy,j,km(X.y0,X.x0),km(X.y1,X.x1),!h),e.arc(u,c,i,km(X.cy+X.y1,X.cx+X.x1),km(Y.cy+Y.y1,Y.cx+Y.x1),h),W>0&&e.arc(u+Y.cx,c+Y.cy,W,km(Y.y1,Y.x1),km(Y.y0,Y.x0),!h))):(e.lineTo(u+P,c+O),e.arc(u,c,i,l,s,h)):e.lineTo(u+P,c+O)}else e.moveTo(u,c);e.closePath()}}}(e,t)},t.prototype.isZeroArea=function(){return this.shape.startAngle===this.shape.endAngle||this.shape.r===this.shape.r0},t}(Eu);Wm.prototype.type="sector";const jm=Wm;var Xm=function(){this.cx=0,this.cy=0,this.r=0,this.r0=0},Ym=function(e){function t(t){return e.call(this,t)||this}return tn(t,e),t.prototype.getDefaultShape=function(){return new Xm},t.prototype.buildPath=function(e,t){var n=t.cx,r=t.cy,i=2*Math.PI;e.moveTo(n+t.r,r),e.arc(n,r,t.r,0,i,!1),e.moveTo(n+t.r0,r),e.arc(n,r,t.r0,0,i,!0)},t}(Eu);Ym.prototype.type="ring";const Zm=Ym;function qm(e,t,n){var r=t.smooth,i=t.points;if(i&&i.length>=2){if(r){var o=function(e,t,n,r){var i,o,a,s,l=[],u=[],c=[],h=[];if(r){a=[1/0,1/0],s=[-1/0,-1/0];for(var d=0,p=e.length;d<p;d++)An(a,a,e[d]),In(s,s,e[d]);An(a,a,r[0]),In(s,s,r[1])}for(d=0,p=e.length;d<p;d++){var f=e[d];if(n)i=e[d?d-1:p-1],o=e[(d+1)%p];else{if(0===d||d===p-1){l.push(on(e[d]));continue}i=e[d-1],o=e[d+1]}un(u,o,i),vn(u,u,t);var g=_n(f,i),m=_n(f,o),v=g+m;0!==v&&(g/=v,m/=v),vn(c,u,-g),vn(h,u,m);var y=sn([],f,c),_=sn([],f,h);r&&(In(y,y,a),An(y,y,s),In(_,_,a),An(_,_,s)),l.push(y),l.push(_)}return n&&l.push(l.shift()),l}(i,r,n,t.smoothConstraint);e.moveTo(i[0][0],i[0][1]);for(var a=i.length,s=0;s<(n?a:a-1);s++){var l=o[2*s],u=o[2*s+1],c=i[(s+1)%a];e.bezierCurveTo(l[0],l[1],u[0],u[1],c[0],c[1])}}else{e.moveTo(i[0][0],i[0][1]),s=1;for(var h=i.length;s<h;s++)e.lineTo(i[s][0],i[s][1])}n&&e.closePath()}}var $m=function(){this.points=null,this.smooth=0,this.smoothConstraint=null},Km=function(e){function t(t){return e.call(this,t)||this}return tn(t,e),t.prototype.getDefaultShape=function(){return new $m},t.prototype.buildPath=function(e,t){qm(e,t,!0)},t}(Eu);Km.prototype.type="polygon";const Jm=Km;var Qm=function(){this.points=null,this.percent=1,this.smooth=0,this.smoothConstraint=null},ev=function(e){function t(t){return e.call(this,t)||this}return tn(t,e),t.prototype.getDefaultStyle=function(){return{stroke:"#000",fill:null}},t.prototype.getDefaultShape=function(){return new Qm},t.prototype.buildPath=function(e,t){qm(e,t,!1)},t}(Eu);ev.prototype.type="polyline";const tv=ev;var nv={},rv=function(){this.x1=0,this.y1=0,this.x2=0,this.y2=0,this.percent=1},iv=function(e){function t(t){return e.call(this,t)||this}return tn(t,e),t.prototype.getDefaultStyle=function(){return{stroke:"#000",fill:null}},t.prototype.getDefaultShape=function(){return new rv},t.prototype.buildPath=function(e,t){var n,r,i,o;if(this.subPixelOptimize){var a=zu(nv,t,this.style);n=a.x1,r=a.y1,i=a.x2,o=a.y2}else n=t.x1,r=t.y1,i=t.x2,o=t.y2;var s=t.percent;0!==s&&(e.moveTo(n,r),s<1&&(i=n*(1-s)+i*s,o=r*(1-s)+o*s),e.lineTo(i,o))},t.prototype.pointAt=function(e){var t=this.shape;return[t.x1*(1-e)+t.x2*e,t.y1*(1-e)+t.y2*e]},t}(Eu);iv.prototype.type="line";const ov=iv;var av=[],sv=function(){this.x1=0,this.y1=0,this.x2=0,this.y2=0,this.cpx1=0,this.cpy1=0,this.percent=1};function lv(e,t,n){var r=e.cpx2,i=e.cpy2;return null!=r||null!=i?[(n?li:si)(e.x1,e.cpx1,e.cpx2,e.x2,t),(n?li:si)(e.y1,e.cpy1,e.cpy2,e.y2,t)]:[(n?gi:fi)(e.x1,e.cpx1,e.x2,t),(n?gi:fi)(e.y1,e.cpy1,e.y2,t)]}var uv=function(e){function t(t){return e.call(this,t)||this}return tn(t,e),t.prototype.getDefaultStyle=function(){return{stroke:"#000",fill:null}},t.prototype.getDefaultShape=function(){return new sv},t.prototype.buildPath=function(e,t){var n=t.x1,r=t.y1,i=t.x2,o=t.y2,a=t.cpx1,s=t.cpy1,l=t.cpx2,u=t.cpy2,c=t.percent;0!==c&&(e.moveTo(n,r),null==l||null==u?(c<1&&(vi(n,a,i,c,av),a=av[1],i=av[2],vi(r,s,o,c,av),s=av[1],o=av[2]),e.quadraticCurveTo(a,s,i,o)):(c<1&&(hi(n,a,l,i,c,av),a=av[1],l=av[2],i=av[3],hi(r,s,u,o,c,av),s=av[1],u=av[2],o=av[3]),e.bezierCurveTo(a,s,l,u,i,o)))},t.prototype.pointAt=function(e){return lv(this.shape,e,!1)},t.prototype.tangentAt=function(e){var t=lv(this.shape,e,!0);return yn(t,t)},t}(Eu);uv.prototype.type="bezier-curve";const cv=uv;var hv=function(){this.cx=0,this.cy=0,this.r=0,this.startAngle=0,this.endAngle=2*Math.PI,this.clockwise=!0},dv=function(e){function t(t){return e.call(this,t)||this}return tn(t,e),t.prototype.getDefaultStyle=function(){return{stroke:"#000",fill:null}},t.prototype.getDefaultShape=function(){return new hv},t.prototype.buildPath=function(e,t){var n=t.cx,r=t.cy,i=Math.max(t.r,0),o=t.startAngle,a=t.endAngle,s=t.clockwise,l=Math.cos(o),u=Math.sin(o);e.moveTo(l*i+n,u*i+r),e.arc(n,r,i,o,a,!s)},t}(Eu);dv.prototype.type="arc";const pv=dv;var fv=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.type="compound",t}return tn(t,e),t.prototype._updatePathDirty=function(){for(var e=this.shape.paths,t=this.shapeChanged(),n=0;n<e.length;n++)t=t||e[n].shapeChanged();t&&this.dirtyShape()},t.prototype.beforeBrush=function(){this._updatePathDirty();for(var e=this.shape.paths||[],t=this.getGlobalScale(),n=0;n<e.length;n++)e[n].path||e[n].createPathProxy(),e[n].path.setScale(t[0],t[1],e[n].segmentIgnoreThreshold)},t.prototype.buildPath=function(e,t){for(var n=t.paths||[],r=0;r<n.length;r++)n[r].buildPath(e,n[r].shape,!0)},t.prototype.afterBrush=function(){for(var e=this.shape.paths||[],t=0;t<e.length;t++)e[t].pathUpdated()},t.prototype.getBoundingRect=function(){return this._updatePathDirty.call(this),Eu.prototype.getBoundingRect.call(this)},t}(Eu);const gv=fv;var mv=function(){function e(e){this.colorStops=e||[]}return e.prototype.addColorStop=function(e,t){this.colorStops.push({offset:e,color:t})},e}();const vv=mv;var yv=function(e){function t(t,n,r,i,o,a){var s=e.call(this,o)||this;return s.x=null==t?0:t,s.y=null==n?0:n,s.x2=null==r?1:r,s.y2=null==i?0:i,s.type="linear",s.global=a||!1,s}return tn(t,e),t}(vv);const _v=yv;var xv=function(e){function t(t,n,r,i,o){var a=e.call(this,i)||this;return a.x=null==t?.5:t,a.y=null==n?.5:n,a.r=null==r?.5:r,a.type="radial",a.global=o||!1,a}return tn(t,e),t}(vv);const bv=xv;var wv=[0,0],Sv=[0,0],Mv=new dr,Tv=new dr,Av=function(){function e(e,t){this._corners=[],this._axes=[],this._origin=[0,0];for(var n=0;n<4;n++)this._corners[n]=new dr;for(n=0;n<2;n++)this._axes[n]=new dr;e&&this.fromBoundingRect(e,t)}return e.prototype.fromBoundingRect=function(e,t){var n=this._corners,r=this._axes,i=e.x,o=e.y,a=i+e.width,s=o+e.height;if(n[0].set(i,o),n[1].set(a,o),n[2].set(a,s),n[3].set(i,s),t)for(var l=0;l<4;l++)n[l].transform(t);for(dr.sub(r[0],n[1],n[0]),dr.sub(r[1],n[3],n[0]),r[0].normalize(),r[1].normalize(),l=0;l<2;l++)this._origin[l]=r[l].dot(n[0])},e.prototype.intersect=function(e,t){var n=!0,r=!t;return Mv.set(1/0,1/0),Tv.set(0,0),!this._intersectCheckOneSide(this,e,Mv,Tv,r,1)&&(n=!1,r)||!this._intersectCheckOneSide(e,this,Mv,Tv,r,-1)&&(n=!1,r)||r||dr.copy(t,n?Mv:Tv),n},e.prototype._intersectCheckOneSide=function(e,t,n,r,i,o){for(var a=!0,s=0;s<2;s++){var l=this._axes[s];if(this._getProjMinMaxOnAxis(s,e._corners,wv),this._getProjMinMaxOnAxis(s,t._corners,Sv),wv[1]<Sv[0]||wv[0]>Sv[1]){if(a=!1,i)return a;var u=Math.abs(Sv[0]-wv[1]),c=Math.abs(wv[0]-Sv[1]);Math.min(u,c)>r.len()&&(u<c?dr.scale(r,l,-u*o):dr.scale(r,l,c*o))}else n&&(u=Math.abs(Sv[0]-wv[1]),c=Math.abs(wv[0]-Sv[1]),Math.min(u,c)<n.len()&&(u<c?dr.scale(n,l,u*o):dr.scale(n,l,-c*o)))}return a},e.prototype._getProjMinMaxOnAxis=function(e,t,n){for(var r=this._axes[e],i=this._origin,o=t[0].dot(r)+i[e],a=o,s=o,l=1;l<t.length;l++){var u=t[l].dot(r)+i[e];a=Math.min(u,a),s=Math.max(u,s)}n[0]=a,n[1]=s},e}();const Iv=Av;var Cv=[],Dv=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.notClear=!0,t.incremental=!0,t._displayables=[],t._temporaryDisplayables=[],t._cursor=0,t}return tn(t,e),t.prototype.traverse=function(e,t){e.call(t,this)},t.prototype.useStyle=function(){this.style={}},t.prototype.getCursor=function(){return this._cursor},t.prototype.innerAfterBrush=function(){this._cursor=this._displayables.length},t.prototype.clearDisplaybles=function(){this._displayables=[],this._temporaryDisplayables=[],this._cursor=0,this.markRedraw(),this.notClear=!1},t.prototype.clearTemporalDisplayables=function(){this._temporaryDisplayables=[]},t.prototype.addDisplayable=function(e,t){t?this._temporaryDisplayables.push(e):this._displayables.push(e),this.markRedraw()},t.prototype.addDisplayables=function(e,t){t=t||!1;for(var n=0;n<e.length;n++)this.addDisplayable(e[n],t)},t.prototype.getDisplayables=function(){return this._displayables},t.prototype.getTemporalDisplayables=function(){return this._temporaryDisplayables},t.prototype.eachPendingDisplayable=function(e){for(var t=this._cursor;t<this._displayables.length;t++)e&&e(this._displayables[t]);for(t=0;t<this._temporaryDisplayables.length;t++)e&&e(this._temporaryDisplayables[t])},t.prototype.update=function(){this.updateTransform();for(var e=this._cursor;e<this._displayables.length;e++)(t=this._displayables[e]).parent=this,t.update(),t.parent=null;for(e=0;e<this._temporaryDisplayables.length;e++){var t;(t=this._temporaryDisplayables[e]).parent=this,t.update(),t.parent=null}},t.prototype.getBoundingRect=function(){if(!this._rect){for(var e=new wr(1/0,1/0,-1/0,-1/0),t=0;t<this._displayables.length;t++){var n=this._displayables[t],r=n.getBoundingRect().clone();n.needLocalTransform()&&r.applyTransform(n.getLocalTransform(Cv)),e.union(r)}this._rect=e}return this._rect},t.prototype.contain=function(e,t){var n=this.transformCoordToLocal(e,t);if(this.getBoundingRect().contain(n[0],n[1]))for(var r=0;r<this._displayables.length;r++)if(this._displayables[r].contain(e,t))return!0;return!1},t}(Cl);const Ev=Dv;var Lv=Math.max,Pv=Math.min,Ov={};function Nv(e){return Eu.extend(e)}var Rv=function(e,t){var n=wm(e,t);return function(e){function t(t){var r=e.call(this,t)||this;return r.applyTransform=n.applyTransform,r.buildPath=n.buildPath,r}return tn(t,e),t}(xm)};function kv(e,t){return Rv(e,t)}function Bv(e,t){Ov[e]=t}function Fv(e){if(Ov.hasOwnProperty(e))return Ov[e]}function zv(e,t,n,r){var i=Sm(e,t);return n&&("center"===r&&(n=Gv(n,i.getBoundingRect())),Uv(i,n)),i}function Vv(e,t,n){var r=new Bu({style:{image:e,x:t.x,y:t.y,width:t.width,height:t.height},onload:function(e){if("center"===n){var i={width:e.width,height:e.height};r.setStyle(Gv(t,i))}}});return r}function Gv(e,t){var n,r=t.width/t.height,i=e.height*r;return n=i<=e.width?e.height:(i=e.width)/r,{x:e.x+e.width/2-i/2,y:e.y+e.height/2-n/2,width:i,height:n}}var Hv=function(e,t){for(var n=[],r=e.length,i=0;i<r;i++){var o=e[i];n.push(o.getUpdatedPathProxy(!0))}var a=new Eu(t);return a.createPathProxy(),a.buildPath=function(e){if(bm(e)){e.appendPath(n);var t=e.getContext();t&&e.rebuildPath(t,1)}},a};function Uv(e,t){if(e.applyTransform){var n=e.getBoundingRect().calculateTransform(t);e.applyTransform(n)}}function Wv(e,t){return zu(e,e,{lineWidth:t}),e}function jv(e){return Vu(e.shape,e.shape,e.style),e}var Xv=Gu;function Yv(e,t){for(var n=rr([]);e&&e!==t;)or(n,e.getLocalTransform(),n),e=e.parent;return n}function Zv(e,t,n){return t&&!dt(t)&&(t=ha.getLocalTransform(t)),n&&(t=ur([],t)),Tn([],e,t)}function qv(e,t,n){var r=0===t[4]||0===t[5]||0===t[0]?1:Math.abs(2*t[4]/t[0]),i=0===t[4]||0===t[5]||0===t[2]?1:Math.abs(2*t[4]/t[2]),o=["left"===e?-r:"right"===e?r:0,"top"===e?-i:"bottom"===e?i:0];return o=Zv(o,t,n),Math.abs(o[0])>Math.abs(o[1])?o[0]>0?"right":"left":o[1]>0?"bottom":"top"}function $v(e){return!e.isGroup}function Kv(e,t,n){if(e&&t){var r=function(e){var t={};return e.traverse((function(e){$v(e)&&e.anid&&(t[e.anid]=e)})),t}(e);t.traverse((function(e){if($v(e)&&e.anid){var t=r[e.anid];if(t){var o=i(e);e.attr(i(t)),ph(e,o,n,lc(e).dataIndex)}}}))}function i(e){var t={x:e.x,y:e.y,rotation:e.rotation};return function(e){return null!=e.shape}(e)&&(t.shape=at({},e.shape)),t}}function Jv(e,t){return ft(e,(function(e){var n=e[0];n=Lv(n,t.x),n=Pv(n,t.x+t.width);var r=e[1];return r=Lv(r,t.y),[n,r=Pv(r,t.y+t.height)]}))}function Qv(e,t){var n=Lv(e.x,t.x),r=Pv(e.x+e.width,t.x+t.width),i=Lv(e.y,t.y),o=Pv(e.y+e.height,t.y+t.height);if(r>=n&&o>=i)return{x:n,y:i,width:r-n,height:o-i}}function ey(e,t,n){var r=at({rectHover:!0},t),i=r.style={strokeNoScale:!0};if(n=n||{x:-1,y:-1,width:2,height:2},e)return 0===e.indexOf("image://")?(i.image=e.slice(8),st(i,n),new Bu(r)):zv(e.replace("path://",""),r,n,"center")}function ty(e,t,n,r,i){for(var o=0,a=i[i.length-1];o<i.length;o++){var s=i[o];if(ny(e,t,n,r,s[0],s[1],a[0],a[1]))return!0;a=s}}function ny(e,t,n,r,i,o,a,s){var l,u=n-e,c=r-t,h=a-i,d=s-o,p=ry(h,d,u,c);if((l=p)<=1e-6&&l>=-1e-6)return!1;var f=e-i,g=t-o,m=ry(f,g,u,c)/p;if(m<0||m>1)return!1;var v=ry(f,g,h,d)/p;return!(v<0||v>1)}function ry(e,t,n,r){return e*r-n*t}function iy(e){var t=e.itemTooltipOption,n=e.componentModel,r=e.itemName,i=St(t)?{formatter:t}:t,o=n.mainType,a=n.componentIndex,s={componentType:o,name:r,$vars:["name"]};s[o+"Index"]=a;var l=e.formatterParamsExtra;l&&pt(yt(l),(function(e){Kt(s,e)||(s[e]=l[e],s.$vars.push(e))}));var u=lc(e.el);u.componentMainType=o,u.componentIndex=a,u.tooltipConfig={name:r,option:st({content:r,formatterParams:s},i)}}function oy(e,t){var n;e.isGroup&&(n=t(e)),n||e.traverse(t)}function ay(e,t){if(e)if(bt(e))for(var n=0;n<e.length;n++)oy(e[n],t);else oy(e,t)}Bv("circle",Im),Bv("ellipse",Em),Bv("sector",jm),Bv("ring",Zm),Bv("polygon",Jm),Bv("polyline",tv),Bv("rect",ju),Bv("line",ov),Bv("bezierCurve",cv),Bv("arc",pv);var sy=Ns(),ly=im(),uy=function(){function e(){this.group=new Oa,this.uid=Kh("viewChart"),this.renderTask=Xf({plan:dy,reset:py}),this.renderTask.context={view:this}}return e.prototype.init=function(e,t){},e.prototype.render=function(e,t,n,r){},e.prototype.highlight=function(e,t,n,r){var i=e.getData(r&&r.dataType);i&&hy(i,r,"emphasis")},e.prototype.downplay=function(e,t,n,r){var i=e.getData(r&&r.dataType);i&&hy(i,r,"normal")},e.prototype.remove=function(e,t){this.group.removeAll()},e.prototype.dispose=function(e,t){},e.prototype.updateView=function(e,t,n,r){this.render(e,t,n,r)},e.prototype.updateLayout=function(e,t,n,r){this.render(e,t,n,r)},e.prototype.updateVisual=function(e,t,n,r){this.render(e,t,n,r)},e.prototype.eachRendered=function(e){ay(this.group,e)},e.markUpdateMethod=function(e,t){sy(e).updateMethod=t},e.protoInitialize=void(e.prototype.type="chart"),e}();function cy(e,t,n){e&&sh(e)&&("emphasis"===t?Gc:Hc)(e,n)}function hy(e,t,n){var r=Os(e,t),i=t&&null!=t.highlightKey?function(e){var t=hc[e];return null==t&&cc<=32&&(t=hc[e]=cc++),t}(t.highlightKey):null;null!=r?pt(ws(r),(function(t){cy(e.getItemGraphicEl(t),n,i)})):e.eachItemGraphicEl((function(e){cy(e,n,i)}))}function dy(e){return ly(e.model)}function py(e){var t=e.model,n=e.ecModel,r=e.api,i=e.payload,o=t.pipelineContext.progressiveRender,a=e.view,s=i&&sy(i).updateMethod,l=o?"incrementalPrepareRender":s&&a[s]?s:"render";return"render"!==l&&a[l](t,n,r,i),fy[l]}Zs(uy),Qs(uy);var fy={incrementalPrepareRender:{progress:function(e,t){t.view.incrementalRender(e,t.model,t.ecModel,t.api,t.payload)}},render:{forceFirstProgress:!0,progress:function(e,t){t.view.render(t.model,t.ecModel,t.api,t.payload)}}};const gy=uy;var my="\0__throttleOriginMethod",vy="\0__throttleRate",yy="\0__throttleType";function _y(e,t,n){var r,i,o,a,s,l=0,u=0,c=null;function h(){u=(new Date).getTime(),c=null,e.apply(o,a||[])}t=t||0;var d=function(){for(var e=[],d=0;d<arguments.length;d++)e[d]=arguments[d];r=(new Date).getTime(),o=this,a=e;var p=s||t,f=s||n;s=null,i=r-(f?l:u)-p,clearTimeout(c),f?c=setTimeout(h,p):i>=0?h():c=setTimeout(h,-i),l=r};return d.clear=function(){c&&(clearTimeout(c),c=null)},d.debounceNextCall=function(e){s=e},d}function xy(e,t,n,r){var i=e[t];if(i){var o=i[my]||i,a=i[yy];if(i[vy]!==n||a!==r){if(null==n||!r)return e[t]=o;(i=e[t]=_y(o,n,"debounce"===r))[my]=o,i[yy]=r,i[vy]=n}return i}}function by(e,t){var n=e[t];n&&n[my]&&(n.clear&&n.clear(),e[t]=n[my])}var wy=Ns(),Sy={itemStyle:el(jh,!0),lineStyle:el(Hh,!0)},My={lineStyle:"stroke",itemStyle:"fill"};function Ty(e,t){return e.visualStyleMapper||Sy[t]||(console.warn("Unknown style type '"+t+"'."),Sy.itemStyle)}function Ay(e,t){return e.visualDrawType||My[t]||(console.warn("Unknown style type '"+t+"'."),"fill")}var Iy={createOnAllSeries:!0,performRawSeries:!0,reset:function(e,t){var n=e.getData(),r=e.visualStyleAccessPath||"itemStyle",i=e.getModel(r),o=Ty(e,r)(i),a=i.getShallow("decal");a&&(n.setVisual("decal",a),a.dirty=!0);var s=Ay(e,r),l=o[s],u=wt(l)?l:null,c="auto"===o.fill||"auto"===o.stroke;if(!o[s]||u||c){var h=e.getColorFromPalette(e.name,null,t.getSeriesCount());o[s]||(o[s]=h,n.setVisual("colorFromPalette",!0)),o.fill="auto"===o.fill||wt(o.fill)?h:o.fill,o.stroke="auto"===o.stroke||wt(o.stroke)?h:o.stroke}if(n.setVisual("style",o),n.setVisual("drawType",s),!t.isSeriesFiltered(e)&&u)return n.setVisual("colorFromPalette",!1),{dataEach:function(t,n){var r=e.getDataParams(n),i=at({},o);i[s]=u(r),t.setItemVisual(n,"style",i)}}}},Cy=new qh,Dy={createOnAllSeries:!0,performRawSeries:!0,reset:function(e,t){if(!e.ignoreStyleOnData&&!t.isSeriesFiltered(e)){var n=e.getData(),r=e.visualStyleAccessPath||"itemStyle",i=Ty(e,r),o=n.getVisual("drawType");return{dataEach:n.hasItemOption?function(e,t){var n=e.getRawDataItem(t);if(n&&n[r]){Cy.option=n[r];var a=i(Cy);at(e.ensureUniqueItemVisual(t,"style"),a),Cy.option.decal&&(e.setItemVisual(t,"decal",Cy.option.decal),Cy.option.decal.dirty=!0),o in a&&e.setItemVisual(t,"colorFromPalette",!1)}}:null}}}},Ey={performRawSeries:!0,overallReset:function(e){var t=Yt();e.eachSeries((function(e){var n=e.getColorBy();if(!e.isColorBySeries()){var r=e.type+"-"+n,i=t.get(r);i||(i={},t.set(r,i)),wy(e).scope=i}})),e.eachSeries((function(t){if(!t.isColorBySeries()&&!e.isSeriesFiltered(t)){var n=t.getRawData(),r={},i=t.getData(),o=wy(t).scope,a=t.visualStyleAccessPath||"itemStyle",s=Ay(t,a);i.each((function(e){var t=i.getRawIndex(e);r[t]=e})),n.each((function(e){var a=r[e];if(i.getItemVisual(a,"colorFromPalette")){var l=i.ensureUniqueItemVisual(a,"style"),u=n.getName(e)||e+"",c=n.count();l[s]=t.getColorFromPalette(u,o,c)}}))}}))}},Ly=Math.PI,Py=function(){function e(e,t,n,r){this._stageTaskMap=Yt(),this.ecInstance=e,this.api=t,n=this._dataProcessorHandlers=n.slice(),r=this._visualHandlers=r.slice(),this._allHandlers=n.concat(r)}return e.prototype.restoreData=function(e,t){e.restoreData(t),this._stageTaskMap.each((function(e){var t=e.overallTask;t&&t.dirty()}))},e.prototype.getPerformArgs=function(e,t){if(e.__pipeline){var n=this._pipelineMap.get(e.__pipeline.id),r=n.context,i=!t&&n.progressiveEnabled&&(!r||r.progressiveRender)&&e.__idxInPipeline>n.blockIndex?n.step:null,o=r&&r.modDataCount;return{step:i,modBy:null!=o?Math.ceil(o/i):null,modDataCount:o}}},e.prototype.getPipeline=function(e){return this._pipelineMap.get(e)},e.prototype.updateStreamModes=function(e,t){var n=this._pipelineMap.get(e.uid),r=e.getData().count(),i=n.progressiveEnabled&&t.incrementalPrepareRender&&r>=n.threshold,o=e.get("large")&&r>=e.get("largeThreshold"),a="mod"===e.get("progressiveChunkMode")?r:null;e.pipelineContext=n.context={progressiveRender:i,modDataCount:a,large:o}},e.prototype.restorePipelines=function(e){var t=this,n=t._pipelineMap=Yt();e.eachSeries((function(e){var r=e.getProgressive(),i=e.uid;n.set(i,{id:i,head:null,tail:null,threshold:e.getProgressiveThreshold(),progressiveEnabled:r&&!(e.preventIncremental&&e.preventIncremental()),blockIndex:-1,step:Math.round(r||700),count:0}),t._pipe(e,e.dataTask)}))},e.prototype.prepareStageTasks=function(){var e=this._stageTaskMap,t=this.api.getModel(),n=this.api;pt(this._allHandlers,(function(r){var i=e.get(r.uid)||e.set(r.uid,{});zt(!(r.reset&&r.overallReset),""),r.reset&&this._createSeriesStageTask(r,i,t,n),r.overallReset&&this._createOverallStageTask(r,i,t,n)}),this)},e.prototype.prepareView=function(e,t,n,r){var i=e.renderTask,o=i.context;o.model=t,o.ecModel=n,o.api=r,i.__block=!e.incrementalPrepareRender,this._pipe(t,i)},e.prototype.performDataProcessorTasks=function(e,t){this._performStageTasks(this._dataProcessorHandlers,e,t,{block:!0})},e.prototype.performVisualTasks=function(e,t,n){this._performStageTasks(this._visualHandlers,e,t,n)},e.prototype._performStageTasks=function(e,t,n,r){r=r||{};var i=!1,o=this;function a(e,t){return e.setDirty&&(!e.dirtyMap||e.dirtyMap.get(t.__pipeline.id))}pt(e,(function(e,s){if(!r.visualType||r.visualType===e.visualType){var l=o._stageTaskMap.get(e.uid),u=l.seriesTaskMap,c=l.overallTask;if(c){var h,d=c.agentStubMap;d.each((function(e){a(r,e)&&(e.dirty(),h=!0)})),h&&c.dirty(),o.updatePayload(c,n);var p=o.getPerformArgs(c,r.block);d.each((function(e){e.perform(p)})),c.perform(p)&&(i=!0)}else u&&u.each((function(s,l){a(r,s)&&s.dirty();var u=o.getPerformArgs(s,r.block);u.skip=!e.performRawSeries&&t.isSeriesFiltered(s.context.model),o.updatePayload(s,n),s.perform(u)&&(i=!0)}))}})),this.unfinished=i||this.unfinished},e.prototype.performSeriesTasks=function(e){var t;e.eachSeries((function(e){t=e.dataTask.perform()||t})),this.unfinished=t||this.unfinished},e.prototype.plan=function(){this._pipelineMap.each((function(e){var t=e.tail;do{if(t.__block){e.blockIndex=t.__idxInPipeline;break}t=t.getUpstream()}while(t)}))},e.prototype.updatePayload=function(e,t){"remain"!==t&&(e.context.payload=t)},e.prototype._createSeriesStageTask=function(e,t,n,r){var i=this,o=t.seriesTaskMap,a=t.seriesTaskMap=Yt(),s=e.seriesType,l=e.getTargetSeries;function u(t){var s=t.uid,l=a.set(s,o&&o.get(s)||Xf({plan:By,reset:Fy,count:Gy}));l.context={model:t,ecModel:n,api:r,useClearVisual:e.isVisual&&!e.isLayout,plan:e.plan,reset:e.reset,scheduler:i},i._pipe(t,l)}e.createOnAllSeries?n.eachRawSeries(u):s?n.eachRawSeriesByType(s,u):l&&l(n,r).each(u)},e.prototype._createOverallStageTask=function(e,t,n,r){var i=this,o=t.overallTask=t.overallTask||Xf({reset:Oy});o.context={ecModel:n,api:r,overallReset:e.overallReset,scheduler:i};var a=o.agentStubMap,s=o.agentStubMap=Yt(),l=e.seriesType,u=e.getTargetSeries,c=!0,h=!1;function d(e){var t=e.uid,n=s.set(t,a&&a.get(t)||(h=!0,Xf({reset:Ny,onDirty:ky})));n.context={model:e,overallProgress:c},n.agent=o,n.__block=c,i._pipe(e,n)}zt(!e.createOnAllSeries,""),l?n.eachRawSeriesByType(l,d):u?u(n,r).each(d):(c=!1,pt(n.getSeries(),d)),h&&o.dirty()},e.prototype._pipe=function(e,t){var n=e.uid,r=this._pipelineMap.get(n);!r.head&&(r.head=t),r.tail&&r.tail.pipe(t),r.tail=t,t.__idxInPipeline=r.count++,t.__pipeline=r},e.wrapStageHandler=function(e,t){return wt(e)&&(e={overallReset:e,seriesType:Hy(e)}),e.uid=Kh("stageHandler"),t&&(e.visualType=t),e},e}();function Oy(e){e.overallReset(e.ecModel,e.api,e.payload)}function Ny(e){return e.overallProgress&&Ry}function Ry(){this.agent.dirty(),this.getDownstream().dirty()}function ky(){this.agent&&this.agent.dirty()}function By(e){return e.plan?e.plan(e.model,e.ecModel,e.api,e.payload):null}function Fy(e){e.useClearVisual&&e.data.clearAllVisual();var t=e.resetDefines=ws(e.reset(e.model,e.ecModel,e.api,e.payload));return t.length>1?ft(t,(function(e,t){return Vy(t)})):zy}var zy=Vy(0);function Vy(e){return function(t,n){var r=n.data,i=n.resetDefines[e];if(i&&i.dataEach)for(var o=t.start;o<t.end;o++)i.dataEach(r,o);else i&&i.progress&&i.progress(t,r)}}function Gy(e){return e.data.count()}function Hy(e){Uy=null;try{e(Wy,jy)}catch(e){}return Uy}var Uy,Wy={},jy={};function Xy(e,t){for(var n in t.prototype)e[n]=Jt}Xy(Wy,Gp),Xy(jy,Up),Wy.eachSeriesByType=Wy.eachRawSeriesByType=function(e){Uy=e},Wy.eachComponent=function(e){"series"===e.mainType&&e.subType&&(Uy=e.subType)};const Yy=Py;var Zy=["#37A2DA","#32C5E9","#67E0E3","#9FE6B8","#FFDB5C","#ff9f7f","#fb7293","#E062AE","#E690D1","#e7bcf3","#9d96f5","#8378EA","#96BFFF"];const qy={color:Zy,colorLayer:[["#37A2DA","#ffd85c","#fd7b5f"],["#37A2DA","#67E0E3","#FFDB5C","#ff9f7f","#E062AE","#9d96f5"],["#37A2DA","#32C5E9","#9FE6B8","#FFDB5C","#ff9f7f","#fb7293","#e7bcf3","#8378EA","#96BFFF"],Zy]};var $y="#B9B8CE",Ky="#100C2A",Jy=function(){return{axisLine:{lineStyle:{color:$y}},splitLine:{lineStyle:{color:"#484753"}},splitArea:{areaStyle:{color:["rgba(255,255,255,0.02)","rgba(255,255,255,0.05)"]}},minorSplitLine:{lineStyle:{color:"#20203B"}}}},Qy=["#4992ff","#7cffb2","#fddd60","#ff6e76","#58d9f9","#05c091","#ff8a45","#8d48e3","#dd79ff"],e_={darkMode:!0,color:Qy,backgroundColor:Ky,axisPointer:{lineStyle:{color:"#817f91"},crossStyle:{color:"#817f91"},label:{color:"#fff"}},legend:{textStyle:{color:$y}},textStyle:{color:$y},title:{textStyle:{color:"#EEF1FA"},subtextStyle:{color:"#B9B8CE"}},toolbox:{iconStyle:{borderColor:$y}},dataZoom:{borderColor:"#71708A",textStyle:{color:$y},brushStyle:{color:"rgba(135,163,206,0.3)"},handleStyle:{color:"#353450",borderColor:"#C5CBE3"},moveHandleStyle:{color:"#B0B6C3",opacity:.3},fillerColor:"rgba(135,163,206,0.2)",emphasis:{handleStyle:{borderColor:"#91B7F2",color:"#4D587D"},moveHandleStyle:{color:"#636D9A",opacity:.7}},dataBackground:{lineStyle:{color:"#71708A",width:1},areaStyle:{color:"#71708A"}},selectedDataBackground:{lineStyle:{color:"#87A3CE"},areaStyle:{color:"#87A3CE"}}},visualMap:{textStyle:{color:$y}},timeline:{lineStyle:{color:$y},label:{color:$y},controlStyle:{color:$y,borderColor:$y}},calendar:{itemStyle:{color:Ky},dayLabel:{color:$y},monthLabel:{color:$y},yearLabel:{color:$y}},timeAxis:Jy(),logAxis:Jy(),valueAxis:Jy(),categoryAxis:Jy(),line:{symbol:"circle"},graph:{color:Qy},gauge:{title:{color:$y},axisLine:{lineStyle:{color:[[1,"rgba(207,212,219,0.2)"]]}},axisLabel:{color:$y},detail:{color:"#EEF1FA"}},candlestick:{itemStyle:{color:"#f64e56",color0:"#54ea92",borderColor:"#f64e56",borderColor0:"#54ea92"}}};e_.categoryAxis.splitLine.show=!1;const t_=e_;var n_=function(){function e(){}return e.prototype.normalizeQuery=function(e){var t={},n={},r={};if(St(e)){var i=Ys(e);t.mainType=i.main||null,t.subType=i.sub||null}else{var o=["Index","Name","Id"],a={name:1,dataIndex:1,dataType:1};pt(e,(function(e,i){for(var s=!1,l=0;l<o.length;l++){var u=o[l],c=i.lastIndexOf(u);if(c>0&&c===i.length-u.length){var h=i.slice(0,c);"data"!==h&&(t.mainType=h,t[u.toLowerCase()]=e,s=!0)}}a.hasOwnProperty(i)&&(n[i]=e,s=!0),s||(r[i]=e)}))}return{cptQuery:t,dataQuery:n,otherQuery:r}},e.prototype.filter=function(e,t){var n=this.eventInfo;if(!n)return!0;var r=n.targetEl,i=n.packedEvent,o=n.model,a=n.view;if(!o||!a)return!0;var s=t.cptQuery,l=t.dataQuery;return u(s,o,"mainType")&&u(s,o,"subType")&&u(s,o,"index","componentIndex")&&u(s,o,"name")&&u(s,o,"id")&&u(l,i,"name")&&u(l,i,"dataIndex")&&u(l,i,"dataType")&&(!a.filterForExposedEvent||a.filterForExposedEvent(e,t.otherQuery,r,i));function u(e,t,n,r){return null==e[n]||t[r||n]===e[n]}},e.prototype.afterTrigger=function(){this.eventInfo=null},e}(),r_=["symbol","symbolSize","symbolRotate","symbolOffset"],i_=r_.concat(["symbolKeepAspect"]),o_={createOnAllSeries:!0,performRawSeries:!0,reset:function(e,t){var n=e.getData();if(e.legendIcon&&n.setVisual("legendIcon",e.legendIcon),e.hasSymbolVisual){for(var r={},i={},o=!1,a=0;a<r_.length;a++){var s=r_[a],l=e.get(s);wt(l)?(o=!0,i[s]=l):r[s]=l}if(r.symbol=r.symbol||e.defaultSymbol,n.setVisual(at({legendIcon:e.legendIcon||r.symbol,symbolKeepAspect:e.get("symbolKeepAspect")},r)),!t.isSeriesFiltered(e)){var u=yt(i);return{dataEach:o?function(t,n){for(var r=e.getRawValue(n),o=e.getDataParams(n),a=0;a<u.length;a++){var s=u[a];t.setItemVisual(n,s,i[s](r,o))}}:null}}}}},a_={createOnAllSeries:!0,performRawSeries:!0,reset:function(e,t){if(e.hasSymbolVisual&&!t.isSeriesFiltered(e))return{dataEach:e.getData().hasItemOption?function(e,t){for(var n=e.getItemModel(t),r=0;r<i_.length;r++){var i=i_[r],o=n.getShallow(i,!0);null!=o&&e.setItemVisual(t,i,o)}}:null}}};function s_(e,t,n){switch(n){case"color":return e.getItemVisual(t,"style")[e.getVisual("drawType")];case"opacity":return e.getItemVisual(t,"style").opacity;case"symbol":case"symbolSize":case"liftZ":return e.getItemVisual(t,n)}}function l_(e,t){switch(t){case"color":return e.getVisual("style")[e.getVisual("drawType")];case"opacity":return e.getVisual("style").opacity;case"symbol":case"symbolSize":case"liftZ":return e.getVisual(t)}}function u_(e,t,n,r){switch(n){case"color":e.ensureUniqueItemVisual(t,"style")[e.getVisual("drawType")]=r,e.setItemVisual(t,"colorFromPalette",!1);break;case"opacity":e.ensureUniqueItemVisual(t,"style").opacity=r;break;case"symbol":case"symbolSize":case"liftZ":e.setItemVisual(t,n,r)}}function c_(e,t){function n(t,n){var r=[];return t.eachComponent({mainType:"series",subType:e,query:n},(function(e){r.push(e.seriesIndex)})),r}pt([[e+"ToggleSelect","toggleSelect"],[e+"Select","select"],[e+"UnSelect","unselect"]],(function(e){t(e[0],(function(t,r,i){t=at({},t),i.dispatchAction(at(t,{type:e[1],seriesIndex:n(r,t)}))}))}))}function h_(e,t,n,r,i){var o=e+t;n.isSilent(o)||r.eachComponent({mainType:"series",subType:"pie"},(function(e){for(var t=e.seriesIndex,r=e.option.selectedMap,a=i.selected,s=0;s<a.length;s++)if(a[s].seriesIndex===t){var l=e.getData(),u=Os(l,i.fromActionPayload);n.trigger(o,{type:o,seriesId:e.id,name:bt(u)?l.getName(u[0]):l.getName(u),selected:St(r)?r:at({},r)})}}))}function d_(e,t,n){for(var r;e&&(!t(e)||(r=e,!n));)e=e.__hostTarget||e.parent;return r}var p_=Math.round(9*Math.random()),f_="function"==typeof Object.defineProperty,g_=function(){function e(){this._id="__ec_inner_"+p_++}return e.prototype.get=function(e){return this._guard(e)[this._id]},e.prototype.set=function(e,t){var n=this._guard(e);return f_?Object.defineProperty(n,this._id,{value:t,enumerable:!1,configurable:!0}):n[this._id]=t,this},e.prototype.delete=function(e){return!!this.has(e)&&(delete this._guard(e)[this._id],!0)},e.prototype.has=function(e){return!!this._guard(e)[this._id]},e.prototype._guard=function(e){if(e!==Object(e))throw TypeError("Value of WeakMap is not a non-null object.");return e},e}();const m_=g_;var v_=Eu.extend({type:"triangle",shape:{cx:0,cy:0,width:0,height:0},buildPath:function(e,t){var n=t.cx,r=t.cy,i=t.width/2,o=t.height/2;e.moveTo(n,r-o),e.lineTo(n+i,r+o),e.lineTo(n-i,r+o),e.closePath()}}),y_=Eu.extend({type:"diamond",shape:{cx:0,cy:0,width:0,height:0},buildPath:function(e,t){var n=t.cx,r=t.cy,i=t.width/2,o=t.height/2;e.moveTo(n,r-o),e.lineTo(n+i,r),e.lineTo(n,r+o),e.lineTo(n-i,r),e.closePath()}}),__=Eu.extend({type:"pin",shape:{x:0,y:0,width:0,height:0},buildPath:function(e,t){var n=t.x,r=t.y,i=t.width/5*3,o=Math.max(i,t.height),a=i/2,s=a*a/(o-a),l=r-o+a+s,u=Math.asin(s/a),c=Math.cos(u)*a,h=Math.sin(u),d=Math.cos(u),p=.6*a,f=.7*a;e.moveTo(n-c,l+s),e.arc(n,l,a,Math.PI-u,2*Math.PI+u),e.bezierCurveTo(n+c-h*p,l+s+d*p,n,r-f,n,r),e.bezierCurveTo(n,r-f,n-c+h*p,l+s+d*p,n-c,l+s),e.closePath()}}),x_=Eu.extend({type:"arrow",shape:{x:0,y:0,width:0,height:0},buildPath:function(e,t){var n=t.height,r=t.width,i=t.x,o=t.y,a=r/3*2;e.moveTo(i,o),e.lineTo(i+a,o+n),e.lineTo(i,o+n/4*3),e.lineTo(i-a,o+n),e.lineTo(i,o),e.closePath()}}),b_={line:function(e,t,n,r,i){i.x1=e,i.y1=t+r/2,i.x2=e+n,i.y2=t+r/2},rect:function(e,t,n,r,i){i.x=e,i.y=t,i.width=n,i.height=r},roundRect:function(e,t,n,r,i){i.x=e,i.y=t,i.width=n,i.height=r,i.r=Math.min(n,r)/4},square:function(e,t,n,r,i){var o=Math.min(n,r);i.x=e,i.y=t,i.width=o,i.height=o},circle:function(e,t,n,r,i){i.cx=e+n/2,i.cy=t+r/2,i.r=Math.min(n,r)/2},diamond:function(e,t,n,r,i){i.cx=e+n/2,i.cy=t+r/2,i.width=n,i.height=r},pin:function(e,t,n,r,i){i.x=e+n/2,i.y=t+r/2,i.width=n,i.height=r},arrow:function(e,t,n,r,i){i.x=e+n/2,i.y=t+r/2,i.width=n,i.height=r},triangle:function(e,t,n,r,i){i.cx=e+n/2,i.cy=t+r/2,i.width=n,i.height=r}},w_={};pt({line:ov,rect:ju,roundRect:ju,square:ju,circle:Im,diamond:y_,pin:__,arrow:x_,triangle:v_},(function(e,t){w_[t]=new e}));var S_=Eu.extend({type:"symbol",shape:{symbolType:"",x:0,y:0,width:0,height:0},calculateTextPosition:function(e,t,n){var r=xa(e,t,n),i=this.shape;return i&&"pin"===i.symbolType&&"inside"===t.position&&(r.y=n.y+.4*n.height),r},buildPath:function(e,t,n){var r=t.symbolType;if("none"!==r){var i=w_[r];i||(i=w_[r="rect"]),b_[r](t.x,t.y,t.width,t.height,i.shape),i.buildPath(e,i.shape,n)}}});function M_(e,t){if("image"!==this.type){var n=this.style;this.__isEmptyBrush?(n.stroke=e,n.fill=t||"#fff",n.lineWidth=2):"line"===this.shape.symbolType?n.stroke=e:n.fill=e,this.markRedraw()}}function T_(e,t,n,r,i,o,a){var s,l=0===e.indexOf("empty");return l&&(e=e.substr(5,1).toLowerCase()+e.substr(6)),(s=0===e.indexOf("image://")?Vv(e.slice(8),new wr(t,n,r,i),a?"center":"cover"):0===e.indexOf("path://")?zv(e.slice(7),{},new wr(t,n,r,i),a?"center":"cover"):new S_({shape:{symbolType:e,x:t,y:n,width:r,height:i}})).__isEmptyBrush=l,s.setColor=M_,o&&s.setColor(o),s}function A_(e){return bt(e)||(e=[+e,+e]),[e[0]||0,e[1]||0]}function I_(e,t){if(null!=e)return bt(e)||(e=[e,e]),[qa(e[0],t[0])||0,qa(Rt(e[1],e[0]),t[1])||0]}function C_(e){return isFinite(e)}function D_(e,t,n){for(var r="radial"===t.type?function(e,t,n){var r=n.width,i=n.height,o=Math.min(r,i),a=null==t.x?.5:t.x,s=null==t.y?.5:t.y,l=null==t.r?.5:t.r;return t.global||(a=a*r+n.x,s=s*i+n.y,l*=o),a=C_(a)?a:.5,s=C_(s)?s:.5,l=l>=0&&C_(l)?l:.5,e.createRadialGradient(a,s,0,a,s,l)}(e,t,n):function(e,t,n){var r=null==t.x?0:t.x,i=null==t.x2?1:t.x2,o=null==t.y?0:t.y,a=null==t.y2?0:t.y2;return t.global||(r=r*n.width+n.x,i=i*n.width+n.x,o=o*n.height+n.y,a=a*n.height+n.y),r=C_(r)?r:0,i=C_(i)?i:1,o=C_(o)?o:0,a=C_(a)?a:0,e.createLinearGradient(r,o,i,a)}(e,t,n),i=t.colorStops,o=0;o<i.length;o++)r.addColorStop(i[o].offset,i[o].color);return r}function E_(e){return parseInt(e,10)}function L_(e,t,n){var r=["width","height"][t],i=["clientWidth","clientHeight"][t],o=["paddingLeft","paddingTop"][t],a=["paddingRight","paddingBottom"][t];if(null!=n[r]&&"auto"!==n[r])return parseFloat(n[r]);var s=document.defaultView.getComputedStyle(e);return(e[i]||E_(s[r])||E_(e.style[r]))-(E_(s[o])||0)-(E_(s[a])||0)|0}function P_(e){var t,n,r=e.style,i=r.lineDash&&r.lineWidth>0&&(t=r.lineDash,n=r.lineWidth,t&&"solid"!==t&&n>0?"dashed"===t?[4*n,2*n]:"dotted"===t?[n]:Tt(t)?[t]:bt(t)?t:null:null),o=r.lineDashOffset;if(i){var a=r.strokeNoScale&&e.getLineScale?e.getLineScale():1;a&&1!==a&&(i=ft(i,(function(e){return e/a})),o/=a)}return[i,o]}var O_=new uu(!0);function N_(e){var t=e.stroke;return!(null==t||"none"===t||!(e.lineWidth>0))}function R_(e){return"string"==typeof e&&"none"!==e}function k_(e){var t=e.fill;return null!=t&&"none"!==t}function B_(e,t){if(null!=t.fillOpacity&&1!==t.fillOpacity){var n=e.globalAlpha;e.globalAlpha=t.fillOpacity*t.opacity,e.fill(),e.globalAlpha=n}else e.fill()}function F_(e,t){if(null!=t.strokeOpacity&&1!==t.strokeOpacity){var n=e.globalAlpha;e.globalAlpha=t.strokeOpacity*t.opacity,e.stroke(),e.globalAlpha=n}else e.stroke()}function z_(e,t,n){var r=ol(t.image,t.__image,n);if(sl(r)){var i=e.createPattern(r,t.repeat||"repeat");if("function"==typeof DOMMatrix&&i&&i.setTransform){var o=new DOMMatrix;o.translateSelf(t.x||0,t.y||0),o.rotateSelf(0,0,(t.rotation||0)*Qt),o.scaleSelf(t.scaleX||1,t.scaleY||1),i.setTransform(o)}return i}}var V_=["shadowBlur","shadowOffsetX","shadowOffsetY"],G_=[["lineCap","butt"],["lineJoin","miter"],["miterLimit",10]];function H_(e,t,n,r,i){var o=!1;if(!r&&t===(n=n||{}))return!1;if(r||t.opacity!==n.opacity){q_(e,i),o=!0;var a=Math.max(Math.min(t.opacity,1),0);e.globalAlpha=isNaN(a)?bl.opacity:a}(r||t.blend!==n.blend)&&(o||(q_(e,i),o=!0),e.globalCompositeOperation=t.blend||bl.blend);for(var s=0;s<V_.length;s++){var l=V_[s];(r||t[l]!==n[l])&&(o||(q_(e,i),o=!0),e[l]=e.dpr*(t[l]||0))}return(r||t.shadowColor!==n.shadowColor)&&(o||(q_(e,i),o=!0),e.shadowColor=t.shadowColor||bl.shadowColor),o}function U_(e,t,n,r,i){var o=$_(t,i.inHover),a=r?null:n&&$_(n,i.inHover)||{};if(o===a)return!1;var s=H_(e,o,a,r,i);if((r||o.fill!==a.fill)&&(s||(q_(e,i),s=!0),R_(o.fill)&&(e.fillStyle=o.fill)),(r||o.stroke!==a.stroke)&&(s||(q_(e,i),s=!0),R_(o.stroke)&&(e.strokeStyle=o.stroke)),(r||o.opacity!==a.opacity)&&(s||(q_(e,i),s=!0),e.globalAlpha=null==o.opacity?1:o.opacity),t.hasStroke()){var l=o.lineWidth/(o.strokeNoScale&&t.getLineScale?t.getLineScale():1);e.lineWidth!==l&&(s||(q_(e,i),s=!0),e.lineWidth=l)}for(var u=0;u<G_.length;u++){var c=G_[u],h=c[0];(r||o[h]!==a[h])&&(s||(q_(e,i),s=!0),e[h]=o[h]||c[1])}return s}function W_(e,t){var n=t.transform,r=e.dpr||1;n?e.setTransform(r*n[0],r*n[1],r*n[2],r*n[3],r*n[4],r*n[5]):e.setTransform(r,0,0,r,0,0)}var j_=1,X_=2,Y_=3,Z_=4;function q_(e,t){t.batchFill&&e.fill(),t.batchStroke&&e.stroke(),t.batchFill="",t.batchStroke=""}function $_(e,t){return t&&e.__hoverStyle||e.style}function K_(e,t){J_(e,t,{inHover:!1,viewWidth:0,viewHeight:0},!0)}function J_(e,t,n,r){var i=t.transform;if(!t.shouldBePainted(n.viewWidth,n.viewHeight,!1,!1))return t.__dirty&=~Vr,void(t.__isRendered=!1);var o=t.__clipPaths,a=n.prevElClipPaths,s=!1,l=!1;if(a&&!function(e,t){if(e===t||!e&&!t)return!1;if(!e||!t||e.length!==t.length)return!0;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!0;return!1}(o,a)||(a&&a.length&&(q_(e,n),e.restore(),l=s=!0,n.prevElClipPaths=null,n.allClipped=!1,n.prevEl=null),o&&o.length&&(q_(e,n),e.save(),function(e,t,n){for(var r=!1,i=0;i<e.length;i++){var o=e[i];r=r||o.isZeroArea(),W_(t,o),t.beginPath(),o.buildPath(t,o.shape),t.clip()}n.allClipped=r}(o,e,n),s=!0),n.prevElClipPaths=o),n.allClipped)t.__isRendered=!1;else{t.beforeBrush&&t.beforeBrush(),t.innerBeforeBrush();var u=n.prevEl;u||(l=s=!0);var c,h,d=t instanceof Eu&&t.autoBatch&&function(e){var t=k_(e),n=N_(e);return!(e.lineDash||!(+t^+n)||t&&"string"!=typeof e.fill||n&&"string"!=typeof e.stroke||e.strokePercent<1||e.strokeOpacity<1||e.fillOpacity<1)}(t.style);s||(c=i,h=u.transform,c&&h?c[0]!==h[0]||c[1]!==h[1]||c[2]!==h[2]||c[3]!==h[3]||c[4]!==h[4]||c[5]!==h[5]:c||h)?(q_(e,n),W_(e,t)):d||q_(e,n);var p=$_(t,n.inHover);t instanceof Eu?(n.lastDrawType!==j_&&(l=!0,n.lastDrawType=j_),U_(e,t,u,l,n),d&&(n.batchFill||n.batchStroke)||e.beginPath(),function(e,t,n,r){var i,o=N_(n),a=k_(n),s=n.strokePercent,l=s<1,u=!t.path;t.silent&&!l||!u||t.createPathProxy();var c=t.path||O_,h=t.__dirty;if(!r){var d=n.fill,p=n.stroke,f=a&&!!d.colorStops,g=o&&!!p.colorStops,m=a&&!!d.image,v=o&&!!p.image,y=void 0,_=void 0,x=void 0,b=void 0,w=void 0;(f||g)&&(w=t.getBoundingRect()),f&&(y=h?D_(e,d,w):t.__canvasFillGradient,t.__canvasFillGradient=y),g&&(_=h?D_(e,p,w):t.__canvasStrokeGradient,t.__canvasStrokeGradient=_),m&&(x=h||!t.__canvasFillPattern?z_(e,d,t):t.__canvasFillPattern,t.__canvasFillPattern=x),v&&(b=h||!t.__canvasStrokePattern?z_(e,p,t):t.__canvasStrokePattern,t.__canvasStrokePattern=x),f?e.fillStyle=y:m&&(x?e.fillStyle=x:a=!1),g?e.strokeStyle=_:v&&(b?e.strokeStyle=b:o=!1)}var S,M,T=t.getGlobalScale();c.setScale(T[0],T[1],t.segmentIgnoreThreshold),e.setLineDash&&n.lineDash&&(S=(i=P_(t))[0],M=i[1]);var A=!0;(u||h&Gr)&&(c.setDPR(e.dpr),l?c.setContext(null):(c.setContext(e),A=!1),c.reset(),t.buildPath(c,t.shape,r),c.toStatic(),t.pathUpdated()),A&&c.rebuildPath(e,l?s:1),S&&(e.setLineDash(S),e.lineDashOffset=M),r||(n.strokeFirst?(o&&F_(e,n),a&&B_(e,n)):(a&&B_(e,n),o&&F_(e,n))),S&&e.setLineDash([])}(e,t,p,d),d&&(n.batchFill=p.fill||"",n.batchStroke=p.stroke||"")):t instanceof Ou?(n.lastDrawType!==Y_&&(l=!0,n.lastDrawType=Y_),U_(e,t,u,l,n),function(e,t,n){var r,i=n.text;if(null!=i&&(i+=""),i){e.font=n.font||ze,e.textAlign=n.textAlign,e.textBaseline=n.textBaseline;var o=void 0,a=void 0;e.setLineDash&&n.lineDash&&(o=(r=P_(t))[0],a=r[1]),o&&(e.setLineDash(o),e.lineDashOffset=a),n.strokeFirst?(N_(n)&&e.strokeText(i,n.x,n.y),k_(n)&&e.fillText(i,n.x,n.y)):(k_(n)&&e.fillText(i,n.x,n.y),N_(n)&&e.strokeText(i,n.x,n.y)),o&&e.setLineDash([])}}(e,t,p)):t instanceof Bu?(n.lastDrawType!==X_&&(l=!0,n.lastDrawType=X_),function(e,t,n,r,i){H_(e,$_(t,i.inHover),n&&$_(n,i.inHover),r,i)}(e,t,u,l,n),function(e,t,n){var r=t.__image=ol(n.image,t.__image,t,t.onload);if(r&&sl(r)){var i=n.x||0,o=n.y||0,a=t.getWidth(),s=t.getHeight(),l=r.width/r.height;if(null==a&&null!=s?a=s*l:null==s&&null!=a?s=a/l:null==a&&null==s&&(a=r.width,s=r.height),n.sWidth&&n.sHeight){var u=n.sx||0,c=n.sy||0;e.drawImage(r,u,c,n.sWidth,n.sHeight,i,o,a,s)}else if(n.sx&&n.sy){var h=a-(u=n.sx),d=s-(c=n.sy);e.drawImage(r,u,c,h,d,i,o,a,s)}else e.drawImage(r,i,o,a,s)}}(e,t,p)):t.getTemporalDisplayables&&(n.lastDrawType!==Z_&&(l=!0,n.lastDrawType=Z_),function(e,t,n){var r=t.getDisplayables(),i=t.getTemporalDisplayables();e.save();var o,a,s={prevElClipPaths:null,prevEl:null,allClipped:!1,viewWidth:n.viewWidth,viewHeight:n.viewHeight,inHover:n.inHover};for(o=t.getCursor(),a=r.length;o<a;o++)(c=r[o]).beforeBrush&&c.beforeBrush(),c.innerBeforeBrush(),J_(e,c,s,o===a-1),c.innerAfterBrush(),c.afterBrush&&c.afterBrush(),s.prevEl=c;for(var l=0,u=i.length;l<u;l++){var c;(c=i[l]).beforeBrush&&c.beforeBrush(),c.innerBeforeBrush(),J_(e,c,s,l===u-1),c.innerAfterBrush(),c.afterBrush&&c.afterBrush(),s.prevEl=c}t.clearTemporalDisplayables(),t.notClear=!0,e.restore()}(e,t,n)),d&&r&&q_(e,n),t.innerAfterBrush(),t.afterBrush&&t.afterBrush(),n.prevEl=t,t.__dirty=0,t.__isRendered=!0}}var Q_=new m_,ex=new Ai(100),tx=["symbol","symbolSize","symbolKeepAspect","color","backgroundColor","dashArrayX","dashArrayY","maxTileWidth","maxTileHeight"];function nx(e,t){if("none"===e)return null;var n=t.getDevicePixelRatio(),r=t.getZr(),i="svg"===r.painter.type;e.dirty&&Q_.delete(e);var o=Q_.get(e);if(o)return o;var a=st(e,{symbol:"rect",symbolSize:1,symbolKeepAspect:!0,color:"rgba(0, 0, 0, 0.2)",backgroundColor:null,dashArrayX:5,dashArrayY:5,rotation:0,maxTileWidth:512,maxTileHeight:512});"none"===a.backgroundColor&&(a.backgroundColor=null);var s={repeat:"repeat"};return function(e){for(var t,o=[n],s=!0,l=0;l<tx.length;++l){var u=a[tx[l]];if(null!=u&&!bt(u)&&!St(u)&&!Tt(u)&&"boolean"!=typeof u){s=!1;break}o.push(u)}if(s){t=o.join(",")+(i?"-svg":"");var c=ex.get(t);c&&(i?e.svgElement=c:e.image=c)}var h,d=ix(a.dashArrayX),p=function(e){if(!e||"object"==typeof e&&0===e.length)return[0,0];if(Tt(e)){var t=Math.ceil(e);return[t,t]}var n=ft(e,(function(e){return Math.ceil(e)}));return e.length%2?n.concat(n):n}(a.dashArrayY),f=rx(a.symbol),g=ft(d,(function(e){return ox(e)})),m=ox(p),v=!i&&Ge.createCanvas(),y=i&&{tag:"g",attrs:{},key:"dcl",children:[]},_=function(){for(var e=1,t=0,n=g.length;t<n;++t)e=ys(e,g[t]);var r=1;for(t=0,n=f.length;t<n;++t)r=ys(r,f[t].length);e*=r;var i=m*g.length*f.length;return{width:Math.max(1,Math.min(e,a.maxTileWidth)),height:Math.max(1,Math.min(i,a.maxTileHeight))}}();v&&(v.width=_.width*n,v.height=_.height*n,h=v.getContext("2d")),function(){h&&(h.clearRect(0,0,v.width,v.height),a.backgroundColor&&(h.fillStyle=a.backgroundColor,h.fillRect(0,0,v.width,v.height)));for(var e=0,t=0;t<p.length;++t)e+=p[t];if(!(e<=0))for(var o=-m,s=0,l=0,u=0;o<_.height;){if(s%2==0){for(var c=l/2%f.length,g=0,x=0,b=0;g<2*_.width;){var w=0;for(t=0;t<d[u].length;++t)w+=d[u][t];if(w<=0)break;if(x%2==0){var S=.5*(1-a.symbolSize),M=g+d[u][x]*S,T=o+p[s]*S,A=d[u][x]*a.symbolSize,I=p[s]*a.symbolSize,C=b/2%f[c].length;D(M,T,A,I,f[c][C])}g+=d[u][x],++b,++x===d[u].length&&(x=0)}++u===d.length&&(u=0)}o+=p[s],++l,++s===p.length&&(s=0)}function D(e,t,o,s,l){var u=i?1:n,c=T_(l,e*u,t*u,o*u,s*u,a.color,a.symbolKeepAspect);if(i){var d=r.painter.renderOneToVNode(c);d&&y.children.push(d)}else K_(h,c)}}(),s&&ex.put(t,v||y),e.image=v,e.svgElement=y,e.svgWidth=_.width,e.svgHeight=_.height}(s),s.rotation=a.rotation,s.scaleX=s.scaleY=i?1:1/n,Q_.set(e,s),e.dirty=!1,s}function rx(e){if(!e||0===e.length)return[["rect"]];if(St(e))return[[e]];for(var t=!0,n=0;n<e.length;++n)if(!St(e[n])){t=!1;break}if(t)return rx([e]);var r=[];for(n=0;n<e.length;++n)St(e[n])?r.push([e[n]]):r.push(e[n]);return r}function ix(e){if(!e||0===e.length)return[[0,0]];if(Tt(e))return[[i=Math.ceil(e),i]];for(var t=!0,n=0;n<e.length;++n)if(!Tt(e[n])){t=!1;break}if(t)return ix([e]);var r=[];for(n=0;n<e.length;++n)if(Tt(e[n])){var i=Math.ceil(e[n]);r.push([i,i])}else(i=ft(e[n],(function(e){return Math.ceil(e)}))).length%2==1?r.push(i.concat(i)):r.push(i);return r}function ox(e){for(var t=0,n=0;n<e.length;++n)t+=e[n];return e.length%2==1?2*t:t}const ax=new Pn;var sx={};function lx(e){return sx[e]}var ux="5.5.0",cx={zrender:"5.5.0"},hx=2e3,dx=1e3,px=2e3,fx=3e3,gx=4500,mx={PROCESSOR:{FILTER:1e3,SERIES_FILTER:800,STATISTIC:5e3},VISUAL:{LAYOUT:dx,PROGRESSIVE_LAYOUT:1100,GLOBAL:px,CHART:fx,POST_CHART_LAYOUT:4600,COMPONENT:4e3,BRUSH:5e3,CHART_ITEM:gx,ARIA:6e3,DECAL:7e3}},vx="__flagInMainProcess",yx="__pendingUpdate",_x="__needsUpdateStatus",xx=/^[a-zA-Z0-9_]+$/,bx="__connectUpdateStatus";function Sx(e){return function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];if(!this.isDisposed())return Tx(this,e,t);qx(this.id)}}function Mx(e){return function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];return Tx(this,e,t)}}function Tx(e,t,n){return n[0]=n[0]&&n[0].toLowerCase(),Pn.prototype[t].apply(e,n)}var Ax,Ix,Cx,Dx,Ex,Lx,Px,Ox,Nx,Rx,kx,Bx,Fx,zx,Vx,Gx,Hx,Ux,Wx=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t}(Pn),jx=Wx.prototype;jx.on=Mx("on"),jx.off=Mx("off");var Xx=function(e){function t(t,n,r){var i=e.call(this,new n_)||this;i._chartsViews=[],i._chartsMap={},i._componentsViews=[],i._componentsMap={},i._pendingActions=[],r=r||{},St(n)&&(n=tb[n]),i._dom=t,r.ssr&&Wa((function(e){var t=lc(e),n=t.dataIndex;if(null!=n){var r=Yt();return r.set("series_index",t.seriesIndex),r.set("data_index",n),t.ssrType&&r.set("ssr_type",t.ssrType),r}}));var o=i._zr=Fa(t,{renderer:r.renderer||"canvas",devicePixelRatio:r.devicePixelRatio,width:r.width,height:r.height,ssr:r.ssr,useDirtyRect:Rt(r.useDirtyRect,!1),useCoarsePointer:Rt(r.useCoarsePointer,"auto"),pointerSize:r.pointerSize});i._ssr=r.ssr,i._throttledZrFlush=_y(_t(o.flush,o),17),(n=rt(n))&&mf(n,!0),i._theme=n,i._locale=function(e){if(St(e)){var t=nd[e.toUpperCase()]||{};return e===Qh||e===ed?rt(t):it(rt(t),rt(nd[td]),!1)}return it(rt(e),rt(nd[td]),!1)}(r.locale||id),i._coordSysMgr=new Xp;var a=i._api=Vx(i);function s(e,t){return e.__prio-t.__prio}return zr(eb,s),zr(Jx,s),i._scheduler=new Yy(i,a,Jx,eb),i._messageCenter=new Wx,i._initEvents(),i.resize=_t(i.resize,i),o.animation.on("frame",i._onframe,i),Rx(o,i),kx(o,i),Ht(i),i}return Le(t,e),t.prototype._onframe=function(){if(!this._disposed){Ux(this);var e=this._scheduler;if(this[yx]){var t=this[yx].silent;this[vx]=!0;try{Ax(this),Dx.update.call(this,null,this[yx].updateParams)}catch(e){throw this[vx]=!1,this[yx]=null,e}this._zr.flush(),this[vx]=!1,this[yx]=null,Ox.call(this,t),Nx.call(this,t)}else if(e.unfinished){var n=1,r=this._model,i=this._api;e.unfinished=!1;do{var o=+new Date;e.performSeriesTasks(r),e.performDataProcessorTasks(r),Lx(this,r),e.performVisualTasks(r),zx(this,this._model,i,"remain",{}),n-=+new Date-o}while(n>0&&e.unfinished);e.unfinished||this._zr.flush()}}},t.prototype.getDom=function(){return this._dom},t.prototype.getId=function(){return this.id},t.prototype.getZr=function(){return this._zr},t.prototype.isSSR=function(){return this._ssr},t.prototype.setOption=function(e,t,n){if(!this[vx])if(this._disposed)qx(this.id);else{var r,i,o;if(At(t)&&(n=t.lazyUpdate,r=t.silent,i=t.replaceMerge,o=t.transition,t=t.notMerge),this[vx]=!0,!this._model||t){var a=new $p(this._api),s=this._theme,l=this._model=new Gp;l.scheduler=this._scheduler,l.ssr=this._ssr,l.init(null,null,null,s,this._locale,a)}this._model.setOption(e,{replaceMerge:i},Qx);var u={seriesTransition:o,optionChanged:!0};if(n)this[yx]={silent:r,updateParams:u},this[vx]=!1,this.getZr().wakeUp();else{try{Ax(this),Dx.update.call(this,null,u)}catch(e){throw this[yx]=null,this[vx]=!1,e}this._ssr||this._zr.flush(),this[yx]=null,this[vx]=!1,Ox.call(this,r),Nx.call(this,r)}}},t.prototype.setTheme=function(){},t.prototype.getModel=function(){return this._model},t.prototype.getOption=function(){return this._model&&this._model.getOption()},t.prototype.getWidth=function(){return this._zr.getWidth()},t.prototype.getHeight=function(){return this._zr.getHeight()},t.prototype.getDevicePixelRatio=function(){return this._zr.painter.dpr||Ne.hasGlobalWindow&&window.devicePixelRatio||1},t.prototype.getRenderedCanvas=function(e){return this.renderToCanvas(e)},t.prototype.renderToCanvas=function(e){return e=e||{},this._zr.painter.getRenderedCanvas({backgroundColor:e.backgroundColor||this._model.get("backgroundColor"),pixelRatio:e.pixelRatio||this.getDevicePixelRatio()})},t.prototype.renderToSVGString=function(e){return e=e||{},this._zr.painter.renderToString({useViewBox:e.useViewBox})},t.prototype.getSvgDataURL=function(){if(Ne.svgSupported){var e=this._zr;return pt(e.storage.getDisplayList(),(function(e){e.stopAnimation(null,!0)})),e.painter.toDataURL()}},t.prototype.getDataURL=function(e){if(!this._disposed){var t=(e=e||{}).excludeComponents,n=this._model,r=[],i=this;pt(t,(function(e){n.eachComponent({mainType:e},(function(e){var t=i._componentsMap[e.__viewId];t.group.ignore||(r.push(t),t.group.ignore=!0)}))}));var o="svg"===this._zr.painter.getType()?this.getSvgDataURL():this.renderToCanvas(e).toDataURL("image/"+(e&&e.type||"png"));return pt(r,(function(e){e.group.ignore=!1})),o}qx(this.id)},t.prototype.getConnectedDataURL=function(e){if(!this._disposed){var t="svg"===e.type,n=this.group,r=Math.min,i=Math.max,o=1/0;if(ib[n]){var a=o,s=o,l=-1/0,u=-1/0,c=[],h=e&&e.pixelRatio||this.getDevicePixelRatio();pt(rb,(function(o,h){if(o.group===n){var d=t?o.getZr().painter.getSvgDom().innerHTML:o.renderToCanvas(rt(e)),p=o.getDom().getBoundingClientRect();a=r(p.left,a),s=r(p.top,s),l=i(p.right,l),u=i(p.bottom,u),c.push({dom:d,left:p.left,top:p.top})}}));var d=(l*=h)-(a*=h),p=(u*=h)-(s*=h),f=Ge.createCanvas(),g=Fa(f,{renderer:t?"svg":"canvas"});if(g.resize({width:d,height:p}),t){var m="";return pt(c,(function(e){var t=e.left-a,n=e.top-s;m+='<g transform="translate('+t+","+n+')">'+e.dom+"</g>"})),g.painter.getSvgRoot().innerHTML=m,e.connectedBackgroundColor&&g.painter.setBackgroundColor(e.connectedBackgroundColor),g.refreshImmediately(),g.painter.toDataURL()}return e.connectedBackgroundColor&&g.add(new ju({shape:{x:0,y:0,width:d,height:p},style:{fill:e.connectedBackgroundColor}})),pt(c,(function(e){var t=new Bu({style:{x:e.left*h-a,y:e.top*h-s,image:e.dom}});g.add(t)})),g.refreshImmediately(),f.toDataURL("image/"+(e&&e.type||"png"))}return this.getDataURL(e)}qx(this.id)},t.prototype.convertToPixel=function(e,t){return Ex(this,"convertToPixel",e,t)},t.prototype.convertFromPixel=function(e,t){return Ex(this,"convertFromPixel",e,t)},t.prototype.containPixel=function(e,t){var n;if(!this._disposed)return pt(ks(this._model,e),(function(e,r){r.indexOf("Models")>=0&&pt(e,(function(e){var i=e.coordinateSystem;if(i&&i.containPoint)n=n||!!i.containPoint(t);else if("seriesModels"===r){var o=this._chartsMap[e.__viewId];o&&o.containPoint&&(n=n||o.containPoint(t,e))}}),this)}),this),!!n;qx(this.id)},t.prototype.getVisual=function(e,t){var n=ks(this._model,e,{defaultMainType:"series"}),r=n.seriesModel.getData(),i=n.hasOwnProperty("dataIndexInside")?n.dataIndexInside:n.hasOwnProperty("dataIndex")?r.indexOfRawIndex(n.dataIndex):null;return null!=i?s_(r,i,t):l_(r,t)},t.prototype.getViewOfComponentModel=function(e){return this._componentsMap[e.__viewId]},t.prototype.getViewOfSeriesModel=function(e){return this._chartsMap[e.__viewId]},t.prototype._initEvents=function(){var e,t,n,r=this;pt(Zx,(function(e){var t=function(t){var n,i=r.getModel(),o=t.target;if("globalout"===e?n={}:o&&d_(o,(function(e){var t=lc(e);if(t&&null!=t.dataIndex){var r=t.dataModel||i.getSeriesByIndex(t.seriesIndex);return n=r&&r.getDataParams(t.dataIndex,t.dataType,o)||{},!0}if(t.eventData)return n=at({},t.eventData),!0}),!0),n){var a=n.componentType,s=n.componentIndex;"markLine"!==a&&"markPoint"!==a&&"markArea"!==a||(a="series",s=n.seriesIndex);var l=a&&null!=s&&i.getComponent(a,s),u=l&&r["series"===l.mainType?"_chartsMap":"_componentsMap"][l.__viewId];n.event=t,n.type=e,r._$eventProcessor.eventInfo={targetEl:o,packedEvent:n,model:l,view:u},r.trigger(e,n)}};t.zrEventfulCallAtLast=!0,r._zr.on(e,t,r)})),pt(Kx,(function(e,t){r._messageCenter.on(t,(function(e){this.trigger(t,e)}),r)})),pt(["selectchanged"],(function(e){r._messageCenter.on(e,(function(t){this.trigger(e,t)}),r)})),e=this._messageCenter,t=this,n=this._api,e.on("selectchanged",(function(e){var r=n.getModel();e.isFromClick?(h_("map","selectchanged",t,r,e),h_("pie","selectchanged",t,r,e)):"select"===e.fromAction?(h_("map","selected",t,r,e),h_("pie","selected",t,r,e)):"unselect"===e.fromAction&&(h_("map","unselected",t,r,e),h_("pie","unselected",t,r,e))}))},t.prototype.isDisposed=function(){return this._disposed},t.prototype.clear=function(){this._disposed?qx(this.id):this.setOption({series:[]},!0)},t.prototype.dispose=function(){if(this._disposed)qx(this.id);else{this._disposed=!0,this.getDom()&&Gs(this.getDom(),sb,"");var e=this,t=e._api,n=e._model;pt(e._componentsViews,(function(e){e.dispose(n,t)})),pt(e._chartsViews,(function(e){e.dispose(n,t)})),e._zr.dispose(),e._dom=e._model=e._chartsMap=e._componentsMap=e._chartsViews=e._componentsViews=e._scheduler=e._api=e._zr=e._throttledZrFlush=e._theme=e._coordSysMgr=e._messageCenter=null,delete rb[e.id]}},t.prototype.resize=function(e){if(!this[vx])if(this._disposed)qx(this.id);else{this._zr.resize(e);var t=this._model;if(this._loadingFX&&this._loadingFX.resize(),t){var n=t.resetOption("media"),r=e&&e.silent;this[yx]&&(null==r&&(r=this[yx].silent),n=!0,this[yx]=null),this[vx]=!0;try{n&&Ax(this),Dx.update.call(this,{type:"resize",animation:at({duration:0},e&&e.animation)})}catch(e){throw this[vx]=!1,e}this[vx]=!1,Ox.call(this,r),Nx.call(this,r)}}},t.prototype.showLoading=function(e,t){if(this._disposed)qx(this.id);else if(At(e)&&(t=e,e=""),e=e||"default",this.hideLoading(),nb[e]){var n=nb[e](this._api,t),r=this._zr;this._loadingFX=n,r.add(n)}},t.prototype.hideLoading=function(){this._disposed?qx(this.id):(this._loadingFX&&this._zr.remove(this._loadingFX),this._loadingFX=null)},t.prototype.makeActionFromEvent=function(e){var t=at({},e);return t.type=Kx[e.type],t},t.prototype.dispatchAction=function(e,t){if(this._disposed)qx(this.id);else if(At(t)||(t={silent:!!t}),$x[e.type]&&this._model)if(this[vx])this._pendingActions.push(e);else{var n=t.silent;Px.call(this,e,n);var r=t.flush;r?this._zr.flush():!1!==r&&Ne.browser.weChat&&this._throttledZrFlush(),Ox.call(this,n),Nx.call(this,n)}},t.prototype.updateLabelLayout=function(){ax.trigger("series:layoutlabels",this._model,this._api,{updatedSeries:[]})},t.prototype.appendData=function(e){if(this._disposed)qx(this.id);else{var t=e.seriesIndex;this.getModel().getSeriesByIndex(t).appendData(e),this._scheduler.unfinished=!0,this.getZr().wakeUp()}},t.internalField=function(){function e(e){e.clearColorPalette(),e.eachSeries((function(e){e.clearColorPalette()}))}function t(e){for(var t=[],n=e.currentStates,r=0;r<n.length;r++){var i=n[r];"emphasis"!==i&&"blur"!==i&&"select"!==i&&t.push(i)}e.selected&&e.states.select&&t.push("select"),e.hoverState===mc&&e.states.emphasis?t.push("emphasis"):e.hoverState===gc&&e.states.blur&&t.push("blur"),e.useStates(t)}function n(e,t){if(!e.preventAutoZ){var n=e.get("z")||0,i=e.get("zlevel")||0;t.eachRendered((function(e){return r(e,n,i,-1/0),!0}))}}function r(e,t,n,i){var o=e.getTextContent(),a=e.getTextGuideLine();if(e.isGroup)for(var s=e.childrenRef(),l=0;l<s.length;l++)i=Math.max(r(s[l],t,n,i),i);else e.z=t,e.zlevel=n,i=Math.max(e.z2,i);if(o&&(o.z=t,o.zlevel=n,isFinite(i)&&(o.z2=i+2)),a){var u=e.textGuideLineConfig;a.z=t,a.zlevel=n,isFinite(i)&&(a.z2=i+(u&&u.showAbove?1:-1))}return i}function i(e,t){t.eachRendered((function(e){if(!gh(e)){var t=e.getTextContent(),n=e.getTextGuideLine();e.stateTransition&&(e.stateTransition=null),t&&t.stateTransition&&(t.stateTransition=null),n&&n.stateTransition&&(n.stateTransition=null),e.hasState()?(e.prevStates=e.currentStates,e.clearStates()):e.prevStates&&(e.prevStates=null)}}))}function o(e,n){var r=e.getModel("stateAnimation"),i=e.isAnimationEnabled(),o=r.get("duration"),a=o>0?{duration:o,delay:r.get("delay"),easing:r.get("easing")}:null;n.eachRendered((function(e){if(e.states&&e.states.emphasis){if(gh(e))return;if(e instanceof Eu&&function(e){var t=dc(e);t.normalFill=e.style.fill,t.normalStroke=e.style.stroke;var n=e.states.select||{};t.selectFill=n.style&&n.style.fill||null,t.selectStroke=n.style&&n.style.stroke||null}(e),e.__dirty){var n=e.prevStates;n&&e.useStates(n)}if(i){e.stateTransition=a;var r=e.getTextContent(),o=e.getTextGuideLine();r&&(r.stateTransition=a),o&&(o.stateTransition=a)}e.__dirty&&t(e)}}))}Ax=function(e){var t=e._scheduler;t.restorePipelines(e._model),t.prepareStageTasks(),Ix(e,!0),Ix(e,!1),t.plan()},Ix=function(e,t){for(var n=e._model,r=e._scheduler,i=t?e._componentsViews:e._chartsViews,o=t?e._componentsMap:e._chartsMap,a=e._zr,s=e._api,l=0;l<i.length;l++)i[l].__alive=!1;function u(e){var l=e.__requireNewView;e.__requireNewView=!1;var u="_ec_"+e.id+"_"+e.type,c=!l&&o[u];if(!c){var h=Ys(e.type);(c=new(t?rm.getClass(h.main,h.sub):gy.getClass(h.sub))).init(n,s),o[u]=c,i.push(c),a.add(c.group)}e.__viewId=c.__id=u,c.__alive=!0,c.__model=e,c.group.__ecComponentInfo={mainType:e.mainType,index:e.componentIndex},!t&&r.prepareView(c,e,n,s)}for(t?n.eachComponent((function(e,t){"series"!==e&&u(t)})):n.eachSeries(u),l=0;l<i.length;){var c=i[l];c.__alive?l++:(!t&&c.renderTask.dispose(),a.remove(c.group),c.dispose(n,s),i.splice(l,1),o[c.__id]===c&&delete o[c.__id],c.__id=c.group.__ecComponentInfo=null)}},Cx=function(e,t,n,r,i){var o=e._model;if(o.setUpdatePayload(n),r){var a={};a[r+"Id"]=n[r+"Id"],a[r+"Index"]=n[r+"Index"],a[r+"Name"]=n[r+"Name"];var s={mainType:r,query:a};i&&(s.subType=i);var l,u=n.excludeSeriesId;null!=u&&(l=Yt(),pt(ws(u),(function(e){var t=Es(e,null);null!=t&&l.set(t,!0)}))),o&&o.eachComponent(s,(function(t){if(!l||null==l.get(t.id))if(uh(n))if(t instanceof tm)n.type!==bc||n.notBlur||t.get(["emphasis","disabled"])||function(e,t,n){var r=e.seriesIndex,i=e.getData(t.dataType);if(i){var o=Os(i,t);o=(bt(o)?o[0]:o)||0;var a=i.getItemGraphicEl(o);if(!a)for(var s=i.count(),l=0;!a&&l<s;)a=i.getItemGraphicEl(l++);if(a){var u=lc(a);qc(r,u.focus,u.blurScope,n)}else{var c=e.get(["emphasis","focus"]),h=e.get(["emphasis","blurScope"]);null!=c&&qc(r,c,h,n)}}}(t,n,e._api);else{var r=Kc(t.mainType,t.componentIndex,n.name,e._api),i=r.focusSelf,o=r.dispatchers;n.type===bc&&i&&!n.notBlur&&$c(t.mainType,t.componentIndex,e._api),o&&pt(o,(function(e){n.type===bc?Gc(e):Hc(e)}))}else lh(n)&&t instanceof tm&&(function(e,t,n){if(lh(t)){var r=t.dataType,i=Os(e.getData(r),t);bt(i)||(i=[i]),e[t.type===Tc?"toggleSelect":t.type===Sc?"select":"unselect"](i,r)}}(t,n,e._api),Jc(t),Hx(e))}),e),o&&o.eachComponent(s,(function(t){l&&null!=l.get(t.id)||c(e["series"===r?"_chartsMap":"_componentsMap"][t.__viewId])}),e)}else pt([].concat(e._componentsViews).concat(e._chartsViews),c);function c(r){r&&r.__alive&&r[t]&&r[t](r.__model,o,e._api,n)}},Dx={prepareAndUpdate:function(e){Ax(this),Dx.update.call(this,e,{optionChanged:null!=e.newOption})},update:function(t,n){var r=this._model,i=this._api,o=this._zr,a=this._coordSysMgr,s=this._scheduler;if(r){r.setUpdatePayload(t),s.restoreData(r,t),s.performSeriesTasks(r),a.create(r,i),s.performDataProcessorTasks(r,t),Lx(this,r),a.update(r,i),e(r),s.performVisualTasks(r,t),Bx(this,r,i,t,n);var l=r.get("backgroundColor")||"transparent",u=r.get("darkMode");o.setBackgroundColor(l),null!=u&&"auto"!==u&&o.setDarkMode(u),ax.trigger("afterupdate",r,i)}},updateTransform:function(t){var n=this,r=this._model,i=this._api;if(r){r.setUpdatePayload(t);var o=[];r.eachComponent((function(e,a){if("series"!==e){var s=n.getViewOfComponentModel(a);if(s&&s.__alive)if(s.updateTransform){var l=s.updateTransform(a,r,i,t);l&&l.update&&o.push(s)}else o.push(s)}}));var a=Yt();r.eachSeries((function(e){var o=n._chartsMap[e.__viewId];if(o.updateTransform){var s=o.updateTransform(e,r,i,t);s&&s.update&&a.set(e.uid,1)}else a.set(e.uid,1)})),e(r),this._scheduler.performVisualTasks(r,t,{setDirty:!0,dirtyMap:a}),zx(this,r,i,t,{},a),ax.trigger("afterupdate",r,i)}},updateView:function(t){var n=this._model;n&&(n.setUpdatePayload(t),gy.markUpdateMethod(t,"updateView"),e(n),this._scheduler.performVisualTasks(n,t,{setDirty:!0}),Bx(this,n,this._api,t,{}),ax.trigger("afterupdate",n,this._api))},updateVisual:function(t){var n=this,r=this._model;r&&(r.setUpdatePayload(t),r.eachSeries((function(e){e.getData().clearAllVisual()})),gy.markUpdateMethod(t,"updateVisual"),e(r),this._scheduler.performVisualTasks(r,t,{visualType:"visual",setDirty:!0}),r.eachComponent((function(e,i){if("series"!==e){var o=n.getViewOfComponentModel(i);o&&o.__alive&&o.updateVisual(i,r,n._api,t)}})),r.eachSeries((function(e){n._chartsMap[e.__viewId].updateVisual(e,r,n._api,t)})),ax.trigger("afterupdate",r,this._api))},updateLayout:function(e){Dx.update.call(this,e)}},Ex=function(e,t,n,r){if(e._disposed)qx(e.id);else for(var i,o=e._model,a=e._coordSysMgr.getCoordinateSystems(),s=ks(o,n),l=0;l<a.length;l++){var u=a[l];if(u[t]&&null!=(i=u[t](o,s,r)))return i}},Lx=function(e,t){var n=e._chartsMap,r=e._scheduler;t.eachSeries((function(e){r.updateStreamModes(e,n[e.__viewId])}))},Px=function(e,t){var n=this,r=this.getModel(),i=e.type,o=e.escapeConnect,a=$x[i],s=a.actionInfo,l=(s.update||"update").split(":"),u=l.pop(),c=null!=l[0]&&Ys(l[0]);this[vx]=!0;var h=[e],d=!1;e.batch&&(d=!0,h=ft(e.batch,(function(t){return(t=st(at({},t),e)).batch=null,t})));var p,f=[],g=lh(e),m=uh(e);if(m&&Zc(this._api),pt(h,(function(t){if((p=(p=a.action(t,n._model,n._api))||at({},t)).type=s.event||p.type,f.push(p),m){var r=Bs(e),i=r.queryOptionMap,o=r.mainTypeSpecified?i.keys()[0]:"series";Cx(n,u,t,o),Hx(n)}else g?(Cx(n,u,t,"series"),Hx(n)):c&&Cx(n,u,t,c.main,c.sub)})),"none"!==u&&!m&&!g&&!c)try{this[yx]?(Ax(this),Dx.update.call(this,e),this[yx]=null):Dx[u].call(this,e)}catch(e){throw this[vx]=!1,e}if(p=d?{type:s.event||i,escapeConnect:o,batch:f}:f[0],this[vx]=!1,!t){var v=this._messageCenter;if(v.trigger(p.type,p),g){var y={type:"selectchanged",escapeConnect:o,selected:Qc(r),isFromClick:e.isFromClick||!1,fromAction:e.type,fromActionPayload:e};v.trigger(y.type,y)}}},Ox=function(e){for(var t=this._pendingActions;t.length;){var n=t.shift();Px.call(this,n,e)}},Nx=function(e){!e&&this.trigger("updated")},Rx=function(e,t){e.on("rendered",(function(n){t.trigger("rendered",n),!e.animation.isFinished()||t[yx]||t._scheduler.unfinished||t._pendingActions.length||t.trigger("finished")}))},kx=function(e,t){e.on("mouseover",(function(e){var n=d_(e.target,sh);n&&(function(e,t,n){var r=lc(e),i=Kc(r.componentMainType,r.componentIndex,r.componentHighDownName,n),o=i.dispatchers,a=i.focusSelf;o?(a&&$c(r.componentMainType,r.componentIndex,n),pt(o,(function(e){return zc(e,t)}))):(qc(r.seriesIndex,r.focus,r.blurScope,n),"self"===r.focus&&$c(r.componentMainType,r.componentIndex,n),zc(e,t))}(n,e,t._api),Hx(t))})).on("mouseout",(function(e){var n=d_(e.target,sh);n&&(function(e,t,n){Zc(n);var r=lc(e),i=Kc(r.componentMainType,r.componentIndex,r.componentHighDownName,n).dispatchers;i?pt(i,(function(e){return Vc(e,t)})):Vc(e,t)}(n,e,t._api),Hx(t))})).on("click",(function(e){var n=d_(e.target,(function(e){return null!=lc(e).dataIndex}),!0);if(n){var r=n.selected?"unselect":"select",i=lc(n);t._api.dispatchAction({type:r,dataType:i.dataType,dataIndexInside:i.dataIndex,seriesIndex:i.seriesIndex,isFromClick:!0})}}))},Bx=function(e,t,n,r,i){!function(e){var t=[],n=[],r=!1;if(e.eachComponent((function(e,i){var o=i.get("zlevel")||0,a=i.get("z")||0,s=i.getZLevelKey();r=r||!!s,("series"===e?n:t).push({zlevel:o,z:a,idx:i.componentIndex,type:e,key:s})})),r){var i,o,a=t.concat(n);zr(a,(function(e,t){return e.zlevel===t.zlevel?e.z-t.z:e.zlevel-t.zlevel})),pt(a,(function(t){var n=e.getComponent(t.type,t.idx),r=t.zlevel,a=t.key;null!=i&&(r=Math.max(i,r)),a?(r===i&&a!==o&&r++,o=a):o&&(r===i&&r++,o=""),i=r,n.setZLevel(r)}))}}(t),Fx(e,t,n,r,i),pt(e._chartsViews,(function(e){e.__alive=!1})),zx(e,t,n,r,i),pt(e._chartsViews,(function(e){e.__alive||e.remove(t,n)}))},Fx=function(e,t,r,a,s,l){pt(l||e._componentsViews,(function(e){var s=e.__model;i(0,e),e.render(s,t,r,a),n(s,e),o(s,e)}))},zx=function(e,t,r,a,s,l){var u=e._scheduler;s=at(s||{},{updatedSeries:t.getSeries()}),ax.trigger("series:beforeupdate",t,r,s);var c=!1;t.eachSeries((function(t){var n=e._chartsMap[t.__viewId];n.__alive=!0;var r=n.renderTask;u.updatePayload(r,a),i(0,n),l&&l.get(t.uid)&&r.dirty(),r.perform(u.getPerformArgs(r))&&(c=!0),n.group.silent=!!t.get("silent"),function(e,t){var n=e.get("blendMode")||null;t.eachRendered((function(e){e.isGroup||(e.style.blend=n)}))}(t,n),Jc(t)})),u.unfinished=c||u.unfinished,ax.trigger("series:layoutlabels",t,r,s),ax.trigger("series:transition",t,r,s),t.eachSeries((function(t){var r=e._chartsMap[t.__viewId];n(t,r),o(t,r)})),function(e,t){var n=e._zr.storage,r=0;n.traverse((function(e){e.isGroup||r++})),r>t.get("hoverLayerThreshold")&&!Ne.node&&!Ne.worker&&t.eachSeries((function(t){if(!t.preventUsingHoverLayer){var n=e._chartsMap[t.__viewId];n.__alive&&n.eachRendered((function(e){e.states.emphasis&&(e.states.emphasis.hoverLayer=!0)}))}}))}(e,t),ax.trigger("series:afterupdate",t,r,s)},Hx=function(e){e[_x]=!0,e.getZr().wakeUp()},Ux=function(e){e[_x]&&(e.getZr().storage.traverse((function(e){gh(e)||t(e)})),e[_x]=!1)},Vx=function(e){return new(function(t){function n(){return null!==t&&t.apply(this,arguments)||this}return Le(n,t),n.prototype.getCoordinateSystems=function(){return e._coordSysMgr.getCoordinateSystems()},n.prototype.getComponentByElement=function(t){for(;t;){var n=t.__ecComponentInfo;if(null!=n)return e._model.getComponent(n.mainType,n.index);t=t.parent}},n.prototype.enterEmphasis=function(t,n){Gc(t,n),Hx(e)},n.prototype.leaveEmphasis=function(t,n){Hc(t,n),Hx(e)},n.prototype.enterBlur=function(t){Uc(t),Hx(e)},n.prototype.leaveBlur=function(t){Wc(t),Hx(e)},n.prototype.enterSelect=function(t){jc(t),Hx(e)},n.prototype.leaveSelect=function(t){Xc(t),Hx(e)},n.prototype.getModel=function(){return e.getModel()},n.prototype.getViewOfComponentModel=function(t){return e.getViewOfComponentModel(t)},n.prototype.getViewOfSeriesModel=function(t){return e.getViewOfSeriesModel(t)},n}(Up))(e)},Gx=function(e){function t(e,t){for(var n=0;n<e.length;n++)e[n][bx]=t}pt(Kx,(function(n,r){e._messageCenter.on(r,(function(n){if(ib[e.group]&&0!==e[bx]){if(n&&n.escapeConnect)return;var r=e.makeActionFromEvent(n),i=[];pt(rb,(function(t){t!==e&&t.group===e.group&&i.push(t)})),t(i,0),pt(i,(function(e){1!==e[bx]&&e.dispatchAction(r)})),t(i,2)}}))}))}}(),t}(Pn),Yx=Xx.prototype;Yx.on=Sx("on"),Yx.off=Sx("off"),Yx.one=function(e,t,n){var r=this;this.on.call(this,e,(function n(){for(var i=[],o=0;o<arguments.length;o++)i[o]=arguments[o];t&&t.apply&&t.apply(this,i),r.off(e,n)}),n)};var Zx=["click","dblclick","mouseover","mouseout","mousemove","mousedown","mouseup","globalout","contextmenu"];function qx(e){}var $x={},Kx={},Jx=[],Qx=[],eb=[],tb={},nb={},rb={},ib={},ob=+new Date-0,ab=+new Date-0,sb="_echarts_instance_";function lb(e,t,n){var r=!(n&&n.ssr);if(r){var i=pb(e);if(i)return i}var o=new Xx(e,t,n);return o.id="ec_"+ob++,rb[o.id]=o,r&&Gs(e,sb,o.id),Gx(o),ax.trigger("afterinit",o),o}function ub(e){if(bt(e)){var t=e;e=null,pt(t,(function(t){null!=t.group&&(e=t.group)})),e=e||"g_"+ab++,pt(t,(function(t){t.group=e}))}return ib[e]=!0,e}function cb(e){ib[e]=!1}var hb=cb;function db(e){St(e)?e=rb[e]:e instanceof Xx||(e=pb(e)),e instanceof Xx&&!e.isDisposed()&&e.dispose()}function pb(e){return rb[function(e,t){return e.getAttribute?e.getAttribute(t):e[t]}(e,sb)]}function fb(e){return rb[e]}function gb(e,t){tb[e]=t}function mb(e){ut(Qx,e)<0&&Qx.push(e)}function vb(e,t){Ib(Jx,e,t,hx)}function yb(e){xb("afterinit",e)}function _b(e){xb("afterupdate",e)}function xb(e,t){ax.on(e,t)}function bb(e,t,n){wt(t)&&(n=t,t="");var r=At(e)?e.type:[e,e={event:t}][0];e.event=(e.event||r).toLowerCase(),t=e.event,Kx[t]||(zt(xx.test(r)&&xx.test(t)),$x[r]||($x[r]={action:n,actionInfo:e}),Kx[t]=r)}function wb(e,t){Xp.register(e,t)}function Sb(e){var t=Xp.get(e);if(t)return t.getDimensionsInfo?t.getDimensionsInfo():t.dimensions.slice()}function Mb(e,t){Ib(eb,e,t,dx,"layout")}function Tb(e,t){Ib(eb,e,t,fx,"visual")}var Ab=[];function Ib(e,t,n,r,i){if((wt(t)||At(t))&&(n=t,t=r),!(ut(Ab,n)>=0)){Ab.push(n);var o=Yy.wrapStageHandler(n,i);o.__prio=t,o.__raw=n,e.push(o)}}function Cb(e,t){nb[e]=t}function Db(e){He({createCanvas:e})}function Eb(e,t,n){var r=lx("registerMap");r&&r(e,t,n)}function Lb(e){var t=lx("getMap");return t&&t(e)}var Pb=function(e){var t=(e=rt(e)).type;t||qf("");var n=t.split(":");2!==n.length&&qf("");var r=!1;"echarts"===n[0]&&(t=n[1],r=!0),e.__isBuiltIn=r,ug.set(t,e)};Tb(px,Iy),Tb(gx,Dy),Tb(gx,Ey),Tb(px,o_),Tb(gx,a_),Tb(7e3,(function(e,t){e.eachRawSeries((function(n){if(!e.isSeriesFiltered(n)){var r=n.getData();r.hasItemVisual()&&r.each((function(e){var n=r.getItemVisual(e,"decal");n&&(r.ensureUniqueItemVisual(e,"style").decal=nx(n,t))}));var i=r.getVisual("decal");i&&(r.getVisual("style").decal=nx(i,t))}}))})),mb(mf),vb(900,(function(e){var t=Yt();e.eachSeries((function(e){var n=e.get("stack");if(n){var r=t.get(n)||t.set(n,[]),i=e.getData(),o={stackResultDimension:i.getCalculationInfo("stackResultDimension"),stackedOverDimension:i.getCalculationInfo("stackedOverDimension"),stackedDimension:i.getCalculationInfo("stackedDimension"),stackedByDimension:i.getCalculationInfo("stackedByDimension"),isStackedByIndex:i.getCalculationInfo("isStackedByIndex"),data:i,seriesModel:e};if(!o.stackedDimension||!o.isStackedByIndex&&!o.stackedByDimension)return;r.length&&i.setCalculationInfo("stackedOnSeries",r[r.length-1].seriesModel),r.push(o)}})),t.each(vf)})),Cb("default",(function(e,t){st(t=t||{},{text:"loading",textColor:"#000",fontSize:12,fontWeight:"normal",fontStyle:"normal",fontFamily:"sans-serif",maskColor:"rgba(255, 255, 255, 0.8)",showSpinner:!0,color:"#5470c6",spinnerRadius:10,lineWidth:5,zlevel:0});var n=new Oa,r=new ju({style:{fill:t.maskColor},zlevel:t.zlevel,z:1e4});n.add(r);var i,o=new sc({style:{text:t.text,fill:t.textColor,fontSize:t.fontSize,fontWeight:t.fontWeight,fontStyle:t.fontStyle,fontFamily:t.fontFamily},zlevel:t.zlevel,z:10001}),a=new ju({style:{fill:"none"},textContent:o,textConfig:{position:"right",distance:10},zlevel:t.zlevel,z:10001});return n.add(a),t.showSpinner&&((i=new pv({shape:{startAngle:-Ly/2,endAngle:-Ly/2+.1,r:t.spinnerRadius},style:{stroke:t.color,lineCap:"round",lineWidth:t.lineWidth},zlevel:t.zlevel,z:10001})).animateShape(!0).when(1e3,{endAngle:3*Ly/2}).start("circularInOut"),i.animateShape(!0).when(1e3,{startAngle:3*Ly/2}).delay(300).start("circularInOut"),n.add(i)),n.resize=function(){var n=o.getBoundingRect().width,s=t.showSpinner?t.spinnerRadius:0,l=(e.getWidth()-2*s-(t.showSpinner&&n?10:0)-n)/2-(t.showSpinner&&n?0:5+n/2)+(t.showSpinner?0:n/2)+(n?0:s),u=e.getHeight()/2;t.showSpinner&&i.setShape({cx:l,cy:u}),a.setShape({x:l-s,y:u-s,width:2*s,height:2*s}),r.setShape({x:0,y:0,width:e.getWidth(),height:e.getHeight()})},n.resize(),n})),bb({type:bc,event:bc,update:bc},Jt),bb({type:wc,event:wc,update:wc},Jt),bb({type:Sc,event:Sc,update:Sc},Jt),bb({type:Mc,event:Mc,update:Mc},Jt),bb({type:Tc,event:Tc,update:Tc},Jt),gb("light",qy),gb("dark",t_);var Ob={};function Nb(e){return null==e?0:e.length||1}function Rb(e){return e}var kb=function(){function e(e,t,n,r,i,o){this._old=e,this._new=t,this._oldKeyGetter=n||Rb,this._newKeyGetter=r||Rb,this.context=i,this._diffModeMultiple="multiple"===o}return e.prototype.add=function(e){return this._add=e,this},e.prototype.update=function(e){return this._update=e,this},e.prototype.updateManyToOne=function(e){return this._updateManyToOne=e,this},e.prototype.updateOneToMany=function(e){return this._updateOneToMany=e,this},e.prototype.updateManyToMany=function(e){return this._updateManyToMany=e,this},e.prototype.remove=function(e){return this._remove=e,this},e.prototype.execute=function(){this[this._diffModeMultiple?"_executeMultiple":"_executeOneToOne"]()},e.prototype._executeOneToOne=function(){var e=this._old,t=this._new,n={},r=new Array(e.length),i=new Array(t.length);this._initIndexMap(e,null,r,"_oldKeyGetter"),this._initIndexMap(t,n,i,"_newKeyGetter");for(var o=0;o<e.length;o++){var a=r[o],s=n[a],l=Nb(s);if(l>1){var u=s.shift();1===s.length&&(n[a]=s[0]),this._update&&this._update(u,o)}else 1===l?(n[a]=null,this._update&&this._update(s,o)):this._remove&&this._remove(o)}this._performRestAdd(i,n)},e.prototype._executeMultiple=function(){var e=this._old,t=this._new,n={},r={},i=[],o=[];this._initIndexMap(e,n,i,"_oldKeyGetter"),this._initIndexMap(t,r,o,"_newKeyGetter");for(var a=0;a<i.length;a++){var s=i[a],l=n[s],u=r[s],c=Nb(l),h=Nb(u);if(c>1&&1===h)this._updateManyToOne&&this._updateManyToOne(u,l),r[s]=null;else if(1===c&&h>1)this._updateOneToMany&&this._updateOneToMany(u,l),r[s]=null;else if(1===c&&1===h)this._update&&this._update(u,l),r[s]=null;else if(c>1&&h>1)this._updateManyToMany&&this._updateManyToMany(u,l),r[s]=null;else if(c>1)for(var d=0;d<c;d++)this._remove&&this._remove(l[d]);else this._remove&&this._remove(l)}this._performRestAdd(o,r)},e.prototype._performRestAdd=function(e,t){for(var n=0;n<e.length;n++){var r=e[n],i=t[r],o=Nb(i);if(o>1)for(var a=0;a<o;a++)this._add&&this._add(i[a]);else 1===o&&this._add&&this._add(i);t[r]=null}},e.prototype._initIndexMap=function(e,t,n,r){for(var i=this._diffModeMultiple,o=0;o<e.length;o++){var a="_ec_"+this[r](e[o],o);if(i||(n[o]=a),t){var s=t[a],l=Nb(s);0===l?(t[a]=o,i&&n.push(a)):1===l?t[a]=[s,o]:s.push(o)}}},e}();const Bb=kb;var Fb=function(){function e(e,t){this._encode=e,this._schema=t}return e.prototype.get=function(){return{fullDimensions:this._getFullDimensionNames(),encode:this._encode}},e.prototype._getFullDimensionNames=function(){return this._cachedDimNames||(this._cachedDimNames=this._schema?this._schema.makeOutputDimensionNames():[]),this._cachedDimNames},e}();function zb(e,t){return e.hasOwnProperty(t)||(e[t]=[]),e[t]}function Vb(e){return"category"===e?"ordinal":"time"===e?"time":"float"}const Gb=function(e){this.otherDims={},null!=e&&at(this,e)};var Hb=Ns(),Ub={float:"f",int:"i",ordinal:"o",number:"n",time:"t"},Wb=function(){function e(e){this.dimensions=e.dimensions,this._dimOmitted=e.dimensionOmitted,this.source=e.source,this._fullDimCount=e.fullDimensionCount,this._updateDimOmitted(e.dimensionOmitted)}return e.prototype.isDimensionOmitted=function(){return this._dimOmitted},e.prototype._updateDimOmitted=function(e){this._dimOmitted=e,e&&(this._dimNameMap||(this._dimNameMap=Yb(this.source)))},e.prototype.getSourceDimensionIndex=function(e){return Rt(this._dimNameMap.get(e),-1)},e.prototype.getSourceDimension=function(e){var t=this.source.dimensionsDefine;if(t)return t[e]},e.prototype.makeStoreSchema=function(){for(var e=this._fullDimCount,t=Ef(this.source),n=!Zb(e),r="",i=[],o=0,a=0;o<e;o++){var s=void 0,l=void 0,u=void 0,c=this.dimensions[a];if(c&&c.storeDimIndex===o)s=t?c.name:null,l=c.type,u=c.ordinalMeta,a++;else{var h=this.getSourceDimension(o);h&&(s=t?h.name:null,l=h.type)}i.push({property:s,type:l,ordinalMeta:u}),!t||null==s||c&&c.isCalculationCoord||(r+=n?s.replace(/\`/g,"`1").replace(/\$/g,"`2"):s),r+="$",r+=Ub[l]||"f",u&&(r+=u.uid),r+="$"}var d=this.source;return{dimensions:i,hash:[d.seriesLayoutBy,d.startIndex,r].join("$$")}},e.prototype.makeOutputDimensionNames=function(){for(var e=[],t=0,n=0;t<this._fullDimCount;t++){var r=void 0,i=this.dimensions[n];if(i&&i.storeDimIndex===t)i.isCalculationCoord||(r=i.name),n++;else{var o=this.getSourceDimension(t);o&&(r=o.name)}e.push(r)}return e},e.prototype.appendCalculationDimension=function(e){this.dimensions.push(e),e.isCalculationCoord=!0,this._fullDimCount++,this._updateDimOmitted(!0)},e}();function jb(e){return e instanceof Wb}function Xb(e){for(var t=Yt(),n=0;n<(e||[]).length;n++){var r=e[n],i=At(r)?r.name:r;null!=i&&null==t.get(i)&&t.set(i,n)}return t}function Yb(e){var t=Hb(e);return t.dimNameMap||(t.dimNameMap=Xb(e.dimensionsDefine))}function Zb(e){return e>30}var qb,$b,Kb,Jb,Qb,ew,tw,nw=At,rw=ft,iw="undefined"==typeof Int32Array?Array:Int32Array,ow=["hasItemOption","_nameList","_idList","_invertedIndicesMap","_dimSummary","userOutput","_rawData","_dimValueGetter","_nameDimIdx","_idDimIdx","_nameRepeatCount"],aw=["_approximateExtent"],sw=function(){function e(e,t){var n;this.type="list",this._dimOmitted=!1,this._nameList=[],this._idList=[],this._visual={},this._layout={},this._itemVisuals=[],this._itemLayouts=[],this._graphicEls=[],this._approximateExtent={},this._calculationInfo={},this.hasItemOption=!1,this.TRANSFERABLE_METHODS=["cloneShallow","downSample","lttbDownSample","map"],this.CHANGABLE_METHODS=["filterSelf","selectRange"],this.DOWNSAMPLE_METHODS=["downSample","lttbDownSample"];var r=!1;jb(e)?(n=e.dimensions,this._dimOmitted=e.isDimensionOmitted(),this._schema=e):(r=!0,n=e),n=n||["x","y"];for(var i={},o=[],a={},s=!1,l={},u=0;u<n.length;u++){var c=n[u],h=St(c)?new Gb({name:c}):c instanceof Gb?c:new Gb(c),d=h.name;h.type=h.type||"float",h.coordDim||(h.coordDim=d,h.coordDimIndex=0);var p=h.otherDims=h.otherDims||{};o.push(d),i[d]=h,null!=l[d]&&(s=!0),h.createInvertedIndices&&(a[d]=[]),0===p.itemName&&(this._nameDimIdx=u),0===p.itemId&&(this._idDimIdx=u),r&&(h.storeDimIndex=u)}if(this.dimensions=o,this._dimInfos=i,this._initGetDimensionInfo(s),this.hostModel=t,this._invertedIndicesMap=a,this._dimOmitted){var f=this._dimIdxToName=Yt();pt(o,(function(e){f.set(i[e].storeDimIndex,e)}))}}return e.prototype.getDimension=function(e){var t=this._recognizeDimIndex(e);if(null==t)return e;if(t=e,!this._dimOmitted)return this.dimensions[t];var n=this._dimIdxToName.get(t);if(null!=n)return n;var r=this._schema.getSourceDimension(t);return r?r.name:void 0},e.prototype.getDimensionIndex=function(e){var t=this._recognizeDimIndex(e);if(null!=t)return t;if(null==e)return-1;var n=this._getDimInfo(e);return n?n.storeDimIndex:this._dimOmitted?this._schema.getSourceDimensionIndex(e):-1},e.prototype._recognizeDimIndex=function(e){if(Tt(e)||null!=e&&!isNaN(e)&&!this._getDimInfo(e)&&(!this._dimOmitted||this._schema.getSourceDimensionIndex(e)<0))return+e},e.prototype._getStoreDimIndex=function(e){return this.getDimensionIndex(e)},e.prototype.getDimensionInfo=function(e){return this._getDimInfo(this.getDimension(e))},e.prototype._initGetDimensionInfo=function(e){var t=this._dimInfos;this._getDimInfo=e?function(e){return t.hasOwnProperty(e)?t[e]:void 0}:function(e){return t[e]}},e.prototype.getDimensionsOnCoord=function(){return this._dimSummary.dataDimsOnCoord.slice()},e.prototype.mapDimension=function(e,t){var n=this._dimSummary;if(null==t)return n.encodeFirstDimNotExtra[e];var r=n.encode[e];return r?r[t]:null},e.prototype.mapDimensionsAll=function(e){return(this._dimSummary.encode[e]||[]).slice()},e.prototype.getStore=function(){return this._store},e.prototype.initData=function(e,t,n){var r,i=this;if(e instanceof wg&&(r=e),!r){var o=this.dimensions,a=Mf(e)||dt(e)?new Lf(e,o.length):e;r=new wg;var s=rw(o,(function(e){return{type:i._dimInfos[e].type,property:e}}));r.initData(a,s,n)}this._store=r,this._nameList=(t||[]).slice(),this._idList=[],this._nameRepeatCount={},this._doInit(0,r.count()),this._dimSummary=function(e,t){var n={},r=n.encode={},i=Yt(),o=[],a=[],s={};pt(e.dimensions,(function(t){var n,l=e.getDimensionInfo(t),u=l.coordDim;if(u){var c=l.coordDimIndex;zb(r,u)[c]=t,l.isExtraCoord||(i.set(u,1),"ordinal"!==(n=l.type)&&"time"!==n&&(o[0]=t),zb(s,u)[c]=e.getDimensionIndex(l.name)),l.defaultTooltip&&a.push(t)}hp.each((function(e,t){var n=zb(r,t),i=l.otherDims[t];null!=i&&!1!==i&&(n[i]=l.name)}))}));var l=[],u={};i.each((function(e,t){var n=r[t];u[t]=n[0],l=l.concat(n)})),n.dataDimsOnCoord=l,n.dataDimIndicesOnCoord=ft(l,(function(t){return e.getDimensionInfo(t).storeDimIndex})),n.encodeFirstDimNotExtra=u;var c=r.label;c&&c.length&&(o=c.slice());var h=r.tooltip;return h&&h.length?a=h.slice():a.length||(a=o.slice()),r.defaultedLabel=o,r.defaultedTooltip=a,n.userOutput=new Fb(s,t),n}(this,this._schema),this.userOutput=this._dimSummary.userOutput},e.prototype.appendData=function(e){var t=this._store.appendData(e);this._doInit(t[0],t[1])},e.prototype.appendValues=function(e,t){var n=this._store.appendValues(e,t.length),r=n.start,i=n.end,o=this._shouldMakeIdFromName();if(this._updateOrdinalMeta(),t)for(var a=r;a<i;a++){var s=a-r;this._nameList[a]=t[s],o&&tw(this,a)}},e.prototype._updateOrdinalMeta=function(){for(var e=this._store,t=this.dimensions,n=0;n<t.length;n++){var r=this._dimInfos[t[n]];r.ordinalMeta&&e.collectOrdinalMeta(r.storeDimIndex,r.ordinalMeta)}},e.prototype._shouldMakeIdFromName=function(){var e=this._store.getProvider();return null==this._idDimIdx&&e.getSource().sourceFormat!==mp&&!e.fillStorage},e.prototype._doInit=function(e,t){if(!(e>=t)){var n=this._store.getProvider();this._updateOrdinalMeta();var r=this._nameList,i=this._idList;if(n.getSource().sourceFormat===dp&&!n.pure)for(var o=[],a=e;a<t;a++){var s=n.getItem(a,o);if(!this.hasItemOption&&As(s)&&(this.hasItemOption=!0),s){var l=s.name;null==r[a]&&null!=l&&(r[a]=Es(l,null));var u=s.id;null==i[a]&&null!=u&&(i[a]=Es(u,null))}}if(this._shouldMakeIdFromName())for(a=e;a<t;a++)tw(this,a);qb(this)}},e.prototype.getApproximateExtent=function(e){return this._approximateExtent[e]||this._store.getDataExtent(this._getStoreDimIndex(e))},e.prototype.setApproximateExtent=function(e,t){t=this.getDimension(t),this._approximateExtent[t]=e.slice()},e.prototype.getCalculationInfo=function(e){return this._calculationInfo[e]},e.prototype.setCalculationInfo=function(e,t){nw(e)?at(this._calculationInfo,e):this._calculationInfo[e]=t},e.prototype.getName=function(e){var t=this.getRawIndex(e),n=this._nameList[t];return null==n&&null!=this._nameDimIdx&&(n=Kb(this,this._nameDimIdx,t)),null==n&&(n=""),n},e.prototype._getCategory=function(e,t){var n=this._store.get(e,t),r=this._store.getOrdinalMeta(e);return r?r.categories[n]:n},e.prototype.getId=function(e){return $b(this,this.getRawIndex(e))},e.prototype.count=function(){return this._store.count()},e.prototype.get=function(e,t){var n=this._store,r=this._dimInfos[e];if(r)return n.get(r.storeDimIndex,t)},e.prototype.getByRawIndex=function(e,t){var n=this._store,r=this._dimInfos[e];if(r)return n.getByRawIndex(r.storeDimIndex,t)},e.prototype.getIndices=function(){return this._store.getIndices()},e.prototype.getDataExtent=function(e){return this._store.getDataExtent(this._getStoreDimIndex(e))},e.prototype.getSum=function(e){return this._store.getSum(this._getStoreDimIndex(e))},e.prototype.getMedian=function(e){return this._store.getMedian(this._getStoreDimIndex(e))},e.prototype.getValues=function(e,t){var n=this,r=this._store;return bt(e)?r.getValues(rw(e,(function(e){return n._getStoreDimIndex(e)})),t):r.getValues(e)},e.prototype.hasValue=function(e){for(var t=this._dimSummary.dataDimIndicesOnCoord,n=0,r=t.length;n<r;n++)if(isNaN(this._store.get(t[n],e)))return!1;return!0},e.prototype.indexOfName=function(e){for(var t=0,n=this._store.count();t<n;t++)if(this.getName(t)===e)return t;return-1},e.prototype.getRawIndex=function(e){return this._store.getRawIndex(e)},e.prototype.indexOfRawIndex=function(e){return this._store.indexOfRawIndex(e)},e.prototype.rawIndexOf=function(e,t){var n=(e&&this._invertedIndicesMap[e])[t];return null==n||isNaN(n)?-1:n},e.prototype.indicesOfNearest=function(e,t,n){return this._store.indicesOfNearest(this._getStoreDimIndex(e),t,n)},e.prototype.each=function(e,t,n){wt(e)&&(n=t,t=e,e=[]);var r=n||this,i=rw(Jb(e),this._getStoreDimIndex,this);this._store.each(i,r?_t(t,r):t)},e.prototype.filterSelf=function(e,t,n){wt(e)&&(n=t,t=e,e=[]);var r=n||this,i=rw(Jb(e),this._getStoreDimIndex,this);return this._store=this._store.filter(i,r?_t(t,r):t),this},e.prototype.selectRange=function(e){var t=this,n={},r=yt(e),i=[];return pt(r,(function(r){var o=t._getStoreDimIndex(r);n[o]=e[r],i.push(o)})),this._store=this._store.selectRange(n),this},e.prototype.mapArray=function(e,t,n){wt(e)&&(n=t,t=e,e=[]),n=n||this;var r=[];return this.each(e,(function(){r.push(t&&t.apply(this,arguments))}),n),r},e.prototype.map=function(e,t,n,r){var i=n||r||this,o=rw(Jb(e),this._getStoreDimIndex,this),a=ew(this);return a._store=this._store.map(o,i?_t(t,i):t),a},e.prototype.modify=function(e,t,n,r){var i=n||r||this,o=rw(Jb(e),this._getStoreDimIndex,this);this._store.modify(o,i?_t(t,i):t)},e.prototype.downSample=function(e,t,n,r){var i=ew(this);return i._store=this._store.downSample(this._getStoreDimIndex(e),t,n,r),i},e.prototype.lttbDownSample=function(e,t){var n=ew(this);return n._store=this._store.lttbDownSample(this._getStoreDimIndex(e),t),n},e.prototype.getRawDataItem=function(e){return this._store.getRawDataItem(e)},e.prototype.getItemModel=function(e){var t=this.hostModel,n=this.getRawDataItem(e);return new qh(n,t,t&&t.ecModel)},e.prototype.diff=function(e){var t=this;return new Bb(e?e.getStore().getIndices():[],this.getStore().getIndices(),(function(t){return $b(e,t)}),(function(e){return $b(t,e)}))},e.prototype.getVisual=function(e){var t=this._visual;return t&&t[e]},e.prototype.setVisual=function(e,t){this._visual=this._visual||{},nw(e)?at(this._visual,e):this._visual[e]=t},e.prototype.getItemVisual=function(e,t){var n=this._itemVisuals[e],r=n&&n[t];return null==r?this.getVisual(t):r},e.prototype.hasItemVisual=function(){return this._itemVisuals.length>0},e.prototype.ensureUniqueItemVisual=function(e,t){var n=this._itemVisuals,r=n[e];r||(r=n[e]={});var i=r[t];return null==i&&(bt(i=this.getVisual(t))?i=i.slice():nw(i)&&(i=at({},i)),r[t]=i),i},e.prototype.setItemVisual=function(e,t,n){var r=this._itemVisuals[e]||{};this._itemVisuals[e]=r,nw(t)?at(r,t):r[t]=n},e.prototype.clearAllVisual=function(){this._visual={},this._itemVisuals=[]},e.prototype.setLayout=function(e,t){nw(e)?at(this._layout,e):this._layout[e]=t},e.prototype.getLayout=function(e){return this._layout[e]},e.prototype.getItemLayout=function(e){return this._itemLayouts[e]},e.prototype.setItemLayout=function(e,t,n){this._itemLayouts[e]=n?at(this._itemLayouts[e]||{},t):t},e.prototype.clearItemLayouts=function(){this._itemLayouts.length=0},e.prototype.setItemGraphicEl=function(e,t){var n=this.hostModel&&this.hostModel.seriesIndex;uc(n,this.dataType,e,t),this._graphicEls[e]=t},e.prototype.getItemGraphicEl=function(e){return this._graphicEls[e]},e.prototype.eachItemGraphicEl=function(e,t){pt(this._graphicEls,(function(n,r){n&&e&&e.call(t,n,r)}))},e.prototype.cloneShallow=function(t){return t||(t=new e(this._schema?this._schema:rw(this.dimensions,this._getDimInfo,this),this.hostModel)),Qb(t,this),t._store=this._store,t},e.prototype.wrapMethod=function(e,t){var n=this[e];wt(n)&&(this.__wrappedMethods=this.__wrappedMethods||[],this.__wrappedMethods.push(e),this[e]=function(){var e=n.apply(this,arguments);return t.apply(this,[e].concat(Bt(arguments)))})},e.internalField=(qb=function(e){var t=e._invertedIndicesMap;pt(t,(function(n,r){var i=e._dimInfos[r],o=i.ordinalMeta,a=e._store;if(o){n=t[r]=new iw(o.categories.length);for(var s=0;s<n.length;s++)n[s]=-1;for(s=0;s<a.count();s++)n[a.get(i.storeDimIndex,s)]=s}}))},Kb=function(e,t,n){return Es(e._getCategory(t,n),null)},$b=function(e,t){var n=e._idList[t];return null==n&&null!=e._idDimIdx&&(n=Kb(e,e._idDimIdx,t)),null==n&&(n="e\0\0"+t),n},Jb=function(e){return bt(e)||(e=null!=e?[e]:[]),e},ew=function(t){var n=new e(t._schema?t._schema:rw(t.dimensions,t._getDimInfo,t),t.hostModel);return Qb(n,t),n},Qb=function(e,t){pt(ow.concat(t.__wrappedMethods||[]),(function(n){t.hasOwnProperty(n)&&(e[n]=t[n])})),e.__wrappedMethods=t.__wrappedMethods,pt(aw,(function(n){e[n]=rt(t[n])})),e._calculationInfo=at({},t._calculationInfo)},void(tw=function(e,t){var n=e._nameList,r=e._idList,i=e._nameDimIdx,o=e._idDimIdx,a=n[t],s=r[t];if(null==a&&null!=i&&(n[t]=a=Kb(e,i,t)),null==s&&null!=o&&(r[t]=s=Kb(e,o,t)),null==s&&null!=a){var l=e._nameRepeatCount,u=l[a]=(l[a]||0)+1;s=a,u>1&&(s+="__ec__"+u),r[t]=s}})),e}();const lw=sw;function uw(e,t){return cw(e,t).dimensions}function cw(e,t){Mf(e)||(e=Af(e));var n=(t=t||{}).coordDimensions||[],r=t.dimensionsDefine||e.dimensionsDefine||[],i=Yt(),o=[],a=function(e,t,n,r){var i=Math.max(e.dimensionsDetectedCount||1,t.length,n.length,r||0);return pt(t,(function(e){var t;At(e)&&(t=e.dimsDef)&&(i=Math.max(i,t.length))})),i}(e,n,r,t.dimensionsCount),s=t.canOmitUnusedDimensions&&Zb(a),l=r===e.dimensionsDefine,u=l?Yb(e):Xb(r),c=t.encodeDefine;!c&&t.encodeDefaulter&&(c=t.encodeDefaulter(e,a));for(var h=Yt(c),d=new mg(a),p=0;p<d.length;p++)d[p]=-1;function f(e){var t=d[e];if(t<0){var n=r[e],i=At(n)?n:{name:n},a=new Gb,s=i.name;null!=s&&null!=u.get(s)&&(a.name=a.displayName=s),null!=i.type&&(a.type=i.type),null!=i.displayName&&(a.displayName=i.displayName);var l=o.length;return d[e]=l,a.storeDimIndex=e,o.push(a),a}return o[t]}if(!s)for(p=0;p<a;p++)f(p);h.each((function(e,t){var n=ws(e).slice();if(1===n.length&&!St(n[0])&&n[0]<0)h.set(t,!1);else{var r=h.set(t,[]);pt(n,(function(e,n){var i=St(e)?u.get(e):e;null!=i&&i<a&&(r[n]=i,m(f(i),t,n))}))}}));var g=0;function m(e,t,n){null!=hp.get(t)?e.otherDims[t]=n:(e.coordDim=t,e.coordDimIndex=n,i.set(t,!0))}pt(n,(function(e){var t,n,r,i;if(St(e))t=e,i={};else{t=(i=e).name;var o=i.ordinalMeta;i.ordinalMeta=null,(i=at({},i)).ordinalMeta=o,n=i.dimsDef,r=i.otherDims,i.name=i.coordDim=i.coordDimIndex=i.dimsDef=i.otherDims=null}var s=h.get(t);if(!1!==s){if(!(s=ws(s)).length)for(var u=0;u<(n&&n.length||1);u++){for(;g<a&&null!=f(g).coordDim;)g++;g<a&&s.push(g++)}pt(s,(function(e,o){var a=f(e);if(l&&null!=i.type&&(a.type=i.type),m(st(a,i),t,o),null==a.name&&n){var s=n[o];!At(s)&&(s={name:s}),a.name=a.displayName=s.name,a.defaultTooltip=s.defaultTooltip}r&&st(a.otherDims,r)}))}}));var v=t.generateCoord,y=t.generateCoordCount,_=null!=y;y=v?y||1:0;var x=v||"value";function b(e){null==e.name&&(e.name=e.coordDim)}if(s)pt(o,(function(e){b(e)})),o.sort((function(e,t){return e.storeDimIndex-t.storeDimIndex}));else for(var w=0;w<a;w++){var S=f(w);null==S.coordDim&&(S.coordDim=hw(x,i,_),S.coordDimIndex=0,(!v||y<=0)&&(S.isExtraCoord=!0),y--),b(S),null!=S.type||Tp(e,w)!==xp.Must&&(!S.isExtraCoord||null==S.otherDims.itemName&&null==S.otherDims.seriesName)||(S.type="ordinal")}return function(e){for(var t=Yt(),n=0;n<e.length;n++){var r=e[n],i=r.name,o=t.get(i)||0;o>0&&(r.name=i+(o-1)),o++,t.set(i,o)}}(o),new Wb({source:e,dimensions:o,fullDimensionCount:a,dimensionOmitted:s})}function hw(e,t,n){if(n||t.hasKey(e)){for(var r=0;t.hasKey(e+r);)r++;e+=r}return t.set(e,!0),e}var dw=function(e){this.coordSysDims=[],this.axisMap=Yt(),this.categoryAxisMap=Yt(),this.coordSysName=e},pw={cartesian2d:function(e,t,n,r){var i=e.getReferringComponents("xAxis",Fs).models[0],o=e.getReferringComponents("yAxis",Fs).models[0];t.coordSysDims=["x","y"],n.set("x",i),n.set("y",o),fw(i)&&(r.set("x",i),t.firstCategoryDimIndex=0),fw(o)&&(r.set("y",o),null==t.firstCategoryDimIndex&&(t.firstCategoryDimIndex=1))},singleAxis:function(e,t,n,r){var i=e.getReferringComponents("singleAxis",Fs).models[0];t.coordSysDims=["single"],n.set("single",i),fw(i)&&(r.set("single",i),t.firstCategoryDimIndex=0)},polar:function(e,t,n,r){var i=e.getReferringComponents("polar",Fs).models[0],o=i.findAxisModel("radiusAxis"),a=i.findAxisModel("angleAxis");t.coordSysDims=["radius","angle"],n.set("radius",o),n.set("angle",a),fw(o)&&(r.set("radius",o),t.firstCategoryDimIndex=0),fw(a)&&(r.set("angle",a),null==t.firstCategoryDimIndex&&(t.firstCategoryDimIndex=1))},geo:function(e,t,n,r){t.coordSysDims=["lng","lat"]},parallel:function(e,t,n,r){var i=e.ecModel,o=i.getComponent("parallel",e.get("parallelIndex")),a=t.coordSysDims=o.dimensions.slice();pt(o.parallelAxisIndex,(function(e,o){var s=i.getComponent("parallelAxis",e),l=a[o];n.set(l,s),fw(s)&&(r.set(l,s),null==t.firstCategoryDimIndex&&(t.firstCategoryDimIndex=o))}))}};function fw(e){return"category"===e.get("type")}function gw(e,t,n){var r,i,o,a=(n=n||{}).byIndex,s=n.stackedCoordDimension;!function(e){return!jb(e.schema)}(t)?(i=t.schema,r=i.dimensions,o=t.store):r=t;var l,u,c,h,d=!(!e||!e.get("stack"));if(pt(r,(function(e,t){St(e)&&(r[t]=e={name:e}),d&&!e.isExtraCoord&&(a||l||!e.ordinalMeta||(l=e),u||"ordinal"===e.type||"time"===e.type||s&&s!==e.coordDim||(u=e))})),!u||a||l||(a=!0),u){c="__\0ecstackresult_"+e.id,h="__\0ecstackedover_"+e.id,l&&(l.createInvertedIndices=!0);var p=u.coordDim,f=u.type,g=0;pt(r,(function(e){e.coordDim===p&&g++}));var m={name:c,coordDim:p,coordDimIndex:g,type:f,isExtraCoord:!0,isCalculationCoord:!0,storeDimIndex:r.length},v={name:h,coordDim:h,coordDimIndex:g+1,type:f,isExtraCoord:!0,isCalculationCoord:!0,storeDimIndex:r.length+1};i?(o&&(m.storeDimIndex=o.ensureCalculationDimension(h,f),v.storeDimIndex=o.ensureCalculationDimension(c,f)),i.appendCalculationDimension(m),i.appendCalculationDimension(v)):(r.push(m),r.push(v))}return{stackedDimension:u&&u.name,stackedByDimension:l&&l.name,isStackedByIndex:a,stackedOverDimension:h,stackResultDimension:c}}function mw(e,t){return!!t&&t===e.getCalculationInfo("stackedDimension")}function vw(e,t){return mw(e,t)?e.getCalculationInfo("stackResultDimension"):t}const yw=function(e,t,n){n=n||{};var r,i=t.getSourceManager(),o=!1;e?(o=!0,r=Af(e)):o=(r=i.getSource()).sourceFormat===dp;var a=function(e){var t=e.get("coordinateSystem"),n=new dw(t),r=pw[t];if(r)return r(e,n,n.axisMap,n.categoryAxisMap),n}(t),s=function(e,t){var n,r=e.get("coordinateSystem"),i=Xp.get(r);return t&&t.coordSysDims&&(n=ft(t.coordSysDims,(function(e){var n={name:e},r=t.axisMap.get(e);if(r){var i=r.get("type");n.type=Vb(i)}return n}))),n||(n=i&&(i.getDimensionsInfo?i.getDimensionsInfo():i.dimensions.slice())||["x","y"]),n}(t,a),l=n.useEncodeDefaulter,u=wt(l)?l:l?xt(wp,s,t):null,c=cw(r,{coordDimensions:s,generateCoord:n.generateCoord,encodeDefine:t.getEncode(),encodeDefaulter:u,canOmitUnusedDimensions:!o}),h=function(e,t,n){var r,i;return n&&pt(e,(function(e,o){var a=e.coordDim,s=n.categoryAxisMap.get(a);s&&(null==r&&(r=o),e.ordinalMeta=s.getOrdinalMeta(),t&&(e.createInvertedIndices=!0)),null!=e.otherDims.itemName&&(i=!0)})),i||null==r||(e[r].otherDims.itemName=0),r}(c.dimensions,n.createInvertedIndices,a),d=o?null:i.getSharedDataStore(c),p=gw(t,{schema:c,store:d}),f=new lw(c,t);f.setCalculationInfo(p);var g=null!=h&&function(e){if(e.sourceFormat===dp){var t=function(e){for(var t=0;t<e.length&&null==e[t];)t++;return e[t]}(e.data||[]);return!bt(Ts(t))}}(r)?function(e,t,n,r){return r===h?n:this.defaultDimValueGetter(e,t,n,r)}:null;return f.hasItemOption=!1,f.initData(o?r:d,null,g),f};var _w=function(){function e(e){this._setting=e||{},this._extent=[1/0,-1/0]}return e.prototype.getSetting=function(e){return this._setting[e]},e.prototype.unionExtent=function(e){var t=this._extent;e[0]<t[0]&&(t[0]=e[0]),e[1]>t[1]&&(t[1]=e[1])},e.prototype.unionExtentFromData=function(e,t){this.unionExtent(e.getApproximateExtent(t))},e.prototype.getExtent=function(){return this._extent.slice()},e.prototype.setExtent=function(e,t){var n=this._extent;isNaN(e)||(n[0]=e),isNaN(t)||(n[1]=t)},e.prototype.isInExtentRange=function(e){return this._extent[0]<=e&&this._extent[1]>=e},e.prototype.isBlank=function(){return this._isBlank},e.prototype.setBlank=function(e){this._isBlank=e},e}();Qs(_w);const xw=_w;var bw=0;function ww(e){return At(e)&&null!=e.value?e.value:e+""}const Sw=function(){function e(e){this.categories=e.categories||[],this._needCollect=e.needCollect,this._deduplication=e.deduplication,this.uid=++bw}return e.createByAxisModel=function(t){var n=t.option,r=n.data,i=r&&ft(r,ww);return new e({categories:i,needCollect:!i,deduplication:!1!==n.dedplication})},e.prototype.getOrdinal=function(e){return this._getOrCreateMap().get(e)},e.prototype.parseAndCollect=function(e){var t,n=this._needCollect;if(!St(e)&&!n)return e;if(n&&!this._deduplication)return t=this.categories.length,this.categories[t]=e,t;var r=this._getOrCreateMap();return null==(t=r.get(e))&&(n?(t=this.categories.length,this.categories[t]=e,r.set(e,t)):t=NaN),t},e.prototype._getOrCreateMap=function(){return this._map||(this._map=Yt(this.categories))},e}();function Mw(e){return"interval"===e.type||"log"===e.type}function Tw(e){var t=Math.pow(10,cs(e)),n=e/t;return n?2===n?n=3:3===n?n=5:n*=2:n=1,$a(n*t)}function Aw(e){return Ja(e)+2}function Iw(e,t,n){e[t]=Math.max(Math.min(e[t],n[1]),n[0])}function Cw(e,t){return e>=t[0]&&e<=t[1]}function Dw(e,t){return t[1]===t[0]?.5:(e-t[0])/(t[1]-t[0])}function Ew(e,t){return e*(t[1]-t[0])+t[0]}var Lw=function(e){function t(t){var n=e.call(this,t)||this;n.type="ordinal";var r=n.getSetting("ordinalMeta");return r||(r=new Sw({})),bt(r)&&(r=new Sw({categories:ft(r,(function(e){return At(e)?e.value:e}))})),n._ordinalMeta=r,n._extent=n.getSetting("extent")||[0,r.categories.length-1],n}return Le(t,e),t.prototype.parse=function(e){return null==e?NaN:St(e)?this._ordinalMeta.getOrdinal(e):Math.round(e)},t.prototype.contain=function(e){return Cw(e=this.parse(e),this._extent)&&null!=this._ordinalMeta.categories[e]},t.prototype.normalize=function(e){return Dw(e=this._getTickNumber(this.parse(e)),this._extent)},t.prototype.scale=function(e){return e=Math.round(Ew(e,this._extent)),this.getRawOrdinalNumber(e)},t.prototype.getTicks=function(){for(var e=[],t=this._extent,n=t[0];n<=t[1];)e.push({value:n}),n++;return e},t.prototype.getMinorTicks=function(e){},t.prototype.setSortInfo=function(e){if(null!=e){for(var t=e.ordinalNumbers,n=this._ordinalNumbersByTick=[],r=this._ticksByOrdinalNumber=[],i=0,o=this._ordinalMeta.categories.length,a=Math.min(o,t.length);i<a;++i){var s=t[i];n[i]=s,r[s]=i}for(var l=0;i<o;++i){for(;null!=r[l];)l++;n.push(l),r[l]=i}}else this._ordinalNumbersByTick=this._ticksByOrdinalNumber=null},t.prototype._getTickNumber=function(e){var t=this._ticksByOrdinalNumber;return t&&e>=0&&e<t.length?t[e]:e},t.prototype.getRawOrdinalNumber=function(e){var t=this._ordinalNumbersByTick;return t&&e>=0&&e<t.length?t[e]:e},t.prototype.getLabel=function(e){if(!this.isBlank()){var t=this.getRawOrdinalNumber(e.value),n=this._ordinalMeta.categories[t];return null==n?"":n+""}},t.prototype.count=function(){return this._extent[1]-this._extent[0]+1},t.prototype.unionExtentFromData=function(e,t){this.unionExtent(e.getApproximateExtent(t))},t.prototype.isInExtentRange=function(e){return e=this._getTickNumber(e),this._extent[0]<=e&&this._extent[1]>=e},t.prototype.getOrdinalMeta=function(){return this._ordinalMeta},t.prototype.calcNiceTicks=function(){},t.prototype.calcNiceExtent=function(){},t.type="ordinal",t}(xw);xw.registerClass(Lw);const Pw=Lw;var Ow=$a,Nw=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.type="interval",t._interval=0,t._intervalPrecision=2,t}return Le(t,e),t.prototype.parse=function(e){return e},t.prototype.contain=function(e){return Cw(e,this._extent)},t.prototype.normalize=function(e){return Dw(e,this._extent)},t.prototype.scale=function(e){return Ew(e,this._extent)},t.prototype.setExtent=function(e,t){var n=this._extent;isNaN(e)||(n[0]=parseFloat(e)),isNaN(t)||(n[1]=parseFloat(t))},t.prototype.unionExtent=function(e){var t=this._extent;e[0]<t[0]&&(t[0]=e[0]),e[1]>t[1]&&(t[1]=e[1]),this.setExtent(t[0],t[1])},t.prototype.getInterval=function(){return this._interval},t.prototype.setInterval=function(e){this._interval=e,this._niceExtent=this._extent.slice(),this._intervalPrecision=Aw(e)},t.prototype.getTicks=function(e){var t=this._interval,n=this._extent,r=this._niceExtent,i=this._intervalPrecision,o=[];if(!t)return o;n[0]<r[0]&&(e?o.push({value:Ow(r[0]-t,i)}):o.push({value:n[0]}));for(var a=r[0];a<=r[1]&&(o.push({value:a}),(a=Ow(a+t,i))!==o[o.length-1].value);)if(o.length>1e4)return[];var s=o.length?o[o.length-1].value:r[1];return n[1]>s&&(e?o.push({value:Ow(s+t,i)}):o.push({value:n[1]})),o},t.prototype.getMinorTicks=function(e){for(var t=this.getTicks(!0),n=[],r=this.getExtent(),i=1;i<t.length;i++){for(var o=t[i],a=t[i-1],s=0,l=[],u=(o.value-a.value)/e;s<e-1;){var c=Ow(a.value+(s+1)*u);c>r[0]&&c<r[1]&&l.push(c),s++}n.push(l)}return n},t.prototype.getLabel=function(e,t){if(null==e)return"";var n=t&&t.precision;return null==n?n=Ja(e.value)||0:"auto"===n&&(n=this._intervalPrecision),kd(Ow(e.value,n,!0))},t.prototype.calcNiceTicks=function(e,t,n){e=e||5;var r=this._extent,i=r[1]-r[0];if(isFinite(i)){i<0&&(i=-i,r.reverse());var o=function(e,t,n,r){var i={},o=e[1]-e[0],a=i.interval=hs(o/t,!0);null!=n&&a<n&&(a=i.interval=n),null!=r&&a>r&&(a=i.interval=r);var s=i.intervalPrecision=Aw(a);return function(e,t){!isFinite(e[0])&&(e[0]=t[0]),!isFinite(e[1])&&(e[1]=t[1]),Iw(e,0,t),Iw(e,1,t),e[0]>e[1]&&(e[0]=e[1])}(i.niceTickExtent=[$a(Math.ceil(e[0]/a)*a,s),$a(Math.floor(e[1]/a)*a,s)],e),i}(r,e,t,n);this._intervalPrecision=o.intervalPrecision,this._interval=o.interval,this._niceExtent=o.niceTickExtent}},t.prototype.calcNiceExtent=function(e){var t=this._extent;if(t[0]===t[1])if(0!==t[0]){var n=Math.abs(t[0]);e.fixMax||(t[1]+=n/2),t[0]-=n/2}else t[1]=1;var r=t[1]-t[0];isFinite(r)||(t[0]=0,t[1]=1),this.calcNiceTicks(e.splitNumber,e.minInterval,e.maxInterval);var i=this._interval;e.fixMin||(t[0]=Ow(Math.floor(t[0]/i)*i)),e.fixMax||(t[1]=Ow(Math.ceil(t[1]/i)*i))},t.prototype.setNiceExtent=function(e,t){this._niceExtent=[e,t]},t.type="interval",t}(xw);xw.registerClass(Nw);const Rw=Nw;var kw="undefined"!=typeof Float32Array,Bw=kw?Float32Array:Array;function Fw(e){return bt(e)?kw?new Float32Array(e):e:new Bw(e)}var zw="__ec_stack_";function Vw(e){return e.get("stack")||zw+e.seriesIndex}function Gw(e){return e.dim+e.index}function Hw(e,t){var n=[];return t.eachSeriesByType(e,(function(e){Yw(e)&&n.push(e)})),n}function Uw(e){var t=function(e){var t={};pt(e,(function(e){var n=e.coordinateSystem.getBaseAxis();if("time"===n.type||"value"===n.type)for(var r=e.getData(),i=n.dim+"_"+n.index,o=r.getDimensionIndex(r.mapDimension(n.dim)),a=r.getStore(),s=0,l=a.count();s<l;++s){var u=a.get(o,s);t[i]?t[i].push(u):t[i]=[u]}}));var n={};for(var r in t)if(t.hasOwnProperty(r)){var i=t[r];if(i){i.sort((function(e,t){return e-t}));for(var o=null,a=1;a<i.length;++a){var s=i[a]-i[a-1];s>0&&(o=null===o?s:Math.min(o,s))}n[r]=o}}return n}(e),n=[];return pt(e,(function(e){var r,i=e.coordinateSystem.getBaseAxis(),o=i.getExtent();if("category"===i.type)r=i.getBandWidth();else if("value"===i.type||"time"===i.type){var a=i.dim+"_"+i.index,s=t[a],l=Math.abs(o[1]-o[0]),u=i.scale.getExtent(),c=Math.abs(u[1]-u[0]);r=s?l/c*s:l}else{var h=e.getData();r=Math.abs(o[1]-o[0])/h.count()}var d=qa(e.get("barWidth"),r),p=qa(e.get("barMaxWidth"),r),f=qa(e.get("barMinWidth")||(Zw(e)?.5:1),r),g=e.get("barGap"),m=e.get("barCategoryGap");n.push({bandWidth:r,barWidth:d,barMaxWidth:p,barMinWidth:f,barGap:g,barCategoryGap:m,axisKey:Gw(i),stackId:Vw(e)})})),Ww(n)}function Ww(e){var t={};pt(e,(function(e,n){var r=e.axisKey,i=e.bandWidth,o=t[r]||{bandWidth:i,remainedWidth:i,autoWidthCount:0,categoryGap:null,gap:"20%",stacks:{}},a=o.stacks;t[r]=o;var s=e.stackId;a[s]||o.autoWidthCount++,a[s]=a[s]||{width:0,maxWidth:0};var l=e.barWidth;l&&!a[s].width&&(a[s].width=l,l=Math.min(o.remainedWidth,l),o.remainedWidth-=l);var u=e.barMaxWidth;u&&(a[s].maxWidth=u);var c=e.barMinWidth;c&&(a[s].minWidth=c);var h=e.barGap;null!=h&&(o.gap=h);var d=e.barCategoryGap;null!=d&&(o.categoryGap=d)}));var n={};return pt(t,(function(e,t){n[t]={};var r=e.stacks,i=e.bandWidth,o=e.categoryGap;if(null==o){var a=yt(r).length;o=Math.max(35-4*a,15)+"%"}var s=qa(o,i),l=qa(e.gap,1),u=e.remainedWidth,c=e.autoWidthCount,h=(u-s)/(c+(c-1)*l);h=Math.max(h,0),pt(r,(function(e){var t=e.maxWidth,n=e.minWidth;if(e.width)r=e.width,t&&(r=Math.min(r,t)),n&&(r=Math.max(r,n)),e.width=r,u-=r+l*r,c--;else{var r=h;t&&t<r&&(r=Math.min(t,u)),n&&n>r&&(r=n),r!==h&&(e.width=r,u-=r+l*r,c--)}})),h=(u-s)/(c+(c-1)*l),h=Math.max(h,0);var d,p=0;pt(r,(function(e,t){e.width||(e.width=h),d=e,p+=e.width*(1+l)})),d&&(p-=d.width*l);var f=-p/2;pt(r,(function(e,r){n[t][r]=n[t][r]||{bandWidth:i,offset:f,width:e.width},f+=e.width*(1+l)}))})),n}function jw(e,t){var n=Hw(e,t),r=Uw(n);pt(n,(function(e){var t=e.getData(),n=e.coordinateSystem.getBaseAxis(),i=Vw(e),o=r[Gw(n)][i],a=o.offset,s=o.width;t.setLayout({bandWidth:o.bandWidth,offset:a,size:s})}))}function Xw(e){return{seriesType:e,plan:im(),reset:function(e){if(Yw(e)){var t=e.getData(),n=e.coordinateSystem,r=n.getBaseAxis(),i=n.getOtherAxis(r),o=t.getDimensionIndex(t.mapDimension(i.dim)),a=t.getDimensionIndex(t.mapDimension(r.dim)),s=e.get("showBackground",!0),l=t.mapDimension(i.dim),u=t.getCalculationInfo("stackResultDimension"),c=mw(t,l)&&!!t.getCalculationInfo("stackedOnSeries"),h=i.isHorizontal(),d=function(e,t){return t.toGlobalCoord(t.dataToCoord("log"===t.type?1:0))}(0,i),p=Zw(e),f=e.get("barMinHeight")||0,g=u&&t.getDimensionIndex(u),m=t.getLayout("size"),v=t.getLayout("offset");return{progress:function(e,t){for(var r,i=e.count,l=p&&Fw(3*i),u=p&&s&&Fw(3*i),y=p&&Fw(i),_=n.master.getRect(),x=h?_.width:_.height,b=t.getStore(),w=0;null!=(r=e.next());){var S=b.get(c?g:o,r),M=b.get(a,r),T=d,A=void 0;c&&(A=+S-b.get(o,r));var I=void 0,C=void 0,D=void 0,E=void 0;if(h){var L=n.dataToPoint([S,M]);c&&(T=n.dataToPoint([A,M])[0]),I=T,C=L[1]+v,D=L[0]-T,E=m,Math.abs(D)<f&&(D=(D<0?-1:1)*f)}else L=n.dataToPoint([M,S]),c&&(T=n.dataToPoint([M,A])[1]),I=L[0]+v,C=T,D=m,E=L[1]-T,Math.abs(E)<f&&(E=(E<=0?-1:1)*f);p?(l[w]=I,l[w+1]=C,l[w+2]=h?D:E,u&&(u[w]=h?_.x:I,u[w+1]=h?C:_.y,u[w+2]=x),y[r]=r):t.setItemLayout(r,{x:I,y:C,width:D,height:E}),w+=3}p&&t.setLayout({largePoints:l,largeDataIndices:y,largeBackgroundPoints:u,valueAxisHorizontal:h})}}}}}}function Yw(e){return e.coordinateSystem&&"cartesian2d"===e.coordinateSystem.type}function Zw(e){return e.pipelineContext&&e.pipelineContext.large}var qw=function(e){function t(t){var n=e.call(this,t)||this;return n.type="time",n}return Le(t,e),t.prototype.getLabel=function(e){var t=this.getSetting("useUTC");return _d(e.value,fd[function(e){switch(e){case"year":case"month":return"day";case"millisecond":return"millisecond";default:return"second"}}(yd(this._minLevelUnit))]||fd.second,t,this.getSetting("locale"))},t.prototype.getFormattedLabel=function(e,t,n){var r=this.getSetting("useUTC");return function(e,t,n,r,i){var o=null;if(St(n))o=n;else if(wt(n))o=n(e.value,t,{level:e.level});else{var a=at({},dd);if(e.level>0)for(var s=0;s<gd.length;++s)a[gd[s]]="{primary|"+a[gd[s]]+"}";var l=n?!1===n.inherit?n:st(n,a):a,u=xd(e.value,i);if(l[u])o=l[u];else if(l.inherit){for(s=md.indexOf(u)-1;s>=0;--s)if(l[u]){o=l[u];break}o=o||a.none}if(bt(o)){var c=null==e.level?0:e.level>=0?e.level:o.length+e.level;o=o[c=Math.min(c,o.length-1)]}}return _d(new Date(e.value),o,i,r)}(e,t,n,this.getSetting("locale"),r)},t.prototype.getTicks=function(){var e=this._interval,t=this._extent,n=[];if(!e)return n;n.push({value:t[0],level:0});var r=this.getSetting("useUTC"),i=function(e,t,n,r){var i,o=md,a=0;function s(e,t,n,i,o,a,s){for(var l=new Date(t),u=t,c=l[i]();u<n&&u<=r[1];)s.push({value:u}),c+=e,l[o](c),u=l.getTime();s.push({value:u,notAdd:!0})}function l(e,i,o){var a=[],l=!i.length;if(!function(e,t,n,r){var i=ls(t),o=ls(n),a=function(e){return bd(i,e,r)===bd(o,e,r)},s=function(){return a("year")},l=function(){return s()&&a("month")},u=function(){return l()&&a("day")},c=function(){return u()&&a("hour")},h=function(){return c()&&a("minute")},d=function(){return h()&&a("second")};switch(e){case"year":return s();case"month":return l();case"day":return u();case"hour":return c();case"minute":return h();case"second":return d();case"millisecond":return d()&&a("millisecond")}}(yd(e),r[0],r[1],n)){l&&(i=[{value:nS(new Date(r[0]),e,n)},{value:r[1]}]);for(var u=0;u<i.length-1;u++){var c=i[u].value,h=i[u+1].value;if(c!==h){var d=void 0,p=void 0,f=void 0;switch(e){case"year":d=Math.max(1,Math.round(t/cd/365)),p=wd(n),f=Dd(n);break;case"half-year":case"quarter":case"month":d=Jw(t),p=Sd(n),f=Ed(n);break;case"week":case"half-week":case"day":d=Kw(t),p=Md(n),f=Ld(n),!0;break;case"half-day":case"quarter-day":case"hour":d=Qw(t),p=Td(n),f=Pd(n);break;case"minute":d=eS(t,!0),p=Ad(n),f=Od(n);break;case"second":d=eS(t,!1),p=Id(n),f=Nd(n);break;case"millisecond":d=tS(t),p=Cd(n),f=Rd(n)}s(d,c,h,p,f,0,a),"year"===e&&o.length>1&&0===u&&o.unshift({value:o[0].value-d})}}for(u=0;u<a.length;u++)o.push(a[u]);return a}}for(var u=[],c=[],h=0,d=0,p=0;p<o.length&&a++<1e4;++p){var f=yd(o[p]);if((i=o[p])===yd(i)&&(l(o[p],u[u.length-1]||[],c),f!==(o[p+1]?yd(o[p+1]):null))){if(c.length){d=h,c.sort((function(e,t){return e.value-t.value}));for(var g=[],m=0;m<c.length;++m){var v=c[m].value;0!==m&&c[m-1].value===v||(g.push(c[m]),v>=r[0]&&v<=r[1]&&h++)}var y=(r[1]-r[0])/t;if(h>1.5*y&&d>y/1.5)break;if(u.push(g),h>y||e===o[p])break}c=[]}}var _=mt(ft(u,(function(e){return mt(e,(function(e){return e.value>=r[0]&&e.value<=r[1]&&!e.notAdd}))})),(function(e){return e.length>0})),x=[],b=_.length-1;for(p=0;p<_.length;++p)for(var w=_[p],S=0;S<w.length;++S)x.push({value:w[S].value,level:b-p});x.sort((function(e,t){return e.value-t.value}));var M=[];for(p=0;p<x.length;++p)0!==p&&x[p].value===x[p-1].value||M.push(x[p]);return M}(this._minLevelUnit,this._approxInterval,r,t);return(n=n.concat(i)).push({value:t[1],level:0}),n},t.prototype.calcNiceExtent=function(e){var t=this._extent;if(t[0]===t[1]&&(t[0]-=cd,t[1]+=cd),t[1]===-1/0&&t[0]===1/0){var n=new Date;t[1]=+new Date(n.getFullYear(),n.getMonth(),n.getDate()),t[0]=t[1]-cd}this.calcNiceTicks(e.splitNumber,e.minInterval,e.maxInterval)},t.prototype.calcNiceTicks=function(e,t,n){e=e||10;var r=this._extent,i=r[1]-r[0];this._approxInterval=i/e,null!=t&&this._approxInterval<t&&(this._approxInterval=t),null!=n&&this._approxInterval>n&&(this._approxInterval=n);var o=$w.length,a=Math.min(function(e,t,n,r){for(;n<r;){var i=n+r>>>1;e[i][1]<t?n=i+1:r=i}return n}($w,this._approxInterval,0,o),o-1);this._interval=$w[a][1],this._minLevelUnit=$w[Math.max(a-1,0)][0]},t.prototype.parse=function(e){return Tt(e)?e:+ls(e)},t.prototype.contain=function(e){return Cw(this.parse(e),this._extent)},t.prototype.normalize=function(e){return Dw(this.parse(e),this._extent)},t.prototype.scale=function(e){return Ew(e,this._extent)},t.type="time",t}(Rw),$w=[["second",sd],["minute",ld],["hour",ud],["quarter-day",216e5],["half-day",432e5],["day",10368e4],["half-week",3024e5],["week",6048e5],["month",26784e5],["quarter",8208e6],["half-year",hd/2],["year",hd]];function Kw(e,t){return(e/=cd)>16?16:e>7.5?7:e>3.5?4:e>1.5?2:1}function Jw(e){return(e/=2592e6)>6?6:e>3?3:e>2?2:1}function Qw(e){return(e/=ud)>12?12:e>6?6:e>3.5?4:e>2?2:1}function eS(e,t){return(e/=t?ld:sd)>30?30:e>20?20:e>15?15:e>10?10:e>5?5:e>2?2:1}function tS(e){return hs(e,!0)}function nS(e,t,n){var r=new Date(e);switch(yd(t)){case"year":case"month":r[Ed(n)](0);case"day":r[Ld(n)](1);case"hour":r[Pd(n)](0);case"minute":r[Od(n)](0);case"second":r[Nd(n)](0),r[Rd(n)](0)}return r.getTime()}xw.registerClass(qw);const rS=qw;var iS=xw.prototype,oS=Rw.prototype,aS=$a,sS=Math.floor,lS=Math.ceil,uS=Math.pow,cS=Math.log,hS=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.type="log",t.base=10,t._originalScale=new Rw,t._interval=0,t}return Le(t,e),t.prototype.getTicks=function(e){var t=this._originalScale,n=this._extent,r=t.getExtent();return ft(oS.getTicks.call(this,e),(function(e){var t=e.value,i=$a(uS(this.base,t));return i=t===n[0]&&this._fixMin?pS(i,r[0]):i,{value:i=t===n[1]&&this._fixMax?pS(i,r[1]):i}}),this)},t.prototype.setExtent=function(e,t){var n=cS(this.base);e=cS(Math.max(0,e))/n,t=cS(Math.max(0,t))/n,oS.setExtent.call(this,e,t)},t.prototype.getExtent=function(){var e=this.base,t=iS.getExtent.call(this);t[0]=uS(e,t[0]),t[1]=uS(e,t[1]);var n=this._originalScale.getExtent();return this._fixMin&&(t[0]=pS(t[0],n[0])),this._fixMax&&(t[1]=pS(t[1],n[1])),t},t.prototype.unionExtent=function(e){this._originalScale.unionExtent(e);var t=this.base;e[0]=cS(e[0])/cS(t),e[1]=cS(e[1])/cS(t),iS.unionExtent.call(this,e)},t.prototype.unionExtentFromData=function(e,t){this.unionExtent(e.getApproximateExtent(t))},t.prototype.calcNiceTicks=function(e){e=e||10;var t=this._extent,n=t[1]-t[0];if(!(n===1/0||n<=0)){var r=us(n);for(e/n*r<=.5&&(r*=10);!isNaN(r)&&Math.abs(r)<1&&Math.abs(r)>0;)r*=10;var i=[$a(lS(t[0]/r)*r),$a(sS(t[1]/r)*r)];this._interval=r,this._niceExtent=i}},t.prototype.calcNiceExtent=function(e){oS.calcNiceExtent.call(this,e),this._fixMin=e.fixMin,this._fixMax=e.fixMax},t.prototype.parse=function(e){return e},t.prototype.contain=function(e){return Cw(e=cS(e)/cS(this.base),this._extent)},t.prototype.normalize=function(e){return Dw(e=cS(e)/cS(this.base),this._extent)},t.prototype.scale=function(e){return e=Ew(e,this._extent),uS(this.base,e)},t.type="log",t}(xw),dS=hS.prototype;function pS(e,t){return aS(e,Ja(t))}dS.getMinorTicks=oS.getMinorTicks,dS.getLabel=oS.getLabel,xw.registerClass(hS);const fS=hS;var gS=function(){function e(e,t,n){this._prepareParams(e,t,n)}return e.prototype._prepareParams=function(e,t,n){n[1]<n[0]&&(n=[NaN,NaN]),this._dataMin=n[0],this._dataMax=n[1];var r=this._isOrdinal="ordinal"===e.type;this._needCrossZero="interval"===e.type&&t.getNeedCrossZero&&t.getNeedCrossZero();var i=this._modelMinRaw=t.get("min",!0);wt(i)?this._modelMinNum=_S(e,i({min:n[0],max:n[1]})):"dataMin"!==i&&(this._modelMinNum=_S(e,i));var o=this._modelMaxRaw=t.get("max",!0);if(wt(o)?this._modelMaxNum=_S(e,o({min:n[0],max:n[1]})):"dataMax"!==o&&(this._modelMaxNum=_S(e,o)),r)this._axisDataLen=t.getCategories().length;else{var a=t.get("boundaryGap"),s=bt(a)?a:[a||0,a||0];"boolean"==typeof s[0]||"boolean"==typeof s[1]?this._boundaryGapInner=[0,0]:this._boundaryGapInner=[_a(s[0],1),_a(s[1],1)]}},e.prototype.calculate=function(){var e=this._isOrdinal,t=this._dataMin,n=this._dataMax,r=this._axisDataLen,i=this._boundaryGapInner,o=e?null:n-t||Math.abs(t),a="dataMin"===this._modelMinRaw?t:this._modelMinNum,s="dataMax"===this._modelMaxRaw?n:this._modelMaxNum,l=null!=a,u=null!=s;null==a&&(a=e?r?0:NaN:t-i[0]*o),null==s&&(s=e?r?r-1:NaN:n+i[1]*o),(null==a||!isFinite(a))&&(a=NaN),(null==s||!isFinite(s))&&(s=NaN);var c=Ot(a)||Ot(s)||e&&!r;this._needCrossZero&&(a>0&&s>0&&!l&&(a=0),a<0&&s<0&&!u&&(s=0));var h=this._determinedMin,d=this._determinedMax;return null!=h&&(a=h,l=!0),null!=d&&(s=d,u=!0),{min:a,max:s,minFixed:l,maxFixed:u,isBlank:c}},e.prototype.modifyDataMinMax=function(e,t){this[vS[e]]=t},e.prototype.setDeterminedMinMax=function(e,t){this[mS[e]]=t},e.prototype.freeze=function(){this.frozen=!0},e}(),mS={min:"_determinedMin",max:"_determinedMax"},vS={min:"_dataMin",max:"_dataMax"};function yS(e,t,n){var r=e.rawExtentInfo;return r||(r=new gS(e,t,n),e.rawExtentInfo=r,r)}function _S(e,t){return null==t?null:Ot(t)?NaN:e.parse(t)}function xS(e,t){var n=e.type,r=yS(e,t,e.getExtent()).calculate();e.setBlank(r.isBlank);var i=r.min,o=r.max,a=t.ecModel;if(a&&"time"===n){var s=Hw("bar",a),l=!1;if(pt(s,(function(e){l=l||e.getBaseAxis()===t.axis})),l){var u=Uw(s),c=function(e,t,n,r){var i=n.axis.getExtent(),o=i[1]-i[0],a=function(e,t,n){if(e&&t){var r=e[Gw(t)];return r}}(r,n.axis);if(void 0===a)return{min:e,max:t};var s=1/0;pt(a,(function(e){s=Math.min(e.offset,s)}));var l=-1/0;pt(a,(function(e){l=Math.max(e.offset+e.width,l)})),s=Math.abs(s),l=Math.abs(l);var u=s+l,c=t-e,h=c/(1-(s+l)/o)-c;return{min:e-=h*(s/u),max:t+=h*(l/u)}}(i,o,t,u);i=c.min,o=c.max}}return{extent:[i,o],fixMin:r.minFixed,fixMax:r.maxFixed}}function bS(e,t){var n=t,r=xS(e,n),i=r.extent,o=n.get("splitNumber");e instanceof fS&&(e.base=n.get("logBase"));var a=e.type,s=n.get("interval"),l="interval"===a||"time"===a;e.setExtent(i[0],i[1]),e.calcNiceExtent({splitNumber:o,fixMin:r.fixMin,fixMax:r.fixMax,minInterval:l?n.get("minInterval"):null,maxInterval:l?n.get("maxInterval"):null}),null!=s&&e.setInterval&&e.setInterval(s)}function wS(e,t){if(t=t||e.get("type"))switch(t){case"category":return new Pw({ordinalMeta:e.getOrdinalMeta?e.getOrdinalMeta():e.getCategories(),extent:[1/0,-1/0]});case"time":return new rS({locale:e.ecModel.getLocaleModel(),useUTC:e.ecModel.get("useUTC")});default:return new(xw.getClass(t)||Rw)}}function SS(e){var t,n,r=e.getLabelModel().get("formatter"),i="category"===e.type?e.scale.getExtent()[0]:null;return"time"===e.scale.type?(n=r,function(t,r){return e.scale.getFormattedLabel(t,r,n)}):St(r)?function(t){return function(n){var r=e.scale.getLabel(n);return t.replace("{value}",null!=r?r:"")}}(r):wt(r)?(t=r,function(n,r){return null!=i&&(r=n.value-i),t(MS(e,n),r,null!=n.level?{level:n.level}:null)}):function(t){return e.scale.getLabel(t)}}function MS(e,t){return"category"===e.type?e.scale.getLabel(t):t.value}function TS(e,t){var n=t*Math.PI/180,r=e.width,i=e.height,o=r*Math.abs(Math.cos(n))+Math.abs(i*Math.sin(n)),a=r*Math.abs(Math.sin(n))+Math.abs(i*Math.cos(n));return new wr(e.x,e.y,o,a)}function AS(e){var t=e.get("interval");return null==t?"auto":t}function IS(e){return"category"===e.type&&0===AS(e.getLabelModel())}function CS(e,t){var n={};return pt(e.mapDimensionsAll(t),(function(t){n[vw(e,t)]=!0})),yt(n)}var DS=function(){function e(){}return e.prototype.getNeedCrossZero=function(){return!this.option.scale},e.prototype.getCoordSysModel=function(){},e}();function ES(e){return yw(null,e)}var LS={isDimensionStacked:mw,enableDataStack:gw,getStackedDimension:vw};function PS(e,t){var n=t;t instanceof qh||(n=new qh(t));var r=wS(n);return r.setExtent(e[0],e[1]),bS(r,n),r}function OS(e){ht(e,DS)}function NS(e,t){return Th(e,null,null,"normal"!==(t=t||{}).state)}var RS=[],kS={registerPreprocessor:mb,registerProcessor:vb,registerPostInit:yb,registerPostUpdate:_b,registerUpdateLifecycle:xb,registerAction:bb,registerCoordinateSystem:wb,registerLayout:Mb,registerVisual:Tb,registerTransform:Pb,registerLoading:Cb,registerMap:Eb,registerImpl:function(e,t){sx[e]=t},PRIORITY:mx,ComponentModel:sp,ComponentView:rm,SeriesModel:tm,ChartView:gy,registerComponentModel:function(e){sp.registerClass(e)},registerComponentView:function(e){rm.registerClass(e)},registerSeriesModel:function(e){tm.registerClass(e)},registerChartView:function(e){gy.registerClass(e)},registerSubTypeDefaulter:function(e,t){sp.registerSubTypeDefaulter(e,t)},registerPainter:function(e,t){Ha(e,t)}};function BS(e){bt(e)?pt(e,(function(e){BS(e)})):ut(RS,e)>=0||(RS.push(e),wt(e)&&(e={install:e}),e.install(kS))}var FS=1e-8;function zS(e,t){return Math.abs(e-t)<FS}function VS(e,t,n){var r=0,i=e[0];if(!i)return!1;for(var o=1;o<e.length;o++){var a=e[o];r+=vu(i[0],i[1],a[0],a[1],t,n),i=a}var s=e[0];return zS(i[0],s[0])&&zS(i[1],s[1])||(r+=vu(i[0],i[1],s[0],s[1],t,n)),0!==r}var GS=[];function HS(e,t){for(var n=0;n<e.length;n++)Tn(e[n],e[n],t)}function US(e,t,n,r){for(var i=0;i<e.length;i++){var o=e[i];r&&(o=r.project(o)),o&&isFinite(o[0])&&isFinite(o[1])&&(An(t,t,o),In(n,n,o))}}var WS=function(){function e(e){this.name=e}return e.prototype.setCenter=function(e){this._center=e},e.prototype.getCenter=function(){var e=this._center;return e||(e=this._center=this.calcCenter()),e},e}(),jS=function(e,t){this.type="polygon",this.exterior=e,this.interiors=t},XS=function(e){this.type="linestring",this.points=e},YS=function(e){function t(t,n,r){var i=e.call(this,t)||this;return i.type="geoJSON",i.geometries=n,i._center=r&&[r[0],r[1]],i}return Le(t,e),t.prototype.calcCenter=function(){for(var e,t=this.geometries,n=0,r=0;r<t.length;r++){var i=t[r],o=i.exterior,a=o&&o.length;a>n&&(e=i,n=a)}if(e)return function(e){for(var t=0,n=0,r=0,i=e.length,o=e[i-1][0],a=e[i-1][1],s=0;s<i;s++){var l=e[s][0],u=e[s][1],c=o*u-l*a;t+=c,n+=(o+l)*c,r+=(a+u)*c,o=l,a=u}return t?[n/t/3,r/t/3,t]:[e[0][0]||0,e[0][1]||0]}(e.exterior);var s=this.getBoundingRect();return[s.x+s.width/2,s.y+s.height/2]},t.prototype.getBoundingRect=function(e){var t=this._rect;if(t&&!e)return t;var n=[1/0,1/0],r=[-1/0,-1/0];return pt(this.geometries,(function(t){"polygon"===t.type?US(t.exterior,n,r,e):pt(t.points,(function(t){US(t,n,r,e)}))})),isFinite(n[0])&&isFinite(n[1])&&isFinite(r[0])&&isFinite(r[1])||(n[0]=n[1]=r[0]=r[1]=0),t=new wr(n[0],n[1],r[0]-n[0],r[1]-n[1]),e||(this._rect=t),t},t.prototype.contain=function(e){var t=this.getBoundingRect(),n=this.geometries;if(!t.contain(e[0],e[1]))return!1;e:for(var r=0,i=n.length;r<i;r++){var o=n[r];if("polygon"===o.type){var a=o.exterior,s=o.interiors;if(VS(a,e[0],e[1])){for(var l=0;l<(s?s.length:0);l++)if(VS(s[l],e[0],e[1]))continue e;return!0}}}return!1},t.prototype.transformTo=function(e,t,n,r){var i=this.getBoundingRect(),o=i.width/i.height;n?r||(r=n/o):n=o*r;for(var a=new wr(e,t,n,r),s=i.calculateTransform(a),l=this.geometries,u=0;u<l.length;u++){var c=l[u];"polygon"===c.type?(HS(c.exterior,s),pt(c.interiors,(function(e){HS(e,s)}))):pt(c.points,(function(e){HS(e,s)}))}(i=this._rect).copy(a),this._center=[i.x+i.width/2,i.y+i.height/2]},t.prototype.cloneShallow=function(e){null==e&&(e=this.name);var n=new t(e,this.geometries,this._center);return n._rect=this._rect,n.transformTo=null,n},t}(WS),ZS=function(e){function t(t,n){var r=e.call(this,t)||this;return r.type="geoSVG",r._elOnlyForCalculate=n,r}return Le(t,e),t.prototype.calcCenter=function(){for(var e=this._elOnlyForCalculate,t=e.getBoundingRect(),n=[t.x+t.width/2,t.y+t.height/2],r=rr(GS),i=e;i&&!i.isGeoSVGGraphicRoot;)or(r,i.getLocalTransform(),r),i=i.parent;return ur(r,r),Tn(n,n,r),n},t}(WS);function qS(e,t,n){for(var r=0;r<e.length;r++)e[r]=$S(e[r],t[r],n)}function $S(e,t,n){for(var r=[],i=t[0],o=t[1],a=0;a<e.length;a+=2){var s=e.charCodeAt(a)-64,l=e.charCodeAt(a+1)-64;s=s>>1^-(1&s),l=l>>1^-(1&l),i=s+=i,o=l+=o,r.push([s/n,l/n])}return r}function KS(e,t){return ft(mt((e=function(e){if(!e.UTF8Encoding)return e;var t=e,n=t.UTF8Scale;return null==n&&(n=1024),pt(t.features,(function(e){var t=e.geometry,r=t.encodeOffsets,i=t.coordinates;if(r)switch(t.type){case"LineString":t.coordinates=$S(i,r,n);break;case"Polygon":case"MultiLineString":qS(i,r,n);break;case"MultiPolygon":pt(i,(function(e,t){return qS(e,r[t],n)}))}})),t.UTF8Encoding=!1,t}(e)).features,(function(e){return e.geometry&&e.properties&&e.geometry.coordinates.length>0})),(function(e){var n=e.properties,r=e.geometry,i=[];switch(r.type){case"Polygon":var o=r.coordinates;i.push(new jS(o[0],o.slice(1)));break;case"MultiPolygon":pt(r.coordinates,(function(e){e[0]&&i.push(new jS(e[0],e.slice(1)))}));break;case"LineString":i.push(new XS([r.coordinates]));break;case"MultiLineString":i.push(new XS(r.coordinates))}var a=new YS(n[t||"name"],i,n.cp);return a.properties=n,a}))}function JS(e,t,n,r,i,o,a,s){return new sc({style:{text:e,font:t,align:n,verticalAlign:r,padding:i,rich:o,overflow:a?"truncate":null,lineHeight:s}}).getBoundingRect()}var QS=Ns();function eM(e,t){var n,r,i=tM(e,"labels"),o=AS(t);return nM(i,o)||(wt(o)?n=oM(e,o):(r="auto"===o?function(e){var t=QS(e).autoInterval;return null!=t?t:QS(e).autoInterval=e.calculateCategoryInterval()}(e):o,n=iM(e,r)),rM(i,o,{labels:n,labelCategoryInterval:r}))}function tM(e,t){return QS(e)[t]||(QS(e)[t]=[])}function nM(e,t){for(var n=0;n<e.length;n++)if(e[n].key===t)return e[n].value}function rM(e,t,n){return e.push({key:t,value:n}),n}function iM(e,t,n){var r=SS(e),i=e.scale,o=i.getExtent(),a=e.getLabelModel(),s=[],l=Math.max((t||0)+1,1),u=o[0],c=i.count();0!==u&&l>1&&c/l>2&&(u=Math.round(Math.ceil(u/l)*l));var h=IS(e),d=a.get("showMinLabel")||h,p=a.get("showMaxLabel")||h;d&&u!==o[0]&&g(o[0]);for(var f=u;f<=o[1];f+=l)g(f);function g(e){var t={value:e};s.push(n?e:{formattedLabel:r(t),rawLabel:i.getLabel(t),tickValue:e})}return p&&f-l!==o[1]&&g(o[1]),s}function oM(e,t,n){var r=e.scale,i=SS(e),o=[];return pt(r.getTicks(),(function(e){var a=r.getLabel(e),s=e.value;t(e.value,a)&&o.push(n?s:{formattedLabel:i(e),rawLabel:a,tickValue:s})})),o}var aM=[0,1],sM=function(){function e(e,t,n){this.onBand=!1,this.inverse=!1,this.dim=e,this.scale=t,this._extent=n||[0,0]}return e.prototype.contain=function(e){var t=this._extent,n=Math.min(t[0],t[1]),r=Math.max(t[0],t[1]);return e>=n&&e<=r},e.prototype.containData=function(e){return this.scale.contain(e)},e.prototype.getExtent=function(){return this._extent.slice()},e.prototype.getPixelPrecision=function(e){return es(e||this.scale.getExtent(),this._extent)},e.prototype.setExtent=function(e,t){var n=this._extent;n[0]=e,n[1]=t},e.prototype.dataToCoord=function(e,t){var n=this._extent,r=this.scale;return e=r.normalize(e),this.onBand&&"ordinal"===r.type&&lM(n=n.slice(),r.count()),Za(e,aM,n,t)},e.prototype.coordToData=function(e,t){var n=this._extent,r=this.scale;this.onBand&&"ordinal"===r.type&&lM(n=n.slice(),r.count());var i=Za(e,n,aM,t);return this.scale.scale(i)},e.prototype.pointToData=function(e,t){},e.prototype.getTicksCoords=function(e){var t=(e=e||{}).tickModel||this.getTickModel(),n=ft(function(e,t){return"category"===e.type?function(e,t){var n,r,i=tM(e,"ticks"),o=AS(t),a=nM(i,o);if(a)return a;if(t.get("show")&&!e.scale.isBlank()||(n=[]),wt(o))n=oM(e,o,!0);else if("auto"===o){var s=eM(e,e.getLabelModel());r=s.labelCategoryInterval,n=ft(s.labels,(function(e){return e.tickValue}))}else n=iM(e,r=o,!0);return rM(i,o,{ticks:n,tickCategoryInterval:r})}(e,t):{ticks:ft(e.scale.getTicks(),(function(e){return e.value}))}}(this,t).ticks,(function(e){return{coord:this.dataToCoord("ordinal"===this.scale.type?this.scale.getRawOrdinalNumber(e):e),tickValue:e}}),this);return function(e,t,n,r){var i=t.length;if(e.onBand&&!n&&i){var o,a,s=e.getExtent();if(1===i)t[0].coord=s[0],o=t[1]={coord:s[1]};else{var l=t[i-1].tickValue-t[0].tickValue,u=(t[i-1].coord-t[0].coord)/l;pt(t,(function(e){e.coord-=u/2})),a=1+e.scale.getExtent()[1]-t[i-1].tickValue,o={coord:t[i-1].coord+u*a},t.push(o)}var c=s[0]>s[1];h(t[0].coord,s[0])&&(r?t[0].coord=s[0]:t.shift()),r&&h(s[0],t[0].coord)&&t.unshift({coord:s[0]}),h(s[1],o.coord)&&(r?o.coord=s[1]:t.pop()),r&&h(o.coord,s[1])&&t.push({coord:s[1]})}function h(e,t){return e=$a(e),t=$a(t),c?e>t:e<t}}(this,n,t.get("alignWithLabel"),e.clamp),n},e.prototype.getMinorTicksCoords=function(){if("ordinal"===this.scale.type)return[];var e=this.model.getModel("minorTick").get("splitNumber");return e>0&&e<100||(e=5),ft(this.scale.getMinorTicks(e),(function(e){return ft(e,(function(e){return{coord:this.dataToCoord(e),tickValue:e}}),this)}),this)},e.prototype.getViewLabels=function(){return(e=this,"category"===e.type?function(e){var t=e.getLabelModel(),n=eM(e,t);return!t.get("show")||e.scale.isBlank()?{labels:[],labelCategoryInterval:n.labelCategoryInterval}:n}(e):function(e){var t=e.scale.getTicks(),n=SS(e);return{labels:ft(t,(function(t,r){return{level:t.level,formattedLabel:n(t,r),rawLabel:e.scale.getLabel(t),tickValue:t.value}}))}}(e)).labels;var e},e.prototype.getLabelModel=function(){return this.model.getModel("axisLabel")},e.prototype.getTickModel=function(){return this.model.getModel("axisTick")},e.prototype.getBandWidth=function(){var e=this._extent,t=this.scale.getExtent(),n=t[1]-t[0]+(this.onBand?1:0);0===n&&(n=1);var r=Math.abs(e[1]-e[0]);return Math.abs(r)/n},e.prototype.calculateCategoryInterval=function(){return function(e){var t=function(e){var t=e.getLabelModel();return{axisRotate:e.getRotate?e.getRotate():e.isHorizontal&&!e.isHorizontal()?90:0,labelRotate:t.get("rotate")||0,font:t.getFont()}}(e),n=SS(e),r=(t.axisRotate-t.labelRotate)/180*Math.PI,i=e.scale,o=i.getExtent(),a=i.count();if(o[1]-o[0]<1)return 0;var s=1;a>40&&(s=Math.max(1,Math.floor(a/40)));for(var l=o[0],u=e.dataToCoord(l+1)-e.dataToCoord(l),c=Math.abs(u*Math.cos(r)),h=Math.abs(u*Math.sin(r)),d=0,p=0;l<=o[1];l+=s){var f,g,m=ga(n({value:l}),t.font,"center","top");f=1.3*m.width,g=1.3*m.height,d=Math.max(d,f,7),p=Math.max(p,g,7)}var v=d/c,y=p/h;isNaN(v)&&(v=1/0),isNaN(y)&&(y=1/0);var _=Math.max(0,Math.floor(Math.min(v,y))),x=QS(e.model),b=e.getExtent(),w=x.lastAutoInterval,S=x.lastTickCount;return null!=w&&null!=S&&Math.abs(w-_)<=1&&Math.abs(S-a)<=1&&w>_&&x.axisExtent0===b[0]&&x.axisExtent1===b[1]?_=w:(x.lastTickCount=a,x.lastAutoInterval=_,x.axisExtent0=b[0],x.axisExtent1=b[1]),_}(this)},e}();function lM(e,t){var n=(e[1]-e[0])/t/2;e[0]+=n,e[1]-=n}const uM=sM;function cM(e){var t=sp.extend(e);return sp.registerClass(t),t}function hM(e){var t=rm.extend(e);return rm.registerClass(t),t}function dM(e){var t=tm.extend(e);return tm.registerClass(t),t}function pM(e){var t=gy.extend(e);return gy.registerClass(t),t}var fM=2*Math.PI,gM=uu.CMD,mM=["top","right","bottom","left"];function vM(e,t,n,r,i){var o=n.width,a=n.height;switch(e){case"top":r.set(n.x+o/2,n.y-t),i.set(0,-1);break;case"bottom":r.set(n.x+o/2,n.y+a+t),i.set(0,1);break;case"left":r.set(n.x-t,n.y+a/2),i.set(-1,0);break;case"right":r.set(n.x+o+t,n.y+a/2),i.set(1,0)}}function yM(e,t,n,r,i,o,a,s,l){a-=e,s-=t;var u=Math.sqrt(a*a+s*s),c=(a/=u)*n+e,h=(s/=u)*n+t;if(Math.abs(r-i)%fM<1e-4)return l[0]=c,l[1]=h,u-n;if(o){var d=r;r=fu(i),i=fu(d)}else r=fu(r),i=fu(i);r>i&&(i+=fM);var p=Math.atan2(s,a);if(p<0&&(p+=fM),p>=r&&p<=i||p+fM>=r&&p+fM<=i)return l[0]=c,l[1]=h,u-n;var f=n*Math.cos(r)+e,g=n*Math.sin(r)+t,m=n*Math.cos(i)+e,v=n*Math.sin(i)+t,y=(f-a)*(f-a)+(g-s)*(g-s),_=(m-a)*(m-a)+(v-s)*(v-s);return y<_?(l[0]=f,l[1]=g,Math.sqrt(y)):(l[0]=m,l[1]=v,Math.sqrt(_))}function _M(e,t,n,r,i,o,a,s){var l=i-e,u=o-t,c=n-e,h=r-t,d=Math.sqrt(c*c+h*h),p=(l*(c/=d)+u*(h/=d))/d;s&&(p=Math.min(Math.max(p,0),1)),p*=d;var f=a[0]=e+p*c,g=a[1]=t+p*h;return Math.sqrt((f-i)*(f-i)+(g-o)*(g-o))}function xM(e,t,n,r,i,o,a){n<0&&(e+=n,n=-n),r<0&&(t+=r,r=-r);var s=e+n,l=t+r,u=a[0]=Math.min(Math.max(i,e),s),c=a[1]=Math.min(Math.max(o,t),l);return Math.sqrt((u-i)*(u-i)+(c-o)*(c-o))}var bM=[];function wM(e,t,n){var r=xM(t.x,t.y,t.width,t.height,e.x,e.y,bM);return n.set(bM[0],bM[1]),r}function SM(e,t,n){for(var r,i,o=0,a=0,s=0,l=0,u=1/0,c=t.data,h=e.x,d=e.y,p=0;p<c.length;){var f=c[p++];1===p&&(s=o=c[p],l=a=c[p+1]);var g=u;switch(f){case gM.M:o=s=c[p++],a=l=c[p++];break;case gM.L:g=_M(o,a,c[p],c[p+1],h,d,bM,!0),o=c[p++],a=c[p++];break;case gM.C:g=di(o,a,c[p++],c[p++],c[p++],c[p++],c[p],c[p+1],h,d,bM),o=c[p++],a=c[p++];break;case gM.Q:g=yi(o,a,c[p++],c[p++],c[p],c[p+1],h,d,bM),o=c[p++],a=c[p++];break;case gM.A:var m=c[p++],v=c[p++],y=c[p++],_=c[p++],x=c[p++],b=c[p++];p+=1;var w=!!(1-c[p++]);r=Math.cos(x)*y+m,i=Math.sin(x)*_+v,p<=1&&(s=r,l=i),g=yM(m,v,_,x,x+b,w,(h-m)*_/y+m,d,bM),o=Math.cos(x+b)*y+m,a=Math.sin(x+b)*_+v;break;case gM.R:g=xM(s=o=c[p++],l=a=c[p++],c[p++],c[p++],h,d,bM);break;case gM.Z:g=_M(o,a,s,l,h,d,bM,!0),o=s,a=l}g<u&&(u=g,n.set(bM[0],bM[1]))}return u}var MM=new dr,TM=new dr,AM=new dr,IM=new dr,CM=new dr;function DM(e,t){if(e){var n=e.getTextGuideLine(),r=e.getTextContent();if(r&&n){var i=e.textGuideLineConfig||{},o=[[0,0],[0,0],[0,0]],a=i.candidates||mM,s=r.getBoundingRect().clone();s.applyTransform(r.getComputedTransform());var l=1/0,u=i.anchor,c=e.getComputedTransform(),h=c&&ur([],c),d=t.get("length2")||0;u&&AM.copy(u);for(var p=0;p<a.length;p++){vM(a[p],0,s,MM,IM),dr.scaleAndAdd(TM,MM,IM,d),TM.transform(h);var f=e.getBoundingRect(),g=u?u.distance(TM):e instanceof Eu?SM(TM,e.path,AM):wM(TM,f,AM);g<l&&(l=g,TM.transform(c),AM.transform(c),AM.toArray(o[0]),TM.toArray(o[1]),MM.toArray(o[2]))}PM(o,t.get("minTurnAngle")),n.setShape({points:o})}}}var EM=[],LM=new dr;function PM(e,t){if(t<=180&&t>0){t=t/180*Math.PI,MM.fromArray(e[0]),TM.fromArray(e[1]),AM.fromArray(e[2]),dr.sub(IM,MM,TM),dr.sub(CM,AM,TM);var n=IM.len(),r=CM.len();if(!(n<.001||r<.001)){IM.scale(1/n),CM.scale(1/r);var i=IM.dot(CM);if(Math.cos(t)<i){var o=_M(TM.x,TM.y,AM.x,AM.y,MM.x,MM.y,EM,!1);LM.fromArray(EM),LM.scaleAndAdd(CM,o/Math.tan(Math.PI-t));var a=AM.x!==TM.x?(LM.x-TM.x)/(AM.x-TM.x):(LM.y-TM.y)/(AM.y-TM.y);if(isNaN(a))return;a<0?dr.copy(LM,TM):a>1&&dr.copy(LM,AM),LM.toArray(e[1])}}}}function OM(e,t,n){if(n<=180&&n>0){n=n/180*Math.PI,MM.fromArray(e[0]),TM.fromArray(e[1]),AM.fromArray(e[2]),dr.sub(IM,TM,MM),dr.sub(CM,AM,TM);var r=IM.len(),i=CM.len();if(!(r<.001||i<.001)&&(IM.scale(1/r),CM.scale(1/i),IM.dot(t)<Math.cos(n))){var o=_M(TM.x,TM.y,AM.x,AM.y,MM.x,MM.y,EM,!1);LM.fromArray(EM);var a=Math.PI/2,s=a+Math.acos(CM.dot(t))-n;if(s>=a)dr.copy(LM,AM);else{LM.scaleAndAdd(CM,o/Math.tan(Math.PI/2-s));var l=AM.x!==TM.x?(LM.x-TM.x)/(AM.x-TM.x):(LM.y-TM.y)/(AM.y-TM.y);if(isNaN(l))return;l<0?dr.copy(LM,TM):l>1&&dr.copy(LM,AM)}LM.toArray(e[1])}}}function NM(e,t,n,r){var i="normal"===n,o=i?e:e.ensureState(n);o.ignore=t;var a=r.get("smooth");a&&!0===a&&(a=.3),o.shape=o.shape||{},a>0&&(o.shape.smooth=a);var s=r.getModel("lineStyle").getLineStyle();i?e.useStyle(s):o.style=s}function RM(e,t){var n=t.smooth,r=t.points;if(r)if(e.moveTo(r[0][0],r[0][1]),n>0&&r.length>=3){var i=xn(r[0],r[1]),o=xn(r[1],r[2]);if(!i||!o)return e.lineTo(r[1][0],r[1][1]),void e.lineTo(r[2][0],r[2][1]);var a=Math.min(i,o)*n,s=Mn([],r[1],r[0],a/i),l=Mn([],r[1],r[2],a/o),u=Mn([],s,l,.5);e.bezierCurveTo(s[0],s[1],s[0],s[1],u[0],u[1]),e.bezierCurveTo(l[0],l[1],l[0],l[1],r[2][0],r[2][1])}else for(var c=1;c<r.length;c++)e.lineTo(r[c][0],r[c][1])}function kM(e,t,n){var r=e.getTextGuideLine(),i=e.getTextContent();if(i){for(var o=t.normal,a=o.get("show"),s=i.ignore,l=0;l<yc.length;l++){var u=yc[l],c=t[u],h="normal"===u;if(c){var d=c.get("show");if((h?s:Rt(i.states[u]&&i.states[u].ignore,s))||!Rt(d,a)){var p=h?r:r&&r.states[u];p&&(p.ignore=!0),r&&NM(r,!0,u,c);continue}r||(r=new tv,e.setTextGuideLine(r),h||!s&&a||NM(r,!0,"normal",t.normal),e.stateProxy&&(r.stateProxy=e.stateProxy)),NM(r,!1,u,c)}}if(r){st(r.style,n),r.style.fill=null;var f=o.get("showAbove");(e.textGuideLineConfig=e.textGuideLineConfig||{}).showAbove=f||!1,r.buildPath=RM}}else r&&e.removeTextGuideLine()}function BM(e,t){t=t||"labelLine";for(var n={normal:e.getModel(t)},r=0;r<vc.length;r++){var i=vc[r];n[i]=e.getModel([i,t])}return n}function FM(e){for(var t=[],n=0;n<e.length;n++){var r=e[n];if(!r.defaultAttr.ignore){var i=r.label,o=i.getComputedTransform(),a=i.getBoundingRect(),s=!o||o[1]<1e-5&&o[2]<1e-5,l=i.style.margin||0,u=a.clone();u.applyTransform(o),u.x-=l/2,u.y-=l/2,u.width+=l,u.height+=l;var c=s?new Iv(a,o):null;t.push({label:i,labelLine:r.labelLine,rect:u,localRect:a,obb:c,priority:r.priority,defaultAttr:r.defaultAttr,layoutOption:r.computedLayoutOption,axisAligned:s,transform:o})}}return t}function zM(e,t,n,r,i,o){var a=e.length;if(!(a<2)){e.sort((function(e,n){return e.rect[t]-n.rect[t]}));for(var s,l=0,u=!1,c=[],h=0,d=0;d<a;d++){var p=e[d],f=p.rect;(s=f[t]-l)<0&&(f[t]-=s,p.label[t]-=s,u=!0);var g=Math.max(-s,0);c.push(g),h+=g,l=f[t]+f[n]}h>0&&o&&w(-h/a,0,a);var m,v,y=e[0],_=e[a-1];return x(),m<0&&S(-m,.8),v<0&&S(v,.8),x(),b(m,v,1),b(v,m,-1),x(),m<0&&M(-m),v<0&&M(v),u}function x(){m=y.rect[t]-r,v=i-_.rect[t]-_.rect[n]}function b(e,t,n){if(e<0){var r=Math.min(t,-e);if(r>0){w(r*n,0,a);var i=r+e;i<0&&S(-i*n,1)}else S(-e*n,1)}}function w(n,r,i){0!==n&&(u=!0);for(var o=r;o<i;o++){var a=e[o];a.rect[t]+=n,a.label[t]+=n}}function S(r,i){for(var o=[],s=0,l=1;l<a;l++){var u=e[l-1].rect,c=Math.max(e[l].rect[t]-u[t]-u[n],0);o.push(c),s+=c}if(s){var h=Math.min(Math.abs(r)/s,i);if(r>0)for(l=0;l<a-1;l++)w(o[l]*h,0,l+1);else for(l=a-1;l>0;l--)w(-o[l-1]*h,l,a)}}function M(e){var t=e<0?-1:1;e=Math.abs(e);for(var n=Math.ceil(e/(a-1)),r=0;r<a-1;r++)if(t>0?w(n,0,r+1):w(-n,a-r-1,a),(e-=n)<=0)return}}function VM(e,t,n,r){return zM(e,"y","height",t,n,r)}function GM(e){var t=[];e.sort((function(e,t){return t.priority-e.priority}));var n=new wr(0,0,0,0);function r(e){if(!e.ignore){var t=e.ensureState("emphasis");null==t.ignore&&(t.ignore=!1)}e.ignore=!0}for(var i=0;i<e.length;i++){var o=e[i],a=o.axisAligned,s=o.localRect,l=o.transform,u=o.label,c=o.labelLine;n.copy(o.rect),n.width-=.1,n.height-=.1,n.x+=.05,n.y+=.05;for(var h=o.obb,d=!1,p=0;p<t.length;p++){var f=t[p];if(n.intersect(f.rect)){if(a&&f.axisAligned){d=!0;break}if(f.obb||(f.obb=new Iv(f.localRect,f.transform)),h||(h=new Iv(s,l)),h.intersect(f.obb)){d=!0;break}}}d?(r(u),c&&r(c)):(u.attr("ignore",o.defaultAttr.ignore),c&&c.attr("ignore",o.defaultAttr.labelGuideIgnore),t.push(o))}}function HM(e){if(e){for(var t=[],n=0;n<e.length;n++)t.push(e[n].slice());return t}}function UM(e,t){var n=e.label,r=t&&t.getTextGuideLine();return{dataIndex:e.dataIndex,dataType:e.dataType,seriesIndex:e.seriesModel.seriesIndex,text:e.label.style.text,rect:e.hostRect,labelRect:e.rect,align:n.style.align,verticalAlign:n.style.verticalAlign,labelLinePoints:HM(r&&r.shape.points)}}var WM=["align","verticalAlign","width","height","fontSize"],jM=new ha,XM=Ns(),YM=Ns();function ZM(e,t,n){for(var r=0;r<n.length;r++){var i=n[r];null!=t[i]&&(e[i]=t[i])}}var qM=["x","y","rotation"],$M=function(){function e(){this._labelList=[],this._chartViewList=[]}return e.prototype.clearLabels=function(){this._labelList=[],this._chartViewList=[]},e.prototype._addLabel=function(e,t,n,r,i){var o=r.style,a=r.__hostTarget.textConfig||{},s=r.getComputedTransform(),l=r.getBoundingRect().plain();wr.applyTransform(l,l,s),s?jM.setLocalTransform(s):(jM.x=jM.y=jM.rotation=jM.originX=jM.originY=0,jM.scaleX=jM.scaleY=1),jM.rotation=fu(jM.rotation);var u,c=r.__hostTarget;if(c){u=c.getBoundingRect().plain();var h=c.getComputedTransform();wr.applyTransform(u,u,h)}var d=u&&c.getTextGuideLine();this._labelList.push({label:r,labelLine:d,seriesModel:n,dataIndex:e,dataType:t,layoutOption:i,computedLayoutOption:null,rect:l,hostRect:u,priority:u?u.width*u.height:0,defaultAttr:{ignore:r.ignore,labelGuideIgnore:d&&d.ignore,x:jM.x,y:jM.y,scaleX:jM.scaleX,scaleY:jM.scaleY,rotation:jM.rotation,style:{x:o.x,y:o.y,align:o.align,verticalAlign:o.verticalAlign,width:o.width,height:o.height,fontSize:o.fontSize},cursor:r.cursor,attachedPos:a.position,attachedRot:a.rotation}})},e.prototype.addLabelsOfSeries=function(e){var t=this;this._chartViewList.push(e);var n=e.__model,r=n.get("labelLayout");(wt(r)||yt(r).length)&&e.group.traverse((function(e){if(e.ignore)return!0;var i=e.getTextContent(),o=lc(e);i&&!i.disableLabelLayout&&t._addLabel(o.dataIndex,o.dataType,n,i,r)}))},e.prototype.updateLayoutConfig=function(e){var t=e.getWidth(),n=e.getHeight();function r(e,t){return function(){DM(e,t)}}for(var i=0;i<this._labelList.length;i++){var o=this._labelList[i],a=o.label,s=a.__hostTarget,l=o.defaultAttr,u=void 0;u=(u=wt(o.layoutOption)?o.layoutOption(UM(o,s)):o.layoutOption)||{},o.computedLayoutOption=u;var c=Math.PI/180;s&&s.setTextConfig({local:!1,position:null!=u.x||null!=u.y?null:l.attachedPos,rotation:null!=u.rotate?u.rotate*c:l.attachedRot,offset:[u.dx||0,u.dy||0]});var h=!1;if(null!=u.x?(a.x=qa(u.x,t),a.setStyle("x",0),h=!0):(a.x=l.x,a.setStyle("x",l.style.x)),null!=u.y?(a.y=qa(u.y,n),a.setStyle("y",0),h=!0):(a.y=l.y,a.setStyle("y",l.style.y)),u.labelLinePoints){var d=s.getTextGuideLine();d&&(d.setShape({points:u.labelLinePoints}),h=!1)}XM(a).needsUpdateLabelLine=h,a.rotation=null!=u.rotate?u.rotate*c:l.rotation,a.scaleX=l.scaleX,a.scaleY=l.scaleY;for(var p=0;p<WM.length;p++){var f=WM[p];a.setStyle(f,null!=u[f]?u[f]:l.style[f])}if(u.draggable){if(a.draggable=!0,a.cursor="move",s){var g=o.seriesModel;null!=o.dataIndex&&(g=o.seriesModel.getData(o.dataType).getItemModel(o.dataIndex)),a.on("drag",r(s,g.getModel("labelLine")))}}else a.off("drag"),a.cursor=l.cursor}},e.prototype.layout=function(e){var t=e.getWidth(),n=e.getHeight(),r=FM(this._labelList),i=mt(r,(function(e){return"shiftX"===e.layoutOption.moveOverlap})),o=mt(r,(function(e){return"shiftY"===e.layoutOption.moveOverlap}));zM(i,"x","width",0,t,undefined),VM(o,0,n),GM(mt(r,(function(e){return e.layoutOption.hideOverlap})))},e.prototype.processLabelsOverall=function(){var e=this;pt(this._chartViewList,(function(t){var n=t.__model,r=t.ignoreLabelLineUpdate,i=n.isAnimationEnabled();t.group.traverse((function(t){if(t.ignore&&!t.forceLabelAnimation)return!0;var o=!r,a=t.getTextContent();!o&&a&&(o=XM(a).needsUpdateLabelLine),o&&e._updateLabelLine(t,n),i&&e._animateLabels(t,n)}))}))},e.prototype._updateLabelLine=function(e,t){var n=e.getTextContent(),r=lc(e),i=r.dataIndex;if(n&&null!=i){var o=t.getData(r.dataType),a=o.getItemModel(i),s={},l=o.getItemVisual(i,"style");if(l){var u=o.getVisual("drawType");s.stroke=l[u]}var c=a.getModel("labelLine");kM(e,BM(a),s),DM(e,c)}},e.prototype._animateLabels=function(e,t){var n=e.getTextContent(),r=e.getTextGuideLine();if(n&&(e.forceLabelAnimation||!n.ignore&&!n.invisible&&!e.disableLabelAnimation&&!gh(e))){var i=(p=XM(n)).oldLayout,o=lc(e),a=o.dataIndex,s={x:n.x,y:n.y,rotation:n.rotation},l=t.getData(o.dataType);if(i){n.attr(i);var u=e.prevStates;u&&(ut(u,"select")>=0&&n.attr(p.oldLayoutSelect),ut(u,"emphasis")>=0&&n.attr(p.oldLayoutEmphasis)),ph(n,s,t,a)}else if(n.attr(s),!Ph(n).valueAnimation){var c=Rt(n.style.opacity,1);n.style.opacity=0,fh(n,{style:{opacity:c}},t,a)}if(p.oldLayout=s,n.states.select){var h=p.oldLayoutSelect={};ZM(h,s,qM),ZM(h,n.states.select,qM)}if(n.states.emphasis){var d=p.oldLayoutEmphasis={};ZM(d,s,qM),ZM(d,n.states.emphasis,qM)}Nh(n,a,l,t,t)}if(r&&!r.ignore&&!r.invisible){i=(p=YM(r)).oldLayout;var p,f={points:r.shape.points};i?(r.attr({shape:i}),ph(r,{shape:f},t)):(r.setShape(f),r.style.strokePercent=0,fh(r,{style:{strokePercent:1}},t)),p.oldLayout=f}},e}();const KM=$M;var JM=Ns();function QM(e){e.registerUpdateLifecycle("series:beforeupdate",(function(e,t,n){var r=JM(t).labelManager;r||(r=JM(t).labelManager=new KM),r.clearLabels()})),e.registerUpdateLifecycle("series:layoutlabels",(function(e,t,n){var r=JM(t).labelManager;n.updatedSeries.forEach((function(e){r.addLabelsOfSeries(t.getViewOfSeriesModel(e))})),r.updateLayoutConfig(t),r.layout(t),r.processLabelsOverall()}))}function eT(e,t,n){var r=Ge.createCanvas(),i=t.getWidth(),o=t.getHeight(),a=r.style;return a&&(a.position="absolute",a.left="0",a.top="0",a.width=i+"px",a.height=o+"px",r.setAttribute("data-zr-dom-id",e)),r.width=i*n,r.height=o*n,r}BS(QM);var tT=function(e){function t(t,n,r){var i,o=e.call(this)||this;o.motionBlur=!1,o.lastFrameAlpha=.7,o.dpr=1,o.virtual=!1,o.config={},o.incremental=!1,o.zlevel=0,o.maxRepaintRectCount=5,o.__dirty=!0,o.__firstTimePaint=!0,o.__used=!1,o.__drawIndex=0,o.__startIndex=0,o.__endIndex=0,o.__prevStartIndex=null,o.__prevEndIndex=null,r=r||Qo,"string"==typeof t?i=eT(t,n,r):At(t)&&(t=(i=t).id),o.id=t,o.dom=i;var a=i.style;return a&&($t(i),i.onselectstart=function(){return!1},a.padding="0",a.margin="0",a.borderWidth="0"),o.painter=n,o.dpr=r,o}return tn(t,e),t.prototype.getElementCount=function(){return this.__endIndex-this.__startIndex},t.prototype.afterBrush=function(){this.__prevStartIndex=this.__startIndex,this.__prevEndIndex=this.__endIndex},t.prototype.initContext=function(){this.ctx=this.dom.getContext("2d"),this.ctx.dpr=this.dpr},t.prototype.setUnpainted=function(){this.__firstTimePaint=!0},t.prototype.createBackBuffer=function(){var e=this.dpr;this.domBack=eT("back-"+this.id,this.painter,e),this.ctxBack=this.domBack.getContext("2d"),1!==e&&this.ctxBack.scale(e,e)},t.prototype.createRepaintRects=function(e,t,n,r){if(this.__firstTimePaint)return this.__firstTimePaint=!1,null;var i,o=[],a=this.maxRepaintRectCount,s=!1,l=new wr(0,0,0,0);function u(e){if(e.isFinite()&&!e.isZero())if(0===o.length)(t=new wr(0,0,0,0)).copy(e),o.push(t);else{for(var t,n=!1,r=1/0,i=0,u=0;u<o.length;++u){var c=o[u];if(c.intersect(e)){var h=new wr(0,0,0,0);h.copy(c),h.union(e),o[u]=h,n=!0;break}if(s){l.copy(e),l.union(c);var d=e.width*e.height,p=c.width*c.height,f=l.width*l.height-d-p;f<r&&(r=f,i=u)}}s&&(o[i].union(e),n=!0),n||((t=new wr(0,0,0,0)).copy(e),o.push(t)),s||(s=o.length>=a)}}for(var c=this.__startIndex;c<this.__endIndex;++c)if(p=e[c]){var h=p.shouldBePainted(n,r,!0,!0);(f=p.__isRendered&&(p.__dirty&Vr||!h)?p.getPrevPaintRect():null)&&u(f);var d=h&&(p.__dirty&Vr||!p.__isRendered)?p.getPaintRect():null;d&&u(d)}for(c=this.__prevStartIndex;c<this.__prevEndIndex;++c){var p,f;h=(p=t[c])&&p.shouldBePainted(n,r,!0,!0),!p||h&&p.__zr||!p.__isRendered||(f=p.getPrevPaintRect())&&u(f)}do{for(i=!1,c=0;c<o.length;)if(o[c].isZero())o.splice(c,1);else{for(var g=c+1;g<o.length;)o[c].intersect(o[g])?(i=!0,o[c].union(o[g]),o.splice(g,1)):g++;c++}}while(i);return this._paintRects=o,o},t.prototype.debugGetPaintRects=function(){return(this._paintRects||[]).slice()},t.prototype.resize=function(e,t){var n=this.dpr,r=this.dom,i=r.style,o=this.domBack;i&&(i.width=e+"px",i.height=t+"px"),r.width=e*n,r.height=t*n,o&&(o.width=e*n,o.height=t*n,1!==n&&this.ctxBack.scale(n,n))},t.prototype.clear=function(e,t,n){var r=this.dom,i=this.ctx,o=r.width,a=r.height;t=t||this.clearColor;var s=this.motionBlur&&!e,l=this.lastFrameAlpha,u=this.dpr,c=this;s&&(this.domBack||this.createBackBuffer(),this.ctxBack.globalCompositeOperation="copy",this.ctxBack.drawImage(r,0,0,o/u,a/u));var h=this.domBack;function d(e,n,r,o){if(i.clearRect(e,n,r,o),t&&"transparent"!==t){var a=void 0;Et(t)?(a=(t.global||t.__width===r&&t.__height===o)&&t.__canvasGradient||D_(i,t,{x:0,y:0,width:r,height:o}),t.__canvasGradient=a,t.__width=r,t.__height=o):Lt(t)&&(t.scaleX=t.scaleX||u,t.scaleY=t.scaleY||u,a=z_(i,t,{dirty:function(){c.setUnpainted(),c.painter.refresh()}})),i.save(),i.fillStyle=a||t,i.fillRect(e,n,r,o),i.restore()}s&&(i.save(),i.globalAlpha=l,i.drawImage(h,e,n,r,o),i.restore())}!n||s?d(0,0,o,a):n.length&&pt(n,(function(e){d(e.x*u,e.y*u,e.width*u,e.height*u)}))},t}(Pn);const nT=tT;var rT=1e5,iT=314159,oT=.01,aT=function(){function e(e,t,n,r){this.type="canvas",this._zlevelList=[],this._prevDisplayList=[],this._layers={},this._layerConfig={},this._needsManuallyCompositing=!1,this.type="canvas";var i=!e.nodeName||"CANVAS"===e.nodeName.toUpperCase();this._opts=n=at({},n||{}),this.dpr=n.devicePixelRatio||Qo,this._singleCanvas=i,this.root=e,e.style&&($t(e),e.innerHTML=""),this.storage=t;var o=this._zlevelList;this._prevDisplayList=[];var a=this._layers;if(i){var s=e,l=s.width,u=s.height;null!=n.width&&(l=n.width),null!=n.height&&(u=n.height),this.dpr=n.devicePixelRatio||1,s.width=l*this.dpr,s.height=u*this.dpr,this._width=l,this._height=u;var c=new nT(s,this,this.dpr);c.__builtin__=!0,c.initContext(),a[314159]=c,c.zlevel=iT,o.push(iT),this._domRoot=e}else{this._width=L_(e,0,n),this._height=L_(e,1,n);var h=this._domRoot=function(e,t){var n=document.createElement("div");return n.style.cssText=["position:relative","width:"+e+"px","height:"+t+"px","padding:0","margin:0","border-width:0"].join(";")+";",n}(this._width,this._height);e.appendChild(h)}}return e.prototype.getType=function(){return"canvas"},e.prototype.isSingleCanvas=function(){return this._singleCanvas},e.prototype.getViewportRoot=function(){return this._domRoot},e.prototype.getViewportRootOffset=function(){var e=this.getViewportRoot();if(e)return{offsetLeft:e.offsetLeft||0,offsetTop:e.offsetTop||0}},e.prototype.refresh=function(e){var t=this.storage.getDisplayList(!0),n=this._prevDisplayList,r=this._zlevelList;this._redrawId=Math.random(),this._paintList(t,n,e,this._redrawId);for(var i=0;i<r.length;i++){var o=r[i],a=this._layers[o];if(!a.__builtin__&&a.refresh){var s=0===i?this._backgroundColor:null;a.refresh(s)}}return this._opts.useDirtyRect&&(this._prevDisplayList=t.slice()),this},e.prototype.refreshHover=function(){this._paintHoverList(this.storage.getDisplayList(!1))},e.prototype._paintHoverList=function(e){var t=e.length,n=this._hoverlayer;if(n&&n.clear(),t){for(var r,i={inHover:!0,viewWidth:this._width,viewHeight:this._height},o=0;o<t;o++){var a=e[o];a.__inHover&&(n||(n=this._hoverlayer=this.getLayer(rT)),r||(r=n.ctx).save(),J_(r,a,i,o===t-1))}r&&r.restore()}},e.prototype.getHoverLayer=function(){return this.getLayer(rT)},e.prototype.paintOne=function(e,t){K_(e,t)},e.prototype._paintList=function(e,t,n,r){if(this._redrawId===r){n=n||!1,this._updateLayerStatus(e);var i=this._doPaintList(e,t,n),o=i.finished,a=i.needsRefreshHover;if(this._needsManuallyCompositing&&this._compositeManually(),a&&this._paintHoverList(e),o)this.eachLayer((function(e){e.afterBrush&&e.afterBrush()}));else{var s=this;Yr((function(){s._paintList(e,t,n,r)}))}}},e.prototype._compositeManually=function(){var e=this.getLayer(iT).ctx,t=this._domRoot.width,n=this._domRoot.height;e.clearRect(0,0,t,n),this.eachBuiltinLayer((function(r){r.virtual&&e.drawImage(r.dom,0,0,t,n)}))},e.prototype._doPaintList=function(e,t,n){for(var r=this,i=[],o=this._opts.useDirtyRect,a=0;a<this._zlevelList.length;a++){var s=this._zlevelList[a],l=this._layers[s];l.__builtin__&&l!==this._hoverlayer&&(l.__dirty||n)&&i.push(l)}for(var u=!0,c=!1,h=function(a){var s,l=i[a],h=l.ctx,p=o&&l.createRepaintRects(e,t,d._width,d._height),f=n?l.__startIndex:l.__drawIndex,g=!n&&l.incremental&&Date.now,m=g&&Date.now(),v=l.zlevel===d._zlevelList[0]?d._backgroundColor:null;if(l.__startIndex===l.__endIndex)l.clear(!1,v,p);else if(f===l.__startIndex){var y=e[f];y.incremental&&y.notClear&&!n||l.clear(!1,v,p)}-1===f&&(console.error("For some unknown reason. drawIndex is -1"),f=l.__startIndex);var _=function(t){var n={inHover:!1,allClipped:!1,prevEl:null,viewWidth:r._width,viewHeight:r._height};for(s=f;s<l.__endIndex;s++){var i=e[s];if(i.__inHover&&(c=!0),r._doPaintEl(i,l,o,t,n,s===l.__endIndex-1),g&&Date.now()-m>15)break}n.prevElClipPaths&&h.restore()};if(p)if(0===p.length)s=l.__endIndex;else for(var x=d.dpr,b=0;b<p.length;++b){var w=p[b];h.save(),h.beginPath(),h.rect(w.x*x,w.y*x,w.width*x,w.height*x),h.clip(),_(w),h.restore()}else h.save(),_(),h.restore();l.__drawIndex=s,l.__drawIndex<l.__endIndex&&(u=!1)},d=this,p=0;p<i.length;p++)h(p);return Ne.wxa&&pt(this._layers,(function(e){e&&e.ctx&&e.ctx.draw&&e.ctx.draw()})),{finished:u,needsRefreshHover:c}},e.prototype._doPaintEl=function(e,t,n,r,i,o){var a=t.ctx;if(n){var s=e.getPaintRect();(!r||s&&s.intersect(r))&&(J_(a,e,i,o),e.setPrevPaintRect(s))}else J_(a,e,i,o)},e.prototype.getLayer=function(e,t){this._singleCanvas&&!this._needsManuallyCompositing&&(e=iT);var n=this._layers[e];return n||((n=new nT("zr_"+e,this,this.dpr)).zlevel=e,n.__builtin__=!0,this._layerConfig[e]?it(n,this._layerConfig[e],!0):this._layerConfig[e-oT]&&it(n,this._layerConfig[e-oT],!0),t&&(n.virtual=t),this.insertLayer(e,n),n.initContext()),n},e.prototype.insertLayer=function(e,t){var n=this._layers,r=this._zlevelList,i=r.length,o=this._domRoot,a=null,s=-1;if(!n[e]&&function(e){return!!e&&(!!e.__builtin__||"function"==typeof e.resize&&"function"==typeof e.refresh)}(t)){if(i>0&&e>r[0]){for(s=0;s<i-1&&!(r[s]<e&&r[s+1]>e);s++);a=n[r[s]]}if(r.splice(s+1,0,e),n[e]=t,!t.virtual)if(a){var l=a.dom;l.nextSibling?o.insertBefore(t.dom,l.nextSibling):o.appendChild(t.dom)}else o.firstChild?o.insertBefore(t.dom,o.firstChild):o.appendChild(t.dom);t.painter||(t.painter=this)}},e.prototype.eachLayer=function(e,t){for(var n=this._zlevelList,r=0;r<n.length;r++){var i=n[r];e.call(t,this._layers[i],i)}},e.prototype.eachBuiltinLayer=function(e,t){for(var n=this._zlevelList,r=0;r<n.length;r++){var i=n[r],o=this._layers[i];o.__builtin__&&e.call(t,o,i)}},e.prototype.eachOtherLayer=function(e,t){for(var n=this._zlevelList,r=0;r<n.length;r++){var i=n[r],o=this._layers[i];o.__builtin__||e.call(t,o,i)}},e.prototype.getLayers=function(){return this._layers},e.prototype._updateLayerStatus=function(e){function t(e){o&&(o.__endIndex!==e&&(o.__dirty=!0),o.__endIndex=e)}if(this.eachBuiltinLayer((function(e,t){e.__dirty=e.__used=!1})),this._singleCanvas)for(var n=1;n<e.length;n++)if((s=e[n]).zlevel!==e[n-1].zlevel||s.incremental){this._needsManuallyCompositing=!0;break}var r,i,o=null,a=0;for(i=0;i<e.length;i++){var s,l=(s=e[i]).zlevel,u=void 0;r!==l&&(r=l,a=0),s.incremental?((u=this.getLayer(l+.001,this._needsManuallyCompositing)).incremental=!0,a=1):u=this.getLayer(l+(a>0?oT:0),this._needsManuallyCompositing),u.__builtin__||nt("ZLevel "+l+" has been used by unkown layer "+u.id),u!==o&&(u.__used=!0,u.__startIndex!==i&&(u.__dirty=!0),u.__startIndex=i,u.incremental?u.__drawIndex=-1:u.__drawIndex=i,t(i),o=u),s.__dirty&Vr&&!s.__inHover&&(u.__dirty=!0,u.incremental&&u.__drawIndex<0&&(u.__drawIndex=i))}t(i),this.eachBuiltinLayer((function(e,t){!e.__used&&e.getElementCount()>0&&(e.__dirty=!0,e.__startIndex=e.__endIndex=e.__drawIndex=0),e.__dirty&&e.__drawIndex<0&&(e.__drawIndex=e.__startIndex)}))},e.prototype.clear=function(){return this.eachBuiltinLayer(this._clearLayer),this},e.prototype._clearLayer=function(e){e.clear()},e.prototype.setBackgroundColor=function(e){this._backgroundColor=e,pt(this._layers,(function(e){e.setUnpainted()}))},e.prototype.configLayer=function(e,t){if(t){var n=this._layerConfig;n[e]?it(n[e],t,!0):n[e]=t;for(var r=0;r<this._zlevelList.length;r++){var i=this._zlevelList[r];i!==e&&i!==e+oT||it(this._layers[i],n[e],!0)}}},e.prototype.delLayer=function(e){var t=this._layers,n=this._zlevelList,r=t[e];r&&(r.dom.parentNode.removeChild(r.dom),delete t[e],n.splice(ut(n,e),1))},e.prototype.resize=function(e,t){if(this._domRoot.style){var n=this._domRoot;n.style.display="none";var r=this._opts,i=this.root;if(null!=e&&(r.width=e),null!=t&&(r.height=t),e=L_(i,0,r),t=L_(i,1,r),n.style.display="",this._width!==e||t!==this._height){for(var o in n.style.width=e+"px",n.style.height=t+"px",this._layers)this._layers.hasOwnProperty(o)&&this._layers[o].resize(e,t);this.refresh(!0)}this._width=e,this._height=t}else{if(null==e||null==t)return;this._width=e,this._height=t,this.getLayer(iT).resize(e,t)}return this},e.prototype.clearLayer=function(e){var t=this._layers[e];t&&t.clear()},e.prototype.dispose=function(){this.root.innerHTML="",this.root=this.storage=this._domRoot=this._layers=null},e.prototype.getRenderedCanvas=function(e){if(e=e||{},this._singleCanvas&&!this._compositeManually)return this._layers[314159].dom;var t=new nT("image",this,e.pixelRatio||this.dpr);t.initContext(),t.clear(!1,e.backgroundColor||this._backgroundColor);var n=t.ctx;if(e.pixelRatio<=this.dpr){this.refresh();var r=t.dom.width,i=t.dom.height;this.eachLayer((function(e){e.__builtin__?n.drawImage(e.dom,0,0,r,i):e.renderToCanvas&&(n.save(),e.renderToCanvas(n),n.restore())}))}else for(var o={inHover:!1,viewWidth:this._width,viewHeight:this._height},a=this.storage.getDisplayList(!0),s=0,l=a.length;s<l;s++){var u=a[s];J_(n,u,o,s===l-1)}return t.dom},e.prototype.getWidth=function(){return this._width},e.prototype.getHeight=function(){return this._height},e}();const sT=aT;function lT(e){e.registerPainter("canvas",sT)}var uT=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.type="dataset",t}return Le(t,e),t.prototype.init=function(t,n,r){e.prototype.init.call(this,t,n,r),this._sourceManager=new Sg(this),Mg(this)},t.prototype.mergeOption=function(t,n){e.prototype.mergeOption.call(this,t,n),Mg(this)},t.prototype.optionUpdated=function(){this._sourceManager.dirty()},t.prototype.getSourceManager=function(){return this._sourceManager},t.type="dataset",t.defaultOption={seriesLayoutBy:yp},t}(sp),cT=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.type="dataset",t}return Le(t,e),t.type="dataset",t}(rm);function hT(e){e.registerComponentModel(uT),e.registerComponentView(cT)}BS([lT,hT]);const dT={init:function(){return lb.apply(null,arguments)}};BS(QM),dM({type:"series.liquidFill",optionUpdated:function(){var e=this.option;e.gridSize=Math.max(Math.floor(e.gridSize),4)},getInitialData:function(e,t){var n=uw(e.data,{coordDimensions:["value"]}),r=new lw(n,this);return r.initData(e.data),r},defaultOption:{color:["#294D99","#156ACF","#1598ED","#45BDFF"],center:["50%","50%"],radius:"50%",amplitude:"8%",waveLength:"80%",phase:"auto",period:"auto",direction:"right",shape:"circle",waveAnimation:!0,animationEasing:"linear",animationEasingUpdate:"linear",animationDuration:2e3,animationDurationUpdate:1e3,outline:{show:!0,borderDistance:8,itemStyle:{color:"none",borderColor:"#294D99",borderWidth:8,shadowBlur:20,shadowColor:"rgba(0, 0, 0, 0.25)"}},backgroundStyle:{color:"#E3F7FF"},itemStyle:{opacity:.95,shadowBlur:50,shadowColor:"rgba(0, 0, 0, 0.4)"},label:{show:!0,color:"#294D99",insideColor:"#fff",fontSize:50,fontWeight:"bold",align:"center",baseline:"middle",position:"inside"},emphasis:{itemStyle:{opacity:.8}}}});const pT=Nv({type:"ec-liquid-fill",shape:{waveLength:0,radius:0,radiusY:0,cx:0,cy:0,waterLevel:0,amplitude:0,phase:0,inverse:!1},buildPath:function(e,t){null==t.radiusY&&(t.radiusY=t.radius);for(var n=Math.max(2*Math.ceil(2*t.radius/t.waveLength*4),8);t.phase<2*-Math.PI;)t.phase+=2*Math.PI;for(;t.phase>0;)t.phase-=2*Math.PI;var r=t.phase/Math.PI/2*t.waveLength,i=t.cx-t.radius+r-2*t.radius;e.moveTo(i,t.waterLevel);for(var o=0,a=0;a<n;++a){var s=a%4,l=fT(a*t.waveLength/4,s,t.waveLength,t.amplitude);e.bezierCurveTo(l[0][0]+i,-l[0][1]+t.waterLevel,l[1][0]+i,-l[1][1]+t.waterLevel,l[2][0]+i,-l[2][1]+t.waterLevel),a===n-1&&(o=l[2][0])}t.inverse?(e.lineTo(o+i,t.cy-t.radiusY),e.lineTo(i,t.cy-t.radiusY),e.lineTo(i,t.waterLevel)):(e.lineTo(o+i,t.cy+t.radiusY),e.lineTo(i,t.cy+t.radiusY),e.lineTo(i,t.waterLevel)),e.closePath()}});function fT(e,t,n,r){return 0===t?[[e+.5*n/Math.PI/2,r/2],[e+.5*n/Math.PI,r],[e+n/4,r]]:1===t?[[e+.5*n/Math.PI/2*(Math.PI-2),r],[e+.5*n/Math.PI/2*(Math.PI-1),r/2],[e+n/4,0]]:2===t?[[e+.5*n/Math.PI/2,-r/2],[e+.5*n/Math.PI,-r],[e+n/4,-r]]:[[e+.5*n/Math.PI/2*(Math.PI-2),-r],[e+.5*n/Math.PI/2*(Math.PI-1),-r/2],[e+n/4,0]]}var gT=qa;function mT(e){return e&&0===e.indexOf("path://")}pM({type:"liquidFill",render:function(e,t,n){var r=this,i=this.group;i.removeAll();var o=e.getData(),a=o.getItemModel(0),s=a.get("center"),l=a.get("radius"),u=n.getWidth(),c=n.getHeight(),h=Math.min(u,c),d=0,p=0,f=e.get("outline.show");f&&(d=e.get("outline.borderDistance"),p=gT(e.get("outline.itemStyle.borderWidth"),h));var g,m,v,y=gT(s[0],u),_=gT(s[1],c),x=!1,b=e.get("shape");"container"===b?(x=!0,m=[(g=[u/2,c/2])[0]-p/2,g[1]-p/2],v=[gT(d,u),gT(d,c)],l=[Math.max(m[0]-v[0],0),Math.max(m[1]-v[1],0)]):(m=(g=gT(l,h)/2)-p/2,v=gT(d,h),l=Math.max(m-v,0)),f&&(C().style.lineWidth=p,i.add(C()));var w=x?0:y-l,S=x?0:_-l,M=null;i.add(function(){var t=I(l);t.setStyle(e.getModel("backgroundStyle").getItemStyle()),t.style.fill=null,t.z2=5;var n=I(l);n.setStyle(e.getModel("backgroundStyle").getItemStyle()),n.style.stroke=null;var r=new Oa;return r.add(t),r.add(n),r}());var T=this._data,A=[];function I(e,t){if(b){if(mT(b)){var n=zv(b.slice(7),{}),r=n.getBoundingRect(),i=r.width,o=r.height;i>o?(o*=2*e/i,i=2*e):(i*=2*e/o,o=2*e);var a=t?0:y-i/2,s=t?0:_-o/2;return n=zv(b.slice(7),{},new wr(a,s,i,o)),t&&(n.x=-i/2,n.y=-o/2),n}if(x)return T_("rect",t?-e[0]:y-e[0],l=t?-e[1]:_-e[1],2*e[0],2*e[1]);var l=t?-e:_-e;return"pin"===b?l+=e:"arrow"===b&&(l-=e),T_(b,t?-e:y-e,l,2*e,2*e)}return new Im({shape:{cx:t?0:y,cy:t?0:_,r:e}})}function C(){var t=I(g);return t.style.fill=null,t.setStyle(e.getModel("outline.itemStyle").getItemStyle()),t}function D(t,n,r){var i=x?l[0]:l,a=x?c/2:l,s=o.getItemModel(t),u=s.getModel("itemStyle"),h=s.get("phase"),d=gT(s.get("amplitude"),2*a),p=gT(s.get("waveLength"),2*i),f=a-o.get("value",t)*a*2;h=r?r.shape.phase:"auto"===h?t*Math.PI/4:h;var g=u.getItemStyle();if(!g.fill){var m=e.get("color"),v=t%m.length;g.fill=m[v]}var b=new pT({shape:{waveLength:p,radius:i,radiusY:a,cx:2*i,cy:0,waterLevel:f,amplitude:d,phase:h,inverse:n},style:g,x:y,y:_});b.shape._waterLevel=f;var w=s.getModel("emphasis.itemStyle").getItemStyle();w.lineWidth=0,b.ensureState("emphasis").style=w,eh(b);var S=I(l,!0);return S.setStyle({fill:"white"}),b.setClipPath(S),b}function E(e,t,n){var r=o.getItemModel(e),i=r.get("period"),a=r.get("direction"),s=o.get("value",e),l=r.get("phase");l=n?n.shape.phase:"auto"===l?e*Math.PI/4:l;var u,c;u="auto"===i?0===(c=o.count())?5e3:5e3*(.2+(c-e)/c*.8):"function"==typeof i?i(s,e):i;var h=0;"right"===a||null==a?h=Math.PI:"left"===a?h=-Math.PI:"none"===a?h=0:console.error("Illegal direction value for liquid fill."),"none"!==a&&r.get("waveAnimation")&&t.animate("shape",!0).when(0,{phase:l}).when(u/2,{phase:h+l}).when(u,{phase:2*h+l}).during((function(){M&&M.dirty(!0)})).start()}o.diff(T).add((function(t){var n=D(t,!1),r=n.shape.waterLevel;n.shape.waterLevel=x?c/2:l,fh(n,{shape:{waterLevel:r}},e),n.z2=2,E(t,n,null),i.add(n),o.setItemGraphicEl(t,n),A.push(n)})).update((function(t,n){for(var a=T.getItemGraphicEl(n),s=D(t,!1,a),l={},u=["amplitude","cx","cy","phase","radius","radiusY","waterLevel","waveLength"],h=0;h<u.length;++h){var d=u[h];s.shape.hasOwnProperty(d)&&(l[d]=s.shape[d])}var p={},f=["fill","opacity","shadowBlur","shadowColor"];for(h=0;h<f.length;++h)d=f[h],s.style.hasOwnProperty(d)&&(p[d]=s.style[d]);x&&(l.radiusY=c/2),ph(a,{shape:l,x:s.x,y:s.y},e),e.isUniversalTransitionEnabled&&e.isUniversalTransitionEnabled()?ph(a,{style:p},e):a.useStyle(p);var g=a.getClipPath(),m=s.getClipPath();a.setClipPath(s.getClipPath()),a.shape.inverse=s.inverse,g&&m&&r._shape===b&&!mT(b)&&ph(m,{shape:g.shape},e,{isFrom:!0}),E(t,a,a),i.add(a),o.setItemGraphicEl(t,a),A.push(a)})).remove((function(e){var t=T.getItemGraphicEl(e);i.remove(t)})).execute(),a.get("label.show")&&i.add(function(t){var n=a.getModel("label");var r,i,s,u={z2:10,shape:{x:w,y:S,width:2*(x?l[0]:l),height:2*(x?l[1]:l)},style:{fill:"transparent"},textConfig:{position:n.get("position")||"inside"},silent:!0},c={style:{text:(r=e.getFormattedLabel(0,"normal"),i=100*o.get("value",0),s=o.getName(0)||e.name,isNaN(i)||(s=i.toFixed(0)+"%"),null==r?s:r),textAlign:n.get("align"),textVerticalAlign:n.get("baseline")}};Object.assign(c.style,NS(n));var h=new ju(u),d=new ju(u);d.disableLabelAnimation=!0,h.disableLabelAnimation=!0;var p=new sc(c),f=new sc(c);h.setTextContent(p),d.setTextContent(f);var g=n.get("insideColor");f.style.fill=g;var m=new Oa;m.add(h),m.add(d);var v=I(l,!0);return(M=new gv({shape:{paths:t},x:y,y:_})).setClipPath(v),d.setClipPath(M),m}(A)),this._shape=b,this._data=o},dispose:function(){}}),dM({type:"series.wordCloud",visualStyleAccessPath:"textStyle",visualStyleMapper:function(e){return{fill:e.get("color")}},visualDrawType:"fill",optionUpdated:function(){var e=this.option;e.gridSize=Math.max(Math.floor(e.gridSize),4)},getInitialData:function(e,t){var n=uw(e.data,{coordDimensions:["value"]}),r=new lw(n,this);return r.initData(e.data),r},defaultOption:{maskImage:null,shape:"circle",keepAspect:!1,left:"center",top:"center",width:"70%",height:"80%",sizeRange:[12,60],rotationRange:[-90,90],rotationStep:45,gridSize:8,drawOutOfBound:!1,shrinkToFit:!1,textStyle:{fontWeight:"normal"}}}),pM({type:"wordCloud",render:function(e,t,n){var r=this.group;r.removeAll();var i=e.getData(),o=e.get("gridSize");e.layoutInstance.ondraw=function(t,n,a,s){var l=i.getItemModel(a),u=l.getModel("textStyle"),c=new sc({style:NS(u),scaleX:1/s.info.mu,scaleY:1/s.info.mu,x:(s.gx+s.info.gw/2)*o,y:(s.gy+s.info.gh/2)*o,rotation:s.rot});c.setStyle({x:s.info.fillTextOffsetX,y:s.info.fillTextOffsetY+.5*n,text:t,verticalAlign:"middle",fill:i.getItemVisual(a,"style").fill,fontSize:n}),r.add(c),i.setItemGraphicEl(a,c),c.ensureState("emphasis").style=NS(l.getModel(["emphasis","textStyle"]),{state:"emphasis"}),c.ensureState("blur").style=NS(l.getModel(["blur","textStyle"]),{state:"blur"}),eh(c,l.get(["emphasis","focus"]),l.get(["emphasis","blurScope"])),c.stateTransition={duration:e.get("animation")?e.get(["stateAnimation","duration"]):0,easing:e.get(["stateAnimation","easing"])},c.__highDownDispatcher=!0},this._model=e},remove:function(){this.group.removeAll(),this._model.layoutInstance.dispose()},dispose:function(){this._model.layoutInstance.dispose()}}),window.setImmediate||(window.setImmediate=window.msSetImmediate||window.webkitSetImmediate||window.mozSetImmediate||window.oSetImmediate||function(){if(!window.postMessage||!window.addEventListener)return null;var e=[void 0],t="zero-timeout-message";return window.addEventListener("message",(function(n){if("string"==typeof n.data&&n.data.substr(0,20)===t){n.stopImmediatePropagation();var r=parseInt(n.data.substr(20),36);e[r]&&(e[r](),e[r]=void 0)}}),!0),window.clearImmediate=function(t){e[t]&&(e[t]=void 0)},function(n){var r=e.length;return e.push(n),window.postMessage(t+r.toString(36),"*"),r}}()||function(e){window.setTimeout(e,0)}),window.clearImmediate||(window.clearImmediate=window.msClearImmediate||window.webkitClearImmediate||window.mozClearImmediate||window.oClearImmediate||function(e){window.clearTimeout(e)});var vT=function(){var e=document.createElement("canvas");if(!e||!e.getContext)return!1;var t=e.getContext("2d");return!!(t&&t.getImageData&&t.fillText&&Array.prototype.some&&Array.prototype.push)}(),yT=function(){if(vT){for(var e,t,n=document.createElement("canvas").getContext("2d"),r=20;r;){if(n.font=r.toString(10)+"px sans-serif",n.measureText("Ｗ").width===e&&n.measureText("m").width===t)return r+1;e=n.measureText("Ｗ").width,t=n.measureText("m").width,r--}return 0}}(),_T=function(e){for(var t,n,r=e.length;r;)t=Math.floor(Math.random()*r),n=e[--r],e[r]=e[t],e[t]=n;return e},xT={},bT=function(e,t){if(vT){var n=Math.floor(Math.random()*Date.now());Array.isArray(e)||(e=[e]),e.forEach((function(t,n){if("string"==typeof t){if(e[n]=document.getElementById(t),!e[n])throw new Error("The element id specified is not found.")}else if(!t.tagName&&!t.appendChild)throw new Error("You must pass valid HTML elements, or ID of the element.")}));var r={list:[],fontFamily:'"Trebuchet MS", "Heiti TC", "微軟正黑體", "Arial Unicode MS", "Droid Fallback Sans", sans-serif',fontWeight:"normal",color:"random-dark",minSize:0,weightFactor:1,clearCanvas:!0,backgroundColor:"#fff",gridSize:8,drawOutOfBound:!1,shrinkToFit:!1,origin:null,drawMask:!1,maskColor:"rgba(255,0,0,0.3)",maskGapWidth:.3,layoutAnimation:!0,wait:0,abortThreshold:0,abort:function(){},minRotation:-Math.PI/2,maxRotation:Math.PI/2,rotationStep:.1,shuffle:!0,rotateRatio:.1,shape:"circle",ellipticity:.65,classes:null,hover:null,click:null};if(t)for(var i in t)i in r&&(r[i]=t[i]);if("function"!=typeof r.weightFactor){var o=r.weightFactor;r.weightFactor=function(e){return e*o}}if("function"!=typeof r.shape)switch(r.shape){case"circle":default:r.shape="circle";break;case"cardioid":r.shape=function(e){return 1-Math.sin(e)};break;case"diamond":r.shape=function(e){var t=e%(2*Math.PI/4);return 1/(Math.cos(t)+Math.sin(t))};break;case"square":r.shape=function(e){return Math.min(1/Math.abs(Math.cos(e)),1/Math.abs(Math.sin(e)))};break;case"triangle-forward":r.shape=function(e){var t=e%(2*Math.PI/3);return 1/(Math.cos(t)+Math.sqrt(3)*Math.sin(t))};break;case"triangle":case"triangle-upright":r.shape=function(e){var t=(e+3*Math.PI/2)%(2*Math.PI/3);return 1/(Math.cos(t)+Math.sqrt(3)*Math.sin(t))};break;case"pentagon":r.shape=function(e){var t=(e+.955)%(2*Math.PI/5);return 1/(Math.cos(t)+.726543*Math.sin(t))};break;case"star":r.shape=function(e){var t=(e+.955)%(2*Math.PI/10);return(e+.955)%(2*Math.PI/5)-2*Math.PI/10>=0?1/(Math.cos(2*Math.PI/10-t)+3.07768*Math.sin(2*Math.PI/10-t)):1/(Math.cos(t)+3.07768*Math.sin(t))}}r.gridSize=Math.max(Math.floor(r.gridSize),4);var a,s,l,u,c,h,d,p,f=r.gridSize,g=f-r.maskGapWidth,m=Math.abs(r.maxRotation-r.minRotation),v=Math.min(r.maxRotation,r.minRotation),y=r.rotationStep;switch(r.color){case"random-dark":d=function(){return P(10,50)};break;case"random-light":d=function(){return P(50,90)};break;default:"function"==typeof r.color&&(d=r.color)}"function"==typeof r.fontWeight&&(p=r.fontWeight);var _=null;"function"==typeof r.classes&&(_=r.classes);var x,b=!1,w=[],S=function(e){var t,n,r=e.currentTarget,i=r.getBoundingClientRect();e.touches?(t=e.touches[0].clientX,n=e.touches[0].clientY):(t=e.clientX,n=e.clientY);var o=t-i.left,a=n-i.top,s=Math.floor(o*(r.width/i.width||1)/f),l=Math.floor(a*(r.height/i.height||1)/f);return w[s]?w[s][l]:null},M=function(e){var t=S(e);x!==t&&(x=t,t?r.hover(t.item,t.dimension,e):r.hover(void 0,void 0,e))},T=function(e){var t=S(e);t&&(r.click(t.item,t.dimension,e),e.preventDefault())},A=[],I=function(e){if(A[e])return A[e];var t=8*e,n=t,i=[];for(0===e&&i.push([u[0],u[1],0]);n--;){var o=1;"circle"!==r.shape&&(o=r.shape(n/t*2*Math.PI)),i.push([u[0]+e*o*Math.cos(-n/t*2*Math.PI),u[1]+e*o*Math.sin(-n/t*2*Math.PI)*r.ellipticity,n/t*2*Math.PI])}return A[e]=i,i},C=function(){return r.abortThreshold>0&&(new Date).getTime()-h>r.abortThreshold},D=function(t,n,r,i,o){t>=s||n>=l||t<0||n<0||(a[t][n]=!1,r&&e[0].getContext("2d").fillRect(t*f,n*f,g,g),b&&(w[t][n]={item:o,dimension:i}))},E=function t(n,i){if(i>20)return null;var o,u,h;Array.isArray(n)?(o=n[0],u=n[1]):(o=n.word,u=n.weight,h=n.attributes);var g,x,w,S=0===r.rotateRatio||Math.random()>r.rotateRatio?0:0===m?v:v+Math.round(Math.random()*m/y)*y,M=function(e){if(Array.isArray(e)){var t=e.slice();return t.splice(0,2),t}return[]}(n),T=function(e,t,n,i){var o=r.weightFactor(t);if(o<=r.minSize)return!1;var a,s=1;o<yT&&(s=function(){for(var e=2;e*o<yT;)e+=2;return e}()),a=p?p(e,t,o,i):r.fontWeight;var l=document.createElement("canvas"),u=l.getContext("2d",{willReadFrequently:!0});u.font=a+" "+(o*s).toString(10)+"px "+r.fontFamily;var c=u.measureText(e).width/s,h=Math.max(o*s,u.measureText("m").width,u.measureText("Ｗ").width)/s,d=c+2*h,g=3*h,m=Math.ceil(d/f),v=Math.ceil(g/f);d=m*f,g=v*f;var y=-c/2,_=.4*-h,x=Math.ceil((d*Math.abs(Math.sin(n))+g*Math.abs(Math.cos(n)))/f),b=Math.ceil((d*Math.abs(Math.cos(n))+g*Math.abs(Math.sin(n)))/f),w=b*f,S=x*f;l.setAttribute("width",w),l.setAttribute("height",S),u.scale(1/s,1/s),u.translate(w*s/2,S*s/2),u.rotate(-n),u.font=a+" "+(o*s).toString(10)+"px "+r.fontFamily,u.fillStyle="#000",u.textBaseline="middle",u.fillText(e,y*s,(_+.5*o)*s);var M=u.getImageData(0,0,w,S).data;if(C())return!1;for(var T,A,I,D=[],E=b,L=[x/2,b/2,x/2,b/2];E--;)for(T=x;T--;){I=f;e:for(;I--;)for(A=f;A--;)if(M[4*((T*f+I)*w+(E*f+A))+3]){D.push([E,T]),E<L[3]&&(L[3]=E),E>L[1]&&(L[1]=E),T<L[0]&&(L[0]=T),T>L[2]&&(L[2]=T);break e}}return{mu:s,occupied:D,bounds:L,gw:b,gh:x,fillTextOffsetX:y,fillTextOffsetY:_,fillTextWidth:c,fillTextHeight:h,fontSize:o}}(o,u,S,M);if(!T)return!1;if(C())return!1;if(!r.drawOutOfBound&&!r.shrinkToFit){var A=T.bounds;if(A[1]-A[3]+1>s||A[2]-A[0]+1>l)return!1}for(var E=c+1;E--;){var L=I(c-E);r.shuffle&&(L=[].concat(L),_T(L));for(var P=0;P<L.length;P++){var O=(g=L[P],x=void 0,w=void 0,x=Math.floor(g[0]-T.gw/2),w=Math.floor(g[1]-T.gh/2),T.gw,T.gh,!!function(e,t,n,i,o){for(var u=o.length;u--;){var c=e+o[u][0],h=t+o[u][1];if(c>=s||h>=l||c<0||h<0){if(!r.drawOutOfBound)return!1}else if(!a[c][h])return!1}return!0}(x,w,0,0,T.occupied)&&(function(t,n,i,o,a,s,l,u,c,h){var g,m,v,y=i.fontSize;g=d?d(o,a,y,s,l,h):r.color,m=p?p(o,a,y,h):r.fontWeight,v=_?_(o,a,y,h):r.classes,e.forEach((function(e){if(e.getContext){var a=e.getContext("2d"),s=i.mu;a.save(),a.scale(1/s,1/s),a.font=m+" "+(y*s).toString(10)+"px "+r.fontFamily,a.fillStyle=g,a.translate((t+i.gw/2)*f*s,(n+i.gh/2)*f*s),0!==u&&a.rotate(-u),a.textBaseline="middle",a.fillText(o,i.fillTextOffsetX*s,(i.fillTextOffsetY+.5*y)*s),a.restore()}else{var l=document.createElement("span"),h="";h="rotate("+-u/Math.PI*180+"deg) ",1!==i.mu&&(h+="translateX(-"+i.fillTextWidth/4+"px) scale("+1/i.mu+")");var d={position:"absolute",display:"block",font:m+" "+y*i.mu+"px "+r.fontFamily,left:(t+i.gw/2)*f+i.fillTextOffsetX+"px",top:(n+i.gh/2)*f+i.fillTextOffsetY+"px",width:i.fillTextWidth+"px",height:i.fillTextHeight+"px",lineHeight:y+"px",whiteSpace:"nowrap",transform:h,webkitTransform:h,msTransform:h,transformOrigin:"50% 40%",webkitTransformOrigin:"50% 40%",msTransformOrigin:"50% 40%"};for(var p in g&&(d.color=g),l.textContent=o,d)l.style[p]=d[p];if(c)for(var _ in c)l.setAttribute(_,c[_]);v&&(l.className+=v),e.appendChild(l)}}))}(x,w,T,o,u,c-E,g[2],S,h,M),function(t,n,i,o,a,u){var c,h,d=a.occupied,p=r.drawMask;if(p&&((c=e[0].getContext("2d")).save(),c.fillStyle=r.maskColor),b){var g=a.bounds;h={x:(t+g[3])*f,y:(n+g[0])*f,w:(g[1]-g[3]+1)*f,h:(g[2]-g[0]+1)*f}}for(var m=d.length;m--;){var v=t+d[m][0],y=n+d[m][1];v>=s||y>=l||v<0||y<0||D(v,y,p,h,u)}p&&c.restore()}(x,w,0,0,T,n),{gx:x,gy:w,rot:S,info:T}));if(O)return O}}return r.shrinkToFit?(Array.isArray(n)?n[1]=3*n[1]/4:n.weight=3*n.weight/4,t(n,i+1)):null},L=function(t,n,r){if(n)return!e.some((function(e){var n=new CustomEvent(t,{detail:r||{}});return!e.dispatchEvent(n)}),this);e.forEach((function(e){var n=new CustomEvent(t,{detail:r||{}});e.dispatchEvent(n)}),this)};!function(){var t=e[0];if(t.getContext)s=Math.ceil(t.width/f),l=Math.ceil(t.height/f);else{var i=t.getBoundingClientRect();s=Math.ceil(i.width/f),l=Math.ceil(i.height/f)}if(L("wordcloudstart",!0)){var o,d,p,g,m;if(u=r.origin?[r.origin[0]/f,r.origin[1]/f]:[s/2,l/2],c=Math.floor(Math.sqrt(s*s+l*l)),a=[],!t.getContext||r.clearCanvas)for(e.forEach((function(e){if(e.getContext){var t=e.getContext("2d");t.fillStyle=r.backgroundColor,t.clearRect(0,0,s*(f+1),l*(f+1)),t.fillRect(0,0,s*(f+1),l*(f+1))}else e.textContent="",e.style.backgroundColor=r.backgroundColor,e.style.position="relative"})),o=s;o--;)for(a[o]=[],d=l;d--;)a[o][d]=!0;else{var v=document.createElement("canvas").getContext("2d");v.fillStyle=r.backgroundColor,v.fillRect(0,0,1,1);var y,_,S=v.getImageData(0,0,1,1).data,A=t.getContext("2d").getImageData(0,0,s*f,l*f).data;for(o=s;o--;)for(a[o]=[],d=l;d--;){_=f;e:for(;_--;)for(y=f;y--;)for(p=4;p--;)if(A[4*((d*f+_)*s*f+(o*f+y))+p]!==S[p]){a[o][d]=!1;break e}!1!==a[o][d]&&(a[o][d]=!0)}A=v=S=void 0}if(r.hover||r.click){for(b=!0,o=s+1;o--;)w[o]=[];r.hover&&t.addEventListener("mousemove",M),r.click&&(t.addEventListener("click",T),t.addEventListener("touchstart",T),t.addEventListener("touchend",(function(e){e.preventDefault()})),t.style.webkitTapHighlightColor="rgba(0, 0, 0, 0)"),t.addEventListener("wordcloudstart",(function e(){t.removeEventListener("wordcloudstart",e),t.removeEventListener("mousemove",M),t.removeEventListener("click",T),x=void 0}))}p=0;var I=!0;r.layoutAnimation?0!==r.wait?(g=window.setTimeout,m=window.clearTimeout):(g=window.setImmediate,m=window.clearImmediate):(g=function(e){e()},m=function(){I=!1});var D=function(t,n){e.forEach((function(e){e.removeEventListener(t,n)}),this)},P=function e(){D("wordcloudstart",e),m(xT[n])};!function(t,n){e.forEach((function(e){e.addEventListener("wordcloudstart",n)}),this)}(0,P),xT[n]=(r.layoutAnimation?g:setTimeout)((function e(){if(I){if(p>=r.list.length)return m(xT[n]),L("wordcloudstop",!1),D("wordcloudstart",P),void delete xT[n];h=(new Date).getTime();var t=E(r.list[p],0),i=!L("wordclouddrawn",!0,{item:r.list[p],drawn:t});if(C()||i)return m(xT[n]),r.abort(),L("wordcloudabort",!1),L("wordcloudstop",!1),void D("wordcloudstart",P);p++,xT[n]=g(e,r.wait)}}),r.wait)}}()}function P(e,t){return"hsl("+(360*Math.random()).toFixed()+","+(30*Math.random()+70).toFixed()+"%,"+(Math.random()*(t-e)+e).toFixed()+"%)"}};bT.isSupported=vT,bT.minFontSize=yT;const wT=bT;if(!wT.isSupported)throw new Error("Sorry your browser not support wordCloud");function ST(e,t,n){"object"==typeof t&&(n=t,t=null);var r,i=this;if(!(e instanceof Function))for(var o in r=[],e)e.hasOwnProperty(o)&&r.push(o);var a=function(t){if(i.apply(this,arguments),e instanceof Function?MT(this,e.call(this,t)):function(e,t,n){for(var r=0;r<n.length;r++){var i=n[r];e[i]=t[i]}}(this,e,r),this.constructor===a)for(var n=a.__initializers__,o=0;o<n.length;o++)n[o].apply(this,arguments)};a.__super__=i,i.__initializers__?a.__initializers__=i.__initializers__.slice():a.__initializers__=[],t&&a.__initializers__.push(t);var s=function(){};return s.prototype=i.prototype,a.prototype=new s,a.prototype.constructor=a,MT(a.prototype,n),a.extend=i.extend,a.derive=i.extend,a}function MT(e,t){if(t)for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])}Mb((function(e,t){e.eachSeriesByType("wordCloud",(function(n){var r=Qd(n.getBoxLayoutParams(),{width:t.getWidth(),height:t.getHeight()}),i=n.get("keepAspect"),o=n.get("maskImage"),a=o?o.width/o.height:1;i&&function(e,t){var n=e.width,r=e.height;n>r*t?(e.x+=(n-r*t)/2,e.width=r*t):(e.y+=(r-n/t)/2,e.height=n/t)}(r,a);var s=n.getData(),l=document.createElement("canvas");l.width=r.width,l.height=r.height;var u=l.getContext("2d");if(o)try{u.drawImage(o,0,0,l.width,l.height),function(e){for(var t=e.getContext("2d"),n=t.getImageData(0,0,e.width,e.height),r=t.createImageData(n),i=0,o=0,a=0;a<n.data.length;a+=4)n.data[a+3]>128&&(i+=l=n.data[a]+n.data[a+1]+n.data[a+2],++o);var s=i/o;for(a=0;a<n.data.length;a+=4){var l=n.data[a]+n.data[a+1]+n.data[a+2];n.data[a+3]<128||l>s?(r.data[a]=0,r.data[a+1]=0,r.data[a+2]=0,r.data[a+3]=0):(r.data[a]=255,r.data[a+1]=255,r.data[a+2]=255,r.data[a+3]=255)}t.putImageData(r,0,0)}(l)}catch(e){console.error("Invalid mask image"),console.error(e.toString())}var c=n.get("sizeRange"),h=n.get("rotationRange"),d=s.getDataExtent("value"),p=Math.PI/180,f=n.get("gridSize");function g(e){var t=e.detail.item;e.detail.drawn&&n.layoutInstance.ondraw&&(e.detail.drawn.gx+=r.x/f,e.detail.drawn.gy+=r.y/f,n.layoutInstance.ondraw(t[0],t[1],t[2],e.detail.drawn))}wT(l,{list:s.mapArray("value",(function(e,t){var n=s.getItemModel(t);return[s.getName(t),n.get("textStyle.fontSize",!0)||Za(e,d,c),t]})).sort((function(e,t){return t[1]-e[1]})),fontFamily:n.get("textStyle.fontFamily")||n.get("emphasis.textStyle.fontFamily")||e.get("textStyle.fontFamily"),fontWeight:n.get("textStyle.fontWeight")||n.get("emphasis.textStyle.fontWeight")||e.get("textStyle.fontWeight"),gridSize:f,ellipticity:r.height/r.width,minRotation:h[0]*p,maxRotation:h[1]*p,clearCanvas:!o,rotateRatio:1,rotationStep:n.get("rotationStep")*p,drawOutOfBound:n.get("drawOutOfBound"),shrinkToFit:n.get("shrinkToFit"),layoutAnimation:n.get("layoutAnimation"),shuffle:!1,shape:n.get("shape")}),l.addEventListener("wordclouddrawn",g),n.layoutInstance&&n.layoutInstance.dispose(),n.layoutInstance={ondraw:null,dispose:function(){l.removeEventListener("wordclouddrawn",g),l.addEventListener("wordclouddrawn",(function(e){e.preventDefault()}))}}}))})),mb((function(e){var t=(e||{}).series;!bt(t)&&(t=t?[t]:[]);var n=["shadowColor","shadowBlur","shadowOffsetX","shadowOffsetY"];function r(e){e&&pt(n,(function(t){e.hasOwnProperty(t)&&(e["text"+jd(t)]=e[t])}))}pt(t,(function(e){if(e&&"wordCloud"===e.type){var t=e.textStyle||{};r(t.normal),r(t.emphasis)}}))}));const TT={extend:ST,derive:ST};function AT(e,t){this.action=e,this.context=t}var IT={trigger:function(e){if(this.hasOwnProperty("__handlers__")&&this.__handlers__.hasOwnProperty(e)){var t=this.__handlers__[e],n=t.length,r=-1,i=arguments;switch(i.length){case 1:for(;++r<n;)t[r].action.call(t[r].context);return;case 2:for(;++r<n;)t[r].action.call(t[r].context,i[1]);return;case 3:for(;++r<n;)t[r].action.call(t[r].context,i[1],i[2]);return;case 4:for(;++r<n;)t[r].action.call(t[r].context,i[1],i[2],i[3]);return;case 5:for(;++r<n;)t[r].action.call(t[r].context,i[1],i[2],i[3],i[4]);return;default:for(;++r<n;)t[r].action.apply(t[r].context,Array.prototype.slice.call(i,1));return}}},on:function(e,t,n){if(e&&t){var r=this.__handlers__||(this.__handlers__={});if(r[e]){if(this.has(e,t))return}else r[e]=[];var i=new AT(t,n||this);return r[e].push(i),this}},once:function(e,t,n){if(e&&t){var r=this;return this.on(e,(function n(){r.off(e,n),t.apply(this,arguments)}),n)}},before:function(e,t,n){if(e&&t)return e="before"+e,this.on(e,t,n)},after:function(e,t,n){if(e&&t)return e="after"+e,this.on(e,t,n)},success:function(e,t){return this.once("success",e,t)},error:function(e,t){return this.once("error",e,t)},off:function(e,t){var n=this.__handlers__||(this.__handlers__={});if(t){if(n[e]){for(var r=n[e],i=[],o=0;o<r.length;o++)t&&r[o].action!==t&&i.push(r[o]);n[e]=i}return this}n[e]=[]},has:function(e,t){var n=this.__handlers__;if(!n||!n[e])return!1;for(var r=n[e],i=0;i<r.length;i++)if(r[i].action===t)return!0}};const CT=IT;var DT=0,ET=Array.prototype.forEach,LT={genGUID:function(){return++DT},relative2absolute:function(e,t){if(!t||e.match(/^\//))return e;for(var n=e.split("/"),r=t.split("/"),i=n[0];"."===i||".."===i;)".."===i&&r.pop(),n.shift(),i=n[0];return r.join("/")+"/"+n.join("/")},extend:function(e,t){if(t)for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n]);return e},defaults:function(e,t){if(t)for(var n in t)void 0===e[n]&&(e[n]=t[n]);return e},extendWithPropList:function(e,t,n){if(t)for(var r=0;r<n.length;r++){var i=n[r];e[i]=t[i]}return e},defaultsWithPropList:function(e,t,n){if(t)for(var r=0;r<n.length;r++){var i=n[r];null==e[i]&&(e[i]=t[i])}return e},each:function(e,t,n){if(e&&t)if(e.forEach&&e.forEach===ET)e.forEach(t,n);else if(e.length===+e.length)for(var r=0,i=e.length;r<i;r++)t.call(n,e[r],r,e);else for(var o in e)e.hasOwnProperty(o)&&t.call(n,e[o],o,e)},isObject:function(e){return e===Object(e)},isArray:function(e){return Array.isArray(e)},isArrayLike:function(e){return!!e&&e.length===+e.length},clone:function(e){if(LT.isObject(e)){if(LT.isArray(e))return e.slice();if(LT.isArrayLike(e)){for(var t=new e.constructor(e.length),n=0;n<e.length;n++)t[n]=e[n];return t}return LT.extend({},e)}return e}};const PT=LT;var OT=function(){this.__uid__=PT.genGUID()};OT.__initializers__=[function(e){PT.extend(this,e)}],PT.extend(OT,TT),PT.extend(OT.prototype,CT);const NT=OT;var RT=["OES_texture_float","OES_texture_half_float","OES_texture_float_linear","OES_texture_half_float_linear","OES_standard_derivatives","OES_vertex_array_object","OES_element_index_uint","WEBGL_compressed_texture_s3tc","WEBGL_depth_texture","EXT_texture_filter_anisotropic","EXT_shader_texture_lod","WEBGL_draw_buffers","EXT_frag_depth","EXT_sRGB","ANGLE_instanced_arrays"],kT=["MAX_TEXTURE_SIZE","MAX_CUBE_MAP_TEXTURE_SIZE"];const BT=function(e){for(var t={},n={},r=0;r<RT.length;r++)o(RT[r]);for(r=0;r<kT.length;r++){var i=kT[r];n[i]=e.getParameter(e[i])}function o(n){if(e.getExtension){var r=e.getExtension(n);r||(r=e.getExtension("MOZ_"+n)),r||(r=e.getExtension("WEBKIT_"+n)),t[n]=r}}this.getExtension=function(e){return e in t||o(e),t[e]},this.getParameter=function(e){return n[e]}},FT=256,zT=1024,VT=16384,GT=0,HT=1,UT=2,WT=3,jT=4,XT=5,YT=6,ZT=35040,qT=35044,$T=35048,KT=1028,JT=1029,QT=1032,eA=2304,tA=2305,nA=5120,rA=5121,iA=5122,oA=5123,aA=5124,sA=5125,lA=5126,uA=6402,cA=6406,hA=6407,dA=6408,pA=6409,fA=6410,gA=9728,mA=9729,vA=9984,yA=9985,_A=9986,xA=9987,bA=3553,wA=34067,SA=10497,MA=33071,TA=33648,AA=36160,IA=36161,CA=34041,DA=36064,EA=36096,LA=36128,PA=33306,OA={get:function(e){var t=new XMLHttpRequest;t.open("get",e.url),t.responseType=e.responseType||"text",e.onprogress&&(t.onprogress=function(t){if(t.lengthComputable){var n=t.loaded/t.total;e.onprogress(n,t.loaded,t.total)}else e.onprogress(null)}),t.onload=function(n){t.status>=400?e.onerror&&e.onerror():e.onload&&e.onload(t.response)},e.onerror&&(t.onerror=e.onerror),t.send(null)}};var NA,RA={supportWebGL:function(){if(null==NA)try{var e=document.createElement("canvas");if(!e.getContext("webgl")&&!e.getContext("experimental-webgl"))throw new Error}catch(e){NA=!1}return NA}};RA.Int8Array="undefined"==typeof Int8Array?Array:Int8Array,RA.Uint8Array="undefined"==typeof Uint8Array?Array:Uint8Array,RA.Uint16Array="undefined"==typeof Uint16Array?Array:Uint16Array,RA.Uint32Array="undefined"==typeof Uint32Array?Array:Uint32Array,RA.Int16Array="undefined"==typeof Int16Array?Array:Int16Array,RA.Float32Array="undefined"==typeof Float32Array?Array:Float32Array,RA.Float64Array="undefined"==typeof Float64Array?Array:Float64Array;var kA={};"undefined"!=typeof window?kA=window:void 0!==h.g&&(kA=h.g),RA.requestAnimationFrame=kA.requestAnimationFrame||kA.msRequestAnimationFrame||kA.mozRequestAnimationFrame||kA.webkitRequestAnimationFrame||function(e){setTimeout(e,16)},RA.createCanvas=function(){return document.createElement("canvas")},RA.createImage=function(){return new kA.Image},RA.request={get:OA.get},RA.addEventListener=function(e,t,n,r){e.addEventListener(t,n,r)},RA.removeEventListener=function(e,t,n){e.removeEventListener(t,n)};const BA=RA;var FA=function(){this.head=null,this.tail=null,this._length=0};FA.prototype.insert=function(e){var t=new FA.Entry(e);return this.insertEntry(t),t},FA.prototype.insertAt=function(e,t){if(!(e<0)){for(var n=this.head,r=0;n&&r!=e;)n=n.next,r++;if(n){var i=new FA.Entry(t),o=n.prev;o?(o.next=i,i.prev=o):this.head=i,i.next=n,n.prev=i}else this.insert(t)}},FA.prototype.insertBeforeEntry=function(e,t){var n=new FA.Entry(e),r=t.prev;r?(r.next=n,n.prev=r):this.head=n,n.next=t,t.prev=n,this._length++},FA.prototype.insertEntry=function(e){this.head?(this.tail.next=e,e.prev=this.tail,this.tail=e):this.head=this.tail=e,this._length++},FA.prototype.remove=function(e){var t=e.prev,n=e.next;t?t.next=n:this.head=n,n?n.prev=t:this.tail=t,e.next=e.prev=null,this._length--},FA.prototype.removeAt=function(e){if(!(e<0)){for(var t=this.head,n=0;t&&n!=e;)t=t.next,n++;return t?(this.remove(t),t.value):void 0}},FA.prototype.getHead=function(){if(this.head)return this.head.value},FA.prototype.getTail=function(){if(this.tail)return this.tail.value},FA.prototype.getAt=function(e){if(!(e<0)){for(var t=this.head,n=0;t&&n!=e;)t=t.next,n++;return t.value}},FA.prototype.indexOf=function(e){for(var t=this.head,n=0;t;){if(t.value===e)return n;t=t.next,n++}},FA.prototype.length=function(){return this._length},FA.prototype.isEmpty=function(){return 0===this._length},FA.prototype.forEach=function(e,t){for(var n=this.head,r=0,i=void 0!==t;n;)i?e.call(t,n.value,r):e(n.value,r),n=n.next,r++},FA.prototype.clear=function(){this.tail=this.head=null,this._length=0},FA.Entry=function(e){this.value=e,this.next=null,this.prev=null};const zA=FA;var VA=function(e){this._list=new zA,this._map={},this._maxSize=e||10};VA.prototype.setMaxSize=function(e){this._maxSize=e},VA.prototype.put=function(e,t){if(!this._map.hasOwnProperty(e)){var n=this._list.length();if(n>=this._maxSize&&n>0){var r=this._list.head;this._list.remove(r),delete this._map[r.key]}var i=this._list.insert(t);i.key=e,this._map[e]=i}},VA.prototype.get=function(e){var t=this._map[e];if(this._map.hasOwnProperty(e))return t!==this._list.tail&&(this._list.remove(t),this._list.insertEntry(t)),t.value},VA.prototype.remove=function(e){var t=this._map[e];void 0!==t&&(delete this._map[e],this._list.remove(t))},VA.prototype.clear=function(){this._list.clear(),this._map={}};const GA=VA;var HA={},UA={transparent:[0,0,0,0],aliceblue:[240,248,255,1],antiquewhite:[250,235,215,1],aqua:[0,255,255,1],aquamarine:[127,255,212,1],azure:[240,255,255,1],beige:[245,245,220,1],bisque:[255,228,196,1],black:[0,0,0,1],blanchedalmond:[255,235,205,1],blue:[0,0,255,1],blueviolet:[138,43,226,1],brown:[165,42,42,1],burlywood:[222,184,135,1],cadetblue:[95,158,160,1],chartreuse:[127,255,0,1],chocolate:[210,105,30,1],coral:[255,127,80,1],cornflowerblue:[100,149,237,1],cornsilk:[255,248,220,1],crimson:[220,20,60,1],cyan:[0,255,255,1],darkblue:[0,0,139,1],darkcyan:[0,139,139,1],darkgoldenrod:[184,134,11,1],darkgray:[169,169,169,1],darkgreen:[0,100,0,1],darkgrey:[169,169,169,1],darkkhaki:[189,183,107,1],darkmagenta:[139,0,139,1],darkolivegreen:[85,107,47,1],darkorange:[255,140,0,1],darkorchid:[153,50,204,1],darkred:[139,0,0,1],darksalmon:[233,150,122,1],darkseagreen:[143,188,143,1],darkslateblue:[72,61,139,1],darkslategray:[47,79,79,1],darkslategrey:[47,79,79,1],darkturquoise:[0,206,209,1],darkviolet:[148,0,211,1],deeppink:[255,20,147,1],deepskyblue:[0,191,255,1],dimgray:[105,105,105,1],dimgrey:[105,105,105,1],dodgerblue:[30,144,255,1],firebrick:[178,34,34,1],floralwhite:[255,250,240,1],forestgreen:[34,139,34,1],fuchsia:[255,0,255,1],gainsboro:[220,220,220,1],ghostwhite:[248,248,255,1],gold:[255,215,0,1],goldenrod:[218,165,32,1],gray:[128,128,128,1],green:[0,128,0,1],greenyellow:[173,255,47,1],grey:[128,128,128,1],honeydew:[240,255,240,1],hotpink:[255,105,180,1],indianred:[205,92,92,1],indigo:[75,0,130,1],ivory:[255,255,240,1],khaki:[240,230,140,1],lavender:[230,230,250,1],lavenderblush:[255,240,245,1],lawngreen:[124,252,0,1],lemonchiffon:[255,250,205,1],lightblue:[173,216,230,1],lightcoral:[240,128,128,1],lightcyan:[224,255,255,1],lightgoldenrodyellow:[250,250,210,1],lightgray:[211,211,211,1],lightgreen:[144,238,144,1],lightgrey:[211,211,211,1],lightpink:[255,182,193,1],lightsalmon:[255,160,122,1],lightseagreen:[32,178,170,1],lightskyblue:[135,206,250,1],lightslategray:[119,136,153,1],lightslategrey:[119,136,153,1],lightsteelblue:[176,196,222,1],lightyellow:[255,255,224,1],lime:[0,255,0,1],limegreen:[50,205,50,1],linen:[250,240,230,1],magenta:[255,0,255,1],maroon:[128,0,0,1],mediumaquamarine:[102,205,170,1],mediumblue:[0,0,205,1],mediumorchid:[186,85,211,1],mediumpurple:[147,112,219,1],mediumseagreen:[60,179,113,1],mediumslateblue:[123,104,238,1],mediumspringgreen:[0,250,154,1],mediumturquoise:[72,209,204,1],mediumvioletred:[199,21,133,1],midnightblue:[25,25,112,1],mintcream:[245,255,250,1],mistyrose:[255,228,225,1],moccasin:[255,228,181,1],navajowhite:[255,222,173,1],navy:[0,0,128,1],oldlace:[253,245,230,1],olive:[128,128,0,1],olivedrab:[107,142,35,1],orange:[255,165,0,1],orangered:[255,69,0,1],orchid:[218,112,214,1],palegoldenrod:[238,232,170,1],palegreen:[152,251,152,1],paleturquoise:[175,238,238,1],palevioletred:[219,112,147,1],papayawhip:[255,239,213,1],peachpuff:[255,218,185,1],peru:[205,133,63,1],pink:[255,192,203,1],plum:[221,160,221,1],powderblue:[176,224,230,1],purple:[128,0,128,1],red:[255,0,0,1],rosybrown:[188,143,143,1],royalblue:[65,105,225,1],saddlebrown:[139,69,19,1],salmon:[250,128,114,1],sandybrown:[244,164,96,1],seagreen:[46,139,87,1],seashell:[255,245,238,1],sienna:[160,82,45,1],silver:[192,192,192,1],skyblue:[135,206,235,1],slateblue:[106,90,205,1],slategray:[112,128,144,1],slategrey:[112,128,144,1],snow:[255,250,250,1],springgreen:[0,255,127,1],steelblue:[70,130,180,1],tan:[210,180,140,1],teal:[0,128,128,1],thistle:[216,191,216,1],tomato:[255,99,71,1],turquoise:[64,224,208,1],violet:[238,130,238,1],wheat:[245,222,179,1],white:[255,255,255,1],whitesmoke:[245,245,245,1],yellow:[255,255,0,1],yellowgreen:[154,205,50,1]};function WA(e){return(e=Math.round(e))<0?0:e>255?255:e}function jA(e){return e<0?0:e>1?1:e}function XA(e){return e.length&&"%"===e.charAt(e.length-1)?WA(parseFloat(e)/100*255):WA(parseInt(e,10))}function YA(e){return e.length&&"%"===e.charAt(e.length-1)?jA(parseFloat(e)/100):jA(parseFloat(e))}function ZA(e,t,n){return n<0?n+=1:n>1&&(n-=1),6*n<1?e+(t-e)*n*6:2*n<1?t:3*n<2?e+(t-e)*(2/3-n)*6:e}function qA(e,t,n){return e+(t-e)*n}function $A(e,t,n,r,i){return e[0]=t,e[1]=n,e[2]=r,e[3]=i,e}function KA(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e}var JA=new GA(20),QA=null;function eI(e,t){QA&&KA(QA,t),QA=JA.put(e,QA||t.slice())}function tI(e,t){var n=(parseFloat(e[0])%360+360)%360/360,r=YA(e[1]),i=YA(e[2]),o=i<=.5?i*(r+1):i+r-i*r,a=2*i-o;return $A(t=t||[],WA(255*ZA(a,o,n+1/3)),WA(255*ZA(a,o,n)),WA(255*ZA(a,o,n-1/3)),1),4===e.length&&(t[3]=e[3]),t}HA.parse=function(e,t){if(e){t=t||[];var n=JA.get(e);if(n)return KA(t,n);var r,i=(e+="").replace(/ /g,"").toLowerCase();if(i in UA)return KA(t,UA[i]),eI(e,t),t;if("#"===i.charAt(0))return 4===i.length?(r=parseInt(i.substr(1),16))>=0&&r<=4095?($A(t,(3840&r)>>4|(3840&r)>>8,240&r|(240&r)>>4,15&r|(15&r)<<4,1),eI(e,t),t):void $A(t,0,0,0,1):7===i.length?(r=parseInt(i.substr(1),16))>=0&&r<=16777215?($A(t,(16711680&r)>>16,(65280&r)>>8,255&r,1),eI(e,t),t):void $A(t,0,0,0,1):void 0;var o=i.indexOf("("),a=i.indexOf(")");if(-1!==o&&a+1===i.length){var s=i.substr(0,o),l=i.substr(o+1,a-(o+1)).split(","),u=1;switch(s){case"rgba":if(4!==l.length)return void $A(t,0,0,0,1);u=YA(l.pop());case"rgb":return 3!==l.length?void $A(t,0,0,0,1):($A(t,XA(l[0]),XA(l[1]),XA(l[2]),u),eI(e,t),t);case"hsla":return 4!==l.length?void $A(t,0,0,0,1):(l[3]=YA(l[3]),tI(l,t),eI(e,t),t);case"hsl":return 3!==l.length?void $A(t,0,0,0,1):(tI(l,t),eI(e,t),t);default:return}}$A(t,0,0,0,1)}},HA.parseToFloat=function(e,t){if(t=HA.parse(e,t))return t[0]/=255,t[1]/=255,t[2]/=255,t},HA.lift=function(e,t){var n=HA.parse(e);if(n){for(var r=0;r<3;r++)n[r]=t<0?n[r]*(1-t)|0:(255-n[r])*t+n[r]|0;return HA.stringify(n,4===n.length?"rgba":"rgb")}},HA.toHex=function(e){var t=HA.parse(e);if(t)return((1<<24)+(t[0]<<16)+(t[1]<<8)+ +t[2]).toString(16).slice(1)},HA.fastLerp=function(e,t,n){if(t&&t.length&&e>=0&&e<=1){n=n||[];var r=e*(t.length-1),i=Math.floor(r),o=Math.ceil(r),a=t[i],s=t[o],l=r-i;return n[0]=WA(qA(a[0],s[0],l)),n[1]=WA(qA(a[1],s[1],l)),n[2]=WA(qA(a[2],s[2],l)),n[3]=jA(qA(a[3],s[3],l)),n}},HA.fastMapToColor=HA.fastLerp,HA.lerp=function(e,t,n){if(t&&t.length&&e>=0&&e<=1){var r=e*(t.length-1),i=Math.floor(r),o=Math.ceil(r),a=HA.parse(t[i]),s=HA.parse(t[o]),l=r-i,u=HA.stringify([WA(qA(a[0],s[0],l)),WA(qA(a[1],s[1],l)),WA(qA(a[2],s[2],l)),jA(qA(a[3],s[3],l))],"rgba");return n?{color:u,leftIndex:i,rightIndex:o,value:r}:u}},HA.mapToColor=HA.lerp,HA.modifyHSL=function(e,t,n,r){if(e=HA.parse(e))return e=function(e){if(e){var t,n,r=e[0]/255,i=e[1]/255,o=e[2]/255,a=Math.min(r,i,o),s=Math.max(r,i,o),l=s-a,u=(s+a)/2;if(0===l)t=0,n=0;else{n=u<.5?l/(s+a):l/(2-s-a);var c=((s-r)/6+l/2)/l,h=((s-i)/6+l/2)/l,d=((s-o)/6+l/2)/l;r===s?t=d-h:i===s?t=1/3+c-d:o===s&&(t=2/3+h-c),t<0&&(t+=1),t>1&&(t-=1)}var p=[360*t,n,u];return null!=e[3]&&p.push(e[3]),p}}(e),null!=t&&(e[0]=function(e){return(e=Math.round(e))<0?0:e>360?360:e}(t)),null!=n&&(e[1]=YA(n)),null!=r&&(e[2]=YA(r)),HA.stringify(tI(e),"rgba")},HA.modifyAlpha=function(e,t){if((e=HA.parse(e))&&null!=t)return e[3]=jA(t),HA.stringify(e,"rgba")},HA.stringify=function(e,t){if(e&&e.length){var n=e[0]+","+e[1]+","+e[2];return"rgba"!==t&&"hsva"!==t&&"hsla"!==t||(n+=","+e[3]),t+"("+n+")"}};var nI=HA.parseToFloat,rI={};function iI(e){var t=Object.keys(e);t.sort();for(var n=[],r=0;r<t.length;r++){var i=t[r],o=e[i];null===o?n.push(i):n.push(i+" "+o.toString())}return n.join("\n")}var oI=NT.extend((function(){return{name:"",depthTest:!0,depthMask:!0,transparent:!1,blend:null,autoUpdateTextureStatus:!0,uniforms:{},vertexDefines:{},fragmentDefines:{},_textureStatus:{},_enabledUniforms:null}}),(function(){this.name||(this.name="MATERIAL_"+this.__uid__),this.shader&&this.attachShader(this.shader,!0)}),{precision:"highp",setUniform:function(e,t){void 0===t&&console.warn('Uniform value "'+e+'" is undefined');var n=this.uniforms[e];n&&("string"==typeof t&&(t=nI(t)||t),n.value=t,this.autoUpdateTextureStatus&&"t"===n.type&&(t?this.enableTexture(e):this.disableTexture(e)))},setUniforms:function(e){for(var t in e){var n=e[t];this.setUniform(t,n)}},isUniformEnabled:function(e){return this._enabledUniforms.indexOf(e)>=0},getEnabledUniforms:function(){return this._enabledUniforms},getTextureUniforms:function(){return this._textureUniforms},set:function(e,t){if("object"==typeof e)for(var n in e){var r=e[n];this.setUniform(n,r)}else this.setUniform(e,t)},get:function(e){var t=this.uniforms[e];if(t)return t.value},attachShader:function(e,t){var n=this.uniforms;this.uniforms=e.createUniforms(),this.shader=e;var r=this.uniforms;this._enabledUniforms=Object.keys(r),this._enabledUniforms.sort(),this._textureUniforms=this._enabledUniforms.filter((function(e){var t=this.uniforms[e].type;return"t"===t||"tv"===t}),this);var i=this.vertexDefines,o=this.fragmentDefines;if(this.vertexDefines=PT.clone(e.vertexDefines),this.fragmentDefines=PT.clone(e.fragmentDefines),t){for(var a in n)r[a]&&(r[a].value=n[a].value);PT.defaults(this.vertexDefines,i),PT.defaults(this.fragmentDefines,o)}var s={};for(var l in e.textures)s[l]={shaderType:e.textures[l].shaderType,type:e.textures[l].type,enabled:!(!t||!this._textureStatus[l])&&this._textureStatus[l].enabled};this._textureStatus=s,this._programKey=""},clone:function(){var e=new this.constructor({name:this.name,shader:this.shader});for(var t in this.uniforms)e.uniforms[t].value=this.uniforms[t].value;return e.depthTest=this.depthTest,e.depthMask=this.depthMask,e.transparent=this.transparent,e.blend=this.blend,e.vertexDefines=PT.clone(this.vertexDefines),e.fragmentDefines=PT.clone(this.fragmentDefines),e.enableTexture(this.getEnabledTextures()),e.precision=this.precision,e},define:function(e,t,n){var r=this.vertexDefines,i=this.fragmentDefines;"vertex"!==e&&"fragment"!==e&&"both"!==e&&arguments.length<3&&(n=t,t=e,e="both"),n=null!=n?n:null,"vertex"!==e&&"both"!==e||r[t]!==n&&(r[t]=n,this._programKey=""),"fragment"!==e&&"both"!==e||i[t]!==n&&(i[t]=n,"both"!==e&&(this._programKey=""))},undefine:function(e,t){"vertex"!==e&&"fragment"!==e&&"both"!==e&&arguments.length<2&&(t=e,e="both"),"vertex"!==e&&"both"!==e||this.isDefined("vertex",t)&&(delete this.vertexDefines[t],this._programKey=""),"fragment"!==e&&"both"!==e||this.isDefined("fragment",t)&&(delete this.fragmentDefines[t],"both"!==e&&(this._programKey=""))},isDefined:function(e,t){switch(e){case"vertex":return void 0!==this.vertexDefines[t];case"fragment":return void 0!==this.fragmentDefines[t]}},getDefine:function(e,t){switch(e){case"vertex":return this.vertexDefines[t];case"fragment":return this.fragmentDefines[t]}},enableTexture:function(e){if(Array.isArray(e))for(var t=0;t<e.length;t++)this.enableTexture(e[t]);else{var n=this._textureStatus[e];n&&(n.enabled||(n.enabled=!0,this._programKey=""))}},enableTexturesAll:function(){var e=this._textureStatus;for(var t in e)e[t].enabled=!0;this._programKey=""},disableTexture:function(e){if(Array.isArray(e))for(var t=0;t<e.length;t++)this.disableTexture(e[t]);else{var n=this._textureStatus[e];n&&(!n.enabled||(n.enabled=!1,this._programKey=""))}},disableTexturesAll:function(){var e=this._textureStatus;for(var t in e)e[t].enabled=!1;this._programKey=""},isTextureEnabled:function(e){var t=this._textureStatus;return!!t[e]&&t[e].enabled},getEnabledTextures:function(){var e=[],t=this._textureStatus;for(var n in t)t[n].enabled&&e.push(n);return e},dirtyDefines:function(){this._programKey=""},getProgramKey:function(){return this._programKey||(this._programKey=function(e,t,n){n.sort();for(var r=[],i=0;i<n.length;i++){var o=n[i];r.push(o)}var a=iI(e)+"\n"+iI(t)+"\n"+r.join("\n");if(rI[a])return rI[a];var s=PT.genGUID();return rI[a]=s,s}(this.vertexDefines,this.fragmentDefines,this.getEnabledTextures())),this._programKey}});const aI=oI;var sI,lI=1e-6,uI=Array,cI=Math.random,hI={create:function(){var e=new uI(2);return e[0]=0,e[1]=0,e},clone:function(e){var t=new uI(2);return t[0]=e[0],t[1]=e[1],t},fromValues:function(e,t){var n=new uI(2);return n[0]=e,n[1]=t,n},copy:function(e,t){return e[0]=t[0],e[1]=t[1],e},set:function(e,t,n){return e[0]=t,e[1]=n,e},add:function(e,t,n){return e[0]=t[0]+n[0],e[1]=t[1]+n[1],e},subtract:function(e,t,n){return e[0]=t[0]-n[0],e[1]=t[1]-n[1],e}};hI.sub=hI.subtract,hI.multiply=function(e,t,n){return e[0]=t[0]*n[0],e[1]=t[1]*n[1],e},hI.mul=hI.multiply,hI.divide=function(e,t,n){return e[0]=t[0]/n[0],e[1]=t[1]/n[1],e},hI.div=hI.divide,hI.min=function(e,t,n){return e[0]=Math.min(t[0],n[0]),e[1]=Math.min(t[1],n[1]),e},hI.max=function(e,t,n){return e[0]=Math.max(t[0],n[0]),e[1]=Math.max(t[1],n[1]),e},hI.scale=function(e,t,n){return e[0]=t[0]*n,e[1]=t[1]*n,e},hI.scaleAndAdd=function(e,t,n,r){return e[0]=t[0]+n[0]*r,e[1]=t[1]+n[1]*r,e},hI.distance=function(e,t){var n=t[0]-e[0],r=t[1]-e[1];return Math.sqrt(n*n+r*r)},hI.dist=hI.distance,hI.squaredDistance=function(e,t){var n=t[0]-e[0],r=t[1]-e[1];return n*n+r*r},hI.sqrDist=hI.squaredDistance,hI.length=function(e){var t=e[0],n=e[1];return Math.sqrt(t*t+n*n)},hI.len=hI.length,hI.squaredLength=function(e){var t=e[0],n=e[1];return t*t+n*n},hI.sqrLen=hI.squaredLength,hI.negate=function(e,t){return e[0]=-t[0],e[1]=-t[1],e},hI.inverse=function(e,t){return e[0]=1/t[0],e[1]=1/t[1],e},hI.normalize=function(e,t){var n=t[0],r=t[1],i=n*n+r*r;return i>0&&(i=1/Math.sqrt(i),e[0]=t[0]*i,e[1]=t[1]*i),e},hI.dot=function(e,t){return e[0]*t[0]+e[1]*t[1]},hI.cross=function(e,t,n){var r=t[0]*n[1]-t[1]*n[0];return e[0]=e[1]=0,e[2]=r,e},hI.lerp=function(e,t,n,r){var i=t[0],o=t[1];return e[0]=i+r*(n[0]-i),e[1]=o+r*(n[1]-o),e},hI.random=function(e,t){t=t||1;var n=2*GLMAT_RANDOM()*Math.PI;return e[0]=Math.cos(n)*t,e[1]=Math.sin(n)*t,e},hI.transformMat2=function(e,t,n){var r=t[0],i=t[1];return e[0]=n[0]*r+n[2]*i,e[1]=n[1]*r+n[3]*i,e},hI.transformMat2d=function(e,t,n){var r=t[0],i=t[1];return e[0]=n[0]*r+n[2]*i+n[4],e[1]=n[1]*r+n[3]*i+n[5],e},hI.transformMat3=function(e,t,n){var r=t[0],i=t[1];return e[0]=n[0]*r+n[3]*i+n[6],e[1]=n[1]*r+n[4]*i+n[7],e},hI.transformMat4=function(e,t,n){var r=t[0],i=t[1];return e[0]=n[0]*r+n[4]*i+n[12],e[1]=n[1]*r+n[5]*i+n[13],e},hI.forEach=(sI=hI.create(),function(e,t,n,r,i,o){var a,s;for(t||(t=2),n||(n=0),s=r?Math.min(r*t+n,e.length):e.length,a=n;a<s;a+=t)sI[0]=e[a],sI[1]=e[a+1],i(sI,sI,o),e[a]=sI[0],e[a+1]=sI[1];return e});const dI=hI;var pI=function(e,t){e=e||0,t=t||0,this.array=dI.fromValues(e,t),this._dirty=!0};if(pI.prototype={constructor:pI,add:function(e){return dI.add(this.array,this.array,e.array),this._dirty=!0,this},set:function(e,t){return this.array[0]=e,this.array[1]=t,this._dirty=!0,this},setArray:function(e){return this.array[0]=e[0],this.array[1]=e[1],this._dirty=!0,this},clone:function(){return new pI(this.x,this.y)},copy:function(e){return dI.copy(this.array,e.array),this._dirty=!0,this},cross:function(e,t){return dI.cross(e.array,this.array,t.array),e._dirty=!0,this},dist:function(e){return dI.dist(this.array,e.array)},distance:function(e){return dI.distance(this.array,e.array)},div:function(e){return dI.div(this.array,this.array,e.array),this._dirty=!0,this},divide:function(e){return dI.divide(this.array,this.array,e.array),this._dirty=!0,this},dot:function(e){return dI.dot(this.array,e.array)},len:function(){return dI.len(this.array)},length:function(){return dI.length(this.array)},lerp:function(e,t,n){return dI.lerp(this.array,e.array,t.array,n),this._dirty=!0,this},min:function(e){return dI.min(this.array,this.array,e.array),this._dirty=!0,this},max:function(e){return dI.max(this.array,this.array,e.array),this._dirty=!0,this},mul:function(e){return dI.mul(this.array,this.array,e.array),this._dirty=!0,this},multiply:function(e){return dI.multiply(this.array,this.array,e.array),this._dirty=!0,this},negate:function(){return dI.negate(this.array,this.array),this._dirty=!0,this},normalize:function(){return dI.normalize(this.array,this.array),this._dirty=!0,this},random:function(e){return dI.random(this.array,e),this._dirty=!0,this},scale:function(e){return dI.scale(this.array,this.array,e),this._dirty=!0,this},scaleAndAdd:function(e,t){return dI.scaleAndAdd(this.array,this.array,e.array,t),this._dirty=!0,this},sqrDist:function(e){return dI.sqrDist(this.array,e.array)},squaredDistance:function(e){return dI.squaredDistance(this.array,e.array)},sqrLen:function(){return dI.sqrLen(this.array)},squaredLength:function(){return dI.squaredLength(this.array)},sub:function(e){return dI.sub(this.array,this.array,e.array),this._dirty=!0,this},subtract:function(e){return dI.subtract(this.array,this.array,e.array),this._dirty=!0,this},transformMat2:function(e){return dI.transformMat2(this.array,this.array,e.array),this._dirty=!0,this},transformMat2d:function(e){return dI.transformMat2d(this.array,this.array,e.array),this._dirty=!0,this},transformMat3:function(e){return dI.transformMat3(this.array,this.array,e.array),this._dirty=!0,this},transformMat4:function(e){return dI.transformMat4(this.array,this.array,e.array),this._dirty=!0,this},toString:function(){return"["+Array.prototype.join.call(this.array,",")+"]"},toArray:function(){return Array.prototype.slice.call(this.array)}},Object.defineProperty){var fI=pI.prototype;Object.defineProperty(fI,"x",{get:function(){return this.array[0]},set:function(e){this.array[0]=e,this._dirty=!0}}),Object.defineProperty(fI,"y",{get:function(){return this.array[1]},set:function(e){this.array[1]=e,this._dirty=!0}})}pI.add=function(e,t,n){return dI.add(e.array,t.array,n.array),e._dirty=!0,e},pI.set=function(e,t,n){return dI.set(e.array,t,n),e._dirty=!0,e},pI.copy=function(e,t){return dI.copy(e.array,t.array),e._dirty=!0,e},pI.cross=function(e,t,n){return dI.cross(e.array,t.array,n.array),e._dirty=!0,e},pI.distance=pI.dist=function(e,t){return dI.distance(e.array,t.array)},pI.div=function(e,t,n){return dI.divide(e.array,t.array,n.array),e._dirty=!0,e},pI.divide=pI.div,pI.dot=function(e,t){return dI.dot(e.array,t.array)},pI.len=function(e){return dI.length(e.array)},pI.lerp=function(e,t,n,r){return dI.lerp(e.array,t.array,n.array,r),e._dirty=!0,e},pI.min=function(e,t,n){return dI.min(e.array,t.array,n.array),e._dirty=!0,e},pI.max=function(e,t,n){return dI.max(e.array,t.array,n.array),e._dirty=!0,e},pI.mul=function(e,t,n){return dI.multiply(e.array,t.array,n.array),e._dirty=!0,e},pI.multiply=pI.mul,pI.negate=function(e,t){return dI.negate(e.array,t.array),e._dirty=!0,e},pI.normalize=function(e,t){return dI.normalize(e.array,t.array),e._dirty=!0,e},pI.random=function(e,t){return dI.random(e.array,t),e._dirty=!0,e},pI.scale=function(e,t,n){return dI.scale(e.array,t.array,n),e._dirty=!0,e},pI.scaleAndAdd=function(e,t,n,r){return dI.scaleAndAdd(e.array,t.array,n.array,r),e._dirty=!0,e},pI.squaredDistance=pI.sqrDist=function(e,t){return dI.sqrDist(e.array,t.array)},pI.squaredLength=pI.sqrLen=function(e){return dI.sqrLen(e.array)},pI.sub=function(e,t,n){return dI.subtract(e.array,t.array,n.array),e._dirty=!0,e},pI.subtract=pI.sub,pI.transformMat2=function(e,t,n){return dI.transformMat2(e.array,t.array,n.array),e._dirty=!0,e},pI.transformMat2d=function(e,t,n){return dI.transformMat2d(e.array,t.array,n.array),e._dirty=!0,e},pI.transformMat3=function(e,t,n){return dI.transformMat3(e.array,t.array,n.array),e._dirty=!0,e},pI.transformMat4=function(e,t,n){return dI.transformMat4(e.array,t.array,n.array),e._dirty=!0,e};const gI=pI;var mI={};function vI(e){for(var t=e.split("\n"),n=0,r=t.length;n<r;n++)t[n]=n+1+": "+t[n];return t.join("\n")}function yI(e,t,n){if(!e.getShaderParameter(t,e.COMPILE_STATUS))return[e.getShaderInfoLog(t),vI(n)].join("\n")}var _I=new BA.Float32Array(16),xI=NT.extend({uniformSemantics:{},attributes:{}},(function(){this._locations={},this._textureSlot=0,this._program=null}),{bind:function(e){this._textureSlot=0,e.gl.useProgram(this._program)},hasUniform:function(e){return null!=this._locations[e]},useTextureSlot:function(e,t,n){t&&(e.gl.activeTexture(e.gl.TEXTURE0+n),t.isRenderable()?t.bind(e):t.unbind(e))},currentTextureSlot:function(){return this._textureSlot},resetTextureSlot:function(e){this._textureSlot=e||0},takeCurrentTextureSlot:function(e,t){var n=this._textureSlot;return this.useTextureSlot(e,t,n),this._textureSlot++,n},setUniform:function(e,t,n,r){var i=this._locations[n];if(null==i)return!1;switch(t){case"m4":if(!(r instanceof Float32Array)){for(var o=0;o<r.length;o++)_I[o]=r[o];r=_I}e.uniformMatrix4fv(i,!1,r);break;case"2i":e.uniform2i(i,r[0],r[1]);break;case"2f":e.uniform2f(i,r[0],r[1]);break;case"3i":e.uniform3i(i,r[0],r[1],r[2]);break;case"3f":e.uniform3f(i,r[0],r[1],r[2]);break;case"4i":e.uniform4i(i,r[0],r[1],r[2],r[3]);break;case"4f":e.uniform4f(i,r[0],r[1],r[2],r[3]);break;case"1i":e.uniform1i(i,r);break;case"1f":e.uniform1f(i,r);break;case"1fv":e.uniform1fv(i,r);break;case"1iv":e.uniform1iv(i,r);break;case"2iv":e.uniform2iv(i,r);break;case"2fv":e.uniform2fv(i,r);break;case"3iv":e.uniform3iv(i,r);break;case"3fv":e.uniform3fv(i,r);break;case"4iv":e.uniform4iv(i,r);break;case"4fv":e.uniform4fv(i,r);break;case"m2":case"m2v":e.uniformMatrix2fv(i,!1,r);break;case"m3":case"m3v":e.uniformMatrix3fv(i,!1,r);break;case"m4v":if(Array.isArray(r)&&Array.isArray(r[0])){var a=new BA.Float32Array(16*r.length),s=0;for(o=0;o<r.length;o++)for(var l=r[o],u=0;u<16;u++)a[s++]=l[u];e.uniformMatrix4fv(i,!1,a)}else e.uniformMatrix4fv(i,!1,r)}return!0},setUniformOfSemantic:function(e,t,n){var r=this.uniformSemantics[t];return!!r&&this.setUniform(e,r.type,r.symbol,n)},enableAttributes:function(e,t,n){var r,i=e.gl,o=this._program,a=this._locations;(r=n?n.__enabledAttributeList:mI[e.__uid__])||(r=n?n.__enabledAttributeList=[]:mI[e.__uid__]=[]);for(var s=[],l=0;l<t.length;l++){var u=t[l];if(this.attributes[u]){var c=a[u];if(null==c){if(-1===(c=i.getAttribLocation(o,u))){s[l]=-1;continue}a[u]=c}s[l]=c,r[c]?r[c]=2:r[c]=1}else s[l]=-1}for(l=0;l<r.length;l++)switch(r[l]){case 1:i.enableVertexAttribArray(l),r[l]=3;break;case 2:r[l]=3;break;case 3:i.disableVertexAttribArray(l),r[l]=0}return s},getAttribLocation:function(e,t){var n=this._locations,r=n[t];return null==r&&(r=e.getAttribLocation(this._program,t),n[t]=r),r},buildProgram:function(e,t,n,r){var i=e.createShader(e.VERTEX_SHADER),o=e.createProgram();e.shaderSource(i,n),e.compileShader(i);var a=e.createShader(e.FRAGMENT_SHADER);e.shaderSource(a,r),e.compileShader(a);var s=yI(e,i,n);if(s)return s;if(s=yI(e,a,r))return s;if(e.attachShader(o,i),e.attachShader(o,a),t.attributeSemantics.POSITION)e.bindAttribLocation(o,0,t.attributeSemantics.POSITION.symbol);else{var l=Object.keys(this.attributes);e.bindAttribLocation(o,0,l[0])}if(e.linkProgram(o),e.deleteShader(i),e.deleteShader(a),this._program=o,this.vertexCode=n,this.fragmentCode=r,!e.getProgramParameter(o,e.LINK_STATUS))return"Could not link program\n"+e.getProgramInfoLog(o);for(var u=0;u<t.uniforms.length;u++){var c=t.uniforms[u];this._locations[c]=e.getUniformLocation(o,c)}}});const bI=xI;var wI=/for\s*?\(int\s*?_idx_\s*\=\s*([\w-]+)\;\s*_idx_\s*<\s*([\w-]+);\s*_idx_\s*\+\+\s*\)\s*\{\{([\s\S]+?)(?=\}\})\}\}/g;function SI(e,t,n){var r={};for(var i in n)r[i+"_COUNT"]=n[i];return e.replace(wI,(function(e,n,i,o){var a="";isNaN(n)&&(n=n in t?t[n]:r[n]),isNaN(i)&&(i=i in t?t[i]:r[i]);for(var s=parseInt(n);s<parseInt(i);s++)a+="{"+o.replace(/float\s*\(\s*_idx_\s*\)/g,s.toFixed(1)).replace(/_idx_/g,s)+"}";return a}))}function MI(e,t,n){var r=[];if(t)for(var i in t){var o=t[i];o>0&&r.push("#define "+i.toUpperCase()+"_COUNT "+o)}if(n)for(var a=0;a<n.length;a++){var s=n[a];r.push("#define "+s.toUpperCase()+"_ENABLED")}for(var s in e){var l=e[s];null===l?r.push("#define "+s):r.push("#define "+s+" "+l.toString())}return r.join("\n")}function TI(e){this._renderer=e,this._cache={}}TI.prototype.getProgram=function(e,t,n){var r=this._cache,i=e.isSkinnedMesh&&e.isSkinnedMesh(),o=e.isInstancedMesh&&e.isInstancedMesh(),a="s"+t.shader.shaderID+"m"+t.getProgramKey();if(n&&(a+="se"+n.getProgramKey(e.lightGroup)),i&&(a+=",sk"+e.joints.length),o&&(a+=",is"),y=r[a])return y;var s=n?n.getLightsNumbers(e.lightGroup):{},l=this._renderer,u=l.gl,c=t.getEnabledTextures(),h="";if(i){var d={SKINNING:null,JOINT_COUNT:e.joints.length};e.joints.length>l.getMaxJointNumber()&&(d.USE_SKIN_MATRICES_TEXTURE=null),h+="\n"+MI(d)+"\n"}o&&(h+="\n#define INSTANCING\n");var p=h+MI(t.vertexDefines,s,c),f=h+MI(t.fragmentDefines,s,c),g=p+"\n"+t.shader.vertex,m=["OES_standard_derivatives","EXT_shader_texture_lod"].filter((function(e){return null!=l.getGLExtension(e)}));m.indexOf("EXT_shader_texture_lod")>=0&&(f+="\n#define SUPPORT_TEXTURE_LOD"),m.indexOf("OES_standard_derivatives")>=0&&(f+="\n#define SUPPORT_STANDARD_DERIVATIVES");var v,y,_=function(e){for(var t=[],n=0;n<e.length;n++)t.push("#extension GL_"+e[n]+" : enable");return t.join("\n")}(m)+"\n"+["precision",v=t.precision,"float"].join(" ")+";\n"+["precision",v,"int"].join(" ")+";\n"+["precision",v,"sampler2D"].join(" ")+";\n\n"+f+"\n"+t.shader.fragment,x=SI(g,t.vertexDefines,s),b=SI(_,t.fragmentDefines,s);(y=new bI).uniformSemantics=t.shader.uniformSemantics,y.attributes=t.shader.attributes;var w=y.buildProgram(u,t.shader,x,b);return y.__error=w,r[a]=y,y};const AI=TI;var II=/uniform\s+(bool|float|int|vec2|vec3|vec4|ivec2|ivec3|ivec4|mat2|mat3|mat4|sampler2D|samplerCube)\s+([\s\S]*?);/g,CI=/attribute\s+(float|int|vec2|vec3|vec4)\s+([\s\S]*?);/g,DI=/#define\s+(\w+)?(\s+[\d-.]+)?\s*;?\s*\n/g,EI={bool:"1i",int:"1i",sampler2D:"t",samplerCube:"t",float:"1f",vec2:"2f",vec3:"3f",vec4:"4f",ivec2:"2i",ivec3:"3i",ivec4:"4i",mat2:"m2",mat3:"m3",mat4:"m4"};function LI(e){for(var t=[],n=0;n<e;n++)t[n]=0;return t}var PI={bool:function(){return!0},int:function(){return 0},float:function(){return 0},sampler2D:function(){return null},samplerCube:function(){return null},vec2:function(){return LI(2)},vec3:function(){return LI(3)},vec4:function(){return LI(4)},ivec2:function(){return LI(2)},ivec3:function(){return LI(3)},ivec4:function(){return LI(4)},mat2:function(){return LI(4)},mat3:function(){return LI(9)},mat4:function(){return LI(16)},array:function(){return[]}},OI=["POSITION","NORMAL","BINORMAL","TANGENT","TEXCOORD","TEXCOORD_0","TEXCOORD_1","COLOR","JOINT","WEIGHT"],NI=["SKIN_MATRIX","VIEWPORT_SIZE","VIEWPORT","DEVICEPIXELRATIO","WINDOW_SIZE","NEAR","FAR","TIME"],RI=["WORLD","VIEW","PROJECTION","WORLDVIEW","VIEWPROJECTION","WORLDVIEWPROJECTION","WORLDINVERSE","VIEWINVERSE","PROJECTIONINVERSE","WORLDVIEWINVERSE","VIEWPROJECTIONINVERSE","WORLDVIEWPROJECTIONINVERSE","WORLDTRANSPOSE","VIEWTRANSPOSE","PROJECTIONTRANSPOSE","WORLDVIEWTRANSPOSE","VIEWPROJECTIONTRANSPOSE","WORLDVIEWPROJECTIONTRANSPOSE","WORLDINVERSETRANSPOSE","VIEWINVERSETRANSPOSE","PROJECTIONINVERSETRANSPOSE","WORLDVIEWINVERSETRANSPOSE","VIEWPROJECTIONINVERSETRANSPOSE","WORLDVIEWPROJECTIONINVERSETRANSPOSE"],kI={vec4:4,vec3:3,vec2:2,float:1},BI={},FI={};function zI(e){return e.replace(/[ \t]*\/\/.*\n/g,"").replace(/[ \t]*\/\*[\s\S]*?\*\//g,"")}function VI(){console.error("Wrong uniform/attributes syntax")}function GI(e,t){for(var n=/[,=\(\):]/,r=t.replace(/:\s*\[\s*(.*)\s*\]/g,"="+e+"($1)").replace(/\s+/g,"").split(/(?=[,=\(\):])/g),i=[],o=0;o<r.length;o++)r[o].match(n)?i.push(r[o].charAt(0),r[o].slice(1)):i.push(r[o]);var a,s=0,l={},u=null;function c(e){e||VI();var t=e.match(/\[(.*?)\]/);a=e.replace(/\[(.*?)\]/,""),l[a]={},t&&(l[a].isArray=!0,l[a].arraySize=t[1])}for(c((r=i)[0]),o=1;o<r.length;o++){var h=r[o];if(h)if("="!==h)if(":"!==h)if(","!==h)if(")"!==h)if("("!==h)if(h.indexOf("vec")>=0){if(1!==s&&4!==s){VI();break}s=2,u=[]}else if(1!==s)if(4!==s)c(h),s=0;else{var d=h;OI.indexOf(d)>=0||NI.indexOf(d)>=0||RI.indexOf(d)>=0?l[a].semantic=d:"ignore"===d||"unconfigurable"===d?l[a].ignore=!0:l[a].value="bool"===e?"true"===d:parseFloat(d)}else l[a].value="bool"===e?"true"===h:parseFloat(h),u=null;else{if(2!==s){VI();break}if(!(u instanceof Array)){VI();break}u.push(+r[++o])}else l[a].value=new BA.Float32Array(u),u=null,s=5;else if(2===s){if(!(u instanceof Array)){VI();break}u.push(+r[++o])}else s=5;else s=4;else{if(0!==s&&3!==s){VI();break}s=1}}return l}function HI(e,t){"object"==typeof e&&(t=e.fragment,e=e.vertex),e=zI(e),t=zI(t),this._shaderID=function(e,t){var n="vertex:"+e+"fragment:"+t;if(BI[n])return BI[n];var r=PT.genGUID();return BI[n]=r,FI[r]={vertex:e,fragment:t},r}(e,t),this._vertexCode=HI.parseImport(e),this._fragmentCode=HI.parseImport(t),this.attributeSemantics={},this.matrixSemantics={},this.uniformSemantics={},this.matrixSemanticKeys=[],this.uniformTemplates={},this.attributes={},this.textures={},this.vertexDefines={},this.fragmentDefines={},this._parseAttributes(),this._parseUniforms(),this._parseDefines()}HI.prototype={constructor:HI,createUniforms:function(){var e={};for(var t in this.uniformTemplates){var n=this.uniformTemplates[t];e[t]={type:n.type,value:n.value()}}return e},_parseImport:function(){this._vertexCode=HI.parseImport(this.vertex),this._fragmentCode=HI.parseImport(this.fragment)},_addSemanticUniform:function(e,t,n){if(OI.indexOf(n)>=0)this.attributeSemantics[n]={symbol:e,type:t};else if(RI.indexOf(n)>=0){var r=!1,i=n;n.match(/TRANSPOSE$/)&&(r=!0,i=n.slice(0,-9)),this.matrixSemantics[n]={symbol:e,type:t,isTranspose:r,semanticNoTranspose:i}}else NI.indexOf(n)>=0&&(this.uniformSemantics[n]={symbol:e,type:t})},_addMaterialUniform:function(e,t,n,r,i,o){o[e]={type:n,value:i?PI.array:r||PI[t],semantic:null}},_parseUniforms:function(){var e={},t=this;function n(e){return null!=e?function(){return e}:null}function r(r,i,o){var a=GI(i,o),s=[];for(var l in a){var u=a[l],c=u.semantic,h=l,d=EI[i],p=n(a[l].value);a[l].isArray&&(h+="["+a[l].arraySize+"]",d+="v"),s.push(h),t._uniformList.push(l),u.ignore||("sampler2D"!==i&&"samplerCube"!==i||(t.textures[l]={shaderType:"fragment",type:i}),c?t._addSemanticUniform(l,d,c):t._addMaterialUniform(l,i,d,p,a[l].isArray,e))}return s.length>0?"uniform "+i+" "+s.join(",")+";\n":""}this._uniformList=[],this._vertexCode=this._vertexCode.replace(II,r),this._fragmentCode=this._fragmentCode.replace(II,r),t.matrixSemanticKeys=Object.keys(this.matrixSemantics),this.uniformTemplates=e},_parseAttributes:function(){var e={},t=this;this._vertexCode=this._vertexCode.replace(CI,(function(n,r,i){var o=GI(r,i),a=kI[r]||1,s=[];for(var l in o){var u=o[l].semantic;if(e[l]={type:"float",size:a,semantic:u||null},u){if(OI.indexOf(u)<0)throw new Error('Unkown semantic "'+u+'"');t.attributeSemantics[u]={symbol:l,type:r}}s.push(l)}return"attribute "+r+" "+s.join(",")+";\n"})),this.attributes=e},_parseDefines:function(){var e=this;function t(t,n,r){var i=e.fragmentDefines;return i[n]||(i[n]="false"!==r&&("true"===r||(r?isNaN(parseFloat(r))?r.trim():parseFloat(r):null))),""}this._vertexCode=this._vertexCode.replace(DI,t),this._fragmentCode=this._fragmentCode.replace(DI,t)},clone:function(){var e=FI[this._shaderID];return new HI(e.vertex,e.fragment)}},Object.defineProperty&&(Object.defineProperty(HI.prototype,"shaderID",{get:function(){return this._shaderID}}),Object.defineProperty(HI.prototype,"vertex",{get:function(){return this._vertexCode}}),Object.defineProperty(HI.prototype,"fragment",{get:function(){return this._fragmentCode}}),Object.defineProperty(HI.prototype,"uniforms",{get:function(){return this._uniformList}}));var UI=/(@import)\s*([0-9a-zA-Z_\-\.]*)/g;HI.parseImport=function(e){return e.replace(UI,(function(e,t,n){return(e=HI.source(n))?HI.parseImport(e):(console.error('Shader chunk "'+n+'" not existed in library'),"")}))};var WI=/(@export)\s*([0-9a-zA-Z_\-\.]*)\s*\n([\s\S]*?)@end/g;HI.import=function(e){e.replace(WI,(function(e,t,n,r){if(r=r.replace(/(^[\s\t\xa0\u3000]+)|([\u3000\xa0\s\t]+\x24)/g,"")){for(var i,o=n.split("."),a=HI.codes,s=0;s<o.length-1;)a[i=o[s++]]||(a[i]={}),a=a[i];a[i=o[s]]=r}return r}))},HI.codes={},HI.source=function(e){for(var t=e.split("."),n=HI.codes,r=0;n&&r<t.length;)n=n[t[r++]];return"string"!=typeof n?(console.error('Shader "'+e+'" not existed in library'),""):n};const jI=HI,XI="@export clay.prez.vertex\nuniform mat4 WVP : WORLDVIEWPROJECTION;\nattribute vec3 pos : POSITION;\nattribute vec2 uv : TEXCOORD_0;\nuniform vec2 uvRepeat : [1.0, 1.0];\nuniform vec2 uvOffset : [0.0, 0.0];\n@import clay.chunk.skinning_header\n@import clay.chunk.instancing_header\nvarying vec2 v_Texcoord;\nvoid main()\n{\n vec4 P = vec4(pos, 1.0);\n#ifdef SKINNING\n @import clay.chunk.skin_matrix\n P = skinMatrixWS * P;\n#endif\n#ifdef INSTANCING\n @import clay.chunk.instancing_matrix\n P = instanceMat * P;\n#endif\n gl_Position = WVP * P;\n v_Texcoord = uv * uvRepeat + uvOffset;\n}\n@end\n@export clay.prez.fragment\nuniform sampler2D alphaMap;\nuniform float alphaCutoff: 0.0;\nvarying vec2 v_Texcoord;\nvoid main()\n{\n if (alphaCutoff > 0.0) {\n if (texture2D(alphaMap, v_Texcoord).a <= alphaCutoff) {\n discard;\n }\n }\n gl_FragColor = vec4(0.0,0.0,0.0,1.0);\n}\n@end";var YI={create:function(){var e=new uI(16);return e[0]=1,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=1,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[10]=1,e[11]=0,e[12]=0,e[13]=0,e[14]=0,e[15]=1,e},clone:function(e){var t=new uI(16);return t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[3],t[4]=e[4],t[5]=e[5],t[6]=e[6],t[7]=e[7],t[8]=e[8],t[9]=e[9],t[10]=e[10],t[11]=e[11],t[12]=e[12],t[13]=e[13],t[14]=e[14],t[15]=e[15],t},copy:function(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e[4]=t[4],e[5]=t[5],e[6]=t[6],e[7]=t[7],e[8]=t[8],e[9]=t[9],e[10]=t[10],e[11]=t[11],e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15],e},identity:function(e){return e[0]=1,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=1,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[10]=1,e[11]=0,e[12]=0,e[13]=0,e[14]=0,e[15]=1,e},transpose:function(e,t){if(e===t){var n=t[1],r=t[2],i=t[3],o=t[6],a=t[7],s=t[11];e[1]=t[4],e[2]=t[8],e[3]=t[12],e[4]=n,e[6]=t[9],e[7]=t[13],e[8]=r,e[9]=o,e[11]=t[14],e[12]=i,e[13]=a,e[14]=s}else e[0]=t[0],e[1]=t[4],e[2]=t[8],e[3]=t[12],e[4]=t[1],e[5]=t[5],e[6]=t[9],e[7]=t[13],e[8]=t[2],e[9]=t[6],e[10]=t[10],e[11]=t[14],e[12]=t[3],e[13]=t[7],e[14]=t[11],e[15]=t[15];return e},invert:function(e,t){var n=t[0],r=t[1],i=t[2],o=t[3],a=t[4],s=t[5],l=t[6],u=t[7],c=t[8],h=t[9],d=t[10],p=t[11],f=t[12],g=t[13],m=t[14],v=t[15],y=n*s-r*a,_=n*l-i*a,x=n*u-o*a,b=r*l-i*s,w=r*u-o*s,S=i*u-o*l,M=c*g-h*f,T=c*m-d*f,A=c*v-p*f,I=h*m-d*g,C=h*v-p*g,D=d*v-p*m,E=y*D-_*C+x*I+b*A-w*T+S*M;return E?(E=1/E,e[0]=(s*D-l*C+u*I)*E,e[1]=(i*C-r*D-o*I)*E,e[2]=(g*S-m*w+v*b)*E,e[3]=(d*w-h*S-p*b)*E,e[4]=(l*A-a*D-u*T)*E,e[5]=(n*D-i*A+o*T)*E,e[6]=(m*x-f*S-v*_)*E,e[7]=(c*S-d*x+p*_)*E,e[8]=(a*C-s*A+u*M)*E,e[9]=(r*A-n*C-o*M)*E,e[10]=(f*w-g*x+v*y)*E,e[11]=(h*x-c*w-p*y)*E,e[12]=(s*T-a*I-l*M)*E,e[13]=(n*I-r*T+i*M)*E,e[14]=(g*_-f*b-m*y)*E,e[15]=(c*b-h*_+d*y)*E,e):null},adjoint:function(e,t){var n=t[0],r=t[1],i=t[2],o=t[3],a=t[4],s=t[5],l=t[6],u=t[7],c=t[8],h=t[9],d=t[10],p=t[11],f=t[12],g=t[13],m=t[14],v=t[15];return e[0]=s*(d*v-p*m)-h*(l*v-u*m)+g*(l*p-u*d),e[1]=-(r*(d*v-p*m)-h*(i*v-o*m)+g*(i*p-o*d)),e[2]=r*(l*v-u*m)-s*(i*v-o*m)+g*(i*u-o*l),e[3]=-(r*(l*p-u*d)-s*(i*p-o*d)+h*(i*u-o*l)),e[4]=-(a*(d*v-p*m)-c*(l*v-u*m)+f*(l*p-u*d)),e[5]=n*(d*v-p*m)-c*(i*v-o*m)+f*(i*p-o*d),e[6]=-(n*(l*v-u*m)-a*(i*v-o*m)+f*(i*u-o*l)),e[7]=n*(l*p-u*d)-a*(i*p-o*d)+c*(i*u-o*l),e[8]=a*(h*v-p*g)-c*(s*v-u*g)+f*(s*p-u*h),e[9]=-(n*(h*v-p*g)-c*(r*v-o*g)+f*(r*p-o*h)),e[10]=n*(s*v-u*g)-a*(r*v-o*g)+f*(r*u-o*s),e[11]=-(n*(s*p-u*h)-a*(r*p-o*h)+c*(r*u-o*s)),e[12]=-(a*(h*m-d*g)-c*(s*m-l*g)+f*(s*d-l*h)),e[13]=n*(h*m-d*g)-c*(r*m-i*g)+f*(r*d-i*h),e[14]=-(n*(s*m-l*g)-a*(r*m-i*g)+f*(r*l-i*s)),e[15]=n*(s*d-l*h)-a*(r*d-i*h)+c*(r*l-i*s),e},determinant:function(e){var t=e[0],n=e[1],r=e[2],i=e[3],o=e[4],a=e[5],s=e[6],l=e[7],u=e[8],c=e[9],h=e[10],d=e[11],p=e[12],f=e[13],g=e[14],m=e[15];return(t*a-n*o)*(h*m-d*g)-(t*s-r*o)*(c*m-d*f)+(t*l-i*o)*(c*g-h*f)+(n*s-r*a)*(u*m-d*p)-(n*l-i*a)*(u*g-h*p)+(r*l-i*s)*(u*f-c*p)},multiply:function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=t[4],l=t[5],u=t[6],c=t[7],h=t[8],d=t[9],p=t[10],f=t[11],g=t[12],m=t[13],v=t[14],y=t[15],_=n[0],x=n[1],b=n[2],w=n[3];return e[0]=_*r+x*s+b*h+w*g,e[1]=_*i+x*l+b*d+w*m,e[2]=_*o+x*u+b*p+w*v,e[3]=_*a+x*c+b*f+w*y,_=n[4],x=n[5],b=n[6],w=n[7],e[4]=_*r+x*s+b*h+w*g,e[5]=_*i+x*l+b*d+w*m,e[6]=_*o+x*u+b*p+w*v,e[7]=_*a+x*c+b*f+w*y,_=n[8],x=n[9],b=n[10],w=n[11],e[8]=_*r+x*s+b*h+w*g,e[9]=_*i+x*l+b*d+w*m,e[10]=_*o+x*u+b*p+w*v,e[11]=_*a+x*c+b*f+w*y,_=n[12],x=n[13],b=n[14],w=n[15],e[12]=_*r+x*s+b*h+w*g,e[13]=_*i+x*l+b*d+w*m,e[14]=_*o+x*u+b*p+w*v,e[15]=_*a+x*c+b*f+w*y,e},multiplyAffine:function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[4],s=t[5],l=t[6],u=t[8],c=t[9],h=t[10],d=t[12],p=t[13],f=t[14],g=n[0],m=n[1],v=n[2];return e[0]=g*r+m*a+v*u,e[1]=g*i+m*s+v*c,e[2]=g*o+m*l+v*h,g=n[4],m=n[5],v=n[6],e[4]=g*r+m*a+v*u,e[5]=g*i+m*s+v*c,e[6]=g*o+m*l+v*h,g=n[8],m=n[9],v=n[10],e[8]=g*r+m*a+v*u,e[9]=g*i+m*s+v*c,e[10]=g*o+m*l+v*h,g=n[12],m=n[13],v=n[14],e[12]=g*r+m*a+v*u+d,e[13]=g*i+m*s+v*c+p,e[14]=g*o+m*l+v*h+f,e}};YI.mul=YI.multiply,YI.mulAffine=YI.multiplyAffine,YI.translate=function(e,t,n){var r,i,o,a,s,l,u,c,h,d,p,f,g=n[0],m=n[1],v=n[2];return t===e?(e[12]=t[0]*g+t[4]*m+t[8]*v+t[12],e[13]=t[1]*g+t[5]*m+t[9]*v+t[13],e[14]=t[2]*g+t[6]*m+t[10]*v+t[14],e[15]=t[3]*g+t[7]*m+t[11]*v+t[15]):(r=t[0],i=t[1],o=t[2],a=t[3],s=t[4],l=t[5],u=t[6],c=t[7],h=t[8],d=t[9],p=t[10],f=t[11],e[0]=r,e[1]=i,e[2]=o,e[3]=a,e[4]=s,e[5]=l,e[6]=u,e[7]=c,e[8]=h,e[9]=d,e[10]=p,e[11]=f,e[12]=r*g+s*m+h*v+t[12],e[13]=i*g+l*m+d*v+t[13],e[14]=o*g+u*m+p*v+t[14],e[15]=a*g+c*m+f*v+t[15]),e},YI.scale=function(e,t,n){var r=n[0],i=n[1],o=n[2];return e[0]=t[0]*r,e[1]=t[1]*r,e[2]=t[2]*r,e[3]=t[3]*r,e[4]=t[4]*i,e[5]=t[5]*i,e[6]=t[6]*i,e[7]=t[7]*i,e[8]=t[8]*o,e[9]=t[9]*o,e[10]=t[10]*o,e[11]=t[11]*o,e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15],e},YI.rotate=function(e,t,n,r){var i,o,a,s,l,u,c,h,d,p,f,g,m,v,y,_,x,b,w,S,M,T,A,I,C=r[0],D=r[1],E=r[2],L=Math.sqrt(C*C+D*D+E*E);return Math.abs(L)<lI?null:(C*=L=1/L,D*=L,E*=L,i=Math.sin(n),a=1-(o=Math.cos(n)),s=t[0],l=t[1],u=t[2],c=t[3],h=t[4],d=t[5],p=t[6],f=t[7],g=t[8],m=t[9],v=t[10],y=t[11],_=C*C*a+o,x=D*C*a+E*i,b=E*C*a-D*i,w=C*D*a-E*i,S=D*D*a+o,M=E*D*a+C*i,T=C*E*a+D*i,A=D*E*a-C*i,I=E*E*a+o,e[0]=s*_+h*x+g*b,e[1]=l*_+d*x+m*b,e[2]=u*_+p*x+v*b,e[3]=c*_+f*x+y*b,e[4]=s*w+h*S+g*M,e[5]=l*w+d*S+m*M,e[6]=u*w+p*S+v*M,e[7]=c*w+f*S+y*M,e[8]=s*T+h*A+g*I,e[9]=l*T+d*A+m*I,e[10]=u*T+p*A+v*I,e[11]=c*T+f*A+y*I,t!==e&&(e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15]),e)},YI.rotateX=function(e,t,n){var r=Math.sin(n),i=Math.cos(n),o=t[4],a=t[5],s=t[6],l=t[7],u=t[8],c=t[9],h=t[10],d=t[11];return t!==e&&(e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15]),e[4]=o*i+u*r,e[5]=a*i+c*r,e[6]=s*i+h*r,e[7]=l*i+d*r,e[8]=u*i-o*r,e[9]=c*i-a*r,e[10]=h*i-s*r,e[11]=d*i-l*r,e},YI.rotateY=function(e,t,n){var r=Math.sin(n),i=Math.cos(n),o=t[0],a=t[1],s=t[2],l=t[3],u=t[8],c=t[9],h=t[10],d=t[11];return t!==e&&(e[4]=t[4],e[5]=t[5],e[6]=t[6],e[7]=t[7],e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15]),e[0]=o*i-u*r,e[1]=a*i-c*r,e[2]=s*i-h*r,e[3]=l*i-d*r,e[8]=o*r+u*i,e[9]=a*r+c*i,e[10]=s*r+h*i,e[11]=l*r+d*i,e},YI.rotateZ=function(e,t,n){var r=Math.sin(n),i=Math.cos(n),o=t[0],a=t[1],s=t[2],l=t[3],u=t[4],c=t[5],h=t[6],d=t[7];return t!==e&&(e[8]=t[8],e[9]=t[9],e[10]=t[10],e[11]=t[11],e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15]),e[0]=o*i+u*r,e[1]=a*i+c*r,e[2]=s*i+h*r,e[3]=l*i+d*r,e[4]=u*i-o*r,e[5]=c*i-a*r,e[6]=h*i-s*r,e[7]=d*i-l*r,e},YI.fromRotationTranslation=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=r+r,l=i+i,u=o+o,c=r*s,h=r*l,d=r*u,p=i*l,f=i*u,g=o*u,m=a*s,v=a*l,y=a*u;return e[0]=1-(p+g),e[1]=h+y,e[2]=d-v,e[3]=0,e[4]=h-y,e[5]=1-(c+g),e[6]=f+m,e[7]=0,e[8]=d+v,e[9]=f-m,e[10]=1-(c+p),e[11]=0,e[12]=n[0],e[13]=n[1],e[14]=n[2],e[15]=1,e},YI.fromQuat=function(e,t){var n=t[0],r=t[1],i=t[2],o=t[3],a=n+n,s=r+r,l=i+i,u=n*a,c=r*a,h=r*s,d=i*a,p=i*s,f=i*l,g=o*a,m=o*s,v=o*l;return e[0]=1-h-f,e[1]=c+v,e[2]=d-m,e[3]=0,e[4]=c-v,e[5]=1-u-f,e[6]=p+g,e[7]=0,e[8]=d+m,e[9]=p-g,e[10]=1-u-h,e[11]=0,e[12]=0,e[13]=0,e[14]=0,e[15]=1,e},YI.frustum=function(e,t,n,r,i,o,a){var s=1/(n-t),l=1/(i-r),u=1/(o-a);return e[0]=2*o*s,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=2*o*l,e[6]=0,e[7]=0,e[8]=(n+t)*s,e[9]=(i+r)*l,e[10]=(a+o)*u,e[11]=-1,e[12]=0,e[13]=0,e[14]=a*o*2*u,e[15]=0,e},YI.perspective=function(e,t,n,r,i){var o=1/Math.tan(t/2),a=1/(r-i);return e[0]=o/n,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=o,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[10]=(i+r)*a,e[11]=-1,e[12]=0,e[13]=0,e[14]=2*i*r*a,e[15]=0,e},YI.ortho=function(e,t,n,r,i,o,a){var s=1/(t-n),l=1/(r-i),u=1/(o-a);return e[0]=-2*s,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=-2*l,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[10]=2*u,e[11]=0,e[12]=(t+n)*s,e[13]=(i+r)*l,e[14]=(a+o)*u,e[15]=1,e},YI.lookAt=function(e,t,n,r){var i,o,a,s,l,u,c,h,d,p,f=t[0],g=t[1],m=t[2],v=r[0],y=r[1],_=r[2],x=n[0],b=n[1],w=n[2];return Math.abs(f-x)<lI&&Math.abs(g-b)<lI&&Math.abs(m-w)<lI?YI.identity(e):(c=f-x,h=g-b,d=m-w,i=y*(d*=p=1/Math.sqrt(c*c+h*h+d*d))-_*(h*=p),o=_*(c*=p)-v*d,a=v*h-y*c,(p=Math.sqrt(i*i+o*o+a*a))?(i*=p=1/p,o*=p,a*=p):(i=0,o=0,a=0),s=h*a-d*o,l=d*i-c*a,u=c*o-h*i,(p=Math.sqrt(s*s+l*l+u*u))?(s*=p=1/p,l*=p,u*=p):(s=0,l=0,u=0),e[0]=i,e[1]=s,e[2]=c,e[3]=0,e[4]=o,e[5]=l,e[6]=h,e[7]=0,e[8]=a,e[9]=u,e[10]=d,e[11]=0,e[12]=-(i*f+o*g+a*m),e[13]=-(s*f+l*g+u*m),e[14]=-(c*f+h*g+d*m),e[15]=1,e)},YI.frob=function(e){return Math.sqrt(Math.pow(e[0],2)+Math.pow(e[1],2)+Math.pow(e[2],2)+Math.pow(e[3],2)+Math.pow(e[4],2)+Math.pow(e[5],2)+Math.pow(e[6],2)+Math.pow(e[7],2)+Math.pow(e[8],2)+Math.pow(e[9],2)+Math.pow(e[10],2)+Math.pow(e[11],2)+Math.pow(e[12],2)+Math.pow(e[13],2)+Math.pow(e[14],2)+Math.pow(e[15],2))};const ZI=YI;var qI={create:function(){var e=new uI(3);return e[0]=0,e[1]=0,e[2]=0,e},clone:function(e){var t=new uI(3);return t[0]=e[0],t[1]=e[1],t[2]=e[2],t},fromValues:function(e,t,n){var r=new uI(3);return r[0]=e,r[1]=t,r[2]=n,r},copy:function(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e},set:function(e,t,n,r){return e[0]=t,e[1]=n,e[2]=r,e},add:function(e,t,n){return e[0]=t[0]+n[0],e[1]=t[1]+n[1],e[2]=t[2]+n[2],e},subtract:function(e,t,n){return e[0]=t[0]-n[0],e[1]=t[1]-n[1],e[2]=t[2]-n[2],e}};qI.sub=qI.subtract,qI.multiply=function(e,t,n){return e[0]=t[0]*n[0],e[1]=t[1]*n[1],e[2]=t[2]*n[2],e},qI.mul=qI.multiply,qI.divide=function(e,t,n){return e[0]=t[0]/n[0],e[1]=t[1]/n[1],e[2]=t[2]/n[2],e},qI.div=qI.divide,qI.min=function(e,t,n){return e[0]=Math.min(t[0],n[0]),e[1]=Math.min(t[1],n[1]),e[2]=Math.min(t[2],n[2]),e},qI.max=function(e,t,n){return e[0]=Math.max(t[0],n[0]),e[1]=Math.max(t[1],n[1]),e[2]=Math.max(t[2],n[2]),e},qI.scale=function(e,t,n){return e[0]=t[0]*n,e[1]=t[1]*n,e[2]=t[2]*n,e},qI.scaleAndAdd=function(e,t,n,r){return e[0]=t[0]+n[0]*r,e[1]=t[1]+n[1]*r,e[2]=t[2]+n[2]*r,e},qI.distance=function(e,t){var n=t[0]-e[0],r=t[1]-e[1],i=t[2]-e[2];return Math.sqrt(n*n+r*r+i*i)},qI.dist=qI.distance,qI.squaredDistance=function(e,t){var n=t[0]-e[0],r=t[1]-e[1],i=t[2]-e[2];return n*n+r*r+i*i},qI.sqrDist=qI.squaredDistance,qI.length=function(e){var t=e[0],n=e[1],r=e[2];return Math.sqrt(t*t+n*n+r*r)},qI.len=qI.length,qI.squaredLength=function(e){var t=e[0],n=e[1],r=e[2];return t*t+n*n+r*r},qI.sqrLen=qI.squaredLength,qI.negate=function(e,t){return e[0]=-t[0],e[1]=-t[1],e[2]=-t[2],e},qI.inverse=function(e,t){return e[0]=1/t[0],e[1]=1/t[1],e[2]=1/t[2],e},qI.normalize=function(e,t){var n=t[0],r=t[1],i=t[2],o=n*n+r*r+i*i;return o>0&&(o=1/Math.sqrt(o),e[0]=t[0]*o,e[1]=t[1]*o,e[2]=t[2]*o),e},qI.dot=function(e,t){return e[0]*t[0]+e[1]*t[1]+e[2]*t[2]},qI.cross=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=n[0],s=n[1],l=n[2];return e[0]=i*l-o*s,e[1]=o*a-r*l,e[2]=r*s-i*a,e},qI.lerp=function(e,t,n,r){var i=t[0],o=t[1],a=t[2];return e[0]=i+r*(n[0]-i),e[1]=o+r*(n[1]-o),e[2]=a+r*(n[2]-a),e},qI.random=function(e,t){t=t||1;var n=2*cI()*Math.PI,r=2*cI()-1,i=Math.sqrt(1-r*r)*t;return e[0]=Math.cos(n)*i,e[1]=Math.sin(n)*i,e[2]=r*t,e},qI.transformMat4=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=n[3]*r+n[7]*i+n[11]*o+n[15];return a=a||1,e[0]=(n[0]*r+n[4]*i+n[8]*o+n[12])/a,e[1]=(n[1]*r+n[5]*i+n[9]*o+n[13])/a,e[2]=(n[2]*r+n[6]*i+n[10]*o+n[14])/a,e},qI.transformMat3=function(e,t,n){var r=t[0],i=t[1],o=t[2];return e[0]=r*n[0]+i*n[3]+o*n[6],e[1]=r*n[1]+i*n[4]+o*n[7],e[2]=r*n[2]+i*n[5]+o*n[8],e},qI.transformQuat=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=n[0],s=n[1],l=n[2],u=n[3],c=u*r+s*o-l*i,h=u*i+l*r-a*o,d=u*o+a*i-s*r,p=-a*r-s*i-l*o;return e[0]=c*u+p*-a+h*-l-d*-s,e[1]=h*u+p*-s+d*-a-c*-l,e[2]=d*u+p*-l+c*-s-h*-a,e},qI.rotateX=function(e,t,n,r){var i=[],o=[];return i[0]=t[0]-n[0],i[1]=t[1]-n[1],i[2]=t[2]-n[2],o[0]=i[0],o[1]=i[1]*Math.cos(r)-i[2]*Math.sin(r),o[2]=i[1]*Math.sin(r)+i[2]*Math.cos(r),e[0]=o[0]+n[0],e[1]=o[1]+n[1],e[2]=o[2]+n[2],e},qI.rotateY=function(e,t,n,r){var i=[],o=[];return i[0]=t[0]-n[0],i[1]=t[1]-n[1],i[2]=t[2]-n[2],o[0]=i[2]*Math.sin(r)+i[0]*Math.cos(r),o[1]=i[1],o[2]=i[2]*Math.cos(r)-i[0]*Math.sin(r),e[0]=o[0]+n[0],e[1]=o[1]+n[1],e[2]=o[2]+n[2],e},qI.rotateZ=function(e,t,n,r){var i=[],o=[];return i[0]=t[0]-n[0],i[1]=t[1]-n[1],i[2]=t[2]-n[2],o[0]=i[0]*Math.cos(r)-i[1]*Math.sin(r),o[1]=i[0]*Math.sin(r)+i[1]*Math.cos(r),o[2]=i[2],e[0]=o[0]+n[0],e[1]=o[1]+n[1],e[2]=o[2]+n[2],e},qI.forEach=function(){var e=qI.create();return function(t,n,r,i,o,a){var s,l;for(n||(n=3),r||(r=0),l=i?Math.min(i*n+r,t.length):t.length,s=r;s<l;s+=n)e[0]=t[s],e[1]=t[s+1],e[2]=t[s+2],o(e,e,a),t[s]=e[0],t[s+1]=e[1],t[s+2]=e[2];return t}}(),qI.angle=function(e,t){var n=qI.fromValues(e[0],e[1],e[2]),r=qI.fromValues(t[0],t[1],t[2]);qI.normalize(n,n),qI.normalize(r,r);var i=qI.dot(n,r);return i>1?0:Math.acos(i)};const $I=qI;jI.import(XI);var KI=ZI.create,JI={};function QI(e){return e.material}function eC(e,t,n){return t.uniforms[n].value}function tC(e,t,n,r){return n!==r}function nC(e){return!0}function rC(){}var iC={float:lA,byte:nA,ubyte:rA,short:iA,ushort:oA};function oC(e,t,n){this.availableAttributes=e,this.availableAttributeSymbols=t,this.indicesBuffer=n,this.vao=null}function aC(e){var t,n;this.bind=function(e){t||((t=BA.createCanvas()).width=t.height=1,t.getContext("2d"));var r=e.gl,i=!n;i&&(n=r.createTexture()),r.bindTexture(r.TEXTURE_2D,n),i&&r.texImage2D(r.TEXTURE_2D,0,r.RGBA,r.RGBA,r.UNSIGNED_BYTE,t)},this.unbind=function(e){e.gl.bindTexture(e.gl.TEXTURE_2D,null)},this.isRenderable=function(){return!0}}var sC=NT.extend((function(){return{canvas:null,_width:100,_height:100,devicePixelRatio:"undefined"!=typeof window&&window.devicePixelRatio||1,clearColor:[0,0,0,0],clearBit:17664,alpha:!0,depth:!0,stencil:!1,antialias:!0,premultipliedAlpha:!0,preserveDrawingBuffer:!1,throwError:!0,gl:null,viewport:{},maxJointNumber:20,__currentFrameBuffer:null,_viewportStack:[],_clearStack:[],_sceneRendering:null}}),(function(){this.canvas||(this.canvas=BA.createCanvas());var e=this.canvas;try{var t={alpha:this.alpha,depth:this.depth,stencil:this.stencil,antialias:this.antialias,premultipliedAlpha:this.premultipliedAlpha,preserveDrawingBuffer:this.preserveDrawingBuffer};if(this.gl=e.getContext("webgl",t)||e.getContext("experimental-webgl",t),!this.gl)throw new Error;this._glinfo=new BT(this.gl),this.gl.targetRenderer&&console.error("Already created a renderer"),this.gl.targetRenderer=this,this.resize()}catch(e){throw"Error creating WebGL Context "+e}this._programMgr=new AI(this),this._placeholderTexture=new aC(this)}),{resize:function(e,t){var n=this.canvas,r=this.devicePixelRatio;null!=e?(n.style&&(n.style.width=e+"px",n.style.height=t+"px"),n.width=e*r,n.height=t*r,this._width=e,this._height=t):(this._width=n.width/r,this._height=n.height/r),this.setViewport(0,0,this._width,this._height)},getWidth:function(){return this._width},getHeight:function(){return this._height},getViewportAspect:function(){var e=this.viewport;return e.width/e.height},setDevicePixelRatio:function(e){this.devicePixelRatio=e,this.resize(this._width,this._height)},getDevicePixelRatio:function(){return this.devicePixelRatio},getGLExtension:function(e){return this._glinfo.getExtension(e)},getGLParameter:function(e){return this._glinfo.getParameter(e)},setViewport:function(e,t,n,r,i){if("object"==typeof e){var o=e;e=o.x,t=o.y,n=o.width,r=o.height,i=o.devicePixelRatio}i=i||this.devicePixelRatio,this.gl.viewport(e*i,t*i,n*i,r*i),this.viewport={x:e,y:t,width:n,height:r,devicePixelRatio:i}},saveViewport:function(){this._viewportStack.push(this.viewport)},restoreViewport:function(){this._viewportStack.length>0&&this.setViewport(this._viewportStack.pop())},saveClear:function(){this._clearStack.push({clearBit:this.clearBit,clearColor:this.clearColor})},restoreClear:function(){if(this._clearStack.length>0){var e=this._clearStack.pop();this.clearColor=e.clearColor,this.clearBit=e.clearBit}},bindSceneRendering:function(e){this._sceneRendering=e},render:function(e,t,n,r){var i=this.gl,o=this.clearColor;if(this.clearBit){i.colorMask(!0,!0,!0,!0),i.depthMask(!0);var a=this.viewport,s=!1,l=a.devicePixelRatio;(a.width!==this._width||a.height!==this._height||l&&l!==this.devicePixelRatio||a.x||a.y)&&(s=!0,i.enable(i.SCISSOR_TEST),i.scissor(a.x*l,a.y*l,a.width*l,a.height*l)),i.clearColor(o[0],o[1],o[2],o[3]),i.clear(this.clearBit),s&&i.disable(i.SCISSOR_TEST)}if(n||e.update(!1),e.updateLights(),t=t||e.getMainCamera()){t.update();var u=e.updateRenderList(t,!0);this._sceneRendering=e;var c=u.opaque,h=u.transparent,d=e.material;e.trigger("beforerender",this,e,t,u),r?(this.renderPreZ(c,e,t),i.depthFunc(i.LEQUAL)):i.depthFunc(i.LESS);for(var p=KI(),f=$I.create(),g=0;g<h.length;g++){var m=h[g];ZI.multiplyAffine(p,t.viewMatrix.array,m.worldTransform.array),$I.transformMat4(f,m.position.array,p),m.__depth=f[2]}this.renderPass(c,t,{getMaterial:function(e){return d||e.material},sortCompare:this.opaqueSortCompare}),this.renderPass(h,t,{getMaterial:function(e){return d||e.material},sortCompare:this.transparentSortCompare}),e.trigger("afterrender",this,e,t,u),this._sceneRendering=null}else console.error("Can't find camera in the scene.")},getProgram:function(e,t,n){return t=t||e.material,this._programMgr.getProgram(e,t,n)},validateProgram:function(e){if(e.__error){var t=e.__error;if(JI[e.__uid__])return;if(JI[e.__uid__]=!0,this.throwError)throw new Error(t);this.trigger("error",t)}},updatePrograms:function(e,t,n){var r=n&&n.getMaterial||QI;t=t||null;for(var i=0;i<e.length;i++){var o=e[i],a=r.call(this,o);if(i>0){var s=e[i-1],l=s.joints?s.joints.length:0;if((o.joints?o.joints.length:0)===l&&o.material===s.material&&o.lightGroup===s.lightGroup){o.__program=s.__program;continue}}var u=this._programMgr.getProgram(o,a,t);this.validateProgram(u),o.__program=u}},renderPass:function(e,t,n){this.trigger("beforerenderpass",this,e,t,n),(n=n||{}).getMaterial=n.getMaterial||QI,n.getUniform=n.getUniform||eC,n.isMaterialChanged=n.isMaterialChanged||tC,n.beforeRender=n.beforeRender||rC,n.afterRender=n.afterRender||rC;var r=n.ifRender||nC;this.updatePrograms(e,this._sceneRendering,n),n.sortCompare&&e.sort(n.sortCompare);var i=this.viewport,o=i.devicePixelRatio,a=[i.x*o,i.y*o,i.width*o,i.height*o],s=this.devicePixelRatio,l=this.__currentFrameBuffer?[this.__currentFrameBuffer.getTextureWidth(),this.__currentFrameBuffer.getTextureHeight()]:[this._width*s,this._height*s],u=[a[2],a[3]],c=Date.now();t?(ZI.copy(lC.VIEW,t.viewMatrix.array),ZI.copy(lC.PROJECTION,t.projectionMatrix.array),ZI.copy(lC.VIEWINVERSE,t.worldTransform.array)):(ZI.identity(lC.VIEW),ZI.identity(lC.PROJECTION),ZI.identity(lC.VIEWINVERSE)),ZI.multiply(lC.VIEWPROJECTION,lC.PROJECTION,lC.VIEW),ZI.invert(lC.PROJECTIONINVERSE,lC.PROJECTION),ZI.invert(lC.VIEWPROJECTIONINVERSE,lC.VIEWPROJECTION);for(var h,d,p,f,g,m,v,y,_,x,b,w,S=this.gl,M=this._sceneRendering,T=0;T<e.length;T++){var A,I=e[T],C=null!=I.worldTransform;if(r(I)){C&&(A=I.isSkinnedMesh&&I.isSkinnedMesh()?I.offsetMatrix?I.offsetMatrix.array:lC.IDENTITY:I.worldTransform.array);var D=I.geometry,E=n.getMaterial.call(this,I),L=I.__program,P=E.shader,O=D.__uid__+"-"+L.__uid__,N=O!==x;x=O,C&&(ZI.copy(lC.WORLD,A),ZI.multiply(lC.WORLDVIEWPROJECTION,lC.VIEWPROJECTION,A),ZI.multiplyAffine(lC.WORLDVIEW,lC.VIEW,A),(P.matrixSemantics.WORLDINVERSE||P.matrixSemantics.WORLDINVERSETRANSPOSE)&&ZI.invert(lC.WORLDINVERSE,A),(P.matrixSemantics.WORLDVIEWINVERSE||P.matrixSemantics.WORLDVIEWINVERSETRANSPOSE)&&ZI.invert(lC.WORLDVIEWINVERSE,lC.WORLDVIEW),(P.matrixSemantics.WORLDVIEWPROJECTIONINVERSE||P.matrixSemantics.WORLDVIEWPROJECTIONINVERSETRANSPOSE)&&ZI.invert(lC.WORLDVIEWPROJECTIONINVERSE,lC.WORLDVIEWPROJECTION)),I.beforeRender&&I.beforeRender(this),n.beforeRender.call(this,I,E,h);var R=L!==d;R?(L.bind(this),L.setUniformOfSemantic(S,"VIEWPORT",a),L.setUniformOfSemantic(S,"WINDOW_SIZE",l),t&&(L.setUniformOfSemantic(S,"NEAR",t.near),L.setUniformOfSemantic(S,"FAR",t.far)),L.setUniformOfSemantic(S,"DEVICEPIXELRATIO",o),L.setUniformOfSemantic(S,"TIME",c),L.setUniformOfSemantic(S,"VIEWPORT_SIZE",u),M&&M.setLightUniforms(L,I.lightGroup,this)):L=d,(R||n.isMaterialChanged(I,p,E,h))&&(E.depthTest!==f&&(E.depthTest?S.enable(S.DEPTH_TEST):S.disable(S.DEPTH_TEST),f=E.depthTest),E.depthMask!==g&&(S.depthMask(E.depthMask),g=E.depthMask),E.transparent!==_&&(E.transparent?S.enable(S.BLEND):S.disable(S.BLEND),_=E.transparent),E.transparent&&(E.blend?E.blend(S):(S.blendEquationSeparate(S.FUNC_ADD,S.FUNC_ADD),S.blendFuncSeparate(S.SRC_ALPHA,S.ONE_MINUS_SRC_ALPHA,S.ONE,S.ONE_MINUS_SRC_ALPHA))),w=this._bindMaterial(I,E,L,p||null,h||null,d||null,n.getUniform),h=E);var k=P.matrixSemanticKeys;if(C)for(var B=0;B<k.length;B++){var F=k[B],z=P.matrixSemantics[F],V=lC[F];if(z.isTranspose){var G=lC[z.semanticNoTranspose];ZI.transpose(V,G)}L.setUniform(S,z.type,z.symbol,V)}I.cullFace!==v&&(v=I.cullFace,S.cullFace(v)),I.frontFace!==y&&(y=I.frontFace,S.frontFace(y)),I.culling!==m&&((m=I.culling)?S.enable(S.CULL_FACE):S.disable(S.CULL_FACE)),this._updateSkeleton(I,L,w),N&&(b=this._bindVAO(null,P,D,L)),this._renderObject(I,b,L),n.afterRender(this,I),I.afterRender&&I.afterRender(this),d=L,p=I}}this.trigger("afterrenderpass",this,e,t,n)},getMaxJointNumber:function(){return this.maxJointNumber},_updateSkeleton:function(e,t,n){var r=this.gl,i=e.skeleton;if(i)if(i.update(),e.joints.length>this.getMaxJointNumber()){var o=i.getSubSkinMatricesTexture(e.__uid__,e.joints);t.useTextureSlot(this,o,n),t.setUniform(r,"1i","skinMatricesTexture",n),t.setUniform(r,"1f","skinMatricesTextureSize",o.width)}else{var a=i.getSubSkinMatrices(e.__uid__,e.joints);t.setUniformOfSemantic(r,"SKIN_MATRIX",a)}},_renderObject:function(e,t,n){var r=this.gl,i=e.geometry,o=e.mode;null==o&&(o=4);var a=null,s=e.isInstancedMesh&&e.isInstancedMesh();if(!s||(a=this.getGLExtension("ANGLE_instanced_arrays"))){var l;if(s&&(l=this._bindInstancedAttributes(e,n,a)),t.indicesBuffer){var u=this.getGLExtension("OES_element_index_uint")&&i.indices instanceof Uint32Array?r.UNSIGNED_INT:r.UNSIGNED_SHORT;s?a.drawElementsInstancedANGLE(o,t.indicesBuffer.count,u,0,e.getInstanceCount()):r.drawElements(o,t.indicesBuffer.count,u,0)}else s?a.drawArraysInstancedANGLE(o,0,i.vertexCount,e.getInstanceCount()):r.drawArrays(o,0,i.vertexCount);if(s)for(var c=0;c<l.length;c++)r.disableVertexAttribArray(l[c])}else console.warn("Device not support ANGLE_instanced_arrays extension")},_bindInstancedAttributes:function(e,t,n){for(var r=this.gl,i=e.getInstancedAttributesBuffers(this),o=[],a=0;a<i.length;a++){var s=i[a],l=t.getAttribLocation(r,s.symbol);if(!(l<0)){var u=iC[s.type]||r.FLOAT;r.enableVertexAttribArray(l),r.bindBuffer(r.ARRAY_BUFFER,s.buffer),r.vertexAttribPointer(l,s.size,u,!1,0,0),n.vertexAttribDivisorANGLE(l,s.divisor),o.push(l)}}return o},_bindMaterial:function(e,t,n,r,i,o,a){for(var s=this.gl,l=o===n,u=n.currentTextureSlot(),c=t.getEnabledUniforms(),h=t.getTextureUniforms(),d=this._placeholderTexture,p=0;p<h.length;p++){var f=a(e,t,v=h[p]);if("t"===(m=t.uniforms[v].type)&&f)f.__slot=-1;else if("tv"===m)for(var g=0;g<f.length;g++)f[g]&&(f[g].__slot=-1)}for(d.__slot=-1,p=0;p<c.length;p++){var m,v=c[p],y=t.uniforms[v],_=(f=a(e,t,v),"t"===(m=y.type));if(_&&(f&&f.isRenderable()||(f=d)),i&&l){var x=a(r,i,v);if(_&&(x&&x.isRenderable()||(x=d)),x===f){if(_)n.takeCurrentTextureSlot(this,null);else if("tv"===m&&f)for(g=0;g<f.length;g++)n.takeCurrentTextureSlot(this,null);continue}}if(null!=f)if(_)if(f.__slot<0){var b=n.currentTextureSlot();n.setUniform(s,"1i",v,b)&&(n.takeCurrentTextureSlot(this,f),f.__slot=b)}else n.setUniform(s,"1i",v,f.__slot);else if(Array.isArray(f)){if(0===f.length)continue;if("tv"===m){if(!n.hasUniform(v))continue;var w=[];for(g=0;g<f.length;g++){var S=f[g];S.__slot<0?(b=n.currentTextureSlot(),w.push(b),n.takeCurrentTextureSlot(this,S),S.__slot=b):w.push(S.__slot)}n.setUniform(s,"1iv",v,w)}else n.setUniform(s,y.type,v,f)}else n.setUniform(s,y.type,v,f)}var M=n.currentTextureSlot();return n.resetTextureSlot(u),M},_bindVAO:function(e,t,n,r){var i=!n.dynamic,o=this.gl,a=this.__uid__+"-"+r.__uid__,s=n.__vaoCache[a];if(!s){var l=n.getBufferChunks(this);if(!l||!l.length)return;for(var u=l[0],c=u.attributeBuffers,h=u.indicesBuffer,d=[],p=[],f=0;f<c.length;f++){var g,m=(w=c[f]).name,v=w.semantic;if(v){var y=t.attributeSemantics[v];g=y&&y.symbol}else g=m;g&&r.attributes[g]&&(d.push(w),p.push(g))}s=new oC(d,p,h),i&&(n.__vaoCache[a]=s)}var _=!0;if(e&&i&&(null==s.vao?s.vao=e.createVertexArrayOES():_=!1,e.bindVertexArrayOES(s.vao)),d=s.availableAttributes,h=s.indicesBuffer,_){var x=r.enableAttributes(this,s.availableAttributeSymbols,e&&i&&s);for(f=0;f<d.length;f++){var b=x[f];if(-1!==b){var w,S=(w=d[f]).buffer,M=w.size,T=iC[w.type]||o.FLOAT;o.bindBuffer(o.ARRAY_BUFFER,S),o.vertexAttribPointer(b,M,T,!1,0,0)}}n.isUseIndices()&&o.bindBuffer(o.ELEMENT_ARRAY_BUFFER,h.buffer)}return s},renderPreZ:function(e,t,n){var r=this.gl,i=this._prezMaterial||new aI({shader:new jI(jI.source("clay.prez.vertex"),jI.source("clay.prez.fragment"))});this._prezMaterial=i,r.colorMask(!1,!1,!1,!1),r.depthMask(!0),this.renderPass(e,n,{ifRender:function(e){return!e.ignorePreZ},isMaterialChanged:function(e,t){var n=e.material,r=t.material;return n.get("diffuseMap")!==r.get("diffuseMap")||(n.get("alphaCutoff")||0)!==(r.get("alphaCutoff")||0)},getUniform:function(e,t,n){return"alphaMap"===n?e.material.get("diffuseMap"):"alphaCutoff"===n?e.material.isDefined("fragment","ALPHA_TEST")&&e.material.get("diffuseMap")&&e.material.get("alphaCutoff")||0:"uvRepeat"===n?e.material.get("uvRepeat"):"uvOffset"===n?e.material.get("uvOffset"):t.get(n)},getMaterial:function(){return i},sort:this.opaqueSortCompare}),r.colorMask(!0,!0,!0,!0),r.depthMask(!0)},disposeScene:function(e){this.disposeNode(e,!0,!0),e.dispose()},disposeNode:function(e,t,n){e.getParent()&&e.getParent().remove(e);var r={};e.traverse((function(e){var i=e.material;if(e.geometry&&t&&e.geometry.dispose(this),n&&i&&!r[i.__uid__]){for(var o=i.getTextureUniforms(),a=0;a<o.length;a++){var s=o[a],l=i.uniforms[s].value,u=i.uniforms[s].type;if(l)if("t"===u)l.dispose&&l.dispose(this);else if("tv"===u)for(var c=0;c<l.length;c++)l[c]&&l[c].dispose&&l[c].dispose(this)}r[i.__uid__]=!0}e.dispose&&e.dispose(this)}),this)},disposeGeometry:function(e){e.dispose(this)},disposeTexture:function(e){e.dispose(this)},disposeFrameBuffer:function(e){e.dispose(this)},dispose:function(){},screenToNDC:function(e,t,n){n||(n=new gI),t=this._height-t;var r=this.viewport,i=n.array;return i[0]=(e-r.x)/r.width,i[0]=2*i[0]-1,i[1]=(t-r.y)/r.height,i[1]=2*i[1]-1,n}});sC.opaqueSortCompare=sC.prototype.opaqueSortCompare=function(e,t){return e.renderOrder===t.renderOrder?e.__program===t.__program?e.material===t.material?e.geometry.__uid__-t.geometry.__uid__:e.material.__uid__-t.material.__uid__:e.__program&&t.__program?e.__program.__uid__-t.__program.__uid__:0:e.renderOrder-t.renderOrder},sC.transparentSortCompare=sC.prototype.transparentSortCompare=function(e,t){return e.renderOrder===t.renderOrder?e.__depth===t.__depth?e.__program===t.__program?e.material===t.material?e.geometry.__uid__-t.geometry.__uid__:e.material.__uid__-t.material.__uid__:e.__program&&t.__program?e.__program.__uid__-t.__program.__uid__:0:e.__depth-t.__depth:e.renderOrder-t.renderOrder};var lC={IDENTITY:KI(),WORLD:KI(),VIEW:KI(),PROJECTION:KI(),WORLDVIEW:KI(),VIEWPROJECTION:KI(),WORLDVIEWPROJECTION:KI(),WORLDINVERSE:KI(),VIEWINVERSE:KI(),PROJECTIONINVERSE:KI(),WORLDVIEWINVERSE:KI(),VIEWPROJECTIONINVERSE:KI(),WORLDVIEWPROJECTIONINVERSE:KI(),WORLDTRANSPOSE:KI(),VIEWTRANSPOSE:KI(),PROJECTIONTRANSPOSE:KI(),WORLDVIEWTRANSPOSE:KI(),VIEWPROJECTIONTRANSPOSE:KI(),WORLDVIEWPROJECTIONTRANSPOSE:KI(),WORLDINVERSETRANSPOSE:KI(),VIEWINVERSETRANSPOSE:KI(),PROJECTIONINVERSETRANSPOSE:KI(),WORLDVIEWINVERSETRANSPOSE:KI(),VIEWPROJECTIONINVERSETRANSPOSE:KI(),WORLDVIEWPROJECTIONINVERSETRANSPOSE:KI()};sC.COLOR_BUFFER_BIT=VT,sC.DEPTH_BUFFER_BIT=FT,sC.STENCIL_BUFFER_BIT=zT;const uC=sC;var cC=function(e,t,n){e=e||0,t=t||0,n=n||0,this.array=$I.fromValues(e,t,n),this._dirty=!0};cC.prototype={constructor:cC,add:function(e){return $I.add(this.array,this.array,e.array),this._dirty=!0,this},set:function(e,t,n){return this.array[0]=e,this.array[1]=t,this.array[2]=n,this._dirty=!0,this},setArray:function(e){return this.array[0]=e[0],this.array[1]=e[1],this.array[2]=e[2],this._dirty=!0,this},clone:function(){return new cC(this.x,this.y,this.z)},copy:function(e){return $I.copy(this.array,e.array),this._dirty=!0,this},cross:function(e,t){return $I.cross(this.array,e.array,t.array),this._dirty=!0,this},dist:function(e){return $I.dist(this.array,e.array)},distance:function(e){return $I.distance(this.array,e.array)},div:function(e){return $I.div(this.array,this.array,e.array),this._dirty=!0,this},divide:function(e){return $I.divide(this.array,this.array,e.array),this._dirty=!0,this},dot:function(e){return $I.dot(this.array,e.array)},len:function(){return $I.len(this.array)},length:function(){return $I.length(this.array)},lerp:function(e,t,n){return $I.lerp(this.array,e.array,t.array,n),this._dirty=!0,this},min:function(e){return $I.min(this.array,this.array,e.array),this._dirty=!0,this},max:function(e){return $I.max(this.array,this.array,e.array),this._dirty=!0,this},mul:function(e){return $I.mul(this.array,this.array,e.array),this._dirty=!0,this},multiply:function(e){return $I.multiply(this.array,this.array,e.array),this._dirty=!0,this},negate:function(){return $I.negate(this.array,this.array),this._dirty=!0,this},normalize:function(){return $I.normalize(this.array,this.array),this._dirty=!0,this},random:function(e){return $I.random(this.array,e),this._dirty=!0,this},scale:function(e){return $I.scale(this.array,this.array,e),this._dirty=!0,this},scaleAndAdd:function(e,t){return $I.scaleAndAdd(this.array,this.array,e.array,t),this._dirty=!0,this},sqrDist:function(e){return $I.sqrDist(this.array,e.array)},squaredDistance:function(e){return $I.squaredDistance(this.array,e.array)},sqrLen:function(){return $I.sqrLen(this.array)},squaredLength:function(){return $I.squaredLength(this.array)},sub:function(e){return $I.sub(this.array,this.array,e.array),this._dirty=!0,this},subtract:function(e){return $I.subtract(this.array,this.array,e.array),this._dirty=!0,this},transformMat3:function(e){return $I.transformMat3(this.array,this.array,e.array),this._dirty=!0,this},transformMat4:function(e){return $I.transformMat4(this.array,this.array,e.array),this._dirty=!0,this},transformQuat:function(e){return $I.transformQuat(this.array,this.array,e.array),this._dirty=!0,this},applyProjection:function(e){var t=this.array;if(0===(e=e.array)[15]){var n=-1/t[2];t[0]=e[0]*t[0]*n,t[1]=e[5]*t[1]*n,t[2]=(e[10]*t[2]+e[14])*n}else t[0]=e[0]*t[0]+e[12],t[1]=e[5]*t[1]+e[13],t[2]=e[10]*t[2]+e[14];return this._dirty=!0,this},eulerFromQuat:function(e,t){cC.eulerFromQuat(this,e,t)},eulerFromMat3:function(e,t){cC.eulerFromMat3(this,e,t)},toString:function(){return"["+Array.prototype.join.call(this.array,",")+"]"},toArray:function(){return Array.prototype.slice.call(this.array)}};var hC=Object.defineProperty;if(hC){var dC=cC.prototype;hC(dC,"x",{get:function(){return this.array[0]},set:function(e){this.array[0]=e,this._dirty=!0}}),hC(dC,"y",{get:function(){return this.array[1]},set:function(e){this.array[1]=e,this._dirty=!0}}),hC(dC,"z",{get:function(){return this.array[2]},set:function(e){this.array[2]=e,this._dirty=!0}})}function pC(e,t,n){return e<t?t:e>n?n:e}cC.add=function(e,t,n){return $I.add(e.array,t.array,n.array),e._dirty=!0,e},cC.set=function(e,t,n,r){$I.set(e.array,t,n,r),e._dirty=!0},cC.copy=function(e,t){return $I.copy(e.array,t.array),e._dirty=!0,e},cC.cross=function(e,t,n){return $I.cross(e.array,t.array,n.array),e._dirty=!0,e},cC.distance=cC.dist=function(e,t){return $I.distance(e.array,t.array)},cC.div=function(e,t,n){return $I.divide(e.array,t.array,n.array),e._dirty=!0,e},cC.divide=cC.div,cC.dot=function(e,t){return $I.dot(e.array,t.array)},cC.len=function(e){return $I.length(e.array)},cC.lerp=function(e,t,n,r){return $I.lerp(e.array,t.array,n.array,r),e._dirty=!0,e},cC.min=function(e,t,n){return $I.min(e.array,t.array,n.array),e._dirty=!0,e},cC.max=function(e,t,n){return $I.max(e.array,t.array,n.array),e._dirty=!0,e},cC.mul=function(e,t,n){return $I.multiply(e.array,t.array,n.array),e._dirty=!0,e},cC.multiply=cC.mul,cC.negate=function(e,t){return $I.negate(e.array,t.array),e._dirty=!0,e},cC.normalize=function(e,t){return $I.normalize(e.array,t.array),e._dirty=!0,e},cC.random=function(e,t){return $I.random(e.array,t),e._dirty=!0,e},cC.scale=function(e,t,n){return $I.scale(e.array,t.array,n),e._dirty=!0,e},cC.scaleAndAdd=function(e,t,n,r){return $I.scaleAndAdd(e.array,t.array,n.array,r),e._dirty=!0,e},cC.squaredDistance=cC.sqrDist=function(e,t){return $I.sqrDist(e.array,t.array)},cC.squaredLength=cC.sqrLen=function(e){return $I.sqrLen(e.array)},cC.sub=function(e,t,n){return $I.subtract(e.array,t.array,n.array),e._dirty=!0,e},cC.subtract=cC.sub,cC.transformMat3=function(e,t,n){return $I.transformMat3(e.array,t.array,n.array),e._dirty=!0,e},cC.transformMat4=function(e,t,n){return $I.transformMat4(e.array,t.array,n.array),e._dirty=!0,e},cC.transformQuat=function(e,t,n){return $I.transformQuat(e.array,t.array,n.array),e._dirty=!0,e};var fC=Math.atan2,gC=Math.asin,mC=Math.abs;cC.eulerFromQuat=function(e,t,n){e._dirty=!0,t=t.array;var r=e.array,i=t[0],o=t[1],a=t[2],s=t[3],l=i*i,u=o*o,c=a*a,h=s*s;switch(n=(n||"XYZ").toUpperCase()){case"XYZ":r[0]=fC(2*(i*s-o*a),h-l-u+c),r[1]=gC(pC(2*(i*a+o*s),-1,1)),r[2]=fC(2*(a*s-i*o),h+l-u-c);break;case"YXZ":r[0]=gC(pC(2*(i*s-o*a),-1,1)),r[1]=fC(2*(i*a+o*s),h-l-u+c),r[2]=fC(2*(i*o+a*s),h-l+u-c);break;case"ZXY":r[0]=gC(pC(2*(i*s+o*a),-1,1)),r[1]=fC(2*(o*s-a*i),h-l-u+c),r[2]=fC(2*(a*s-i*o),h-l+u-c);break;case"ZYX":r[0]=fC(2*(i*s+a*o),h-l-u+c),r[1]=gC(pC(2*(o*s-i*a),-1,1)),r[2]=fC(2*(i*o+a*s),h+l-u-c);break;case"YZX":r[0]=fC(2*(i*s-a*o),h-l+u-c),r[1]=fC(2*(o*s-i*a),h+l-u-c),r[2]=gC(pC(2*(i*o+a*s),-1,1));break;case"XZY":r[0]=fC(2*(i*s+o*a),h-l+u-c),r[1]=fC(2*(i*a+o*s),h+l-u-c),r[2]=gC(pC(2*(a*s-i*o),-1,1));break;default:console.warn("Unkown order: "+n)}return e},cC.eulerFromMat3=function(e,t,n){var r=t.array,i=r[0],o=r[3],a=r[6],s=r[1],l=r[4],u=r[7],c=r[2],h=r[5],d=r[8],p=e.array;switch(n=(n||"XYZ").toUpperCase()){case"XYZ":p[1]=gC(pC(a,-1,1)),mC(a)<.99999?(p[0]=fC(-u,d),p[2]=fC(-o,i)):(p[0]=fC(h,l),p[2]=0);break;case"YXZ":p[0]=gC(-pC(u,-1,1)),mC(u)<.99999?(p[1]=fC(a,d),p[2]=fC(s,l)):(p[1]=fC(-c,i),p[2]=0);break;case"ZXY":p[0]=gC(pC(h,-1,1)),mC(h)<.99999?(p[1]=fC(-c,d),p[2]=fC(-o,l)):(p[1]=0,p[2]=fC(s,i));break;case"ZYX":p[1]=gC(-pC(c,-1,1)),mC(c)<.99999?(p[0]=fC(h,d),p[2]=fC(s,i)):(p[0]=0,p[2]=fC(-o,l));break;case"YZX":p[2]=gC(pC(s,-1,1)),mC(s)<.99999?(p[0]=fC(-u,l),p[1]=fC(-c,i)):(p[0]=0,p[1]=fC(a,d));break;case"XZY":p[2]=gC(-pC(o,-1,1)),mC(o)<.99999?(p[0]=fC(h,l),p[1]=fC(a,i)):(p[0]=fC(-u,d),p[1]=0);break;default:console.warn("Unkown order: "+n)}return e._dirty=!0,e},Object.defineProperties(cC,{POSITIVE_X:{get:function(){return new cC(1,0,0)}},NEGATIVE_X:{get:function(){return new cC(-1,0,0)}},POSITIVE_Y:{get:function(){return new cC(0,1,0)}},NEGATIVE_Y:{get:function(){return new cC(0,-1,0)}},POSITIVE_Z:{get:function(){return new cC(0,0,1)}},NEGATIVE_Z:{get:function(){return new cC(0,0,-1)}},UP:{get:function(){return new cC(0,1,0)}},ZERO:{get:function(){return new cC}}});const vC=cC;var yC,_C,xC,bC,wC,SC=function(e,t){this.origin=e||new vC,this.direction=t||new vC};SC.prototype={constructor:SC,intersectPlane:function(e,t){var n=e.normal.array,r=e.distance,i=this.origin.array,o=this.direction.array,a=$I.dot(n,o);if(0===a)return null;t||(t=new vC);var s=($I.dot(n,i)-r)/a;return $I.scaleAndAdd(t.array,i,o,-s),t._dirty=!0,t},mirrorAgainstPlane:function(e){var t=$I.dot(e.normal.array,this.direction.array);$I.scaleAndAdd(this.direction.array,this.direction.array,e.normal.array,2*-t),this.direction._dirty=!0},distanceToPoint:(wC=$I.create(),function(e){$I.sub(wC,e,this.origin.array);var t=$I.dot(wC,this.direction.array);if(t<0)return $I.distance(this.origin.array,e);var n=$I.lenSquared(wC);return Math.sqrt(n-t*t)}),intersectSphere:function(){var e=$I.create();return function(t,n,r){var i=this.origin.array,o=this.direction.array;t=t.array,$I.sub(e,t,i);var a=$I.dot(e,o),s=$I.squaredLength(e)-a*a,l=n*n;if(!(s>l)){var u=Math.sqrt(l-s),c=a-u,h=a+u;return r||(r=new vC),c<0?h<0?null:($I.scaleAndAdd(r.array,i,o,h),r):($I.scaleAndAdd(r.array,i,o,c),r)}}}(),intersectBoundingBox:function(e,t){var n,r,i,o,a,s,l=this.direction.array,u=this.origin.array,c=e.min.array,h=e.max.array,d=1/l[0],p=1/l[1],f=1/l[2];if(d>=0?(n=(c[0]-u[0])*d,r=(h[0]-u[0])*d):(r=(c[0]-u[0])*d,n=(h[0]-u[0])*d),p>=0?(i=(c[1]-u[1])*p,o=(h[1]-u[1])*p):(o=(c[1]-u[1])*p,i=(h[1]-u[1])*p),n>o||i>r)return null;if((i>n||n!=n)&&(n=i),(o<r||r!=r)&&(r=o),f>=0?(a=(c[2]-u[2])*f,s=(h[2]-u[2])*f):(s=(c[2]-u[2])*f,a=(h[2]-u[2])*f),n>s||a>r)return null;if((a>n||n!=n)&&(n=a),(s<r||r!=r)&&(r=s),r<0)return null;var g=n>=0?n:r;return t||(t=new vC),$I.scaleAndAdd(t.array,u,l,g),t},intersectTriangle:(yC=$I.create(),_C=$I.create(),xC=$I.create(),bC=$I.create(),function(e,t,n,r,i,o){var a=this.direction.array,s=this.origin.array;e=e.array,t=t.array,n=n.array,$I.sub(yC,t,e),$I.sub(_C,n,e),$I.cross(bC,_C,a);var l=$I.dot(yC,bC);if(r){if(l>-1e-5)return null}else if(l>-1e-5&&l<1e-5)return null;$I.sub(xC,s,e);var u=$I.dot(bC,xC)/l;if(u<0||u>1)return null;$I.cross(bC,yC,xC);var c=$I.dot(a,bC)/l;if(c<0||c>1||u+c>1)return null;$I.cross(bC,yC,_C);var h=-$I.dot(xC,bC)/l;return h<0?null:(i||(i=new vC),o&&vC.set(o,1-u-c,u,c),$I.scaleAndAdd(i.array,s,a,h),i)}),applyTransform:function(e){vC.add(this.direction,this.direction,this.origin),vC.transformMat4(this.origin,this.origin,e),vC.transformMat4(this.direction,this.direction,e),vC.sub(this.direction,this.direction,this.origin),vC.normalize(this.direction,this.direction)},copy:function(e){vC.copy(this.origin,e.origin),vC.copy(this.direction,e.direction)},clone:function(){var e=new SC;return e.copy(this),e}};const MC=SC;var TC={create:function(){var e=new uI(4);return e[0]=0,e[1]=0,e[2]=0,e[3]=0,e},clone:function(e){var t=new uI(4);return t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[3],t},fromValues:function(e,t,n,r){var i=new uI(4);return i[0]=e,i[1]=t,i[2]=n,i[3]=r,i},copy:function(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e},set:function(e,t,n,r,i){return e[0]=t,e[1]=n,e[2]=r,e[3]=i,e},add:function(e,t,n){return e[0]=t[0]+n[0],e[1]=t[1]+n[1],e[2]=t[2]+n[2],e[3]=t[3]+n[3],e},subtract:function(e,t,n){return e[0]=t[0]-n[0],e[1]=t[1]-n[1],e[2]=t[2]-n[2],e[3]=t[3]-n[3],e}};TC.sub=TC.subtract,TC.multiply=function(e,t,n){return e[0]=t[0]*n[0],e[1]=t[1]*n[1],e[2]=t[2]*n[2],e[3]=t[3]*n[3],e},TC.mul=TC.multiply,TC.divide=function(e,t,n){return e[0]=t[0]/n[0],e[1]=t[1]/n[1],e[2]=t[2]/n[2],e[3]=t[3]/n[3],e},TC.div=TC.divide,TC.min=function(e,t,n){return e[0]=Math.min(t[0],n[0]),e[1]=Math.min(t[1],n[1]),e[2]=Math.min(t[2],n[2]),e[3]=Math.min(t[3],n[3]),e},TC.max=function(e,t,n){return e[0]=Math.max(t[0],n[0]),e[1]=Math.max(t[1],n[1]),e[2]=Math.max(t[2],n[2]),e[3]=Math.max(t[3],n[3]),e},TC.scale=function(e,t,n){return e[0]=t[0]*n,e[1]=t[1]*n,e[2]=t[2]*n,e[3]=t[3]*n,e},TC.scaleAndAdd=function(e,t,n,r){return e[0]=t[0]+n[0]*r,e[1]=t[1]+n[1]*r,e[2]=t[2]+n[2]*r,e[3]=t[3]+n[3]*r,e},TC.distance=function(e,t){var n=t[0]-e[0],r=t[1]-e[1],i=t[2]-e[2],o=t[3]-e[3];return Math.sqrt(n*n+r*r+i*i+o*o)},TC.dist=TC.distance,TC.squaredDistance=function(e,t){var n=t[0]-e[0],r=t[1]-e[1],i=t[2]-e[2],o=t[3]-e[3];return n*n+r*r+i*i+o*o},TC.sqrDist=TC.squaredDistance,TC.length=function(e){var t=e[0],n=e[1],r=e[2],i=e[3];return Math.sqrt(t*t+n*n+r*r+i*i)},TC.len=TC.length,TC.squaredLength=function(e){var t=e[0],n=e[1],r=e[2],i=e[3];return t*t+n*n+r*r+i*i},TC.sqrLen=TC.squaredLength,TC.negate=function(e,t){return e[0]=-t[0],e[1]=-t[1],e[2]=-t[2],e[3]=-t[3],e},TC.inverse=function(e,t){return e[0]=1/t[0],e[1]=1/t[1],e[2]=1/t[2],e[3]=1/t[3],e},TC.normalize=function(e,t){var n=t[0],r=t[1],i=t[2],o=t[3],a=n*n+r*r+i*i+o*o;return a>0&&(a=1/Math.sqrt(a),e[0]=t[0]*a,e[1]=t[1]*a,e[2]=t[2]*a,e[3]=t[3]*a),e},TC.dot=function(e,t){return e[0]*t[0]+e[1]*t[1]+e[2]*t[2]+e[3]*t[3]},TC.lerp=function(e,t,n,r){var i=t[0],o=t[1],a=t[2],s=t[3];return e[0]=i+r*(n[0]-i),e[1]=o+r*(n[1]-o),e[2]=a+r*(n[2]-a),e[3]=s+r*(n[3]-s),e},TC.random=function(e,t){return t=t||1,e[0]=cI(),e[1]=cI(),e[2]=cI(),e[3]=cI(),TC.normalize(e,e),TC.scale(e,e,t),e},TC.transformMat4=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3];return e[0]=n[0]*r+n[4]*i+n[8]*o+n[12]*a,e[1]=n[1]*r+n[5]*i+n[9]*o+n[13]*a,e[2]=n[2]*r+n[6]*i+n[10]*o+n[14]*a,e[3]=n[3]*r+n[7]*i+n[11]*o+n[15]*a,e},TC.transformQuat=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=n[0],s=n[1],l=n[2],u=n[3],c=u*r+s*o-l*i,h=u*i+l*r-a*o,d=u*o+a*i-s*r,p=-a*r-s*i-l*o;return e[0]=c*u+p*-a+h*-l-d*-s,e[1]=h*u+p*-s+d*-a-c*-l,e[2]=d*u+p*-l+c*-s-h*-a,e},TC.forEach=function(){var e=TC.create();return function(t,n,r,i,o,a){var s,l;for(n||(n=4),r||(r=0),l=i?Math.min(i*n+r,t.length):t.length,s=r;s<l;s+=n)e[0]=t[s],e[1]=t[s+1],e[2]=t[s+2],e[3]=t[s+3],o(e,e,a),t[s]=e[0],t[s+1]=e[1],t[s+2]=e[2],t[s+3]=e[3];return t}}();const AC=TC;var IC={create:function(){var e=new uI(9);return e[0]=1,e[1]=0,e[2]=0,e[3]=0,e[4]=1,e[5]=0,e[6]=0,e[7]=0,e[8]=1,e},fromMat4:function(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[4],e[4]=t[5],e[5]=t[6],e[6]=t[8],e[7]=t[9],e[8]=t[10],e},clone:function(e){var t=new uI(9);return t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[3],t[4]=e[4],t[5]=e[5],t[6]=e[6],t[7]=e[7],t[8]=e[8],t},copy:function(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e[4]=t[4],e[5]=t[5],e[6]=t[6],e[7]=t[7],e[8]=t[8],e},identity:function(e){return e[0]=1,e[1]=0,e[2]=0,e[3]=0,e[4]=1,e[5]=0,e[6]=0,e[7]=0,e[8]=1,e},transpose:function(e,t){if(e===t){var n=t[1],r=t[2],i=t[5];e[1]=t[3],e[2]=t[6],e[3]=n,e[5]=t[7],e[6]=r,e[7]=i}else e[0]=t[0],e[1]=t[3],e[2]=t[6],e[3]=t[1],e[4]=t[4],e[5]=t[7],e[6]=t[2],e[7]=t[5],e[8]=t[8];return e},invert:function(e,t){var n=t[0],r=t[1],i=t[2],o=t[3],a=t[4],s=t[5],l=t[6],u=t[7],c=t[8],h=c*a-s*u,d=-c*o+s*l,p=u*o-a*l,f=n*h+r*d+i*p;return f?(f=1/f,e[0]=h*f,e[1]=(-c*r+i*u)*f,e[2]=(s*r-i*a)*f,e[3]=d*f,e[4]=(c*n-i*l)*f,e[5]=(-s*n+i*o)*f,e[6]=p*f,e[7]=(-u*n+r*l)*f,e[8]=(a*n-r*o)*f,e):null},adjoint:function(e,t){var n=t[0],r=t[1],i=t[2],o=t[3],a=t[4],s=t[5],l=t[6],u=t[7],c=t[8];return e[0]=a*c-s*u,e[1]=i*u-r*c,e[2]=r*s-i*a,e[3]=s*l-o*c,e[4]=n*c-i*l,e[5]=i*o-n*s,e[6]=o*u-a*l,e[7]=r*l-n*u,e[8]=n*a-r*o,e},determinant:function(e){var t=e[0],n=e[1],r=e[2],i=e[3],o=e[4],a=e[5],s=e[6],l=e[7],u=e[8];return t*(u*o-a*l)+n*(-u*i+a*s)+r*(l*i-o*s)},multiply:function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=t[4],l=t[5],u=t[6],c=t[7],h=t[8],d=n[0],p=n[1],f=n[2],g=n[3],m=n[4],v=n[5],y=n[6],_=n[7],x=n[8];return e[0]=d*r+p*a+f*u,e[1]=d*i+p*s+f*c,e[2]=d*o+p*l+f*h,e[3]=g*r+m*a+v*u,e[4]=g*i+m*s+v*c,e[5]=g*o+m*l+v*h,e[6]=y*r+_*a+x*u,e[7]=y*i+_*s+x*c,e[8]=y*o+_*l+x*h,e}};IC.mul=IC.multiply,IC.translate=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=t[4],l=t[5],u=t[6],c=t[7],h=t[8],d=n[0],p=n[1];return e[0]=r,e[1]=i,e[2]=o,e[3]=a,e[4]=s,e[5]=l,e[6]=d*r+p*a+u,e[7]=d*i+p*s+c,e[8]=d*o+p*l+h,e},IC.rotate=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=t[4],l=t[5],u=t[6],c=t[7],h=t[8],d=Math.sin(n),p=Math.cos(n);return e[0]=p*r+d*a,e[1]=p*i+d*s,e[2]=p*o+d*l,e[3]=p*a-d*r,e[4]=p*s-d*i,e[5]=p*l-d*o,e[6]=u,e[7]=c,e[8]=h,e},IC.scale=function(e,t,n){var r=n[0],i=n[1];return e[0]=r*t[0],e[1]=r*t[1],e[2]=r*t[2],e[3]=i*t[3],e[4]=i*t[4],e[5]=i*t[5],e[6]=t[6],e[7]=t[7],e[8]=t[8],e},IC.fromMat2d=function(e,t){return e[0]=t[0],e[1]=t[1],e[2]=0,e[3]=t[2],e[4]=t[3],e[5]=0,e[6]=t[4],e[7]=t[5],e[8]=1,e},IC.fromQuat=function(e,t){var n=t[0],r=t[1],i=t[2],o=t[3],a=n+n,s=r+r,l=i+i,u=n*a,c=r*a,h=r*s,d=i*a,p=i*s,f=i*l,g=o*a,m=o*s,v=o*l;return e[0]=1-h-f,e[3]=c-v,e[6]=d+m,e[1]=c+v,e[4]=1-u-f,e[7]=p-g,e[2]=d-m,e[5]=p+g,e[8]=1-u-h,e},IC.normalFromMat4=function(e,t){var n=t[0],r=t[1],i=t[2],o=t[3],a=t[4],s=t[5],l=t[6],u=t[7],c=t[8],h=t[9],d=t[10],p=t[11],f=t[12],g=t[13],m=t[14],v=t[15],y=n*s-r*a,_=n*l-i*a,x=n*u-o*a,b=r*l-i*s,w=r*u-o*s,S=i*u-o*l,M=c*g-h*f,T=c*m-d*f,A=c*v-p*f,I=h*m-d*g,C=h*v-p*g,D=d*v-p*m,E=y*D-_*C+x*I+b*A-w*T+S*M;return E?(E=1/E,e[0]=(s*D-l*C+u*I)*E,e[1]=(l*A-a*D-u*T)*E,e[2]=(a*C-s*A+u*M)*E,e[3]=(i*C-r*D-o*I)*E,e[4]=(n*D-i*A+o*T)*E,e[5]=(r*A-n*C-o*M)*E,e[6]=(g*S-m*w+v*b)*E,e[7]=(m*x-f*S-v*_)*E,e[8]=(f*w-g*x+v*y)*E,e):null},IC.frob=function(e){return Math.sqrt(Math.pow(e[0],2)+Math.pow(e[1],2)+Math.pow(e[2],2)+Math.pow(e[3],2)+Math.pow(e[4],2)+Math.pow(e[5],2)+Math.pow(e[6],2)+Math.pow(e[7],2)+Math.pow(e[8],2))};const CC=IC;var DC,EC,LC,PC,OC={create:function(){var e=new uI(4);return e[0]=0,e[1]=0,e[2]=0,e[3]=1,e}};OC.rotationTo=(DC=$I.create(),EC=$I.fromValues(1,0,0),LC=$I.fromValues(0,1,0),function(e,t,n){var r=$I.dot(t,n);return r<-.999999?($I.cross(DC,EC,t),$I.length(DC)<1e-6&&$I.cross(DC,LC,t),$I.normalize(DC,DC),OC.setAxisAngle(e,DC,Math.PI),e):r>.999999?(e[0]=0,e[1]=0,e[2]=0,e[3]=1,e):($I.cross(DC,t,n),e[0]=DC[0],e[1]=DC[1],e[2]=DC[2],e[3]=1+r,OC.normalize(e,e))}),OC.setAxes=(PC=CC.create(),function(e,t,n,r){return PC[0]=n[0],PC[3]=n[1],PC[6]=n[2],PC[1]=r[0],PC[4]=r[1],PC[7]=r[2],PC[2]=-t[0],PC[5]=-t[1],PC[8]=-t[2],OC.normalize(e,OC.fromMat3(e,PC))}),OC.clone=AC.clone,OC.fromValues=AC.fromValues,OC.copy=AC.copy,OC.set=AC.set,OC.identity=function(e){return e[0]=0,e[1]=0,e[2]=0,e[3]=1,e},OC.setAxisAngle=function(e,t,n){n*=.5;var r=Math.sin(n);return e[0]=r*t[0],e[1]=r*t[1],e[2]=r*t[2],e[3]=Math.cos(n),e},OC.add=AC.add,OC.multiply=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=n[0],l=n[1],u=n[2],c=n[3];return e[0]=r*c+a*s+i*u-o*l,e[1]=i*c+a*l+o*s-r*u,e[2]=o*c+a*u+r*l-i*s,e[3]=a*c-r*s-i*l-o*u,e},OC.mul=OC.multiply,OC.scale=AC.scale,OC.rotateX=function(e,t,n){n*=.5;var r=t[0],i=t[1],o=t[2],a=t[3],s=Math.sin(n),l=Math.cos(n);return e[0]=r*l+a*s,e[1]=i*l+o*s,e[2]=o*l-i*s,e[3]=a*l-r*s,e},OC.rotateY=function(e,t,n){n*=.5;var r=t[0],i=t[1],o=t[2],a=t[3],s=Math.sin(n),l=Math.cos(n);return e[0]=r*l-o*s,e[1]=i*l+a*s,e[2]=o*l+r*s,e[3]=a*l-i*s,e},OC.rotateZ=function(e,t,n){n*=.5;var r=t[0],i=t[1],o=t[2],a=t[3],s=Math.sin(n),l=Math.cos(n);return e[0]=r*l+i*s,e[1]=i*l-r*s,e[2]=o*l+a*s,e[3]=a*l-o*s,e},OC.calculateW=function(e,t){var n=t[0],r=t[1],i=t[2];return e[0]=n,e[1]=r,e[2]=i,e[3]=Math.sqrt(Math.abs(1-n*n-r*r-i*i)),e},OC.dot=AC.dot,OC.lerp=AC.lerp,OC.slerp=function(e,t,n,r){var i,o,a,s,l,u=t[0],c=t[1],h=t[2],d=t[3],p=n[0],f=n[1],g=n[2],m=n[3];return(o=u*p+c*f+h*g+d*m)<0&&(o=-o,p=-p,f=-f,g=-g,m=-m),1-o>1e-6?(i=Math.acos(o),a=Math.sin(i),s=Math.sin((1-r)*i)/a,l=Math.sin(r*i)/a):(s=1-r,l=r),e[0]=s*u+l*p,e[1]=s*c+l*f,e[2]=s*h+l*g,e[3]=s*d+l*m,e},OC.invert=function(e,t){var n=t[0],r=t[1],i=t[2],o=t[3],a=n*n+r*r+i*i+o*o,s=a?1/a:0;return e[0]=-n*s,e[1]=-r*s,e[2]=-i*s,e[3]=o*s,e},OC.conjugate=function(e,t){return e[0]=-t[0],e[1]=-t[1],e[2]=-t[2],e[3]=t[3],e},OC.length=AC.length,OC.len=OC.length,OC.squaredLength=AC.squaredLength,OC.sqrLen=OC.squaredLength,OC.normalize=AC.normalize,OC.fromMat3=function(e,t){var n,r=t[0]+t[4]+t[8];if(r>0)n=Math.sqrt(r+1),e[3]=.5*n,n=.5/n,e[0]=(t[5]-t[7])*n,e[1]=(t[6]-t[2])*n,e[2]=(t[1]-t[3])*n;else{var i=0;t[4]>t[0]&&(i=1),t[8]>t[3*i+i]&&(i=2);var o=(i+1)%3,a=(i+2)%3;n=Math.sqrt(t[3*i+i]-t[3*o+o]-t[3*a+a]+1),e[i]=.5*n,n=.5/n,e[3]=(t[3*o+a]-t[3*a+o])*n,e[o]=(t[3*o+i]+t[3*i+o])*n,e[a]=(t[3*a+i]+t[3*i+a])*n}return e};const NC=OC;var RC,kC,BC,FC,zC=function(){this._axisX=new vC,this._axisY=new vC,this._axisZ=new vC,this.array=ZI.create(),this._dirty=!0};zC.prototype={constructor:zC,setArray:function(e){for(var t=0;t<this.array.length;t++)this.array[t]=e[t];return this._dirty=!0,this},adjoint:function(){return ZI.adjoint(this.array,this.array),this._dirty=!0,this},clone:function(){return(new zC).copy(this)},copy:function(e){return ZI.copy(this.array,e.array),this._dirty=!0,this},determinant:function(){return ZI.determinant(this.array)},fromQuat:function(e){return ZI.fromQuat(this.array,e.array),this._dirty=!0,this},fromRotationTranslation:function(e,t){return ZI.fromRotationTranslation(this.array,e.array,t.array),this._dirty=!0,this},fromMat2d:function(e){return zC.fromMat2d(this,e),this},frustum:function(e,t,n,r,i,o){return ZI.frustum(this.array,e,t,n,r,i,o),this._dirty=!0,this},identity:function(){return ZI.identity(this.array),this._dirty=!0,this},invert:function(){return ZI.invert(this.array,this.array),this._dirty=!0,this},lookAt:function(e,t,n){return ZI.lookAt(this.array,e.array,t.array,n.array),this._dirty=!0,this},mul:function(e){return ZI.mul(this.array,this.array,e.array),this._dirty=!0,this},mulLeft:function(e){return ZI.mul(this.array,e.array,this.array),this._dirty=!0,this},multiply:function(e){return ZI.multiply(this.array,this.array,e.array),this._dirty=!0,this},multiplyLeft:function(e){return ZI.multiply(this.array,e.array,this.array),this._dirty=!0,this},ortho:function(e,t,n,r,i,o){return ZI.ortho(this.array,e,t,n,r,i,o),this._dirty=!0,this},perspective:function(e,t,n,r){return ZI.perspective(this.array,e,t,n,r),this._dirty=!0,this},rotate:function(e,t){return ZI.rotate(this.array,this.array,e,t.array),this._dirty=!0,this},rotateX:function(e){return ZI.rotateX(this.array,this.array,e),this._dirty=!0,this},rotateY:function(e){return ZI.rotateY(this.array,this.array,e),this._dirty=!0,this},rotateZ:function(e){return ZI.rotateZ(this.array,this.array,e),this._dirty=!0,this},scale:function(e){return ZI.scale(this.array,this.array,e.array),this._dirty=!0,this},translate:function(e){return ZI.translate(this.array,this.array,e.array),this._dirty=!0,this},transpose:function(){return ZI.transpose(this.array,this.array),this._dirty=!0,this},decomposeMatrix:(RC=$I.create(),kC=$I.create(),BC=$I.create(),FC=CC.create(),function(e,t,n){var r=this.array;$I.set(RC,r[0],r[1],r[2]),$I.set(kC,r[4],r[5],r[6]),$I.set(BC,r[8],r[9],r[10]);var i=$I.length(RC),o=$I.length(kC),a=$I.length(BC);this.determinant()<0&&(i=-i),e&&e.set(i,o,a),n.set(r[12],r[13],r[14]),CC.fromMat4(FC,r),FC[0]/=i,FC[1]/=i,FC[2]/=i,FC[3]/=o,FC[4]/=o,FC[5]/=o,FC[6]/=a,FC[7]/=a,FC[8]/=a,NC.fromMat3(t.array,FC),NC.normalize(t.array,t.array),t._dirty=!0,n._dirty=!0}),toString:function(){return"["+Array.prototype.join.call(this.array,",")+"]"},toArray:function(){return Array.prototype.slice.call(this.array)}};var VC=Object.defineProperty;if(VC){var GC=zC.prototype;VC(GC,"z",{get:function(){var e=this.array;return this._axisZ.set(e[8],e[9],e[10]),this._axisZ},set:function(e){var t=this.array;e=e.array,t[8]=e[0],t[9]=e[1],t[10]=e[2],this._dirty=!0}}),VC(GC,"y",{get:function(){var e=this.array;return this._axisY.set(e[4],e[5],e[6]),this._axisY},set:function(e){var t=this.array;e=e.array,t[4]=e[0],t[5]=e[1],t[6]=e[2],this._dirty=!0}}),VC(GC,"x",{get:function(){var e=this.array;return this._axisX.set(e[0],e[1],e[2]),this._axisX},set:function(e){var t=this.array;e=e.array,t[0]=e[0],t[1]=e[1],t[2]=e[2],this._dirty=!0}})}zC.adjoint=function(e,t){return ZI.adjoint(e.array,t.array),e._dirty=!0,e},zC.copy=function(e,t){return ZI.copy(e.array,t.array),e._dirty=!0,e},zC.determinant=function(e){return ZI.determinant(e.array)},zC.identity=function(e){return ZI.identity(e.array),e._dirty=!0,e},zC.ortho=function(e,t,n,r,i,o,a){return ZI.ortho(e.array,t,n,r,i,o,a),e._dirty=!0,e},zC.perspective=function(e,t,n,r,i){return ZI.perspective(e.array,t,n,r,i),e._dirty=!0,e},zC.lookAt=function(e,t,n,r){return ZI.lookAt(e.array,t.array,n.array,r.array),e._dirty=!0,e},zC.invert=function(e,t){return ZI.invert(e.array,t.array),e._dirty=!0,e},zC.mul=function(e,t,n){return ZI.mul(e.array,t.array,n.array),e._dirty=!0,e},zC.multiply=zC.mul,zC.fromQuat=function(e,t){return ZI.fromQuat(e.array,t.array),e._dirty=!0,e},zC.fromRotationTranslation=function(e,t,n){return ZI.fromRotationTranslation(e.array,t.array,n.array),e._dirty=!0,e},zC.fromMat2d=function(e,t){return e._dirty=!0,t=t.array,(e=e.array)[0]=t[0],e[4]=t[2],e[12]=t[4],e[1]=t[1],e[5]=t[3],e[13]=t[5],e},zC.rotate=function(e,t,n,r){return ZI.rotate(e.array,t.array,n,r.array),e._dirty=!0,e},zC.rotateX=function(e,t,n){return ZI.rotateX(e.array,t.array,n),e._dirty=!0,e},zC.rotateY=function(e,t,n){return ZI.rotateY(e.array,t.array,n),e._dirty=!0,e},zC.rotateZ=function(e,t,n){return ZI.rotateZ(e.array,t.array,n),e._dirty=!0,e},zC.scale=function(e,t,n){return ZI.scale(e.array,t.array,n.array),e._dirty=!0,e},zC.transpose=function(e,t){return ZI.transpose(e.array,t.array),e._dirty=!0,e},zC.translate=function(e,t,n){return ZI.translate(e.array,t.array,n.array),e._dirty=!0,e};const HC=zC;var UC=function(e,t,n,r){e=e||0,t=t||0,n=n||0,r=void 0===r?1:r,this.array=NC.fromValues(e,t,n,r),this._dirty=!0};UC.prototype={constructor:UC,add:function(e){return NC.add(this.array,this.array,e.array),this._dirty=!0,this},calculateW:function(){return NC.calculateW(this.array,this.array),this._dirty=!0,this},set:function(e,t,n,r){return this.array[0]=e,this.array[1]=t,this.array[2]=n,this.array[3]=r,this._dirty=!0,this},setArray:function(e){return this.array[0]=e[0],this.array[1]=e[1],this.array[2]=e[2],this.array[3]=e[3],this._dirty=!0,this},clone:function(){return new UC(this.x,this.y,this.z,this.w)},conjugate:function(){return NC.conjugate(this.array,this.array),this._dirty=!0,this},copy:function(e){return NC.copy(this.array,e.array),this._dirty=!0,this},dot:function(e){return NC.dot(this.array,e.array)},fromMat3:function(e){return NC.fromMat3(this.array,e.array),this._dirty=!0,this},fromMat4:function(){var e=CC.create();return function(t){return CC.fromMat4(e,t.array),CC.transpose(e,e),NC.fromMat3(this.array,e),this._dirty=!0,this}}(),identity:function(){return NC.identity(this.array),this._dirty=!0,this},invert:function(){return NC.invert(this.array,this.array),this._dirty=!0,this},len:function(){return NC.len(this.array)},length:function(){return NC.length(this.array)},lerp:function(e,t,n){return NC.lerp(this.array,e.array,t.array,n),this._dirty=!0,this},mul:function(e){return NC.mul(this.array,this.array,e.array),this._dirty=!0,this},mulLeft:function(e){return NC.multiply(this.array,e.array,this.array),this._dirty=!0,this},multiply:function(e){return NC.multiply(this.array,this.array,e.array),this._dirty=!0,this},multiplyLeft:function(e){return NC.multiply(this.array,e.array,this.array),this._dirty=!0,this},normalize:function(){return NC.normalize(this.array,this.array),this._dirty=!0,this},rotateX:function(e){return NC.rotateX(this.array,this.array,e),this._dirty=!0,this},rotateY:function(e){return NC.rotateY(this.array,this.array,e),this._dirty=!0,this},rotateZ:function(e){return NC.rotateZ(this.array,this.array,e),this._dirty=!0,this},rotationTo:function(e,t){return NC.rotationTo(this.array,e.array,t.array),this._dirty=!0,this},setAxes:function(e,t,n){return NC.setAxes(this.array,e.array,t.array,n.array),this._dirty=!0,this},setAxisAngle:function(e,t){return NC.setAxisAngle(this.array,e.array,t),this._dirty=!0,this},slerp:function(e,t,n){return NC.slerp(this.array,e.array,t.array,n),this._dirty=!0,this},sqrLen:function(){return NC.sqrLen(this.array)},squaredLength:function(){return NC.squaredLength(this.array)},fromEuler:function(e,t){return UC.fromEuler(this,e,t)},toString:function(){return"["+Array.prototype.join.call(this.array,",")+"]"},toArray:function(){return Array.prototype.slice.call(this.array)}};var WC=Object.defineProperty;if(WC){var jC=UC.prototype;WC(jC,"x",{get:function(){return this.array[0]},set:function(e){this.array[0]=e,this._dirty=!0}}),WC(jC,"y",{get:function(){return this.array[1]},set:function(e){this.array[1]=e,this._dirty=!0}}),WC(jC,"z",{get:function(){return this.array[2]},set:function(e){this.array[2]=e,this._dirty=!0}}),WC(jC,"w",{get:function(){return this.array[3]},set:function(e){this.array[3]=e,this._dirty=!0}})}UC.add=function(e,t,n){return NC.add(e.array,t.array,n.array),e._dirty=!0,e},UC.set=function(e,t,n,r,i){NC.set(e.array,t,n,r,i),e._dirty=!0},UC.copy=function(e,t){return NC.copy(e.array,t.array),e._dirty=!0,e},UC.calculateW=function(e,t){return NC.calculateW(e.array,t.array),e._dirty=!0,e},UC.conjugate=function(e,t){return NC.conjugate(e.array,t.array),e._dirty=!0,e},UC.identity=function(e){return NC.identity(e.array),e._dirty=!0,e},UC.invert=function(e,t){return NC.invert(e.array,t.array),e._dirty=!0,e},UC.dot=function(e,t){return NC.dot(e.array,t.array)},UC.len=function(e){return NC.length(e.array)},UC.lerp=function(e,t,n,r){return NC.lerp(e.array,t.array,n.array,r),e._dirty=!0,e},UC.slerp=function(e,t,n,r){return NC.slerp(e.array,t.array,n.array,r),e._dirty=!0,e},UC.mul=function(e,t,n){return NC.multiply(e.array,t.array,n.array),e._dirty=!0,e},UC.multiply=UC.mul,UC.rotateX=function(e,t,n){return NC.rotateX(e.array,t.array,n),e._dirty=!0,e},UC.rotateY=function(e,t,n){return NC.rotateY(e.array,t.array,n),e._dirty=!0,e},UC.rotateZ=function(e,t,n){return NC.rotateZ(e.array,t.array,n),e._dirty=!0,e},UC.setAxisAngle=function(e,t,n){return NC.setAxisAngle(e.array,t.array,n),e._dirty=!0,e},UC.normalize=function(e,t){return NC.normalize(e.array,t.array),e._dirty=!0,e},UC.squaredLength=UC.sqrLen=function(e){return NC.sqrLen(e.array)},UC.fromMat3=function(e,t){return NC.fromMat3(e.array,t.array),e._dirty=!0,e},UC.setAxes=function(e,t,n,r){return NC.setAxes(e.array,t.array,n.array,r.array),e._dirty=!0,e},UC.rotationTo=function(e,t,n){return NC.rotationTo(e.array,t.array,n.array),e._dirty=!0,e},UC.fromEuler=function(e,t,n){e._dirty=!0,t=t.array;var r=e.array,i=Math.cos(t[0]/2),o=Math.cos(t[1]/2),a=Math.cos(t[2]/2),s=Math.sin(t[0]/2),l=Math.sin(t[1]/2),u=Math.sin(t[2]/2);switch(n=(n||"XYZ").toUpperCase()){case"XYZ":r[0]=s*o*a+i*l*u,r[1]=i*l*a-s*o*u,r[2]=i*o*u+s*l*a,r[3]=i*o*a-s*l*u;break;case"YXZ":r[0]=s*o*a+i*l*u,r[1]=i*l*a-s*o*u,r[2]=i*o*u-s*l*a,r[3]=i*o*a+s*l*u;break;case"ZXY":r[0]=s*o*a-i*l*u,r[1]=i*l*a+s*o*u,r[2]=i*o*u+s*l*a,r[3]=i*o*a-s*l*u;break;case"ZYX":r[0]=s*o*a-i*l*u,r[1]=i*l*a+s*o*u,r[2]=i*o*u-s*l*a,r[3]=i*o*a+s*l*u;break;case"YZX":r[0]=s*o*a+i*l*u,r[1]=i*l*a+s*o*u,r[2]=i*o*u-s*l*a,r[3]=i*o*a-s*l*u;break;case"XZY":r[0]=s*o*a-i*l*u,r[1]=i*l*a-s*o*u,r[2]=i*o*u+s*l*a,r[3]=i*o*a+s*l*u}};const XC=UC;var YC,ZC,qC,$C,KC,JC,QC=$I.set,eD=$I.copy,tD=function(e,t){this.min=e||new vC(1/0,1/0,1/0),this.max=t||new vC(-1/0,-1/0,-1/0),this.vertices=null};tD.prototype={constructor:tD,updateFromVertices:function(e){if(e.length>0){var t=this.min,n=this.max,r=t.array,i=n.array;eD(r,e[0]),eD(i,e[0]);for(var o=1;o<e.length;o++){var a=e[o];a[0]<r[0]&&(r[0]=a[0]),a[1]<r[1]&&(r[1]=a[1]),a[2]<r[2]&&(r[2]=a[2]),a[0]>i[0]&&(i[0]=a[0]),a[1]>i[1]&&(i[1]=a[1]),a[2]>i[2]&&(i[2]=a[2])}t._dirty=!0,n._dirty=!0}},union:function(e){var t=this.min,n=this.max;return $I.min(t.array,t.array,e.min.array),$I.max(n.array,n.array,e.max.array),t._dirty=!0,n._dirty=!0,this},intersection:function(e){var t=this.min,n=this.max;return $I.max(t.array,t.array,e.min.array),$I.min(n.array,n.array,e.max.array),t._dirty=!0,n._dirty=!0,this},intersectBoundingBox:function(e){var t=this.min.array,n=this.max.array,r=e.min.array,i=e.max.array;return!(t[0]>i[0]||t[1]>i[1]||t[2]>i[2]||n[0]<r[0]||n[1]<r[1]||n[2]<r[2])},containBoundingBox:function(e){var t=this.min.array,n=this.max.array,r=e.min.array,i=e.max.array;return t[0]<=r[0]&&t[1]<=r[1]&&t[2]<=r[2]&&n[0]>=i[0]&&n[1]>=i[1]&&n[2]>=i[2]},containPoint:function(e){var t=this.min.array,n=this.max.array,r=e.array;return t[0]<=r[0]&&t[1]<=r[1]&&t[2]<=r[2]&&n[0]>=r[0]&&n[1]>=r[1]&&n[2]>=r[2]},isFinite:function(){var e=this.min.array,t=this.max.array;return isFinite(e[0])&&isFinite(e[1])&&isFinite(e[2])&&isFinite(t[0])&&isFinite(t[1])&&isFinite(t[2])},applyTransform:function(e){this.transformFrom(this,e)},transformFrom:(YC=$I.create(),ZC=$I.create(),qC=$I.create(),$C=$I.create(),KC=$I.create(),JC=$I.create(),function(e,t){var n=e.min.array,r=e.max.array,i=t.array;return YC[0]=i[0]*n[0],YC[1]=i[1]*n[0],YC[2]=i[2]*n[0],ZC[0]=i[0]*r[0],ZC[1]=i[1]*r[0],ZC[2]=i[2]*r[0],qC[0]=i[4]*n[1],qC[1]=i[5]*n[1],qC[2]=i[6]*n[1],$C[0]=i[4]*r[1],$C[1]=i[5]*r[1],$C[2]=i[6]*r[1],KC[0]=i[8]*n[2],KC[1]=i[9]*n[2],KC[2]=i[10]*n[2],JC[0]=i[8]*r[2],JC[1]=i[9]*r[2],JC[2]=i[10]*r[2],n=this.min.array,r=this.max.array,n[0]=Math.min(YC[0],ZC[0])+Math.min(qC[0],$C[0])+Math.min(KC[0],JC[0])+i[12],n[1]=Math.min(YC[1],ZC[1])+Math.min(qC[1],$C[1])+Math.min(KC[1],JC[1])+i[13],n[2]=Math.min(YC[2],ZC[2])+Math.min(qC[2],$C[2])+Math.min(KC[2],JC[2])+i[14],r[0]=Math.max(YC[0],ZC[0])+Math.max(qC[0],$C[0])+Math.max(KC[0],JC[0])+i[12],r[1]=Math.max(YC[1],ZC[1])+Math.max(qC[1],$C[1])+Math.max(KC[1],JC[1])+i[13],r[2]=Math.max(YC[2],ZC[2])+Math.max(qC[2],$C[2])+Math.max(KC[2],JC[2])+i[14],this.min._dirty=!0,this.max._dirty=!0,this}),applyProjection:function(e){var t=this.min.array,n=this.max.array,r=e.array,i=t[0],o=t[1],a=t[2],s=n[0],l=n[1],u=t[2],c=n[0],h=n[1],d=n[2];if(1===r[15])t[0]=r[0]*i+r[12],t[1]=r[5]*o+r[13],n[2]=r[10]*a+r[14],n[0]=r[0]*c+r[12],n[1]=r[5]*h+r[13],t[2]=r[10]*d+r[14];else{var p=-1/a;t[0]=r[0]*i*p,t[1]=r[5]*o*p,n[2]=(r[10]*a+r[14])*p,p=-1/u,n[0]=r[0]*s*p,n[1]=r[5]*l*p,p=-1/d,t[2]=(r[10]*d+r[14])*p}return this.min._dirty=!0,this.max._dirty=!0,this},updateVertices:function(){var e=this.vertices;if(!e){e=[];for(var t=0;t<8;t++)e[t]=$I.fromValues(0,0,0);this.vertices=e}var n=this.min.array,r=this.max.array;return QC(e[0],n[0],n[1],n[2]),QC(e[1],n[0],r[1],n[2]),QC(e[2],r[0],n[1],n[2]),QC(e[3],r[0],r[1],n[2]),QC(e[4],n[0],n[1],r[2]),QC(e[5],n[0],r[1],r[2]),QC(e[6],r[0],n[1],r[2]),QC(e[7],r[0],r[1],r[2]),this},copy:function(e){var t=this.min,n=this.max;return eD(t.array,e.min.array),eD(n.array,e.max.array),t._dirty=!0,n._dirty=!0,this},clone:function(){var e=new tD;return e.copy(this),e}};const nD=tD;var rD,iD=0,oD=NT.extend({name:"",position:null,rotation:null,scale:null,worldTransform:null,localTransform:null,autoUpdateLocalTransform:!0,_parent:null,_scene:null,_needsUpdateWorldTransform:!0,_inIterating:!1,__depth:0},(function(){this.name||(this.name=(this.type||"NODE")+"_"+iD++),this.position||(this.position=new vC),this.rotation||(this.rotation=new XC),this.scale||(this.scale=new vC(1,1,1)),this.worldTransform=new HC,this.localTransform=new HC,this._children=[]}),{target:null,invisible:!1,isSkinnedMesh:function(){return!1},isRenderable:function(){return!1},setName:function(e){var t=this._scene;if(t){var n=t._nodeRepository;delete n[this.name],n[e]=this}this.name=e},add:function(e){var t=e._parent;if(t!==this){t&&t.remove(e),e._parent=this,this._children.push(e);var n=this._scene;n&&n!==e.scene&&e.traverse(this._addSelfToScene,this),e._needsUpdateWorldTransform=!0}},remove:function(e){var t=this._children,n=t.indexOf(e);n<0||(t.splice(n,1),e._parent=null,this._scene&&e.traverse(this._removeSelfFromScene,this))},removeAll:function(){for(var e=this._children,t=0;t<e.length;t++)e[t]._parent=null,this._scene&&e[t].traverse(this._removeSelfFromScene,this);this._children=[]},getScene:function(){return this._scene},getParent:function(){return this._parent},_removeSelfFromScene:function(e){e._scene.removeFromScene(e),e._scene=null},_addSelfToScene:function(e){this._scene.addToScene(e),e._scene=this._scene},isAncestor:function(e){for(var t=e._parent;t;){if(t===this)return!0;t=t._parent}return!1},children:function(){return this._children.slice()},childAt:function(e){return this._children[e]},getChildByName:function(e){for(var t=this._children,n=0;n<t.length;n++)if(t[n].name===e)return t[n]},getDescendantByName:function(e){for(var t=this._children,n=0;n<t.length;n++){var r=t[n];if(r.name===e)return r;var i=r.getDescendantByName(e);if(i)return i}},queryNode:function(e){if(e){for(var t=e.split("/"),n=this,r=0;r<t.length;r++){var i=t[r];if(i){for(var o=!1,a=n._children,s=0;s<a.length;s++){var l=a[s];if(l.name===i){n=l,o=!0;break}}if(!o)return}}return n}},getPath:function(e){if(!this._parent)return"/";for(var t=this._parent,n=this.name;t._parent&&(n=t.name+"/"+n,t._parent!=e);)t=t._parent;return!t._parent&&e?null:n},traverse:function(e,t){e.call(t,this);for(var n=this._children,r=0,i=n.length;r<i;r++)n[r].traverse(e,t)},eachChild:function(e,t){for(var n=this._children,r=0,i=n.length;r<i;r++){var o=n[r];e.call(t,o,r)}},setLocalTransform:function(e){ZI.copy(this.localTransform.array,e.array),this.decomposeLocalTransform()},decomposeLocalTransform:function(e){var t=e?null:this.scale;this.localTransform.decomposeMatrix(t,this.rotation,this.position)},setWorldTransform:function(e){ZI.copy(this.worldTransform.array,e.array),this.decomposeWorldTransform()},decomposeWorldTransform:(rD=ZI.create(),function(e){var t=this.localTransform,n=this.worldTransform;this._parent?(ZI.invert(rD,this._parent.worldTransform.array),ZI.multiply(t.array,rD,n.array)):ZI.copy(t.array,n.array);var r=e?null:this.scale;t.decomposeMatrix(r,this.rotation,this.position)}),transformNeedsUpdate:function(){return this.position._dirty||this.rotation._dirty||this.scale._dirty},updateLocalTransform:function(){var e=this.position,t=this.rotation,n=this.scale;if(this.transformNeedsUpdate()){var r=this.localTransform.array;ZI.fromRotationTranslation(r,t.array,e.array),ZI.scale(r,r,n.array),t._dirty=!1,n._dirty=!1,e._dirty=!1,this._needsUpdateWorldTransform=!0}},_updateWorldTransformTopDown:function(){var e=this.localTransform.array,t=this.worldTransform.array;this._parent?ZI.multiplyAffine(t,this._parent.worldTransform.array,e):ZI.copy(t,e)},updateWorldTransform:function(){for(var e=this;e&&e.getParent()&&e.getParent().transformNeedsUpdate();)e=e.getParent();e.update()},update:function(e){this.autoUpdateLocalTransform?this.updateLocalTransform():e=!0,(e||this._needsUpdateWorldTransform)&&(this._updateWorldTransformTopDown(),e=!0,this._needsUpdateWorldTransform=!1);for(var t=this._children,n=0,r=t.length;n<r;n++)t[n].update(e)},getBoundingBox:function(){function e(e){return!e.invisible&&e.geometry}var t=new nD,n=new HC,r=new HC;return function(i,o){return o=o||new nD,i=i||e,this._parent?HC.invert(r,this._parent.worldTransform):HC.identity(r),this.traverse((function(e){e.geometry&&e.geometry.boundingBox&&(t.copy(e.geometry.boundingBox),HC.multiply(n,r,e.worldTransform),t.applyTransform(n),o.union(t))}),this,e),o}}(),getWorldPosition:function(e){this.transformNeedsUpdate()&&this.updateWorldTransform();var t=this.worldTransform.array;if(e){var n=e.array;return n[0]=t[12],n[1]=t[13],n[2]=t[14],e}return new vC(t[12],t[13],t[14])},clone:function(){var e=new this.constructor,t=this._children;e.setName(this.name),e.position.copy(this.position),e.rotation.copy(this.rotation),e.scale.copy(this.scale);for(var n=0;n<t.length;n++)e.add(t[n].clone());return e},rotateAround:function(){var e=new vC,t=new HC;return function(n,r,i){e.copy(this.position).subtract(n);var o=this.localTransform;o.identity(),o.translate(n),o.rotate(i,r),t.fromRotationTranslation(this.rotation,e),o.multiply(t),o.scale(this.scale),this.decomposeLocalTransform(),this._needsUpdateWorldTransform=!0}}(),lookAt:function(){var e=new HC;return function(t,n){e.lookAt(this.position,t,n||this.localTransform.y).invert(),this.setLocalTransform(e),this.target=t}}()});const aD=oD;var sD,lD=aD.extend({material:null,geometry:null,mode:jT,_renderInfo:null},{__program:null,lightGroup:0,renderOrder:0,culling:!0,cullFace:JT,frontFace:tA,frustumCulling:!0,receiveShadow:!0,castShadow:!0,ignorePicking:!1,ignorePreZ:!1,ignoreGBuffer:!1,isRenderable:function(){return this.geometry&&this.material&&this.material.shader&&!this.invisible&&this.geometry.vertexCount>0},beforeRender:function(e){},afterRender:function(e,t){},getBoundingBox:function(e,t){return t=aD.prototype.getBoundingBox.call(this,e,t),this.geometry&&this.geometry.boundingBox&&t.union(this.geometry.boundingBox),t},clone:(sD=["castShadow","receiveShadow","mode","culling","cullFace","frontFace","frustumCulling","renderOrder","lineWidth","ignorePicking","ignorePreZ","ignoreGBuffer"],function(){var e=aD.prototype.clone.call(this);e.geometry=this.geometry,e.material=this.material;for(var t=0;t<sD.length;t++){var n=sD[t];e[n]!==this[n]&&(e[n]=this[n])}return e})});lD.POINTS=GT,lD.LINES=HT,lD.LINE_LOOP=UT,lD.LINE_STRIP=WT,lD.TRIANGLES=jT,lD.TRIANGLE_STRIP=XT,lD.TRIANGLE_FAN=YT,lD.BACK=JT,lD.FRONT=KT,lD.FRONT_AND_BACK=QT,lD.CW=eA,lD.CCW=tA;const uD=lD;var cD=NT.extend({scene:null,camera:null,renderer:null},(function(){this._ray=new MC,this._ndc=new gI}),{pick:function(e,t,n){return this.pickAll(e,t,[],n)[0]||null},pickAll:function(e,t,n,r){return this.renderer.screenToNDC(e,t,this._ndc),this.camera.castRay(this._ndc,this._ray),n=n||[],this._intersectNode(this.scene,n,r||!1),n.sort(this._intersectionCompareFunc),n},_intersectNode:function(e,t,n){e instanceof uD&&e.isRenderable()&&(e.ignorePicking&&!n||!(e.mode===jT&&e.geometry.isUseIndices()||e.geometry.pickByRay||e.geometry.pick)||this._intersectRenderable(e,t));for(var r=0;r<e._children.length;r++)this._intersectNode(e._children[r],t,n)},_intersectRenderable:function(){var e=new vC,t=new vC,n=new vC,r=new MC,i=new HC;return function(o,a){var s=o.isSkinnedMesh();r.copy(this._ray),HC.invert(i,o.worldTransform),s||r.applyTransform(i);var l=o.geometry,u=s?o.skeleton.boundingBox:l.boundingBox;if(!u||r.intersectBoundingBox(u))if(l.pick)l.pick(this._ndc.x,this._ndc.y,this.renderer,this.camera,o,a);else if(l.pickByRay)l.pickByRay(r,o,a);else{var c,h,d=o.cullFace===JT&&o.frontFace===tA||o.cullFace===KT&&o.frontFace===eA,p=l.indices,f=l.attributes.position,g=l.attributes.weight,m=l.attributes.joint,v=[];if(f&&f.value&&p){if(s){h=o.skeleton.getSubSkinMatrices(o.__uid__,o.joints);for(var y=0;y<o.joints.length;y++){v[y]=v[y]||[];for(var _=0;_<16;_++)v[y][_]=h[16*y+_]}var x=[],b=[],w=[],S=[],M=[],T=l.attributes.skinnedPosition;for(T&&T.value||(l.createAttribute("skinnedPosition","f",3),(T=l.attributes.skinnedPosition).init(l.vertexCount)),y=0;y<l.vertexCount;y++){for(f.get(y,x),g.get(y,b),m.get(y,w),b[3]=1-b[0]-b[1]-b[2],$I.set(S,0,0,0),_=0;_<4;_++)w[_]>=0&&b[_]>1e-4&&($I.transformMat4(M,x,v[w[_]]),$I.scaleAndAdd(S,S,M,b[_]));T.set(y,S)}}for(y=0;y<p.length;y+=3){var A=p[y],I=p[y+1],C=p[y+2],D=s?l.attributes.skinnedPosition:f;if(D.get(A,e.array),D.get(I,t.array),D.get(C,n.array),c=d?r.intersectTriangle(e,t,n,o.culling):r.intersectTriangle(e,n,t,o.culling)){var E=new vC;s?vC.copy(E,c):vC.transformMat4(E,c,o.worldTransform),a.push(new cD.Intersection(c,E,o,[A,I,C],y/3,vC.dist(E,this._ray.origin)))}}}}}}(),_intersectionCompareFunc:function(e,t){return e.distance-t.distance}});cD.Intersection=function(e,t,n,r,i,o){this.point=e,this.pointWorld=t,this.target=n,this.triangle=r,this.triangleIndex=i,this.distance=o};const hD=cD;var dD="__dt__",pD=function(){this._contextId=0,this._caches=[],this._context={}};pD.prototype={use:function(e,t){var n=this._caches;n[e]||(n[e]={},t&&(n[e]=t())),this._contextId=e,this._context=n[e]},put:function(e,t){this._context[e]=t},get:function(e){return this._context[e]},dirty:function(e){var t=dD+(e=e||"");this.put(t,!0)},dirtyAll:function(e){for(var t=dD+(e=e||""),n=this._caches,r=0;r<n.length;r++)n[r]&&(n[r][t]=!0)},fresh:function(e){var t=dD+(e=e||"");this.put(t,!1)},freshAll:function(e){for(var t=dD+(e=e||""),n=this._caches,r=0;r<n.length;r++)n[r]&&(n[r][t]=!1)},isDirty:function(e){var t=dD+(e=e||""),n=this._context;return!n.hasOwnProperty(t)||!0===n[t]},deleteContext:function(e){delete this._caches[e],this._context={}},delete:function(e){delete this._context[e]},clearAll:function(){this._caches={}},getContext:function(){return this._context},eachContext:function(e,t){Object.keys(this._caches).forEach((function(n){e&&e.call(t,n)}))},miss:function(e){return!this._context.hasOwnProperty(e)}},pD.prototype.constructor=pD;const fD=pD;var gD=NT.extend({width:512,height:512,type:rA,format:dA,wrapS:SA,wrapT:SA,minFilter:xA,magFilter:mA,useMipmap:!0,anisotropic:1,flipY:!0,sRGB:!0,unpackAlignment:4,premultiplyAlpha:!1,dynamic:!1,NPOT:!1,__used:0},(function(){this._cache=new fD}),{getWebGLTexture:function(e){var t=e.gl,n=this._cache;return n.use(e.__uid__),n.miss("webgl_texture")&&n.put("webgl_texture",t.createTexture()),this.dynamic?this.update(e):n.isDirty()&&(this.update(e),n.fresh()),n.get("webgl_texture")},bind:function(){},unbind:function(){},dirty:function(){this._cache&&this._cache.dirtyAll()},update:function(e){},updateCommon:function(e){var t=e.gl;t.pixelStorei(t.UNPACK_FLIP_Y_WEBGL,this.flipY),t.pixelStorei(t.UNPACK_PREMULTIPLY_ALPHA_WEBGL,this.premultiplyAlpha),t.pixelStorei(t.UNPACK_ALIGNMENT,this.unpackAlignment),this.format===uA&&(this.useMipmap=!1);var n=e.getGLExtension("EXT_sRGB");this.format!==gD.SRGB||n||(this.format=gD.RGB),this.format!==gD.SRGB_ALPHA||n||(this.format=gD.RGBA),this.NPOT=!this.isPowerOfTwo()},getAvailableWrapS:function(){return this.NPOT?MA:this.wrapS},getAvailableWrapT:function(){return this.NPOT?MA:this.wrapT},getAvailableMinFilter:function(){var e=this.minFilter;return this.NPOT||!this.useMipmap?e===vA||e===_A?gA:e===xA||e===yA?mA:e:e},getAvailableMagFilter:function(){return this.magFilter},nextHighestPowerOfTwo:function(e){--e;for(var t=1;t<32;t<<=1)e|=e>>t;return e+1},dispose:function(e){var t=this._cache;t.use(e.__uid__);var n=t.get("webgl_texture");n&&e.gl.deleteTexture(n),t.deleteContext(e.__uid__)},isRenderable:function(){},isPowerOfTwo:function(){}});Object.defineProperty(gD.prototype,"width",{get:function(){return this._width},set:function(e){this._width=e}}),Object.defineProperty(gD.prototype,"height",{get:function(){return this._height},set:function(e){this._height=e}}),gD.BYTE=nA,gD.UNSIGNED_BYTE=rA,gD.SHORT=iA,gD.UNSIGNED_SHORT=oA,gD.INT=aA,gD.UNSIGNED_INT=sA,gD.FLOAT=lA,gD.HALF_FLOAT=36193,gD.UNSIGNED_INT_24_8_WEBGL=34042,gD.DEPTH_COMPONENT=uA,gD.DEPTH_STENCIL=CA,gD.ALPHA=cA,gD.RGB=hA,gD.RGBA=dA,gD.LUMINANCE=pA,gD.LUMINANCE_ALPHA=fA,gD.SRGB=35904,gD.SRGB_ALPHA=35906,gD.COMPRESSED_RGB_S3TC_DXT1_EXT=33776,gD.COMPRESSED_RGBA_S3TC_DXT1_EXT=33777,gD.COMPRESSED_RGBA_S3TC_DXT3_EXT=33778,gD.COMPRESSED_RGBA_S3TC_DXT5_EXT=33779,gD.NEAREST=gA,gD.LINEAR=mA,gD.NEAREST_MIPMAP_NEAREST=vA,gD.LINEAR_MIPMAP_NEAREST=yA,gD.NEAREST_MIPMAP_LINEAR=_A,gD.LINEAR_MIPMAP_LINEAR=xA,gD.REPEAT=SA,gD.CLAMP_TO_EDGE=MA,gD.MIRRORED_REPEAT=TA;const mD=gD;var vD=uD.extend({skeleton:null,joints:null},(function(){this.joints||(this.joints=[])}),{offsetMatrix:null,isInstancedMesh:function(){return!1},isSkinnedMesh:function(){return!!(this.skeleton&&this.joints&&this.joints.length>0)},clone:function(){var e=uD.prototype.clone.call(this);return e.skeleton=this.skeleton,this.joints&&(e.joints=this.joints.slice()),e}});vD.POINTS=GT,vD.LINES=HT,vD.LINE_LOOP=UT,vD.LINE_STRIP=WT,vD.TRIANGLES=jT,vD.TRIANGLE_STRIP=XT,vD.TRIANGLE_FAN=YT,vD.BACK=JT,vD.FRONT=KT,vD.FRONT_AND_BACK=QT,vD.CW=eA,vD.CCW=tA;const yD=vD;const _D={isPowerOfTwo:function(e){return!(e&e-1)},nextPowerOfTwo:function(e){return e--,e|=e>>1,e|=e>>2,e|=e>>4,e|=e>>8,e|=e>>16,++e},nearestPowerOfTwo:function(e){return Math.pow(2,Math.round(Math.log(e)/Math.LN2))}};var xD=_D.isPowerOfTwo;function bD(e){return Math.pow(2,Math.round(Math.log(e)/Math.LN2))}var wD=mD.extend((function(){return{image:null,pixels:null,mipmaps:[],convertToPOT:!1}}),{textureType:"texture2D",update:function(e){var t=e.gl;t.bindTexture(t.TEXTURE_2D,this._cache.get("webgl_texture")),this.updateCommon(e);var n=this.format,r=this.type,i=!(!this.convertToPOT||this.mipmaps.length||!this.image||this.wrapS!==mD.REPEAT&&this.wrapT!==mD.REPEAT||!this.NPOT);t.texParameteri(t.TEXTURE_2D,t.TEXTURE_WRAP_S,i?this.wrapS:this.getAvailableWrapS()),t.texParameteri(t.TEXTURE_2D,t.TEXTURE_WRAP_T,i?this.wrapT:this.getAvailableWrapT()),t.texParameteri(t.TEXTURE_2D,t.TEXTURE_MAG_FILTER,i?this.magFilter:this.getAvailableMagFilter()),t.texParameteri(t.TEXTURE_2D,t.TEXTURE_MIN_FILTER,i?this.minFilter:this.getAvailableMinFilter());var o=e.getGLExtension("EXT_texture_filter_anisotropic");if(o&&this.anisotropic>1&&t.texParameterf(t.TEXTURE_2D,o.TEXTURE_MAX_ANISOTROPY_EXT,this.anisotropic),36193===r&&(e.getGLExtension("OES_texture_half_float")||(r=lA)),this.mipmaps.length)for(var a=this.width,s=this.height,l=0;l<this.mipmaps.length;l++){var u=this.mipmaps[l];this._updateTextureData(t,u,l,a,s,n,r,!1),a/=2,s/=2}else this._updateTextureData(t,this,0,this.width,this.height,n,r,i),!this.useMipmap||this.NPOT&&!i||t.generateMipmap(t.TEXTURE_2D);t.bindTexture(t.TEXTURE_2D,null)},_updateTextureData:function(e,t,n,r,i,o,a,s){if(t.image){var l=t.image;s&&(this._potCanvas=function(e,t){var n=bD(e.width),r=bD(e.height);return(t=t||document.createElement("canvas")).width=n,t.height=r,t.getContext("2d").drawImage(e.image,0,0,n,r),t}(this,this._potCanvas),l=this._potCanvas),e.texImage2D(e.TEXTURE_2D,n,o,o,a,l)}else o<=mD.COMPRESSED_RGBA_S3TC_DXT5_EXT&&o>=mD.COMPRESSED_RGB_S3TC_DXT1_EXT?e.compressedTexImage2D(e.TEXTURE_2D,n,o,r,i,0,t.pixels):e.texImage2D(e.TEXTURE_2D,n,o,r,i,0,o,a,t.pixels)},generateMipmap:function(e){var t=e.gl;this.useMipmap&&!this.NPOT&&(t.bindTexture(t.TEXTURE_2D,this._cache.get("webgl_texture")),t.generateMipmap(t.TEXTURE_2D))},isPowerOfTwo:function(){return xD(this.width)&&xD(this.height)},isRenderable:function(){return this.image?this.image.width>0&&this.image.height>0:!(!this.width||!this.height)},bind:function(e){e.gl.bindTexture(e.gl.TEXTURE_2D,this.getWebGLTexture(e))},unbind:function(e){e.gl.bindTexture(e.gl.TEXTURE_2D,null)},load:function(e,t){var n=BA.createImage();t&&(n.crossOrigin=t);var r=this;return n.onload=function(){r.dirty(),r.trigger("success",r)},n.onerror=function(){r.trigger("error",r)},n.src=e,this.image=n,this}});Object.defineProperty(wD.prototype,"width",{get:function(){return this.image?this.image.width:this._width},set:function(e){this.image?console.warn("Texture from image can't set width"):(this._width!==e&&this.dirty(),this._width=e)}}),Object.defineProperty(wD.prototype,"height",{get:function(){return this.image?this.image.height:this._height},set:function(e){this.image?console.warn("Texture from image can't set height"):(this._height!==e&&this.dirty(),this._height=e)}});const SD=wD;function MD(e){return{byte:BA.Int8Array,ubyte:BA.Uint8Array,short:BA.Int16Array,ushort:BA.Uint16Array}[e]||BA.Float32Array}function TD(e){return"attr_"+e}function AD(e,t,n,r){switch(this.name=e,this.type=t,this.size=n,this.semantic=r||"",this.value=null,n){case 1:this.get=function(e){return this.value[e]},this.set=function(e,t){this.value[e]=t},this.copy=function(e,t){this.value[e]=this.value[e]};break;case 2:this.get=function(e,t){var n=this.value;return t[0]=n[2*e],t[1]=n[2*e+1],t},this.set=function(e,t){var n=this.value;n[2*e]=t[0],n[2*e+1]=t[1]},this.copy=function(e,t){var n=this.value;t*=2,n[e*=2]=n[t],n[e+1]=n[t+1]};break;case 3:this.get=function(e,t){var n=3*e,r=this.value;return t[0]=r[n],t[1]=r[n+1],t[2]=r[n+2],t},this.set=function(e,t){var n=3*e,r=this.value;r[n]=t[0],r[n+1]=t[1],r[n+2]=t[2]},this.copy=function(e,t){var n=this.value;t*=3,n[e*=3]=n[t],n[e+1]=n[t+1],n[e+2]=n[t+2]};break;case 4:this.get=function(e,t){var n=this.value,r=4*e;return t[0]=n[r],t[1]=n[r+1],t[2]=n[r+2],t[3]=n[r+3],t},this.set=function(e,t){var n=this.value,r=4*e;n[r]=t[0],n[r+1]=t[1],n[r+2]=t[2],n[r+3]=t[3]},this.copy=function(e,t){var n=this.value;t*=4,n[e*=4]=n[t],n[e+1]=n[t+1],n[e+2]=n[t+2],n[e+3]=n[t+3]}}}function ID(e,t,n,r,i){this.name=e,this.type=t,this.buffer=n,this.size=r,this.semantic=i,this.symbol="",this.needsRemove=!1}function CD(e){this.buffer=e,this.count=0}AD.prototype.init=function(e){if(!this.value||this.value.length!==e*this.size){var t=MD(this.type);this.value=new t(e*this.size)}},AD.prototype.fromArray=function(e){var t,n=MD(this.type);if(e[0]&&e[0].length){var r=0,i=this.size;t=new n(e.length*i);for(var o=0;o<e.length;o++)for(var a=0;a<i;a++)t[r++]=e[o][a]}else t=new n(e);this.value=t},AD.prototype.clone=function(e){var t=new AD(this.name,this.type,this.size,this.semantic);return e&&console.warn("todo"),t};var DD=NT.extend((function(){return{attributes:{},indices:null,dynamic:!0,_enabledAttributes:null,__used:0}}),(function(){this._cache=new fD,this._attributeList=Object.keys(this.attributes),this.__vaoCache={}}),{mainAttribute:"",pick:null,pickByRay:null,dirty:function(){for(var e=this.getEnabledAttributes(),t=0;t<e.length;t++)this.dirtyAttribute(e[t]);this.dirtyIndices(),this._enabledAttributes=null,this._cache.dirty("any")},dirtyIndices:function(){this._cache.dirtyAll("indices")},dirtyAttribute:function(e){this._cache.dirtyAll(TD(e)),this._cache.dirtyAll("attributes")},getTriangleIndices:function(e,t){if(e<this.triangleCount&&e>=0){t||(t=[]);var n=this.indices;return t[0]=n[3*e],t[1]=n[3*e+1],t[2]=n[3*e+2],t}},setTriangleIndices:function(e,t){var n=this.indices;n[3*e]=t[0],n[3*e+1]=t[1],n[3*e+2]=t[2]},isUseIndices:function(){return!!this.indices},initIndicesFromArray:function(e){var t,n=this.vertexCount>65535?BA.Uint32Array:BA.Uint16Array;if(e[0]&&e[0].length){var r=0;t=new n(3*e.length);for(var i=0;i<e.length;i++)for(var o=0;o<3;o++)t[r++]=e[i][o]}else t=new n(e);this.indices=t},createAttribute:function(e,t,n,r){var i=new AD(e,t,n,r);return this.attributes[e]&&this.removeAttribute(e),this.attributes[e]=i,this._attributeList.push(e),i},removeAttribute:function(e){var t=this._attributeList,n=t.indexOf(e);return n>=0&&(t.splice(n,1),delete this.attributes[e],!0)},getAttribute:function(e){return this.attributes[e]},getEnabledAttributes:function(){var e=this._enabledAttributes,t=this._attributeList;if(e)return e;for(var n=[],r=this.vertexCount,i=0;i<t.length;i++){var o=t[i],a=this.attributes[o];a.value&&a.value.length===r*a.size&&n.push(o)}return this._enabledAttributes=n,n},getBufferChunks:function(e){var t=this._cache;t.use(e.__uid__);var n=t.isDirty("attributes"),r=t.isDirty("indices");if(n||r){this._updateBuffer(e.gl,n,r);for(var i=this.getEnabledAttributes(),o=0;o<i.length;o++)t.fresh(TD(i[o]));t.fresh("attributes"),t.fresh("indices")}return t.fresh("any"),t.get("chunks")},_updateBuffer:function(e,t,n){var r=this._cache,i=r.get("chunks"),o=!1;i||((i=[])[0]={attributeBuffers:[],indicesBuffer:null},r.put("chunks",i),o=!0);var a=i[0],s=a.attributeBuffers,l=a.indicesBuffer;if(t||o){var u=this.getEnabledAttributes(),c={};if(!o)for(var h=0;h<s.length;h++)c[s[h].name]=s[h];for(var d=0;d<u.length;d++){var p,f,g=u[d],m=this.attributes[g];o||(p=c[g]),f=p?p.buffer:e.createBuffer(),r.isDirty(TD(g))&&(e.bindBuffer(e.ARRAY_BUFFER,f),e.bufferData(e.ARRAY_BUFFER,m.value,this.dynamic?e.DYNAMIC_DRAW:e.STATIC_DRAW)),s[d]=new ID(g,m.type,f,m.size,m.semantic)}for(h=d;h<s.length;h++)e.deleteBuffer(s[h].buffer);s.length=d}this.isUseIndices()&&(n||o)&&(l||(l=new CD(e.createBuffer()),a.indicesBuffer=l),l.count=this.indices.length,e.bindBuffer(e.ELEMENT_ARRAY_BUFFER,l.buffer),e.bufferData(e.ELEMENT_ARRAY_BUFFER,this.indices,this.dynamic?e.DYNAMIC_DRAW:e.STATIC_DRAW))},dispose:function(e){var t=this._cache;t.use(e.__uid__);var n=t.get("chunks");if(n)for(var r=0;r<n.length;r++){for(var i=n[r],o=0;o<i.attributeBuffers.length;o++){var a=i.attributeBuffers[o];e.gl.deleteBuffer(a.buffer)}i.indicesBuffer&&e.gl.deleteBuffer(i.indicesBuffer.buffer)}if(this.__vaoCache){var s=e.getGLExtension("OES_vertex_array_object");for(var l in this.__vaoCache){var u=this.__vaoCache[l].vao;u&&s.deleteVertexArrayOES(u)}}this.__vaoCache={},t.deleteContext(e.__uid__)}});Object.defineProperty&&(Object.defineProperty(DD.prototype,"vertexCount",{enumerable:!1,get:function(){var e=this.attributes[this.mainAttribute];return e||(e=this.attributes[this._attributeList[0]]),e&&e.value?e.value.length/e.size:0}}),Object.defineProperty(DD.prototype,"triangleCount",{enumerable:!1,get:function(){var e=this.indices;return e?e.length/3:0}})),DD.STATIC_DRAW=qT,DD.DYNAMIC_DRAW=$T,DD.STREAM_DRAW=ZT,DD.AttributeBuffer=ID,DD.IndicesBuffer=CD,DD.Attribute=AD;const ED=DD;var LD=$I.create,PD=$I.add,OD=$I.set,ND=ED.Attribute,RD=ED.extend((function(){return{attributes:{position:new ND("position","float",3,"POSITION"),texcoord0:new ND("texcoord0","float",2,"TEXCOORD_0"),texcoord1:new ND("texcoord1","float",2,"TEXCOORD_1"),normal:new ND("normal","float",3,"NORMAL"),tangent:new ND("tangent","float",4,"TANGENT"),color:new ND("color","float",4,"COLOR"),weight:new ND("weight","float",3,"WEIGHT"),joint:new ND("joint","float",4,"JOINT"),barycentric:new ND("barycentric","float",3,null)},boundingBox:null}}),{mainAttribute:"position",updateBoundingBox:function(){var e=this.boundingBox;e||(e=this.boundingBox=new nD);var t=this.attributes.position.value;if(t&&t.length){var n=e.min,r=e.max,i=n.array,o=r.array;$I.set(i,t[0],t[1],t[2]),$I.set(o,t[0],t[1],t[2]);for(var a=3;a<t.length;){var s=t[a++],l=t[a++],u=t[a++];s<i[0]&&(i[0]=s),l<i[1]&&(i[1]=l),u<i[2]&&(i[2]=u),s>o[0]&&(o[0]=s),l>o[1]&&(o[1]=l),u>o[2]&&(o[2]=u)}n._dirty=!0,r._dirty=!0}},generateVertexNormals:function(){if(this.vertexCount){var e=this.indices,t=this.attributes,n=t.position.value,r=t.normal.value;if(r&&r.length===n.length)for(var i=0;i<r.length;i++)r[i]=0;else r=t.normal.value=new BA.Float32Array(n.length);for(var o,a,s,l=LD(),u=LD(),c=LD(),h=LD(),d=LD(),p=LD(),f=e?e.length:this.vertexCount,g=0;g<f;)for(e?(o=e[g++],a=e[g++],s=e[g++]):(o=g++,a=g++,s=g++),OD(l,n[3*o],n[3*o+1],n[3*o+2]),OD(u,n[3*a],n[3*a+1],n[3*a+2]),OD(c,n[3*s],n[3*s+1],n[3*s+2]),$I.sub(h,l,u),$I.sub(d,u,c),$I.cross(p,h,d),i=0;i<3;i++)r[3*o+i]=r[3*o+i]+p[i],r[3*a+i]=r[3*a+i]+p[i],r[3*s+i]=r[3*s+i]+p[i];for(i=0;i<r.length;)OD(p,r[i],r[i+1],r[i+2]),$I.normalize(p,p),r[i++]=p[0],r[i++]=p[1],r[i++]=p[2];this.dirty()}},generateFaceNormals:function(){if(this.vertexCount){this.isUniqueVertex()||this.generateUniqueVertex();var e=this.indices,t=this.attributes,n=t.position.value,r=t.normal.value,i=LD(),o=LD(),a=LD(),s=LD(),l=LD(),u=LD();r||(r=t.normal.value=new Float32Array(n.length));for(var c,h,d,p=e?e.length:this.vertexCount,f=0;f<p;){e?(c=e[f++],h=e[f++],d=e[f++]):(c=f++,h=f++,d=f++),OD(i,n[3*c],n[3*c+1],n[3*c+2]),OD(o,n[3*h],n[3*h+1],n[3*h+2]),OD(a,n[3*d],n[3*d+1],n[3*d+2]),$I.sub(s,i,o),$I.sub(l,o,a),$I.cross(u,s,l),$I.normalize(u,u);for(var g=0;g<3;g++)r[3*c+g]=u[g],r[3*h+g]=u[g],r[3*d+g]=u[g]}this.dirty()}},generateTangents:function(){if(this.vertexCount){var e=this.vertexCount,t=this.attributes;t.tangent.value||(t.tangent.value=new Float32Array(4*e));var n=t.texcoord0.value,r=t.position.value,i=t.tangent.value,o=t.normal.value;if(n){for(var a=[],s=[],l=0;l<e;l++)a[l]=[0,0,0],s[l]=[0,0,0];var u,c,h,d=[0,0,0],p=[0,0,0],f=this.indices,g=f?f.length:this.vertexCount;for(l=0;l<g;){f?(u=f[l++],c=f[l++],h=f[l++]):(u=l++,c=l++,h=l++);var m=n[2*u],v=n[2*c],y=n[2*h],_=n[2*u+1],x=n[2*c+1],b=n[2*h+1],w=r[3*u],S=r[3*c],M=r[3*h],T=r[3*u+1],A=r[3*c+1],I=r[3*h+1],C=r[3*u+2],D=S-w,E=M-w,L=A-T,P=I-T,O=r[3*c+2]-C,N=r[3*h+2]-C,R=v-m,k=y-m,B=x-_,F=b-_,z=1/(R*F-B*k);d[0]=(F*D-B*E)*z,d[1]=(F*L-B*P)*z,d[2]=(F*O-B*N)*z,p[0]=(R*E-k*D)*z,p[1]=(R*P-k*L)*z,p[2]=(R*N-k*O)*z,PD(a[u],a[u],d),PD(a[c],a[c],d),PD(a[h],a[h],d),PD(s[u],s[u],p),PD(s[c],s[c],p),PD(s[h],s[h],p)}var V=LD(),G=LD(),H=LD();for(l=0;l<e;l++){H[0]=o[3*l],H[1]=o[3*l+1],H[2]=o[3*l+2];var U=a[l];$I.scale(V,H,$I.dot(H,U)),$I.sub(V,U,V),$I.normalize(V,V),$I.cross(G,H,U),i[4*l]=V[0],i[4*l+1]=V[1],i[4*l+2]=V[2],i[4*l+3]=$I.dot(G,s[l])<0?-1:1}this.dirty()}else console.warn("Geometry without texcoords can't generate tangents.")}},isUniqueVertex:function(){return!this.isUseIndices()||this.vertexCount===this.indices.length},generateUniqueVertex:function(){if(this.vertexCount&&this.indices){this.indices.length>65535&&(this.indices=new BA.Uint32Array(this.indices));for(var e=this.attributes,t=this.indices,n=this.getEnabledAttributes(),r={},i=0;i<n.length;i++)r[l=n[i]]=e[l].value,e[l].init(this.indices.length);for(var o=0,a=0;a<t.length;a++){var s=t[a];for(i=0;i<n.length;i++)for(var l,u=e[l=n[i]].value,c=e[l].size,h=0;h<c;h++)u[o*c+h]=r[l][s*c+h];t[a]=o,o++}this.dirty()}},generateBarycentric:function(){if(this.vertexCount){this.isUniqueVertex()||this.generateUniqueVertex();var e=this.attributes,t=e.barycentric.value,n=this.indices;if(!t||t.length!==3*n.length){t=e.barycentric.value=new Float32Array(3*n.length);for(var r=0;r<(n?n.length:this.vertexCount/3);)for(var i=0;i<3;i++)t[3*(n?n[r++]:3*r+i)+i]=1;this.dirty()}}},applyTransform:function(e){var t=this.attributes,n=t.position.value,r=t.normal.value,i=t.tangent.value;e=e.array;var o=ZI.create();ZI.invert(o,e),ZI.transpose(o,o);var a=$I.transformMat4,s=$I.forEach;s(n,3,0,null,a,e),r&&s(r,3,0,null,a,o),i&&s(i,4,0,null,a,o),this.boundingBox&&this.updateBoundingBox()},dispose:function(e){var t=this._cache;t.use(e.__uid__);var n=t.get("chunks");if(n)for(var r=0;r<n.length;r++){for(var i=n[r],o=0;o<i.attributeBuffers.length;o++){var a=i.attributeBuffers[o];e.gl.deleteBuffer(a.buffer)}i.indicesBuffer&&e.gl.deleteBuffer(i.indicesBuffer.buffer)}if(this.__vaoCache){var s=e.getGLExtension("OES_vertex_array_object");for(var l in this.__vaoCache){var u=this.__vaoCache[l].vao;u&&s.deleteVertexArrayOES(u)}}this.__vaoCache={},t.deleteContext(e.__uid__)}});RD.STATIC_DRAW=ED.STATIC_DRAW,RD.DYNAMIC_DRAW=ED.DYNAMIC_DRAW,RD.STREAM_DRAW=ED.STREAM_DRAW,RD.AttributeBuffer=ED.AttributeBuffer,RD.IndicesBuffer=ED.IndicesBuffer,RD.Attribute=ND;const kD=RD;var BD="uniform vec3 ",FD="uniform float ",zD="@export clay.header.",VD="@end",GD=":unconfigurable;";const HD=[zD+"directional_light",BD+"directionalLightDirection[DIRECTIONAL_LIGHT_COUNT]"+GD,BD+"directionalLightColor[DIRECTIONAL_LIGHT_COUNT]"+GD,VD,zD+"ambient_light",BD+"ambientLightColor[AMBIENT_LIGHT_COUNT]"+GD,VD,zD+"ambient_sh_light",BD+"ambientSHLightColor[AMBIENT_SH_LIGHT_COUNT]"+GD,BD+"ambientSHLightCoefficients[AMBIENT_SH_LIGHT_COUNT * 9]"+GD,"vec3 calcAmbientSHLight(int idx, vec3 N) {\n int offset = 9 * idx;\n return ambientSHLightCoefficients[0]\n + ambientSHLightCoefficients[1] * N.x\n + ambientSHLightCoefficients[2] * N.y\n + ambientSHLightCoefficients[3] * N.z\n + ambientSHLightCoefficients[4] * N.x * N.z\n + ambientSHLightCoefficients[5] * N.z * N.y\n + ambientSHLightCoefficients[6] * N.y * N.x\n + ambientSHLightCoefficients[7] * (3.0 * N.z * N.z - 1.0)\n + ambientSHLightCoefficients[8] * (N.x * N.x - N.y * N.y);\n}",VD,zD+"ambient_cubemap_light",BD+"ambientCubemapLightColor[AMBIENT_CUBEMAP_LIGHT_COUNT]"+GD,"uniform samplerCube ambientCubemapLightCubemap[AMBIENT_CUBEMAP_LIGHT_COUNT]"+GD,"uniform sampler2D ambientCubemapLightBRDFLookup[AMBIENT_CUBEMAP_LIGHT_COUNT]"+GD,VD,zD+"point_light",BD+"pointLightPosition[POINT_LIGHT_COUNT]"+GD,FD+"pointLightRange[POINT_LIGHT_COUNT]"+GD,BD+"pointLightColor[POINT_LIGHT_COUNT]"+GD,VD,zD+"spot_light",BD+"spotLightPosition[SPOT_LIGHT_COUNT]"+GD,BD+"spotLightDirection[SPOT_LIGHT_COUNT]"+GD,FD+"spotLightRange[SPOT_LIGHT_COUNT]"+GD,FD+"spotLightUmbraAngleCosine[SPOT_LIGHT_COUNT]"+GD,FD+"spotLightPenumbraAngleCosine[SPOT_LIGHT_COUNT]"+GD,FD+"spotLightFalloffFactor[SPOT_LIGHT_COUNT]"+GD,BD+"spotLightColor[SPOT_LIGHT_COUNT]"+GD,VD].join("\n");jI.import(HD);var UD=aD.extend((function(){return{color:[1,1,1],intensity:1,castShadow:!0,shadowResolution:512,group:0}}),{type:"",clone:function(){var e=aD.prototype.clone.call(this);return e.color=Array.prototype.slice.call(this.color),e.intensity=this.intensity,e.castShadow=this.castShadow,e.shadowResolution=this.shadowResolution,e}});const WD=UD;var jD,XD,YD,ZD,qD=function(e,t){this.normal=e||new vC(0,1,0),this.distance=t||0};qD.prototype={constructor:qD,distanceToPoint:function(e){return $I.dot(e.array,this.normal.array)-this.distance},projectPoint:function(e,t){t||(t=new vC);var n=this.distanceToPoint(e);return $I.scaleAndAdd(t.array,e.array,this.normal.array,-n),t._dirty=!0,t},normalize:function(){var e=1/$I.len(this.normal.array);$I.scale(this.normal.array,e),this.distance*=e},intersectFrustum:function(e){for(var t=e.vertices,n=this.normal.array,r=$I.dot(t[0].array,n)>this.distance,i=1;i<8;i++)if($I.dot(t[i].array,n)>this.distance!=r)return!0},intersectLine:(ZD=$I.create(),function(e,t,n){var r=this.distanceToPoint(e),i=this.distanceToPoint(t);if(r>0&&i>0||r<0&&i<0)return null;var o=this.normal.array,a=this.distance,s=e.array;$I.sub(ZD,t.array,e.array),$I.normalize(ZD,ZD);var l=$I.dot(o,ZD);if(0===l)return null;n||(n=new vC);var u=($I.dot(o,s)-a)/l;return $I.scaleAndAdd(n.array,s,ZD,-u),n._dirty=!0,n}),applyTransform:(jD=ZI.create(),XD=AC.create(),YD=AC.create(),YD[3]=1,function(e){e=e.array,$I.scale(YD,this.normal.array,this.distance),AC.transformMat4(YD,YD,e),this.distance=$I.dot(YD,this.normal.array),ZI.invert(jD,e),ZI.transpose(jD,jD),XD[3]=0,$I.copy(XD,this.normal.array),AC.transformMat4(XD,XD,jD),$I.copy(this.normal.array,XD)}),copy:function(e){$I.copy(this.normal.array,e.normal.array),this.normal._dirty=!0,this.distance=e.distance},clone:function(){var e=new qD;return e.copy(this),e}};const $D=qD;var KD,JD=$I.set,QD=$I.copy,eE=$I.transformMat4,tE=Math.min,nE=Math.max,rE=function(){this.planes=[];for(var e=0;e<6;e++)this.planes.push(new $D);for(this.boundingBox=new nD,this.vertices=[],e=0;e<8;e++)this.vertices[e]=$I.fromValues(0,0,0)};rE.prototype={setFromProjection:function(e){var t=this.planes,n=e.array,r=n[0],i=n[1],o=n[2],a=n[3],s=n[4],l=n[5],u=n[6],c=n[7],h=n[8],d=n[9],p=n[10],f=n[11],g=n[12],m=n[13],v=n[14],y=n[15];JD(t[0].normal.array,a-r,c-s,f-h),t[0].distance=-(y-g),t[0].normalize(),JD(t[1].normal.array,a+r,c+s,f+h),t[1].distance=-(y+g),t[1].normalize(),JD(t[2].normal.array,a+i,c+l,f+d),t[2].distance=-(y+m),t[2].normalize(),JD(t[3].normal.array,a-i,c-l,f-d),t[3].distance=-(y-m),t[3].normalize(),JD(t[4].normal.array,a-o,c-u,f-p),t[4].distance=-(y-v),t[4].normalize(),JD(t[5].normal.array,a+o,c+u,f+p),t[5].distance=-(y+v),t[5].normalize();var _=this.boundingBox,x=this.vertices;if(0===y){var b=l/r,w=-v/(p-1),S=-v/(p+1),M=-S/l,T=-w/l;_.min.set(-M*b,-M,S),_.max.set(M*b,M,w),JD(x[0],-M*b,-M,S),JD(x[1],-M*b,M,S),JD(x[2],M*b,-M,S),JD(x[3],M*b,M,S),JD(x[4],-T*b,-T,w),JD(x[5],-T*b,T,w),JD(x[6],T*b,-T,w),JD(x[7],T*b,T,w)}else{var A=(-1-g)/r,I=(1-g)/r,C=(1-m)/l,D=(-1-m)/l,E=(-1-v)/p,L=(1-v)/p;_.min.set(Math.min(A,I),Math.min(D,C),Math.min(L,E)),_.max.set(Math.max(I,A),Math.max(C,D),Math.max(E,L));var P=_.min.array,O=_.max.array;JD(x[0],P[0],P[1],P[2]),JD(x[1],P[0],O[1],P[2]),JD(x[2],O[0],P[1],P[2]),JD(x[3],O[0],O[1],P[2]),JD(x[4],P[0],P[1],O[2]),JD(x[5],P[0],O[1],O[2]),JD(x[6],O[0],P[1],O[2]),JD(x[7],O[0],O[1],O[2])}},getTransformedBoundingBox:(KD=$I.create(),function(e,t){var n=this.vertices,r=t.array,i=e.min,o=e.max,a=i.array,s=o.array,l=n[0];eE(KD,l,r),QD(a,KD),QD(s,KD);for(var u=1;u<8;u++)l=n[u],eE(KD,l,r),a[0]=tE(KD[0],a[0]),a[1]=tE(KD[1],a[1]),a[2]=tE(KD[2],a[2]),s[0]=nE(KD[0],s[0]),s[1]=nE(KD[1],s[1]),s[2]=nE(KD[2],s[2]);return i._dirty=!0,o._dirty=!0,e})};const iE=rE;var oE,aE=aD.extend((function(){return{projectionMatrix:new HC,invProjectionMatrix:new HC,viewMatrix:new HC,frustum:new iE}}),(function(){this.update(!0)}),{update:function(e){aD.prototype.update.call(this,e),HC.invert(this.viewMatrix,this.worldTransform),this.updateProjectionMatrix(),HC.invert(this.invProjectionMatrix,this.projectionMatrix),this.frustum.setFromProjection(this.projectionMatrix)},setViewMatrix:function(e){HC.copy(this.viewMatrix,e),HC.invert(this.worldTransform,e),this.decomposeWorldTransform()},decomposeProjectionMatrix:function(){},setProjectionMatrix:function(e){HC.copy(this.projectionMatrix,e),HC.invert(this.invProjectionMatrix,e),this.decomposeProjectionMatrix()},updateProjectionMatrix:function(){},castRay:(oE=AC.create(),function(e,t){var n=void 0!==t?t:new MC,r=e.array[0],i=e.array[1];return AC.set(oE,r,i,-1,1),AC.transformMat4(oE,oE,this.invProjectionMatrix.array),AC.transformMat4(oE,oE,this.worldTransform.array),$I.scale(n.origin.array,oE,1/oE[3]),AC.set(oE,r,i,1,1),AC.transformMat4(oE,oE,this.invProjectionMatrix.array),AC.transformMat4(oE,oE,this.worldTransform.array),$I.scale(oE,oE,1/oE[3]),$I.sub(n.direction.array,oE,n.origin.array),$I.normalize(n.direction.array,n.direction.array),n.direction._dirty=!0,n.origin._dirty=!0,n})});const sE=aE;var lE=ZI.create(),uE=ZI.create(),cE={};function hE(e){var t=[],n=Object.keys(e);n.sort();for(var r=0;r<n.length;r++){var i=n[r];t.push(i+" "+e[i])}var o=t.join("\n");if(cE[o])return cE[o];var a=PT.genGUID();return cE[o]=a,a}function dE(){this.opaque=[],this.transparent=[],this._opaqueCount=0,this._transparentCount=0}dE.prototype.startCount=function(){this._opaqueCount=0,this._transparentCount=0},dE.prototype.add=function(e,t){t?this.transparent[this._transparentCount++]=e:this.opaque[this._opaqueCount++]=e},dE.prototype.endCount=function(){this.transparent.length=this._transparentCount,this.opaque.length=this._opaqueCount};var pE,fE,gE=aD.extend((function(){return{material:null,lights:[],viewBoundingBoxLastFrame:new nD,shadowUniforms:{},_cameraList:[],_lightUniforms:{},_previousLightNumber:{},_lightNumber:{},_lightProgramKeys:{},_nodeRepository:{},_renderLists:new GA(20)}}),(function(){this._scene=this}),{addToScene:function(e){e instanceof sE?(this._cameraList.length>0&&console.warn("Found multiple camera in one scene. Use the fist one."),this._cameraList.push(e)):e instanceof WD&&this.lights.push(e),e.name&&(this._nodeRepository[e.name]=e)},removeFromScene:function(e){var t;e instanceof sE?(t=this._cameraList.indexOf(e))>=0&&this._cameraList.splice(t,1):e instanceof WD&&(t=this.lights.indexOf(e))>=0&&this.lights.splice(t,1),e.name&&delete this._nodeRepository[e.name]},getNode:function(e){return this._nodeRepository[e]},setMainCamera:function(e){var t=this._cameraList.indexOf(e);t>=0&&this._cameraList.splice(t,1),this._cameraList.unshift(e)},getMainCamera:function(){return this._cameraList[0]},getLights:function(){return this.lights},updateLights:function(){var e=this.lights;this._previousLightNumber=this._lightNumber;for(var t={},n=0;n<e.length;n++){var r=e[n];if(!r.invisible){var i=r.group;t[i]||(t[i]={}),t[i][r.type]=t[i][r.type]||0,t[i][r.type]++}}for(var o in this._lightNumber=t,t)this._lightProgramKeys[o]=hE(t[o]);this._updateLightUniforms()},cloneNode:function(e){var t=e.clone(),n={};return function e(t,r){n[t.__uid__]=r;for(var i=0;i<t._children.length;i++)e(t._children[i],r._children[i])}(e,t),t.traverse((function(e){e.skeleton&&(e.skeleton=e.skeleton.clone(n)),e.material&&(e.material=e.material.clone())})),t},updateRenderList:function(e,t){var n=e.__uid__,r=this._renderLists.get(n);r||(r=new dE,this._renderLists.put(n,r)),r.startCount(),t&&(this.viewBoundingBoxLastFrame.min.set(1/0,1/0,1/0),this.viewBoundingBoxLastFrame.max.set(-1/0,-1/0,-1/0));var i=this.material&&this.material.transparent||!1;return this._doUpdateRenderList(this,e,i,r,t),r.endCount(),r},getRenderList:function(e){return this._renderLists.get(e.__uid__)},_doUpdateRenderList:function(e,t,n,r,i){if(!e.invisible)for(var o=0;o<e._children.length;o++){var a=e._children[o];if(a.isRenderable()){var s=a.isSkinnedMesh()?lE:a.worldTransform.array,l=a.geometry;ZI.multiplyAffine(uE,t.viewMatrix.array,s),(i&&!l.boundingBox||!this.isFrustumCulled(a,t,uE))&&r.add(a,a.material.transparent||n)}a._children.length>0&&this._doUpdateRenderList(a,t,n,r,i)}},isFrustumCulled:(pE=new nD,fE=new HC,function(e,t,n){var r=e.boundingBox;if(r||(r=e.skeleton&&e.skeleton.boundingBox?e.skeleton.boundingBox:e.geometry.boundingBox),!r)return!1;if(fE.array=n,pE.transformFrom(r,fE),e.castShadow&&this.viewBoundingBoxLastFrame.union(pE),e.frustumCulling){if(!pE.intersectBoundingBox(t.frustum.boundingBox))return!0;fE.array=t.projectionMatrix.array,pE.max.array[2]>0&&pE.min.array[2]<0&&(pE.max.array[2]=-1e-20),pE.applyProjection(fE);var i=pE.min.array,o=pE.max.array;if(o[0]<-1||i[0]>1||o[1]<-1||i[1]>1||o[2]<-1||i[2]>1)return!0}return!1}),_updateLightUniforms:function(){var e=this.lights;e.sort(mE);var t=this._lightUniforms;for(var n in t)for(var r in t[n])t[n][r].value.length=0;for(var i=0;i<e.length;i++){var o=e[i];if(!o.invisible)for(var r in n=o.group,o.uniformTemplates){var a=o.uniformTemplates[r],s=a.value(o);if(null!=s){t[n]||(t[n]={}),t[n][r]||(t[n][r]={type:"",value:[]});var l=t[n][r];switch(l.type=a.type+"v",a.type){case"1i":case"1f":case"t":l.value.push(s);break;case"2f":case"3f":case"4f":for(var u=0;u<s.length;u++)l.value.push(s[u]);break;default:console.error("Unkown light uniform type "+a.type)}}}}},getLightGroups:function(){var e=[];for(var t in this._lightNumber)e.push(t);return e},getNumberChangedLightGroups:function(){var e=[];for(var t in this._lightNumber)this.isLightNumberChanged(t)&&e.push(t);return e},isLightNumberChanged:function(e){var t=this._previousLightNumber,n=this._lightNumber;for(var r in n[e]){if(!t[e])return!0;if(n[e][r]!==t[e][r])return!0}for(var r in t[e]){if(!n[e])return!0;if(n[e][r]!==t[e][r])return!0}return!1},getLightsNumbers:function(e){return this._lightNumber[e]},getProgramKey:function(e){return this._lightProgramKeys[e]},setLightUniforms:function(){function e(e,t,n){for(var r in e){var i=e[r];if("tv"===i.type){if(!t.hasUniform(r))continue;for(var o=[],a=0;a<i.value.length;a++){var s=i.value[a],l=t.takeCurrentTextureSlot(n,s);o.push(l)}t.setUniform(n.gl,"1iv",r,o)}else t.setUniform(n.gl,i.type,r,i.value)}}return function(t,n,r){e(this._lightUniforms[n],t,r),e(this.shadowUniforms,t,r)}}(),dispose:function(){this.material=null,this._opaqueList=[],this._transparentList=[],this.lights=[],this._lightUniforms={},this._lightNumber={},this._nodeRepository={}}});function mE(e,t){if(t.castShadow&&!e.castShadow)return!0}const vE=gE;var yE=_D.isPowerOfTwo,_E=["px","nx","py","ny","pz","nz"],xE=mD.extend((function(){return{image:{px:null,nx:null,py:null,ny:null,pz:null,nz:null},pixels:{px:null,nx:null,py:null,ny:null,pz:null,nz:null},mipmaps:[]}}),{textureType:"textureCube",update:function(e){var t=e.gl;t.bindTexture(t.TEXTURE_CUBE_MAP,this._cache.get("webgl_texture")),this.updateCommon(e);var n=this.format,r=this.type;t.texParameteri(t.TEXTURE_CUBE_MAP,t.TEXTURE_WRAP_S,this.getAvailableWrapS()),t.texParameteri(t.TEXTURE_CUBE_MAP,t.TEXTURE_WRAP_T,this.getAvailableWrapT()),t.texParameteri(t.TEXTURE_CUBE_MAP,t.TEXTURE_MAG_FILTER,this.getAvailableMagFilter()),t.texParameteri(t.TEXTURE_CUBE_MAP,t.TEXTURE_MIN_FILTER,this.getAvailableMinFilter());var i=e.getGLExtension("EXT_texture_filter_anisotropic");if(i&&this.anisotropic>1&&t.texParameterf(t.TEXTURE_CUBE_MAP,i.TEXTURE_MAX_ANISOTROPY_EXT,this.anisotropic),36193===r&&(e.getGLExtension("OES_texture_half_float")||(r=lA)),this.mipmaps.length)for(var o=this.width,a=this.height,s=0;s<this.mipmaps.length;s++){var l=this.mipmaps[s];this._updateTextureData(t,l,s,o,a,n,r),o/=2,a/=2}else this._updateTextureData(t,this,0,this.width,this.height,n,r),!this.NPOT&&this.useMipmap&&t.generateMipmap(t.TEXTURE_CUBE_MAP);t.bindTexture(t.TEXTURE_CUBE_MAP,null)},_updateTextureData:function(e,t,n,r,i,o,a){for(var s=0;s<6;s++){var l=_E[s],u=t.image&&t.image[l];u?e.texImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+s,n,o,o,a,u):e.texImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+s,n,o,r,i,0,o,a,t.pixels&&t.pixels[l])}},generateMipmap:function(e){var t=e.gl;this.useMipmap&&!this.NPOT&&(t.bindTexture(t.TEXTURE_CUBE_MAP,this._cache.get("webgl_texture")),t.generateMipmap(t.TEXTURE_CUBE_MAP))},bind:function(e){e.gl.bindTexture(e.gl.TEXTURE_CUBE_MAP,this.getWebGLTexture(e))},unbind:function(e){e.gl.bindTexture(e.gl.TEXTURE_CUBE_MAP,null)},isPowerOfTwo:function(){return this.image.px?yE(this.image.px.width)&&yE(this.image.px.height):yE(this.width)&&yE(this.height)},isRenderable:function(){return this.image.px?bE(this.image.px)&&bE(this.image.nx)&&bE(this.image.py)&&bE(this.image.ny)&&bE(this.image.pz)&&bE(this.image.nz):!(!this.width||!this.height)},load:function(e,t){var n=0,r=this;return PT.each(e,(function(e,i){var o=BA.createImage();t&&(o.crossOrigin=t),o.onload=function(){0==--n&&(r.dirty(),r.trigger("success",r))},o.onerror=function(){n--},n++,o.src=e,r.image[i]=o})),this}});function bE(e){return e.width>0&&e.height>0}Object.defineProperty(xE.prototype,"width",{get:function(){return this.image&&this.image.px?this.image.px.width:this._width},set:function(e){this.image&&this.image.px?console.warn("Texture from image can't set width"):(this._width!==e&&this.dirty(),this._width=e)}}),Object.defineProperty(xE.prototype,"height",{get:function(){return this.image&&this.image.px?this.image.px.height:this._height},set:function(e){this.image&&this.image.px?console.warn("Texture from image can't set height"):(this._height!==e&&this.dirty(),this._height=e)}});const wE=xE;var SE=sE.extend({fov:50,aspect:1,near:.1,far:2e3},{updateProjectionMatrix:function(){var e=this.fov/180*Math.PI;this.projectionMatrix.perspective(e,this.aspect,this.near,this.far)},decomposeProjectionMatrix:function(){var e=this.projectionMatrix.array,t=2*Math.atan(1/e[5]);this.fov=t/Math.PI*180,this.aspect=e[5]/e[0],this.near=e[14]/(e[10]-1),this.far=e[14]/(e[10]+1)},clone:function(){var e=sE.prototype.clone.call(this);return e.fov=this.fov,e.aspect=this.aspect,e.near=this.near,e.far=this.far,e}});const ME=SE;var TE="framebuffer",AE="renderbuffer",IE=AE+"_width",CE=AE+"_height",DE=AE+"_attached",EE="depthtexture_attached",LE=AA,PE=IA,OE=EA,NE=DA,RE=NT.extend({depthBuffer:!0,viewport:null,_width:0,_height:0,_textures:null,_boundRenderer:null},(function(){this._cache=new fD,this._textures={}}),{getTextureWidth:function(){return this._width},getTextureHeight:function(){return this._height},bind:function(e){if(e.__currentFrameBuffer){if(e.__currentFrameBuffer===this)return;console.warn("Renderer already bound with another framebuffer. Unbind it first")}e.__currentFrameBuffer=this;var t=e.gl;t.bindFramebuffer(LE,this._getFrameBufferGL(e)),this._boundRenderer=e;var n=this._cache;n.put("viewport",e.viewport);var r,i,o=!1;for(var a in this._textures){o=!0;var s=this._textures[a];s&&(r=s.texture.width,i=s.texture.height,this._doAttach(e,s.texture,a,s.target))}this._width=r,this._height=i,!o&&this.depthBuffer&&console.error("Must attach texture before bind, or renderbuffer may have incorrect width and height."),this.viewport?e.setViewport(this.viewport):e.setViewport(0,0,r,i,1);var l=n.get("attached_textures");if(l)for(var a in l)if(!this._textures[a]){var u=l[a];this._doDetach(t,a,u)}if(!n.get(EE)&&this.depthBuffer){n.miss(AE)&&n.put(AE,t.createRenderbuffer());var c=n.get(AE);r===n.get(IE)&&i===n.get(CE)||(t.bindRenderbuffer(PE,c),t.renderbufferStorage(PE,t.DEPTH_COMPONENT16,r,i),n.put(IE,r),n.put(CE,i),t.bindRenderbuffer(PE,null)),n.get(DE)||(t.framebufferRenderbuffer(LE,OE,PE,c),n.put(DE,!0))}},unbind:function(e){e.__currentFrameBuffer=null,e.gl.bindFramebuffer(LE,null),this._boundRenderer=null,this._cache.use(e.__uid__);var t=this._cache.get("viewport");t&&e.setViewport(t),this.updateMipmap(e)},updateMipmap:function(e){var t=e.gl;for(var n in this._textures){var r=this._textures[n];if(r){var i=r.texture;if(!i.NPOT&&i.useMipmap&&i.minFilter===mD.LINEAR_MIPMAP_LINEAR){var o="textureCube"===i.textureType?wA:bA;t.bindTexture(o,i.getWebGLTexture(e)),t.generateMipmap(o),t.bindTexture(o,null)}}}},checkStatus:function(e){return e.checkFramebufferStatus(LE)},_getFrameBufferGL:function(e){var t=this._cache;return t.use(e.__uid__),t.miss(TE)&&t.put(TE,e.gl.createFramebuffer()),t.get(TE)},attach:function(e,t,n){if(!e.width)throw new Error("The texture attached to color buffer is not a valid.");t=t||NE,n=n||bA;var r,i=this._boundRenderer;if(i&&i.gl){var o=this._cache;o.use(i.__uid__),r=o.get("attached_textures")}var a=this._textures[t];if(!a||a.target!==n||a.texture!==e||!r||null==r[t]){var s=!0;i&&(s=this._doAttach(i,e,t,n),this.viewport||i.setViewport(0,0,e.width,e.height,1)),s&&(this._textures[t]=this._textures[t]||{},this._textures[t].texture=e,this._textures[t].target=n)}},_doAttach:function(e,t,n,r){var i=e.gl,o=t.getWebGLTexture(e),a=this._cache.get("attached_textures");if(a&&a[n]){var s=a[n];if(s.texture===t&&s.target===r)return}var l=!0;if(((n=+n)===OE||n===PA)&&(e.getGLExtension("WEBGL_depth_texture")||(console.error("Depth texture is not supported by the browser"),l=!1),t.format!==uA&&t.format!==CA&&(console.error("The texture attached to depth buffer is not a valid."),l=!1),l)){var u=this._cache.get(AE);u&&(i.framebufferRenderbuffer(LE,OE,PE,null),i.deleteRenderbuffer(u),this._cache.put(AE,!1)),this._cache.put(DE,!1),this._cache.put(EE,!0)}return i.framebufferTexture2D(LE,n,r,o,0),a||(a={},this._cache.put("attached_textures",a)),a[n]=a[n]||{},a[n].texture=t,a[n].target=r,l},_doDetach:function(e,t,n){e.framebufferTexture2D(LE,t,n,null,0);var r=this._cache.get("attached_textures");r&&r[t]&&(r[t]=null),t!==OE&&t!==PA||this._cache.put(EE,!1)},detach:function(e,t){this._textures[e]=null,this._boundRenderer&&(this._cache.use(this._boundRenderer.__uid__),this._doDetach(this._boundRenderer.gl,e,t))},dispose:function(e){var t=e.gl,n=this._cache;n.use(e.__uid__);var r=n.get(AE);r&&t.deleteRenderbuffer(r);var i=n.get(TE);i&&t.deleteFramebuffer(i),n.deleteContext(e.__uid__),this._textures={}}});RE.DEPTH_ATTACHMENT=OE,RE.COLOR_ATTACHMENT0=NE,RE.STENCIL_ATTACHMENT=LA,RE.DEPTH_STENCIL_ATTACHMENT=PA;const kE=RE;var BE=["px","nx","py","ny","pz","nz"],FE=NT.extend((function(){var e={position:new vC,far:1e3,near:.1,texture:null,shadowMapPass:null},t=e._cameras={px:new ME({fov:90}),nx:new ME({fov:90}),py:new ME({fov:90}),ny:new ME({fov:90}),pz:new ME({fov:90}),nz:new ME({fov:90})};return t.px.lookAt(vC.POSITIVE_X,vC.NEGATIVE_Y),t.nx.lookAt(vC.NEGATIVE_X,vC.NEGATIVE_Y),t.py.lookAt(vC.POSITIVE_Y,vC.POSITIVE_Z),t.ny.lookAt(vC.NEGATIVE_Y,vC.NEGATIVE_Z),t.pz.lookAt(vC.POSITIVE_Z,vC.NEGATIVE_Y),t.nz.lookAt(vC.NEGATIVE_Z,vC.NEGATIVE_Y),e._frameBuffer=new kE,e}),{getCamera:function(e){return this._cameras[e]},render:function(e,t,n){var r=e.gl;n||t.update();for(var i=this.texture.width,o=2*Math.atan(i/(i-.5))/Math.PI*180,a=0;a<6;a++){var s=BE[a],l=this._cameras[s];if(vC.copy(l.position,this.position),l.far=this.far,l.near=this.near,l.fov=o,this.shadowMapPass){l.update();var u=t.getBoundingBox();u.applyTransform(l.viewMatrix),t.viewBoundingBoxLastFrame.copy(u),this.shadowMapPass.render(e,t,l,!0)}this._frameBuffer.attach(this.texture,r.COLOR_ATTACHMENT0,r.TEXTURE_CUBE_MAP_POSITIVE_X+a),this._frameBuffer.bind(e),e.render(t,l,!0),this._frameBuffer.unbind(e)}},dispose:function(e){this._frameBuffer.dispose(e)}});const zE=FE;var VE=kD.extend({dynamic:!1,widthSegments:1,heightSegments:1},(function(){this.build()}),{build:function(){for(var e=this.heightSegments,t=this.widthSegments,n=this.attributes,r=[],i=[],o=[],a=[],s=0;s<=e;s++)for(var l=s/e,u=0;u<=t;u++){var c=u/t;if(r.push([2*c-1,2*l-1,0]),i&&i.push([c,l]),o&&o.push([0,0,1]),u<t&&s<e){var h=u+s*(t+1);a.push([h,h+1,h+t+1]),a.push([h+t+1,h+1,h+t+2])}}n.position.fromArray(r),n.texcoord0.fromArray(i),n.normal.fromArray(o),this.initIndicesFromArray(a),this.boundingBox=new nD,this.boundingBox.min.set(-1,-1,0),this.boundingBox.max.set(1,1,0)}});const GE=VE;var HE=new HC,UE=kD.extend({dynamic:!1,widthSegments:1,heightSegments:1,depthSegments:1,inside:!1},(function(){this.build()}),{build:function(){var e={px:WE("px",this.depthSegments,this.heightSegments),nx:WE("nx",this.depthSegments,this.heightSegments),py:WE("py",this.widthSegments,this.depthSegments),ny:WE("ny",this.widthSegments,this.depthSegments),pz:WE("pz",this.widthSegments,this.heightSegments),nz:WE("nz",this.widthSegments,this.heightSegments)},t=["position","texcoord0","normal"],n=0,r=0;for(var i in e)n+=e[i].vertexCount,r+=e[i].indices.length;for(var o=0;o<t.length;o++)this.attributes[t[o]].init(n);this.indices=new BA.Uint16Array(r);var a=0,s=0;for(var i in e){var l=e[i];for(o=0;o<t.length;o++)for(var u=t[o],c=l.attributes[u].value,h=l.attributes[u].size,d="normal"===u,p=0;p<c.length;p++){var f=c[p];this.inside&&d&&(f=-f),this.attributes[u].value[p+h*s]=f}var g=l.indices.length;for(p=0;p<l.indices.length;p++)this.indices[p+a]=s+l.indices[this.inside?g-p-1:p];a+=l.indices.length,s+=l.vertexCount}this.boundingBox=new nD,this.boundingBox.max.set(1,1,1),this.boundingBox.min.set(-1,-1,-1)}});function WE(e,t,n){HE.identity();var r=new GE({widthSegments:t,heightSegments:n});switch(e){case"px":HC.translate(HE,HE,vC.POSITIVE_X),HC.rotateY(HE,HE,Math.PI/2);break;case"nx":HC.translate(HE,HE,vC.NEGATIVE_X),HC.rotateY(HE,HE,-Math.PI/2);break;case"py":HC.translate(HE,HE,vC.POSITIVE_Y),HC.rotateX(HE,HE,-Math.PI/2);break;case"ny":HC.translate(HE,HE,vC.NEGATIVE_Y),HC.rotateX(HE,HE,Math.PI/2);break;case"pz":HC.translate(HE,HE,vC.POSITIVE_Z);break;case"nz":HC.translate(HE,HE,vC.NEGATIVE_Z),HC.rotateY(HE,HE,Math.PI)}return r.applyTransform(HE),r}const jE=UE;jI.import("@export clay.skybox.vertex\n#define SHADER_NAME skybox\nuniform mat4 world : WORLD;\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\nattribute vec3 position : POSITION;\nvarying vec3 v_WorldPosition;\nvoid main()\n{\n v_WorldPosition = (world * vec4(position, 1.0)).xyz;\n gl_Position = worldViewProjection * vec4(position, 1.0);\n}\n@end\n@export clay.skybox.fragment\n#define PI 3.1415926\nuniform mat4 viewInverse : VIEWINVERSE;\n#ifdef EQUIRECTANGULAR\nuniform sampler2D environmentMap;\n#else\nuniform samplerCube environmentMap;\n#endif\nuniform float lod: 0.0;\nvarying vec3 v_WorldPosition;\n@import clay.util.rgbm\n@import clay.util.srgb\n@import clay.util.ACES\nvoid main()\n{\n vec3 eyePos = viewInverse[3].xyz;\n vec3 V = normalize(v_WorldPosition - eyePos);\n#ifdef EQUIRECTANGULAR\n float phi = acos(V.y);\n float theta = atan(-V.x, V.z) + PI * 0.5;\n vec2 uv = vec2(theta / 2.0 / PI, phi / PI);\n vec4 texel = decodeHDR(texture2D(environmentMap, fract(uv)));\n#else\n #if defined(LOD) || defined(SUPPORT_TEXTURE_LOD)\n vec4 texel = decodeHDR(textureCubeLodEXT(environmentMap, V, lod));\n #else\n vec4 texel = decodeHDR(textureCube(environmentMap, V));\n #endif\n#endif\n#ifdef SRGB_DECODE\n texel = sRGBToLinear(texel);\n#endif\n#ifdef TONEMAPPING\n texel.rgb = ACESToneMapping(texel.rgb);\n#endif\n#ifdef SRGB_ENCODE\n texel = linearTosRGB(texel);\n#endif\n gl_FragColor = encodeHDR(vec4(texel.rgb, 1.0));\n}\n@end");var XE=yD.extend((function(){var e=new jI({vertex:jI.source("clay.skybox.vertex"),fragment:jI.source("clay.skybox.fragment")}),t=new aI({shader:e,depthMask:!1});return{scene:null,geometry:new jE,material:t,environmentMap:null,culling:!1,_dummyCamera:new ME}}),(function(){var e=this.scene;e&&this.attachScene(e),this.environmentMap&&this.setEnvironmentMap(this.environmentMap)}),{attachScene:function(e){this.scene&&this.detachScene(),e.skybox=this,this.scene=e,e.on("beforerender",this._beforeRenderScene,this)},detachScene:function(){this.scene&&(this.scene.off("beforerender",this._beforeRenderScene),this.scene.skybox=null),this.scene=null},dispose:function(e){this.detachScene(),this.geometry.dispose(e)},setEnvironmentMap:function(e){"texture2D"===e.textureType?(this.material.define("EQUIRECTANGULAR"),e.minFilter=mD.LINEAR):this.material.undefine("EQUIRECTANGULAR"),this.material.set("environmentMap",e)},getEnvironmentMap:function(){return this.material.get("environmentMap")},_beforeRenderScene:function(e,t,n){this.renderSkybox(e,n)},renderSkybox:function(e,t){var n=this._dummyCamera;n.aspect=e.getViewportAspect(),n.fov=t.fov||50,n.updateProjectionMatrix(),HC.invert(n.invProjectionMatrix,n.projectionMatrix),n.worldTransform.copy(t.worldTransform),n.viewMatrix.copy(t.viewMatrix),this.position.copy(t.getWorldPosition()),this.update(),e.gl.disable(e.gl.BLEND),this.material.get("lod")>0?this.material.define("fragment","LOD"):this.material.undefine("fragment","LOD"),e.renderPass([this],n)}});const YE=XE,ZE=YE;function qE(e){return e.charCodeAt(0)+(e.charCodeAt(1)<<8)+(e.charCodeAt(2)<<16)+(e.charCodeAt(3)<<24)}var $E=qE("DXT1"),KE=qE("DXT3"),JE=qE("DXT5"),QE={parse:function(e,t){var n=new Int32Array(e,0,31);if(542327876!==n[0])return null;if(4&!n(20))return null;var r,i,o=n(21),a=n[4],s=n[3],l=512&n[28],u=131072&n[2];switch(o){case $E:r=8,i=mD.COMPRESSED_RGB_S3TC_DXT1_EXT;break;case KE:r=16,i=mD.COMPRESSED_RGBA_S3TC_DXT3_EXT;break;case JE:r=16,i=mD.COMPRESSED_RGBA_S3TC_DXT5_EXT;break;default:return null}var c=n[1]+4,h=l?6:1,d=1;u&&(d=Math.max(1,n[7]));for(var p=[],f=0;f<h;f++){var g=a,m=s;p[f]=new SD({width:g,height:m,format:i});for(var v=[],y=0;y<d;y++){var _=Math.max(4,g)/4*Math.max(4,m)/4*r,x=new Uint8Array(e,c,_);c+=_,g*=.5,m*=.5,v[y]=x}p[f].pixels=v[0],u&&(p[f].mipmaps=v)}if(!t)return p[0];t.width=p[0].width,t.height=p[0].height,t.format=p[0].format,t.pixels=p[0].pixels,t.mipmaps=p[0].mipmaps}};const eL=QE;var tL=String.fromCharCode;function nL(e,t,n,r){if(e[3]>0){var i=Math.pow(2,e[3]-128-8+r);t[n+0]=e[0]*i,t[n+1]=e[1]*i,t[n+2]=e[2]*i}else t[n+0]=0,t[n+1]=0,t[n+2]=0;return t[n+3]=1,t}function rL(e,t,n,r){for(var i,o,a=0,s=0,l=r;l>0;)if(e[s][0]=t[n++],e[s][1]=t[n++],e[s][2]=t[n++],e[s][3]=t[n++],1===e[s][0]&&1===e[s][1]&&1===e[s][2]){for(var u=e[s][3]<<a>>>0;u>0;u--)i=e[s-1],(o=e[s])[0]=i[0],o[1]=i[1],o[2]=i[2],o[3]=i[3],s++,l--;a+=8}else s++,l--,a=0;return n}function iL(e,t,n,r){if(r<8|r>32767)return rL(e,t,n,r);if(2!=(i=t[n++]))return rL(e,t,n-1,r);if(e[0][1]=t[n++],e[0][2]=t[n++],i=t[n++],(e[0][2]<<8>>>0|i)>>>0!==r)return null;for(var i=0;i<4;i++)for(var o=0;o<r;){var a=t[n++];if(a>128){a=(127&a)>>>0;for(var s=t[n++];a--;)e[o++][i]=s}else for(;a--;)e[o++][i]=t[n++]}return n}var oL={parseRGBE:function(e,t,n){null==n&&(n=0);var r=new Uint8Array(e),i=r.length;if("#?"===function(e,t,n){for(var r="",i=0;i<2;i++)r+=tL(e[i]);return r}(r)){for(var o=2;o<i&&("\n"!==tL(r[o])||"\n"!==tL(r[o+1]));o++);if(!(o>=i)){o+=2;for(var a="";o<i;o++){var s=tL(r[o]);if("\n"===s)break;a+=s}var l=a.split(" "),u=parseInt(l[1]),c=parseInt(l[3]);if(c&&u){for(var h=o+1,d=[],p=0;p<c;p++){d[p]=[];for(var f=0;f<4;f++)d[p][f]=0}for(var g=new Float32Array(c*u*4),m=0,v=0;v<u;v++){if(!(h=iL(d,r,h,c)))return null;for(p=0;p<c;p++)nL(d[p],g,m,n),m+=4}return t||(t=new SD),t.width=c,t.height=u,t.pixels=g,t.type=mD.FLOAT,t}}}},parseRGBEFromPNG:function(e){}};const aL=oL;var sL={loadTexture:function(e,t,n,r){var i;if("function"==typeof t?(r=n=t,t={}):t=t||{},"string"==typeof e){if(e.match(/.hdr$/)||"hdr"===t.fileType)return i=new SD({width:0,height:0,sRGB:!1}),sL._fetchTexture(e,(function(e){aL.parseRGBE(e,i,t.exposure),i.dirty(),n&&n(i)}),r),i;e.match(/.dds$/)||"dds"===t.fileType?(i=new SD({width:0,height:0}),sL._fetchTexture(e,(function(e){eL.parse(e,i),i.dirty(),n&&n(i)}),r)):((i=new SD).load(e),i.success(n),i.error(r))}else"object"==typeof e&&void 0!==e.px&&((i=new wE).load(e),i.success(n),i.error(r));return i},loadPanorama:function(e,t,n,r,i,o){var a=this;"function"==typeof r?(o=i=r,r={}):r=r||{},sL.loadTexture(t,r,(function(t){t.flipY=r.flipY||!1,a.panoramaToCubeMap(e,t,n,r),t.dispose(e),i&&i(n)}),o)},panoramaToCubeMap:function(e,t,n,r){var i=new zE,o=new ZE({scene:new vE});return o.setEnvironmentMap(t),(r=r||{}).encodeRGBM&&o.material.define("fragment","RGBM_ENCODE"),n.sRGB=t.sRGB,i.texture=n,i.render(e,o.scene),i.texture=null,i.dispose(e),n},heightToNormal:function(e,t){var n=document.createElement("canvas"),r=n.width=e.width,i=n.height=e.height,o=n.getContext("2d");o.drawImage(e,0,0,r,i),t=t||!1;for(var a=o.getImageData(0,0,r,i),s=o.createImageData(r,i),l=0;l<a.data.length;l+=4){if(t){var u=a.data[l],c=a.data[l+1],h=a.data[l+2];if(Math.abs(u-c)+Math.abs(c-h)>20)return console.warn("Given image is not a height map"),e}var d,p,f,g;l%(4*r)==0?(d=a.data[l],f=a.data[l+4]):l%(4*r)==4*(r-1)?(d=a.data[l-4],f=a.data[l]):(d=a.data[l-4],f=a.data[l+4]),l<4*r?(p=a.data[l],g=a.data[l+4*r]):l>r*(i-1)*4?(p=a.data[l-4*r],g=a.data[l]):(p=a.data[l-4*r],g=a.data[l+4*r]),s.data[l]=d-f+127,s.data[l+1]=p-g+127,s.data[l+2]=255,s.data[l+3]=255}return o.putImageData(s,0,0),n},isHeightImage:function(e,t,n){if(!e||!e.width||!e.height)return!1;var r=document.createElement("canvas"),i=r.getContext("2d"),o=t||32;n=n||20,r.width=r.height=o,i.drawImage(e,0,0,o,o);for(var a=i.getImageData(0,0,o,o),s=0;s<a.data.length;s+=4){var l=a.data[s],u=a.data[s+1],c=a.data[s+2];if(Math.abs(l-u)+Math.abs(u-c)>n)return!1}return!0},_fetchTexture:function(e,t,n){BA.request.get({url:e,responseType:"arraybuffer",onload:t,onerror:n})},createChessboard:function(e,t,n,r){e=e||512,t=t||64,n=n||"black",r=r||"white";var i=Math.ceil(e/t),o=document.createElement("canvas");o.width=e,o.height=e;var a=o.getContext("2d");a.fillStyle=r,a.fillRect(0,0,e,e),a.fillStyle=n;for(var s=0;s<i;s++)for(var l=0;l<i;l++)(l%2?s%2:s%2-1)&&a.fillRect(s*t,l*t,t,t);return new SD({image:o,anisotropic:8})},createBlank:function(e){var t=document.createElement("canvas");t.width=1,t.height=1;var n=t.getContext("2d");return n.fillStyle=e,n.fillRect(0,0,1,1),new SD({image:t})}};const lL=sL;var uL=["mousedown","mouseup","mousemove","mouseover","mouseout","click","dblclick","contextmenu"];function cL(e){return"_on"+e}var hL=function(e){var t=this;this._texture=new SD({anisotropic:32,flipY:!1,surface:this,dispose:function(e){t.dispose(),SD.prototype.dispose.call(this,e)}}),uL.forEach((function(e){this[cL(e)]=function(t){t.triangle&&this._meshes.forEach((function(n){this.dispatchEvent(e,n,t.triangle,t.point)}),this)}}),this),this._meshes=[],e&&this.setECharts(e),this.onupdate=null};hL.prototype={constructor:hL,getTexture:function(){return this._texture},setECharts:function(e){this._chart=e;var t=e.getDom();if(t instanceof HTMLCanvasElement){var n=this,r=e.getZr(),i=r.__oldRefreshImmediately||r.refreshImmediately;r.refreshImmediately=function(){i.call(this),n._texture.dirty(),n.onupdate&&n.onupdate()},r.__oldRefreshImmediately=i}else console.error("ECharts must init on canvas if it is used as texture."),t=document.createElement("canvas");this._texture.image=t,this._texture.dirty(),this.onupdate&&this.onupdate()},dispatchEvent:function(){var e=new vC,t=new vC,n=new vC,r=new gI,i=new gI,o=new gI,a=new gI,s=new vC;return function(l,u,c,h){var d=u.geometry,p=d.attributes.position,f=d.attributes.texcoord0,g=vC.dot,m=vC.cross;p.get(c[0],e.array),p.get(c[1],t.array),p.get(c[2],n.array),f.get(c[0],r.array),f.get(c[1],i.array),f.get(c[2],o.array),m(s,t,n);var v=g(e,s),y=g(h,s)/v;m(s,n,e);var _=g(h,s)/v;m(s,e,t);var x=g(h,s)/v;gI.scale(a,r,y),gI.scaleAndAdd(a,a,i,_),gI.scaleAndAdd(a,a,o,x);var b=a.x*this._chart.getWidth(),w=a.y*this._chart.getHeight();this._chart.getZr().handler.dispatch(l,{zrX:b,zrY:w})}}(),attachToMesh:function(e){this._meshes.indexOf(e)>=0||(uL.forEach((function(t){e.on(t,this[cL(t)],this)}),this),this._meshes.push(e))},detachFromMesh:function(e){var t=this._meshes.indexOf(e);t>=0&&this._meshes.splice(t,1),uL.forEach((function(t){e.off(t,this[cL(t)])}),this)},dispose:function(){this._meshes.forEach((function(e){this.detachFromMesh(e)}),this)}};const dL=hL;var pL=sE.extend({left:-1,right:1,near:-1,far:1,top:1,bottom:-1},{updateProjectionMatrix:function(){this.projectionMatrix.ortho(this.left,this.right,this.bottom,this.top,this.near,this.far)},decomposeProjectionMatrix:function(){var e=this.projectionMatrix.array;this.left=(-1-e[12])/e[0],this.right=(1-e[12])/e[0],this.top=(1-e[13])/e[5],this.bottom=(-1-e[13])/e[5],this.near=-(-1-e[14])/e[10],this.far=-(1-e[14])/e[10]},clone:function(){var e=sE.prototype.clone.call(this);return e.left=this.left,e.right=this.right,e.near=this.near,e.far=this.far,e.top=this.top,e.bottom=this.bottom,e}});const fL=pL;jI.import("\n@export clay.compositor.vertex\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\nattribute vec3 position : POSITION;\nattribute vec2 texcoord : TEXCOORD_0;\nvarying vec2 v_Texcoord;\nvoid main()\n{\n v_Texcoord = texcoord;\n gl_Position = worldViewProjection * vec4(position, 1.0);\n}\n@end");var gL=new GE,mL=new yD({geometry:gL,frustumCulling:!1}),vL=new fL;const yL=NT.extend((function(){return{fragment:"",outputs:null,material:null,blendWithPrevious:!1,clearColor:!1,clearDepth:!0}}),(function(){var e=new jI(jI.source("clay.compositor.vertex"),this.fragment),t=new aI({shader:e});t.enableTexturesAll(),this.material=t}),{setUniform:function(e,t){this.material.setUniform(e,t)},getUniform:function(e){var t=this.material.uniforms[e];if(t)return t.value},attachOutput:function(e,t){this.outputs||(this.outputs={}),t=t||DA,this.outputs[t]=e},detachOutput:function(e){for(var t in this.outputs)this.outputs[t]===e&&(this.outputs[t]=null)},bind:function(e,t){if(this.outputs)for(var n in this.outputs){var r=this.outputs[n];r&&t.attach(r,n)}t&&t.bind(e)},unbind:function(e,t){t.unbind(e)},render:function(e,t){var n=e.gl;if(t){this.bind(e,t);var r=e.getGLExtension("EXT_draw_buffers");if(r&&this.outputs){var i=[];for(var o in this.outputs)(o=+o)>=n.COLOR_ATTACHMENT0&&o<=n.COLOR_ATTACHMENT0+8&&i.push(o);r.drawBuffersEXT(i)}}this.trigger("beforerender",this,e);var a=this.clearDepth?n.DEPTH_BUFFER_BIT:0;if(n.depthMask(!0),this.clearColor){a|=n.COLOR_BUFFER_BIT,n.colorMask(!0,!0,!0,!0);var s=this.clearColor;Array.isArray(s)&&n.clearColor(s[0],s[1],s[2],s[3])}n.clear(a),this.blendWithPrevious?(n.enable(n.BLEND),this.material.transparent=!0):(n.disable(n.BLEND),this.material.transparent=!1),this.renderQuad(e),this.trigger("afterrender",this,e),t&&this.unbind(e,t)},renderQuad:function(e){mL.material=this.material,e.renderPass([mL],vL)},dispose:function(e){}});var _L={},xL=["px","nx","py","ny","pz","nz"];_L.prefilterEnvironmentMap=function(e,t,n,r,i){i&&r||(r=_L.generateNormalDistribution(),i=_L.integrateBRDF(e,r));var o=(n=n||{}).width||64,a=n.height||64,s=n.type||t.type,l=new wE({width:o,height:a,type:s,flipY:!1,mipmaps:[]});l.isPowerOfTwo()||console.warn("Width and height must be power of two to enable mipmap.");var u=Math.min(o,a),c=Math.log(u)/Math.log(2)+1,h=new aI({shader:new jI({vertex:jI.source("clay.skybox.vertex"),fragment:"#define SHADER_NAME prefilter\n#define SAMPLE_NUMBER 1024\n#define PI 3.14159265358979\nuniform mat4 viewInverse : VIEWINVERSE;\nuniform samplerCube environmentMap;\nuniform sampler2D normalDistribution;\nuniform float roughness : 0.5;\nvarying vec2 v_Texcoord;\nvarying vec3 v_WorldPosition;\n@import clay.util.rgbm\nvec3 importanceSampleNormal(float i, float roughness, vec3 N) {\n vec3 H = texture2D(normalDistribution, vec2(roughness, i)).rgb;\n vec3 upVector = abs(N.y) > 0.999 ? vec3(1.0, 0.0, 0.0) : vec3(0.0, 1.0, 0.0);\n vec3 tangentX = normalize(cross(N, upVector));\n vec3 tangentZ = cross(N, tangentX);\n return normalize(tangentX * H.x + N * H.y + tangentZ * H.z);\n}\nvoid main() {\n vec3 eyePos = viewInverse[3].xyz;\n vec3 V = normalize(v_WorldPosition - eyePos);\n vec3 N = V;\n vec3 prefilteredColor = vec3(0.0);\n float totalWeight = 0.0;\n float fMaxSampleNumber = float(SAMPLE_NUMBER);\n for (int i = 0; i < SAMPLE_NUMBER; i++) {\n vec3 H = importanceSampleNormal(float(i) / fMaxSampleNumber, roughness, N);\n vec3 L = reflect(-V, H);\n float NoL = clamp(dot(N, L), 0.0, 1.0);\n if (NoL > 0.0) {\n prefilteredColor += decodeHDR(textureCube(environmentMap, L)).rgb * NoL;\n totalWeight += NoL;\n }\n }\n gl_FragColor = encodeHDR(vec4(prefilteredColor / totalWeight, 1.0));\n}\n"})});h.set("normalDistribution",r),n.encodeRGBM&&h.define("fragment","RGBM_ENCODE"),n.decodeRGBM&&h.define("fragment","RGBM_DECODE");var d,p=new vE;if("texture2D"===t.textureType){var f=new wE({width:o,height:a,type:s===mD.FLOAT?mD.HALF_FLOAT:s});lL.panoramaToCubeMap(e,t,f,{encodeRGBM:n.decodeRGBM}),t=f}(d=new YE({scene:p,material:h})).material.set("environmentMap",t);var g=new zE({texture:l});n.encodeRGBM&&(s=l.type=mD.UNSIGNED_BYTE);for(var m=new SD({width:o,height:a,type:s}),v=new kE({depthBuffer:!1}),y=BA[s===mD.UNSIGNED_BYTE?"Uint8Array":"Float32Array"],_=0;_<c;_++){l.mipmaps[_]={pixels:{}},d.material.set("roughness",_/(c-1));for(var x=m.width,b=2*Math.atan(x/(x-.5))/Math.PI*180,w=0;w<xL.length;w++){var S=new y(m.width*m.height*4);v.attach(m),v.bind(e);var M=g.getCamera(xL[w]);M.fov=b,e.render(p,M),e.gl.readPixels(0,0,m.width,m.height,mD.RGBA,s,S),v.unbind(e),l.mipmaps[_].pixels[xL[w]]=S}m.width/=2,m.height/=2,m.dirty()}return v.dispose(e),m.dispose(e),d.dispose(e),r.dispose(e),{environmentMap:l,brdfLookup:i,normalDistribution:r,maxMipmapLevel:c}},_L.integrateBRDF=function(e,t){t=t||_L.generateNormalDistribution();var n=new kE({depthBuffer:!1}),r=new yL({fragment:"#define SAMPLE_NUMBER 1024\n#define PI 3.14159265358979\nuniform sampler2D normalDistribution;\nuniform vec2 viewportSize : [512, 256];\nconst vec3 N = vec3(0.0, 0.0, 1.0);\nconst float fSampleNumber = float(SAMPLE_NUMBER);\nvec3 importanceSampleNormal(float i, float roughness, vec3 N) {\n vec3 H = texture2D(normalDistribution, vec2(roughness, i)).rgb;\n vec3 upVector = abs(N.y) > 0.999 ? vec3(1.0, 0.0, 0.0) : vec3(0.0, 1.0, 0.0);\n vec3 tangentX = normalize(cross(N, upVector));\n vec3 tangentZ = cross(N, tangentX);\n return normalize(tangentX * H.x + N * H.y + tangentZ * H.z);\n}\nfloat G_Smith(float roughness, float NoV, float NoL) {\n float k = roughness * roughness / 2.0;\n float G1V = NoV / (NoV * (1.0 - k) + k);\n float G1L = NoL / (NoL * (1.0 - k) + k);\n return G1L * G1V;\n}\nvoid main() {\n vec2 uv = gl_FragCoord.xy / viewportSize;\n float NoV = uv.x;\n float roughness = uv.y;\n vec3 V;\n V.x = sqrt(1.0 - NoV * NoV);\n V.y = 0.0;\n V.z = NoV;\n float A = 0.0;\n float B = 0.0;\n for (int i = 0; i < SAMPLE_NUMBER; i++) {\n vec3 H = importanceSampleNormal(float(i) / fSampleNumber, roughness, N);\n vec3 L = reflect(-V, H);\n float NoL = clamp(L.z, 0.0, 1.0);\n float NoH = clamp(H.z, 0.0, 1.0);\n float VoH = clamp(dot(V, H), 0.0, 1.0);\n if (NoL > 0.0) {\n float G = G_Smith(roughness, NoV, NoL);\n float G_Vis = G * VoH / (NoH * NoV);\n float Fc = pow(1.0 - VoH, 5.0);\n A += (1.0 - Fc) * G_Vis;\n B += Fc * G_Vis;\n }\n }\n gl_FragColor = vec4(vec2(A, B) / fSampleNumber, 0.0, 1.0);\n}\n"}),i=new SD({width:512,height:256,type:mD.HALF_FLOAT,wrapS:mD.CLAMP_TO_EDGE,wrapT:mD.CLAMP_TO_EDGE,minFilter:mD.NEAREST,magFilter:mD.NEAREST,useMipmap:!1});return r.setUniform("normalDistribution",t),r.setUniform("viewportSize",[512,256]),r.attachOutput(i),r.render(e,n),n.dispose(e),i},_L.generateNormalDistribution=function(e,t){for(var n=new SD({width:e=e||256,height:t=t||1024,type:mD.FLOAT,minFilter:mD.NEAREST,magFilter:mD.NEAREST,wrapS:mD.CLAMP_TO_EDGE,wrapT:mD.CLAMP_TO_EDGE,useMipmap:!1}),r=new Float32Array(t*e*4),i=[],o=0;o<e;o++){for(var a=o/e,s=a*a,l=0;l<t;l++){var u=(l<<16|l>>>16)>>>0;u=(((16711935&(u=((252645135&(u=((858993459&(u=((1431655765&u)<<1|(2863311530&u)>>>1)>>>0))<<2|(3435973836&u)>>>2)>>>0))<<4|(4042322160&u)>>>4)>>>0))<<8|(4278255360&u)>>>8)>>>0)/4294967296;var c=Math.sqrt((1-u)/(1+(s*s-1)*u));i[l]=c}for(l=0;l<t;l++){var h=4*(l*e+o),d=(c=i[l],Math.sqrt(1-c*c)),p=l/t,f=2*Math.PI*p;r[h]=d*Math.cos(f),r[h+1]=c,r[h+2]=d*Math.sin(f),r[h+3]=1}}return n.pixels=r,n};const bL=_L;var wL=WD.extend({cubemap:null,castShadow:!1,_normalDistribution:null,_brdfLookup:null},{type:"AMBIENT_CUBEMAP_LIGHT",prefilter:function(e,t){if(e.getGLExtension("EXT_shader_texture_lod")){this._brdfLookup||(this._normalDistribution=bL.generateNormalDistribution(),this._brdfLookup=bL.integrateBRDF(e,this._normalDistribution));var n=this.cubemap;if(!n.__prefiltered){var r=bL.prefilterEnvironmentMap(e,n,{encodeRGBM:!0,width:t,height:t},this._normalDistribution,this._brdfLookup);this.cubemap=r.environmentMap,this.cubemap.__prefiltered=!0,n.dispose(e)}}else console.warn("Device not support textureCubeLodEXT")},getBRDFLookup:function(){return this._brdfLookup},uniformTemplates:{ambientCubemapLightColor:{type:"3f",value:function(e){var t=e.color,n=e.intensity;return[t[0]*n,t[1]*n,t[2]*n]}},ambientCubemapLightCubemap:{type:"t",value:function(e){return e.cubemap}},ambientCubemapLightBRDFLookup:{type:"t",value:function(e){return e._brdfLookup}}}});const SL=wL;var ML=WD.extend({castShadow:!1,coefficients:[]},(function(){this._coefficientsTmpArr=new BA.Float32Array(27)}),{type:"AMBIENT_SH_LIGHT",uniformTemplates:{ambientSHLightColor:{type:"3f",value:function(e){var t=e.color,n=e.intensity;return[t[0]*n,t[1]*n,t[2]*n]}},ambientSHLightCoefficients:{type:"3f",value:function(e){for(var t=e._coefficientsTmpArr,n=0;n<e.coefficients.length;n++)t[n]=e.coefficients[n];return t}}}});const TL=ML;var AL={},IL=["px","nx","py","ny","pz","nz"];function CL(e,t){var n=e[0],r=e[1],i=e[2];return 0===t?1:1===t?n:2===t?r:3===t?i:4===t?n*i:5===t?r*i:6===t?n*r:7===t?3*i*i-1:n*n-r*r}var DL={px:[2,1,0,-1,-1,1],nx:[2,1,0,1,-1,-1],py:[0,2,1,1,-1,-1],ny:[0,2,1,1,1,1],pz:[0,1,2,-1,-1,-1],nz:[0,1,2,1,-1,1]};AL.projectEnvironmentMap=function(e,t,n){var r;(n=n||{}).lod=n.lod||0;var i=new vE,o=64;"texture2D"===t.textureType?r=new ZE({scene:i,environmentMap:t}):(o=t.image&&t.image.px?t.image.px.width:t.width,r=new YE({scene:i,environmentMap:t}));var a=Math.ceil(o/Math.pow(2,n.lod)),s=Math.ceil(o/Math.pow(2,n.lod)),l=new SD({width:a,height:s}),u=new kE;r.material.define("fragment","RGBM_ENCODE"),n.decodeRGBM&&r.material.define("fragment","RGBM_DECODE"),r.material.set("lod",n.lod);for(var c=new zE({texture:l}),h={},d=0;d<IL.length;d++){h[IL[d]]=new Uint8Array(a*s*4);var p=c.getCamera(IL[d]);p.fov=90,u.attach(l),u.bind(e),e.render(i,p),e.gl.readPixels(0,0,a,s,mD.RGBA,mD.UNSIGNED_BYTE,h[IL[d]]),u.unbind(e)}return r.dispose(e),u.dispose(e),l.dispose(e),function(e,t,n,r){for(var i=new BA.Float32Array(27),o=$I.create(),a=$I.create(),s=$I.create(),l=0;l<9;l++){for(var u=$I.create(),c=0;c<IL.length;c++){for(var h=t[IL[c]],d=$I.create(),p=0,f=0,g=DL[IL[c]],m=0;m<r;m++)for(var v=0;v<n;v++){o[0]=v/(n-1)*2-1,o[1]=m/(r-1)*2-1,o[2]=-1,$I.normalize(o,o),s[0]=o[g[0]]*g[3],s[1]=o[g[1]]*g[4],s[2]=o[g[2]]*g[5],a[0]=h[f++]/255,a[1]=h[f++]/255,a[2]=h[f++]/255;var y=h[f++]/255*8.12;a[0]*=y,a[1]*=y,a[2]*=y,$I.scaleAndAdd(d,d,a,CL(s,l)*-o[2]),p+=-o[2]}$I.scaleAndAdd(u,u,d,1/p)}i[3*l]=u[0]/6,i[3*l+1]=u[1]/6,i[3*l+2]=u[2]/6}return i}(0,h,a,s)};const EL=AL;var LL={firstNotNull:function(){for(var e=0,t=arguments.length;e<t;e++)if(null!=arguments[e])return arguments[e]},queryDataIndex:function(e,t){return null!=t.dataIndexInside?t.dataIndexInside:null!=t.dataIndex?bt(t.dataIndex)?ft(t.dataIndex,(function(t){return e.indexOfRawIndex(t)})):e.indexOfRawIndex(t.dataIndex):null!=t.name?bt(t.name)?ft(t.name,(function(t){return e.indexOfName(t)})):e.indexOfName(t.name):void 0}};const PL=LL;var OL=kD.extend({dynamic:!1,widthSegments:40,heightSegments:20,phiStart:0,phiLength:2*Math.PI,thetaStart:0,thetaLength:Math.PI,radius:1},(function(){this.build()}),{build:function(){var e=this.heightSegments,t=this.widthSegments,n=this.attributes.position,r=this.attributes.texcoord0,i=this.attributes.normal,o=(t+1)*(e+1);n.init(o),r.init(o),i.init(o);var a,s,l,u,c,h,d,p,f,g,m,v=o>65535?Uint32Array:Uint16Array,y=this.indices=new v(t*e*6),_=this.radius,x=this.phiStart,b=this.phiLength,w=this.thetaStart,S=this.thetaLength,M=[],T=[],A=0,I=1/(_=this.radius);for(d=0;d<=e;d++)for(h=0;h<=t;h++)u=h/t,c=d/e,a=-_*Math.cos(x+u*b)*Math.sin(w+c*S),s=_*Math.cos(w+c*S),l=_*Math.sin(x+u*b)*Math.sin(w+c*S),M[0]=a,M[1]=s,M[2]=l,T[0]=u,T[1]=c,n.set(A,M),r.set(A,T),M[0]*=I,M[1]*=I,M[2]*=I,i.set(A,M),A++;var C=t+1,D=0;for(d=0;d<e;d++)for(h=0;h<t;h++)f=d*C+h,p=d*C+h+1,m=(d+1)*C+h+1,g=(d+1)*C+h,y[D++]=p,y[D++]=f,y[D++]=m,y[D++]=f,y[D++]=g,y[D++]=m;this.boundingBox=new nD,this.boundingBox.max.set(_,_,_),this.boundingBox.min.set(-_,-_,-_)}});const NL=OL;var RL=WD.extend({castShadow:!1},{type:"AMBIENT_LIGHT",uniformTemplates:{ambientLightColor:{type:"3f",value:function(e){var t=e.color,n=e.intensity;return[t[0]*n,t[1]*n,t[2]*n]}}}});const kL=RL;var BL=WD.extend({shadowBias:.001,shadowSlopeScale:2,shadowCascade:1,cascadeSplitLogFactor:.2},{type:"DIRECTIONAL_LIGHT",uniformTemplates:{directionalLightDirection:{type:"3f",value:function(e){return e.__dir=e.__dir||new vC,e.__dir.copy(e.worldTransform.z).normalize().negate().array}},directionalLightColor:{type:"3f",value:function(e){var t=e.color,n=e.intensity;return[t[0]*n,t[1]*n,t[2]*n]}}},clone:function(){var e=WD.prototype.clone.call(this);return e.shadowBias=this.shadowBias,e.shadowSlopeScale=this.shadowSlopeScale,e}});const FL=BL;var zL=WD.extend({range:100,castShadow:!1},{type:"POINT_LIGHT",uniformTemplates:{pointLightPosition:{type:"3f",value:function(e){return e.getWorldPosition().array}},pointLightRange:{type:"1f",value:function(e){return e.range}},pointLightColor:{type:"3f",value:function(e){var t=e.color,n=e.intensity;return[t[0]*n,t[1]*n,t[2]*n]}}},clone:function(){var e=WD.prototype.clone.call(this);return e.range=this.range,e}});const VL=zL;var GL=WD.extend({range:20,umbraAngle:30,penumbraAngle:45,falloffFactor:2,shadowBias:.001,shadowSlopeScale:2},{type:"SPOT_LIGHT",uniformTemplates:{spotLightPosition:{type:"3f",value:function(e){return e.getWorldPosition().array}},spotLightRange:{type:"1f",value:function(e){return e.range}},spotLightUmbraAngleCosine:{type:"1f",value:function(e){return Math.cos(e.umbraAngle*Math.PI/180)}},spotLightPenumbraAngleCosine:{type:"1f",value:function(e){return Math.cos(e.penumbraAngle*Math.PI/180)}},spotLightFalloffFactor:{type:"1f",value:function(e){return e.falloffFactor}},spotLightDirection:{type:"3f",value:function(e){return e.__dir=e.__dir||new vC,e.__dir.copy(e.worldTransform.z).negate().array}},spotLightColor:{type:"3f",value:function(e){var t=e.color,n=e.intensity;return[t[0]*n,t[1]*n,t[2]*n]}}},clone:function(){var e=WD.prototype.clone.call(this);return e.range=this.range,e.umbraAngle=this.umbraAngle,e.penumbraAngle=this.penumbraAngle,e.falloffFactor=this.falloffFactor,e.shadowBias=this.shadowBias,e.shadowSlopeScale=this.shadowSlopeScale,e}});const HL=GL;var UL=function(e,t,n,r){e=e||0,t=t||0,n=n||0,r=r||0,this.array=AC.fromValues(e,t,n,r),this._dirty=!0};UL.prototype={constructor:UL,add:function(e){return AC.add(this.array,this.array,e.array),this._dirty=!0,this},set:function(e,t,n,r){return this.array[0]=e,this.array[1]=t,this.array[2]=n,this.array[3]=r,this._dirty=!0,this},setArray:function(e){return this.array[0]=e[0],this.array[1]=e[1],this.array[2]=e[2],this.array[3]=e[3],this._dirty=!0,this},clone:function(){return new UL(this.x,this.y,this.z,this.w)},copy:function(e){return AC.copy(this.array,e.array),this._dirty=!0,this},dist:function(e){return AC.dist(this.array,e.array)},distance:function(e){return AC.distance(this.array,e.array)},div:function(e){return AC.div(this.array,this.array,e.array),this._dirty=!0,this},divide:function(e){return AC.divide(this.array,this.array,e.array),this._dirty=!0,this},dot:function(e){return AC.dot(this.array,e.array)},len:function(){return AC.len(this.array)},length:function(){return AC.length(this.array)},lerp:function(e,t,n){return AC.lerp(this.array,e.array,t.array,n),this._dirty=!0,this},min:function(e){return AC.min(this.array,this.array,e.array),this._dirty=!0,this},max:function(e){return AC.max(this.array,this.array,e.array),this._dirty=!0,this},mul:function(e){return AC.mul(this.array,this.array,e.array),this._dirty=!0,this},multiply:function(e){return AC.multiply(this.array,this.array,e.array),this._dirty=!0,this},negate:function(){return AC.negate(this.array,this.array),this._dirty=!0,this},normalize:function(){return AC.normalize(this.array,this.array),this._dirty=!0,this},random:function(e){return AC.random(this.array,e),this._dirty=!0,this},scale:function(e){return AC.scale(this.array,this.array,e),this._dirty=!0,this},scaleAndAdd:function(e,t){return AC.scaleAndAdd(this.array,this.array,e.array,t),this._dirty=!0,this},sqrDist:function(e){return AC.sqrDist(this.array,e.array)},squaredDistance:function(e){return AC.squaredDistance(this.array,e.array)},sqrLen:function(){return AC.sqrLen(this.array)},squaredLength:function(){return AC.squaredLength(this.array)},sub:function(e){return AC.sub(this.array,this.array,e.array),this._dirty=!0,this},subtract:function(e){return AC.subtract(this.array,this.array,e.array),this._dirty=!0,this},transformMat4:function(e){return AC.transformMat4(this.array,this.array,e.array),this._dirty=!0,this},transformQuat:function(e){return AC.transformQuat(this.array,this.array,e.array),this._dirty=!0,this},toString:function(){return"["+Array.prototype.join.call(this.array,",")+"]"},toArray:function(){return Array.prototype.slice.call(this.array)}};var WL=Object.defineProperty;if(WL){var jL=UL.prototype;WL(jL,"x",{get:function(){return this.array[0]},set:function(e){this.array[0]=e,this._dirty=!0}}),WL(jL,"y",{get:function(){return this.array[1]},set:function(e){this.array[1]=e,this._dirty=!0}}),WL(jL,"z",{get:function(){return this.array[2]},set:function(e){this.array[2]=e,this._dirty=!0}}),WL(jL,"w",{get:function(){return this.array[3]},set:function(e){this.array[3]=e,this._dirty=!0}})}UL.add=function(e,t,n){return AC.add(e.array,t.array,n.array),e._dirty=!0,e},UL.set=function(e,t,n,r,i){AC.set(e.array,t,n,r,i),e._dirty=!0},UL.copy=function(e,t){return AC.copy(e.array,t.array),e._dirty=!0,e},UL.distance=UL.dist=function(e,t){return AC.distance(e.array,t.array)},UL.div=function(e,t,n){return AC.divide(e.array,t.array,n.array),e._dirty=!0,e},UL.divide=UL.div,UL.dot=function(e,t){return AC.dot(e.array,t.array)},UL.len=function(e){return AC.length(e.array)},UL.lerp=function(e,t,n,r){return AC.lerp(e.array,t.array,n.array,r),e._dirty=!0,e},UL.min=function(e,t,n){return AC.min(e.array,t.array,n.array),e._dirty=!0,e},UL.max=function(e,t,n){return AC.max(e.array,t.array,n.array),e._dirty=!0,e},UL.mul=function(e,t,n){return AC.multiply(e.array,t.array,n.array),e._dirty=!0,e},UL.multiply=UL.mul,UL.negate=function(e,t){return AC.negate(e.array,t.array),e._dirty=!0,e},UL.normalize=function(e,t){return AC.normalize(e.array,t.array),e._dirty=!0,e},UL.random=function(e,t){return AC.random(e.array,t),e._dirty=!0,e},UL.scale=function(e,t,n){return AC.scale(e.array,t.array,n),e._dirty=!0,e},UL.scaleAndAdd=function(e,t,n,r){return AC.scaleAndAdd(e.array,t.array,n.array,r),e._dirty=!0,e},UL.squaredDistance=UL.sqrDist=function(e,t){return AC.sqrDist(e.array,t.array)},UL.squaredLength=UL.sqrLen=function(e){return AC.sqrLen(e.array)},UL.sub=function(e,t,n){return AC.subtract(e.array,t.array,n.array),e._dirty=!0,e},UL.subtract=UL.sub,UL.transformMat4=function(e,t,n){return AC.transformMat4(e.array,t.array,n.array),e._dirty=!0,e},UL.transformQuat=function(e,t,n){return AC.transformQuat(e.array,t.array,n.array),e._dirty=!0,e};const XL=UL;var YL={create:function(){var e=new uI(4);return e[0]=1,e[1]=0,e[2]=0,e[3]=1,e},clone:function(e){var t=new uI(4);return t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[3],t},copy:function(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e},identity:function(e){return e[0]=1,e[1]=0,e[2]=0,e[3]=1,e},transpose:function(e,t){if(e===t){var n=t[1];e[1]=t[2],e[2]=n}else e[0]=t[0],e[1]=t[2],e[2]=t[1],e[3]=t[3];return e},invert:function(e,t){var n=t[0],r=t[1],i=t[2],o=t[3],a=n*o-i*r;return a?(a=1/a,e[0]=o*a,e[1]=-r*a,e[2]=-i*a,e[3]=n*a,e):null},adjoint:function(e,t){var n=t[0];return e[0]=t[3],e[1]=-t[1],e[2]=-t[2],e[3]=n,e},determinant:function(e){return e[0]*e[3]-e[2]*e[1]},multiply:function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=n[0],l=n[1],u=n[2],c=n[3];return e[0]=r*s+o*l,e[1]=i*s+a*l,e[2]=r*u+o*c,e[3]=i*u+a*c,e}};YL.mul=YL.multiply,YL.rotate=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=Math.sin(n),l=Math.cos(n);return e[0]=r*l+o*s,e[1]=i*l+a*s,e[2]=r*-s+o*l,e[3]=i*-s+a*l,e},YL.scale=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=n[0],l=n[1];return e[0]=r*s,e[1]=i*s,e[2]=o*l,e[3]=a*l,e},YL.frob=function(e){return Math.sqrt(Math.pow(e[0],2)+Math.pow(e[1],2)+Math.pow(e[2],2)+Math.pow(e[3],2))},YL.LDU=function(e,t,n,r){return e[2]=r[2]/r[0],n[0]=r[0],n[1]=r[1],n[3]=r[3]-e[2]*n[1],[e,t,n]};const ZL=YL;var qL=function(){this.array=ZL.create(),this._dirty=!0};qL.prototype={constructor:qL,setArray:function(e){for(var t=0;t<this.array.length;t++)this.array[t]=e[t];return this._dirty=!0,this},clone:function(){return(new qL).copy(this)},copy:function(e){return ZL.copy(this.array,e.array),this._dirty=!0,this},adjoint:function(){return ZL.adjoint(this.array,this.array),this._dirty=!0,this},determinant:function(){return ZL.determinant(this.array)},identity:function(){return ZL.identity(this.array),this._dirty=!0,this},invert:function(){return ZL.invert(this.array,this.array),this._dirty=!0,this},mul:function(e){return ZL.mul(this.array,this.array,e.array),this._dirty=!0,this},mulLeft:function(e){return ZL.mul(this.array,e.array,this.array),this._dirty=!0,this},multiply:function(e){return ZL.multiply(this.array,this.array,e.array),this._dirty=!0,this},multiplyLeft:function(e){return ZL.multiply(this.array,e.array,this.array),this._dirty=!0,this},rotate:function(e){return ZL.rotate(this.array,this.array,e),this._dirty=!0,this},scale:function(e){return ZL.scale(this.array,this.array,e.array),this._dirty=!0,this},transpose:function(){return ZL.transpose(this.array,this.array),this._dirty=!0,this},toString:function(){return"["+Array.prototype.join.call(this.array,",")+"]"},toArray:function(){return Array.prototype.slice.call(this.array)}},qL.adjoint=function(e,t){return ZL.adjoint(e.array,t.array),e._dirty=!0,e},qL.copy=function(e,t){return ZL.copy(e.array,t.array),e._dirty=!0,e},qL.determinant=function(e){return ZL.determinant(e.array)},qL.identity=function(e){return ZL.identity(e.array),e._dirty=!0,e},qL.invert=function(e,t){return ZL.invert(e.array,t.array),e._dirty=!0,e},qL.mul=function(e,t,n){return ZL.mul(e.array,t.array,n.array),e._dirty=!0,e},qL.multiply=qL.mul,qL.rotate=function(e,t,n){return ZL.rotate(e.array,t.array,n),e._dirty=!0,e},qL.scale=function(e,t,n){return ZL.scale(e.array,t.array,n.array),e._dirty=!0,e},qL.transpose=function(e,t){return ZL.transpose(e.array,t.array),e._dirty=!0,e};const $L=qL;var KL={create:function(){var e=new uI(6);return e[0]=1,e[1]=0,e[2]=0,e[3]=1,e[4]=0,e[5]=0,e},clone:function(e){var t=new uI(6);return t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[3],t[4]=e[4],t[5]=e[5],t},copy:function(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e[4]=t[4],e[5]=t[5],e},identity:function(e){return e[0]=1,e[1]=0,e[2]=0,e[3]=1,e[4]=0,e[5]=0,e},invert:function(e,t){var n=t[0],r=t[1],i=t[2],o=t[3],a=t[4],s=t[5],l=n*o-r*i;return l?(l=1/l,e[0]=o*l,e[1]=-r*l,e[2]=-i*l,e[3]=n*l,e[4]=(i*s-o*a)*l,e[5]=(r*a-n*s)*l,e):null},determinant:function(e){return e[0]*e[3]-e[1]*e[2]},multiply:function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=t[4],l=t[5],u=n[0],c=n[1],h=n[2],d=n[3],p=n[4],f=n[5];return e[0]=r*u+o*c,e[1]=i*u+a*c,e[2]=r*h+o*d,e[3]=i*h+a*d,e[4]=r*p+o*f+s,e[5]=i*p+a*f+l,e}};KL.mul=KL.multiply,KL.rotate=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=t[4],l=t[5],u=Math.sin(n),c=Math.cos(n);return e[0]=r*c+o*u,e[1]=i*c+a*u,e[2]=r*-u+o*c,e[3]=i*-u+a*c,e[4]=s,e[5]=l,e},KL.scale=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=t[4],l=t[5],u=n[0],c=n[1];return e[0]=r*u,e[1]=i*u,e[2]=o*c,e[3]=a*c,e[4]=s,e[5]=l,e},KL.translate=function(e,t,n){var r=t[0],i=t[1],o=t[2],a=t[3],s=t[4],l=t[5],u=n[0],c=n[1];return e[0]=r,e[1]=i,e[2]=o,e[3]=a,e[4]=r*u+o*c+s,e[5]=i*u+a*c+l,e},KL.frob=function(e){return Math.sqrt(Math.pow(e[0],2)+Math.pow(e[1],2)+Math.pow(e[2],2)+Math.pow(e[3],2)+Math.pow(e[4],2)+Math.pow(e[5],2)+1)};const JL=KL;var QL=function(){this.array=JL.create(),this._dirty=!0};QL.prototype={constructor:QL,setArray:function(e){for(var t=0;t<this.array.length;t++)this.array[t]=e[t];return this._dirty=!0,this},clone:function(){return(new QL).copy(this)},copy:function(e){return JL.copy(this.array,e.array),this._dirty=!0,this},determinant:function(){return JL.determinant(this.array)},identity:function(){return JL.identity(this.array),this._dirty=!0,this},invert:function(){return JL.invert(this.array,this.array),this._dirty=!0,this},mul:function(e){return JL.mul(this.array,this.array,e.array),this._dirty=!0,this},mulLeft:function(e){return JL.mul(this.array,e.array,this.array),this._dirty=!0,this},multiply:function(e){return JL.multiply(this.array,this.array,e.array),this._dirty=!0,this},multiplyLeft:function(e){return JL.multiply(this.array,e.array,this.array),this._dirty=!0,this},rotate:function(e){return JL.rotate(this.array,this.array,e),this._dirty=!0,this},scale:function(e){return JL.scale(this.array,this.array,e.array),this._dirty=!0,this},translate:function(e){return JL.translate(this.array,this.array,e.array),this._dirty=!0,this},toString:function(){return"["+Array.prototype.join.call(this.array,",")+"]"},toArray:function(){return Array.prototype.slice.call(this.array)}},QL.copy=function(e,t){return JL.copy(e.array,t.array),e._dirty=!0,e},QL.determinant=function(e){return JL.determinant(e.array)},QL.identity=function(e){return JL.identity(e.array),e._dirty=!0,e},QL.invert=function(e,t){return JL.invert(e.array,t.array),e._dirty=!0,e},QL.mul=function(e,t,n){return JL.mul(e.array,t.array,n.array),e._dirty=!0,e},QL.multiply=QL.mul,QL.rotate=function(e,t,n){return JL.rotate(e.array,t.array,n),e._dirty=!0,e},QL.scale=function(e,t,n){return JL.scale(e.array,t.array,n.array),e._dirty=!0,e},QL.translate=function(e,t,n){return JL.translate(e.array,t.array,n.array),e._dirty=!0,e};const eP=QL;var tP=function(){this.array=CC.create(),this._dirty=!0};tP.prototype={constructor:tP,setArray:function(e){for(var t=0;t<this.array.length;t++)this.array[t]=e[t];return this._dirty=!0,this},adjoint:function(){return CC.adjoint(this.array,this.array),this._dirty=!0,this},clone:function(){return(new tP).copy(this)},copy:function(e){return CC.copy(this.array,e.array),this._dirty=!0,this},determinant:function(){return CC.determinant(this.array)},fromMat2d:function(e){return CC.fromMat2d(this.array,e.array),this._dirty=!0,this},fromMat4:function(e){return CC.fromMat4(this.array,e.array),this._dirty=!0,this},fromQuat:function(e){return CC.fromQuat(this.array,e.array),this._dirty=!0,this},identity:function(){return CC.identity(this.array),this._dirty=!0,this},invert:function(){return CC.invert(this.array,this.array),this._dirty=!0,this},mul:function(e){return CC.mul(this.array,this.array,e.array),this._dirty=!0,this},mulLeft:function(e){return CC.mul(this.array,e.array,this.array),this._dirty=!0,this},multiply:function(e){return CC.multiply(this.array,this.array,e.array),this._dirty=!0,this},multiplyLeft:function(e){return CC.multiply(this.array,e.array,this.array),this._dirty=!0,this},rotate:function(e){return CC.rotate(this.array,this.array,e),this._dirty=!0,this},scale:function(e){return CC.scale(this.array,this.array,e.array),this._dirty=!0,this},translate:function(e){return CC.translate(this.array,this.array,e.array),this._dirty=!0,this},normalFromMat4:function(e){return CC.normalFromMat4(this.array,e.array),this._dirty=!0,this},transpose:function(){return CC.transpose(this.array,this.array),this._dirty=!0,this},toString:function(){return"["+Array.prototype.join.call(this.array,",")+"]"},toArray:function(){return Array.prototype.slice.call(this.array)}},tP.adjoint=function(e,t){return CC.adjoint(e.array,t.array),e._dirty=!0,e},tP.copy=function(e,t){return CC.copy(e.array,t.array),e._dirty=!0,e},tP.determinant=function(e){return CC.determinant(e.array)},tP.identity=function(e){return CC.identity(e.array),e._dirty=!0,e},tP.invert=function(e,t){return CC.invert(e.array,t.array),e},tP.mul=function(e,t,n){return CC.mul(e.array,t.array,n.array),e._dirty=!0,e},tP.multiply=tP.mul,tP.fromMat2d=function(e,t){return CC.fromMat2d(e.array,t.array),e._dirty=!0,e},tP.fromMat4=function(e,t){return CC.fromMat4(e.array,t.array),e._dirty=!0,e},tP.fromQuat=function(e,t){return CC.fromQuat(e.array,t.array),e._dirty=!0,e},tP.normalFromMat4=function(e,t){return CC.normalFromMat4(e.array,t.array),e._dirty=!0,e},tP.rotate=function(e,t,n){return CC.rotate(e.array,t.array,n),e._dirty=!0,e},tP.scale=function(e,t,n){return CC.scale(e.array,t.array,n.array),e._dirty=!0,e},tP.transpose=function(e,t){return CC.transpose(e.array,t.array),e._dirty=!0,e},tP.translate=function(e,t,n){return CC.translate(e.array,t.array,n.array),e._dirty=!0,e};const nP=tP;var rP={_animators:null,getAnimators:function(){return this._animators=this._animators||[],this._animators},animate:function(e,t){var n;if(this._animators=this._animators||[],e){for(var r=e.split("."),i=this,o=0,a=r.length;o<a;o++)i&&(i=i[r[o]]);i&&(n=i)}else n=this;if(null==n)throw new Error("Target "+e+" not exists");var s=this._animators,l=new Lo(n,t),u=this;return l.during((function(){u.__zr&&u.__zr.refresh()})).done((function(){var e=s.indexOf(l);e>=0&&s.splice(e,1)})),s.push(l),this.__zr&&this.__zr.animation.addAnimator(l),l},stopAnimation:function(e){this._animators=this._animators||[];for(var t=this._animators,n=t.length,r=0;r<n;r++)t[r].stop(e);return t.length=0,this},addAnimatorsToZr:function(e){if(this._animators)for(var t=0;t<this._animators.length;t++)e.animation.addAnimator(this._animators[t])},removeAnimatorsFromZr:function(e){if(this._animators)for(var t=0;t<this._animators.length;t++)e.animation.removeAnimator(this._animators[t])}};const iP=rP,oP="\n@export clay.util.rand\nhighp float rand(vec2 uv) {\n const highp float a = 12.9898, b = 78.233, c = 43758.5453;\n highp float dt = dot(uv.xy, vec2(a,b)), sn = mod(dt, 3.141592653589793);\n return fract(sin(sn) * c);\n}\n@end\n@export clay.util.calculate_attenuation\nuniform float attenuationFactor : 5.0;\nfloat lightAttenuation(float dist, float range)\n{\n float attenuation = 1.0;\n attenuation = dist*dist/(range*range+1.0);\n float att_s = attenuationFactor;\n attenuation = 1.0/(attenuation*att_s+1.0);\n att_s = 1.0/(att_s+1.0);\n attenuation = attenuation - att_s;\n attenuation /= 1.0 - att_s;\n return clamp(attenuation, 0.0, 1.0);\n}\n@end\n@export clay.util.edge_factor\n#ifdef SUPPORT_STANDARD_DERIVATIVES\nfloat edgeFactor(float width)\n{\n vec3 d = fwidth(v_Barycentric);\n vec3 a3 = smoothstep(vec3(0.0), d * width, v_Barycentric);\n return min(min(a3.x, a3.y), a3.z);\n}\n#else\nfloat edgeFactor(float width)\n{\n return 1.0;\n}\n#endif\n@end\n@export clay.util.encode_float\nvec4 encodeFloat(const in float depth)\n{\n const vec4 bitShifts = vec4(256.0*256.0*256.0, 256.0*256.0, 256.0, 1.0);\n const vec4 bit_mask = vec4(0.0, 1.0/256.0, 1.0/256.0, 1.0/256.0);\n vec4 res = fract(depth * bitShifts);\n res -= res.xxyz * bit_mask;\n return res;\n}\n@end\n@export clay.util.decode_float\nfloat decodeFloat(const in vec4 color)\n{\n const vec4 bitShifts = vec4(1.0/(256.0*256.0*256.0), 1.0/(256.0*256.0), 1.0/256.0, 1.0);\n return dot(color, bitShifts);\n}\n@end\n@export clay.util.float\n@import clay.util.encode_float\n@import clay.util.decode_float\n@end\n@export clay.util.rgbm_decode\nvec3 RGBMDecode(vec4 rgbm, float range) {\n return range * rgbm.rgb * rgbm.a;\n}\n@end\n@export clay.util.rgbm_encode\nvec4 RGBMEncode(vec3 color, float range) {\n if (dot(color, color) == 0.0) {\n return vec4(0.0);\n }\n vec4 rgbm;\n color /= range;\n rgbm.a = clamp(max(max(color.r, color.g), max(color.b, 1e-6)), 0.0, 1.0);\n rgbm.a = ceil(rgbm.a * 255.0) / 255.0;\n rgbm.rgb = color / rgbm.a;\n return rgbm;\n}\n@end\n@export clay.util.rgbm\n@import clay.util.rgbm_decode\n@import clay.util.rgbm_encode\nvec4 decodeHDR(vec4 color)\n{\n#if defined(RGBM_DECODE) || defined(RGBM)\n return vec4(RGBMDecode(color, 8.12), 1.0);\n#else\n return color;\n#endif\n}\nvec4 encodeHDR(vec4 color)\n{\n#if defined(RGBM_ENCODE) || defined(RGBM)\n return RGBMEncode(color.xyz, 8.12);\n#else\n return color;\n#endif\n}\n@end\n@export clay.util.srgb\nvec4 sRGBToLinear(in vec4 value) {\n return vec4(mix(pow(value.rgb * 0.9478672986 + vec3(0.0521327014), vec3(2.4)), value.rgb * 0.0773993808, vec3(lessThanEqual(value.rgb, vec3(0.04045)))), value.w);\n}\nvec4 linearTosRGB(in vec4 value) {\n return vec4(mix(pow(value.rgb, vec3(0.41666)) * 1.055 - vec3(0.055), value.rgb * 12.92, vec3(lessThanEqual(value.rgb, vec3(0.0031308)))), value.w);\n}\n@end\n@export clay.chunk.skinning_header\n#ifdef SKINNING\nattribute vec3 weight : WEIGHT;\nattribute vec4 joint : JOINT;\n#ifdef USE_SKIN_MATRICES_TEXTURE\nuniform sampler2D skinMatricesTexture : ignore;\nuniform float skinMatricesTextureSize: ignore;\nmat4 getSkinMatrix(sampler2D tex, float idx) {\n float j = idx * 4.0;\n float x = mod(j, skinMatricesTextureSize);\n float y = floor(j / skinMatricesTextureSize) + 0.5;\n vec2 scale = vec2(skinMatricesTextureSize);\n return mat4(\n texture2D(tex, vec2(x + 0.5, y) / scale),\n texture2D(tex, vec2(x + 1.5, y) / scale),\n texture2D(tex, vec2(x + 2.5, y) / scale),\n texture2D(tex, vec2(x + 3.5, y) / scale)\n );\n}\nmat4 getSkinMatrix(float idx) {\n return getSkinMatrix(skinMatricesTexture, idx);\n}\n#else\nuniform mat4 skinMatrix[JOINT_COUNT] : SKIN_MATRIX;\nmat4 getSkinMatrix(float idx) {\n return skinMatrix[int(idx)];\n}\n#endif\n#endif\n@end\n@export clay.chunk.skin_matrix\nmat4 skinMatrixWS = getSkinMatrix(joint.x) * weight.x;\nif (weight.y > 1e-4)\n{\n skinMatrixWS += getSkinMatrix(joint.y) * weight.y;\n}\nif (weight.z > 1e-4)\n{\n skinMatrixWS += getSkinMatrix(joint.z) * weight.z;\n}\nfloat weightW = 1.0-weight.x-weight.y-weight.z;\nif (weightW > 1e-4)\n{\n skinMatrixWS += getSkinMatrix(joint.w) * weightW;\n}\n@end\n@export clay.chunk.instancing_header\n#ifdef INSTANCING\nattribute vec4 instanceMat1;\nattribute vec4 instanceMat2;\nattribute vec4 instanceMat3;\n#endif\n@end\n@export clay.chunk.instancing_matrix\nmat4 instanceMat = mat4(\n vec4(instanceMat1.xyz, 0.0),\n vec4(instanceMat2.xyz, 0.0),\n vec4(instanceMat3.xyz, 0.0),\n vec4(instanceMat1.w, instanceMat2.w, instanceMat3.w, 1.0)\n);\n@end\n@export clay.util.parallax_correct\nvec3 parallaxCorrect(in vec3 dir, in vec3 pos, in vec3 boxMin, in vec3 boxMax) {\n vec3 first = (boxMax - pos) / dir;\n vec3 second = (boxMin - pos) / dir;\n vec3 further = max(first, second);\n float dist = min(further.x, min(further.y, further.z));\n vec3 fixedPos = pos + dir * dist;\n vec3 boxCenter = (boxMax + boxMin) * 0.5;\n return normalize(fixedPos - boxCenter);\n}\n@end\n@export clay.util.clamp_sample\nvec4 clampSample(const in sampler2D texture, const in vec2 coord)\n{\n#ifdef STEREO\n float eye = step(0.5, coord.x) * 0.5;\n vec2 coordClamped = clamp(coord, vec2(eye, 0.0), vec2(0.5 + eye, 1.0));\n#else\n vec2 coordClamped = clamp(coord, vec2(0.0), vec2(1.0));\n#endif\n return texture2D(texture, coordClamped);\n}\n@end\n@export clay.util.ACES\nvec3 ACESToneMapping(vec3 color)\n{\n const float A = 2.51;\n const float B = 0.03;\n const float C = 2.43;\n const float D = 0.59;\n const float E = 0.14;\n return (color * (A * color + B)) / (color * (C * color + D) + E);\n}\n@end";function aP(e){return e instanceof HTMLCanvasElement||e instanceof HTMLImageElement||e instanceof Image}Object.assign(aD.prototype,iP),jI.import(oP),jI.import(XI),jI.import("\n@export ecgl.common.transformUniforms\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\nuniform mat4 worldInverseTranspose : WORLDINVERSETRANSPOSE;\nuniform mat4 world : WORLD;\n@end\n\n@export ecgl.common.attributes\nattribute vec3 position : POSITION;\nattribute vec2 texcoord : TEXCOORD_0;\nattribute vec3 normal : NORMAL;\n@end\n\n@export ecgl.common.uv.header\nuniform vec2 uvRepeat : [1.0, 1.0];\nuniform vec2 uvOffset : [0.0, 0.0];\nuniform vec2 detailUvRepeat : [1.0, 1.0];\nuniform vec2 detailUvOffset : [0.0, 0.0];\n\nvarying vec2 v_Texcoord;\nvarying vec2 v_DetailTexcoord;\n@end\n\n@export ecgl.common.uv.main\nv_Texcoord = texcoord * uvRepeat + uvOffset;\nv_DetailTexcoord = texcoord * detailUvRepeat + detailUvOffset;\n@end\n\n@export ecgl.common.uv.fragmentHeader\nvarying vec2 v_Texcoord;\nvarying vec2 v_DetailTexcoord;\n@end\n\n\n@export ecgl.common.albedo.main\n\n vec4 albedoTexel = vec4(1.0);\n#ifdef DIFFUSEMAP_ENABLED\n albedoTexel = texture2D(diffuseMap, v_Texcoord);\n #ifdef SRGB_DECODE\n albedoTexel = sRGBToLinear(albedoTexel);\n #endif\n#endif\n\n#ifdef DETAILMAP_ENABLED\n vec4 detailTexel = texture2D(detailMap, v_DetailTexcoord);\n #ifdef SRGB_DECODE\n detailTexel = sRGBToLinear(detailTexel);\n #endif\n albedoTexel.rgb = mix(albedoTexel.rgb, detailTexel.rgb, detailTexel.a);\n albedoTexel.a = detailTexel.a + (1.0 - detailTexel.a) * albedoTexel.a;\n#endif\n\n@end\n\n@export ecgl.common.wireframe.vertexHeader\n\n#ifdef WIREFRAME_QUAD\nattribute vec4 barycentric;\nvarying vec4 v_Barycentric;\n#elif defined(WIREFRAME_TRIANGLE)\nattribute vec3 barycentric;\nvarying vec3 v_Barycentric;\n#endif\n\n@end\n\n@export ecgl.common.wireframe.vertexMain\n\n#if defined(WIREFRAME_QUAD) || defined(WIREFRAME_TRIANGLE)\n v_Barycentric = barycentric;\n#endif\n\n@end\n\n\n@export ecgl.common.wireframe.fragmentHeader\n\nuniform float wireframeLineWidth : 1;\nuniform vec4 wireframeLineColor: [0, 0, 0, 0.5];\n\n#ifdef WIREFRAME_QUAD\nvarying vec4 v_Barycentric;\nfloat edgeFactor () {\n vec4 d = fwidth(v_Barycentric);\n vec4 a4 = smoothstep(vec4(0.0), d * wireframeLineWidth, v_Barycentric);\n return min(min(min(a4.x, a4.y), a4.z), a4.w);\n}\n#elif defined(WIREFRAME_TRIANGLE)\nvarying vec3 v_Barycentric;\nfloat edgeFactor () {\n vec3 d = fwidth(v_Barycentric);\n vec3 a3 = smoothstep(vec3(0.0), d * wireframeLineWidth, v_Barycentric);\n return min(min(a3.x, a3.y), a3.z);\n}\n#endif\n\n@end\n\n\n@export ecgl.common.wireframe.fragmentMain\n\n#if defined(WIREFRAME_QUAD) || defined(WIREFRAME_TRIANGLE)\n if (wireframeLineWidth > 0.) {\n vec4 lineColor = wireframeLineColor;\n#ifdef SRGB_DECODE\n lineColor = sRGBToLinear(lineColor);\n#endif\n\n gl_FragColor.rgb = mix(gl_FragColor.rgb, lineColor.rgb, (1.0 - edgeFactor()) * lineColor.a);\n }\n#endif\n@end\n\n\n\n\n@export ecgl.common.bumpMap.header\n\n#ifdef BUMPMAP_ENABLED\nuniform sampler2D bumpMap;\nuniform float bumpScale : 1.0;\n\n\nvec3 bumpNormal(vec3 surfPos, vec3 surfNormal, vec3 baseNormal)\n{\n vec2 dSTdx = dFdx(v_Texcoord);\n vec2 dSTdy = dFdy(v_Texcoord);\n\n float Hll = bumpScale * texture2D(bumpMap, v_Texcoord).x;\n float dHx = bumpScale * texture2D(bumpMap, v_Texcoord + dSTdx).x - Hll;\n float dHy = bumpScale * texture2D(bumpMap, v_Texcoord + dSTdy).x - Hll;\n\n vec3 vSigmaX = dFdx(surfPos);\n vec3 vSigmaY = dFdy(surfPos);\n vec3 vN = surfNormal;\n\n vec3 R1 = cross(vSigmaY, vN);\n vec3 R2 = cross(vN, vSigmaX);\n\n float fDet = dot(vSigmaX, R1);\n\n vec3 vGrad = sign(fDet) * (dHx * R1 + dHy * R2);\n return normalize(abs(fDet) * baseNormal - vGrad);\n\n}\n#endif\n\n@end\n\n@export ecgl.common.normalMap.vertexHeader\n\n#ifdef NORMALMAP_ENABLED\nattribute vec4 tangent : TANGENT;\nvarying vec3 v_Tangent;\nvarying vec3 v_Bitangent;\n#endif\n\n@end\n\n@export ecgl.common.normalMap.vertexMain\n\n#ifdef NORMALMAP_ENABLED\n if (dot(tangent, tangent) > 0.0) {\n v_Tangent = normalize((worldInverseTranspose * vec4(tangent.xyz, 0.0)).xyz);\n v_Bitangent = normalize(cross(v_Normal, v_Tangent) * tangent.w);\n }\n#endif\n\n@end\n\n\n@export ecgl.common.normalMap.fragmentHeader\n\n#ifdef NORMALMAP_ENABLED\nuniform sampler2D normalMap;\nvarying vec3 v_Tangent;\nvarying vec3 v_Bitangent;\n#endif\n\n@end\n\n@export ecgl.common.normalMap.fragmentMain\n#ifdef NORMALMAP_ENABLED\n if (dot(v_Tangent, v_Tangent) > 0.0) {\n vec3 normalTexel = texture2D(normalMap, v_DetailTexcoord).xyz;\n if (dot(normalTexel, normalTexel) > 0.0) { N = normalTexel * 2.0 - 1.0;\n mat3 tbn = mat3(v_Tangent, v_Bitangent, v_Normal);\n N = normalize(tbn * N);\n }\n }\n#endif\n@end\n\n\n\n@export ecgl.common.vertexAnimation.header\n\n#ifdef VERTEX_ANIMATION\nattribute vec3 prevPosition;\nattribute vec3 prevNormal;\nuniform float percent;\n#endif\n\n@end\n\n@export ecgl.common.vertexAnimation.main\n\n#ifdef VERTEX_ANIMATION\n vec3 pos = mix(prevPosition, position, percent);\n vec3 norm = mix(prevNormal, normal, percent);\n#else\n vec3 pos = position;\n vec3 norm = normal;\n#endif\n\n@end\n\n\n@export ecgl.common.ssaoMap.header\n#ifdef SSAOMAP_ENABLED\nuniform sampler2D ssaoMap;\nuniform vec4 viewport : VIEWPORT;\n#endif\n@end\n\n@export ecgl.common.ssaoMap.main\n float ao = 1.0;\n#ifdef SSAOMAP_ENABLED\n ao = texture2D(ssaoMap, (gl_FragCoord.xy - viewport.xy) / viewport.zw).r;\n#endif\n@end\n\n\n\n\n@export ecgl.common.diffuseLayer.header\n\n#if (LAYER_DIFFUSEMAP_COUNT > 0)\nuniform float layerDiffuseIntensity[LAYER_DIFFUSEMAP_COUNT];\nuniform sampler2D layerDiffuseMap[LAYER_DIFFUSEMAP_COUNT];\n#endif\n\n@end\n\n@export ecgl.common.emissiveLayer.header\n\n#if (LAYER_EMISSIVEMAP_COUNT > 0)\nuniform float layerEmissionIntensity[LAYER_EMISSIVEMAP_COUNT];\nuniform sampler2D layerEmissiveMap[LAYER_EMISSIVEMAP_COUNT];\n#endif\n\n@end\n\n@export ecgl.common.layers.header\n@import ecgl.common.diffuseLayer.header\n@import ecgl.common.emissiveLayer.header\n@end\n\n@export ecgl.common.diffuseLayer.main\n\n#if (LAYER_DIFFUSEMAP_COUNT > 0)\n for (int _idx_ = 0; _idx_ < LAYER_DIFFUSEMAP_COUNT; _idx_++) {{\n float intensity = layerDiffuseIntensity[_idx_];\n vec4 texel2 = texture2D(layerDiffuseMap[_idx_], v_Texcoord);\n #ifdef SRGB_DECODE\n texel2 = sRGBToLinear(texel2);\n #endif\n albedoTexel.rgb = mix(albedoTexel.rgb, texel2.rgb * intensity, texel2.a);\n albedoTexel.a = texel2.a + (1.0 - texel2.a) * albedoTexel.a;\n }}\n#endif\n\n@end\n\n@export ecgl.common.emissiveLayer.main\n\n#if (LAYER_EMISSIVEMAP_COUNT > 0)\n for (int _idx_ = 0; _idx_ < LAYER_EMISSIVEMAP_COUNT; _idx_++)\n {{\n vec4 texel2 = texture2D(layerEmissiveMap[_idx_], v_Texcoord) * layerEmissionIntensity[_idx_];\n #ifdef SRGB_DECODE\n texel2 = sRGBToLinear(texel2);\n #endif\n float intensity = layerEmissionIntensity[_idx_];\n gl_FragColor.rgb += texel2.rgb * texel2.a * intensity;\n }}\n#endif\n\n@end\n"),jI.import("@export ecgl.color.vertex\n\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\n\n@import ecgl.common.uv.header\n\nattribute vec2 texcoord : TEXCOORD_0;\nattribute vec3 position: POSITION;\n\n@import ecgl.common.wireframe.vertexHeader\n\n#ifdef VERTEX_COLOR\nattribute vec4 a_Color : COLOR;\nvarying vec4 v_Color;\n#endif\n\n#ifdef VERTEX_ANIMATION\nattribute vec3 prevPosition;\nuniform float percent : 1.0;\n#endif\n\n#ifdef ATMOSPHERE_ENABLED\nattribute vec3 normal: NORMAL;\nuniform mat4 worldInverseTranspose : WORLDINVERSETRANSPOSE;\nvarying vec3 v_Normal;\n#endif\n\nvoid main()\n{\n#ifdef VERTEX_ANIMATION\n vec3 pos = mix(prevPosition, position, percent);\n#else\n vec3 pos = position;\n#endif\n\n gl_Position = worldViewProjection * vec4(pos, 1.0);\n\n @import ecgl.common.uv.main\n\n#ifdef VERTEX_COLOR\n v_Color = a_Color;\n#endif\n\n#ifdef ATMOSPHERE_ENABLED\n v_Normal = normalize((worldInverseTranspose * vec4(normal, 0.0)).xyz);\n#endif\n\n @import ecgl.common.wireframe.vertexMain\n\n}\n\n@end\n\n@export ecgl.color.fragment\n\n#define LAYER_DIFFUSEMAP_COUNT 0\n#define LAYER_EMISSIVEMAP_COUNT 0\n\nuniform sampler2D diffuseMap;\nuniform sampler2D detailMap;\n\nuniform vec4 color : [1.0, 1.0, 1.0, 1.0];\n\n#ifdef ATMOSPHERE_ENABLED\nuniform mat4 viewTranspose: VIEWTRANSPOSE;\nuniform vec3 glowColor;\nuniform float glowPower;\nvarying vec3 v_Normal;\n#endif\n\n#ifdef VERTEX_COLOR\nvarying vec4 v_Color;\n#endif\n\n@import ecgl.common.layers.header\n\n@import ecgl.common.uv.fragmentHeader\n\n@import ecgl.common.wireframe.fragmentHeader\n\n@import clay.util.srgb\n\nvoid main()\n{\n#ifdef SRGB_DECODE\n gl_FragColor = sRGBToLinear(color);\n#else\n gl_FragColor = color;\n#endif\n\n#ifdef VERTEX_COLOR\n gl_FragColor *= v_Color;\n#endif\n\n @import ecgl.common.albedo.main\n\n @import ecgl.common.diffuseLayer.main\n\n gl_FragColor *= albedoTexel;\n\n#ifdef ATMOSPHERE_ENABLED\n float atmoIntensity = pow(1.0 - dot(v_Normal, (viewTranspose * vec4(0.0, 0.0, 1.0, 0.0)).xyz), glowPower);\n gl_FragColor.rgb += glowColor * atmoIntensity;\n#endif\n\n @import ecgl.common.emissiveLayer.main\n\n @import ecgl.common.wireframe.fragmentMain\n\n}\n@end"),jI.import("/**\n * http: */\n\n@export ecgl.lambert.vertex\n\n@import ecgl.common.transformUniforms\n\n@import ecgl.common.uv.header\n\n\n@import ecgl.common.attributes\n\n@import ecgl.common.wireframe.vertexHeader\n\n#ifdef VERTEX_COLOR\nattribute vec4 a_Color : COLOR;\nvarying vec4 v_Color;\n#endif\n\n\n@import ecgl.common.vertexAnimation.header\n\n\nvarying vec3 v_Normal;\nvarying vec3 v_WorldPosition;\n\nvoid main()\n{\n @import ecgl.common.uv.main\n\n @import ecgl.common.vertexAnimation.main\n\n\n gl_Position = worldViewProjection * vec4(pos, 1.0);\n\n v_Normal = normalize((worldInverseTranspose * vec4(norm, 0.0)).xyz);\n v_WorldPosition = (world * vec4(pos, 1.0)).xyz;\n\n#ifdef VERTEX_COLOR\n v_Color = a_Color;\n#endif\n\n @import ecgl.common.wireframe.vertexMain\n}\n\n@end\n\n\n@export ecgl.lambert.fragment\n\n#define LAYER_DIFFUSEMAP_COUNT 0\n#define LAYER_EMISSIVEMAP_COUNT 0\n\n#define NORMAL_UP_AXIS 1\n#define NORMAL_FRONT_AXIS 2\n\n@import ecgl.common.uv.fragmentHeader\n\nvarying vec3 v_Normal;\nvarying vec3 v_WorldPosition;\n\nuniform sampler2D diffuseMap;\nuniform sampler2D detailMap;\n\n@import ecgl.common.layers.header\n\nuniform float emissionIntensity: 1.0;\n\nuniform vec4 color : [1.0, 1.0, 1.0, 1.0];\n\nuniform mat4 viewInverse : VIEWINVERSE;\n\n#ifdef ATMOSPHERE_ENABLED\nuniform mat4 viewTranspose: VIEWTRANSPOSE;\nuniform vec3 glowColor;\nuniform float glowPower;\n#endif\n\n#ifdef AMBIENT_LIGHT_COUNT\n@import clay.header.ambient_light\n#endif\n#ifdef AMBIENT_SH_LIGHT_COUNT\n@import clay.header.ambient_sh_light\n#endif\n\n#ifdef DIRECTIONAL_LIGHT_COUNT\n@import clay.header.directional_light\n#endif\n\n#ifdef VERTEX_COLOR\nvarying vec4 v_Color;\n#endif\n\n\n@import ecgl.common.ssaoMap.header\n\n@import ecgl.common.bumpMap.header\n\n@import clay.util.srgb\n\n@import ecgl.common.wireframe.fragmentHeader\n\n@import clay.plugin.compute_shadow_map\n\nvoid main()\n{\n#ifdef SRGB_DECODE\n gl_FragColor = sRGBToLinear(color);\n#else\n gl_FragColor = color;\n#endif\n\n#ifdef VERTEX_COLOR\n #ifdef SRGB_DECODE\n gl_FragColor *= sRGBToLinear(v_Color);\n #else\n gl_FragColor *= v_Color;\n #endif\n#endif\n\n @import ecgl.common.albedo.main\n\n @import ecgl.common.diffuseLayer.main\n\n gl_FragColor *= albedoTexel;\n\n vec3 N = v_Normal;\n#ifdef DOUBLE_SIDED\n vec3 eyePos = viewInverse[3].xyz;\n vec3 V = normalize(eyePos - v_WorldPosition);\n\n if (dot(N, V) < 0.0) {\n N = -N;\n }\n#endif\n\n float ambientFactor = 1.0;\n\n#ifdef BUMPMAP_ENABLED\n N = bumpNormal(v_WorldPosition, v_Normal, N);\n ambientFactor = dot(v_Normal, N);\n#endif\n\n vec3 N2 = vec3(N.x, N[NORMAL_UP_AXIS], N[NORMAL_FRONT_AXIS]);\n\n vec3 diffuseColor = vec3(0.0, 0.0, 0.0);\n\n @import ecgl.common.ssaoMap.main\n\n#ifdef AMBIENT_LIGHT_COUNT\n for(int i = 0; i < AMBIENT_LIGHT_COUNT; i++)\n {\n diffuseColor += ambientLightColor[i] * ambientFactor * ao;\n }\n#endif\n#ifdef AMBIENT_SH_LIGHT_COUNT\n for(int _idx_ = 0; _idx_ < AMBIENT_SH_LIGHT_COUNT; _idx_++)\n {{\n diffuseColor += calcAmbientSHLight(_idx_, N2) * ambientSHLightColor[_idx_] * ao;\n }}\n#endif\n#ifdef DIRECTIONAL_LIGHT_COUNT\n#if defined(DIRECTIONAL_LIGHT_SHADOWMAP_COUNT)\n float shadowContribsDir[DIRECTIONAL_LIGHT_COUNT];\n if(shadowEnabled)\n {\n computeShadowOfDirectionalLights(v_WorldPosition, shadowContribsDir);\n }\n#endif\n for(int i = 0; i < DIRECTIONAL_LIGHT_COUNT; i++)\n {\n vec3 lightDirection = -directionalLightDirection[i];\n vec3 lightColor = directionalLightColor[i];\n\n float shadowContrib = 1.0;\n#if defined(DIRECTIONAL_LIGHT_SHADOWMAP_COUNT)\n if (shadowEnabled)\n {\n shadowContrib = shadowContribsDir[i];\n }\n#endif\n\n float ndl = dot(N, normalize(lightDirection)) * shadowContrib;\n\n diffuseColor += lightColor * clamp(ndl, 0.0, 1.0);\n }\n#endif\n\n gl_FragColor.rgb *= diffuseColor;\n\n#ifdef ATMOSPHERE_ENABLED\n float atmoIntensity = pow(1.0 - dot(v_Normal, (viewTranspose * vec4(0.0, 0.0, 1.0, 0.0)).xyz), glowPower);\n gl_FragColor.rgb += glowColor * atmoIntensity;\n#endif\n\n @import ecgl.common.emissiveLayer.main\n\n @import ecgl.common.wireframe.fragmentMain\n}\n\n@end"),jI.import("@export ecgl.realistic.vertex\n\n@import ecgl.common.transformUniforms\n\n@import ecgl.common.uv.header\n\n@import ecgl.common.attributes\n\n\n@import ecgl.common.wireframe.vertexHeader\n\n#ifdef VERTEX_COLOR\nattribute vec4 a_Color : COLOR;\nvarying vec4 v_Color;\n#endif\n\n#ifdef NORMALMAP_ENABLED\nattribute vec4 tangent : TANGENT;\nvarying vec3 v_Tangent;\nvarying vec3 v_Bitangent;\n#endif\n\n@import ecgl.common.vertexAnimation.header\n\nvarying vec3 v_Normal;\nvarying vec3 v_WorldPosition;\n\nvoid main()\n{\n\n @import ecgl.common.uv.main\n\n @import ecgl.common.vertexAnimation.main\n\n gl_Position = worldViewProjection * vec4(pos, 1.0);\n\n v_Normal = normalize((worldInverseTranspose * vec4(norm, 0.0)).xyz);\n v_WorldPosition = (world * vec4(pos, 1.0)).xyz;\n\n#ifdef VERTEX_COLOR\n v_Color = a_Color;\n#endif\n\n#ifdef NORMALMAP_ENABLED\n v_Tangent = normalize((worldInverseTranspose * vec4(tangent.xyz, 0.0)).xyz);\n v_Bitangent = normalize(cross(v_Normal, v_Tangent) * tangent.w);\n#endif\n\n @import ecgl.common.wireframe.vertexMain\n\n}\n\n@end\n\n\n\n@export ecgl.realistic.fragment\n\n#define LAYER_DIFFUSEMAP_COUNT 0\n#define LAYER_EMISSIVEMAP_COUNT 0\n#define PI 3.14159265358979\n#define ROUGHNESS_CHANEL 0\n#define METALNESS_CHANEL 1\n\n#define NORMAL_UP_AXIS 1\n#define NORMAL_FRONT_AXIS 2\n\n#ifdef VERTEX_COLOR\nvarying vec4 v_Color;\n#endif\n\n@import ecgl.common.uv.fragmentHeader\n\nvarying vec3 v_Normal;\nvarying vec3 v_WorldPosition;\n\nuniform sampler2D diffuseMap;\n\nuniform sampler2D detailMap;\nuniform sampler2D metalnessMap;\nuniform sampler2D roughnessMap;\n\n@import ecgl.common.layers.header\n\nuniform float emissionIntensity: 1.0;\n\nuniform vec4 color : [1.0, 1.0, 1.0, 1.0];\n\nuniform float metalness : 0.0;\nuniform float roughness : 0.5;\n\nuniform mat4 viewInverse : VIEWINVERSE;\n\n#ifdef ATMOSPHERE_ENABLED\nuniform mat4 viewTranspose: VIEWTRANSPOSE;\nuniform vec3 glowColor;\nuniform float glowPower;\n#endif\n\n#ifdef AMBIENT_LIGHT_COUNT\n@import clay.header.ambient_light\n#endif\n\n#ifdef AMBIENT_SH_LIGHT_COUNT\n@import clay.header.ambient_sh_light\n#endif\n\n#ifdef AMBIENT_CUBEMAP_LIGHT_COUNT\n@import clay.header.ambient_cubemap_light\n#endif\n\n#ifdef DIRECTIONAL_LIGHT_COUNT\n@import clay.header.directional_light\n#endif\n\n@import ecgl.common.normalMap.fragmentHeader\n\n@import ecgl.common.ssaoMap.header\n\n@import ecgl.common.bumpMap.header\n\n@import clay.util.srgb\n\n@import clay.util.rgbm\n\n@import ecgl.common.wireframe.fragmentHeader\n\n@import clay.plugin.compute_shadow_map\n\nvec3 F_Schlick(float ndv, vec3 spec) {\n return spec + (1.0 - spec) * pow(1.0 - ndv, 5.0);\n}\n\nfloat D_Phong(float g, float ndh) {\n float a = pow(8192.0, g);\n return (a + 2.0) / 8.0 * pow(ndh, a);\n}\n\nvoid main()\n{\n vec4 albedoColor = color;\n\n vec3 eyePos = viewInverse[3].xyz;\n vec3 V = normalize(eyePos - v_WorldPosition);\n#ifdef VERTEX_COLOR\n #ifdef SRGB_DECODE\n albedoColor *= sRGBToLinear(v_Color);\n #else\n albedoColor *= v_Color;\n #endif\n#endif\n\n @import ecgl.common.albedo.main\n\n @import ecgl.common.diffuseLayer.main\n\n albedoColor *= albedoTexel;\n\n float m = metalness;\n\n#ifdef METALNESSMAP_ENABLED\n float m2 = texture2D(metalnessMap, v_DetailTexcoord)[METALNESS_CHANEL];\n m = clamp(m2 + (m - 0.5) * 2.0, 0.0, 1.0);\n#endif\n\n vec3 baseColor = albedoColor.rgb;\n albedoColor.rgb = baseColor * (1.0 - m);\n vec3 specFactor = mix(vec3(0.04), baseColor, m);\n\n float g = 1.0 - roughness;\n\n#ifdef ROUGHNESSMAP_ENABLED\n float g2 = 1.0 - texture2D(roughnessMap, v_DetailTexcoord)[ROUGHNESS_CHANEL];\n g = clamp(g2 + (g - 0.5) * 2.0, 0.0, 1.0);\n#endif\n\n vec3 N = v_Normal;\n\n#ifdef DOUBLE_SIDED\n if (dot(N, V) < 0.0) {\n N = -N;\n }\n#endif\n\n float ambientFactor = 1.0;\n\n#ifdef BUMPMAP_ENABLED\n N = bumpNormal(v_WorldPosition, v_Normal, N);\n ambientFactor = dot(v_Normal, N);\n#endif\n\n@import ecgl.common.normalMap.fragmentMain\n\n vec3 N2 = vec3(N.x, N[NORMAL_UP_AXIS], N[NORMAL_FRONT_AXIS]);\n\n vec3 diffuseTerm = vec3(0.0);\n vec3 specularTerm = vec3(0.0);\n\n float ndv = clamp(dot(N, V), 0.0, 1.0);\n vec3 fresnelTerm = F_Schlick(ndv, specFactor);\n\n @import ecgl.common.ssaoMap.main\n\n#ifdef AMBIENT_LIGHT_COUNT\n for(int _idx_ = 0; _idx_ < AMBIENT_LIGHT_COUNT; _idx_++)\n {{\n diffuseTerm += ambientLightColor[_idx_] * ambientFactor * ao;\n }}\n#endif\n\n#ifdef AMBIENT_SH_LIGHT_COUNT\n for(int _idx_ = 0; _idx_ < AMBIENT_SH_LIGHT_COUNT; _idx_++)\n {{\n diffuseTerm += calcAmbientSHLight(_idx_, N2) * ambientSHLightColor[_idx_] * ao;\n }}\n#endif\n\n#ifdef DIRECTIONAL_LIGHT_COUNT\n#if defined(DIRECTIONAL_LIGHT_SHADOWMAP_COUNT)\n float shadowContribsDir[DIRECTIONAL_LIGHT_COUNT];\n if(shadowEnabled)\n {\n computeShadowOfDirectionalLights(v_WorldPosition, shadowContribsDir);\n }\n#endif\n for(int _idx_ = 0; _idx_ < DIRECTIONAL_LIGHT_COUNT; _idx_++)\n {{\n vec3 L = -directionalLightDirection[_idx_];\n vec3 lc = directionalLightColor[_idx_];\n\n vec3 H = normalize(L + V);\n float ndl = clamp(dot(N, normalize(L)), 0.0, 1.0);\n float ndh = clamp(dot(N, H), 0.0, 1.0);\n\n float shadowContrib = 1.0;\n#if defined(DIRECTIONAL_LIGHT_SHADOWMAP_COUNT)\n if (shadowEnabled)\n {\n shadowContrib = shadowContribsDir[_idx_];\n }\n#endif\n\n vec3 li = lc * ndl * shadowContrib;\n\n diffuseTerm += li;\n specularTerm += li * fresnelTerm * D_Phong(g, ndh);\n }}\n#endif\n\n\n#ifdef AMBIENT_CUBEMAP_LIGHT_COUNT\n vec3 L = reflect(-V, N);\n L = vec3(L.x, L[NORMAL_UP_AXIS], L[NORMAL_FRONT_AXIS]);\n float rough2 = clamp(1.0 - g, 0.0, 1.0);\n float bias2 = rough2 * 5.0;\n vec2 brdfParam2 = texture2D(ambientCubemapLightBRDFLookup[0], vec2(rough2, ndv)).xy;\n vec3 envWeight2 = specFactor * brdfParam2.x + brdfParam2.y;\n vec3 envTexel2;\n for(int _idx_ = 0; _idx_ < AMBIENT_CUBEMAP_LIGHT_COUNT; _idx_++)\n {{\n envTexel2 = RGBMDecode(textureCubeLodEXT(ambientCubemapLightCubemap[_idx_], L, bias2), 8.12);\n specularTerm += ambientCubemapLightColor[_idx_] * envTexel2 * envWeight2 * ao;\n }}\n#endif\n\n gl_FragColor.rgb = albedoColor.rgb * diffuseTerm + specularTerm;\n gl_FragColor.a = albedoColor.a;\n\n#ifdef ATMOSPHERE_ENABLED\n float atmoIntensity = pow(1.0 - dot(v_Normal, (viewTranspose * vec4(0.0, 0.0, 1.0, 0.0)).xyz), glowPower);\n gl_FragColor.rgb += glowColor * atmoIntensity;\n#endif\n\n#ifdef SRGB_ENCODE\n gl_FragColor = linearTosRGB(gl_FragColor);\n#endif\n\n @import ecgl.common.emissiveLayer.main\n\n @import ecgl.common.wireframe.fragmentMain\n}\n\n@end"),jI.import("@export ecgl.hatching.vertex\n\n@import ecgl.realistic.vertex\n\n@end\n\n\n@export ecgl.hatching.fragment\n\n#define NORMAL_UP_AXIS 1\n#define NORMAL_FRONT_AXIS 2\n\n@import ecgl.common.uv.fragmentHeader\n\nvarying vec3 v_Normal;\nvarying vec3 v_WorldPosition;\n\nuniform vec4 color : [0.0, 0.0, 0.0, 1.0];\nuniform vec4 paperColor : [1.0, 1.0, 1.0, 1.0];\n\nuniform mat4 viewInverse : VIEWINVERSE;\n\n#ifdef AMBIENT_LIGHT_COUNT\n@import clay.header.ambient_light\n#endif\n#ifdef AMBIENT_SH_LIGHT_COUNT\n@import clay.header.ambient_sh_light\n#endif\n\n#ifdef DIRECTIONAL_LIGHT_COUNT\n@import clay.header.directional_light\n#endif\n\n#ifdef VERTEX_COLOR\nvarying vec4 v_Color;\n#endif\n\n\n@import ecgl.common.ssaoMap.header\n\n@import ecgl.common.bumpMap.header\n\n@import clay.util.srgb\n\n@import ecgl.common.wireframe.fragmentHeader\n\n@import clay.plugin.compute_shadow_map\n\nuniform sampler2D hatch1;\nuniform sampler2D hatch2;\nuniform sampler2D hatch3;\nuniform sampler2D hatch4;\nuniform sampler2D hatch5;\nuniform sampler2D hatch6;\n\nfloat shade(in float tone) {\n vec4 c = vec4(1. ,1., 1., 1.);\n float step = 1. / 6.;\n vec2 uv = v_DetailTexcoord;\n if (tone <= step / 2.0) {\n c = mix(vec4(0.), texture2D(hatch6, uv), 12. * tone);\n }\n else if (tone <= step) {\n c = mix(texture2D(hatch6, uv), texture2D(hatch5, uv), 6. * tone);\n }\n if(tone > step && tone <= 2. * step){\n c = mix(texture2D(hatch5, uv), texture2D(hatch4, uv) , 6. * (tone - step));\n }\n if(tone > 2. * step && tone <= 3. * step){\n c = mix(texture2D(hatch4, uv), texture2D(hatch3, uv), 6. * (tone - 2. * step));\n }\n if(tone > 3. * step && tone <= 4. * step){\n c = mix(texture2D(hatch3, uv), texture2D(hatch2, uv), 6. * (tone - 3. * step));\n }\n if(tone > 4. * step && tone <= 5. * step){\n c = mix(texture2D(hatch2, uv), texture2D(hatch1, uv), 6. * (tone - 4. * step));\n }\n if(tone > 5. * step){\n c = mix(texture2D(hatch1, uv), vec4(1.), 6. * (tone - 5. * step));\n }\n\n return c.r;\n}\n\nconst vec3 w = vec3(0.2125, 0.7154, 0.0721);\n\nvoid main()\n{\n#ifdef SRGB_DECODE\n vec4 inkColor = sRGBToLinear(color);\n#else\n vec4 inkColor = color;\n#endif\n\n#ifdef VERTEX_COLOR\n #ifdef SRGB_DECODE\n inkColor *= sRGBToLinear(v_Color);\n #else\n inkColor *= v_Color;\n #endif\n#endif\n\n vec3 N = v_Normal;\n#ifdef DOUBLE_SIDED\n vec3 eyePos = viewInverse[3].xyz;\n vec3 V = normalize(eyePos - v_WorldPosition);\n\n if (dot(N, V) < 0.0) {\n N = -N;\n }\n#endif\n\n float tone = 0.0;\n\n float ambientFactor = 1.0;\n\n#ifdef BUMPMAP_ENABLED\n N = bumpNormal(v_WorldPosition, v_Normal, N);\n ambientFactor = dot(v_Normal, N);\n#endif\n\n vec3 N2 = vec3(N.x, N[NORMAL_UP_AXIS], N[NORMAL_FRONT_AXIS]);\n\n @import ecgl.common.ssaoMap.main\n\n#ifdef AMBIENT_LIGHT_COUNT\n for(int i = 0; i < AMBIENT_LIGHT_COUNT; i++)\n {\n tone += dot(ambientLightColor[i], w) * ambientFactor * ao;\n }\n#endif\n#ifdef AMBIENT_SH_LIGHT_COUNT\n for(int _idx_ = 0; _idx_ < AMBIENT_SH_LIGHT_COUNT; _idx_++)\n {{\n tone += dot(calcAmbientSHLight(_idx_, N2) * ambientSHLightColor[_idx_], w) * ao;\n }}\n#endif\n#ifdef DIRECTIONAL_LIGHT_COUNT\n#if defined(DIRECTIONAL_LIGHT_SHADOWMAP_COUNT)\n float shadowContribsDir[DIRECTIONAL_LIGHT_COUNT];\n if(shadowEnabled)\n {\n computeShadowOfDirectionalLights(v_WorldPosition, shadowContribsDir);\n }\n#endif\n for(int i = 0; i < DIRECTIONAL_LIGHT_COUNT; i++)\n {\n vec3 lightDirection = -directionalLightDirection[i];\n float lightTone = dot(directionalLightColor[i], w);\n\n float shadowContrib = 1.0;\n#if defined(DIRECTIONAL_LIGHT_SHADOWMAP_COUNT)\n if (shadowEnabled)\n {\n shadowContrib = shadowContribsDir[i];\n }\n#endif\n\n float ndl = dot(N, normalize(lightDirection)) * shadowContrib;\n\n tone += lightTone * clamp(ndl, 0.0, 1.0);\n }\n#endif\n\n gl_FragColor = mix(inkColor, paperColor, shade(clamp(tone, 0.0, 1.0)));\n }\n@end\n"),jI.import("@export ecgl.sm.depth.vertex\n\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\n\nattribute vec3 position : POSITION;\nattribute vec2 texcoord : TEXCOORD_0;\n\n#ifdef VERTEX_ANIMATION\nattribute vec3 prevPosition;\nuniform float percent : 1.0;\n#endif\n\nvarying vec4 v_ViewPosition;\nvarying vec2 v_Texcoord;\n\nvoid main(){\n\n#ifdef VERTEX_ANIMATION\n vec3 pos = mix(prevPosition, position, percent);\n#else\n vec3 pos = position;\n#endif\n\n v_ViewPosition = worldViewProjection * vec4(pos, 1.0);\n gl_Position = v_ViewPosition;\n\n v_Texcoord = texcoord;\n\n}\n@end\n\n\n\n@export ecgl.sm.depth.fragment\n\n@import clay.sm.depth.fragment\n\n@end");var sP=vE.prototype.addToScene,lP=vE.prototype.removeFromScene;vE.prototype.addToScene=function(e){if(sP.call(this,e),this.__zr){var t=this.__zr;e.traverse((function(e){e.__zr=t,e.addAnimatorsToZr&&e.addAnimatorsToZr(t)}))}},vE.prototype.removeFromScene=function(e){lP.call(this,e),e.traverse((function(e){var t=e.__zr;e.__zr=null,t&&e.removeAnimatorsFromZr&&e.removeAnimatorsFromZr(t)}))},aI.prototype.setTextureImage=function(e,t,n,r){if(this.shader){var i,o,a=n.getZr(),s=this;return s.autoUpdateTextureStatus=!1,s.disableTexture(e),(o=t)&&"none"!==o&&(i=uP.loadTexture(t,n,r,(function(t){s.enableTexture(e),a&&a.refresh()})),s.set(e,i)),i}};var uP={};uP.Renderer=uC,uP.Node=aD,uP.Mesh=yD,uP.Shader=jI,uP.Material=aI,uP.Texture=mD,uP.Texture2D=SD,uP.Geometry=kD,uP.SphereGeometry=NL,uP.PlaneGeometry=GE,uP.CubeGeometry=jE,uP.AmbientLight=kL,uP.DirectionalLight=FL,uP.PointLight=VL,uP.SpotLight=HL,uP.PerspectiveCamera=ME,uP.OrthographicCamera=fL,uP.Vector2=gI,uP.Vector3=vC,uP.Vector4=XL,uP.Quaternion=XC,uP.Matrix2=$L,uP.Matrix2d=eP,uP.Matrix3=nP,uP.Matrix4=HC,uP.Plane=$D,uP.Ray=MC,uP.BoundingBox=nD,uP.Frustum=iE;var cP=null;function hP(e){return Math.pow(2,Math.round(Math.log(e)/Math.LN2))}function dP(e){if((e.wrapS===mD.REPEAT||e.wrapT===mD.REPEAT)&&e.image){var t=hP(e.width),n=hP(e.height);if(t!==e.width||n!==e.height){var r=document.createElement("canvas");r.width=t,r.height=n,r.getContext("2d").drawImage(e.image,0,0,t,n),e.image=r}}}uP.loadTexture=function(e,t,n,r){"function"==typeof n&&(r=n,n={}),n=n||{};for(var i=Object.keys(n).sort(),o="",a=0;a<i.length;a++)o+=i[a]+"_"+n[i[a]]+"_";var s,l=t.__textureCache=t.__textureCache||new Ai(20);if((s=e).getZr&&s.setOption){var u=e.__textureid__;if(h=l.get(o+u))h.texture.surface.setECharts(e),r&&r(h.texture);else{var c=new dL(e);for(c.onupdate=function(){t.getZr().refresh()},h={texture:c.getTexture()},a=0;a<i.length;a++)h.texture[i[a]]=n[i[a]];u=e.__textureid__||"__ecgl_ec__"+h.texture.__uid__,e.__textureid__=u,l.put(o+u,h),r&&r(h.texture)}return h.texture}if(aP(e)){var h;if(u=e.__textureid__,!(h=l.get(o+u))){for(h={texture:new uP.Texture2D({image:e})},a=0;a<i.length;a++)h.texture[i[a]]=n[i[a]];u=e.__textureid__||"__ecgl_image__"+h.texture.__uid__,e.__textureid__=u,l.put(o+u,h),dP(h.texture),r&&r(h.texture)}return h.texture}if(h=l.get(o+e))h.callbacks?h.callbacks.push(r):r&&r(h.texture);else if(e.match(/.hdr$|^data:application\/octet-stream/)){h={callbacks:[r]};var d=lL.loadTexture(e,{exposure:n.exposure,fileType:"hdr"},(function(){d.dirty(),h.callbacks.forEach((function(e){e&&e(d)})),h.callbacks=null}));h.texture=d,l.put(o+e,h)}else{for(d=new uP.Texture2D({image:new Image}),a=0;a<i.length;a++)d[i[a]]=n[i[a]];h={texture:d,callbacks:[r]};var p=d.image;p.onload=function(){d.image=p,dP(d),d.dirty(),h.callbacks.forEach((function(e){e&&e(d)})),h.callbacks=null},p.crossOrigin="Anonymous",p.src=e,d.image=null!==cP?cP:cP=lL.createBlank("rgba(255,255,255,0)").image,l.put(o+e,h)}return h.texture},uP.createAmbientCubemap=function(e,t,n,r){var i=(e=e||{}).texture,o=PL.firstNotNull(e.exposure,1),a=new SL({intensity:PL.firstNotNull(e.specularIntensity,1)}),s=new TL({intensity:PL.firstNotNull(e.diffuseIntensity,1),coefficients:[.844,.712,.691,-.037,.083,.167,.343,.288,.299,-.041,-.021,-.009,-.003,-.041,-.064,-.011,-.007,-.004,-.031,.034,.081,-.06,-.049,-.06,.046,.056,.05]});return a.cubemap=uP.loadTexture(i,n,{exposure:o},(function(){a.cubemap.flipY=!1,a.prefilter(t,32),s.coefficients=EL.projectEnvironmentMap(t,a.cubemap,{lod:1}),r&&r()})),{specular:a,diffuse:s}},uP.createBlankTexture=lL.createBlank,uP.isImage=aP,uP.additiveBlend=function(e){e.blendEquation(e.FUNC_ADD),e.blendFunc(e.SRC_ALPHA,e.ONE)},uP.parseColor=function(e,t){return e instanceof Array?(t||(t=[]),t[0]=e[0],t[1]=e[1],t[2]=e[2],e.length>3?t[3]=e[3]:t[3]=1,t):((t=zi(e||"#000",t)||[0,0,0,0])[0]/=255,t[1]/=255,t[2]/=255,t)},uP.directionFromAlphaBeta=function(e,t){var n=e/180*Math.PI+Math.PI/2,r=-t/180*Math.PI+Math.PI/2,i=[],o=Math.sin(n);return i[0]=o*Math.cos(r),i[1]=-Math.cos(n),i[2]=o*Math.sin(r),i},uP.getShadowResolution=function(e){var t=1024;switch(e){case"low":t=512;break;case"medium":break;case"high":t=2048;break;case"ultra":t=4096}return t},uP.COMMON_SHADERS=["lambert","color","realistic","hatching","shadow"],uP.createShader=function(e){"ecgl.shadow"===e&&(e="ecgl.displayShadow");var t=jI.source(e+".vertex"),n=jI.source(e+".fragment");t||console.error("Vertex shader of '%s' not exits",e),n||console.error("Fragment shader of '%s' not exits",e);var r=new jI(t,n);return r.name=e,r},uP.createMaterial=function(e,t){t instanceof Array||(t=[t]);var n=uP.createShader(e),r=new aI({shader:n});return t.forEach((function(e){"string"==typeof e&&r.define(e)})),r},uP.setMaterialFromModel=function(e,t,n,r){t.autoUpdateTextureStatus=!1;var i=n.getModel(e+"Material"),o=i.get("detailTexture"),a=PL.firstNotNull(i.get("textureTiling"),1),s=PL.firstNotNull(i.get("textureOffset"),0);"number"==typeof a&&(a=[a,a]),"number"==typeof s&&(s=[s,s]);var l=a[0]>1||a[1]>1?uP.Texture.REPEAT:uP.Texture.CLAMP_TO_EDGE,u={anisotropic:8,wrapS:l,wrapT:l};if("realistic"===e){var c=i.get("roughness"),h=i.get("metalness");null!=h?isNaN(h)&&(t.setTextureImage("metalnessMap",h,r,u),h=PL.firstNotNull(i.get("metalnessAdjust"),.5)):h=0,null!=c?isNaN(c)&&(t.setTextureImage("roughnessMap",c,r,u),c=PL.firstNotNull(i.get("roughnessAdjust"),.5)):c=.5;var d=i.get("normalTexture");t.setTextureImage("detailMap",o,r,u),t.setTextureImage("normalMap",d,r,u),t.set({roughness:c,metalness:h,detailUvRepeat:a,detailUvOffset:s})}else if("lambert"===e)t.setTextureImage("detailMap",o,r,u),t.set({detailUvRepeat:a,detailUvOffset:s});else if("color"===e)t.setTextureImage("detailMap",o,r,u),t.set({detailUvRepeat:a,detailUvOffset:s});else if("hatching"===e){var p=i.get("hatchingTextures")||[];p.length;for(var f=0;f<6;f++)t.setTextureImage("hatch"+(f+1),p[f],r,{anisotropic:8,wrapS:uP.Texture.REPEAT,wrapT:uP.Texture.REPEAT});t.set({detailUvRepeat:a,detailUvOffset:s})}},uP.updateVertexAnimation=function(e,t,n,r){var i=r.get("animation"),o=r.get("animationDurationUpdate"),a=r.get("animationEasingUpdate"),s=n.shadowDepthMaterial;if(i&&t&&o>0&&t.geometry.vertexCount===n.geometry.vertexCount){n.material.define("vertex","VERTEX_ANIMATION"),n.ignorePreZ=!0,s&&s.define("vertex","VERTEX_ANIMATION");for(var l=0;l<e.length;l++)n.geometry.attributes[e[l][0]].value=t.geometry.attributes[e[l][1]].value;n.geometry.dirty(),n.__percent=0,n.material.set("percent",0),n.stopAnimation(),n.animate().when(o,{__percent:1}).during((function(){n.material.set("percent",n.__percent),s&&s.set("percent",n.__percent)})).done((function(){n.ignorePreZ=!1,n.material.undefine("vertex","VERTEX_ANIMATION"),s&&s.undefine("vertex","VERTEX_ANIMATION")})).start(a)}else n.material.undefine("vertex","VERTEX_ANIMATION"),s&&s.undefine("vertex","VERTEX_ANIMATION")};const pP=uP;var fP=function(e,t){this.id=e,this.zr=t;try{this.renderer=new uC({clearBit:0,devicePixelRatio:t.painter.dpr,preserveDrawingBuffer:!0,premultipliedAlpha:!0}),this.renderer.resize(t.painter.getWidth(),t.painter.getHeight())}catch(e){return this.renderer=null,this.dom=document.createElement("div"),this.dom.style.cssText="position:absolute; left: 0; top: 0; right: 0; bottom: 0;",this.dom.className="ecgl-nowebgl",this.dom.innerHTML="Sorry, your browser does not support WebGL",void console.error(e)}this.onglobalout=this.onglobalout.bind(this),t.on("globalout",this.onglobalout),this.dom=this.renderer.canvas;var n=this.dom.style;n.position="absolute",n.left="0",n.top="0",this.views=[],this._picking=new hD({renderer:this.renderer}),this._viewsToDispose=[],this._accumulatingId=0,this._zrEventProxy=new ju({shape:{x:-1,y:-1,width:2,height:2},__isGLToZRProxy:!0}),this._backgroundColor=null,this._disposed=!1};function gP(e){var t=e.__zr;e.__zr=null,t&&e.removeAnimatorsFromZr&&e.removeAnimatorsFromZr(t)}fP.prototype.setUnpainted=function(){},fP.prototype.addView=function(e){if(e.layer!==this){var t=this._viewsToDispose.indexOf(e);t>=0&&this._viewsToDispose.splice(t,1),this.views.push(e),e.layer=this;var n=this.zr;e.scene.traverse((function(e){e.__zr=n,e.addAnimatorsToZr&&e.addAnimatorsToZr(n)}))}},fP.prototype.removeView=function(e){if(e.layer===this){var t=this.views.indexOf(e);t>=0&&(this.views.splice(t,1),e.scene.traverse(gP,this),e.layer=null,this._viewsToDispose.push(e))}},fP.prototype.removeViewsAll=function(){this.views.forEach((function(e){e.scene.traverse(gP,this),e.layer=null,this._viewsToDispose.push(e)}),this),this.views.length=0},fP.prototype.resize=function(e,t){this.renderer.resize(e,t)},fP.prototype.clear=function(){var e=this.renderer.gl,t=this._backgroundColor||[0,0,0,0];e.clearColor(t[0],t[1],t[2],t[3]),e.depthMask(!0),e.colorMask(!0,!0,!0,!0),e.clear(e.DEPTH_BUFFER_BIT|e.COLOR_BUFFER_BIT)},fP.prototype.clearDepth=function(){var e=this.renderer.gl;e.clear(e.DEPTH_BUFFER_BIT)},fP.prototype.clearColor=function(){var e=this.renderer.gl;e.clearColor(0,0,0,0),e.clear(e.COLOR_BUFFER_BIT)},fP.prototype.needsRefresh=function(){this.zr.refresh()},fP.prototype.refresh=function(e){this._backgroundColor=e?pP.parseColor(e):[0,0,0,0],this.renderer.clearColor=this._backgroundColor;for(var t=0;t<this.views.length;t++)this.views[t].prepareRender(this.renderer);for(this._doRender(!1),this._trackAndClean(),t=0;t<this._viewsToDispose.length;t++)this._viewsToDispose[t].dispose(this.renderer);this._viewsToDispose.length=0,this._startAccumulating()},fP.prototype.renderToCanvas=function(e){this._startAccumulating(!0),e.drawImage(this.dom,0,0,e.canvas.width,e.canvas.height)},fP.prototype._doRender=function(e){this.clear(),this.renderer.saveViewport();for(var t=0;t<this.views.length;t++)this.views[t].render(this.renderer,e);this.renderer.restoreViewport()},fP.prototype._stopAccumulating=function(){this._accumulatingId=0,clearTimeout(this._accumulatingTimeout)};var mP=1;function vP(e){for(var t=0;t<e.length;t++)e[t].__used__=0}function yP(e,t){for(var n=0;n<t.length;n++)t[n].__used__||t[n].dispose(e)}function _P(e,t){e.__used__=e.__used__||0,e.__used__++,1===e.__used__&&t.push(e)}function xP(e,t,n){var r,i;e.traverse((function(e){if(e.isRenderable()){var o=e.geometry,a=e.material;if(a!==r)for(var s=a.getTextureUniforms(),l=0;l<s.length;l++){var u=s[l],c=a.uniforms[u].value;if(c)if(c instanceof mD)_P(c,t);else if(c instanceof Array)for(var h=0;h<c.length;h++)c[h]instanceof mD&&_P(c[h],t)}o!==i&&_P(o,n),r=a,i=o}}));for(var o=0;o<e.lights.length;o++)e.lights[o].cubemap&&_P(e.lights[o].cubemap,t)}fP.prototype._startAccumulating=function(e){var t=this;this._stopAccumulating();for(var n=!1,r=0;r<this.views.length;r++)n=this.views[r].needsAccumulate()||n;function i(r){if(t._accumulatingId&&r===t._accumulatingId){for(var o=!0,a=0;a<t.views.length;a++)o=t.views[a].isAccumulateFinished()&&n;o||(t._doRender(!0),e?i(r):Yr((function(){i(r)})))}}n&&(this._accumulatingId=mP++,e?i(t._accumulatingId):this._accumulatingTimeout=setTimeout((function(){i(t._accumulatingId)}),50))},fP.prototype._trackAndClean=function(){var e=[],t=[];this._textureList&&(vP(this._textureList),vP(this._geometriesList));for(var n=0;n<this.views.length;n++)xP(this.views[n].scene,e,t);this._textureList&&(yP(this.renderer,this._textureList),yP(this.renderer,this._geometriesList)),this._textureList=e,this._geometriesList=t},fP.prototype.dispose=function(){this._disposed||(this._stopAccumulating(),this._textureList&&(vP(this._textureList),vP(this._geometriesList),yP(this.renderer,this._textureList),yP(this.renderer,this._geometriesList)),this.zr.off("globalout",this.onglobalout),this._disposed=!0)},fP.prototype.onmousedown=function(e){if(!e.target||!e.target.__isGLToZRProxy){e=e.event;var t=this.pickObject(e.offsetX,e.offsetY);t&&(this._dispatchEvent("mousedown",e,t),this._dispatchDataEvent("mousedown",e,t)),this._downX=e.offsetX,this._downY=e.offsetY}},fP.prototype.onmousemove=function(e){if(!e.target||!e.target.__isGLToZRProxy){e=e.event;var t=this.pickObject(e.offsetX,e.offsetY),n=t&&t.target,r=this._hovered;this._hovered=t,r&&n!==r.target&&(r.relatedTarget=n,this._dispatchEvent("mouseout",e,r),this.zr.setCursorStyle("default")),this._dispatchEvent("mousemove",e,t),t&&(this.zr.setCursorStyle("pointer"),r&&n===r.target||this._dispatchEvent("mouseover",e,t)),this._dispatchDataEvent("mousemove",e,t)}},fP.prototype.onmouseup=function(e){if(!e.target||!e.target.__isGLToZRProxy){e=e.event;var t=this.pickObject(e.offsetX,e.offsetY);t&&(this._dispatchEvent("mouseup",e,t),this._dispatchDataEvent("mouseup",e,t)),this._upX=e.offsetX,this._upY=e.offsetY}},fP.prototype.onclick=fP.prototype.dblclick=function(e){if(!e.target||!e.target.__isGLToZRProxy){var t=this._upX-this._downX,n=this._upY-this._downY;if(!(Math.sqrt(t*t+n*n)>20)){e=e.event;var r=this.pickObject(e.offsetX,e.offsetY);r&&(this._dispatchEvent(e.type,e,r),this._dispatchDataEvent(e.type,e,r));var i=this._clickToSetFocusPoint(e);i&&i.view.setDOFFocusOnPoint(i.distance)&&this.zr.refresh()}}},fP.prototype._clickToSetFocusPoint=function(e){for(var t=this.renderer,n=t.viewport,r=this.views.length-1;r>=0;r--){var i=this.views[r];if(i.hasDOF()&&i.containPoint(e.offsetX,e.offsetY)){this._picking.scene=i.scene,this._picking.camera=i.camera,t.viewport=i.viewport;var o=this._picking.pick(e.offsetX,e.offsetY,!0);if(o)return o.view=i,o}}t.viewport=n},fP.prototype.onglobalout=function(e){var t=this._hovered;t&&this._dispatchEvent("mouseout",e,{target:t.target})},fP.prototype.pickObject=function(e,t){for(var n=[],r=this.renderer,i=r.viewport,o=0;o<this.views.length;o++){var a=this.views[o];a.containPoint(e,t)&&(this._picking.scene=a.scene,this._picking.camera=a.camera,r.viewport=a.viewport,this._picking.pickAll(e,t,n))}return r.viewport=i,n.sort((function(e,t){return e.distance-t.distance})),n[0]},fP.prototype._dispatchEvent=function(e,t,n){n||(n={});var r=n.target;for(n.cancelBubble=!1,n.event=t,n.type=e,n.offsetX=t.offsetX,n.offsetY=t.offsetY;r&&(r.trigger(e,n),r=r.getParent(),!n.cancelBubble););this._dispatchToView(e,n)},fP.prototype._dispatchDataEvent=function(e,t,n){var r=n&&n.target,i=r&&r.dataIndex,o=r&&r.seriesIndex,a=r&&r.eventData,s=!1,l=this._zrEventProxy;l.x=t.offsetX,l.y=t.offsetY,l.update();var u={target:l};const c=lc(l);"mousemove"===e&&(null!=i?i!==this._lastDataIndex&&(parseInt(this._lastDataIndex,10)>=0&&(c.dataIndex=this._lastDataIndex,c.seriesIndex=this._lastSeriesIndex,this.zr.handler.dispatchToElement(u,"mouseout",t)),s=!0):null!=a&&a!==this._lastEventData&&(null!=this._lastEventData&&(c.eventData=this._lastEventData,this.zr.handler.dispatchToElement(u,"mouseout",t)),s=!0),this._lastEventData=a,this._lastDataIndex=i,this._lastSeriesIndex=o),c.eventData=a,c.dataIndex=i,c.seriesIndex=o,(null!=a||parseInt(i,10)>=0&&parseInt(o,10)>=0)&&(this.zr.handler.dispatchToElement(u,e,t),s&&this.zr.handler.dispatchToElement(u,"mouseover",t))},fP.prototype._dispatchToView=function(e,t){for(var n=0;n<this.views.length;n++)this.views[n].containPoint(t.offsetX,t.offsetY)&&this.views[n].trigger(e,t)},Object.assign(fP.prototype,CT);const bP=fP;var wP=["bar3D","line3D","map3D","scatter3D","surface","lines3D","scatterGL","scatter3D"];function SP(e,t){if(e&&e[t]&&(e[t].normal||e[t].emphasis)){var n=e[t].normal,r=e[t].emphasis;n&&(e[t]=n),r&&(e.emphasis=e.emphasis||{},e.emphasis[t]=r)}}function MP(e){e&&(e instanceof Array||(e=[e]),pt(e,(function(e){if(e.axisLabel){var t=e.axisLabel;Object.assign(t,t.textStyle),t.textStyle=null}})))}function TP(e){this._layers={},this._zr=e}TP.prototype.update=function(e,t){var n=this,r=t.getZr();if(r.getWidth()&&r.getHeight()){for(var i in this._layers)this._layers[i].removeViewsAll();e.eachComponent((function(n,r){if("series"!==n){var i=t.getViewOfComponentModel(r),s=r.coordinateSystem;if(i.__ecgl__){if(s){if(!s.viewGL)return void console.error("Can't find viewGL in coordinateSystem of component "+r.id);l=s.viewGL}else{if(!r.viewGL)return void console.error("Can't find viewGL of component "+r.id);l=s.viewGL}var l=s.viewGL,u=o(r);u.addView(l),i.afterRender&&i.afterRender(r,e,t,u),a(i.groupGL,r.get("silent"))}}})),e.eachSeries((function(n){var r=t.getViewOfSeriesModel(n),i=n.coordinateSystem;if(r.__ecgl__){if(i&&!i.viewGL&&!r.viewGL)return void console.error("Can't find viewGL of series "+r.id);var s=i&&i.viewGL||r.viewGL,l=o(n);l.addView(s),r.afterRender&&r.afterRender(n,e,t,l),a(r.groupGL,n.get("silent"))}}))}else console.warn("Dom has no width or height");function o(e){var t;r.setSleepAfterStill(0),e.coordinateSystem&&e.coordinateSystem.model,t=e.get("zlevel");var i=n._layers,o=i[t];if(!o){if(o=i[t]=new bP("gl-"+t,r),r.painter.isSingleCanvas()){o.virtual=!0;var a=new Bu({z:1e4,style:{image:o.renderer.canvas},silent:!0});o.__hostImage=a,r.add(a)}r.painter.insertLayer(t,o)}return o.__hostImage&&o.__hostImage.setStyle({width:o.renderer.getWidth(),height:o.renderer.getHeight()}),o}function a(e,t){e&&e.traverse((function(e){e.isRenderable&&e.isRenderable()&&(e.ignorePicking=null!=e.$ignorePicking?e.$ignorePicking:t)}))}},yb((function(e){var t=e.getZr(),n=t.painter.dispose;t.painter.dispose=function(){"function"==typeof this.eachOtherLayer&&this.eachOtherLayer((function(e){e instanceof bP&&e.dispose()})),n.call(this)},t.painter.getRenderedCanvas=function(e){if(e=e||{},this._singleCanvas)return this._layers[0].dom;var t=document.createElement("canvas"),n=e.pixelRatio||this.dpr;t.width=this.getWidth()*n,t.height=this.getHeight()*n;var r=t.getContext("2d");r.dpr=n,r.clearRect(0,0,t.width,t.height),e.backgroundColor&&(r.fillStyle=e.backgroundColor,r.fillRect(0,0,t.width,t.height));var i,o=this.storage.getDisplayList(!0),a={},s=this;function l(e,t){var n,i=s._zlevelList;null==e&&(e=-1/0);for(var o=0;o<i.length;o++){var a=i[o],l=s._layers[a];if(!l.__builtin__&&a>e&&a<t){n=l;break}}n&&n.renderToCanvas&&(r.save(),n.renderToCanvas(r),r.restore())}for(var u={ctx:r},c=0;c<o.length;c++){var h=o[c];h.zlevel!==i&&(l(i,h.zlevel),i=h.zlevel),this._doPaintEl(h,u,!0,null,a)}return l(i,1/0),t}})),_b((function(e,t){var n=t.getZr();(n.__egl=n.__egl||new TP(n)).update(e,t)})),mb((function(e){pt(e.series,(function(t){ut(wP,t.type)>=0&&(function(e){SP(e,"itemStyle"),SP(e,"lineStyle"),SP(e,"areaStyle"),SP(e,"label")}(t),"mapbox"===t.coordinateSystem&&(t.coordinateSystem="mapbox3D",e.mapbox3D=e.mapbox))})),MP(e.xAxis3D),MP(e.yAxis3D),MP(e.zAxis3D),MP(e.grid3D),SP(e.geo3D)}));const AP={defaultOption:{viewControl:{projection:"perspective",autoRotate:!1,autoRotateDirection:"cw",autoRotateSpeed:10,autoRotateAfterStill:3,damping:.8,rotateSensitivity:1,zoomSensitivity:1,panSensitivity:1,panMouseButton:"middle",rotateMouseButton:"left",distance:150,minDistance:40,maxDistance:400,orthographicSize:150,maxOrthographicSize:400,minOrthographicSize:20,center:[0,0,0],alpha:0,beta:0,minAlpha:-90,maxAlpha:90}},setView:function(e){e=e||{},this.option.viewControl=this.option.viewControl||{},null!=e.alpha&&(this.option.viewControl.alpha=e.alpha),null!=e.beta&&(this.option.viewControl.beta=e.beta),null!=e.distance&&(this.option.viewControl.distance=e.distance),null!=e.center&&(this.option.viewControl.center=e.center)}},IP={defaultOption:{postEffect:{enable:!1,bloom:{enable:!0,intensity:.1},depthOfField:{enable:!1,focalRange:20,focalDistance:50,blurRadius:10,fstop:2.8,quality:"medium"},screenSpaceAmbientOcclusion:{enable:!1,radius:2,quality:"medium",intensity:1},screenSpaceReflection:{enable:!1,quality:"medium",maxRoughness:.8},colorCorrection:{enable:!0,exposure:0,brightness:0,contrast:1,saturation:1,lookupTexture:""},edge:{enable:!1},FXAA:{enable:!1}},temporalSuperSampling:{enable:"auto"}}},CP={defaultOption:{light:{main:{shadow:!1,shadowQuality:"high",color:"#fff",intensity:1,alpha:0,beta:0},ambient:{color:"#fff",intensity:.2},ambientCubemap:{texture:null,exposure:1,diffuseIntensity:.5,specularIntensity:.5}}}};var DP=sp.extend({type:"grid3D",dependencies:["xAxis3D","yAxis3D","zAxis3D"],defaultOption:{show:!0,zlevel:-10,left:0,top:0,width:"100%",height:"100%",environment:"auto",boxWidth:100,boxHeight:100,boxDepth:100,axisPointer:{show:!0,lineStyle:{color:"rgba(0, 0, 0, 0.8)",width:1},label:{show:!0,formatter:null,margin:8,textStyle:{fontSize:14,color:"#fff",backgroundColor:"rgba(0,0,0,0.5)",padding:3,borderRadius:3}}},axisLine:{show:!0,lineStyle:{color:"#333",width:2,type:"solid"}},axisTick:{show:!0,inside:!1,length:3,lineStyle:{width:1}},axisLabel:{show:!0,inside:!1,rotate:0,margin:8,textStyle:{fontSize:12}},splitLine:{show:!0,lineStyle:{color:["#ccc"],width:1,type:"solid"}},splitArea:{show:!1,areaStyle:{color:["rgba(250,250,250,0.3)","rgba(200,200,200,0.3)"]}},light:{main:{alpha:30,beta:40},ambient:{intensity:.4}},viewControl:{alpha:20,beta:40,autoRotate:!1,distance:200,minDistance:40,maxDistance:400}}});it(DP.prototype,AP),it(DP.prototype,IP),it(DP.prototype,CP);const EP=DP;var LP=PL.firstNotNull,PP={left:0,middle:1,right:2};function OP(e){return e instanceof Array||(e=[e,e]),e}var NP=NT.extend((function(){return{zr:null,viewGL:null,_center:new vC,minDistance:.5,maxDistance:1.5,maxOrthographicSize:300,minOrthographicSize:30,minAlpha:-90,maxAlpha:90,minBeta:-1/0,maxBeta:1/0,autoRotateAfterStill:0,autoRotateDirection:"cw",autoRotateSpeed:60,damping:.8,rotateSensitivity:1,zoomSensitivity:1,panSensitivity:1,panMouseButton:"middle",rotateMouseButton:"left",_mode:"rotate",_camera:null,_needsUpdate:!1,_rotating:!1,_phi:0,_theta:0,_mouseX:0,_mouseY:0,_rotateVelocity:new gI,_panVelocity:new gI,_distance:500,_zoomSpeed:0,_stillTimeout:0,_animators:[]}}),(function(){["_mouseDownHandler","_mouseWheelHandler","_mouseMoveHandler","_mouseUpHandler","_pinchHandler","_contextMenuHandler","_update"].forEach((function(e){this[e]=this[e].bind(this)}),this)}),{init:function(){var e=this.zr;e&&(e.on("mousedown",this._mouseDownHandler),e.on("globalout",this._mouseUpHandler),e.on("mousewheel",this._mouseWheelHandler),e.on("pinch",this._pinchHandler),e.animation.on("frame",this._update),e.dom.addEventListener("contextmenu",this._contextMenuHandler))},dispose:function(){var e=this.zr;e&&(e.off("mousedown",this._mouseDownHandler),e.off("mousemove",this._mouseMoveHandler),e.off("mouseup",this._mouseUpHandler),e.off("mousewheel",this._mouseWheelHandler),e.off("pinch",this._pinchHandler),e.off("globalout",this._mouseUpHandler),e.dom.removeEventListener("contextmenu",this._contextMenuHandler),e.animation.off("frame",this._update)),this.stopAllAnimation()},getDistance:function(){return this._distance},setDistance:function(e){this._distance=e,this._needsUpdate=!0},getOrthographicSize:function(){return this._orthoSize},setOrthographicSize:function(e){this._orthoSize=e,this._needsUpdate=!0},getAlpha:function(){return this._theta/Math.PI*180},getBeta:function(){return-this._phi/Math.PI*180},getCenter:function(){return this._center.toArray()},setAlpha:function(e){e=Math.max(Math.min(this.maxAlpha,e),this.minAlpha),this._theta=e/180*Math.PI,this._needsUpdate=!0},setBeta:function(e){e=Math.max(Math.min(this.maxBeta,e),this.minBeta),this._phi=-e/180*Math.PI,this._needsUpdate=!0},setCenter:function(e){this._center.setArray(e)},setViewGL:function(e){this.viewGL=e},getCamera:function(){return this.viewGL.camera},setFromViewControlModel:function(e,t){var n=(t=t||{}).baseDistance||0,r=t.baseOrthoSize||1,i=e.get("projection");"perspective"!==i&&"orthographic"!==i&&"isometric"!==i&&(i="perspective"),this._projection=i,this.viewGL.setProjection(i);var o=e.get("distance")+n,a=e.get("orthographicSize")+r;[["damping",.8],["autoRotate",!1],["autoRotateAfterStill",3],["autoRotateDirection","cw"],["autoRotateSpeed",10],["minDistance",30],["maxDistance",400],["minOrthographicSize",30],["maxOrthographicSize",300],["minAlpha",-90],["maxAlpha",90],["minBeta",-1/0],["maxBeta",1/0],["rotateSensitivity",1],["zoomSensitivity",1],["panSensitivity",1],["panMouseButton","left"],["rotateMouseButton","middle"]].forEach((function(t){this[t[0]]=LP(e.get(t[0]),t[1])}),this),this.minDistance+=n,this.maxDistance+=n,this.minOrthographicSize+=r,this.maxOrthographicSize+=r;var s=e.ecModel,l={};["animation","animationDurationUpdate","animationEasingUpdate"].forEach((function(t){l[t]=LP(e.get(t),s&&s.get(t))}));var u=LP(t.alpha,e.get("alpha"))||0,c=LP(t.beta,e.get("beta"))||0,h=LP(t.center,e.get("center"))||[0,0,0];l.animation&&l.animationDurationUpdate>0&&this._notFirst?this.animateTo({alpha:u,beta:c,center:h,distance:o,orthographicSize:a,easing:l.animationEasingUpdate,duration:l.animationDurationUpdate}):(this.setDistance(o),this.setAlpha(u),this.setBeta(c),this.setCenter(h),this.setOrthographicSize(a)),this._notFirst=!0,this._validateProperties()},_validateProperties:function(){},animateTo:function(e){var t=this.zr,n=this,r={},i={};return null!=e.distance&&(r.distance=this.getDistance(),i.distance=e.distance),null!=e.orthographicSize&&(r.orthographicSize=this.getOrthographicSize(),i.orthographicSize=e.orthographicSize),null!=e.alpha&&(r.alpha=this.getAlpha(),i.alpha=e.alpha),null!=e.beta&&(r.beta=this.getBeta(),i.beta=e.beta),null!=e.center&&(r.center=this.getCenter(),i.center=e.center),this._addAnimator(t.animation.animate(r).when(e.duration||1e3,i).during((function(){null!=r.alpha&&n.setAlpha(r.alpha),null!=r.beta&&n.setBeta(r.beta),null!=r.distance&&n.setDistance(r.distance),null!=r.center&&n.setCenter(r.center),null!=r.orthographicSize&&n.setOrthographicSize(r.orthographicSize),n._needsUpdate=!0}))).start(e.easing||"linear")},stopAllAnimation:function(){for(var e=0;e<this._animators.length;e++)this._animators[e].stop();this._animators.length=0},update:function(){this._needsUpdate=!0,this._update(20)},_isAnimating:function(){return this._animators.length>0},_update:function(e){if(this._rotating){var t=("cw"===this.autoRotateDirection?1:-1)*this.autoRotateSpeed/180*Math.PI;this._phi-=t*e/1e3,this._needsUpdate=!0}else this._rotateVelocity.len()>0&&(this._needsUpdate=!0);(Math.abs(this._zoomSpeed)>.1||this._panVelocity.len()>0)&&(this._needsUpdate=!0),this._needsUpdate&&(e=Math.min(e,50),this._updateDistanceOrSize(e),this._updatePan(e),this._updateRotate(e),this._updateTransform(),this.getCamera().update(),this.zr&&this.zr.refresh(),this.trigger("update"),this._needsUpdate=!1)},_updateRotate:function(e){var t=this._rotateVelocity;this._phi=t.y*e/20+this._phi,this._theta=t.x*e/20+this._theta,this.setAlpha(this.getAlpha()),this.setBeta(this.getBeta()),this._vectorDamping(t,Math.pow(this.damping,e/16))},_updateDistanceOrSize:function(e){"perspective"===this._projection?this._setDistance(this._distance+this._zoomSpeed*e/20):this._setOrthoSize(this._orthoSize+this._zoomSpeed*e/20),this._zoomSpeed*=Math.pow(this.damping,e/16)},_setDistance:function(e){this._distance=Math.max(Math.min(e,this.maxDistance),this.minDistance)},_setOrthoSize:function(e){this._orthoSize=Math.max(Math.min(e,this.maxOrthographicSize),this.minOrthographicSize);var t=this.getCamera(),n=this._orthoSize,r=n/this.viewGL.viewport.height*this.viewGL.viewport.width;t.left=-r/2,t.right=r/2,t.top=n/2,t.bottom=-n/2},_updatePan:function(e){var t=this._panVelocity,n=this._distance,r=this.getCamera(),i=r.worldTransform.y,o=r.worldTransform.x;this._center.scaleAndAdd(o,-t.x*n/200).scaleAndAdd(i,-t.y*n/200),this._vectorDamping(t,0)},_updateTransform:function(){var e=this.getCamera(),t=new vC,n=this._theta+Math.PI/2,r=this._phi+Math.PI/2,i=Math.sin(n);t.x=i*Math.cos(r),t.y=-Math.cos(n),t.z=i*Math.sin(r),e.position.copy(this._center).scaleAndAdd(t,this._distance),e.rotation.identity().rotateY(-this._phi).rotateX(-this._theta)},_startCountingStill:function(){clearTimeout(this._stillTimeout);var e=this.autoRotateAfterStill,t=this;!isNaN(e)&&e>0&&(this._stillTimeout=setTimeout((function(){t._rotating=!0}),1e3*e))},_vectorDamping:function(e,t){var n=e.len();(n*=t)<1e-4&&(n=0),e.normalize().scale(n)},_decomposeTransform:function(){if(this.getCamera()){this.getCamera().updateWorldTransform();var e=this.getCamera().worldTransform.z,t=Math.asin(e.y),n=Math.atan2(e.x,e.z);this._theta=t,this._phi=-n,this.setBeta(this.getBeta()),this.setAlpha(this.getAlpha()),this.getCamera().aspect?this._setDistance(this.getCamera().position.dist(this._center)):this._setOrthoSize(this.getCamera().top-this.getCamera().bottom)}},_mouseDownHandler:function(e){if(!e.target&&!this._isAnimating()){var t=e.offsetX,n=e.offsetY;this.viewGL&&!this.viewGL.containPoint(t,n)||(this.zr.on("mousemove",this._mouseMoveHandler),this.zr.on("mouseup",this._mouseUpHandler),e.event.targetTouches?1===e.event.targetTouches.length&&(this._mode="rotate"):e.event.button===PP[this.rotateMouseButton]?this._mode="rotate":e.event.button===PP[this.panMouseButton]?this._mode="pan":this._mode="",this._rotateVelocity.set(0,0),this._rotating=!1,this.autoRotate&&this._startCountingStill(),this._mouseX=e.offsetX,this._mouseY=e.offsetY)}},_mouseMoveHandler:function(e){if(!(e.target&&e.target.__isGLToZRProxy||this._isAnimating())){var t=OP(this.panSensitivity),n=OP(this.rotateSensitivity);"rotate"===this._mode?(this._rotateVelocity.y=(e.offsetX-this._mouseX)/this.zr.getHeight()*2*n[0],this._rotateVelocity.x=(e.offsetY-this._mouseY)/this.zr.getWidth()*2*n[1]):"pan"===this._mode&&(this._panVelocity.x=(e.offsetX-this._mouseX)/this.zr.getWidth()*t[0]*400,this._panVelocity.y=(-e.offsetY+this._mouseY)/this.zr.getHeight()*t[1]*400),this._mouseX=e.offsetX,this._mouseY=e.offsetY,e.event.preventDefault()}},_mouseWheelHandler:function(e){if(!this._isAnimating()){var t=e.event.wheelDelta||-e.event.detail;this._zoomHandler(e,t)}},_pinchHandler:function(e){this._isAnimating()||(this._zoomHandler(e,e.pinchScale>1?1:-1),this._mode="")},_zoomHandler:function(e,t){if(0!==t){var n,r=e.offsetX,i=e.offsetY;this.viewGL&&!this.viewGL.containPoint(r,i)||(n="perspective"===this._projection?Math.max(Math.max(Math.min(this._distance-this.minDistance,this.maxDistance-this._distance))/20,.5):Math.max(Math.max(Math.min(this._orthoSize-this.minOrthographicSize,this.maxOrthographicSize-this._orthoSize))/20,.5),this._zoomSpeed=(t>0?-1:1)*n*this.zoomSensitivity,this._rotating=!1,this.autoRotate&&"rotate"===this._mode&&this._startCountingStill(),e.event.preventDefault())}},_mouseUpHandler:function(){this.zr.off("mousemove",this._mouseMoveHandler),this.zr.off("mouseup",this._mouseUpHandler)},_isRightMouseButtonUsed:function(){return"right"===this.rotateMouseButton||"right"===this.panMouseButton},_contextMenuHandler:function(e){this._isRightMouseButtonUsed()&&e.preventDefault()},_addAnimator:function(e){var t=this._animators;return t.push(e),e.done((function(){var n=t.indexOf(e);n>=0&&t.splice(n,1)})),e}});Object.defineProperty(NP.prototype,"autoRotate",{get:function(e){return this._autoRotate},set:function(e){this._autoRotate=e,this._rotating=e}});const RP=NP,kP={convertToDynamicArray:function(e){e&&this.resetOffset();var t=this.attributes;for(var n in t)e||!t[n].value?t[n].value=[]:t[n].value=Array.prototype.slice.call(t[n].value);e||!this.indices?this.indices=[]:this.indices=Array.prototype.slice.call(this.indices)},convertToTypedArray:function(){var e=this.attributes;for(var t in e)e[t].value&&e[t].value.length>0?e[t].value=new Float32Array(e[t].value):e[t].value=null;this.indices&&this.indices.length>0&&(this.indices=this.vertexCount>65535?new Uint32Array(this.indices):new Uint16Array(this.indices)),this.dirty()}},BP={vec2:dI,vec3:$I,vec4:AC,mat2:ZL,mat2d:JL,mat3:CC,mat4:ZI,quat:NC};var FP=BP.vec3,zP=[[0,0],[1,1]],VP=kD.extend((function(){return{segmentScale:1,dynamic:!0,useNativeLine:!0,attributes:{position:new kD.Attribute("position","float",3,"POSITION"),positionPrev:new kD.Attribute("positionPrev","float",3),positionNext:new kD.Attribute("positionNext","float",3),prevPositionPrev:new kD.Attribute("prevPositionPrev","float",3),prevPosition:new kD.Attribute("prevPosition","float",3),prevPositionNext:new kD.Attribute("prevPositionNext","float",3),offset:new kD.Attribute("offset","float",1),color:new kD.Attribute("color","float",4,"COLOR")}}}),{resetOffset:function(){this._vertexOffset=0,this._triangleOffset=0,this._itemVertexOffsets=[]},setVertexCount:function(e){var t=this.attributes;this.vertexCount!==e&&(t.position.init(e),t.color.init(e),this.useNativeLine||(t.positionPrev.init(e),t.positionNext.init(e),t.offset.init(e)),e>65535?this.indices instanceof Uint16Array&&(this.indices=new Uint32Array(this.indices)):this.indices instanceof Uint32Array&&(this.indices=new Uint16Array(this.indices)))},setTriangleCount:function(e){this.triangleCount!==e&&(this.indices=0===e?null:this.vertexCount>65535?new Uint32Array(3*e):new Uint16Array(3*e))},_getCubicCurveApproxStep:function(e,t,n,r){return 1/(FP.dist(e,t)+FP.dist(n,t)+FP.dist(r,n)+1)*this.segmentScale},getCubicCurveVertexCount:function(e,t,n,r){var i=this._getCubicCurveApproxStep(e,t,n,r),o=Math.ceil(1/i);return this.useNativeLine?2*o:2*o+2},getCubicCurveTriangleCount:function(e,t,n,r){var i=this._getCubicCurveApproxStep(e,t,n,r),o=Math.ceil(1/i);return this.useNativeLine?0:2*o},getLineVertexCount:function(){return this.getPolylineVertexCount(zP)},getLineTriangleCount:function(){return this.getPolylineTriangleCount(zP)},getPolylineVertexCount:function(e){var t;return t="number"==typeof e?e:"number"!=typeof e[0]?e.length:e.length/3,this.useNativeLine?2*(t-1):2*(t-1)+2},getPolylineTriangleCount:function(e){var t;return t="number"==typeof e?e:"number"!=typeof e[0]?e.length:e.length/3,this.useNativeLine?0:2*Math.max(t-1,0)},addCubicCurve:function(e,t,n,r,i,o){null==o&&(o=1);var a=e[0],s=e[1],l=e[2],u=t[0],c=t[1],h=t[2],d=n[0],p=n[1],f=n[2],g=r[0],m=r[1],v=r[2],y=this._getCubicCurveApproxStep(e,t,n,r),_=y*y,x=_*y,b=3*y,w=3*_,S=6*_,M=6*x,T=a-2*u+d,A=s-2*c+p,I=l-2*h+f,C=3*(u-d)-a+g,D=3*(c-p)-s+m,E=3*(h-f)-l+v,L=a,P=s,O=l,N=(u-a)*b+T*w+C*x,R=(c-s)*b+A*w+D*x,k=(h-l)*b+I*w+E*x,B=T*S+C*M,F=A*S+D*M,z=I*S+E*M,V=C*M,G=D*M,H=E*M,U=0,W=0,j=Math.ceil(1/y),X=new Float32Array(3*(j+1)),Y=(X=[],0);for(W=0;W<j+1;W++)X[Y++]=L,X[Y++]=P,X[Y++]=O,L+=N,P+=R,O+=k,N+=B,R+=F,k+=z,B+=V,F+=G,z+=H,(U+=y)>1&&(L=N>0?Math.min(L,g):Math.max(L,g),P=R>0?Math.min(P,m):Math.max(P,m),O=k>0?Math.min(O,v):Math.max(O,v));return this.addPolyline(X,i,o)},addLine:function(e,t,n,r){return this.addPolyline([e,t],n,r)},addPolyline:function(e,t,n,r,i){if(e.length){var o="number"!=typeof e[0];if(null==i&&(i=o?e.length:e.length/3),!(i<2)){null==r&&(r=0),null==n&&(n=1),this._itemVertexOffsets.push(this._vertexOffset);var a,s,l=(o="number"!=typeof e[0])?"number"!=typeof t[0]:t.length/4===i,u=this.attributes.position,c=this.attributes.positionPrev,h=this.attributes.positionNext,d=this.attributes.color,p=this.attributes.offset,f=this.indices,g=this._vertexOffset;n=Math.max(n,.01);for(var m=r;m<i;m++){if(o)a=e[m],s=l?t[m]:t;else{var v=3*m;if((a=a||[])[0]=e[v],a[1]=e[v+1],a[2]=e[v+2],l){var y=4*m;(s=s||[])[0]=t[y],s[1]=t[y+1],s[2]=t[y+2],s[3]=t[y+3]}else s=t}if(this.useNativeLine?m>1&&(u.copy(g,g-1),d.copy(g,g-1),g++):(m<i-1&&(c.set(g+2,a),c.set(g+3,a)),m>0&&(h.set(g-2,a),h.set(g-1,a)),u.set(g,a),u.set(g+1,a),d.set(g,s),d.set(g+1,s),p.set(g,n/2),p.set(g+1,-n/2),g+=2),this.useNativeLine)d.set(g,s),u.set(g,a),g++;else if(m>0){var _=3*this._triangleOffset;(f=this.indices)[_]=g-4,f[_+1]=g-3,f[_+2]=g-2,f[_+3]=g-3,f[_+4]=g-1,f[_+5]=g-2,this._triangleOffset+=2}}if(!this.useNativeLine){var x=this._vertexOffset,b=this._vertexOffset+2*i;c.copy(x,x+2),c.copy(x+1,x+3),h.copy(b-1,b-3),h.copy(b-2,b-4)}return this._vertexOffset=g,this._vertexOffset}}},setItemColor:function(e,t){for(var n=this._itemVertexOffsets[e],r=e<this._itemVertexOffsets.length-1?this._itemVertexOffsets[e+1]:this._vertexOffset,i=n;i<r;i++)this.attributes.color.set(i,t);this.dirty("color")},currentTriangleOffset:function(){return this._triangleOffset},currentVertexOffset:function(){return this._vertexOffset}});st(VP.prototype,kP);const GP=VP;function HP(e,t,n,r,i,o,a){this._zr=e,this._x=0,this._y=0,this._rowHeight=0,this.width=r,this.height=i,this.offsetX=t,this.offsetY=n,this.dpr=a,this.gap=o}function UP(e){(e=e||{}).width=e.width||512,e.height=e.height||512,e.devicePixelRatio=e.devicePixelRatio||1,e.gap=null==e.gap?2:e.gap;var t=document.createElement("canvas");t.width=e.width*e.devicePixelRatio,t.height=e.height*e.devicePixelRatio,this._canvas=t,this._texture=new SD({image:t,flipY:!1});var n=this;this._zr=Fa(t);var r=this._zr.refreshImmediately;this._zr.refreshImmediately=function(){r.call(this),n._texture.dirty(),n.onupdate&&n.onupdate()},this._dpr=e.devicePixelRatio,this._coords={},this.onupdate=e.onupdate,this._gap=e.gap,this._textureAtlasNodes=[new HP(this._zr,0,0,e.width,e.height,this._gap,this._dpr)],this._nodeWidth=e.width,this._nodeHeight=e.height,this._currentNodeIdx=0}HP.prototype={constructor:HP,clear:function(){this._x=0,this._y=0,this._rowHeight=0},add:function(e,t,n){var r=e.getBoundingRect();null==t&&(t=r.width),null==n&&(n=r.height),t*=this.dpr,n*=this.dpr,this._fitElement(e,t,n);var i=this._x,o=this._y,a=this.width*this.dpr,s=this.height*this.dpr,l=this.gap;if(i+t+l>a&&(i=this._x=0,o+=this._rowHeight+l,this._y=o,this._rowHeight=0),this._x+=t+l,this._rowHeight=Math.max(this._rowHeight,n),o+n+l>s)return null;e.x+=this.offsetX*this.dpr+i,e.y+=this.offsetY*this.dpr+o,this._zr.add(e);var u=[this.offsetX/this.width,this.offsetY/this.height];return[[i/a+u[0],o/s+u[1]],[(i+t)/a+u[0],(o+n)/s+u[1]]]},_fitElement:function(e,t,n){var r=e.getBoundingRect(),i=t/r.width,o=n/r.height;e.x=-r.x*i,e.y=-r.y*o,e.scaleX=i,e.scaleY=o,e.update()}},UP.prototype={clear:function(){for(var e=0;e<this._textureAtlasNodes.length;e++)this._textureAtlasNodes[e].clear();this._currentNodeIdx=0,this._zr.clear(),this._coords={}},getWidth:function(){return this._width},getHeight:function(){return this._height},getTexture:function(){return this._texture},getDevicePixelRatio:function(){return this._dpr},getZr:function(){return this._zr},_getCurrentNode:function(){return this._textureAtlasNodes[this._currentNodeIdx]},_expand:function(){if(this._currentNodeIdx++,this._textureAtlasNodes[this._currentNodeIdx])return this._textureAtlasNodes[this._currentNodeIdx];var e=4096/this._dpr,t=this._textureAtlasNodes.length,n=t*this._nodeWidth%e,r=Math.floor(t*this._nodeWidth/e)*this._nodeHeight;if(!(r>=e)){var i=(n+this._nodeWidth)*this._dpr,o=(r+this._nodeHeight)*this._dpr;try{this._zr.resize({width:i,height:o})}catch(e){this._canvas.width=i,this._canvas.height=o}var a=new HP(this._zr,n,r,this._nodeWidth,this._nodeHeight,this._gap,this._dpr);return this._textureAtlasNodes.push(a),a}},add:function(e,t,n){if(this._coords[e.id])return this._coords[e.id];var r=this._getCurrentNode().add(e,t,n);if(!r){var i=this._expand();if(!i)return;r=i.add(e,t,n)}return this._coords[e.id]=r,r},getCoordsScale:function(){var e=this._dpr;return[this._nodeWidth/this._canvas.width*e,this._nodeHeight/this._canvas.height*e]},getCoords:function(e){return this._coords[e]},dispose:function(){this._zr.dispose()}};const WP=UP;function jP(){}jP.prototype={constructor:jP,setScene:function(e){this._scene=e,this._skybox&&this._skybox.attachScene(this._scene)},initLight:function(e){this._lightRoot=e,this.mainLight=new pP.DirectionalLight({shadowBias:.005}),this.ambientLight=new pP.AmbientLight,e.add(this.mainLight),e.add(this.ambientLight)},dispose:function(){this._lightRoot&&(this._lightRoot.remove(this.mainLight),this._lightRoot.remove(this.ambientLight))},updateLight:function(e){var t=this.mainLight,n=this.ambientLight,r=e.getModel("light"),i=r.getModel("main"),o=r.getModel("ambient");t.intensity=i.get("intensity"),n.intensity=o.get("intensity"),t.color=pP.parseColor(i.get("color")).slice(0,3),n.color=pP.parseColor(o.get("color")).slice(0,3);var a=i.get("alpha")||0,s=i.get("beta")||0;t.position.setArray(pP.directionFromAlphaBeta(a,s)),t.lookAt(pP.Vector3.ZERO),t.castShadow=i.get("shadow"),t.shadowResolution=pP.getShadowResolution(i.get("shadowQuality"))},updateAmbientCubemap:function(e,t,n){var r=t.getModel("light.ambientCubemap"),i=r.get("texture");if(i){this._cubemapLightsCache=this._cubemapLightsCache||{};var o=this._cubemapLightsCache[i];if(!o){var a=this;o=this._cubemapLightsCache[i]=pP.createAmbientCubemap(r.option,e,n,(function(){a._isSkyboxFromAmbientCubemap&&a._skybox.setEnvironmentMap(o.specular.cubemap),n.getZr().refresh()}))}this._lightRoot.add(o.diffuse),this._lightRoot.add(o.specular),this._currentCubemapLights=o}else this._currentCubemapLights&&(this._lightRoot.remove(this._currentCubemapLights.diffuse),this._lightRoot.remove(this._currentCubemapLights.specular),this._currentCubemapLights=null)},updateSkybox:function(e,t,n){var r=t.get("environment"),i=this,o=(i._skybox=i._skybox||new YE,i._skybox);if(r&&"none"!==r)if("auto"===r)if(this._isSkyboxFromAmbientCubemap=!0,this._currentCubemapLights){var a=this._currentCubemapLights.specular.cubemap;o.setEnvironmentMap(a),this._scene&&o.attachScene(this._scene),o.material.set("lod",3)}else this._skybox&&this._skybox.detachScene();else if("object"==typeof r&&r.colorStops||"string"==typeof r&&zi(r)){this._isSkyboxFromAmbientCubemap=!1;var s=new pP.Texture2D({anisotropic:8,flipY:!1});o.setEnvironmentMap(s);var l=s.image=document.createElement("canvas");l.width=l.height=16,K_(l.getContext("2d"),new ju({shape:{x:0,y:0,width:16,height:16},style:{fill:r}})),o.attachScene(this._scene)}else this._isSkyboxFromAmbientCubemap=!1,s=pP.loadTexture(r,n,{anisotropic:8,flipY:!1}),o.setEnvironmentMap(s),o.attachScene(this._scene);else this._skybox&&this._skybox.detachScene(this._scene),this._skybox=null;var u=t.coordinateSystem;if(this._skybox)if(!u||!u.viewGL||"auto"===r||r.match&&r.match(/.hdr$/))this._skybox.material.undefine("fragment","SRGB_DECODE");else{var c=u.viewGL.isLinearSpace()?"define":"undefine";this._skybox.material[c]("fragment","SRGB_DECODE")}}};const XP=jP;var YP=BP.vec3,ZP=kD.extend((function(){return{segmentScale:1,useNativeLine:!0,attributes:{position:new kD.Attribute("position","float",3,"POSITION"),normal:new kD.Attribute("normal","float",3,"NORMAL"),color:new kD.Attribute("color","float",4,"COLOR")}}}),{resetOffset:function(){this._vertexOffset=0,this._faceOffset=0},setQuadCount:function(e){var t=this.attributes,n=this.getQuadVertexCount()*e,r=this.getQuadTriangleCount()*e;this.vertexCount!==n&&(t.position.init(n),t.normal.init(n),t.color.init(n)),this.triangleCount!==r&&(this.indices=n>65535?new Uint32Array(3*r):new Uint16Array(3*r))},getQuadVertexCount:function(){return 4},getQuadTriangleCount:function(){return 2},addQuad:function(){var e=YP.create(),t=YP.create(),n=YP.create(),r=[0,3,1,3,2,1];return function(i,o){var a=this.attributes.position,s=this.attributes.normal,l=this.attributes.color;YP.sub(e,i[1],i[0]),YP.sub(t,i[2],i[1]),YP.cross(n,e,t),YP.normalize(n,n);for(var u=0;u<4;u++)a.set(this._vertexOffset+u,i[u]),l.set(this._vertexOffset+u,o),s.set(this._vertexOffset+u,n);var c=3*this._faceOffset;for(u=0;u<6;u++)this.indices[c+u]=r[u]+this._vertexOffset;this._vertexOffset+=4,this._faceOffset+=2}}()});st(ZP.prototype,kP);const qP=ZP;var $P=PL.firstNotNull,KP={x:0,y:2,z:1};function JP(e,t,n){this.rootNode=new pP.Node;var r=new pP.Mesh({geometry:new GP({useNativeLine:!1}),material:t,castShadow:!1,ignorePicking:!0,$ignorePicking:!0,renderOrder:1}),i=new pP.Mesh({geometry:new qP,material:n,castShadow:!1,culling:!1,ignorePicking:!0,$ignorePicking:!0,renderOrder:0});this.rootNode.add(i),this.rootNode.add(r),this.faceInfo=e,this.plane=new pP.Plane,this.linesMesh=r,this.quadsMesh=i}JP.prototype.update=function(e,t,n){var r=e.coordinateSystem,i=[r.getAxis(this.faceInfo[0]),r.getAxis(this.faceInfo[1])],o=this.linesMesh.geometry,a=this.quadsMesh.geometry;o.convertToDynamicArray(!0),a.convertToDynamicArray(!0),this._updateSplitLines(o,i,e,n),this._udpateSplitAreas(a,i,e,n),o.convertToTypedArray(),a.convertToTypedArray();var s=r.getAxis(this.faceInfo[2]);!function(e,t,n,r){var i=[0,0,0],o=r<0?n.getExtentMin():n.getExtentMax();i[KP[n.dim]]=o,e.position.setArray(i),e.rotation.identity(),t.distance=-Math.abs(o),t.normal.set(0,0,0),"x"===n.dim?(e.rotation.rotateY(r*Math.PI/2),t.normal.x=-r):"z"===n.dim?(e.rotation.rotateX(-r*Math.PI/2),t.normal.y=-r):(r>0&&e.rotation.rotateY(Math.PI),t.normal.z=-r)}(this.rootNode,this.plane,s,this.faceInfo[3])},JP.prototype._updateSplitLines=function(e,t,n,r){var i=r.getDevicePixelRatio();t.forEach((function(r,o){var a=r.model,s=t[1-o].getExtent();if(!r.scale.isBlank()){var l=a.getModel("splitLine",n.getModel("splitLine"));if(l.get("show")){var u=l.getModel("lineStyle"),c=u.get("color"),h=$P(u.get("opacity"),1),d=$P(u.get("width"),1);c=bt(c)?c:[c];for(var p=r.getTicksCoords({tickModel:l}),f=0,g=0;g<p.length;g++){var m=p[g].coord,v=pP.parseColor(c[f%c.length]);v[3]*=h;var y=[0,0,0],_=[0,0,0];y[o]=_[o]=m,y[1-o]=s[0],_[1-o]=s[1],e.addLine(y,_,v,d*i),f++}}}}))},JP.prototype._udpateSplitAreas=function(e,t,n,r){t.forEach((function(r,i){var o=r.model,a=t[1-i].getExtent();if(!r.scale.isBlank()){var s=o.getModel("splitArea",n.getModel("splitArea"));if(s.get("show")){var l=s.getModel("areaStyle"),u=l.get("color"),c=$P(l.get("opacity"),1);u=bt(u)?u:[u];for(var h=r.getTicksCoords({tickModel:s,clamp:!0}),d=0,p=[0,0,0],f=[0,0,0],g=0;g<h.length;g++){var m=h[g].coord,v=[0,0,0],y=[0,0,0];if(v[i]=y[i]=m,v[1-i]=a[0],y[1-i]=a[1],0!==g){var _=pP.parseColor(u[d%u.length]);_[3]*=c,e.addQuad([p,v,y,f],_),p=v,f=y,d++}else p=v,f=y}}}}))};const QP=JP;var eO=[0,1,2,0,2,3],tO=kD.extend((function(){return{attributes:{position:new kD.Attribute("position","float",3,"POSITION"),texcoord:new kD.Attribute("texcoord","float",2,"TEXCOORD_0"),offset:new kD.Attribute("offset","float",2),color:new kD.Attribute("color","float",4,"COLOR")}}}),{resetOffset:function(){this._vertexOffset=0,this._faceOffset=0},setSpriteCount:function(e){this._spriteCount=e;var t=4*e,n=2*e;this.vertexCount!==t&&(this.attributes.position.init(t),this.attributes.offset.init(t),this.attributes.color.init(t)),this.triangleCount!==n&&(this.indices=t>65535?new Uint32Array(3*n):new Uint16Array(3*n))},setSpriteAlign:function(e,t,n,r,i){var o,a,s,l;switch(null==n&&(n="left"),null==r&&(r="top"),i=i||0,n){case"left":o=i,s=t[0]+i;break;case"center":case"middle":o=-t[0]/2,s=t[0]/2;break;case"right":o=-t[0]-i,s=-i}switch(r){case"bottom":a=i,l=t[1]+i;break;case"middle":a=-t[1]/2,l=t[1]/2;break;case"top":a=-t[1]-i,l=-i}var u=4*e,c=this.attributes.offset;c.set(u,[o,l]),c.set(u+1,[s,l]),c.set(u+2,[s,a]),c.set(u+3,[o,a])},addSprite:function(e,t,n,r,i,o){var a=this._vertexOffset;this.setSprite(this._vertexOffset/4,e,t,n,r,i,o);for(var s=0;s<eO.length;s++)this.indices[3*this._faceOffset+s]=eO[s]+a;return this._faceOffset+=2,this._vertexOffset+=4,a/4},setSprite:function(e,t,n,r,i,o,a){for(var s=4*e,l=this.attributes,u=0;u<4;u++)l.position.set(s+u,t);var c=l.texcoord;c.set(s,[r[0][0],r[0][1]]),c.set(s+1,[r[1][0],r[0][1]]),c.set(s+2,[r[1][0],r[1][1]]),c.set(s+3,[r[0][0],r[1][1]]),this.setSpriteAlign(e,n,i,o,a)}});st(tO.prototype,kP);const nO=tO;pP.Shader.import("@export ecgl.labels.vertex\n\nattribute vec3 position: POSITION;\nattribute vec2 texcoord: TEXCOORD_0;\nattribute vec2 offset;\n#ifdef VERTEX_COLOR\nattribute vec4 a_Color : COLOR;\nvarying vec4 v_Color;\n#endif\n\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\nuniform vec4 viewport : VIEWPORT;\n\nvarying vec2 v_Texcoord;\n\nvoid main()\n{\n vec4 proj = worldViewProjection * vec4(position, 1.0);\n\n vec2 screen = (proj.xy / abs(proj.w) + 1.0) * 0.5 * viewport.zw;\n\n screen += offset;\n\n proj.xy = (screen / viewport.zw - 0.5) * 2.0 * abs(proj.w);\n gl_Position = proj;\n#ifdef VERTEX_COLOR\n v_Color = a_Color;\n#endif\n v_Texcoord = texcoord;\n}\n@end\n\n\n@export ecgl.labels.fragment\n\nuniform vec3 color : [1.0, 1.0, 1.0];\nuniform float alpha : 1.0;\nuniform sampler2D textureAtlas;\nuniform vec2 uvScale: [1.0, 1.0];\n\n#ifdef VERTEX_COLOR\nvarying vec4 v_Color;\n#endif\nvarying float v_Miter;\n\nvarying vec2 v_Texcoord;\n\nvoid main()\n{\n gl_FragColor = vec4(color, alpha) * texture2D(textureAtlas, v_Texcoord * uvScale);\n#ifdef VERTEX_COLOR\n gl_FragColor *= v_Color;\n#endif\n}\n\n@end");const rO=pP.Mesh.extend((function(){return{geometry:new nO({dynamic:!0}),material:new pP.Material({shader:pP.createShader("ecgl.labels"),transparent:!0,depthMask:!1}),culling:!1,castShadow:!1,ignorePicking:!0}}));var iO=PL.firstNotNull,oO={x:0,y:2,z:1};function aO(e,t){var n=new pP.Mesh({geometry:new GP({useNativeLine:!1}),material:t,castShadow:!1,ignorePicking:!0,renderOrder:2}),r=new rO;r.material.depthMask=!1;var i=new pP.Node;i.add(n),i.add(r),this.rootNode=i,this.dim=e,this.linesMesh=n,this.labelsMesh=r,this.axisLineCoords=null,this.labelElements=[]}var sO={x:"y",y:"x",z:"y"};aO.prototype.update=function(e,t,n){var r=e.coordinateSystem.getAxis(this.dim),i=this.linesMesh.geometry,o=this.labelsMesh.geometry;i.convertToDynamicArray(!0),o.convertToDynamicArray(!0);var a=r.model,s=r.getExtent(),l=n.getDevicePixelRatio(),u=a.getModel("axisLine",e.getModel("axisLine")),c=a.getModel("axisTick",e.getModel("axisTick")),h=a.getModel("axisLabel",e.getModel("axisLabel")),d=u.get("lineStyle.color");if(u.get("show")){var p=u.getModel("lineStyle"),f=[0,0,0];(M=[0,0,0])[T=oO[r.dim]]=s[0],f[T]=s[1],this.axisLineCoords=[M,f];var g=pP.parseColor(d),m=iO(p.get("width"),1),v=iO(p.get("opacity"),1);g[3]*=v,i.addLine(M,f,g,m*l)}if(c.get("show")){var y=c.getModel("lineStyle"),_=pP.parseColor(iO(y.get("color"),d));m=iO(y.get("width"),1),_[3]*=iO(y.get("opacity"),1);for(var x=r.getTicksCoords(),b=c.get("length"),w=0;w<x.length;w++){var S=x[w].coord,M=[0,0,0],T=(f=[0,0,0],oO[r.dim]),A=oO[sO[r.dim]];M[T]=f[T]=S,f[A]=b,i.addLine(M,f,_,m*l)}}if(this.labelElements=[],l=n.getDevicePixelRatio(),h.get("show")){x=r.getTicksCoords();var I=a.get("data"),C=h.get("margin"),D=r.getViewLabels();for(w=0;w<D.length;w++){var E=D[w].tickValue,L=D[w].formattedLabel,P=D[w].rawLabel,O=(S=r.dataToCoord(E),[0,0,0]);T=oO[r.dim],A=oO[sO[r.dim]],O[T]=O[T]=S,O[A]=C;var N=h;I&&I[E]&&I[E].textStyle&&(N=new qh(I[E].textStyle,h,a.ecModel));var R=iO(N.get("color"),d),k=new sc({style:Th(N,{text:L,fill:"function"==typeof R?R("category"===r.type?P:"value"===r.type?E+"":E,w):R,verticalAlign:"top",align:"left"})}),B=t.add(k),F=k.getBoundingRect();o.addSprite(O,[F.width*l,F.height*l],B),this.labelElements.push(k)}}if(a.get("name")){var z=a.getModel("nameTextStyle"),V=(O=[0,0,0],T=oO[r.dim],A=oO[sO[r.dim]],iO(z.get("color"),d)),G=z.get("borderColor");m=z.get("borderWidth"),O[T]=O[T]=(s[0]+s[1])/2,O[A]=a.get("nameGap"),k=new sc({style:Th(z,{text:a.get("name"),fill:V,stroke:G,lineWidth:m})}),B=t.add(k),F=k.getBoundingRect(),o.addSprite(O,[F.width*l,F.height*l],B),k.__idx=this.labelElements.length,this.nameLabelElement=k}this.labelsMesh.material.set("textureAtlas",t.getTexture()),this.labelsMesh.material.set("uvScale",t.getCoordsScale()),i.convertToTypedArray(),o.convertToTypedArray()},aO.prototype.setSpriteAlign=function(e,t,n){for(var r=n.getDevicePixelRatio(),i=this.labelsMesh.geometry,o=0;o<this.labelElements.length;o++){var a=this.labelElements[o].getBoundingRect();i.setSpriteAlign(o,[a.width*r,a.height*r],e,t)}var s=this.nameLabelElement;s&&(a=s.getBoundingRect(),i.setSpriteAlign(s.__idx,[a.width*r,a.height*r],e,t),i.dirty()),this.textAlign=e,this.textVerticalAlign=t};const lO=aO,uO="@export ecgl.lines3D.vertex\n\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\n\nattribute vec3 position: POSITION;\nattribute vec4 a_Color : COLOR;\nvarying vec4 v_Color;\n\nvoid main()\n{\n gl_Position = worldViewProjection * vec4(position, 1.0);\n v_Color = a_Color;\n}\n\n@end\n\n@export ecgl.lines3D.fragment\n\nuniform vec4 color : [1.0, 1.0, 1.0, 1.0];\n\nvarying vec4 v_Color;\n\n@import clay.util.srgb\n\nvoid main()\n{\n#ifdef SRGB_DECODE\n gl_FragColor = sRGBToLinear(color * v_Color);\n#else\n gl_FragColor = color * v_Color;\n#endif\n}\n@end\n\n\n\n@export ecgl.lines3D.clipNear\n\nvec4 clipNear(vec4 p1, vec4 p2) {\n float n = (p1.w - near) / (p1.w - p2.w);\n return vec4(mix(p1.xy, p2.xy, n), -near, near);\n}\n\n@end\n\n@export ecgl.lines3D.expandLine\n#ifdef VERTEX_ANIMATION\n vec4 prevProj = worldViewProjection * vec4(mix(prevPositionPrev, positionPrev, percent), 1.0);\n vec4 currProj = worldViewProjection * vec4(mix(prevPosition, position, percent), 1.0);\n vec4 nextProj = worldViewProjection * vec4(mix(prevPositionNext, positionNext, percent), 1.0);\n#else\n vec4 prevProj = worldViewProjection * vec4(positionPrev, 1.0);\n vec4 currProj = worldViewProjection * vec4(position, 1.0);\n vec4 nextProj = worldViewProjection * vec4(positionNext, 1.0);\n#endif\n\n if (currProj.w < 0.0) {\n if (nextProj.w > 0.0) {\n currProj = clipNear(currProj, nextProj);\n }\n else if (prevProj.w > 0.0) {\n currProj = clipNear(currProj, prevProj);\n }\n }\n\n vec2 prevScreen = (prevProj.xy / abs(prevProj.w) + 1.0) * 0.5 * viewport.zw;\n vec2 currScreen = (currProj.xy / abs(currProj.w) + 1.0) * 0.5 * viewport.zw;\n vec2 nextScreen = (nextProj.xy / abs(nextProj.w) + 1.0) * 0.5 * viewport.zw;\n\n vec2 dir;\n float len = offset;\n if (position == positionPrev) {\n dir = normalize(nextScreen - currScreen);\n }\n else if (position == positionNext) {\n dir = normalize(currScreen - prevScreen);\n }\n else {\n vec2 dirA = normalize(currScreen - prevScreen);\n vec2 dirB = normalize(nextScreen - currScreen);\n\n vec2 tanget = normalize(dirA + dirB);\n\n float miter = 1.0 / max(dot(tanget, dirA), 0.5);\n len *= miter;\n dir = tanget;\n }\n\n dir = vec2(-dir.y, dir.x) * len;\n currScreen += dir;\n\n currProj.xy = (currScreen / viewport.zw - 0.5) * 2.0 * abs(currProj.w);\n@end\n\n\n@export ecgl.meshLines3D.vertex\n\nattribute vec3 position: POSITION;\nattribute vec3 positionPrev;\nattribute vec3 positionNext;\nattribute float offset;\nattribute vec4 a_Color : COLOR;\n\n#ifdef VERTEX_ANIMATION\nattribute vec3 prevPosition;\nattribute vec3 prevPositionPrev;\nattribute vec3 prevPositionNext;\nuniform float percent : 1.0;\n#endif\n\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\nuniform vec4 viewport : VIEWPORT;\nuniform float near : NEAR;\n\nvarying vec4 v_Color;\n\n@import ecgl.common.wireframe.vertexHeader\n\n@import ecgl.lines3D.clipNear\n\nvoid main()\n{\n @import ecgl.lines3D.expandLine\n\n gl_Position = currProj;\n\n v_Color = a_Color;\n\n @import ecgl.common.wireframe.vertexMain\n}\n@end\n\n\n@export ecgl.meshLines3D.fragment\n\nuniform vec4 color : [1.0, 1.0, 1.0, 1.0];\n\nvarying vec4 v_Color;\n\n@import ecgl.common.wireframe.fragmentHeader\n\n@import clay.util.srgb\n\nvoid main()\n{\n#ifdef SRGB_DECODE\n gl_FragColor = sRGBToLinear(color * v_Color);\n#else\n gl_FragColor = color * v_Color;\n#endif\n\n @import ecgl.common.wireframe.fragmentMain\n}\n\n@end";var cO=PL.firstNotNull;pP.Shader.import(uO);var hO={x:0,y:2,z:1};const dO=rm.extend({type:"grid3D",__ecgl__:!0,init:function(e,t){var n=new pP.Material({shader:pP.createShader("ecgl.color"),depthMask:!1,transparent:!0}),r=new pP.Material({shader:pP.createShader("ecgl.meshLines3D"),depthMask:!1,transparent:!0});n.define("fragment","DOUBLE_SIDED"),n.define("both","VERTEX_COLOR"),this.groupGL=new pP.Node,this._control=new RP({zr:t.getZr()}),this._control.init(),this._faces=[["y","z","x",-1,"left"],["y","z","x",1,"right"],["x","y","z",-1,"bottom"],["x","y","z",1,"top"],["x","z","y",-1,"far"],["x","z","y",1,"near"]].map((function(e){var t=new QP(e,r,n);return this.groupGL.add(t.rootNode),t}),this),this._axes=["x","y","z"].map((function(e){var t=new lO(e,r);return this.groupGL.add(t.rootNode),t}),this);var i=t.getDevicePixelRatio();this._axisLabelSurface=new WP({width:256,height:256,devicePixelRatio:i}),this._axisLabelSurface.onupdate=function(){t.getZr().refresh()},this._axisPointerLineMesh=new pP.Mesh({geometry:new GP({useNativeLine:!1}),material:r,castShadow:!1,ignorePicking:!0,renderOrder:3}),this.groupGL.add(this._axisPointerLineMesh),this._axisPointerLabelsSurface=new WP({width:128,height:128,devicePixelRatio:i}),this._axisPointerLabelsMesh=new rO({ignorePicking:!0,renderOrder:4,castShadow:!1}),this._axisPointerLabelsMesh.material.set("textureAtlas",this._axisPointerLabelsSurface.getTexture()),this.groupGL.add(this._axisPointerLabelsMesh),this._lightRoot=new pP.Node,this._sceneHelper=new XP,this._sceneHelper.initLight(this._lightRoot)},render:function(e,t,n){this._model=e,this._api=n;var r=e.coordinateSystem;r.viewGL.add(this._lightRoot),e.get("show")?r.viewGL.add(this.groupGL):r.viewGL.remove(this.groupGL);var i=this._control;i.setViewGL(r.viewGL);var o=e.getModel("viewControl");i.setFromViewControlModel(o,0),this._axisLabelSurface.clear(),i.off("update"),e.get("show")&&(this._faces.forEach((function(r){r.update(e,t,n)}),this),this._axes.forEach((function(t){t.update(e,this._axisLabelSurface,n)}),this)),i.on("update",this._onCameraChange.bind(this,e,n),this),this._sceneHelper.setScene(r.viewGL.scene),this._sceneHelper.updateLight(e),r.viewGL.setPostEffect(e.getModel("postEffect"),n),r.viewGL.setTemporalSuperSampling(e.getModel("temporalSuperSampling")),this._initMouseHandler(e)},afterRender:function(e,t,n,r){var i=r.renderer;this._sceneHelper.updateAmbientCubemap(i,e,n),this._sceneHelper.updateSkybox(i,e,n)},showAxisPointer:function(e,t,n,r){this._doShowAxisPointer(),this._updateAxisPointer(r.value)},hideAxisPointer:function(e,t,n,r){this._doHideAxisPointer()},_initMouseHandler:function(e){var t=e.coordinateSystem.viewGL;e.get("show")&&e.get("axisPointer.show")?t.on("mousemove",this._updateAxisPointerOnMousePosition,this):t.off("mousemove",this._updateAxisPointerOnMousePosition)},_updateAxisPointerOnMousePosition:function(e){if(!e.target){for(var t,n=this._model.coordinateSystem,r=n.viewGL,i=r.castRay(e.offsetX,e.offsetY,new pP.Ray),o=0;o<this._faces.length;o++){var a=this._faces[o];if(!a.rootNode.invisible){a.plane.normal.dot(r.camera.worldTransform.z)<0&&a.plane.normal.negate();var s=i.intersectPlane(a.plane);if(s){var l=n.getAxis(a.faceInfo[0]),u=n.getAxis(a.faceInfo[1]),c=hO[a.faceInfo[0]],h=hO[a.faceInfo[1]];l.contain(s.array[c])&&u.contain(s.array[h])&&(t=s)}}}if(t){var d=n.pointToData(t.array,[],!0);this._updateAxisPointer(d),this._doShowAxisPointer()}else this._doHideAxisPointer()}},_onCameraChange:function(e,t){e.get("show")&&(this._updateFaceVisibility(),this._updateAxisLinePosition());var n=this._control;t.dispatchAction({type:"grid3DChangeCamera",alpha:n.getAlpha(),beta:n.getBeta(),distance:n.getDistance(),center:n.getCenter(),from:this.uid,grid3DId:e.id})},_updateFaceVisibility:function(){var e=this._control.getCamera(),t=new pP.Vector3;e.update();for(var n=0;n<this._faces.length/2;n++){for(var r=[],i=0;i<2;i++)this._faces[2*n+i].rootNode.getWorldPosition(t),t.transformMat4(e.viewMatrix),r[i]=t.z;var o=r[0]>r[1]?0:1,a=this._faces[2*n+o],s=this._faces[2*n+1-o];a.rootNode.invisible=!0,s.rootNode.invisible=!1}},_updateAxisLinePosition:function(){var e=this._model.coordinateSystem,t=e.getAxis("x"),n=e.getAxis("y"),r=e.getAxis("z"),i=r.getExtentMax(),o=r.getExtentMin(),a=t.getExtentMin(),s=t.getExtentMax(),l=n.getExtentMax(),u=n.getExtentMin(),c=this._axes[0].rootNode,h=this._axes[1].rootNode,d=this._axes[2].rootNode,p=this._faces,f=p[4].rootNode.invisible?u:l,g=p[2].rootNode.invisible?i:o,m=p[0].rootNode.invisible?a:s,v=p[2].rootNode.invisible?i:o,y=p[0].rootNode.invisible?s:a,_=p[4].rootNode.invisible?u:l;c.rotation.identity(),h.rotation.identity(),d.rotation.identity(),p[4].rootNode.invisible&&(this._axes[0].flipped=!0,c.rotation.rotateX(Math.PI)),p[0].rootNode.invisible&&(this._axes[1].flipped=!0,h.rotation.rotateZ(Math.PI)),p[4].rootNode.invisible&&(this._axes[2].flipped=!0,d.rotation.rotateY(Math.PI)),c.position.set(0,g,f),h.position.set(m,v,0),d.position.set(y,0,_),c.update(),h.update(),d.update(),this._updateAxisLabelAlign()},_updateAxisLabelAlign:function(){var e=this._control.getCamera(),t=[new pP.Vector4,new pP.Vector4],n=new pP.Vector4;this.groupGL.getWorldPosition(n),n.w=1,n.transformMat4(e.viewMatrix).transformMat4(e.projectionMatrix),n.x/=n.w,n.y/=n.w,this._axes.forEach((function(r){for(var i=r.axisLineCoords,o=(r.labelsMesh.geometry,0);o<t.length;o++)t[o].setArray(i[o]),t[o].w=1,t[o].transformMat4(r.rootNode.worldTransform).transformMat4(e.viewMatrix).transformMat4(e.projectionMatrix),t[o].x/=t[o].w,t[o].y/=t[o].w;var a,s,l=t[1].x-t[0].x,u=t[1].y-t[0].y,c=(t[1].x+t[0].x)/2,h=(t[1].y+t[0].y)/2;Math.abs(u/l)<.5?(a="center",s=h>n.y?"bottom":"top"):(s="middle",a=c>n.x?"left":"right"),r.setSpriteAlign(a,s,this._api)}),this)},_doShowAxisPointer:function(){this._axisPointerLineMesh.invisible&&(this._axisPointerLineMesh.invisible=!1,this._axisPointerLabelsMesh.invisible=!1,this._api.getZr().refresh())},_doHideAxisPointer:function(){this._axisPointerLineMesh.invisible||(this._axisPointerLineMesh.invisible=!0,this._axisPointerLabelsMesh.invisible=!0,this._api.getZr().refresh())},_updateAxisPointer:function(e){var t=this._model.coordinateSystem,n=t.dataToPoint(e),r=this._axisPointerLineMesh.geometry,i=this._model.getModel("axisPointer"),o=this._api.getDevicePixelRatio();function a(e){return PL.firstNotNull(e.model.get("axisPointer.show"),i.get("show"))}function s(e){var t=e.model.getModel("axisPointer",i).getModel("lineStyle"),n=pP.parseColor(t.get("color")),r=cO(t.get("width"),1),o=cO(t.get("opacity"),1);return n[3]*=o,{color:n,lineWidth:r}}r.convertToDynamicArray(!0);for(var l=0;l<this._faces.length;l++){var u=this._faces[l];if(!u.rootNode.invisible){for(var c=u.faceInfo,h=c[3]<0?t.getAxis(c[2]).getExtentMin():t.getAxis(c[2]).getExtentMax(),d=hO[c[2]],p=0;p<2;p++){var f=c[p],g=c[1-p],m=t.getAxis(f),v=t.getAxis(g);if(a(m)){var y=hO[f],_=hO[g];(w=[0,0,0])[y]=(b=[0,0,0])[y]=n[y],w[d]=b[d]=h,w[_]=v.getExtentMin(),b[_]=v.getExtentMax();var x=s(m);r.addLine(w,b,x.color,x.lineWidth*o)}}if(a(t.getAxis(c[2]))){var b,w=n.slice();(b=n.slice())[d]=h,x=s(t.getAxis(c[2])),r.addLine(w,b,x.color,x.lineWidth*o)}}}r.convertToTypedArray(),this._updateAxisPointerLabelsMesh(e),this._api.getZr().refresh()},_updateAxisPointerLabelsMesh:function(e){var t=this._model,n=this._axisPointerLabelsMesh,r=this._axisPointerLabelsSurface,i=t.coordinateSystem,o=t.getModel("axisPointer");n.geometry.convertToDynamicArray(!0),r.clear();var a={x:"y",y:"x",z:"y"};this._axes.forEach((function(t,s){var l=i.getAxis(t.dim),u=l.model.getModel("axisPointer",o),c=u.getModel("label"),h=u.get("lineStyle.color");if(c.get("show")&&u.get("show")){var d=e[s],p=c.get("formatter"),f=l.scale.getLabel({value:d});if(null!=p)f=p(f,e);else if("interval"===l.scale.type||"log"===l.scale.type){var g=Qa(l.scale.getTicks()[0]);f=d.toFixed(g+2)}var m=c.get("color"),v=new sc({style:Th(c,{text:f,fill:m||h,align:"left",verticalAlign:"top"})}),y=r.add(v),_=v.getBoundingRect(),x=this._api.getDevicePixelRatio(),b=t.rootNode.position.toArray();b[hO[a[t.dim]]]+=(t.flipped?-1:1)*c.get("margin"),b[hO[t.dim]]=l.dataToCoord(e[s]),n.geometry.addSprite(b,[_.width*x,_.height*x],y,t.textAlign,t.textVerticalAlign)}}),this),r.getZr().refreshImmediately(),n.material.set("uvScale",r.getCoordsScale()),n.geometry.convertToTypedArray()},dispose:function(){this.groupGL.removeAll(),this._control.dispose(),this._axisLabelSurface.dispose(),this._axisPointerLabelsSurface.dispose()}}),pO=function(){function e(e){this.type="cartesian",this._dimList=[],this._axes={},this.name=e||""}return e.prototype.getAxis=function(e){return this._axes[e]},e.prototype.getAxes=function(){return ft(this._dimList,(function(e){return this._axes[e]}),this)},e.prototype.getAxesByScale=function(e){return e=e.toLowerCase(),mt(this.getAxes(),(function(t){return t.scale.type===e}))},e.prototype.addAxis=function(e){var t=e.dim;this._axes[t]=e,this._dimList.push(t)},e}();function fO(e){pO.call(this,e),this.type="cartesian3D",this.dimensions=["x","y","z"],this.size=[0,0,0]}fO.prototype={constructor:fO,model:null,containPoint:function(e){return this.getAxis("x").contain(e[0])&&this.getAxis("y").contain(e[2])&&this.getAxis("z").contain(e[1])},containData:function(e){return this.getAxis("x").containData(e[0])&&this.getAxis("y").containData(e[1])&&this.getAxis("z").containData(e[2])},dataToPoint:function(e,t,n){return(t=t||[])[0]=this.getAxis("x").dataToCoord(e[0],n),t[2]=this.getAxis("y").dataToCoord(e[1],n),t[1]=this.getAxis("z").dataToCoord(e[2],n),t},pointToData:function(e,t,n){return(t=t||[])[0]=this.getAxis("x").coordToData(e[0],n),t[1]=this.getAxis("y").coordToData(e[2],n),t[2]=this.getAxis("z").coordToData(e[1],n),t}},ct(fO,pO);const gO=fO;function mO(e,t,n){uM.call(this,e,t,n)}mO.prototype={constructor:mO,getExtentMin:function(){var e=this._extent;return Math.min(e[0],e[1])},getExtentMax:function(){var e=this._extent;return Math.max(e[0],e[1])},calculateCategoryInterval:function(){return Math.floor(this.scale.count()/8)}},ct(mO,uM);const vO=mO;var yO=function(){this._pool={},this._allocatedTextures=[]};yO.prototype={constructor:yO,get:function(e){var t=bO(e);this._pool.hasOwnProperty(t)||(this._pool[t]=[]);var n=this._pool[t];if(!n.length){var r=new SD(e);return this._allocatedTextures.push(r),r}return n.pop()},put:function(e){var t=bO(e);this._pool.hasOwnProperty(t)||(this._pool[t]=[]),this._pool[t].push(e)},clear:function(e){for(var t=0;t<this._allocatedTextures.length;t++)this._allocatedTextures[t].dispose(e);this._pool={},this._allocatedTextures=[]}};var _O={width:512,height:512,type:rA,format:dA,wrapS:MA,wrapT:MA,minFilter:xA,magFilter:mA,useMipmap:!0,anisotropic:1,flipY:!0,unpackAlignment:4,premultiplyAlpha:!1},xO=Object.keys(_O);function bO(e){PT.defaultsWithPropList(e,_O,xO),function(e){var t,n,r=(t=e.width,n=e.height,!(t&t-1||n&n-1));e.format===uA&&(e.useMipmap=!1),r&&e.useMipmap||(e.minFilter==vA||e.minFilter==_A?e.minFilter=gA:e.minFilter!=xA&&e.minFilter!=yA||(e.minFilter=mA)),r||(e.wrapS=MA,e.wrapT=MA)}(e);for(var t="",n=0;n<xO.length;n++)t+=e[xO[n]].toString();return t}const wO=yO;var SO=["px","nx","py","ny","pz","nz"];function MO(e,t,n){return"alphaMap"===n?e.material.get("diffuseMap"):"alphaCutoff"===n?e.material.isDefined("fragment","ALPHA_TEST")&&e.material.get("diffuseMap")&&e.material.get("alphaCutoff")||0:"uvRepeat"===n?e.material.get("uvRepeat"):"uvOffset"===n?e.material.get("uvOffset"):t.get(n)}function TO(e,t){var n=e.material,r=t.material;return n.get("diffuseMap")!==r.get("diffuseMap")||(n.get("alphaCutoff")||0)!==(r.get("alphaCutoff")||0)}jI.import("@export clay.sm.depth.vertex\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\nattribute vec3 position : POSITION;\nattribute vec2 texcoord : TEXCOORD_0;\nuniform vec2 uvRepeat = vec2(1.0, 1.0);\nuniform vec2 uvOffset = vec2(0.0, 0.0);\n@import clay.chunk.skinning_header\n@import clay.chunk.instancing_header\nvarying vec4 v_ViewPosition;\nvarying vec2 v_Texcoord;\nvoid main(){\n vec4 P = vec4(position, 1.0);\n#ifdef SKINNING\n @import clay.chunk.skin_matrix\n P = skinMatrixWS * P;\n#endif\n#ifdef INSTANCING\n @import clay.chunk.instancing_matrix\n P = instanceMat * P;\n#endif\n v_ViewPosition = worldViewProjection * P;\n gl_Position = v_ViewPosition;\n v_Texcoord = texcoord * uvRepeat + uvOffset;\n}\n@end\n@export clay.sm.depth.fragment\nvarying vec4 v_ViewPosition;\nvarying vec2 v_Texcoord;\nuniform float bias : 0.001;\nuniform float slopeScale : 1.0;\nuniform sampler2D alphaMap;\nuniform float alphaCutoff: 0.0;\n@import clay.util.encode_float\nvoid main(){\n float depth = v_ViewPosition.z / v_ViewPosition.w;\n if (alphaCutoff > 0.0) {\n if (texture2D(alphaMap, v_Texcoord).a <= alphaCutoff) {\n discard;\n }\n }\n#ifdef USE_VSM\n depth = depth * 0.5 + 0.5;\n float moment1 = depth;\n float moment2 = depth * depth;\n #ifdef SUPPORT_STANDARD_DERIVATIVES\n float dx = dFdx(depth);\n float dy = dFdy(depth);\n moment2 += 0.25*(dx*dx+dy*dy);\n #endif\n gl_FragColor = vec4(moment1, moment2, 0.0, 1.0);\n#else\n #ifdef SUPPORT_STANDARD_DERIVATIVES\n float dx = dFdx(depth);\n float dy = dFdy(depth);\n depth += sqrt(dx*dx + dy*dy) * slopeScale + bias;\n #else\n depth += bias;\n #endif\n gl_FragColor = encodeFloat(depth * 0.5 + 0.5);\n#endif\n}\n@end\n@export clay.sm.debug_depth\nuniform sampler2D depthMap;\nvarying vec2 v_Texcoord;\n@import clay.util.decode_float\nvoid main() {\n vec4 tex = texture2D(depthMap, v_Texcoord);\n#ifdef USE_VSM\n gl_FragColor = vec4(tex.rgb, 1.0);\n#else\n float depth = decodeFloat(tex);\n gl_FragColor = vec4(depth, depth, depth, 1.0);\n#endif\n}\n@end\n@export clay.sm.distance.vertex\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\nuniform mat4 world : WORLD;\nattribute vec3 position : POSITION;\n@import clay.chunk.skinning_header\nvarying vec3 v_WorldPosition;\nvoid main (){\n vec4 P = vec4(position, 1.0);\n#ifdef SKINNING\n @import clay.chunk.skin_matrix\n P = skinMatrixWS * P;\n#endif\n#ifdef INSTANCING\n @import clay.chunk.instancing_matrix\n P = instanceMat * P;\n#endif\n gl_Position = worldViewProjection * P;\n v_WorldPosition = (world * P).xyz;\n}\n@end\n@export clay.sm.distance.fragment\nuniform vec3 lightPosition;\nuniform float range : 100;\nvarying vec3 v_WorldPosition;\n@import clay.util.encode_float\nvoid main(){\n float dist = distance(lightPosition, v_WorldPosition);\n#ifdef USE_VSM\n gl_FragColor = vec4(dist, dist * dist, 0.0, 0.0);\n#else\n dist = dist / range;\n gl_FragColor = encodeFloat(dist);\n#endif\n}\n@end\n@export clay.plugin.shadow_map_common\n@import clay.util.decode_float\nfloat tapShadowMap(sampler2D map, vec2 uv, float z){\n vec4 tex = texture2D(map, uv);\n return step(z, decodeFloat(tex) * 2.0 - 1.0);\n}\nfloat pcf(sampler2D map, vec2 uv, float z, float textureSize, vec2 scale) {\n float shadowContrib = tapShadowMap(map, uv, z);\n vec2 offset = vec2(1.0 / textureSize) * scale;\n#ifdef PCF_KERNEL_SIZE\n for (int _idx_ = 0; _idx_ < PCF_KERNEL_SIZE; _idx_++) {{\n shadowContrib += tapShadowMap(map, uv + offset * pcfKernel[_idx_], z);\n }}\n return shadowContrib / float(PCF_KERNEL_SIZE + 1);\n#else\n shadowContrib += tapShadowMap(map, uv+vec2(offset.x, 0.0), z);\n shadowContrib += tapShadowMap(map, uv+vec2(offset.x, offset.y), z);\n shadowContrib += tapShadowMap(map, uv+vec2(-offset.x, offset.y), z);\n shadowContrib += tapShadowMap(map, uv+vec2(0.0, offset.y), z);\n shadowContrib += tapShadowMap(map, uv+vec2(-offset.x, 0.0), z);\n shadowContrib += tapShadowMap(map, uv+vec2(-offset.x, -offset.y), z);\n shadowContrib += tapShadowMap(map, uv+vec2(offset.x, -offset.y), z);\n shadowContrib += tapShadowMap(map, uv+vec2(0.0, -offset.y), z);\n return shadowContrib / 9.0;\n#endif\n}\nfloat pcf(sampler2D map, vec2 uv, float z, float textureSize) {\n return pcf(map, uv, z, textureSize, vec2(1.0));\n}\nfloat chebyshevUpperBound(vec2 moments, float z){\n float p = 0.0;\n z = z * 0.5 + 0.5;\n if (z <= moments.x) {\n p = 1.0;\n }\n float variance = moments.y - moments.x * moments.x;\n variance = max(variance, 0.0000001);\n float mD = moments.x - z;\n float pMax = variance / (variance + mD * mD);\n pMax = clamp((pMax-0.4)/(1.0-0.4), 0.0, 1.0);\n return max(p, pMax);\n}\nfloat computeShadowContrib(\n sampler2D map, mat4 lightVPM, vec3 position, float textureSize, vec2 scale, vec2 offset\n) {\n vec4 posInLightSpace = lightVPM * vec4(position, 1.0);\n posInLightSpace.xyz /= posInLightSpace.w;\n float z = posInLightSpace.z;\n if(all(greaterThan(posInLightSpace.xyz, vec3(-0.99, -0.99, -1.0))) &&\n all(lessThan(posInLightSpace.xyz, vec3(0.99, 0.99, 1.0)))){\n vec2 uv = (posInLightSpace.xy+1.0) / 2.0;\n #ifdef USE_VSM\n vec2 moments = texture2D(map, uv * scale + offset).xy;\n return chebyshevUpperBound(moments, z);\n #else\n return pcf(map, uv * scale + offset, z, textureSize, scale);\n #endif\n }\n return 1.0;\n}\nfloat computeShadowContrib(sampler2D map, mat4 lightVPM, vec3 position, float textureSize) {\n return computeShadowContrib(map, lightVPM, position, textureSize, vec2(1.0), vec2(0.0));\n}\nfloat computeShadowContribOmni(samplerCube map, vec3 direction, float range)\n{\n float dist = length(direction);\n vec4 shadowTex = textureCube(map, direction);\n#ifdef USE_VSM\n vec2 moments = shadowTex.xy;\n float variance = moments.y - moments.x * moments.x;\n float mD = moments.x - dist;\n float p = variance / (variance + mD * mD);\n if(moments.x + 0.001 < dist){\n return clamp(p, 0.0, 1.0);\n }else{\n return 1.0;\n }\n#else\n return step(dist, (decodeFloat(shadowTex) + 0.0002) * range);\n#endif\n}\n@end\n@export clay.plugin.compute_shadow_map\n#if defined(SPOT_LIGHT_SHADOWMAP_COUNT) || defined(DIRECTIONAL_LIGHT_SHADOWMAP_COUNT) || defined(POINT_LIGHT_SHADOWMAP_COUNT)\n#ifdef SPOT_LIGHT_SHADOWMAP_COUNT\nuniform sampler2D spotLightShadowMaps[SPOT_LIGHT_SHADOWMAP_COUNT]:unconfigurable;\nuniform mat4 spotLightMatrices[SPOT_LIGHT_SHADOWMAP_COUNT]:unconfigurable;\nuniform float spotLightShadowMapSizes[SPOT_LIGHT_SHADOWMAP_COUNT]:unconfigurable;\n#endif\n#ifdef DIRECTIONAL_LIGHT_SHADOWMAP_COUNT\n#if defined(SHADOW_CASCADE)\nuniform sampler2D directionalLightShadowMaps[1]:unconfigurable;\nuniform mat4 directionalLightMatrices[SHADOW_CASCADE]:unconfigurable;\nuniform float directionalLightShadowMapSizes[1]:unconfigurable;\nuniform float shadowCascadeClipsNear[SHADOW_CASCADE]:unconfigurable;\nuniform float shadowCascadeClipsFar[SHADOW_CASCADE]:unconfigurable;\n#else\nuniform sampler2D directionalLightShadowMaps[DIRECTIONAL_LIGHT_SHADOWMAP_COUNT]:unconfigurable;\nuniform mat4 directionalLightMatrices[DIRECTIONAL_LIGHT_SHADOWMAP_COUNT]:unconfigurable;\nuniform float directionalLightShadowMapSizes[DIRECTIONAL_LIGHT_SHADOWMAP_COUNT]:unconfigurable;\n#endif\n#endif\n#ifdef POINT_LIGHT_SHADOWMAP_COUNT\nuniform samplerCube pointLightShadowMaps[POINT_LIGHT_SHADOWMAP_COUNT]:unconfigurable;\n#endif\nuniform bool shadowEnabled : true;\n#ifdef PCF_KERNEL_SIZE\nuniform vec2 pcfKernel[PCF_KERNEL_SIZE];\n#endif\n@import clay.plugin.shadow_map_common\n#if defined(SPOT_LIGHT_SHADOWMAP_COUNT)\nvoid computeShadowOfSpotLights(vec3 position, inout float shadowContribs[SPOT_LIGHT_COUNT] ) {\n float shadowContrib;\n for(int _idx_ = 0; _idx_ < SPOT_LIGHT_SHADOWMAP_COUNT; _idx_++) {{\n shadowContrib = computeShadowContrib(\n spotLightShadowMaps[_idx_], spotLightMatrices[_idx_], position,\n spotLightShadowMapSizes[_idx_]\n );\n shadowContribs[_idx_] = shadowContrib;\n }}\n for(int _idx_ = SPOT_LIGHT_SHADOWMAP_COUNT; _idx_ < SPOT_LIGHT_COUNT; _idx_++){{\n shadowContribs[_idx_] = 1.0;\n }}\n}\n#endif\n#if defined(DIRECTIONAL_LIGHT_SHADOWMAP_COUNT)\n#ifdef SHADOW_CASCADE\nvoid computeShadowOfDirectionalLights(vec3 position, inout float shadowContribs[DIRECTIONAL_LIGHT_COUNT]){\n float depth = (2.0 * gl_FragCoord.z - gl_DepthRange.near - gl_DepthRange.far)\n / (gl_DepthRange.far - gl_DepthRange.near);\n float shadowContrib;\n shadowContribs[0] = 1.0;\n for (int _idx_ = 0; _idx_ < SHADOW_CASCADE; _idx_++) {{\n if (\n depth >= shadowCascadeClipsNear[_idx_] &&\n depth <= shadowCascadeClipsFar[_idx_]\n ) {\n shadowContrib = computeShadowContrib(\n directionalLightShadowMaps[0], directionalLightMatrices[_idx_], position,\n directionalLightShadowMapSizes[0],\n vec2(1.0 / float(SHADOW_CASCADE), 1.0),\n vec2(float(_idx_) / float(SHADOW_CASCADE), 0.0)\n );\n shadowContribs[0] = shadowContrib;\n }\n }}\n for(int _idx_ = DIRECTIONAL_LIGHT_SHADOWMAP_COUNT; _idx_ < DIRECTIONAL_LIGHT_COUNT; _idx_++) {{\n shadowContribs[_idx_] = 1.0;\n }}\n}\n#else\nvoid computeShadowOfDirectionalLights(vec3 position, inout float shadowContribs[DIRECTIONAL_LIGHT_COUNT]){\n float shadowContrib;\n for(int _idx_ = 0; _idx_ < DIRECTIONAL_LIGHT_SHADOWMAP_COUNT; _idx_++) {{\n shadowContrib = computeShadowContrib(\n directionalLightShadowMaps[_idx_], directionalLightMatrices[_idx_], position,\n directionalLightShadowMapSizes[_idx_]\n );\n shadowContribs[_idx_] = shadowContrib;\n }}\n for(int _idx_ = DIRECTIONAL_LIGHT_SHADOWMAP_COUNT; _idx_ < DIRECTIONAL_LIGHT_COUNT; _idx_++) {{\n shadowContribs[_idx_] = 1.0;\n }}\n}\n#endif\n#endif\n#if defined(POINT_LIGHT_SHADOWMAP_COUNT)\nvoid computeShadowOfPointLights(vec3 position, inout float shadowContribs[POINT_LIGHT_COUNT] ){\n vec3 lightPosition;\n vec3 direction;\n for(int _idx_ = 0; _idx_ < POINT_LIGHT_SHADOWMAP_COUNT; _idx_++) {{\n lightPosition = pointLightPosition[_idx_];\n direction = position - lightPosition;\n shadowContribs[_idx_] = computeShadowContribOmni(pointLightShadowMaps[_idx_], direction, pointLightRange[_idx_]);\n }}\n for(int _idx_ = POINT_LIGHT_SHADOWMAP_COUNT; _idx_ < POINT_LIGHT_COUNT; _idx_++) {{\n shadowContribs[_idx_] = 1.0;\n }}\n}\n#endif\n#endif\n@end");var AO,IO,CO,DO,EO,LO,PO,OO=NT.extend((function(){return{softShadow:OO.PCF,shadowBlur:1,lightFrustumBias:"auto",kernelPCF:new Float32Array([1,0,1,1,-1,1,0,1,-1,0,-1,-1,1,-1,0,-1]),precision:"highp",_lastRenderNotCastShadow:!1,_frameBuffer:new kE,_textures:{},_shadowMapNumber:{POINT_LIGHT:0,DIRECTIONAL_LIGHT:0,SPOT_LIGHT:0},_depthMaterials:{},_distanceMaterials:{},_receivers:[],_lightsCastShadow:[],_lightCameras:{},_lightMaterials:{},_texturePool:new wO}}),(function(){this._gaussianPassH=new yL({fragment:jI.source("clay.compositor.gaussian_blur")}),this._gaussianPassV=new yL({fragment:jI.source("clay.compositor.gaussian_blur")}),this._gaussianPassH.setUniform("blurSize",this.shadowBlur),this._gaussianPassH.setUniform("blurDir",0),this._gaussianPassV.setUniform("blurSize",this.shadowBlur),this._gaussianPassV.setUniform("blurDir",1),this._outputDepthPass=new yL({fragment:jI.source("clay.sm.debug_depth")})}),{render:function(e,t,n,r){n||(n=t.getMainCamera()),this.trigger("beforerender",this,e,t,n),this._renderShadowPass(e,t,n,r),this.trigger("afterrender",this,e,t,n)},renderDebug:function(e,t){e.saveClear();var n=e.viewport,r=0,i=t||n.width/4,o=i;for(var a in this.softShadow===OO.VSM?this._outputDepthPass.material.define("fragment","USE_VSM"):this._outputDepthPass.material.undefine("fragment","USE_VSM"),this._textures){var s=this._textures[a];e.setViewport(r,0,i*s.width/s.height,o),this._outputDepthPass.setUniform("depthMap",s),this._outputDepthPass.render(e),r+=i*s.width/s.height}e.setViewport(n),e.restoreClear()},_updateReceivers:function(e,t){if(t.receiveShadow?(this._receivers.push(t),t.material.set("shadowEnabled",1),t.material.set("pcfKernel",this.kernelPCF)):t.material.set("shadowEnabled",0),this.softShadow===OO.VSM)t.material.define("fragment","USE_VSM"),t.material.undefine("fragment","PCF_KERNEL_SIZE");else{t.material.undefine("fragment","USE_VSM");var n=this.kernelPCF;n&&n.length?t.material.define("fragment","PCF_KERNEL_SIZE",n.length/2):t.material.undefine("fragment","PCF_KERNEL_SIZE")}},_update:function(e,t){var n=this;t.traverse((function(t){t.isRenderable()&&n._updateReceivers(e,t)}));for(var r=0;r<t.lights.length;r++){var i=t.lights[r];i.castShadow&&!i.invisible&&this._lightsCastShadow.push(i)}},_renderShadowPass:function(e,t,n,r){for(var i in this._shadowMapNumber)this._shadowMapNumber[i]=0;this._lightsCastShadow.length=0,this._receivers.length=0;var o=e.gl;if(r||t.update(),n&&n.update(),t.updateLights(),this._update(e,t),this._lightsCastShadow.length||!this._lastRenderNotCastShadow){this._lastRenderNotCastShadow=0===this._lightsCastShadow,o.enable(o.DEPTH_TEST),o.depthMask(!0),o.disable(o.BLEND),o.clearColor(1,1,1,1);for(var a,s=[],l=[],u=[],c=[],h=[],d=[],p=0;p<this._lightsCastShadow.length;p++){var f=this._lightsCastShadow[p];if("DIRECTIONAL_LIGHT"===f.type){if(a){console.warn("Only one direectional light supported with shadow cascade");continue}if(f.shadowCascade>4){console.warn("Support at most 4 cascade");continue}f.shadowCascade>1&&(a=f),this.renderDirectionalLightShadow(e,t,n,f,h,c,u)}else"SPOT_LIGHT"===f.type?this.renderSpotLightShadow(e,t,f,l,s):"POINT_LIGHT"===f.type&&this.renderPointLightShadow(e,t,f,d);this._shadowMapNumber[f.type]++}for(var g in this._shadowMapNumber){var m=this._shadowMapNumber[g],v=g+"_SHADOWMAP_COUNT";for(p=0;p<this._receivers.length;p++)(y=this._receivers[p].material).fragmentDefines[v]!==m&&(m>0?y.define("fragment",v,m):y.isDefined("fragment",v)&&y.undefine("fragment",v))}for(p=0;p<this._receivers.length;p++){var y=this._receivers[p].material;a?y.define("fragment","SHADOW_CASCADE",a.shadowCascade):y.undefine("fragment","SHADOW_CASCADE")}var _=t.shadowUniforms;if(u.length>0){var x=u.map(M);if(_.directionalLightShadowMaps={value:u,type:"tv"},_.directionalLightMatrices={value:c,type:"m4v"},_.directionalLightShadowMapSizes={value:x,type:"1fv"},a){var b=h.slice(),w=h.slice();b.pop(),w.shift(),b.reverse(),w.reverse(),c.reverse(),_.shadowCascadeClipsNear={value:b,type:"1fv"},_.shadowCascadeClipsFar={value:w,type:"1fv"}}}if(s.length>0){var S=s.map(M);(_=t.shadowUniforms).spotLightShadowMaps={value:s,type:"tv"},_.spotLightMatrices={value:l,type:"m4v"},_.spotLightShadowMapSizes={value:S,type:"1fv"}}d.length>0&&(_.pointLightShadowMaps={value:d,type:"tv"})}function M(e){return e.height}},renderDirectionalLightShadow:(AO=new iE,IO=new HC,CO=new nD,DO=new HC,EO=new HC,LO=new HC,PO=new HC,function(e,t,n,r,i,o,a){var s=this._getDepthMaterial(r),l={getMaterial:function(e){return e.shadowDepthMaterial||s},isMaterialChanged:TO,getUniform:MO,ifRender:function(e){return e.castShadow},sortCompare:uC.opaqueSortCompare};if(!t.viewBoundingBoxLastFrame.isFinite()){var u=t.getBoundingBox();t.viewBoundingBoxLastFrame.copy(u).applyTransform(n.viewMatrix)}var c=Math.min(-t.viewBoundingBoxLastFrame.min.z,n.far),h=Math.max(-t.viewBoundingBoxLastFrame.max.z,n.near),d=this._getDirectionalLightCamera(r,t,n),p=LO.array;PO.copy(d.projectionMatrix),ZI.invert(EO.array,d.worldTransform.array),ZI.multiply(EO.array,EO.array,n.worldTransform.array),ZI.multiply(p,PO.array,EO.array);for(var f=[],g=n instanceof ME,m=(n.near+n.far)/(n.near-n.far),v=2*n.near*n.far/(n.near-n.far),y=0;y<=r.shadowCascade;y++){var _=h*Math.pow(c/h,y/r.shadowCascade),x=h+(c-h)*y/r.shadowCascade,b=_*r.cascadeSplitLogFactor+x*(1-r.cascadeSplitLogFactor);f.push(b),i.push(-(-b*m+v)/-b)}var w=this._getTexture(r,r.shadowCascade);a.push(w);var S=e.viewport,M=e.gl;for(this._frameBuffer.attach(w),this._frameBuffer.bind(e),M.clear(M.COLOR_BUFFER_BIT|M.DEPTH_BUFFER_BIT),y=0;y<r.shadowCascade;y++){var T=f[y],A=f[y+1];g?ZI.perspective(IO.array,n.fov/180*Math.PI,n.aspect,T,A):ZI.ortho(IO.array,n.left,n.right,n.bottom,n.top,T,A),AO.setFromProjection(IO),AO.getTransformedBoundingBox(CO,EO),CO.applyProjection(PO);var I=CO.min.array,C=CO.max.array;I[0]=Math.max(I[0],-1),I[1]=Math.max(I[1],-1),C[0]=Math.min(C[0],1),C[1]=Math.min(C[1],1),DO.ortho(I[0],C[0],I[1],C[1],1,-1),d.projectionMatrix.multiplyLeft(DO);var D=r.shadowResolution||512;e.setViewport((r.shadowCascade-y-1)*D,0,D,D,1);var E=t.updateRenderList(d);e.renderPass(E.opaque,d,l),this.softShadow===OO.VSM&&this._gaussianFilter(e,w,w.width);var L=new HC;L.copy(d.viewMatrix).multiplyLeft(d.projectionMatrix),o.push(L.array),d.projectionMatrix.copy(PO)}this._frameBuffer.unbind(e),e.setViewport(S)}),renderSpotLightShadow:function(e,t,n,r,i){var o=this._getTexture(n),a=this._getSpotLightCamera(n),s=e.gl;this._frameBuffer.attach(o),this._frameBuffer.bind(e),s.clear(s.COLOR_BUFFER_BIT|s.DEPTH_BUFFER_BIT);var l=this._getDepthMaterial(n),u={getMaterial:function(e){return e.shadowDepthMaterial||l},isMaterialChanged:TO,getUniform:MO,ifRender:function(e){return e.castShadow},sortCompare:uC.opaqueSortCompare},c=t.updateRenderList(a);e.renderPass(c.opaque,a,u),this._frameBuffer.unbind(e),this.softShadow===OO.VSM&&this._gaussianFilter(e,o,o.width);var h=new HC;h.copy(a.worldTransform).invert().multiplyLeft(a.projectionMatrix),i.push(o),r.push(h.array)},renderPointLightShadow:function(e,t,n,r){var i=this._getTexture(n),o=e.gl;r.push(i);var a=this._getDepthMaterial(n),s={getMaterial:function(e){return e.shadowDepthMaterial||a},getUniform:MO,sortCompare:uC.opaqueSortCompare},l={px:[],py:[],pz:[],nx:[],ny:[],nz:[]},u=new nD,c=n.getWorldPosition().array,h=new nD,d=n.range;h.min.setArray(c),h.max.setArray(c);var p=new vC(d,d,d);h.max.add(p),h.min.sub(p);var f={px:!1,py:!1,pz:!1,nx:!1,ny:!1,nz:!1};t.traverse((function(e){if(e.isRenderable()&&e.castShadow){var t=e.geometry;if(!t.boundingBox){for(var n=0;n<SO.length;n++)l[SO[n]].push(e);return}if(u.transformFrom(t.boundingBox,e.worldTransform),!u.intersectBoundingBox(h))return;for(u.updateVertices(),n=0;n<SO.length;n++)f[SO[n]]=!1;for(n=0;n<8;n++){var r=u.vertices[n],i=r[0]-c[0],o=r[1]-c[1],a=r[2]-c[2],s=Math.abs(i),d=Math.abs(o),p=Math.abs(a);s>d?s>p?f[i>0?"px":"nx"]=!0:f[a>0?"pz":"nz"]=!0:d>p?f[o>0?"py":"ny"]=!0:f[a>0?"pz":"nz"]=!0}for(n=0;n<SO.length;n++)f[SO[n]]&&l[SO[n]].push(e)}}));for(var g=0;g<6;g++){var m=SO[g],v=this._getPointLightCamera(n,m);this._frameBuffer.attach(i,o.COLOR_ATTACHMENT0,o.TEXTURE_CUBE_MAP_POSITIVE_X+g),this._frameBuffer.bind(e),o.clear(o.COLOR_BUFFER_BIT|o.DEPTH_BUFFER_BIT),e.renderPass(l[m],v,s)}this._frameBuffer.unbind(e)},_getDepthMaterial:function(e){var t=this._lightMaterials[e.__uid__],n="POINT_LIGHT"===e.type;if(!t){var r=n?"clay.sm.distance.":"clay.sm.depth.";t=new aI({precision:this.precision,shader:new jI(jI.source(r+"vertex"),jI.source(r+"fragment"))}),this._lightMaterials[e.__uid__]=t}return null!=e.shadowSlopeScale&&t.setUniform("slopeScale",e.shadowSlopeScale),null!=e.shadowBias&&t.setUniform("bias",e.shadowBias),this.softShadow===OO.VSM?t.define("fragment","USE_VSM"):t.undefine("fragment","USE_VSM"),n&&(t.set("lightPosition",e.getWorldPosition().array),t.set("range",e.range)),t},_gaussianFilter:function(e,t,n){var r={width:n,height:n,type:mD.FLOAT},i=this._texturePool.get(r);this._frameBuffer.attach(i),this._frameBuffer.bind(e),this._gaussianPassH.setUniform("texture",t),this._gaussianPassH.setUniform("textureWidth",n),this._gaussianPassH.render(e),this._frameBuffer.attach(t),this._gaussianPassV.setUniform("texture",i),this._gaussianPassV.setUniform("textureHeight",n),this._gaussianPassV.render(e),this._frameBuffer.unbind(e),this._texturePool.put(i)},_getTexture:function(e,t){var n=e.__uid__,r=this._textures[n],i=e.shadowResolution||512;return t=t||1,r||((r="POINT_LIGHT"===e.type?new wE:new SD).width=i*t,r.height=i,this.softShadow===OO.VSM?(r.type=mD.FLOAT,r.anisotropic=4):(r.minFilter=gA,r.magFilter=gA,r.useMipmap=!1),this._textures[n]=r),r},_getPointLightCamera:function(e,t){this._lightCameras.point||(this._lightCameras.point={px:new ME,nx:new ME,py:new ME,ny:new ME,pz:new ME,nz:new ME});var n=this._lightCameras.point[t];switch(n.far=e.range,n.fov=90,n.position.set(0,0,0),t){case"px":n.lookAt(vC.POSITIVE_X,vC.NEGATIVE_Y);break;case"nx":n.lookAt(vC.NEGATIVE_X,vC.NEGATIVE_Y);break;case"py":n.lookAt(vC.POSITIVE_Y,vC.POSITIVE_Z);break;case"ny":n.lookAt(vC.NEGATIVE_Y,vC.NEGATIVE_Z);break;case"pz":n.lookAt(vC.POSITIVE_Z,vC.NEGATIVE_Y);break;case"nz":n.lookAt(vC.NEGATIVE_Z,vC.NEGATIVE_Y)}return e.getWorldPosition(n.position),n.update(),n},_getDirectionalLightCamera:function(){var e=new HC,t=new nD,n=new nD;return function(r,i,o){this._lightCameras.directional||(this._lightCameras.directional=new fL);var a=this._lightCameras.directional;t.copy(i.viewBoundingBoxLastFrame),t.intersection(o.frustum.boundingBox),a.position.copy(t.min).add(t.max).scale(.5).transformMat4(o.worldTransform),a.rotation.copy(r.rotation),a.scale.copy(r.scale),a.updateWorldTransform(),HC.invert(e,a.worldTransform),HC.multiply(e,e,o.worldTransform),n.copy(t).applyTransform(e);var s=n.min.array,l=n.max.array;return a.position.set((s[0]+l[0])/2,(s[1]+l[1])/2,l[2]).transformMat4(a.worldTransform),a.near=0,a.far=-s[2]+l[2],isNaN(this.lightFrustumBias)?a.far*=4:a.far+=this.lightFrustumBias,a.left=s[0],a.right=l[0],a.top=l[1],a.bottom=s[1],a.update(!0),a}}(),_getSpotLightCamera:function(e){this._lightCameras.spot||(this._lightCameras.spot=new ME);var t=this._lightCameras.spot;return t.fov=2*e.penumbraAngle,t.far=e.range,t.worldTransform.copy(e.worldTransform),t.updateProjectionMatrix(),ZI.invert(t.viewMatrix.array,t.worldTransform.array),t},dispose:function(e){var t=e.gl||e;for(var n in this._frameBuffer&&this._frameBuffer.dispose(t),this._textures)this._textures[n].dispose(t);this._texturePool.clear(e.gl),this._depthMaterials={},this._distanceMaterials={},this._textures={},this._lightCameras={},this._shadowMapNumber={POINT_LIGHT:0,DIRECTIONAL_LIGHT:0,SPOT_LIGHT:0},this._meshMaterials={};for(var r=0;r<this._receivers.length;r++){var i=this._receivers[r];if(i.material){var o=i.material;o.undefine("fragment","POINT_LIGHT_SHADOW_COUNT"),o.undefine("fragment","DIRECTIONAL_LIGHT_SHADOW_COUNT"),o.undefine("fragment","AMBIENT_LIGHT_SHADOW_COUNT"),o.set("shadowEnabled",0)}}this._receivers=[],this._lightsCastShadow=[]}});OO.VSM=1,OO.PCF=2;const NO=OO,RO=NT.extend((function(){return{name:"",inputLinks:{},outputLinks:{},_prevOutputTextures:{},_outputTextures:{},_outputReferences:{},_rendering:!1,_rendered:!1,_compositor:null}}),{updateParameter:function(e,t){var n,r,i=this.outputs[e],o=i.parameters,a=i._parametersCopy;if(a||(a=i._parametersCopy={}),o)for(var s in o)"width"!==s&&"height"!==s&&(a[s]=o[s]);return n=o.width instanceof Function?o.width.call(this,t):o.width,r=o.height instanceof Function?o.height.call(this,t):o.height,a.width===n&&a.height===r||this._outputTextures[e]&&this._outputTextures[e].dispose(t.gl),a.width=n,a.height=r,a},setParameter:function(e,t){},getParameter:function(e){},setParameters:function(e){for(var t in e)this.setParameter(t,e[t])},render:function(){},getOutput:function(e,t){if(null==t)return t=e,this._outputTextures[t];var n=this.outputs[t];return n?this._rendered?n.outputLastFrame?this._prevOutputTextures[t]:this._outputTextures[t]:this._rendering?(this._prevOutputTextures[t]||(this._prevOutputTextures[t]=this._compositor.allocateTexture(n.parameters||{})),this._prevOutputTextures[t]):(this.render(e),this._outputTextures[t]):void 0},removeReference:function(e){this._outputReferences[e]--,0===this._outputReferences[e]&&(this.outputs[e].keepLastFrame?(this._prevOutputTextures[e]&&this._compositor.releaseTexture(this._prevOutputTextures[e]),this._prevOutputTextures[e]=this._outputTextures[e]):this._compositor.releaseTexture(this._outputTextures[e]))},link:function(e,t,n){this.inputLinks[e]={node:t,pin:n},t.outputLinks[n]||(t.outputLinks[n]=[]),t.outputLinks[n].push({node:this,pin:e}),this.pass.material.enableTexture(e)},clear:function(){this.inputLinks={},this.outputLinks={}},updateReference:function(e){if(!this._rendering){for(var t in this._rendering=!0,this.inputLinks){var n=this.inputLinks[t];n.node.updateReference(n.pin)}this._rendering=!1}e&&this._outputReferences[e]++},beforeFrame:function(){for(var e in this._rendered=!1,this.outputLinks)this._outputReferences[e]=0},afterFrame:function(){for(var e in this.outputLinks)this._outputReferences[e]>0&&(this.outputs[e].keepLastFrame?(this._prevOutputTextures[e]&&this._compositor.releaseTexture(this._prevOutputTextures[e]),this._prevOutputTextures[e]=this._outputTextures[e]):this._compositor.releaseTexture(this._outputTextures[e]))}});var kO=NT.extend((function(){return{nodes:[]}}),{dirty:function(){this._dirty=!0},addNode:function(e){this.nodes.indexOf(e)>=0||(this.nodes.push(e),this._dirty=!0)},removeNode:function(e){"string"==typeof e&&(e=this.getNodeByName(e));var t=this.nodes.indexOf(e);t>=0&&(this.nodes.splice(t,1),this._dirty=!0)},getNodeByName:function(e){for(var t=0;t<this.nodes.length;t++)if(this.nodes[t].name===e)return this.nodes[t]},update:function(){for(var e=0;e<this.nodes.length;e++)this.nodes[e].clear();for(e=0;e<this.nodes.length;e++){var t=this.nodes[e];if(t.inputs)for(var n in t.inputs)if(t.inputs[n])if(!t.pass||t.pass.material.isUniformEnabled(n)){var r=t.inputs[n],i=this.findPin(r);i?t.link(n,i.node,i.pin):"string"==typeof r?console.warn("Node "+r+" not exist"):console.warn("Pin of "+r.node+"."+r.pin+" not exist")}else console.warn("Pin "+t.name+"."+n+" not used.")}},findPin:function(e){var t;if(("string"==typeof e||e instanceof RO)&&(e={node:e}),"string"==typeof e.node)for(var n=0;n<this.nodes.length;n++){var r=this.nodes[n];r.name===e.node&&(t=r)}else t=e.node;if(t){var i=e.pin;if(i||t.outputs&&(i=Object.keys(t.outputs)[0]),t.outputs[i])return{node:t,pin:i}}}});const BO=kO;var FO=BO.extend((function(){return{_outputs:[],_texturePool:new wO,_frameBuffer:new kE({depthBuffer:!1})}}),{addNode:function(e){BO.prototype.addNode.call(this,e),e._compositor=this},render:function(e,t){if(this._dirty){this.update(),this._dirty=!1,this._outputs.length=0;for(var n=0;n<this.nodes.length;n++)this.nodes[n].outputs||this._outputs.push(this.nodes[n])}for(n=0;n<this.nodes.length;n++)this.nodes[n].beforeFrame();for(n=0;n<this._outputs.length;n++)this._outputs[n].updateReference();for(n=0;n<this._outputs.length;n++)this._outputs[n].render(e,t);for(n=0;n<this.nodes.length;n++)this.nodes[n].afterFrame()},allocateTexture:function(e){return this._texturePool.get(e)},releaseTexture:function(e){this._texturePool.put(e)},getFrameBuffer:function(){return this._frameBuffer},dispose:function(e){this._texturePool.clear(e)}});const zO=FO,VO=RO.extend({name:"scene",scene:null,camera:null,autoUpdateScene:!0,preZ:!1},(function(){this.frameBuffer=new kE}),{render:function(e){this._rendering=!0;var t,n=e.gl;if(this.trigger("beforerender"),this.outputs){var r=this.frameBuffer;for(var i in this.outputs){var o=this.updateParameter(i,e),a=this.outputs[i],s=this._compositor.allocateTexture(o);this._outputTextures[i]=s,"string"==typeof(c=a.attachment||n.COLOR_ATTACHMENT0)&&(c=n[c]),r.attach(s,c)}r.bind(e);var l=e.getGLExtension("EXT_draw_buffers");if(l){var u=[];for(var c in this.outputs)(c=parseInt(c))>=n.COLOR_ATTACHMENT0&&c<=n.COLOR_ATTACHMENT0+8&&u.push(c);l.drawBuffersEXT(u)}e.saveClear(),e.clearBit=FT|VT,t=e.render(this.scene,this.camera,!this.autoUpdateScene,this.preZ),e.restoreClear(),r.unbind(e)}else t=e.render(this.scene,this.camera,!this.autoUpdateScene,this.preZ);this.trigger("afterrender",t),this._rendering=!1,this._rendered=!0}}),GO=RO.extend((function(){return{texture:null,outputs:{color:{}}}}),(function(){}),{getOutput:function(e,t){return this.texture},beforeFrame:function(){},afterFrame:function(){}}),HO=RO.extend((function(){return{name:"",inputs:{},outputs:null,shader:"",inputLinks:{},outputLinks:{},pass:null,_prevOutputTextures:{},_outputTextures:{},_outputReferences:{},_rendering:!1,_rendered:!1,_compositor:null}}),(function(){var e=new yL({fragment:this.shader});this.pass=e}),{render:function(e,t){this.trigger("beforerender",e),this._rendering=!0;var n=e.gl;for(var r in this.inputLinks){var i=(h=this.inputLinks[r]).node.getOutput(e,h.pin);this.pass.setUniform(r,i)}if(this.outputs){this.pass.outputs={};var o={};for(var a in this.outputs){var s=this.updateParameter(a,e);isNaN(s.width)&&this.updateParameter(a,e);var l=this.outputs[a],u=this._compositor.allocateTexture(s);this._outputTextures[a]=u,"string"==typeof(c=l.attachment||n.COLOR_ATTACHMENT0)&&(c=n[c]),o[c]=u}for(var c in this._compositor.getFrameBuffer().bind(e),o)this._compositor.getFrameBuffer().attach(o[c],c);this.pass.render(e),this._compositor.getFrameBuffer().updateMipmap(e)}else this.pass.outputs=null,this._compositor.getFrameBuffer().unbind(e),this.pass.render(e,t);for(var r in this.inputLinks){var h;(h=this.inputLinks[r]).node.removeReference(h.pin)}this._rendering=!1,this._rendered=!0,this.trigger("afterrender",e)},updateParameter:function(e,t){var n,r,i=this.outputs[e],o=i.parameters,a=i._parametersCopy;if(a||(a=i._parametersCopy={}),o)for(var s in o)"width"!==s&&"height"!==s&&(a[s]=o[s]);return n="function"==typeof o.width?o.width.call(this,t):o.width,r="function"==typeof o.height?o.height.call(this,t):o.height,n=Math.ceil(n),r=Math.ceil(r),a.width===n&&a.height===r||this._outputTextures[e]&&this._outputTextures[e].dispose(t),a.width=n,a.height=r,a},setParameter:function(e,t){this.pass.setUniform(e,t)},getParameter:function(e){return this.pass.getUniform(e)},setParameters:function(e){for(var t in e)this.setParameter(t,e[t])},define:function(e,t){this.pass.material.define("fragment",e,t)},undefine:function(e){this.pass.material.undefine("fragment",e)},removeReference:function(e){this._outputReferences[e]--,0===this._outputReferences[e]&&(this.outputs[e].keepLastFrame?(this._prevOutputTextures[e]&&this._compositor.releaseTexture(this._prevOutputTextures[e]),this._prevOutputTextures[e]=this._outputTextures[e]):this._compositor.releaseTexture(this._outputTextures[e]))},clear:function(){RO.prototype.clear.call(this),this.pass.material.disableTexturesAll()}}),UO="@export clay.compositor.kernel.gaussian_9\nfloat gaussianKernel[9];\ngaussianKernel[0] = 0.07;\ngaussianKernel[1] = 0.09;\ngaussianKernel[2] = 0.12;\ngaussianKernel[3] = 0.14;\ngaussianKernel[4] = 0.16;\ngaussianKernel[5] = 0.14;\ngaussianKernel[6] = 0.12;\ngaussianKernel[7] = 0.09;\ngaussianKernel[8] = 0.07;\n@end\n@export clay.compositor.kernel.gaussian_13\nfloat gaussianKernel[13];\ngaussianKernel[0] = 0.02;\ngaussianKernel[1] = 0.03;\ngaussianKernel[2] = 0.06;\ngaussianKernel[3] = 0.08;\ngaussianKernel[4] = 0.11;\ngaussianKernel[5] = 0.13;\ngaussianKernel[6] = 0.14;\ngaussianKernel[7] = 0.13;\ngaussianKernel[8] = 0.11;\ngaussianKernel[9] = 0.08;\ngaussianKernel[10] = 0.06;\ngaussianKernel[11] = 0.03;\ngaussianKernel[12] = 0.02;\n@end\n@export clay.compositor.gaussian_blur\n#define SHADER_NAME gaussian_blur\nuniform sampler2D texture;varying vec2 v_Texcoord;\nuniform float blurSize : 2.0;\nuniform vec2 textureSize : [512.0, 512.0];\nuniform float blurDir : 0.0;\n@import clay.util.rgbm\n@import clay.util.clamp_sample\nvoid main (void)\n{\n @import clay.compositor.kernel.gaussian_9\n vec2 off = blurSize / textureSize;\n off *= vec2(1.0 - blurDir, blurDir);\n vec4 sum = vec4(0.0);\n float weightAll = 0.0;\n for (int i = 0; i < 9; i++) {\n float w = gaussianKernel[i];\n vec4 texel = decodeHDR(clampSample(texture, v_Texcoord + float(i - 4) * off));\n sum += texel * w;\n weightAll += w;\n }\n gl_FragColor = encodeHDR(sum / max(weightAll, 0.01));\n}\n@end\n",WO="\n@export clay.compositor.lut\nvarying vec2 v_Texcoord;\nuniform sampler2D texture;\nuniform sampler2D lookup;\nvoid main()\n{\n vec4 tex = texture2D(texture, v_Texcoord);\n float blueColor = tex.b * 63.0;\n vec2 quad1;\n quad1.y = floor(floor(blueColor) / 8.0);\n quad1.x = floor(blueColor) - (quad1.y * 8.0);\n vec2 quad2;\n quad2.y = floor(ceil(blueColor) / 8.0);\n quad2.x = ceil(blueColor) - (quad2.y * 8.0);\n vec2 texPos1;\n texPos1.x = (quad1.x * 0.125) + 0.5/512.0 + ((0.125 - 1.0/512.0) * tex.r);\n texPos1.y = (quad1.y * 0.125) + 0.5/512.0 + ((0.125 - 1.0/512.0) * tex.g);\n vec2 texPos2;\n texPos2.x = (quad2.x * 0.125) + 0.5/512.0 + ((0.125 - 1.0/512.0) * tex.r);\n texPos2.y = (quad2.y * 0.125) + 0.5/512.0 + ((0.125 - 1.0/512.0) * tex.g);\n vec4 newColor1 = texture2D(lookup, texPos1);\n vec4 newColor2 = texture2D(lookup, texPos2);\n vec4 newColor = mix(newColor1, newColor2, fract(blueColor));\n gl_FragColor = vec4(newColor.rgb, tex.w);\n}\n@end",jO="@export clay.compositor.output\n#define OUTPUT_ALPHA\nvarying vec2 v_Texcoord;\nuniform sampler2D texture;\n@import clay.util.rgbm\nvoid main()\n{\n vec4 tex = decodeHDR(texture2D(texture, v_Texcoord));\n gl_FragColor.rgb = tex.rgb;\n#ifdef OUTPUT_ALPHA\n gl_FragColor.a = tex.a;\n#else\n gl_FragColor.a = 1.0;\n#endif\n gl_FragColor = encodeHDR(gl_FragColor);\n#ifdef PREMULTIPLY_ALPHA\n gl_FragColor.rgb *= gl_FragColor.a;\n#endif\n}\n@end",XO="@export clay.compositor.bright\nuniform sampler2D texture;\nuniform float threshold : 1;\nuniform float scale : 1.0;\nuniform vec2 textureSize: [512, 512];\nvarying vec2 v_Texcoord;\nconst vec3 lumWeight = vec3(0.2125, 0.7154, 0.0721);\n@import clay.util.rgbm\nvec4 median(vec4 a, vec4 b, vec4 c)\n{\n return a + b + c - min(min(a, b), c) - max(max(a, b), c);\n}\nvoid main()\n{\n vec4 texel = decodeHDR(texture2D(texture, v_Texcoord));\n#ifdef ANTI_FLICKER\n vec3 d = 1.0 / textureSize.xyx * vec3(1.0, 1.0, 0.0);\n vec4 s1 = decodeHDR(texture2D(texture, v_Texcoord - d.xz));\n vec4 s2 = decodeHDR(texture2D(texture, v_Texcoord + d.xz));\n vec4 s3 = decodeHDR(texture2D(texture, v_Texcoord - d.zy));\n vec4 s4 = decodeHDR(texture2D(texture, v_Texcoord + d.zy));\n texel = median(median(texel, s1, s2), s3, s4);\n#endif\n float lum = dot(texel.rgb , lumWeight);\n vec4 color;\n if (lum > threshold && texel.a > 0.0)\n {\n color = vec4(texel.rgb * scale, texel.a * scale);\n }\n else\n {\n color = vec4(0.0);\n }\n gl_FragColor = encodeHDR(color);\n}\n@end\n",YO="@export clay.compositor.downsample\nuniform sampler2D texture;\nuniform vec2 textureSize : [512, 512];\nvarying vec2 v_Texcoord;\n@import clay.util.rgbm\nfloat brightness(vec3 c)\n{\n return max(max(c.r, c.g), c.b);\n}\n@import clay.util.clamp_sample\nvoid main()\n{\n vec4 d = vec4(-1.0, -1.0, 1.0, 1.0) / textureSize.xyxy;\n#ifdef ANTI_FLICKER\n vec3 s1 = decodeHDR(clampSample(texture, v_Texcoord + d.xy)).rgb;\n vec3 s2 = decodeHDR(clampSample(texture, v_Texcoord + d.zy)).rgb;\n vec3 s3 = decodeHDR(clampSample(texture, v_Texcoord + d.xw)).rgb;\n vec3 s4 = decodeHDR(clampSample(texture, v_Texcoord + d.zw)).rgb;\n float s1w = 1.0 / (brightness(s1) + 1.0);\n float s2w = 1.0 / (brightness(s2) + 1.0);\n float s3w = 1.0 / (brightness(s3) + 1.0);\n float s4w = 1.0 / (brightness(s4) + 1.0);\n float oneDivideSum = 1.0 / (s1w + s2w + s3w + s4w);\n vec4 color = vec4(\n (s1 * s1w + s2 * s2w + s3 * s3w + s4 * s4w) * oneDivideSum,\n 1.0\n );\n#else\n vec4 color = decodeHDR(clampSample(texture, v_Texcoord + d.xy));\n color += decodeHDR(clampSample(texture, v_Texcoord + d.zy));\n color += decodeHDR(clampSample(texture, v_Texcoord + d.xw));\n color += decodeHDR(clampSample(texture, v_Texcoord + d.zw));\n color *= 0.25;\n#endif\n gl_FragColor = encodeHDR(color);\n}\n@end",ZO="\n@export clay.compositor.upsample\n#define HIGH_QUALITY\nuniform sampler2D texture;\nuniform vec2 textureSize : [512, 512];\nuniform float sampleScale: 0.5;\nvarying vec2 v_Texcoord;\n@import clay.util.rgbm\n@import clay.util.clamp_sample\nvoid main()\n{\n#ifdef HIGH_QUALITY\n vec4 d = vec4(1.0, 1.0, -1.0, 0.0) / textureSize.xyxy * sampleScale;\n vec4 s;\n s = decodeHDR(clampSample(texture, v_Texcoord - d.xy));\n s += decodeHDR(clampSample(texture, v_Texcoord - d.wy)) * 2.0;\n s += decodeHDR(clampSample(texture, v_Texcoord - d.zy));\n s += decodeHDR(clampSample(texture, v_Texcoord + d.zw)) * 2.0;\n s += decodeHDR(clampSample(texture, v_Texcoord )) * 4.0;\n s += decodeHDR(clampSample(texture, v_Texcoord + d.xw)) * 2.0;\n s += decodeHDR(clampSample(texture, v_Texcoord + d.zy));\n s += decodeHDR(clampSample(texture, v_Texcoord + d.wy)) * 2.0;\n s += decodeHDR(clampSample(texture, v_Texcoord + d.xy));\n gl_FragColor = encodeHDR(s / 16.0);\n#else\n vec4 d = vec4(-1.0, -1.0, +1.0, +1.0) / textureSize.xyxy;\n vec4 s;\n s = decodeHDR(clampSample(texture, v_Texcoord + d.xy));\n s += decodeHDR(clampSample(texture, v_Texcoord + d.zy));\n s += decodeHDR(clampSample(texture, v_Texcoord + d.xw));\n s += decodeHDR(clampSample(texture, v_Texcoord + d.zw));\n gl_FragColor = encodeHDR(s / 4.0);\n#endif\n}\n@end",qO="@export clay.compositor.hdr.composite\n#define TONEMAPPING\nuniform sampler2D texture;\n#ifdef BLOOM_ENABLED\nuniform sampler2D bloom;\n#endif\n#ifdef LENSFLARE_ENABLED\nuniform sampler2D lensflare;\nuniform sampler2D lensdirt;\n#endif\n#ifdef LUM_ENABLED\nuniform sampler2D lum;\n#endif\n#ifdef LUT_ENABLED\nuniform sampler2D lut;\n#endif\n#ifdef COLOR_CORRECTION\nuniform float brightness : 0.0;\nuniform float contrast : 1.0;\nuniform float saturation : 1.0;\n#endif\n#ifdef VIGNETTE\nuniform float vignetteDarkness: 1.0;\nuniform float vignetteOffset: 1.0;\n#endif\nuniform float exposure : 1.0;\nuniform float bloomIntensity : 0.25;\nuniform float lensflareIntensity : 1;\nvarying vec2 v_Texcoord;\n@import clay.util.srgb\nvec3 ACESToneMapping(vec3 color)\n{\n const float A = 2.51;\n const float B = 0.03;\n const float C = 2.43;\n const float D = 0.59;\n const float E = 0.14;\n return (color * (A * color + B)) / (color * (C * color + D) + E);\n}\nfloat eyeAdaption(float fLum)\n{\n return mix(0.2, fLum, 0.5);\n}\n#ifdef LUT_ENABLED\nvec3 lutTransform(vec3 color) {\n float blueColor = color.b * 63.0;\n vec2 quad1;\n quad1.y = floor(floor(blueColor) / 8.0);\n quad1.x = floor(blueColor) - (quad1.y * 8.0);\n vec2 quad2;\n quad2.y = floor(ceil(blueColor) / 8.0);\n quad2.x = ceil(blueColor) - (quad2.y * 8.0);\n vec2 texPos1;\n texPos1.x = (quad1.x * 0.125) + 0.5/512.0 + ((0.125 - 1.0/512.0) * color.r);\n texPos1.y = (quad1.y * 0.125) + 0.5/512.0 + ((0.125 - 1.0/512.0) * color.g);\n vec2 texPos2;\n texPos2.x = (quad2.x * 0.125) + 0.5/512.0 + ((0.125 - 1.0/512.0) * color.r);\n texPos2.y = (quad2.y * 0.125) + 0.5/512.0 + ((0.125 - 1.0/512.0) * color.g);\n vec4 newColor1 = texture2D(lut, texPos1);\n vec4 newColor2 = texture2D(lut, texPos2);\n vec4 newColor = mix(newColor1, newColor2, fract(blueColor));\n return newColor.rgb;\n}\n#endif\n@import clay.util.rgbm\nvoid main()\n{\n vec4 texel = vec4(0.0);\n vec4 originalTexel = vec4(0.0);\n#ifdef TEXTURE_ENABLED\n texel = decodeHDR(texture2D(texture, v_Texcoord));\n originalTexel = texel;\n#endif\n#ifdef BLOOM_ENABLED\n vec4 bloomTexel = decodeHDR(texture2D(bloom, v_Texcoord));\n texel.rgb += bloomTexel.rgb * bloomIntensity;\n texel.a += bloomTexel.a * bloomIntensity;\n#endif\n#ifdef LENSFLARE_ENABLED\n texel += decodeHDR(texture2D(lensflare, v_Texcoord)) * texture2D(lensdirt, v_Texcoord) * lensflareIntensity;\n#endif\n texel.a = min(texel.a, 1.0);\n#ifdef LUM_ENABLED\n float fLum = texture2D(lum, vec2(0.5, 0.5)).r;\n float adaptedLumDest = 3.0 / (max(0.1, 1.0 + 10.0*eyeAdaption(fLum)));\n float exposureBias = adaptedLumDest * exposure;\n#else\n float exposureBias = exposure;\n#endif\n#ifdef TONEMAPPING\n texel.rgb *= exposureBias;\n texel.rgb = ACESToneMapping(texel.rgb);\n#endif\n texel = linearTosRGB(texel);\n#ifdef LUT_ENABLED\n texel.rgb = lutTransform(clamp(texel.rgb,vec3(0.0),vec3(1.0)));\n#endif\n#ifdef COLOR_CORRECTION\n texel.rgb = clamp(texel.rgb + vec3(brightness), 0.0, 1.0);\n texel.rgb = clamp((texel.rgb - vec3(0.5))*contrast+vec3(0.5), 0.0, 1.0);\n float lum = dot(texel.rgb, vec3(0.2125, 0.7154, 0.0721));\n texel.rgb = mix(vec3(lum), texel.rgb, saturation);\n#endif\n#ifdef VIGNETTE\n vec2 uv = (v_Texcoord - vec2(0.5)) * vec2(vignetteOffset);\n texel.rgb = mix(texel.rgb, vec3(1.0 - vignetteDarkness), dot(uv, uv));\n#endif\n gl_FragColor = encodeHDR(texel);\n#ifdef DEBUG\n #if DEBUG == 1\n gl_FragColor = encodeHDR(decodeHDR(texture2D(texture, v_Texcoord)));\n #elif DEBUG == 2\n gl_FragColor = encodeHDR(decodeHDR(texture2D(bloom, v_Texcoord)) * bloomIntensity);\n #elif DEBUG == 3\n gl_FragColor = encodeHDR(decodeHDR(texture2D(lensflare, v_Texcoord) * lensflareIntensity));\n #endif\n#endif\n if (originalTexel.a <= 0.01 && gl_FragColor.a > 1e-5) {\n gl_FragColor.a = dot(gl_FragColor.rgb, vec3(0.2125, 0.7154, 0.0721));\n }\n#ifdef PREMULTIPLY_ALPHA\n gl_FragColor.rgb *= gl_FragColor.a;\n#endif\n}\n@end",$O="@export clay.compositor.blend\n#define SHADER_NAME blend\n#ifdef TEXTURE1_ENABLED\nuniform sampler2D texture1;\nuniform float weight1 : 1.0;\n#endif\n#ifdef TEXTURE2_ENABLED\nuniform sampler2D texture2;\nuniform float weight2 : 1.0;\n#endif\n#ifdef TEXTURE3_ENABLED\nuniform sampler2D texture3;\nuniform float weight3 : 1.0;\n#endif\n#ifdef TEXTURE4_ENABLED\nuniform sampler2D texture4;\nuniform float weight4 : 1.0;\n#endif\n#ifdef TEXTURE5_ENABLED\nuniform sampler2D texture5;\nuniform float weight5 : 1.0;\n#endif\n#ifdef TEXTURE6_ENABLED\nuniform sampler2D texture6;\nuniform float weight6 : 1.0;\n#endif\nvarying vec2 v_Texcoord;\n@import clay.util.rgbm\nvoid main()\n{\n vec4 tex = vec4(0.0);\n#ifdef TEXTURE1_ENABLED\n tex += decodeHDR(texture2D(texture1, v_Texcoord)) * weight1;\n#endif\n#ifdef TEXTURE2_ENABLED\n tex += decodeHDR(texture2D(texture2, v_Texcoord)) * weight2;\n#endif\n#ifdef TEXTURE3_ENABLED\n tex += decodeHDR(texture2D(texture3, v_Texcoord)) * weight3;\n#endif\n#ifdef TEXTURE4_ENABLED\n tex += decodeHDR(texture2D(texture4, v_Texcoord)) * weight4;\n#endif\n#ifdef TEXTURE5_ENABLED\n tex += decodeHDR(texture2D(texture5, v_Texcoord)) * weight5;\n#endif\n#ifdef TEXTURE6_ENABLED\n tex += decodeHDR(texture2D(texture6, v_Texcoord)) * weight6;\n#endif\n gl_FragColor = encodeHDR(tex);\n}\n@end",KO="@export clay.compositor.fxaa\nuniform sampler2D texture;\nuniform vec4 viewport : VIEWPORT;\nvarying vec2 v_Texcoord;\n#define FXAA_REDUCE_MIN (1.0/128.0)\n#define FXAA_REDUCE_MUL (1.0/8.0)\n#define FXAA_SPAN_MAX 8.0\n@import clay.util.rgbm\nvoid main()\n{\n vec2 resolution = 1.0 / viewport.zw;\n vec3 rgbNW = decodeHDR( texture2D( texture, ( gl_FragCoord.xy + vec2( -1.0, -1.0 ) ) * resolution ) ).xyz;\n vec3 rgbNE = decodeHDR( texture2D( texture, ( gl_FragCoord.xy + vec2( 1.0, -1.0 ) ) * resolution ) ).xyz;\n vec3 rgbSW = decodeHDR( texture2D( texture, ( gl_FragCoord.xy + vec2( -1.0, 1.0 ) ) * resolution ) ).xyz;\n vec3 rgbSE = decodeHDR( texture2D( texture, ( gl_FragCoord.xy + vec2( 1.0, 1.0 ) ) * resolution ) ).xyz;\n vec4 rgbaM = decodeHDR( texture2D( texture, gl_FragCoord.xy * resolution ) );\n vec3 rgbM = rgbaM.xyz;\n float opacity = rgbaM.w;\n vec3 luma = vec3( 0.299, 0.587, 0.114 );\n float lumaNW = dot( rgbNW, luma );\n float lumaNE = dot( rgbNE, luma );\n float lumaSW = dot( rgbSW, luma );\n float lumaSE = dot( rgbSE, luma );\n float lumaM = dot( rgbM, luma );\n float lumaMin = min( lumaM, min( min( lumaNW, lumaNE ), min( lumaSW, lumaSE ) ) );\n float lumaMax = max( lumaM, max( max( lumaNW, lumaNE) , max( lumaSW, lumaSE ) ) );\n vec2 dir;\n dir.x = -((lumaNW + lumaNE) - (lumaSW + lumaSE));\n dir.y = ((lumaNW + lumaSW) - (lumaNE + lumaSE));\n float dirReduce = max( ( lumaNW + lumaNE + lumaSW + lumaSE ) * ( 0.25 * FXAA_REDUCE_MUL ), FXAA_REDUCE_MIN );\n float rcpDirMin = 1.0 / ( min( abs( dir.x ), abs( dir.y ) ) + dirReduce );\n dir = min( vec2( FXAA_SPAN_MAX, FXAA_SPAN_MAX),\n max( vec2(-FXAA_SPAN_MAX, -FXAA_SPAN_MAX),\n dir * rcpDirMin)) * resolution;\n vec3 rgbA = decodeHDR( texture2D( texture, gl_FragCoord.xy * resolution + dir * ( 1.0 / 3.0 - 0.5 ) ) ).xyz;\n rgbA += decodeHDR( texture2D( texture, gl_FragCoord.xy * resolution + dir * ( 2.0 / 3.0 - 0.5 ) ) ).xyz;\n rgbA *= 0.5;\n vec3 rgbB = decodeHDR( texture2D( texture, gl_FragCoord.xy * resolution + dir * -0.5 ) ).xyz;\n rgbB += decodeHDR( texture2D( texture, gl_FragCoord.xy * resolution + dir * 0.5 ) ).xyz;\n rgbB *= 0.25;\n rgbB += rgbA * 0.5;\n float lumaB = dot( rgbB, luma );\n if ( ( lumaB < lumaMin ) || ( lumaB > lumaMax ) )\n {\n gl_FragColor = vec4( rgbA, opacity );\n }\n else {\n gl_FragColor = vec4( rgbB, opacity );\n }\n}\n@end";!function(e){e.import("@export clay.compositor.coloradjust\nvarying vec2 v_Texcoord;\nuniform sampler2D texture;\nuniform float brightness : 0.0;\nuniform float contrast : 1.0;\nuniform float exposure : 0.0;\nuniform float gamma : 1.0;\nuniform float saturation : 1.0;\nconst vec3 w = vec3(0.2125, 0.7154, 0.0721);\nvoid main()\n{\n vec4 tex = texture2D( texture, v_Texcoord);\n vec3 color = clamp(tex.rgb + vec3(brightness), 0.0, 1.0);\n color = clamp( (color-vec3(0.5))*contrast+vec3(0.5), 0.0, 1.0);\n color = clamp( color * pow(2.0, exposure), 0.0, 1.0);\n color = clamp( pow(color, vec3(gamma)), 0.0, 1.0);\n float luminance = dot( color, w );\n color = mix(vec3(luminance), color, saturation);\n gl_FragColor = vec4(color, tex.a);\n}\n@end\n@export clay.compositor.brightness\nvarying vec2 v_Texcoord;\nuniform sampler2D texture;\nuniform float brightness : 0.0;\nvoid main()\n{\n vec4 tex = texture2D( texture, v_Texcoord);\n vec3 color = tex.rgb + vec3(brightness);\n gl_FragColor = vec4(color, tex.a);\n}\n@end\n@export clay.compositor.contrast\nvarying vec2 v_Texcoord;\nuniform sampler2D texture;\nuniform float contrast : 1.0;\nvoid main()\n{\n vec4 tex = texture2D( texture, v_Texcoord);\n vec3 color = (tex.rgb-vec3(0.5))*contrast+vec3(0.5);\n gl_FragColor = vec4(color, tex.a);\n}\n@end\n@export clay.compositor.exposure\nvarying vec2 v_Texcoord;\nuniform sampler2D texture;\nuniform float exposure : 0.0;\nvoid main()\n{\n vec4 tex = texture2D(texture, v_Texcoord);\n vec3 color = tex.rgb * pow(2.0, exposure);\n gl_FragColor = vec4(color, tex.a);\n}\n@end\n@export clay.compositor.gamma\nvarying vec2 v_Texcoord;\nuniform sampler2D texture;\nuniform float gamma : 1.0;\nvoid main()\n{\n vec4 tex = texture2D(texture, v_Texcoord);\n vec3 color = pow(tex.rgb, vec3(gamma));\n gl_FragColor = vec4(color, tex.a);\n}\n@end\n@export clay.compositor.saturation\nvarying vec2 v_Texcoord;\nuniform sampler2D texture;\nuniform float saturation : 1.0;\nconst vec3 w = vec3(0.2125, 0.7154, 0.0721);\nvoid main()\n{\n vec4 tex = texture2D(texture, v_Texcoord);\n vec3 color = tex.rgb;\n float luminance = dot(color, w);\n color = mix(vec3(luminance), color, saturation);\n gl_FragColor = vec4(color, tex.a);\n}\n@end"),e.import(UO),e.import("@export clay.compositor.hdr.log_lum\nvarying vec2 v_Texcoord;\nuniform sampler2D texture;\nconst vec3 w = vec3(0.2125, 0.7154, 0.0721);\n@import clay.util.rgbm\nvoid main()\n{\n vec4 tex = decodeHDR(texture2D(texture, v_Texcoord));\n float luminance = dot(tex.rgb, w);\n luminance = log(luminance + 0.001);\n gl_FragColor = encodeHDR(vec4(vec3(luminance), 1.0));\n}\n@end\n@export clay.compositor.hdr.lum_adaption\nvarying vec2 v_Texcoord;\nuniform sampler2D adaptedLum;\nuniform sampler2D currentLum;\nuniform float frameTime : 0.02;\n@import clay.util.rgbm\nvoid main()\n{\n float fAdaptedLum = decodeHDR(texture2D(adaptedLum, vec2(0.5, 0.5))).r;\n float fCurrentLum = exp(encodeHDR(texture2D(currentLum, vec2(0.5, 0.5))).r);\n fAdaptedLum += (fCurrentLum - fAdaptedLum) * (1.0 - pow(0.98, 30.0 * frameTime));\n gl_FragColor = encodeHDR(vec4(vec3(fAdaptedLum), 1.0));\n}\n@end\n@export clay.compositor.lum\nvarying vec2 v_Texcoord;\nuniform sampler2D texture;\nconst vec3 w = vec3(0.2125, 0.7154, 0.0721);\nvoid main()\n{\n vec4 tex = texture2D( texture, v_Texcoord );\n float luminance = dot(tex.rgb, w);\n gl_FragColor = vec4(vec3(luminance), 1.0);\n}\n@end"),e.import(WO),e.import("@export clay.compositor.vignette\n#define OUTPUT_ALPHA\nvarying vec2 v_Texcoord;\nuniform sampler2D texture;\nuniform float darkness: 1;\nuniform float offset: 1;\n@import clay.util.rgbm\nvoid main()\n{\n vec4 texel = decodeHDR(texture2D(texture, v_Texcoord));\n gl_FragColor.rgb = texel.rgb;\n vec2 uv = (v_Texcoord - vec2(0.5)) * vec2(offset);\n gl_FragColor = encodeHDR(vec4(mix(texel.rgb, vec3(1.0 - darkness), dot(uv, uv)), texel.a));\n}\n@end"),e.import(jO),e.import(XO),e.import(YO),e.import(ZO),e.import(qO),e.import("@export clay.compositor.lensflare\n#define SAMPLE_NUMBER 8\nuniform sampler2D texture;\nuniform sampler2D lenscolor;\nuniform vec2 textureSize : [512, 512];\nuniform float dispersal : 0.3;\nuniform float haloWidth : 0.4;\nuniform float distortion : 1.0;\nvarying vec2 v_Texcoord;\n@import clay.util.rgbm\nvec4 textureDistorted(\n in vec2 texcoord,\n in vec2 direction,\n in vec3 distortion\n) {\n return vec4(\n decodeHDR(texture2D(texture, texcoord + direction * distortion.r)).r,\n decodeHDR(texture2D(texture, texcoord + direction * distortion.g)).g,\n decodeHDR(texture2D(texture, texcoord + direction * distortion.b)).b,\n 1.0\n );\n}\nvoid main()\n{\n vec2 texcoord = -v_Texcoord + vec2(1.0); vec2 textureOffset = 1.0 / textureSize;\n vec2 ghostVec = (vec2(0.5) - texcoord) * dispersal;\n vec2 haloVec = normalize(ghostVec) * haloWidth;\n vec3 distortion = vec3(-textureOffset.x * distortion, 0.0, textureOffset.x * distortion);\n vec4 result = vec4(0.0);\n for (int i = 0; i < SAMPLE_NUMBER; i++)\n {\n vec2 offset = fract(texcoord + ghostVec * float(i));\n float weight = length(vec2(0.5) - offset) / length(vec2(0.5));\n weight = pow(1.0 - weight, 10.0);\n result += textureDistorted(offset, normalize(ghostVec), distortion) * weight;\n }\n result *= texture2D(lenscolor, vec2(length(vec2(0.5) - texcoord)) / length(vec2(0.5)));\n float weight = length(vec2(0.5) - fract(texcoord + haloVec)) / length(vec2(0.5));\n weight = pow(1.0 - weight, 10.0);\n vec2 offset = fract(texcoord + haloVec);\n result += textureDistorted(offset, normalize(ghostVec), distortion) * weight;\n gl_FragColor = result;\n}\n@end"),e.import($O),e.import(KO)}(jI);var JO=/^#source\((.*?)\)/;function QO(e,t,n){var r,i,o,a,s=e.type||"filter";if("filter"===s){var l=e.shader.trim(),u=JO.exec(l);if(u?r=jI.source(u[1].trim()):"#"===l.charAt(0)&&(r=t.shaders[l.substr(1)]),r||(r=l),!r)return}if(e.inputs)for(var c in i={},e.inputs)"string"==typeof e.inputs[c]?i[c]=e.inputs[c]:i[c]={node:e.inputs[c].node,pin:e.inputs[c].pin};if(e.outputs)for(var c in o={},e.outputs){var h=e.outputs[c];o[c]={},null!=h.attachment&&(o[c].attachment=h.attachment),null!=h.keepLastFrame&&(o[c].keepLastFrame=h.keepLastFrame),null!=h.outputLastFrame&&(o[c].outputLastFrame=h.outputLastFrame),h.parameters&&(o[c].parameters=nN(h.parameters))}if(a="scene"===s?new VO({name:e.name,scene:n.scene,camera:n.camera,outputs:o}):"texture"===s?new GO({name:e.name,outputs:o}):new HO({name:e.name,shader:r,inputs:i,outputs:o})){if(e.parameters)for(var c in e.parameters)"string"==typeof(d=e.parameters[c])?"#"===(d=d.trim()).charAt(0)?d=t.textures[d.substr(1)]:a.on("beforerender",rN(c,iN(d))):"function"==typeof d&&a.on("beforerender",d),a.setParameter(c,d);if(e.defines&&a.pass)for(var c in e.defines){var d=e.defines[c];a.pass.material.define("fragment",c,d)}}return a}function eN(e,t){return e}function tN(e,t){return t}function nN(e){var t={};if(!e)return t;["type","minFilter","magFilter","wrapS","wrapT","flipY","useMipmap"].forEach((function(n){var r=e[n];null!=r&&("string"==typeof r&&(r=mD[r]),t[n]=r)}));var n=e.scale||1;return["width","height"].forEach((function(r){if(null!=e[r]){var i=e[r];"string"==typeof i?(i=i.trim(),t[r]=function(e,t,n){return n=n||1,function(e){var r=e.getDevicePixelRatio(),i=e.getWidth()*n,o=e.getHeight()*n;return t(i,o,r)}}(0,iN(i),n)):t[r]=i}})),t.width||(t.width=eN),t.height||(t.height=tN),null!=e.useMipmap&&(t.useMipmap=e.useMipmap),t}function rN(e,t){return function(n){var r=n.getDevicePixelRatio(),i=n.getWidth(),o=n.getHeight(),a=t(i,o,r);this.setParameter(e,a)}}function iN(e){var t=/^expr\((.*)\)$/.exec(e);if(t)try{var n=new Function("width","height","dpr","return "+t[1]);return n(1,1),n}catch(e){throw new Error("Invalid expression.")}}const oN=function(e,t){var n=new zO;t=t||{};var r={textures:{},parameters:{}};for(var i in e.parameters){var o=e.parameters[i];r.parameters[i]=nN(o)}return function(e,t,n,r){if(e.textures){var i={},o=0,a=!1,s=n.textureRootPath;PT.each(e.textures,(function(e,t){var n,l=e.path,u=nN(e.parameters);if(Array.isArray(l)&&6===l.length)s&&(l=l.map((function(e){return PT.relative2absolute(e,s)}))),n=new wE(u);else{if("string"!=typeof l)return;s&&(l=PT.relative2absolute(l,s)),n=new SD(u)}n.load(l),o++,n.once("success",(function(){i[t]=n,0==--o&&(r(i),a=!0)}))})),0!==o||a||r(i)}else r({})}(e,0,t,(function(i){r.textures=i,function(i,o){for(var a=0;a<e.nodes.length;a++){var s=QO(e.nodes[a],r,t);s&&n.addNode(s)}}()})),n},aN=function(e,t){for(var n=0,r=1/t,i=e;i>0;)n+=r*(i%t),i=Math.floor(i/t),r/=t;return n};function sN(e){for(var t=new Uint8Array(e*e*4),n=0,r=new vC,i=0;i<e;i++)for(var o=0;o<e;o++)r.set(2*Math.random()-1,2*Math.random()-1,0).normalize(),t[n++]=255*(.5*r.x+.5),t[n++]=255*(.5*r.y+.5),t[n++]=0,t[n++]=255;return t}function lN(e){return new SD({pixels:sN(e),wrapS:mD.REPEAT,wrapT:mD.REPEAT,width:e,height:e})}function uN(e,t,n){var r=new Float32Array(3*e);t=t||0;for(var i=0;i<e;i++){var o=aN(i+t,2)*(n?1:2)*Math.PI,a=aN(i+t,3)*Math.PI,s=Math.random(),l=Math.cos(o)*Math.sin(a)*s,u=Math.cos(a)*s,c=Math.sin(o)*Math.sin(a)*s;r[3*i]=l,r[3*i+1]=u,r[3*i+2]=c}return r}function cN(e){e=e||{},this._ssaoPass=new yL({fragment:jI.source("ecgl.ssao.estimate")}),this._blurPass=new yL({fragment:jI.source("ecgl.ssao.blur")}),this._framebuffer=new kE({depthBuffer:!1}),this._ssaoTexture=new SD,this._blurTexture=new SD,this._blurTexture2=new SD,this._depthTex=e.depthTexture,this._normalTex=e.normalTexture,this.setNoiseSize(4),this.setKernelSize(e.kernelSize||12),null!=e.radius&&this.setParameter("radius",e.radius),null!=e.power&&this.setParameter("power",e.power),this._normalTex||(this._ssaoPass.material.disableTexture("normalTex"),this._blurPass.material.disableTexture("normalTex")),this._depthTex||this._blurPass.material.disableTexture("depthTex"),this._blurPass.material.setUniform("normalTex",this._normalTex),this._blurPass.material.setUniform("depthTex",this._depthTex)}jI.import("@export ecgl.ssao.estimate\n\nuniform sampler2D depthTex;\n\nuniform sampler2D normalTex;\n\nuniform sampler2D noiseTex;\n\nuniform vec2 depthTexSize;\n\nuniform vec2 noiseTexSize;\n\nuniform mat4 projection;\n\nuniform mat4 projectionInv;\n\nuniform mat4 viewInverseTranspose;\n\nuniform vec3 kernel[KERNEL_SIZE];\n\nuniform float radius : 1;\n\nuniform float power : 1;\n\nuniform float bias: 1e-2;\n\nuniform float intensity: 1.0;\n\nvarying vec2 v_Texcoord;\n\nfloat ssaoEstimator(in vec3 originPos, in mat3 kernelBasis) {\n float occlusion = 0.0;\n\n for (int i = 0; i < KERNEL_SIZE; i++) {\n vec3 samplePos = kernel[i];\n#ifdef NORMALTEX_ENABLED\n samplePos = kernelBasis * samplePos;\n#endif\n samplePos = samplePos * radius + originPos;\n\n vec4 texCoord = projection * vec4(samplePos, 1.0);\n texCoord.xy /= texCoord.w;\n\n vec4 depthTexel = texture2D(depthTex, texCoord.xy * 0.5 + 0.5);\n\n float sampleDepth = depthTexel.r * 2.0 - 1.0;\n if (projection[3][3] == 0.0) {\n sampleDepth = projection[3][2] / (sampleDepth * projection[2][3] - projection[2][2]);\n }\n else {\n sampleDepth = (sampleDepth - projection[3][2]) / projection[2][2];\n }\n \n float rangeCheck = smoothstep(0.0, 1.0, radius / abs(originPos.z - sampleDepth));\n occlusion += rangeCheck * step(samplePos.z, sampleDepth - bias);\n }\n#ifdef NORMALTEX_ENABLED\n occlusion = 1.0 - occlusion / float(KERNEL_SIZE);\n#else\n occlusion = 1.0 - clamp((occlusion / float(KERNEL_SIZE) - 0.6) * 2.5, 0.0, 1.0);\n#endif\n return pow(occlusion, power);\n}\n\nvoid main()\n{\n\n vec4 depthTexel = texture2D(depthTex, v_Texcoord);\n\n#ifdef NORMALTEX_ENABLED\n vec4 tex = texture2D(normalTex, v_Texcoord);\n if (dot(tex.rgb, tex.rgb) == 0.0) {\n gl_FragColor = vec4(1.0);\n return;\n }\n vec3 N = tex.rgb * 2.0 - 1.0;\n N = (viewInverseTranspose * vec4(N, 0.0)).xyz;\n\n vec2 noiseTexCoord = depthTexSize / vec2(noiseTexSize) * v_Texcoord;\n vec3 rvec = texture2D(noiseTex, noiseTexCoord).rgb * 2.0 - 1.0;\n vec3 T = normalize(rvec - N * dot(rvec, N));\n vec3 BT = normalize(cross(N, T));\n mat3 kernelBasis = mat3(T, BT, N);\n#else\n if (depthTexel.r > 0.99999) {\n gl_FragColor = vec4(1.0);\n return;\n }\n mat3 kernelBasis;\n#endif\n\n float z = depthTexel.r * 2.0 - 1.0;\n\n vec4 projectedPos = vec4(v_Texcoord * 2.0 - 1.0, z, 1.0);\n vec4 p4 = projectionInv * projectedPos;\n\n vec3 position = p4.xyz / p4.w;\n\n float ao = ssaoEstimator(position, kernelBasis);\n ao = clamp(1.0 - (1.0 - ao) * intensity, 0.0, 1.0);\n gl_FragColor = vec4(vec3(ao), 1.0);\n}\n\n@end\n\n\n@export ecgl.ssao.blur\n#define SHADER_NAME SSAO_BLUR\n\nuniform sampler2D ssaoTexture;\n\n#ifdef NORMALTEX_ENABLED\nuniform sampler2D normalTex;\n#endif\n\nvarying vec2 v_Texcoord;\n\nuniform vec2 textureSize;\nuniform float blurSize : 1.0;\n\nuniform int direction: 0.0;\n\n#ifdef DEPTHTEX_ENABLED\nuniform sampler2D depthTex;\nuniform mat4 projection;\nuniform float depthRange : 0.5;\n\nfloat getLinearDepth(vec2 coord)\n{\n float depth = texture2D(depthTex, coord).r * 2.0 - 1.0;\n return projection[3][2] / (depth * projection[2][3] - projection[2][2]);\n}\n#endif\n\nvoid main()\n{\n float kernel[5];\n kernel[0] = 0.122581;\n kernel[1] = 0.233062;\n kernel[2] = 0.288713;\n kernel[3] = 0.233062;\n kernel[4] = 0.122581;\n\n vec2 off = vec2(0.0);\n if (direction == 0) {\n off[0] = blurSize / textureSize.x;\n }\n else {\n off[1] = blurSize / textureSize.y;\n }\n\n vec2 coord = v_Texcoord;\n\n float sum = 0.0;\n float weightAll = 0.0;\n\n#ifdef NORMALTEX_ENABLED\n vec3 centerNormal = texture2D(normalTex, v_Texcoord).rgb * 2.0 - 1.0;\n#endif\n#if defined(DEPTHTEX_ENABLED)\n float centerDepth = getLinearDepth(v_Texcoord);\n#endif\n\n for (int i = 0; i < 5; i++) {\n vec2 coord = clamp(v_Texcoord + vec2(float(i) - 2.0) * off, vec2(0.0), vec2(1.0));\n\n float w = kernel[i];\n#ifdef NORMALTEX_ENABLED\n vec3 normal = texture2D(normalTex, coord).rgb * 2.0 - 1.0;\n w *= clamp(dot(normal, centerNormal), 0.0, 1.0);\n#endif\n#ifdef DEPTHTEX_ENABLED\n float d = getLinearDepth(coord);\n w *= (1.0 - smoothstep(abs(centerDepth - d) / depthRange, 0.0, 1.0));\n#endif\n\n weightAll += w;\n sum += texture2D(ssaoTexture, coord).r * w;\n }\n\n gl_FragColor = vec4(vec3(sum / weightAll), 1.0);\n}\n\n@end\n"),cN.prototype.setDepthTexture=function(e){this._depthTex=e},cN.prototype.setNormalTexture=function(e){this._normalTex=e,this._ssaoPass.material[e?"enableTexture":"disableTexture"]("normalTex"),this.setKernelSize(this._kernelSize)},cN.prototype.update=function(e,t,n){var r=e.getWidth(),i=e.getHeight(),o=this._ssaoPass,a=this._blurPass;o.setUniform("kernel",this._kernels[n%this._kernels.length]),o.setUniform("depthTex",this._depthTex),null!=this._normalTex&&o.setUniform("normalTex",this._normalTex),o.setUniform("depthTexSize",[this._depthTex.width,this._depthTex.height]);var s=new HC;HC.transpose(s,t.worldTransform),o.setUniform("projection",t.projectionMatrix.array),o.setUniform("projectionInv",t.invProjectionMatrix.array),o.setUniform("viewInverseTranspose",s.array);var l=this._ssaoTexture,u=this._blurTexture,c=this._blurTexture2;l.width=r/2,l.height=i/2,u.width=r,u.height=i,c.width=r,c.height=i,this._framebuffer.attach(l),this._framebuffer.bind(e),e.gl.clearColor(1,1,1,1),e.gl.clear(e.gl.COLOR_BUFFER_BIT),o.render(e),a.setUniform("textureSize",[r/2,i/2]),a.setUniform("projection",t.projectionMatrix.array),this._framebuffer.attach(u),a.setUniform("direction",0),a.setUniform("ssaoTexture",l),a.render(e),this._framebuffer.attach(c),a.setUniform("textureSize",[r,i]),a.setUniform("direction",1),a.setUniform("ssaoTexture",u),a.render(e),this._framebuffer.unbind(e);var h=e.clearColor;e.gl.clearColor(h[0],h[1],h[2],h[3])},cN.prototype.getTargetTexture=function(){return this._blurTexture2},cN.prototype.setParameter=function(e,t){"noiseTexSize"===e?this.setNoiseSize(t):"kernelSize"===e?this.setKernelSize(t):"intensity"===e?this._ssaoPass.material.set("intensity",t):this._ssaoPass.setUniform(e,t)},cN.prototype.setKernelSize=function(e){this._kernelSize=e,this._ssaoPass.material.define("fragment","KERNEL_SIZE",e),this._kernels=this._kernels||[];for(var t=0;t<30;t++)this._kernels[t]=uN(e,t*e,!!this._normalTex)},cN.prototype.setNoiseSize=function(e){var t=this._ssaoPass.getUniform("noiseTex");t?(t.data=sN(e),t.width=t.height=e,t.dirty()):(t=lN(e),this._ssaoPass.setUniform("noiseTex",lN(e))),this._ssaoPass.setUniform("noiseTexSize",[e,e])},cN.prototype.dispose=function(e){this._blurTexture.dispose(e),this._ssaoTexture.dispose(e),this._blurTexture2.dispose(e)};const hN=cN;function dN(e){e=e||{},this._ssrPass=new yL({fragment:jI.source("ecgl.ssr.main"),clearColor:[0,0,0,0]}),this._blurPass1=new yL({fragment:jI.source("ecgl.ssr.blur"),clearColor:[0,0,0,0]}),this._blurPass2=new yL({fragment:jI.source("ecgl.ssr.blur"),clearColor:[0,0,0,0]}),this._blendPass=new yL({fragment:jI.source("clay.compositor.blend")}),this._blendPass.material.disableTexturesAll(),this._blendPass.material.enableTexture(["texture1","texture2"]),this._ssrPass.setUniform("gBufferTexture1",e.normalTexture),this._ssrPass.setUniform("gBufferTexture2",e.depthTexture),this._blurPass1.setUniform("gBufferTexture1",e.normalTexture),this._blurPass1.setUniform("gBufferTexture2",e.depthTexture),this._blurPass2.setUniform("gBufferTexture1",e.normalTexture),this._blurPass2.setUniform("gBufferTexture2",e.depthTexture),this._blurPass2.material.define("fragment","VERTICAL"),this._blurPass2.material.define("fragment","BLEND"),this._ssrTexture=new SD({type:mD.HALF_FLOAT}),this._texture2=new SD({type:mD.HALF_FLOAT}),this._texture3=new SD({type:mD.HALF_FLOAT}),this._prevTexture=new SD({type:mD.HALF_FLOAT}),this._currentTexture=new SD({type:mD.HALF_FLOAT}),this._frameBuffer=new kE({depthBuffer:!1}),this._normalDistribution=null,this._totalSamples=256,this._samplePerFrame=4,this._ssrPass.material.define("fragment","SAMPLE_PER_FRAME",this._samplePerFrame),this._ssrPass.material.define("fragment","TOTAL_SAMPLES",this._totalSamples),this._downScale=1}jI.import("@export ecgl.ssr.main\n\n#define SHADER_NAME SSR\n#define MAX_ITERATION 20;\n#define SAMPLE_PER_FRAME 5;\n#define TOTAL_SAMPLES 128;\n\nuniform sampler2D sourceTexture;\nuniform sampler2D gBufferTexture1;\nuniform sampler2D gBufferTexture2;\nuniform sampler2D gBufferTexture3;\nuniform samplerCube specularCubemap;\nuniform float specularIntensity: 1;\n\nuniform mat4 projection;\nuniform mat4 projectionInv;\nuniform mat4 toViewSpace;\nuniform mat4 toWorldSpace;\n\nuniform float maxRayDistance: 200;\n\nuniform float pixelStride: 16;\nuniform float pixelStrideZCutoff: 50; \nuniform float screenEdgeFadeStart: 0.9; \nuniform float eyeFadeStart : 0.2; uniform float eyeFadeEnd: 0.8; \nuniform float minGlossiness: 0.2; uniform float zThicknessThreshold: 1;\n\nuniform float nearZ;\nuniform vec2 viewportSize : VIEWPORT_SIZE;\n\nuniform float jitterOffset: 0;\n\nvarying vec2 v_Texcoord;\n\n#ifdef DEPTH_DECODE\n@import clay.util.decode_float\n#endif\n\n#ifdef PHYSICALLY_CORRECT\nuniform sampler2D normalDistribution;\nuniform float sampleOffset: 0;\nuniform vec2 normalDistributionSize;\n\nvec3 transformNormal(vec3 H, vec3 N) {\n vec3 upVector = N.y > 0.999 ? vec3(1.0, 0.0, 0.0) : vec3(0.0, 1.0, 0.0);\n vec3 tangentX = normalize(cross(N, upVector));\n vec3 tangentZ = cross(N, tangentX);\n return normalize(tangentX * H.x + N * H.y + tangentZ * H.z);\n}\nvec3 importanceSampleNormalGGX(float i, float roughness, vec3 N) {\n float p = fract((i + sampleOffset) / float(TOTAL_SAMPLES));\n vec3 H = texture2D(normalDistribution,vec2(roughness, p)).rgb;\n return transformNormal(H, N);\n}\nfloat G_Smith(float g, float ndv, float ndl) {\n float roughness = 1.0 - g;\n float k = roughness * roughness / 2.0;\n float G1V = ndv / (ndv * (1.0 - k) + k);\n float G1L = ndl / (ndl * (1.0 - k) + k);\n return G1L * G1V;\n}\nvec3 F_Schlick(float ndv, vec3 spec) {\n return spec + (1.0 - spec) * pow(1.0 - ndv, 5.0);\n}\n#endif\n\nfloat fetchDepth(sampler2D depthTexture, vec2 uv)\n{\n vec4 depthTexel = texture2D(depthTexture, uv);\n return depthTexel.r * 2.0 - 1.0;\n}\n\nfloat linearDepth(float depth)\n{\n if (projection[3][3] == 0.0) {\n return projection[3][2] / (depth * projection[2][3] - projection[2][2]);\n }\n else {\n return (depth - projection[3][2]) / projection[2][2];\n }\n}\n\nbool rayIntersectDepth(float rayZNear, float rayZFar, vec2 hitPixel)\n{\n if (rayZFar > rayZNear)\n {\n float t = rayZFar; rayZFar = rayZNear; rayZNear = t;\n }\n float cameraZ = linearDepth(fetchDepth(gBufferTexture2, hitPixel));\n return rayZFar <= cameraZ && rayZNear >= cameraZ - zThicknessThreshold;\n}\n\n\nbool traceScreenSpaceRay(\n vec3 rayOrigin, vec3 rayDir, float jitter,\n out vec2 hitPixel, out vec3 hitPoint, out float iterationCount\n)\n{\n float rayLength = ((rayOrigin.z + rayDir.z * maxRayDistance) > -nearZ)\n ? (-nearZ - rayOrigin.z) / rayDir.z : maxRayDistance;\n\n vec3 rayEnd = rayOrigin + rayDir * rayLength;\n\n vec4 H0 = projection * vec4(rayOrigin, 1.0);\n vec4 H1 = projection * vec4(rayEnd, 1.0);\n\n float k0 = 1.0 / H0.w, k1 = 1.0 / H1.w;\n\n vec3 Q0 = rayOrigin * k0, Q1 = rayEnd * k1;\n\n vec2 P0 = (H0.xy * k0 * 0.5 + 0.5) * viewportSize;\n vec2 P1 = (H1.xy * k1 * 0.5 + 0.5) * viewportSize;\n\n P1 += dot(P1 - P0, P1 - P0) < 0.0001 ? 0.01 : 0.0;\n vec2 delta = P1 - P0;\n\n bool permute = false;\n if (abs(delta.x) < abs(delta.y)) {\n permute = true;\n delta = delta.yx;\n P0 = P0.yx;\n P1 = P1.yx;\n }\n float stepDir = sign(delta.x);\n float invdx = stepDir / delta.x;\n\n vec3 dQ = (Q1 - Q0) * invdx;\n float dk = (k1 - k0) * invdx;\n\n vec2 dP = vec2(stepDir, delta.y * invdx);\n\n float strideScaler = 1.0 - min(1.0, -rayOrigin.z / pixelStrideZCutoff);\n float pixStride = 1.0 + strideScaler * pixelStride;\n\n dP *= pixStride; dQ *= pixStride; dk *= pixStride;\n\n vec4 pqk = vec4(P0, Q0.z, k0);\n vec4 dPQK = vec4(dP, dQ.z, dk);\n\n pqk += dPQK * jitter;\n float rayZFar = (dPQK.z * 0.5 + pqk.z) / (dPQK.w * 0.5 + pqk.w);\n float rayZNear;\n\n bool intersect = false;\n\n vec2 texelSize = 1.0 / viewportSize;\n\n iterationCount = 0.0;\n\n for (int i = 0; i < MAX_ITERATION; i++)\n {\n pqk += dPQK;\n\n rayZNear = rayZFar;\n rayZFar = (dPQK.z * 0.5 + pqk.z) / (dPQK.w * 0.5 + pqk.w);\n\n hitPixel = permute ? pqk.yx : pqk.xy;\n hitPixel *= texelSize;\n\n intersect = rayIntersectDepth(rayZNear, rayZFar, hitPixel);\n\n iterationCount += 1.0;\n\n dPQK *= 1.2;\n\n if (intersect) {\n break;\n }\n }\n\n Q0.xy += dQ.xy * iterationCount;\n Q0.z = pqk.z;\n hitPoint = Q0 / pqk.w;\n\n return intersect;\n}\n\nfloat calculateAlpha(\n float iterationCount, float reflectivity,\n vec2 hitPixel, vec3 hitPoint, float dist, vec3 rayDir\n)\n{\n float alpha = clamp(reflectivity, 0.0, 1.0);\n alpha *= 1.0 - (iterationCount / float(MAX_ITERATION));\n vec2 hitPixelNDC = hitPixel * 2.0 - 1.0;\n float maxDimension = min(1.0, max(abs(hitPixelNDC.x), abs(hitPixelNDC.y)));\n alpha *= 1.0 - max(0.0, maxDimension - screenEdgeFadeStart) / (1.0 - screenEdgeFadeStart);\n\n float _eyeFadeStart = eyeFadeStart;\n float _eyeFadeEnd = eyeFadeEnd;\n if (_eyeFadeStart > _eyeFadeEnd) {\n float tmp = _eyeFadeEnd;\n _eyeFadeEnd = _eyeFadeStart;\n _eyeFadeStart = tmp;\n }\n\n float eyeDir = clamp(rayDir.z, _eyeFadeStart, _eyeFadeEnd);\n alpha *= 1.0 - (eyeDir - _eyeFadeStart) / (_eyeFadeEnd - _eyeFadeStart);\n\n alpha *= 1.0 - clamp(dist / maxRayDistance, 0.0, 1.0);\n\n return alpha;\n}\n\n@import clay.util.rand\n\n@import clay.util.rgbm\n\nvoid main()\n{\n vec4 normalAndGloss = texture2D(gBufferTexture1, v_Texcoord);\n\n if (dot(normalAndGloss.rgb, vec3(1.0)) == 0.0) {\n discard;\n }\n\n float g = normalAndGloss.a;\n#if !defined(PHYSICALLY_CORRECT)\n if (g <= minGlossiness) {\n discard;\n }\n#endif\n\n float reflectivity = (g - minGlossiness) / (1.0 - minGlossiness);\n\n vec3 N = normalize(normalAndGloss.rgb * 2.0 - 1.0);\n N = normalize((toViewSpace * vec4(N, 0.0)).xyz);\n\n vec4 projectedPos = vec4(v_Texcoord * 2.0 - 1.0, fetchDepth(gBufferTexture2, v_Texcoord), 1.0);\n vec4 pos = projectionInv * projectedPos;\n vec3 rayOrigin = pos.xyz / pos.w;\n vec3 V = -normalize(rayOrigin);\n\n float ndv = clamp(dot(N, V), 0.0, 1.0);\n float iterationCount;\n float jitter = rand(fract(v_Texcoord + jitterOffset));\n\n#ifdef PHYSICALLY_CORRECT\n vec4 color = vec4(vec3(0.0), 1.0);\n vec4 albedoMetalness = texture2D(gBufferTexture3, v_Texcoord);\n vec3 albedo = albedoMetalness.rgb;\n float m = albedoMetalness.a;\n vec3 diffuseColor = albedo * (1.0 - m);\n vec3 spec = mix(vec3(0.04), albedo, m);\n\n float jitter2 = rand(fract(v_Texcoord)) * float(TOTAL_SAMPLES);\n\n for (int i = 0; i < SAMPLE_PER_FRAME; i++) {\n vec3 H = importanceSampleNormalGGX(float(i) + jitter2, 1.0 - g, N);\n vec3 rayDir = normalize(reflect(-V, H));\n#else\n vec3 rayDir = normalize(reflect(-V, N));\n#endif\n vec2 hitPixel;\n vec3 hitPoint;\n\n bool intersect = traceScreenSpaceRay(rayOrigin, rayDir, jitter, hitPixel, hitPoint, iterationCount);\n\n float dist = distance(rayOrigin, hitPoint);\n\n vec3 hitNormal = texture2D(gBufferTexture1, hitPixel).rgb * 2.0 - 1.0;\n hitNormal = normalize((toViewSpace * vec4(hitNormal, 0.0)).xyz);\n#ifdef PHYSICALLY_CORRECT\n float ndl = clamp(dot(N, rayDir), 0.0, 1.0);\n float vdh = clamp(dot(V, H), 0.0, 1.0);\n float ndh = clamp(dot(N, H), 0.0, 1.0);\n vec3 litTexel = vec3(0.0);\n if (dot(hitNormal, rayDir) < 0.0 && intersect) {\n litTexel = texture2D(sourceTexture, hitPixel).rgb;\n litTexel *= pow(clamp(1.0 - dist / 200.0, 0.0, 1.0), 3.0);\n\n }\n else {\n #ifdef SPECULARCUBEMAP_ENABLED\n vec3 rayDirW = normalize(toWorldSpace * vec4(rayDir, 0.0)).rgb;\n litTexel = RGBMDecode(textureCubeLodEXT(specularCubemap, rayDirW, 0.0), 8.12).rgb * specularIntensity;\n#endif\n }\n color.rgb += ndl * litTexel * (\n F_Schlick(ndl, spec) * G_Smith(g, ndv, ndl) * vdh / (ndh * ndv + 0.001)\n );\n }\n color.rgb /= float(SAMPLE_PER_FRAME);\n#else\n #if !defined(SPECULARCUBEMAP_ENABLED)\n if (dot(hitNormal, rayDir) >= 0.0) {\n discard;\n }\n if (!intersect) {\n discard;\n }\n#endif\n float alpha = clamp(calculateAlpha(iterationCount, reflectivity, hitPixel, hitPoint, dist, rayDir), 0.0, 1.0);\n vec4 color = texture2D(sourceTexture, hitPixel);\n color.rgb *= alpha;\n\n#ifdef SPECULARCUBEMAP_ENABLED\n vec3 rayDirW = normalize(toWorldSpace * vec4(rayDir, 0.0)).rgb;\n alpha = alpha * (intersect ? 1.0 : 0.0);\n float bias = (1.0 -g) * 5.0;\n color.rgb += (1.0 - alpha)\n * RGBMDecode(textureCubeLodEXT(specularCubemap, rayDirW, bias), 8.12).rgb\n * specularIntensity;\n#endif\n\n#endif\n\n gl_FragColor = encodeHDR(color);\n}\n@end\n\n@export ecgl.ssr.blur\n\nuniform sampler2D texture;\nuniform sampler2D gBufferTexture1;\nuniform sampler2D gBufferTexture2;\nuniform mat4 projection;\nuniform float depthRange : 0.05;\n\nvarying vec2 v_Texcoord;\n\nuniform vec2 textureSize;\nuniform float blurSize : 1.0;\n\n#ifdef BLEND\n #ifdef SSAOTEX_ENABLED\nuniform sampler2D ssaoTex;\n #endif\nuniform sampler2D sourceTexture;\n#endif\n\nfloat getLinearDepth(vec2 coord)\n{\n float depth = texture2D(gBufferTexture2, coord).r * 2.0 - 1.0;\n return projection[3][2] / (depth * projection[2][3] - projection[2][2]);\n}\n\n@import clay.util.rgbm\n\n\nvoid main()\n{\n @import clay.compositor.kernel.gaussian_9\n\n vec4 centerNTexel = texture2D(gBufferTexture1, v_Texcoord);\n float g = centerNTexel.a;\n float maxBlurSize = clamp(1.0 - g, 0.0, 1.0) * blurSize;\n#ifdef VERTICAL\n vec2 off = vec2(0.0, maxBlurSize / textureSize.y);\n#else\n vec2 off = vec2(maxBlurSize / textureSize.x, 0.0);\n#endif\n\n vec2 coord = v_Texcoord;\n\n vec4 sum = vec4(0.0);\n float weightAll = 0.0;\n\n vec3 cN = centerNTexel.rgb * 2.0 - 1.0;\n float cD = getLinearDepth(v_Texcoord);\n for (int i = 0; i < 9; i++) {\n vec2 coord = clamp((float(i) - 4.0) * off + v_Texcoord, vec2(0.0), vec2(1.0));\n float w = gaussianKernel[i]\n * clamp(dot(cN, texture2D(gBufferTexture1, coord).rgb * 2.0 - 1.0), 0.0, 1.0);\n float d = getLinearDepth(coord);\n w *= (1.0 - smoothstep(abs(cD - d) / depthRange, 0.0, 1.0));\n\n weightAll += w;\n sum += decodeHDR(texture2D(texture, coord)) * w;\n }\n\n#ifdef BLEND\n float aoFactor = 1.0;\n #ifdef SSAOTEX_ENABLED\n aoFactor = texture2D(ssaoTex, v_Texcoord).r;\n #endif\n gl_FragColor = encodeHDR(\n sum / weightAll * aoFactor + decodeHDR(texture2D(sourceTexture, v_Texcoord))\n );\n#else\n gl_FragColor = encodeHDR(sum / weightAll);\n#endif\n}\n\n@end"),dN.prototype.setAmbientCubemap=function(e,t){this._ssrPass.material.set("specularCubemap",e),this._ssrPass.material.set("specularIntensity",t);var n=e&&t;this._ssrPass.material[n?"enableTexture":"disableTexture"]("specularCubemap")},dN.prototype.update=function(e,t,n,r){var i=e.getWidth(),o=e.getHeight(),a=this._ssrTexture,s=this._texture2,l=this._texture3;a.width=this._prevTexture.width=this._currentTexture.width=i/this._downScale,a.height=this._prevTexture.height=this._currentTexture.height=o/this._downScale,s.width=l.width=i,s.height=l.height=o;var u=this._frameBuffer,c=this._ssrPass,h=this._blurPass1,d=this._blurPass2,p=this._blendPass,f=new HC,g=new HC;HC.transpose(f,t.worldTransform),HC.transpose(g,t.viewMatrix),c.setUniform("sourceTexture",n),c.setUniform("projection",t.projectionMatrix.array),c.setUniform("projectionInv",t.invProjectionMatrix.array),c.setUniform("toViewSpace",f.array),c.setUniform("toWorldSpace",g.array),c.setUniform("nearZ",t.near);var m=r/this._totalSamples*this._samplePerFrame;if(c.setUniform("jitterOffset",m),c.setUniform("sampleOffset",r*this._samplePerFrame),h.setUniform("textureSize",[a.width,a.height]),d.setUniform("textureSize",[i,o]),d.setUniform("sourceTexture",n),h.setUniform("projection",t.projectionMatrix.array),d.setUniform("projection",t.projectionMatrix.array),u.attach(a),u.bind(e),c.render(e),this._physicallyCorrect&&(u.attach(this._currentTexture),p.setUniform("texture1",this._prevTexture),p.setUniform("texture2",a),p.material.set({weight1:r>=1?.95:0,weight2:r>=1?.05:1}),p.render(e)),u.attach(s),h.setUniform("texture",this._physicallyCorrect?this._currentTexture:a),h.render(e),u.attach(l),d.setUniform("texture",s),d.render(e),u.unbind(e),this._physicallyCorrect){var v=this._prevTexture;this._prevTexture=this._currentTexture,this._currentTexture=v}},dN.prototype.getTargetTexture=function(){return this._texture3},dN.prototype.setParameter=function(e,t){"maxIteration"===e?this._ssrPass.material.define("fragment","MAX_ITERATION",t):this._ssrPass.setUniform(e,t)},dN.prototype.setPhysicallyCorrect=function(e){e?(this._normalDistribution||(this._normalDistribution=bL.generateNormalDistribution(64,this._totalSamples)),this._ssrPass.material.define("fragment","PHYSICALLY_CORRECT"),this._ssrPass.material.set("normalDistribution",this._normalDistribution),this._ssrPass.material.set("normalDistributionSize",[64,this._totalSamples])):this._ssrPass.material.undefine("fragment","PHYSICALLY_CORRECT"),this._physicallyCorrect=e},dN.prototype.setSSAOTexture=function(e){var t=this._blurPass2;e?(t.material.enableTexture("ssaoTex"),t.material.set("ssaoTex",e)):t.material.disableTexture("ssaoTex")},dN.prototype.isFinished=function(e){return!this._physicallyCorrect||e>this._totalSamples/this._samplePerFrame},dN.prototype.dispose=function(e){this._ssrTexture.dispose(e),this._texture2.dispose(e),this._texture3.dispose(e),this._prevTexture.dispose(e),this._currentTexture.dispose(e),this._frameBuffer.dispose(e)};const pN=dN,fN=[0,0,-.321585265978,-.154972575841,.458126042375,.188473391593,.842080129861,.527766490688,.147304551086,-.659453822776,-.331943915203,-.940619700594,.0479226680259,.54812163202,.701581552186,-.709825561388,-.295436780218,.940589268233,-.901489676764,.237713156085,.973570876096,-.109899459384,-.866792314779,-.451805525005,.330975007087,.800048655954,-.344275183665,.381779221166,-.386139432542,-.437418421534,-.576478634965,-.0148463392551,.385798197415,-.262426961053,-.666302061145,.682427250835,-.628010632582,-.732836215494,.10163141741,-.987658134403,.711995289051,-.320024291314,.0296005138058,.950296523438,.0130612307608,-.351024443122,-.879596633704,-.10478487883,.435712737232,.504254490347,.779203817497,.206477676721,.388264289969,-.896736162545,-.153106280781,-.629203242522,-.245517550697,.657969239148,.126830499058,.26862328493,-.634888119007,-.302301223431,.617074219636,.779817204925];function gN(e,t,n,r,i){var o=e.gl;t.setUniform(o,"1i",n,i),o.activeTexture(o.TEXTURE0+i),r.isRenderable()?r.bind(e):r.unbind(e)}function mN(e,t,n,r,i){var o,a,s,l,u=e.gl;return function(i,c,h){if(!l||l.material!==i.material){var d=i.material,p=i.__program,f=d.get("roughness");null==f&&(f=1);var g=d.get("normalMap")||t,m=d.get("roughnessMap"),v=d.get("bumpMap"),y=d.get("uvRepeat"),_=d.get("uvOffset"),x=d.get("detailUvRepeat"),b=d.get("detailUvOffset"),w=!!v&&d.isTextureEnabled("bumpMap"),S=!!m&&d.isTextureEnabled("roughnessMap"),M=d.isDefined("fragment","DOUBLE_SIDED");v=v||n,m=m||r,h!==c?(c.set("normalMap",g),c.set("bumpMap",v),c.set("roughnessMap",m),c.set("useBumpMap",w),c.set("useRoughnessMap",S),c.set("doubleSide",M),null!=y&&c.set("uvRepeat",y),null!=_&&c.set("uvOffset",_),null!=x&&c.set("detailUvRepeat",x),null!=b&&c.set("detailUvOffset",b),c.set("roughness",f)):(p.setUniform(u,"1f","roughness",f),o!==g&&gN(e,p,"normalMap",g,0),a!==v&&v&&gN(e,p,"bumpMap",v,1),s!==m&&m&&gN(e,p,"roughnessMap",m,2),null!=y&&p.setUniform(u,"2f","uvRepeat",y),null!=_&&p.setUniform(u,"2f","uvOffset",_),null!=x&&p.setUniform(u,"2f","detailUvRepeat",x),null!=b&&p.setUniform(u,"2f","detailUvOffset",b),p.setUniform(u,"1i","useBumpMap",+w),p.setUniform(u,"1i","useRoughnessMap",+S),p.setUniform(u,"1i","doubleSide",+M)),o=g,a=v,s=m,l=i}}}function vN(e){e=e||{},this._depthTex=new SD({format:mD.DEPTH_COMPONENT,type:mD.UNSIGNED_INT}),this._normalTex=new SD({type:mD.HALF_FLOAT}),this._framebuffer=new kE,this._framebuffer.attach(this._normalTex),this._framebuffer.attach(this._depthTex,kE.DEPTH_ATTACHMENT),this._normalMaterial=new aI({shader:new jI(jI.source("ecgl.normal.vertex"),jI.source("ecgl.normal.fragment"))}),this._normalMaterial.enableTexture(["normalMap","bumpMap","roughnessMap"]),this._defaultNormalMap=lL.createBlank("#000"),this._defaultBumpMap=lL.createBlank("#000"),this._defaultRoughessMap=lL.createBlank("#000"),this._debugPass=new yL({fragment:jI.source("clay.compositor.output")}),this._debugPass.setUniform("texture",this._normalTex),this._debugPass.material.undefine("fragment","OUTPUT_ALPHA")}jI.import("@export ecgl.normal.vertex\n\n@import ecgl.common.transformUniforms\n\n@import ecgl.common.uv.header\n\n@import ecgl.common.attributes\n\nvarying vec3 v_Normal;\nvarying vec3 v_WorldPosition;\n\n@import ecgl.common.normalMap.vertexHeader\n\n@import ecgl.common.vertexAnimation.header\n\nvoid main()\n{\n\n @import ecgl.common.vertexAnimation.main\n\n @import ecgl.common.uv.main\n\n v_Normal = normalize((worldInverseTranspose * vec4(normal, 0.0)).xyz);\n v_WorldPosition = (world * vec4(pos, 1.0)).xyz;\n\n @import ecgl.common.normalMap.vertexMain\n\n gl_Position = worldViewProjection * vec4(pos, 1.0);\n\n}\n\n\n@end\n\n\n@export ecgl.normal.fragment\n\n#define ROUGHNESS_CHANEL 0\n\nuniform bool useBumpMap;\nuniform bool useRoughnessMap;\nuniform bool doubleSide;\nuniform float roughness;\n\n@import ecgl.common.uv.fragmentHeader\n\nvarying vec3 v_Normal;\nvarying vec3 v_WorldPosition;\n\nuniform mat4 viewInverse : VIEWINVERSE;\n\n@import ecgl.common.normalMap.fragmentHeader\n@import ecgl.common.bumpMap.header\n\nuniform sampler2D roughnessMap;\n\nvoid main()\n{\n vec3 N = v_Normal;\n \n bool flipNormal = false;\n if (doubleSide) {\n vec3 eyePos = viewInverse[3].xyz;\n vec3 V = normalize(eyePos - v_WorldPosition);\n\n if (dot(N, V) < 0.0) {\n flipNormal = true;\n }\n }\n\n @import ecgl.common.normalMap.fragmentMain\n\n if (useBumpMap) {\n N = bumpNormal(v_WorldPosition, v_Normal, N);\n }\n\n float g = 1.0 - roughness;\n\n if (useRoughnessMap) {\n float g2 = 1.0 - texture2D(roughnessMap, v_DetailTexcoord)[ROUGHNESS_CHANEL];\n g = clamp(g2 + (g - 0.5) * 2.0, 0.0, 1.0);\n }\n\n if (flipNormal) {\n N = -N;\n }\n\n gl_FragColor.rgb = (N.xyz + 1.0) * 0.5;\n gl_FragColor.a = g;\n}\n@end"),vN.prototype.getDepthTexture=function(){return this._depthTex},vN.prototype.getNormalTexture=function(){return this._normalTex},vN.prototype.update=function(e,t,n){var r=e.getWidth(),i=e.getHeight(),o=this._depthTex,a=this._normalTex,s=this._normalMaterial;o.width=r,o.height=i,a.width=r,a.height=i;var l=t.getRenderList(n).opaque;this._framebuffer.bind(e),e.gl.clearColor(0,0,0,0),e.gl.clear(e.gl.COLOR_BUFFER_BIT|e.gl.DEPTH_BUFFER_BIT),e.gl.disable(e.gl.BLEND),e.renderPass(l,n,{getMaterial:function(){return s},ifRender:function(e){return e.renderNormal},beforeRender:mN(e,this._defaultNormalMap,this._defaultBumpMap,this._defaultRoughessMap,this._normalMaterial),sort:e.opaqueSortCompare}),this._framebuffer.unbind(e)},vN.prototype.renderDebug=function(e){this._debugPass.render(e)},vN.prototype.dispose=function(e){this._depthTex.dispose(e),this._normalTex.dispose(e)};const yN=vN;function _N(e){e=e||{},this._edgePass=new yL({fragment:jI.source("ecgl.edge")}),this._edgePass.setUniform("normalTexture",e.normalTexture),this._edgePass.setUniform("depthTexture",e.depthTexture),this._targetTexture=new SD({type:mD.HALF_FLOAT}),this._frameBuffer=new kE,this._frameBuffer.attach(this._targetTexture)}_N.prototype.update=function(e,t,n,r){var i=e.getWidth(),o=e.getHeight(),a=this._targetTexture;a.width=i,a.height=o;var s=this._frameBuffer;s.bind(e),this._edgePass.setUniform("projectionInv",t.invProjectionMatrix.array),this._edgePass.setUniform("textureSize",[i,o]),this._edgePass.setUniform("texture",n),this._edgePass.render(e),s.unbind(e)},_N.prototype.getTargetTexture=function(){return this._targetTexture},_N.prototype.setParameter=function(e,t){this._edgePass.setUniform(e,t)},_N.prototype.dispose=function(e){this._targetTexture.dispose(e),this._frameBuffer.dispose(e)};const xN=_N,bN={type:"compositor",nodes:[{name:"source",type:"texture",outputs:{color:{}}},{name:"source_half",shader:"#source(clay.compositor.downsample)",inputs:{texture:"source"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 2)",height:"expr(height * 1.0 / 2)",type:"HALF_FLOAT"}}},parameters:{textureSize:"expr( [width * 1.0, height * 1.0] )"}},{name:"bright",shader:"#source(clay.compositor.bright)",inputs:{texture:"source_half"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 2)",height:"expr(height * 1.0 / 2)",type:"HALF_FLOAT"}}},parameters:{threshold:2,scale:4,textureSize:"expr([width * 1.0 / 2, height / 2])"}},{name:"bright_downsample_4",shader:"#source(clay.compositor.downsample)",inputs:{texture:"bright"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 4)",height:"expr(height * 1.0 / 4)",type:"HALF_FLOAT"}}},parameters:{textureSize:"expr( [width * 1.0 / 2, height / 2] )"}},{name:"bright_downsample_8",shader:"#source(clay.compositor.downsample)",inputs:{texture:"bright_downsample_4"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 8)",height:"expr(height * 1.0 / 8)",type:"HALF_FLOAT"}}},parameters:{textureSize:"expr( [width * 1.0 / 4, height / 4] )"}},{name:"bright_downsample_16",shader:"#source(clay.compositor.downsample)",inputs:{texture:"bright_downsample_8"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 16)",height:"expr(height * 1.0 / 16)",type:"HALF_FLOAT"}}},parameters:{textureSize:"expr( [width * 1.0 / 8, height / 8] )"}},{name:"bright_downsample_32",shader:"#source(clay.compositor.downsample)",inputs:{texture:"bright_downsample_16"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 32)",height:"expr(height * 1.0 / 32)",type:"HALF_FLOAT"}}},parameters:{textureSize:"expr( [width * 1.0 / 16, height / 16] )"}},{name:"bright_upsample_16_blur_h",shader:"#source(clay.compositor.gaussian_blur)",inputs:{texture:"bright_downsample_32"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 16)",height:"expr(height * 1.0 / 16)",type:"HALF_FLOAT"}}},parameters:{blurSize:1,blurDir:0,textureSize:"expr( [width * 1.0 / 32, height / 32] )"}},{name:"bright_upsample_16_blur_v",shader:"#source(clay.compositor.gaussian_blur)",inputs:{texture:"bright_upsample_16_blur_h"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 16)",height:"expr(height * 1.0 / 16)",type:"HALF_FLOAT"}}},parameters:{blurSize:1,blurDir:1,textureSize:"expr( [width * 1.0 / 16, height * 1.0 / 16] )"}},{name:"bright_upsample_8_blur_h",shader:"#source(clay.compositor.gaussian_blur)",inputs:{texture:"bright_downsample_16"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 8)",height:"expr(height * 1.0 / 8)",type:"HALF_FLOAT"}}},parameters:{blurSize:1,blurDir:0,textureSize:"expr( [width * 1.0 / 16, height * 1.0 / 16] )"}},{name:"bright_upsample_8_blur_v",shader:"#source(clay.compositor.gaussian_blur)",inputs:{texture:"bright_upsample_8_blur_h"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 8)",height:"expr(height * 1.0 / 8)",type:"HALF_FLOAT"}}},parameters:{blurSize:1,blurDir:1,textureSize:"expr( [width * 1.0 / 8, height * 1.0 / 8] )"}},{name:"bright_upsample_8_blend",shader:"#source(clay.compositor.blend)",inputs:{texture1:"bright_upsample_8_blur_v",texture2:"bright_upsample_16_blur_v"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 8)",height:"expr(height * 1.0 / 8)",type:"HALF_FLOAT"}}},parameters:{weight1:.3,weight2:.7}},{name:"bright_upsample_4_blur_h",shader:"#source(clay.compositor.gaussian_blur)",inputs:{texture:"bright_downsample_8"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 4)",height:"expr(height * 1.0 / 4)",type:"HALF_FLOAT"}}},parameters:{blurSize:1,blurDir:0,textureSize:"expr( [width * 1.0 / 8, height * 1.0 / 8] )"}},{name:"bright_upsample_4_blur_v",shader:"#source(clay.compositor.gaussian_blur)",inputs:{texture:"bright_upsample_4_blur_h"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 4)",height:"expr(height * 1.0 / 4)",type:"HALF_FLOAT"}}},parameters:{blurSize:1,blurDir:1,textureSize:"expr( [width * 1.0 / 4, height * 1.0 / 4] )"}},{name:"bright_upsample_4_blend",shader:"#source(clay.compositor.blend)",inputs:{texture1:"bright_upsample_4_blur_v",texture2:"bright_upsample_8_blend"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 4)",height:"expr(height * 1.0 / 4)",type:"HALF_FLOAT"}}},parameters:{weight1:.3,weight2:.7}},{name:"bright_upsample_2_blur_h",shader:"#source(clay.compositor.gaussian_blur)",inputs:{texture:"bright_downsample_4"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 2)",height:"expr(height * 1.0 / 2)",type:"HALF_FLOAT"}}},parameters:{blurSize:1,blurDir:0,textureSize:"expr( [width * 1.0 / 4, height * 1.0 / 4] )"}},{name:"bright_upsample_2_blur_v",shader:"#source(clay.compositor.gaussian_blur)",inputs:{texture:"bright_upsample_2_blur_h"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 2)",height:"expr(height * 1.0 / 2)",type:"HALF_FLOAT"}}},parameters:{blurSize:1,blurDir:1,textureSize:"expr( [width * 1.0 / 2, height * 1.0 / 2] )"}},{name:"bright_upsample_2_blend",shader:"#source(clay.compositor.blend)",inputs:{texture1:"bright_upsample_2_blur_v",texture2:"bright_upsample_4_blend"},outputs:{color:{parameters:{width:"expr(width * 1.0 / 2)",height:"expr(height * 1.0 / 2)",type:"HALF_FLOAT"}}},parameters:{weight1:.3,weight2:.7}},{name:"bright_upsample_full_blur_h",shader:"#source(clay.compositor.gaussian_blur)",inputs:{texture:"bright"},outputs:{color:{parameters:{width:"expr(width * 1.0)",height:"expr(height * 1.0)",type:"HALF_FLOAT"}}},parameters:{blurSize:1,blurDir:0,textureSize:"expr( [width * 1.0 / 2, height * 1.0 / 2] )"}},{name:"bright_upsample_full_blur_v",shader:"#source(clay.compositor.gaussian_blur)",inputs:{texture:"bright_upsample_full_blur_h"},outputs:{color:{parameters:{width:"expr(width * 1.0)",height:"expr(height * 1.0)",type:"HALF_FLOAT"}}},parameters:{blurSize:1,blurDir:1,textureSize:"expr( [width * 1.0, height * 1.0] )"}},{name:"bloom_composite",shader:"#source(clay.compositor.blend)",inputs:{texture1:"bright_upsample_full_blur_v",texture2:"bright_upsample_2_blend"},outputs:{color:{parameters:{width:"expr(width * 1.0)",height:"expr(height * 1.0)",type:"HALF_FLOAT"}}},parameters:{weight1:.3,weight2:.7}},{name:"coc",shader:"#source(ecgl.dof.coc)",outputs:{color:{parameters:{minFilter:"NEAREST",magFilter:"NEAREST",width:"expr(width * 1.0)",height:"expr(height * 1.0)"}}},parameters:{focalDist:50,focalRange:30}},{name:"dof_far_blur",shader:"#source(ecgl.dof.diskBlur)",inputs:{texture:"source",coc:"coc"},outputs:{color:{parameters:{width:"expr(width * 1.0)",height:"expr(height * 1.0)",type:"HALF_FLOAT"}}},parameters:{textureSize:"expr( [width * 1.0, height * 1.0] )"}},{name:"dof_near_blur",shader:"#source(ecgl.dof.diskBlur)",inputs:{texture:"source",coc:"coc"},outputs:{color:{parameters:{width:"expr(width * 1.0)",height:"expr(height * 1.0)",type:"HALF_FLOAT"}}},parameters:{textureSize:"expr( [width * 1.0, height * 1.0] )"},defines:{BLUR_NEARFIELD:null}},{name:"dof_coc_blur",shader:"#source(ecgl.dof.diskBlur)",inputs:{texture:"coc"},outputs:{color:{parameters:{minFilter:"NEAREST",magFilter:"NEAREST",width:"expr(width * 1.0)",height:"expr(height * 1.0)"}}},parameters:{textureSize:"expr( [width * 1.0, height * 1.0] )"},defines:{BLUR_COC:null}},{name:"dof_composite",shader:"#source(ecgl.dof.composite)",inputs:{original:"source",blurred:"dof_far_blur",nearfield:"dof_near_blur",coc:"coc",nearcoc:"dof_coc_blur"},outputs:{color:{parameters:{width:"expr(width * 1.0)",height:"expr(height * 1.0)",type:"HALF_FLOAT"}}}},{name:"composite",shader:"#source(clay.compositor.hdr.composite)",inputs:{texture:"source",bloom:"bloom_composite"},outputs:{color:{parameters:{width:"expr(width * 1.0)",height:"expr(height * 1.0)"}}},defines:{}},{name:"FXAA",shader:"#source(clay.compositor.fxaa)",inputs:{texture:"composite"}}]};function wN(e,t){return{color:{parameters:{width:e,height:t}}}}jI.import(UO),jI.import(WO),jI.import(jO),jI.import(XO),jI.import(YO),jI.import(ZO),jI.import(qO),jI.import($O),jI.import(KO),jI.import("@export ecgl.dof.coc\n\nuniform sampler2D depth;\n\nuniform float zNear: 0.1;\nuniform float zFar: 2000;\n\nuniform float focalDistance: 3;\nuniform float focalRange: 1;\nuniform float focalLength: 30;\nuniform float fstop: 2.8;\n\nvarying vec2 v_Texcoord;\n\n@import clay.util.encode_float\n\nvoid main()\n{\n float z = texture2D(depth, v_Texcoord).r * 2.0 - 1.0;\n\n float dist = 2.0 * zNear * zFar / (zFar + zNear - z * (zFar - zNear));\n\n float aperture = focalLength / fstop;\n\n float coc;\n\n float uppper = focalDistance + focalRange;\n float lower = focalDistance - focalRange;\n if (dist <= uppper && dist >= lower) {\n coc = 0.5;\n }\n else {\n float focalAdjusted = dist > uppper ? uppper : lower;\n\n coc = abs(aperture * (focalLength * (dist - focalAdjusted)) / (dist * (focalAdjusted - focalLength)));\n coc = clamp(coc, 0.0, 2.0) / 2.00001;\n\n if (dist < lower) {\n coc = -coc;\n }\n coc = coc * 0.5 + 0.5;\n }\n\n gl_FragColor = encodeFloat(coc);\n}\n@end\n\n\n@export ecgl.dof.composite\n\n#define DEBUG 0\n\nuniform sampler2D original;\nuniform sampler2D blurred;\nuniform sampler2D nearfield;\nuniform sampler2D coc;\nuniform sampler2D nearcoc;\nvarying vec2 v_Texcoord;\n\n@import clay.util.rgbm\n@import clay.util.float\n\nvoid main()\n{\n vec4 blurredColor = texture2D(blurred, v_Texcoord);\n vec4 originalColor = texture2D(original, v_Texcoord);\n\n float fCoc = decodeFloat(texture2D(coc, v_Texcoord));\n\n fCoc = abs(fCoc * 2.0 - 1.0);\n\n float weight = smoothstep(0.0, 1.0, fCoc);\n \n#ifdef NEARFIELD_ENABLED\n vec4 nearfieldColor = texture2D(nearfield, v_Texcoord);\n float fNearCoc = decodeFloat(texture2D(nearcoc, v_Texcoord));\n fNearCoc = abs(fNearCoc * 2.0 - 1.0);\n\n gl_FragColor = encodeHDR(\n mix(\n nearfieldColor, mix(originalColor, blurredColor, weight),\n pow(1.0 - fNearCoc, 4.0)\n )\n );\n#else\n gl_FragColor = encodeHDR(mix(originalColor, blurredColor, weight));\n#endif\n\n}\n\n@end\n\n\n\n@export ecgl.dof.diskBlur\n\n#define POISSON_KERNEL_SIZE 16;\n\nuniform sampler2D texture;\nuniform sampler2D coc;\nvarying vec2 v_Texcoord;\n\nuniform float blurRadius : 10.0;\nuniform vec2 textureSize : [512.0, 512.0];\n\nuniform vec2 poissonKernel[POISSON_KERNEL_SIZE];\n\nuniform float percent;\n\nfloat nrand(const in vec2 n) {\n return fract(sin(dot(n.xy ,vec2(12.9898,78.233))) * 43758.5453);\n}\n\n@import clay.util.rgbm\n@import clay.util.float\n\n\nvoid main()\n{\n vec2 offset = blurRadius / textureSize;\n\n float rnd = 6.28318 * nrand(v_Texcoord + 0.07 * percent );\n float cosa = cos(rnd);\n float sina = sin(rnd);\n vec4 basis = vec4(cosa, -sina, sina, cosa);\n\n#if !defined(BLUR_NEARFIELD) && !defined(BLUR_COC)\n offset *= abs(decodeFloat(texture2D(coc, v_Texcoord)) * 2.0 - 1.0);\n#endif\n\n#ifdef BLUR_COC\n float cocSum = 0.0;\n#else\n vec4 color = vec4(0.0);\n#endif\n\n\n float weightSum = 0.0;\n\n for (int i = 0; i < POISSON_KERNEL_SIZE; i++) {\n vec2 ofs = poissonKernel[i];\n\n ofs = vec2(dot(ofs, basis.xy), dot(ofs, basis.zw));\n\n vec2 uv = v_Texcoord + ofs * offset;\n vec4 texel = texture2D(texture, uv);\n\n float w = 1.0;\n#ifdef BLUR_COC\n float fCoc = decodeFloat(texel) * 2.0 - 1.0;\n cocSum += clamp(fCoc, -1.0, 0.0) * w;\n#else\n texel = texel;\n #if !defined(BLUR_NEARFIELD)\n float fCoc = decodeFloat(texture2D(coc, uv)) * 2.0 - 1.0;\n w *= abs(fCoc);\n #endif\n texel.rgb *= texel.a;\n color += texel * w;\n#endif\n\n weightSum += w;\n }\n\n#ifdef BLUR_COC\n gl_FragColor = encodeFloat(clamp(cocSum / weightSum, -1.0, 0.0) * 0.5 + 0.5);\n#else\n color /= weightSum;\n color.rgb /= (color.a + 0.0001);\n gl_FragColor = color;\n#endif\n}\n\n@end"),jI.import("@export ecgl.edge\n\nuniform sampler2D texture;\n\nuniform sampler2D normalTexture;\nuniform sampler2D depthTexture;\n\nuniform mat4 projectionInv;\n\nuniform vec2 textureSize;\n\nuniform vec4 edgeColor: [0,0,0,0.8];\n\nvarying vec2 v_Texcoord;\n\nvec3 packColor(vec2 coord) {\n float z = texture2D(depthTexture, coord).r * 2.0 - 1.0;\n vec4 p = vec4(v_Texcoord * 2.0 - 1.0, z, 1.0);\n vec4 p4 = projectionInv * p;\n\n return vec3(\n texture2D(normalTexture, coord).rg,\n -p4.z / p4.w / 5.0\n );\n}\n\nvoid main() {\n vec2 cc = v_Texcoord;\n vec3 center = packColor(cc);\n\n float size = clamp(1.0 - (center.z - 10.0) / 100.0, 0.0, 1.0) * 0.5;\n float dx = size / textureSize.x;\n float dy = size / textureSize.y;\n\n vec2 coord;\n vec3 topLeft = packColor(cc+vec2(-dx, -dy));\n vec3 top = packColor(cc+vec2(0.0, -dy));\n vec3 topRight = packColor(cc+vec2(dx, -dy));\n vec3 left = packColor(cc+vec2(-dx, 0.0));\n vec3 right = packColor(cc+vec2(dx, 0.0));\n vec3 bottomLeft = packColor(cc+vec2(-dx, dy));\n vec3 bottom = packColor(cc+vec2(0.0, dy));\n vec3 bottomRight = packColor(cc+vec2(dx, dy));\n\n vec3 v = -topLeft-2.0*top-topRight+bottomLeft+2.0*bottom+bottomRight;\n vec3 h = -bottomLeft-2.0*left-topLeft+bottomRight+2.0*right+topRight;\n\n float edge = sqrt(dot(h, h) + dot(v, v));\n\n edge = smoothstep(0.8, 1.0, edge);\n\n gl_FragColor = mix(texture2D(texture, v_Texcoord), vec4(edgeColor.rgb, 1.0), edgeColor.a * edge);\n}\n@end");var SN=["composite","FXAA"];function MN(){this._width,this._height,this._dpr,this._sourceTexture=new SD({type:mD.HALF_FLOAT}),this._depthTexture=new SD({format:mD.DEPTH_COMPONENT,type:mD.UNSIGNED_INT}),this._framebuffer=new kE,this._framebuffer.attach(this._sourceTexture),this._framebuffer.attach(this._depthTexture,kE.DEPTH_ATTACHMENT),this._normalPass=new yN,this._compositor=oN(bN);var e=this._compositor.getNodeByName("source");e.texture=this._sourceTexture;var t=this._compositor.getNodeByName("coc");this._sourceNode=e,this._cocNode=t,this._compositeNode=this._compositor.getNodeByName("composite"),this._fxaaNode=this._compositor.getNodeByName("FXAA"),this._dofBlurNodes=["dof_far_blur","dof_near_blur","dof_coc_blur"].map((function(e){return this._compositor.getNodeByName(e)}),this),this._dofBlurKernel=0,this._dofBlurKernelSize=new Float32Array(0),this._finalNodesChain=SN.map((function(e){return this._compositor.getNodeByName(e)}),this);var n={normalTexture:this._normalPass.getNormalTexture(),depthTexture:this._normalPass.getDepthTexture()};this._ssaoPass=new hN(n),this._ssrPass=new pN(n),this._edgePass=new xN(n)}MN.prototype.resize=function(e,t,n){e*=n=n||1,t*=n;var r=this._sourceTexture,i=this._depthTexture;r.width=e,r.height=t,i.width=e,i.height=t;var o={getWidth:function(){return e},getHeight:function(){return t},getDevicePixelRatio:function(){return n}};function a(e,t){if("function"==typeof e[t]){var n=e[t].__original||e[t];e[t]=function(e){return n.call(this,o)},e[t].__original=n}}this._compositor.nodes.forEach((function(e){for(var t in e.outputs){var n=e.outputs[t].parameters;n&&(a(n,"width"),a(n,"height"))}for(var r in e.parameters)a(e.parameters,r)})),this._width=e,this._height=t,this._dpr=n},MN.prototype.getWidth=function(){return this._width},MN.prototype.getHeight=function(){return this._height},MN.prototype._ifRenderNormalPass=function(){return this._enableSSAO||this._enableEdge||this._enableSSR},MN.prototype._getPrevNode=function(e){for(var t=SN.indexOf(e.name)-1,n=this._finalNodesChain[t];n&&!this._compositor.getNodeByName(n.name);)t-=1,n=this._finalNodesChain[t];return n},MN.prototype._getNextNode=function(e){for(var t=SN.indexOf(e.name)+1,n=this._finalNodesChain[t];n&&!this._compositor.getNodeByName(n.name);)t+=1,n=this._finalNodesChain[t];return n},MN.prototype._addChainNode=function(e){var t=this._getPrevNode(e),n=this._getNextNode(e);t&&(e.inputs.texture=t.name,n?(e.outputs=wN(this.getWidth.bind(this),this.getHeight.bind(this)),n.inputs.texture=e.name):e.outputs=null,this._compositor.addNode(e))},MN.prototype._removeChainNode=function(e){var t=this._getPrevNode(e),n=this._getNextNode(e);t&&(n?(t.outputs=wN(this.getWidth.bind(this),this.getHeight.bind(this)),n.inputs.texture=t.name):t.outputs=null,this._compositor.removeNode(e))},MN.prototype.updateNormal=function(e,t,n,r){this._ifRenderNormalPass()&&this._normalPass.update(e,t,n)},MN.prototype.updateSSAO=function(e,t,n,r){this._ssaoPass.update(e,n,r)},MN.prototype.enableSSAO=function(){this._enableSSAO=!0},MN.prototype.disableSSAO=function(){this._enableSSAO=!1},MN.prototype.enableSSR=function(){this._enableSSR=!0},MN.prototype.disableSSR=function(){this._enableSSR=!1},MN.prototype.getSSAOTexture=function(){return this._ssaoPass.getTargetTexture()},MN.prototype.getSourceFrameBuffer=function(){return this._framebuffer},MN.prototype.getSourceTexture=function(){return this._sourceTexture},MN.prototype.disableFXAA=function(){this._removeChainNode(this._fxaaNode)},MN.prototype.enableFXAA=function(){this._addChainNode(this._fxaaNode)},MN.prototype.enableBloom=function(){this._compositeNode.inputs.bloom="bloom_composite",this._compositor.dirty()},MN.prototype.disableBloom=function(){this._compositeNode.inputs.bloom=null,this._compositor.dirty()},MN.prototype.enableDOF=function(){this._compositeNode.inputs.texture="dof_composite",this._compositor.dirty()},MN.prototype.disableDOF=function(){this._compositeNode.inputs.texture="source",this._compositor.dirty()},MN.prototype.enableColorCorrection=function(){this._compositeNode.define("COLOR_CORRECTION"),this._enableColorCorrection=!0},MN.prototype.disableColorCorrection=function(){this._compositeNode.undefine("COLOR_CORRECTION"),this._enableColorCorrection=!1},MN.prototype.enableEdge=function(){this._enableEdge=!0},MN.prototype.disableEdge=function(){this._enableEdge=!1},MN.prototype.setBloomIntensity=function(e){this._compositeNode.setParameter("bloomIntensity",e)},MN.prototype.setSSAOParameter=function(e,t){switch(e){case"quality":var n={low:6,medium:12,high:32,ultra:62}[t]||12;this._ssaoPass.setParameter("kernelSize",n);break;case"radius":this._ssaoPass.setParameter(e,t),this._ssaoPass.setParameter("bias",t/200);break;case"intensity":this._ssaoPass.setParameter(e,t)}},MN.prototype.setDOFParameter=function(e,t){switch(e){case"focalDistance":case"focalRange":case"fstop":this._cocNode.setParameter(e,t);break;case"blurRadius":for(var n=0;n<this._dofBlurNodes.length;n++)this._dofBlurNodes[n].setParameter("blurRadius",t);break;case"quality":var r={low:4,medium:8,high:16,ultra:32}[t]||8;for(this._dofBlurKernelSize=r,n=0;n<this._dofBlurNodes.length;n++)this._dofBlurNodes[n].pass.material.define("POISSON_KERNEL_SIZE",r);this._dofBlurKernel=new Float32Array(2*r)}},MN.prototype.setSSRParameter=function(e,t){if(null!=t)switch(e){case"quality":var n={low:10,medium:15,high:30,ultra:80}[t]||20,r={low:32,medium:16,high:8,ultra:4}[t]||16;this._ssrPass.setParameter("maxIteration",n),this._ssrPass.setParameter("pixelStride",r);break;case"maxRoughness":this._ssrPass.setParameter("minGlossiness",Math.max(Math.min(1-t,1),0));break;case"physical":this.setPhysicallyCorrectSSR(t);break;default:console.warn("Unkown SSR parameter "+e)}},MN.prototype.setPhysicallyCorrectSSR=function(e){this._ssrPass.setPhysicallyCorrect(e)},MN.prototype.setEdgeColor=function(e){var t=pP.parseColor(e);this._edgePass.setParameter("edgeColor",t)},MN.prototype.setExposure=function(e){this._compositeNode.setParameter("exposure",Math.pow(2,e))},MN.prototype.setColorLookupTexture=function(e,t){this._compositeNode.pass.material.setTextureImage("lut",this._enableColorCorrection?e:"none",t,{minFilter:pP.Texture.NEAREST,magFilter:pP.Texture.NEAREST,flipY:!1})},MN.prototype.setColorCorrection=function(e,t){this._compositeNode.setParameter(e,t)},MN.prototype.isSSREnabled=function(){return this._enableSSR},MN.prototype.composite=function(e,t,n,r,i){var o=this._sourceTexture,a=o;this._enableEdge&&(this._edgePass.update(e,n,o,i),o=a=this._edgePass.getTargetTexture()),this._enableSSR&&(this._ssrPass.update(e,n,o,i),a=this._ssrPass.getTargetTexture(),this._ssrPass.setSSAOTexture(this._enableSSAO?this._ssaoPass.getTargetTexture():null)),this._sourceNode.texture=a,this._cocNode.setParameter("depth",this._depthTexture);for(var s=this._dofBlurKernel,l=this._dofBlurKernelSize,u=i%Math.floor(fN.length/2/l),c=0;c<2*l;c++)s[c]=fN[c+u*l*2];for(c=0;c<this._dofBlurNodes.length;c++)this._dofBlurNodes[c].setParameter("percent",i/30),this._dofBlurNodes[c].setParameter("poissonKernel",s);this._cocNode.setParameter("zNear",n.near),this._cocNode.setParameter("zFar",n.far),this._compositor.render(e,r)},MN.prototype.dispose=function(e){this._sourceTexture.dispose(e),this._depthTexture.dispose(e),this._framebuffer.dispose(e),this._compositor.dispose(e),this._normalPass.dispose(e),this._ssaoPass.dispose(e)};const TN=MN;function AN(e){for(var t=[],n=0;n<30;n++)t.push([aN(n,2),aN(n,3)]);this._haltonSequence=t,this._frame=0,this._sourceTex=new SD,this._sourceFb=new kE,this._sourceFb.attach(this._sourceTex),this._prevFrameTex=new SD,this._outputTex=new SD;var r=this._blendPass=new yL({fragment:jI.source("clay.compositor.blend")});r.material.disableTexturesAll(),r.material.enableTexture(["texture1","texture2"]),this._blendFb=new kE({depthBuffer:!1}),this._outputPass=new yL({fragment:jI.source("clay.compositor.output"),blendWithPrevious:!0}),this._outputPass.material.define("fragment","OUTPUT_ALPHA"),this._outputPass.material.blend=function(e){e.blendEquationSeparate(e.FUNC_ADD,e.FUNC_ADD),e.blendFuncSeparate(e.ONE,e.ONE_MINUS_SRC_ALPHA,e.ONE,e.ONE_MINUS_SRC_ALPHA)}}AN.prototype={constructor:AN,jitterProjection:function(e,t){var n=e.viewport,r=n.devicePixelRatio||e.getDevicePixelRatio(),i=n.width*r,o=n.height*r,a=this._haltonSequence[this._frame%this._haltonSequence.length],s=new HC;s.array[12]=(2*a[0]-1)/i,s.array[13]=(2*a[1]-1)/o,HC.mul(t.projectionMatrix,s,t.projectionMatrix),HC.invert(t.invProjectionMatrix,t.projectionMatrix)},resetFrame:function(){this._frame=0},getFrame:function(){return this._frame},getSourceFrameBuffer:function(){return this._sourceFb},getOutputTexture:function(){return this._outputTex},resize:function(e,t){this._prevFrameTex.width=e,this._prevFrameTex.height=t,this._outputTex.width=e,this._outputTex.height=t,this._sourceTex.width=e,this._sourceTex.height=t,this._prevFrameTex.dirty(),this._outputTex.dirty(),this._sourceTex.dirty()},isFinished:function(){return this._frame>=this._haltonSequence.length},render:function(e,t,n){var r=this._blendPass;0===this._frame?(r.setUniform("weight1",0),r.setUniform("weight2",1)):(r.setUniform("weight1",.9),r.setUniform("weight2",.1)),r.setUniform("texture1",this._prevFrameTex),r.setUniform("texture2",t||this._sourceTex),this._blendFb.attach(this._outputTex),this._blendFb.bind(e),r.render(e),this._blendFb.unbind(e),n||(this._outputPass.setUniform("texture",this._outputTex),this._outputPass.render(e));var i=this._prevFrameTex;this._prevFrameTex=this._outputTex,this._outputTex=i,this._frame++},dispose:function(e){this._sourceFb.dispose(e),this._blendFb.dispose(e),this._prevFrameTex.dispose(e),this._outputTex.dispose(e),this._sourceTex.dispose(e),this._outputPass.dispose(e),this._blendPass.dispose(e)}};const IN=AN;function CN(e){e=e||"perspective",this.layer=null,this.scene=new vE,this.rootNode=this.scene,this.viewport={x:0,y:0,width:0,height:0},this.setProjection(e),this._compositor=new TN,this._temporalSS=new IN,this._shadowMapPass=new NO;for(var t=[],n=0,r=0;r<30;r++){for(var i=[],o=0;o<6;o++)i.push(4*aN(n,2)-2),i.push(4*aN(n,3)-2),n++;t.push(i)}this._pcfKernels=t,this.scene.on("beforerender",(function(e,t,n){this.needsTemporalSS()&&this._temporalSS.jitterProjection(e,n)}),this)}CN.prototype.setProjection=function(e){var t=this.camera;t&&t.update(),"perspective"===e?this.camera instanceof ME||(this.camera=new ME,t&&this.camera.setLocalTransform(t.localTransform)):this.camera instanceof fL||(this.camera=new fL,t&&this.camera.setLocalTransform(t.localTransform)),this.camera.near=.1,this.camera.far=2e3},CN.prototype.setViewport=function(e,t,n,r,i){this.camera instanceof ME&&(this.camera.aspect=n/r),i=i||1,this.viewport.x=e,this.viewport.y=t,this.viewport.width=n,this.viewport.height=r,this.viewport.devicePixelRatio=i,this._compositor.resize(n*i,r*i),this._temporalSS.resize(n*i,r*i)},CN.prototype.containPoint=function(e,t){var n=this.viewport;return t=this.layer.renderer.getHeight()-t,e>=n.x&&t>=n.y&&e<=n.x+n.width&&t<=n.y+n.height};var DN=new gI;CN.prototype.castRay=function(e,t,n){var r=this.layer.renderer,i=r.viewport;return r.viewport=this.viewport,r.screenToNDC(e,t,DN),this.camera.castRay(DN,n),r.viewport=i,n},CN.prototype.prepareRender=function(){this.scene.update(),this.camera.update(),this.scene.updateLights();var e=this.scene.updateRenderList(this.camera);this._needsSortProgressively=!1;for(var t=0;t<e.transparent.length;t++){var n=e.transparent[t].geometry;n.needsSortVerticesProgressively&&n.needsSortVerticesProgressively()&&(this._needsSortProgressively=!0),n.needsSortTrianglesProgressively&&n.needsSortTrianglesProgressively()&&(this._needsSortProgressively=!0)}this._frame=0,this._temporalSS.resetFrame()},CN.prototype.render=function(e,t){this._doRender(e,t,this._frame),this._frame++},CN.prototype.needsAccumulate=function(){return this.needsTemporalSS()||this._needsSortProgressively},CN.prototype.needsTemporalSS=function(){var e=this._enableTemporalSS;return"auto"===e&&(e=this._enablePostEffect),e},CN.prototype.hasDOF=function(){return this._enableDOF},CN.prototype.isAccumulateFinished=function(){return this.needsTemporalSS()?this._temporalSS.isFinished():this._frame>30},CN.prototype._doRender=function(e,t,n){var r=this.scene,i=this.camera;n=n||0,this._updateTransparent(e,r,i,n),t||(this._shadowMapPass.kernelPCF=this._pcfKernels[0],this._shadowMapPass.render(e,r,i,!0)),this._updateShadowPCFKernel(n);var o,a=e.clearColor;e.gl.clearColor(a[0],a[1],a[2],a[3]),this._enablePostEffect&&(this.needsTemporalSS()&&this._temporalSS.jitterProjection(e,i),this._compositor.updateNormal(e,r,i,this._temporalSS.getFrame())),this._updateSSAO(e,r,i,this._temporalSS.getFrame()),this._enablePostEffect?((o=this._compositor.getSourceFrameBuffer()).bind(e),e.gl.clear(e.gl.DEPTH_BUFFER_BIT|e.gl.COLOR_BUFFER_BIT),e.render(r,i,!0,!0),o.unbind(e),this.needsTemporalSS()&&t?(this._compositor.composite(e,r,i,this._temporalSS.getSourceFrameBuffer(),this._temporalSS.getFrame()),e.setViewport(this.viewport),this._temporalSS.render(e)):(e.setViewport(this.viewport),this._compositor.composite(e,r,i,null,0))):this.needsTemporalSS()&&t?((o=this._temporalSS.getSourceFrameBuffer()).bind(e),e.saveClear(),e.clearBit=e.gl.DEPTH_BUFFER_BIT|e.gl.COLOR_BUFFER_BIT,e.render(r,i,!0,!0),e.restoreClear(),o.unbind(e),e.setViewport(this.viewport),this._temporalSS.render(e)):(e.setViewport(this.viewport),e.render(r,i,!0,!0))},CN.prototype._updateTransparent=function(e,t,n,r){for(var i=new vC,o=new HC,a=n.getWorldPosition(),s=t.getRenderList(n).transparent,l=0;l<s.length;l++){var u=s[l],c=u.geometry;HC.invert(o,u.worldTransform),vC.transformMat4(i,a,o),c.needsSortTriangles&&c.needsSortTriangles()&&c.doSortTriangles(i,r),c.needsSortVertices&&c.needsSortVertices()&&c.doSortVertices(i,r)}},CN.prototype._updateSSAO=function(e,t,n){var r=this._enableSSAO&&this._enablePostEffect;r&&this._compositor.updateSSAO(e,t,n,this._temporalSS.getFrame());for(var i=t.getRenderList(n),o=0;o<i.opaque.length;o++){var a=i.opaque[o];a.renderNormal&&a.material[r?"enableTexture":"disableTexture"]("ssaoMap"),r&&a.material.set("ssaoMap",this._compositor.getSSAOTexture())}},CN.prototype._updateShadowPCFKernel=function(e){for(var t=this._pcfKernels[e%this._pcfKernels.length],n=this.scene.getRenderList(this.camera).opaque,r=0;r<n.length;r++)n[r].receiveShadow&&(n[r].material.set("pcfKernel",t),n[r].material.define("fragment","PCF_KERNEL_SIZE",t.length/2))},CN.prototype.dispose=function(e){this._compositor.dispose(e.gl),this._temporalSS.dispose(e.gl),this._shadowMapPass.dispose(e)},CN.prototype.setPostEffect=function(e,t){var n=this._compositor;this._enablePostEffect=e.get("enable");var r=e.getModel("bloom"),i=e.getModel("edge"),o=e.getModel("DOF",e.getModel("depthOfField")),a=e.getModel("SSAO",e.getModel("screenSpaceAmbientOcclusion")),s=e.getModel("SSR",e.getModel("screenSpaceReflection")),l=e.getModel("FXAA"),u=e.getModel("colorCorrection");r.get("enable")?n.enableBloom():n.disableBloom(),o.get("enable")?n.enableDOF():n.disableDOF(),s.get("enable")?n.enableSSR():n.disableSSR(),u.get("enable")?n.enableColorCorrection():n.disableColorCorrection(),i.get("enable")?n.enableEdge():n.disableEdge(),l.get("enable")?n.enableFXAA():n.disableFXAA(),this._enableDOF=o.get("enable"),this._enableSSAO=a.get("enable"),this._enableSSAO?n.enableSSAO():n.disableSSAO(),n.setBloomIntensity(r.get("intensity")),n.setEdgeColor(i.get("color")),n.setColorLookupTexture(u.get("lookupTexture"),t),n.setExposure(u.get("exposure")),["radius","quality","intensity"].forEach((function(e){n.setSSAOParameter(e,a.get(e))})),["quality","maxRoughness","physical"].forEach((function(e){n.setSSRParameter(e,s.get(e))})),["quality","focalDistance","focalRange","blurRadius","fstop"].forEach((function(e){n.setDOFParameter(e,o.get(e))})),["brightness","contrast","saturation"].forEach((function(e){n.setColorCorrection(e,u.get(e))}))},CN.prototype.setDOFFocusOnPoint=function(e){if(this._enablePostEffect){if(e>this.camera.far||e<this.camera.near)return;return this._compositor.setDOFParameter("focalDistance",e),!0}},CN.prototype.setTemporalSuperSampling=function(e){this._enableTemporalSS=e.get("enable")},CN.prototype.isLinearSpace=function(){return this._enablePostEffect},CN.prototype.setRootNode=function(e){if(this.rootNode!==e){for(var t=this.rootNode.children(),n=0;n<t.length;n++)e.add(t[n]);e!==this.scene&&this.scene.add(e),this.rootNode=e}},CN.prototype.add=function(e){this.rootNode.add(e)},CN.prototype.remove=function(e){this.rootNode.remove(e)},CN.prototype.removeAll=function(e){this.rootNode.removeAll(e)},Object.assign(CN.prototype,CT);const EN=CN;function LN(e,t){var n=Qd(e.getBoxLayoutParams(),{width:t.getWidth(),height:t.getHeight()});n.y=t.getHeight()-n.y-n.height,this.viewGL.setViewport(n.x,n.y,n.width,n.height,t.getDevicePixelRatio());var r=e.get("boxWidth"),i=e.get("boxHeight"),o=e.get("boxDepth");this.getAxis("x").setExtent(-r/2,r/2),this.getAxis("y").setExtent(o/2,-o/2),this.getAxis("z").setExtent(-i/2,i/2),this.size=[r,i,o]}function PN(e,t){var n={};e.eachSeries((function(e){if(e.coordinateSystem===this){var t=e.getData();["x","y","z"].forEach((function(e){t.mapDimensionsAll(e,!0).forEach((function(r){!function(e,t){n[e]=n[e]||[1/0,-1/0],n[e][0]=Math.min(t[0],n[e][0]),n[e][1]=Math.max(t[1],n[e][1])}(e,t.getDataExtent(r,!0))}))}))}}),this),["xAxis3D","yAxis3D","zAxis3D"].forEach((function(t){e.eachComponent(t,(function(e){var r=t.charAt(0),i=e.getReferringComponents("grid3D").models[0],o=i.coordinateSystem;if(o===this){var a=o.getAxis(r);if(!a){var s=PS(n[r]||[1/0,-1/0],e);(a=new vO(r,s)).type=e.get("type");var l="category"===a.type;a.onBand=l&&e.get("boundaryGap"),a.inverse=e.get("inverse"),e.axis=a,a.model=e,a.getLabelModel=function(){return e.getModel("axisLabel",i.getModel("axisLabel"))},a.getTickModel=function(){return e.getModel("axisTick",i.getModel("axisTick"))},o.addAxis(a)}}}),this)}),this),this.resize(this.model,t)}const ON={dimensions:gO.prototype.dimensions,create:function(e,t){var n=[];e.eachComponent("grid3D",(function(e){e.__viewGL=e.__viewGL||new EN;var t=new gO;t.model=e,t.viewGL=e.__viewGL,e.coordinateSystem=t,n.push(t),t.resize=LN,t.update=PN}));var r=["xAxis3D","yAxis3D","zAxis3D"];return e.eachSeries((function(t){if("cartesian3D"===t.get("coordinateSystem")){if(null==(i=t.getReferringComponents("grid3D").models[0])){var n=function(e,t){return r.map((function(n){var r=e.getReferringComponents(n).models[0];return null==r&&(r=t.getComponent(n)),r}))}(t,e),i=n[0].getCoordSysModel();n.forEach((function(e){e.getCoordSysModel()}))}var o=i.coordinateSystem;t.coordinateSystem=o}})),n}};var NN=sp.extend({type:"cartesian3DAxis",axis:null,getCoordSysModel:function(){return this.ecModel.queryComponents({mainType:"grid3D",index:this.option.gridIndex,id:this.option.gridId})[0]}});OS(NN);const RN=NN;var kN={show:!0,grid3DIndex:0,inverse:!1,name:"",nameLocation:"middle",nameTextStyle:{fontSize:16},nameGap:20,axisPointer:{},axisLine:{},axisTick:{},axisLabel:{},splitArea:{}},BN=it({boundaryGap:!0,axisTick:{alignWithLabel:!1,interval:"auto"},axisLabel:{interval:"auto"},axisPointer:{label:{show:!1}}},kN),FN=it({boundaryGap:[0,0],splitNumber:5,axisPointer:{label:{}}},kN),zN=st({scale:!0,min:"dataMin",max:"dataMax"},FN),VN=st({logBase:10},FN);VN.scale=!0;const GN={categoryAxis3D:BN,valueAxis3D:FN,timeAxis3D:zN,logAxis3D:VN};var HN=["value","category","time","log"];function UN(e,t){return t.type||(t.data?"category":"value")}BS((function(e){e.registerComponentModel(EP),e.registerComponentView(dO),e.registerCoordinateSystem("grid3D",ON),["x","y","z"].forEach((function(t){!function(e,t,n,r,i){HN.forEach((function(o){var a=n.extend({type:t+"Axis3D."+o,__ordinalMeta:null,mergeDefaultAndTheme:function(e,n){it(e,n.getTheme().get(o+"Axis3D")),it(e,this.getDefaultOption()),e.type=r(t,e)},optionUpdated:function(){"category"===this.option.type&&(this.__ordinalMeta=Sw.createByAxisModel(this))},getCategories:function(){if("category"===this.option.type)return this.__ordinalMeta.categories},getOrdinalMeta:function(){return this.__ordinalMeta},defaultOption:it(rt(GN[o+"Axis3D"]),i||{},!0)});e.registerComponentModel(a)})),e.registerSubTypeDefaulter(t+"Axis3D",xt(r,t))}(e,t,RN,UN,{name:t.toUpperCase()});const n=e.ComponentView.extend({type:t+"Axis3D"});e.registerComponentView(n)})),e.registerAction({type:"grid3DChangeCamera",event:"grid3dcamerachanged",update:"series:updateCamera"},(function(e,t){t.eachComponent({mainType:"grid3D",query:e},(function(t){t.setView(e)}))})),e.registerAction({type:"grid3DShowAxisPointer",event:"grid3dshowaxispointer",update:"grid3D:showAxisPointer"},(function(e,t){})),e.registerAction({type:"grid3DHideAxisPointer",event:"grid3dhideaxispointer",update:"grid3D:hideAxisPointer"},(function(e,t){}))}));const WN={defaultOption:{shading:null,realisticMaterial:{textureTiling:1,textureOffset:0,detailTexture:null},lambertMaterial:{textureTiling:1,textureOffset:0,detailTexture:null},colorMaterial:{textureTiling:1,textureOffset:0,detailTexture:null},hatchingMaterial:{textureTiling:1,textureOffset:0,paperColor:"#fff"}}},jN={getFilledRegions:function(e,t){var n,r=(e||[]).slice();if("string"==typeof t?n=(t=Lb(t))&&t.geoJson:t&&t.features&&(n=t),!n)return[];for(var i={},o=n.features,a=0;a<r.length;a++)i[r[a].name]=r[a];for(a=0;a<o.length;a++){var s=o[a].properties.name;i[s]||r.push({name:s})}return r},defaultOption:{show:!0,zlevel:-10,map:"",left:0,top:0,width:"100%",height:"100%",boxWidth:100,boxHeight:10,boxDepth:"auto",regionHeight:3,environment:"auto",groundPlane:{show:!1,color:"#aaa"},shading:"lambert",light:{main:{alpha:40,beta:30}},viewControl:{alpha:40,beta:0,distance:100,orthographicSize:60,minAlpha:5,minBeta:-80,maxBeta:80},label:{show:!1,distance:2,textStyle:{fontSize:20,color:"#000",backgroundColor:"rgba(255,255,255,0.7)",padding:3,borderRadius:4}},itemStyle:{color:"#fff",borderWidth:0,borderColor:"#333"},emphasis:{itemStyle:{color:"#639fc0"},label:{show:!0}}}};var XN=sp.extend({type:"geo3D",layoutMode:"box",coordinateSystem:null,optionUpdated:function(){var e=this.option;e.regions=this.getFilledRegions(e.regions,e.map);var t=uw(e.data||[],{coordDimensions:["value"],encodeDefine:this.get("encode"),dimensionsDefine:this.get("dimensions")}),n=new lw(t,this);n.initData(e.regions);var r={};n.each((function(e){var t=n.getName(e),i=n.getItemModel(e);r[t]=i})),this._regionModelMap=r,this._data=n},getData:function(){return this._data},getRegionModel:function(e){var t=this.getData().getName(e);return this._regionModelMap[t]||new qh(null,this)},getRegionPolygonCoords:function(e){var t=this.getData().getName(e),n=this.coordinateSystem.getRegion(t);return n?n.geometries:[]},getFormattedLabel:function(e,t){var n=this._data.getName(e),r=this.getRegionModel(e),i=r.get("normal"===t?["label","formatter"]:["emphasis","label","formatter"]);null==i&&(i=r.get(["label","formatter"]));var o={name:n};if("function"==typeof i)return o.status=t,i(o);if("string"==typeof i){var a=o.seriesName;return i.replace("{a}",null!=a?a:"")}return n},defaultOption:{regions:[]}});it(XN.prototype,jN),it(XN.prototype,AP),it(XN.prototype,IP),it(XN.prototype,CP),it(XN.prototype,WN);const YN=XN,ZN=qN;function qN(e,t,n){n=n||2;var r,i,o,a,s,l,u,c=t&&t.length,h=c?t[0]*n:e.length,d=$N(e,0,h,n,!0),p=[];if(!d)return p;if(c&&(d=function(e,t,n,r){var i,o,a,s=[];for(i=0,o=t.length;i<o;i++)(a=$N(e,t[i]*r,i<o-1?t[i+1]*r:e.length,r,!1))===a.next&&(a.steiner=!0),s.push(aR(a));for(s.sort(rR),i=0;i<s.length;i++)iR(s[i],n),n=KN(n,n.next);return n}(e,t,d,n)),e.length>80*n){r=o=e[0],i=a=e[1];for(var f=n;f<h;f+=n)(s=e[f])<r&&(r=s),(l=e[f+1])<i&&(i=l),s>o&&(o=s),l>a&&(a=l);u=Math.max(o-r,a-i)}return JN(d,p,n,r,i,u),p}function $N(e,t,n,r,i){var o,a;if(i===vR(e,t,n,r)>0)for(o=t;o<n;o+=r)a=fR(o,e[o],e[o+1],a);else for(o=n-r;o>=t;o-=r)a=fR(o,e[o],e[o+1],a);return a&&cR(a,a.next)&&(gR(a),a=a.next),a}function KN(e,t){if(!e)return e;t||(t=e);var n,r=e;do{if(n=!1,r.steiner||!cR(r,r.next)&&0!==uR(r.prev,r,r.next))r=r.next;else{if(gR(r),(r=t=r.prev)===r.next)return null;n=!0}}while(n||r!==t);return t}function JN(e,t,n,r,i,o,a){if(e){!a&&o&&function(e,t,n,r){var i=e;do{null===i.z&&(i.z=oR(i.x,i.y,t,n,r)),i.prevZ=i.prev,i.nextZ=i.next,i=i.next}while(i!==e);i.prevZ.nextZ=null,i.prevZ=null,function(e){var t,n,r,i,o,a,s,l,u=1;do{for(n=e,e=null,o=null,a=0;n;){for(a++,r=n,s=0,t=0;t<u&&(s++,r=r.nextZ);t++);for(l=u;s>0||l>0&&r;)0!==s&&(0===l||!r||n.z<=r.z)?(i=n,n=n.nextZ,s--):(i=r,r=r.nextZ,l--),o?o.nextZ=i:e=i,i.prevZ=o,o=i;n=r}o.nextZ=null,u*=2}while(a>1)}(i)}(e,r,i,o);for(var s,l,u=e;e.prev!==e.next;)if(s=e.prev,l=e.next,o?eR(e,r,i,o):QN(e))t.push(s.i/n),t.push(e.i/n),t.push(l.i/n),gR(e),e=l.next,u=l.next;else if((e=l)===u){a?1===a?JN(e=tR(e,t,n),t,n,r,i,o,2):2===a&&nR(e,t,n,r,i,o):JN(KN(e),t,n,r,i,o,1);break}}}function QN(e){var t=e.prev,n=e,r=e.next;if(uR(t,n,r)>=0)return!1;for(var i=e.next.next;i!==e.prev;){if(sR(t.x,t.y,n.x,n.y,r.x,r.y,i.x,i.y)&&uR(i.prev,i,i.next)>=0)return!1;i=i.next}return!0}function eR(e,t,n,r){var i=e.prev,o=e,a=e.next;if(uR(i,o,a)>=0)return!1;for(var s=i.x<o.x?i.x<a.x?i.x:a.x:o.x<a.x?o.x:a.x,l=i.y<o.y?i.y<a.y?i.y:a.y:o.y<a.y?o.y:a.y,u=i.x>o.x?i.x>a.x?i.x:a.x:o.x>a.x?o.x:a.x,c=i.y>o.y?i.y>a.y?i.y:a.y:o.y>a.y?o.y:a.y,h=oR(s,l,t,n,r),d=oR(u,c,t,n,r),p=e.nextZ;p&&p.z<=d;){if(p!==e.prev&&p!==e.next&&sR(i.x,i.y,o.x,o.y,a.x,a.y,p.x,p.y)&&uR(p.prev,p,p.next)>=0)return!1;p=p.nextZ}for(p=e.prevZ;p&&p.z>=h;){if(p!==e.prev&&p!==e.next&&sR(i.x,i.y,o.x,o.y,a.x,a.y,p.x,p.y)&&uR(p.prev,p,p.next)>=0)return!1;p=p.prevZ}return!0}function tR(e,t,n){var r=e;do{var i=r.prev,o=r.next.next;!cR(i,o)&&hR(i,r,r.next,o)&&dR(i,o)&&dR(o,i)&&(t.push(i.i/n),t.push(r.i/n),t.push(o.i/n),gR(r),gR(r.next),r=e=o),r=r.next}while(r!==e);return r}function nR(e,t,n,r,i,o){var a=e;do{for(var s=a.next.next;s!==a.prev;){if(a.i!==s.i&&lR(a,s)){var l=pR(a,s);return a=KN(a,a.next),l=KN(l,l.next),JN(a,t,n,r,i,o),void JN(l,t,n,r,i,o)}s=s.next}a=a.next}while(a!==e)}function rR(e,t){return e.x-t.x}function iR(e,t){if(t=function(e,t){var n,r=t,i=e.x,o=e.y,a=-1/0;do{if(o<=r.y&&o>=r.next.y&&r.next.y!==r.y){var s=r.x+(o-r.y)*(r.next.x-r.x)/(r.next.y-r.y);if(s<=i&&s>a){if(a=s,s===i){if(o===r.y)return r;if(o===r.next.y)return r.next}n=r.x<r.next.x?r:r.next}}r=r.next}while(r!==t);if(!n)return null;if(i===a)return n.prev;var l,u=n,c=n.x,h=n.y,d=1/0;for(r=n.next;r!==u;)i>=r.x&&r.x>=c&&i!==r.x&&sR(o<h?i:a,o,c,h,o<h?a:i,o,r.x,r.y)&&((l=Math.abs(o-r.y)/(i-r.x))<d||l===d&&r.x>n.x)&&dR(r,e)&&(n=r,d=l),r=r.next;return n}(e,t),t){var n=pR(t,e);KN(n,n.next)}}function oR(e,t,n,r,i){return(e=1431655765&((e=858993459&((e=252645135&((e=16711935&((e=32767*(e-n)/i)|e<<8))|e<<4))|e<<2))|e<<1))|(t=1431655765&((t=858993459&((t=252645135&((t=16711935&((t=32767*(t-r)/i)|t<<8))|t<<4))|t<<2))|t<<1))<<1}function aR(e){var t=e,n=e;do{t.x<n.x&&(n=t),t=t.next}while(t!==e);return n}function sR(e,t,n,r,i,o,a,s){return(i-a)*(t-s)-(e-a)*(o-s)>=0&&(e-a)*(r-s)-(n-a)*(t-s)>=0&&(n-a)*(o-s)-(i-a)*(r-s)>=0}function lR(e,t){return e.next.i!==t.i&&e.prev.i!==t.i&&!function(e,t){var n=e;do{if(n.i!==e.i&&n.next.i!==e.i&&n.i!==t.i&&n.next.i!==t.i&&hR(n,n.next,e,t))return!0;n=n.next}while(n!==e);return!1}(e,t)&&dR(e,t)&&dR(t,e)&&function(e,t){var n=e,r=!1,i=(e.x+t.x)/2,o=(e.y+t.y)/2;do{n.y>o!=n.next.y>o&&n.next.y!==n.y&&i<(n.next.x-n.x)*(o-n.y)/(n.next.y-n.y)+n.x&&(r=!r),n=n.next}while(n!==e);return r}(e,t)}function uR(e,t,n){return(t.y-e.y)*(n.x-t.x)-(t.x-e.x)*(n.y-t.y)}function cR(e,t){return e.x===t.x&&e.y===t.y}function hR(e,t,n,r){return!!(cR(e,t)&&cR(n,r)||cR(e,r)&&cR(n,t))||uR(e,t,n)>0!=uR(e,t,r)>0&&uR(n,r,e)>0!=uR(n,r,t)>0}function dR(e,t){return uR(e.prev,e,e.next)<0?uR(e,t,e.next)>=0&&uR(e,e.prev,t)>=0:uR(e,t,e.prev)<0||uR(e,e.next,t)<0}function pR(e,t){var n=new mR(e.i,e.x,e.y),r=new mR(t.i,t.x,t.y),i=e.next,o=t.prev;return e.next=t,t.prev=e,n.next=i,i.prev=n,r.next=n,n.prev=r,o.next=r,r.prev=o,r}function fR(e,t,n,r){var i=new mR(e,t,n);return r?(i.next=r.next,i.prev=r,r.next.prev=i,r.next=i):(i.prev=i,i.next=i),i}function gR(e){e.next.prev=e.prev,e.prev.next=e.next,e.prevZ&&(e.prevZ.nextZ=e.nextZ),e.nextZ&&(e.nextZ.prevZ=e.prevZ)}function mR(e,t,n){this.i=e,this.x=t,this.y=n,this.prev=null,this.next=null,this.z=null,this.prevZ=null,this.nextZ=null,this.steiner=!1}function vR(e,t,n,r){for(var i=0,o=t,a=n-r;o<n;o+=r)i+=(e[a]-e[o])*(e[o+1]+e[a+1]),a=o;return i}function yR(e,t,n){var r=e[t];e[t]=e[n],e[n]=r}function _R(e,t,n,r,i){var o=n,a=e[t];yR(e,t,r);for(var s=n;s<r;s++)i(e[s],a)<0&&(yR(e,s,o),o++);return yR(e,r,o),o}function xR(e,t,n,r){if(n<r){var i=_R(e,Math.floor((n+r)/2),n,r,t);xR(e,t,n,i-1),xR(e,t,i+1,r)}}function bR(){this._parts=[]}qN.deviation=function(e,t,n,r){var i=t&&t.length,o=i?t[0]*n:e.length,a=Math.abs(vR(e,0,o,n));if(i)for(var s=0,l=t.length;s<l;s++){var u=t[s]*n,c=s<l-1?t[s+1]*n:e.length;a-=Math.abs(vR(e,u,c,n))}var h=0;for(s=0;s<r.length;s+=3){var d=r[s]*n,p=r[s+1]*n,f=r[s+2]*n;h+=Math.abs((e[d]-e[f])*(e[p+1]-e[d+1])-(e[d]-e[p])*(e[f+1]-e[d+1]))}return 0===a&&0===h?0:Math.abs((h-a)/a)},bR.prototype.step=function(e,t,n){var r=e.length;if(0===n){this._parts=[],this._sorted=!1;var i=Math.floor(r/2);this._parts.push({pivot:i,left:0,right:r-1}),this._currentSortPartIdx=0}if(!this._sorted){var o=this._parts;if(0===o.length)return this._sorted=!0,!0;if(o.length<512){for(var a=0;a<o.length;a++)o[a].pivot=_R(e,o[a].pivot,o[a].left,o[a].right,t);var s=[];for(a=0;a<o.length;a++){var l,u=o[a].left;(l=o[a].pivot-1)>u&&s.push({pivot:Math.floor((l+u)/2),left:u,right:l}),u=o[a].pivot+1,(l=o[a].right)>u&&s.push({pivot:Math.floor((l+u)/2),left:u,right:l})}o=this._parts=s}else for(a=0;a<Math.floor(o.length/10);a++){var c=o.length-1-this._currentSortPartIdx;if(xR(e,t,o[c].left,o[c].right),this._currentSortPartIdx++,this._currentSortPartIdx===o.length)return this._sorted=!0,!0}return!1}},bR.sort=xR;const wR=bR;var SR=BP.vec3,MR=SR.create(),TR=SR.create(),AR=SR.create();const IR={needsSortTriangles:function(){return this.indices&&this.sortTriangles},needsSortTrianglesProgressively:function(){return this.needsSortTriangles()&&this.triangleCount>=2e4},doSortTriangles:function(e,t){var n=this.indices;if(0===t){var r=this.attributes.position;e=e.array,this._triangleZList&&this._triangleZList.length===this.triangleCount||(this._triangleZList=new Float32Array(this.triangleCount),this._sortedTriangleIndices=new Uint32Array(this.triangleCount),this._indicesTmp=new n.constructor(n.length),this._triangleZListTmp=new Float32Array(this.triangleCount));for(var i,o=0,a=0;a<n.length;){r.get(n[a++],MR),r.get(n[a++],TR),r.get(n[a++],AR);var s=SR.sqrDist(MR,e),l=SR.sqrDist(TR,e),u=SR.sqrDist(AR,e),c=Math.min(s,l);c=Math.min(c,u),3===a?(i=c,c=0):c-=i,this._triangleZList[o++]=c}}var h=this._sortedTriangleIndices;for(a=0;a<h.length;a++)h[a]=a;if(this.triangleCount<2e4)0===t&&this._simpleSort(!0);else for(a=0;a<3;a++)this._progressiveQuickSort(3*t+a);var d=this._indicesTmp,p=this._triangleZListTmp,f=this._triangleZList;for(a=0;a<this.triangleCount;a++){var g=3*h[a],m=3*a;d[m++]=n[g++],d[m++]=n[g++],d[m]=n[g],p[a]=f[h[a]]}var v=this._indicesTmp;this._indicesTmp=this.indices,this.indices=v,v=this._triangleZListTmp,this._triangleZListTmp=this._triangleZList,this._triangleZList=v,this.dirtyIndices()},_simpleSort:function(e){var t=this._triangleZList,n=this._sortedTriangleIndices;function r(e,n){return t[n]-t[e]}e?Array.prototype.sort.call(n,r):wR.sort(n,r,0,n.length-1)},_progressiveQuickSort:function(e){var t=this._triangleZList,n=this._sortedTriangleIndices;this._quickSort=this._quickSort||new wR,this._quickSort.step(n,(function(e,n){return t[n]-t[e]}),e)}};function CR(e,t){const n=e.getItemVisual(t,"style");if(n)return n[e.getVisual("drawType")]}function DR(e,t){const n=e.getItemVisual(t,"style");return n&&n.opacity}function ER(e,t,n){this._labelsMesh=new rO,this._labelTextureSurface=new WP({width:512,height:512,devicePixelRatio:n.getDevicePixelRatio(),onupdate:function(){n.getZr().refresh()}}),this._api=n,this._labelsMesh.material.set("textureAtlas",this._labelTextureSurface.getTexture())}ER.prototype.getLabelPosition=function(e,t,n){return[0,0,0]},ER.prototype.getLabelDistance=function(e,t,n){return 0},ER.prototype.getMesh=function(){return this._labelsMesh},ER.prototype.updateData=function(e,t,n){null==t&&(t=0),null==n&&(n=e.count()),this._labelsVisibilitiesBits&&this._labelsVisibilitiesBits.length===n-t||(this._labelsVisibilitiesBits=new Uint8Array(n-t));for(var r=["label","show"],i=["emphasis","label","show"],o=t;o<n;o++){var a=e.getItemModel(o),s=a.get(r),l=a.get(i);null==l&&(l=s);var u=(s?1:0)|(l?2:0);this._labelsVisibilitiesBits[o-t]=u}this._start=t,this._end=n,this._data=e},ER.prototype.updateLabels=function(e){if(this._data){for(var t=(e=e||[]).length>0,n={},r=0;r<e.length;r++)n[e[r]]=!0;this._labelsMesh.geometry.convertToDynamicArray(!0),this._labelTextureSurface.clear();for(var i=["label"],o=["emphasis","label"],a=this._data.hostModel,s=this._data,l=a.getModel(i),u=a.getModel(o,l),c={left:"right",right:"left",top:"center",bottom:"center"},h={left:"middle",right:"middle",top:"bottom",bottom:"top"},d=this._start;d<this._end;d++){var p=!1;if(t&&n[d]&&(p=!0),this._labelsVisibilitiesBits[d-this._start]&(p?2:1)){var f=s.getItemModel(d).getModel(p?o:i,p?u:l),g=f.get("distance")||0,m=f.get("position"),v=this._api.getDevicePixelRatio(),y=a.getFormattedLabel(d,p?"emphasis":"normal");if(null==y||""===y)return;var _=new sc({style:Th(f,{text:y,fill:f.get("color")||CR(s,d)||"#000",align:"left",verticalAlign:"top",opacity:PL.firstNotNull(f.get("opacity"),DR(s,d),1)})}),x=_.getBoundingRect();x.height*=1.2;var b=this._labelTextureSurface.add(_),w=c[m]||"center",S=h[m]||"bottom";this._labelsMesh.geometry.addSprite(this.getLabelPosition(d,m,g),[x.width*v,x.height*v],b,w,S,this.getLabelDistance(d,m,g)*v)}}this._labelsMesh.material.set("uvScale",this._labelTextureSurface.getCoordsScale()),this._labelTextureSurface.getZr().refreshImmediately(),this._labelsMesh.geometry.convertToTypedArray(),this._labelsMesh.geometry.dirty()}},ER.prototype.dispose=function(){this._labelTextureSurface.dispose()};const LR=ER;var PR=BP.vec3;function OR(e){this.rootNode=new pP.Node,this._triangulationResults={},this._shadersMap=pP.COMMON_SHADERS.filter((function(e){return"shadow"!==e})).reduce((function(e,t){return e[t]=pP.createShader("ecgl."+t),e}),{}),this._linesShader=pP.createShader("ecgl.meshLines3D");var t={};pP.COMMON_SHADERS.forEach((function(e){t[e]=new pP.Material({shader:pP.createShader("ecgl."+e)})})),this._groundMaterials=t,this._groundMesh=new pP.Mesh({geometry:new pP.PlaneGeometry({dynamic:!0}),castShadow:!1,renderNormal:!0,$ignorePicking:!0}),this._groundMesh.rotation.rotateX(-Math.PI/2),this._labelsBuilder=new LR(512,512,e),this._labelsBuilder.getMesh().renderOrder=100,this._labelsBuilder.getMesh().material.depthTest=!1,this.rootNode.add(this._labelsBuilder.getMesh()),this._initMeshes(),this._api=e}pP.Shader.import(uO),OR.prototype={constructor:OR,extrudeY:!0,update:function(e,t,n,r,i){var o=e.getData();null==r&&(r=0),null==i&&(i=o.count()),this._startIndex=r,this._endIndex=i-1,this._triangulation(e,r,i);var a=this._getShader(e.get("shading"));this._prepareMesh(e,a,n,r,i),this.rootNode.updateWorldTransform(),this._updateRegionMesh(e,n,r,i);var s=e.coordinateSystem;"geo3D"===s.type&&this._updateGroundPlane(e,s,n);var l=this;this._labelsBuilder.updateData(o,r,i),this._labelsBuilder.getLabelPosition=function(e,t,n){var r=o.getName(e),i=n;if("geo3D"===s.type){var a=s.getRegion(r);return a?(c=a.getCenter(),s.dataToPoint([c[0],c[1],i])):[NaN,NaN,NaN]}var u=l._triangulationResults[e-l._startIndex],c=l.extrudeY?[(u.max[0]+u.min[0])/2,u.max[1]+i,(u.max[2]+u.min[2])/2]:[(u.max[0]+u.min[0])/2,(u.max[1]+u.min[1])/2,u.max[2]+i]},this._data=o,this._labelsBuilder.updateLabels(),this._updateDebugWireframe(e),this._lastHoverDataIndex=0},_initMeshes:function(){var e=this,t=function(){var t=new pP.Mesh({name:"Polygon",material:new pP.Material({shader:e._shadersMap.lambert}),geometry:new pP.Geometry({sortTriangles:!0,dynamic:!0}),culling:!1,ignorePicking:!0,renderNormal:!0});return Object.assign(t.geometry,IR),t}(),n=new pP.Mesh({material:new pP.Material({shader:this._linesShader}),castShadow:!1,ignorePicking:!0,$ignorePicking:!0,geometry:new GP({useNativeLine:!1})});this.rootNode.add(t),this.rootNode.add(n),t.material.define("both","VERTEX_COLOR"),t.material.define("fragment","DOUBLE_SIDED"),this._polygonMesh=t,this._linesMesh=n,this.rootNode.add(this._groundMesh)},_getShader:function(e){var t=this._shadersMap[e];return t||(t=this._shadersMap.lambert),t.__shading=e,t},_prepareMesh:function(e,t,n,r,i){for(var o=0,a=0,s=0,l=0,u=r;u<i;u++){var c=this._getRegionPolygonInfo(u),h=this._getRegionLinesInfo(u,e,this._linesMesh.geometry);o+=c.vertexCount,a+=c.triangleCount,s+=h.vertexCount,l+=h.triangleCount}var d=this._polygonMesh,p=d.geometry;["position","normal","texcoord0","color"].forEach((function(e){p.attributes[e].init(o)})),p.indices=o>65535?new Uint32Array(3*a):new Uint16Array(3*a),d.material.shader!==t&&d.material.attachShader(t,!0),pP.setMaterialFromModel(t.__shading,d.material,e,n),s>0&&(this._linesMesh.geometry.resetOffset(),this._linesMesh.geometry.setVertexCount(s),this._linesMesh.geometry.setTriangleCount(l)),this._dataIndexOfVertex=new Uint32Array(o),this._vertexRangeOfDataIndex=new Uint32Array(2*(i-r))},_updateRegionMesh:function(e,t,n,r){for(var i=e.getData(),o=0,a=0,s=!1,l=this._polygonMesh,u=this._linesMesh,c=n;c<r;c++){var h=e.getRegionModel(c),d=h.getModel("itemStyle"),p=PL.firstNotNull(CR(i,c),d.get("color"),"#fff"),f=PL.firstNotNull(DR(i,c),d.get("opacity"),1),g=pP.parseColor(p),m=pP.parseColor(d.get("borderColor"));g[3]*=f,m[3]*=f;var v=g[3]<.99;l.material.set("color",[1,1,1,1]),s=s||v;for(var y=PL.firstNotNull(h.get("height",!0),e.get("regionHeight")),_=this._updatePolygonGeometry(e,l.geometry,c,y,o,a,g),x=o;x<_.vertexOffset;x++)this._dataIndexOfVertex[x]=c;this._vertexRangeOfDataIndex[2*(c-n)]=o,this._vertexRangeOfDataIndex[2*(c-n)+1]=_.vertexOffset,o=_.vertexOffset,a=_.triangleOffset;var b=d.get("borderWidth"),w=b>0;w&&(b*=t.getDevicePixelRatio(),this._updateLinesGeometry(u.geometry,e,c,y,b,e.coordinateSystem.transform)),u.invisible=!w,u.material.set({color:m})}(l=this._polygonMesh).material.transparent=s,l.material.depthMask=!s,l.geometry.updateBoundingBox(),l.frontFace=this.extrudeY?pP.Mesh.CCW:pP.Mesh.CW,l.material.get("normalMap")&&l.geometry.generateTangents(),l.seriesIndex=e.seriesIndex,l.on("mousemove",this._onmousemove,this),l.on("mouseout",this._onmouseout,this)},_updateDebugWireframe:function(e){var t=e.getModel("debug.wireframe");if(t.get("show")){var n=pP.parseColor(t.get("lineStyle.color")||"rgba(0,0,0,0.5)"),r=PL.firstNotNull(t.get("lineStyle.width"),1),i=this._polygonMesh;i.geometry.generateBarycentric(),i.material.define("both","WIREFRAME_TRIANGLE"),i.material.set("wireframeLineColor",n),i.material.set("wireframeLineWidth",r)}},_onmousemove:function(e){var t=this._dataIndexOfVertex[e.triangle[0]];null==t&&(t=-1),t!==this._lastHoverDataIndex&&(this.downplay(this._lastHoverDataIndex),this.highlight(t),this._labelsBuilder.updateLabels([t])),this._lastHoverDataIndex=t,this._polygonMesh.dataIndex=t},_onmouseout:function(e){e.target&&(this.downplay(this._lastHoverDataIndex),this._lastHoverDataIndex=-1,this._polygonMesh.dataIndex=-1),this._labelsBuilder.updateLabels([])},_updateGroundPlane:function(e,t,n){var r=e.getModel("groundPlane",e);if(this._groundMesh.invisible=!r.get("show",!0),!this._groundMesh.invisible){var i=e.get("shading"),o=this._groundMaterials[i];o||(o=this._groundMaterials.lambert),pP.setMaterialFromModel(i,o,r,n),o.get("normalMap")&&this._groundMesh.geometry.generateTangents(),this._groundMesh.material=o,this._groundMesh.material.set("color",pP.parseColor(r.get("color"))),this._groundMesh.scale.set(t.size[0],t.size[2],1)}},_triangulation:function(e,t,n){this._triangulationResults=[];for(var r=[1/0,1/0,1/0],i=[-1/0,-1/0,-1/0],o=e.coordinateSystem,a=t;a<n;a++){for(var s=[],l=e.getRegionPolygonCoords(a),u=0;u<l.length;u++){var c=l[u].exterior,h=l[u].interiors,d=[],p=[];if(!(c.length<3)){for(var f=0,g=0;g<c.length;g++){var m=c[g];d[f++]=m[0],d[f++]=m[1]}for(g=0;g<h.length;g++)if(!(h[g].length<3)){for(var v=d.length/2,y=0;y<h[g].length;y++)m=h[g][y],d.push(m[0]),d.push(m[1]);p.push(v)}var _=ZN(d,p),x=new Float64Array(d.length/2*3),b=[],w=[1/0,1/0,1/0],S=[-1/0,-1/0,-1/0],M=0;for(g=0;g<d.length;)PR.set(b,d[g++],0,d[g++]),o&&o.transform&&PR.transformMat4(b,b,o.transform),PR.min(w,w,b),PR.max(S,S,b),x[M++]=b[0],x[M++]=b[1],x[M++]=b[2];PR.min(r,r,w),PR.max(i,i,S),s.push({points:x,indices:_,min:w,max:S})}}this._triangulationResults.push(s)}this._geoBoundingBox=[r,i]},_getRegionPolygonInfo:function(e){for(var t=this._triangulationResults[e-this._startIndex],n=0,r=0,i=0;i<t.length;i++)n+=t[i].points.length/3,r+=t[i].indices.length/3;return{vertexCount:2*n+4*n,triangleCount:2*r+2*n}},_updatePolygonGeometry:function(e,t,n,r,i,o,a){var s=e.get("projectUVOnGround"),l=t.attributes.position,u=t.attributes.normal,c=t.attributes.texcoord0,h=t.attributes.color,d=this._triangulationResults[n-this._startIndex],p=h.value&&a,f=t.indices,g=this.extrudeY?1:2,m=this.extrudeY?2:1,v=[this.rootNode.worldTransform.x.len(),this.rootNode.worldTransform.y.len(),this.rootNode.worldTransform.z.len()],y=PR.mul([],this._geoBoundingBox[0],v),_=PR.mul([],this._geoBoundingBox[1],v),x=Math.max(_[0]-y[0],_[2]-y[2]);function b(e,t,n){var r=i;!function(e,t,n){for(var r=e.points,o=r.length,s=[],u=[],d=0;d<o;d+=3)s[0]=r[d],s[g]=t,s[m]=r[d+2],u[0]=(r[d]*v[0]-y[0])/x,u[1]=(r[d+2]*v[m]-y[2])/x,l.set(i,s),p&&h.set(i,a),c.set(i++,u)}(e,t);for(var s=e.indices.length,u=0;u<s;u++)f[3*o+u]=e.indices[u]+r;o+=e.indices.length/3}for(var w=this.extrudeY?[0,1,0]:[0,0,1],S=PR.negate([],w),M=0;M<d.length;M++){var T=i,A=d[M];b(A,0),b(A,r);for(var I=A.points.length/3,C=0;C<I;C++)u.set(T+C,S),u.set(T+C+I,w);var D=[0,3,1,1,3,2],E=[[],[],[],[]],L=[],P=[],O=[],N=[],R=0;for(C=0;C<I;C++){for(var k=(C+1)%I,B=(A.points[3*k]-A.points[3*C])*v[0],F=(A.points[3*k+2]-A.points[3*C+2])*v[m],z=Math.sqrt(B*B+F*F),V=0;V<4;V++){var G=0===V||3===V,H=3*(G?C:k);E[V][0]=A.points[H],E[V][g]=V>1?r:0,E[V][m]=A.points[H+2],l.set(i+V,E[V]),s?(N[0]=(A.points[H]*v[0]-y[0])/x,N[1]=(A.points[H+2]*v[m]-y[m])/x):(N[0]=(G?R:R+z)/x,N[1]=(E[V][g]*v[g]-y[g])/x),c.set(i+V,N)}for(PR.sub(L,E[1],E[0]),PR.sub(P,E[3],E[0]),PR.cross(O,L,P),PR.normalize(O,O),V=0;V<4;V++)u.set(i+V,O),p&&h.set(i+V,a);for(V=0;V<6;V++)f[3*o+V]=D[V]+i;i+=4,o+=2,R+=z}}return t.dirty(),{vertexOffset:i,triangleOffset:o}},_getRegionLinesInfo:function(e,t,n){var r=0,i=0;return t.getRegionModel(e).getModel("itemStyle").get("borderWidth")>0&&t.getRegionPolygonCoords(e).forEach((function(e){var t=e.exterior,o=e.interiors;r+=n.getPolylineVertexCount(t),i+=n.getPolylineTriangleCount(t);for(var a=0;a<o.length;a++)r+=n.getPolylineVertexCount(o[a]),i+=n.getPolylineTriangleCount(o[a])}),this),{vertexCount:r,triangleCount:i}},_updateLinesGeometry:function(e,t,n,r,i,o){function a(e){for(var t=new Float64Array(3*e.length),n=0,i=[],a=0;a<e.length;a++)i[0]=e[a][0],i[1]=r+.1,i[2]=e[a][1],o&&PR.transformMat4(i,i,o),t[n++]=i[0],t[n++]=i[1],t[n++]=i[2];return t}var s=[1,1,1,1];t.getRegionPolygonCoords(n).forEach((function(t){var n=t.exterior,r=t.interiors;e.addPolyline(a(n),s,i);for(var o=0;o<r.length;o++)e.addPolyline(a(r[o]),s,i)}))},highlight:function(e){var t=this._data;if(t){var n=t.getItemModel(e).getModel(["emphasis","itemStyle"]),r=n.get("color"),i=PL.firstNotNull(n.get("opacity"),DR(t,e),1);null==r&&(r=Gi(CR(t,e),-.4)),null==i&&(i=DR(t,e));var o=pP.parseColor(r);o[3]*=i,this._setColorOfDataIndex(t,e,o)}},downplay:function(e){var t=this._data;if(t){var n=t.getItemModel(e),r=PL.firstNotNull(CR(t,e),n.get(["itemStyle","color"]),"#fff"),i=PL.firstNotNull(DR(t,e),n.get(["itemStyle","opacity"]),1),o=pP.parseColor(r);o[3]*=i,this._setColorOfDataIndex(t,e,o)}},dispose:function(){this._labelsBuilder.dispose()},_setColorOfDataIndex:function(e,t,n){if(!(t<this._startIndex&&t>this._endIndex)){t-=this._startIndex;for(var r=this._vertexRangeOfDataIndex[2*t];r<this._vertexRangeOfDataIndex[2*t+1];r++)this._polygonMesh.geometry.attributes.color.set(r,n);this._polygonMesh.geometry.dirty(),this._api.getZr().refresh()}}};const NR=OR,RR=rm.extend({type:"geo3D",__ecgl__:!0,init:function(e,t){this._geo3DBuilder=new NR(t),this.groupGL=new pP.Node,this._lightRoot=new pP.Node,this._sceneHelper=new XP(this._lightRoot),this._sceneHelper.initLight(this._lightRoot),this._control=new RP({zr:t.getZr()}),this._control.init()},render:function(e,t,n){this.groupGL.add(this._geo3DBuilder.rootNode);var r=e.coordinateSystem;if(r&&r.viewGL){r.viewGL.add(this._lightRoot),e.get("show")?r.viewGL.add(this.groupGL):r.viewGL.remove(this.groupGL);var i=this._control;i.setViewGL(r.viewGL);var o=e.getModel("viewControl");i.setFromViewControlModel(o,0),this._sceneHelper.setScene(r.viewGL.scene),this._sceneHelper.updateLight(e),r.viewGL.setPostEffect(e.getModel("postEffect"),n),r.viewGL.setTemporalSuperSampling(e.getModel("temporalSuperSampling")),this._geo3DBuilder.update(e,t,n,0,e.getData().count());var a=r.viewGL.isLinearSpace()?"define":"undefine";this._geo3DBuilder.rootNode.traverse((function(e){e.material&&e.material[a]("fragment","SRGB_DECODE")})),i.off("update"),i.on("update",(function(){n.dispatchAction({type:"geo3DChangeCamera",alpha:i.getAlpha(),beta:i.getBeta(),distance:i.getDistance(),center:i.getCenter(),from:this.uid,geo3DId:e.id})})),i.update()}},afterRender:function(e,t,n,r){var i=r.renderer;this._sceneHelper.updateAmbientCubemap(i,e,n),this._sceneHelper.updateSkybox(i,e,n)},dispose:function(){this._control.dispose(),this._geo3DBuilder.dispose()}});var kR={南海诸岛:[32,80],广东:[0,-10],香港:[10,5],澳门:[-10,10],天津:[5,5]};function BR(e,t){if("china"===e){var n=kR[t.name];if(n){var r=t.getCenter();r[0]+=n[0]/10.5,r[1]+=-n[1]/14,t.setCenter(r)}}}var FR={Russia:[100,60],"United States":[-99,38],"United States of America":[-99,38]},zR=BP.vec3,VR=BP.mat4,GR=[BR,function(e,t){if("world"===e){var n=FR[t.name];if(n){var r=[n[0],n[1]];t.setCenter(r)}}}];function HR(e,t,n,r,i){this.name=e,this.map=t,this.regionHeight=0,this.regions=[],this._nameCoordMap={},this.loadGeoJson(n,r,i),this.transform=VR.identity(new Float64Array(16)),this.invTransform=VR.identity(new Float64Array(16)),this.extrudeY=!0,this.altitudeAxis}HR.prototype={constructor:HR,type:"geo3D",dimensions:["lng","lat","alt"],containPoint:function(){},loadGeoJson:function(e,t,n){var r=KS||KS;try{this.regions=e?r(e):[]}catch(e){throw"Invalid geoJson format\n"+e}t=t||{},n=n||{};for(var i=this.regions,o={},a=0;a<i.length;a++){var s=i[a].name;s=n[s]||s,i[a].name=s,o[s]=i[a],this.addGeoCoord(s,i[a].getCenter());var l=t[s];l&&i[a].transformTo(l.left,l.top,l.width,l.height)}this._regionsMap=o,this._geoRect=null,GR.forEach((function(e){e(this)}),this)},getGeoBoundingRect:function(){if(this._geoRect)return this._geoRect;for(var e,t=this.regions,n=0;n<t.length;n++){var r=t[n].getBoundingRect();(e=e||r.clone()).union(r)}return this._geoRect=e||new wr(0,0,0,0)},addGeoCoord:function(e,t){this._nameCoordMap[e]=t},getRegion:function(e){return this._regionsMap[e]},getRegionByCoord:function(e){for(var t=this.regions,n=0;n<t.length;n++)if(t[n].contain(e))return t[n]},setSize:function(e,t,n){this.size=[e,t,n];var r=this.getGeoBoundingRect(),i=e/r.width,o=-n/r.height,a=-e/2-r.x*i,s=n/2-r.y*o,l=this.extrudeY?[a,0,s]:[a,s,0],u=this.extrudeY?[i,1,o]:[i,o,1],c=this.transform;VR.identity(c),VR.translate(c,c,l),VR.scale(c,c,u),VR.invert(this.invTransform,c)},dataToPoint:function(e,t){t=t||[];var n=this.extrudeY?1:2,r=this.extrudeY?2:1,i=e[2];return isNaN(i)&&(i=0),t[0]=e[0],t[r]=e[1],this.altitudeAxis?t[n]=this.altitudeAxis.dataToCoord(i):t[n]=0,t[n]+=this.regionHeight,zR.transformMat4(t,t,this.transform),t},pointToData:function(e,t){}};const UR=HR;function WR(e,t){var n=Qd(e.getBoxLayoutParams(),{width:t.getWidth(),height:t.getHeight()});n.y=t.getHeight()-n.y-n.height,this.viewGL.setViewport(n.x,n.y,n.width,n.height,t.getDevicePixelRatio());var r=this.getGeoBoundingRect(),i=r.width/r.height*(e.get("aspectScale")||.75),o=e.get("boxWidth"),a=e.get("boxDepth"),s=e.get("boxHeight");null==s&&(s=5),isNaN(o)&&isNaN(a)&&(o=100),isNaN(a)?a=o/i:isNaN(o)&&(o=a/i),this.setSize(o,s,a),this.regionHeight=e.get("regionHeight"),this.altitudeAxis&&this.altitudeAxis.setExtent(0,Math.max(s-this.regionHeight,0))}function jR(e,t){var n=[1/0,-1/0];if(e.eachSeries((function(e){if(e.coordinateSystem===this&&"series.map3D"!==e.type){var t=e.getData(),r=e.coordDimToDataDim("alt"),i=r&&r[0];if(i){var o=t.getDataExtent(i,!0);n[0]=Math.min(n[0],o[0]),n[1]=Math.max(n[1],o[1])}}}),this),n&&isFinite(n[1]-n[0])){var r=PS(n,{type:"value",min:"dataMin",max:"dataMax"});this.altitudeAxis=new uM("altitude",r),this.resize(this.model,t)}}var XR=0,YR={dimensions:UR.prototype.dimensions,create:function(e,t){var n=[];if(!Lb)throw new Error("geo3D component depends on geo component");function r(e,r){var i=YR.createGeo3D(e);e.__viewGL=e.__viewGL||new EN,i.viewGL=e.__viewGL,e.coordinateSystem=i,i.model=e,n.push(i),i.resize=WR,i.resize(e,t),i.update=jR}return e.eachComponent("geo3D",(function(e,t){r(e)})),e.eachSeriesByType("map3D",(function(e,t){var n=e.get("coordinateSystem");null==n&&(n="geo3D"),"geo3D"===n&&r(e)})),e.eachSeries((function(t){if("geo3D"===t.get("coordinateSystem")){if("series.map3D"===t.type)return;var n=t.getReferringComponents("geo3D").models[0];if(n||(n=e.getComponent("geo3D")),!n)throw new Error('geo "'+PL.firstNotNull(t.get("geo3DIndex"),t.get("geo3DId"),0)+'" not found');t.coordinateSystem=n.coordinateSystem}})),n},createGeo3D:function(e){var t,n=e.get("map");return"string"==typeof n?(t=n,n=Lb(n)):n&&n.features&&(n={geoJson:n}),null==t&&(t="GEO_ANONYMOUS_"+XR++),new UR(t+XR++,t,n&&n.geoJson,n&&n.specialAreas,e.get("nameMap"))}};const ZR=YR;function qR(e){e.registerComponentModel(YN),e.registerComponentView(RR),e.registerAction({type:"geo3DChangeCamera",event:"geo3dcamerachanged",update:"series:updateCamera"},(function(e,t){t.eachComponent({mainType:"geo3D",query:e},(function(t){t.setView(e)}))})),e.registerCoordinateSystem("geo3D",ZR)}function $R(e,t){e.id=e.id||e.name||t+""}BS(qR);var KR=sp.extend({type:"globe",layoutMode:"box",coordinateSystem:null,init:function(){KR.superApply(this,"init",arguments),pt(this.option.layers,(function(e,t){it(e,this.defaultLayerOption),$R(e,t)}),this)},mergeOption:function(e){var t=this.option.layers;function n(e){return gt(e,(function(e,t,n){return $R(t,n),e[t.id]=t,e}),{})}if(this.option.layers=null,KR.superApply(this,"mergeOption",arguments),t&&t.length){var r=n(e.layers),i=n(t);for(var o in r)i[o]?it(i[o],r[o],!0):t.push(e.layers[o]);this.option.layers=t}pt(this.option.layers,(function(e){it(e,this.defaultLayerOption)}),this)},optionUpdated:function(){this.updateDisplacementHash()},defaultLayerOption:{show:!0,type:"overlay"},defaultOption:{show:!0,zlevel:-10,left:0,top:0,width:"100%",height:"100%",environment:"auto",baseColor:"#fff",baseTexture:"",heightTexture:"",displacementTexture:"",displacementScale:0,displacementQuality:"medium",globeRadius:100,globeOuterRadius:150,shading:"lambert",light:{main:{time:""}},atmosphere:{show:!1,offset:5,color:"#ffffff",glowPower:6,innerGlowPower:2},viewControl:{autoRotate:!0,panSensitivity:0,targetCoord:null},layers:[]},setDisplacementData:function(e,t,n){this.displacementData=e,this.displacementWidth=t,this.displacementHeight=n},getDisplacementTexture:function(){return this.get("displacementTexture")||this.get("heightTexture")},getDisplacemenScale:function(){var e=this.getDisplacementTexture(),t=this.get("displacementScale");return e&&"none"!==e||(t=0),t},hasDisplacement:function(){return this.getDisplacemenScale()>0},_displacementChanged:!0,_displacementScale:0,updateDisplacementHash:function(){var e=this.getDisplacementTexture(),t=this.getDisplacemenScale();this._displacementChanged=this._displacementTexture!==e||this._displacementScale!==t,this._displacementTexture=e,this._displacementScale=t},isDisplacementChanged:function(){return this._displacementChanged}});it(KR.prototype,AP),it(KR.prototype,IP),it(KR.prototype,CP),it(KR.prototype,WN);const JR=KR;var QR=Math.PI,ek=Math.sin,tk=Math.cos,nk=Math.tan,rk=Math.asin,ik=Math.atan2,ok=QR/180;var ak=23.4397*ok;function sk(e,t){return ik(ek(e)*tk(ak)-nk(t)*ek(ak),tk(e))}function lk(e,t,n){return ik(ek(e),tk(e)*ek(t)-nk(n)*tk(t))}function uk(e,t,n){return rk(ek(t)*ek(n)+tk(t)*tk(n)*tk(e))}var ck={};ck.getPosition=function(e,t,n){var r=ok*-n,i=ok*t,o=function(e){return function(e){return e.valueOf()/864e5-.5+2440588}(e)-2451545}(e),a=function(e){var t,n=function(e){return ok*(357.5291+.98560028*e)}(e),r=function(e){return e+ok*(1.9148*ek(e)+.02*ek(2*e)+3e-4*ek(3*e))+102.9372*ok+QR}(n);return{dec:(t=r,rk(ek(0)*tk(ak)+tk(0)*ek(ak)*ek(t))),ra:sk(r,0)}}(o),s=function(e,t){return ok*(280.16+360.9856235*e)-t}(o,r)-a.ra;return{azimuth:lk(s,i,a.dec),altitude:uk(s,i,a.dec)}};const hk=ck;pP.Shader.import(oP),pP.Shader.import("@export ecgl.atmosphere.vertex\nattribute vec3 position: POSITION;\nattribute vec3 normal : NORMAL;\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\nuniform mat4 normalMatrix : WORLDINVERSETRANSPOSE;\n\nvarying vec3 v_Normal;\n\nvoid main() {\n v_Normal = normalize((normalMatrix * vec4(normal, 0.0)).xyz);\n gl_Position = worldViewProjection * vec4(position, 1.0);\n}\n@end\n\n\n@export ecgl.atmosphere.fragment\nuniform mat4 viewTranspose: VIEWTRANSPOSE;\nuniform float glowPower;\nuniform vec3 glowColor;\n\nvarying vec3 v_Normal;\n\nvoid main() {\n float intensity = pow(1.0 - dot(v_Normal, (viewTranspose * vec4(0.0, 0.0, 1.0, 0.0)).xyz), glowPower);\n gl_FragColor = vec4(glowColor, intensity * intensity);\n}\n@end");const dk=rm.extend({type:"globe",__ecgl__:!0,_displacementScale:0,init:function(e,t){this.groupGL=new pP.Node,this._sphereGeometry=new pP.SphereGeometry({widthSegments:200,heightSegments:100,dynamic:!0}),this._overlayGeometry=new pP.SphereGeometry({widthSegments:80,heightSegments:40}),this._planeGeometry=new pP.PlaneGeometry,this._earthMesh=new pP.Mesh({renderNormal:!0}),this._atmosphereMesh=new pP.Mesh,this._atmosphereGeometry=new pP.SphereGeometry({widthSegments:80,heightSegments:40}),this._atmosphereMaterial=new pP.Material({shader:new pP.Shader(pP.Shader.source("ecgl.atmosphere.vertex"),pP.Shader.source("ecgl.atmosphere.fragment")),transparent:!0}),this._atmosphereMesh.geometry=this._atmosphereGeometry,this._atmosphereMesh.material=this._atmosphereMaterial,this._atmosphereMesh.frontFace=pP.Mesh.CW,this._lightRoot=new pP.Node,this._sceneHelper=new XP,this._sceneHelper.initLight(this._lightRoot),this.groupGL.add(this._atmosphereMesh),this.groupGL.add(this._earthMesh),this._control=new RP({zr:t.getZr()}),this._control.init(),this._layerMeshes={}},render:function(e,t,n){var r=e.coordinateSystem,i=e.get("shading");r.viewGL.add(this._lightRoot),e.get("show")?r.viewGL.add(this.groupGL):r.viewGL.remove(this.groupGL),this._sceneHelper.setScene(r.viewGL.scene),r.viewGL.setPostEffect(e.getModel("postEffect"),n),r.viewGL.setTemporalSuperSampling(e.getModel("temporalSuperSampling"));var o=this._earthMesh;o.geometry=this._sphereGeometry;var a="ecgl."+i;o.material&&o.material.shader.name===a||(o.material=pP.createMaterial(a)),pP.setMaterialFromModel(i,o.material,e,n),["roughnessMap","metalnessMap","detailMap","normalMap"].forEach((function(e){var t=o.material.get(e);t&&(t.flipY=!1)})),o.material.set("color",pP.parseColor(e.get("baseColor")));var s=.99*r.radius;if(o.scale.set(s,s,s),e.get("atmosphere.show")){o.material.define("both","ATMOSPHERE_ENABLED"),this._atmosphereMesh.invisible=!1,this._atmosphereMaterial.setUniforms({glowPower:e.get("atmosphere.glowPower")||6,glowColor:e.get("atmosphere.color")||"#ffffff"}),o.material.setUniforms({glowPower:e.get("atmosphere.innerGlowPower")||2,glowColor:e.get("atmosphere.color")||"#ffffff"});var l=e.get("atmosphere.offset")||5;this._atmosphereMesh.scale.set(s+l,s+l,s+l)}else o.material.undefine("both","ATMOSPHERE_ENABLED"),this._atmosphereMesh.invisible=!0;var u=o.material.setTextureImage("diffuseMap",e.get("baseTexture"),n,{flipY:!1,anisotropic:8});u&&u.surface&&u.surface.attachToMesh(o);var c=o.material.setTextureImage("bumpMap",e.get("heightTexture"),n,{flipY:!1,anisotropic:8});c&&c.surface&&c.surface.attachToMesh(o),o.material[e.get("postEffect.enable")?"define":"undefine"]("fragment","SRGB_DECODE"),this._updateLight(e,n),this._displaceVertices(e,n),this._updateViewControl(e,n),this._updateLayers(e,n)},afterRender:function(e,t,n,r){var i=r.renderer;this._sceneHelper.updateAmbientCubemap(i,e,n),this._sceneHelper.updateSkybox(i,e,n)},_updateLayers:function(e,t){var n=e.coordinateSystem,r=e.get("layers"),i=n.radius,o=[],a=[],s=[],l=[];pt(r,(function(e){var r=new qh(e),u=r.get("type"),c=pP.loadTexture(r.get("texture"),t,{flipY:!1,anisotropic:8});if(c.surface&&c.surface.attachToMesh(this._earthMesh),"blend"===u){var h=r.get("blendTo"),d=PL.firstNotNull(r.get("intensity"),1);"emission"===h?(s.push(c),l.push(d)):(o.push(c),a.push(d))}else{var p=r.get("id"),f=this._layerMeshes[p];f||(f=this._layerMeshes[p]=new pP.Mesh({geometry:this._overlayGeometry,castShadow:!1,ignorePicking:!0})),"lambert"===r.get("shading")?(f.material=f.__lambertMaterial||new pP.Material({autoUpdateTextureStatus:!1,shader:pP.createShader("ecgl.lambert"),transparent:!0,depthMask:!1}),f.__lambertMaterial=f.material):(f.material=f.__colorMaterial||new pP.Material({autoUpdateTextureStatus:!1,shader:pP.createShader("ecgl.color"),transparent:!0,depthMask:!1}),f.__colorMaterial=f.material),f.material.enableTexture("diffuseMap");var g=r.get("distance"),m=i+(null==g?n.radius/100:g);f.scale.set(m,m,m),i=m;var v=this._blankTexture||(this._blankTexture=pP.createBlankTexture("rgba(255, 255, 255, 0)"));f.material.set("diffuseMap",v),pP.loadTexture(r.get("texture"),t,{flipY:!1,anisotropic:8},(function(e){e.surface&&e.surface.attachToMesh(f),f.material.set("diffuseMap",e),t.getZr().refresh()})),r.get("show")?this.groupGL.add(f):this.groupGL.remove(f)}}),this);var u=this._earthMesh.material;u.define("fragment","LAYER_DIFFUSEMAP_COUNT",o.length),u.define("fragment","LAYER_EMISSIVEMAP_COUNT",s.length),u.set("layerDiffuseMap",o),u.set("layerDiffuseIntensity",a),u.set("layerEmissiveMap",s),u.set("layerEmissionIntensity",l);var c=e.getModel("debug.wireframe");if(c.get("show")){u.define("both","WIREFRAME_TRIANGLE");var h=pP.parseColor(c.get("lineStyle.color")||"rgba(0,0,0,0.5)"),d=PL.firstNotNull(c.get("lineStyle.width"),1);u.set("wireframeLineWidth",d),u.set("wireframeLineColor",h)}else u.undefine("both","WIREFRAME_TRIANGLE")},_updateViewControl:function(e,t){var n=e.coordinateSystem,r=e.getModel("viewControl"),i=(n.viewGL.camera,this),o=this._control;o.setViewGL(n.viewGL);var a,s,l=r.get("targetCoord");null!=l&&(s=l[0]+90,a=l[1]),o.setFromViewControlModel(r,{baseDistance:n.radius,alpha:a,beta:s}),o.off("update"),o.on("update",(function(){t.dispatchAction({type:"globeChangeCamera",alpha:o.getAlpha(),beta:o.getBeta(),distance:o.getDistance()-n.radius,center:o.getCenter(),from:i.uid,globeId:e.id})}))},_displaceVertices:function(e,t){var n=e.get("displacementQuality"),r=e.get("debug.wireframe.show"),i=e.coordinateSystem;if(e.isDisplacementChanged()||n!==this._displacementQuality||r!==this._showDebugWireframe){this._displacementQuality=n,this._showDebugWireframe=r;var o=this._sphereGeometry,a={low:100,medium:200,high:400,ultra:800}[n]||200,s=a/2;(o.widthSegments!==a||r)&&(o.widthSegments=a,o.heightSegments=s,o.build()),this._doDisplaceVertices(o,i),r&&o.generateBarycentric()}},_doDisplaceVertices:function(e,t){var n=e.attributes.position.value,r=e.attributes.texcoord0.value,i=e.__originalPosition;i&&i.length===n.length||((i=new Float32Array(n.length)).set(n),e.__originalPosition=i);for(var o=t.displacementWidth,a=t.displacementHeight,s=t.displacementData,l=0;l<e.vertexCount;l++){var u=3*l,c=2*l,h=i[u+1],d=i[u+2],p=i[u+3],f=r[c++],g=r[c++],m=Math.round(f*(o-1)),v=Math.round(g*(a-1)),y=s?s[v*o+m]:0;n[u+1]=h+h*y,n[u+2]=d+d*y,n[u+3]=p+p*y}e.generateVertexNormals(),e.dirty(),e.updateBoundingBox()},_updateLight:function(e,t){var n=this._earthMesh;this._sceneHelper.updateLight(e);var r=this._sceneHelper.mainLight,i=e.get("light.main.time")||new Date,o=hk.getPosition(ls(i),0,0),a=Math.cos(o.altitude);r.position.y=-a*Math.cos(o.azimuth),r.position.x=Math.sin(o.altitude),r.position.z=a*Math.sin(o.azimuth),r.lookAt(n.getWorldPosition())},dispose:function(e,t){this.groupGL.removeAll(),this._control.dispose()}});var pk=BP.vec3;function fk(e){this.radius=e,this.viewGL=null,this.altitudeAxis,this.displacementData=null,this.displacementWidth,this.displacementHeight}fk.prototype={constructor:fk,dimensions:["lng","lat","alt"],type:"globe",containPoint:function(){},setDisplacementData:function(e,t,n){this.displacementData=e,this.displacementWidth=t,this.displacementHeight=n},_getDisplacementScale:function(e,t){var n=(e+180)/360*(this.displacementWidth-1),r=(90-t)/180*(this.displacementHeight-1),i=Math.round(n)+Math.round(r)*this.displacementWidth;return this.displacementData[i]},dataToPoint:function(e,t){var n=e[0],r=e[1],i=e[2]||0,o=this.radius;this.displacementData&&(o*=1+this._getDisplacementScale(n,r)),this.altitudeAxis&&(o+=this.altitudeAxis.dataToCoord(i)),n=n*Math.PI/180,r=r*Math.PI/180;var a=Math.cos(r)*o;return(t=t||[])[0]=-a*Math.cos(n+Math.PI),t[1]=Math.sin(r)*o,t[2]=a*Math.sin(n+Math.PI),t},pointToData:function(e,t){var n=e[0],r=e[1],i=e[2],o=pk.len(e);n/=o,r/=o,i/=o;var a=Math.asin(r),s=Math.atan2(i,-n);s<0&&(s=2*Math.PI+s);var l=180*a/Math.PI,u=180*s/Math.PI-180;return(t=t||[])[0]=u,t[1]=l,t[2]=o-this.radius,this.altitudeAxis&&(t[2]=this.altitudeAxis.coordToData(t[2])),t}};const gk=fk;function mk(e,t){var n=Qd(e.getBoxLayoutParams(),{width:t.getWidth(),height:t.getHeight()});n.y=t.getHeight()-n.y-n.height,this.viewGL.setViewport(n.x,n.y,n.width,n.height,t.getDevicePixelRatio()),this.radius=e.get("globeRadius");var r=e.get("globeOuterRadius");this.altitudeAxis&&this.altitudeAxis.setExtent(0,r-this.radius)}function vk(e,t){var n=[1/0,-1/0];if(e.eachSeries((function(e){if(e.coordinateSystem===this){var t=e.getData(),r=e.coordDimToDataDim("alt"),i=r&&r[0];if(i){var o=t.getDataExtent(i,!0);n[0]=Math.min(n[0],o[0]),n[1]=Math.max(n[1],o[1])}}}),this),n&&isFinite(n[1]-n[0])){var r=PS(n,{type:"value",min:"dataMin",max:"dataMax"});this.altitudeAxis=new uM("altitude",r),this.resize(this.model,t)}}var yk={dimensions:gk.prototype.dimensions,create:function(e,t){var n=[];return e.eachComponent("globe",(function(e){e.__viewGL=e.__viewGL||new EN;var r=new gk;r.viewGL=e.__viewGL,e.coordinateSystem=r,r.model=e,n.push(r),r.resize=mk,r.resize(e,t),r.update=vk})),e.eachSeries((function(t){if("globe"===t.get("coordinateSystem")){var n=t.getReferringComponents("globe").models[0];if(n||(n=e.getComponent("globe")),!n)throw new Error('globe "'+PL.firstNotNull(t.get("globe3DIndex"),t.get("globe3DId"),0)+'" not found');var r=n.coordinateSystem;t.coordinateSystem=r}})),e.eachComponent("globe",(function(e,n){var r=e.coordinateSystem,i=e.getDisplacementTexture(),o=e.getDisplacemenScale();if(e.isDisplacementChanged()){if(e.hasDisplacement()){var a=!0;pP.loadTexture(i,t,(function(n){var r=function(e,t){var n=document.createElement("canvas"),r=n.getContext("2d"),i=e.width,o=e.height;n.width=i,n.height=o,r.drawImage(e,0,0,i,o);for(var a=r.getImageData(0,0,i,o).data,s=new Float32Array(a.length/4),l=0;l<a.length/4;l++){var u=a[4*l];s[l]=u/255*t}return{data:s,width:i,height:o}}(n.image,o);e.setDisplacementData(r.data,r.width,r.height),a||t.dispatchAction({type:"globeUpdateDisplacment"})})),a=!1}else r.setDisplacementData(null,0,0);r.setDisplacementData(e.displacementData,e.displacementWidth,e.displacementHeight)}})),n}};const _k=yk;BS((function(e){e.registerComponentModel(JR),e.registerComponentView(dk),e.registerCoordinateSystem("globe",_k),e.registerAction({type:"globeChangeCamera",event:"globecamerachanged",update:"series:updateCamera"},(function(e,t){t.eachComponent({mainType:"globe",query:e},(function(t){t.setView(e)}))})),e.registerAction({type:"globeUpdateDisplacment",event:"globedisplacementupdated",update:"update"},(function(e,t){}))}));var xk=["zoom","center","pitch","bearing"],bk=sp.extend({type:"mapbox3D",layoutMode:"box",coordinateSystem:null,defaultOption:{zlevel:-10,style:"mapbox://styles/mapbox/light-v9",center:[0,0],zoom:0,pitch:0,bearing:0,light:{main:{alpha:20,beta:30}},altitudeScale:1,boxHeight:"auto"},getMapboxCameraOption:function(){var e=this;return xk.reduce((function(t,n){return t[n]=e.get(n),t}),{})},setMapboxCameraOption:function(e){null!=e&&xk.forEach((function(t){null!=e[t]&&(this.option[t]=e[t])}),this)},getMapbox:function(){return this._mapbox},setMapbox:function(e){this._mapbox=e}});it(bk.prototype,IP),it(bk.prototype,CP);const wk=bk;function Sk(e,t){if(this.id=e,this.zr=t,this.dom=document.createElement("div"),this.dom.style.cssText="position:absolute;left:0;right:0;top:0;bottom:0;",!mapboxgl)throw new Error("Mapbox GL library must be included. See https://www.mapbox.com/mapbox-gl-js/api/");this._mapbox=new mapboxgl.Map({container:this.dom}),this._initEvents()}Sk.prototype.setUnpainted=function(){},Sk.prototype.resize=function(){this._mapbox.resize()},Sk.prototype.getMapbox=function(){return this._mapbox},Sk.prototype.clear=function(){},Sk.prototype.refresh=function(){this._mapbox.resize()};var Mk=["mousedown","mouseup","click","dblclick","mousemove","mousewheel","wheel","touchstart","touchend","touchmove","touchcancel"];Sk.prototype._initEvents=function(){var e=this._mapbox.getCanvasContainer();this._handlers=this._handlers||{contextmenu:function(e){return e.preventDefault(),!1}},Mk.forEach((function(t){this._handlers[t]=function(t){var n={};for(var r in t)n[r]=t[r];n.bubbles=!1;var i=new t.constructor(t.type,n);e.dispatchEvent(i)},this.zr.dom.addEventListener(t,this._handlers[t])}),this),this.zr.dom.addEventListener("contextmenu",this._handlers.contextmenu)},Sk.prototype.dispose=function(){Mk.forEach((function(e){this.zr.dom.removeEventListener(e,this._handlers[e])}),this)};const Tk=Sk,Ak="\n@export ecgl.displayShadow.vertex\n\n@import ecgl.common.transformUniforms\n\n@import ecgl.common.uv.header\n\n@import ecgl.common.attributes\n\nvarying vec3 v_WorldPosition;\n\nvarying vec3 v_Normal;\n\nvoid main()\n{\n @import ecgl.common.uv.main\n v_Normal = normalize((worldInverseTranspose * vec4(normal, 0.0)).xyz);\n\n v_WorldPosition = (world * vec4(position, 1.0)).xyz;\n gl_Position = worldViewProjection * vec4(position, 1.0);\n}\n\n@end\n\n\n@export ecgl.displayShadow.fragment\n\n@import ecgl.common.uv.fragmentHeader\n\nvarying vec3 v_Normal;\nvarying vec3 v_WorldPosition;\n\nuniform float roughness: 0.2;\n\n#ifdef DIRECTIONAL_LIGHT_COUNT\n@import clay.header.directional_light\n#endif\n\n@import ecgl.common.ssaoMap.header\n\n@import clay.plugin.compute_shadow_map\n\nvoid main()\n{\n float shadow = 1.0;\n\n @import ecgl.common.ssaoMap.main\n\n#if defined(DIRECTIONAL_LIGHT_COUNT) && defined(DIRECTIONAL_LIGHT_SHADOWMAP_COUNT)\n float shadowContribsDir[DIRECTIONAL_LIGHT_COUNT];\n if(shadowEnabled)\n {\n computeShadowOfDirectionalLights(v_WorldPosition, shadowContribsDir);\n }\n for (int i = 0; i < DIRECTIONAL_LIGHT_COUNT; i++) {\n shadow = min(shadow, shadowContribsDir[i] * 0.5 + 0.5);\n }\n#endif\n\n shadow *= 0.5 + ao * 0.5;\n shadow = clamp(shadow, 0.0, 1.0);\n\n gl_FragColor = vec4(vec3(0.0), 1.0 - shadow);\n}\n\n@end";pP.Shader.import(Ak);const Ik=rm.extend({type:"mapbox3D",__ecgl__:!0,init:function(e,t){var n=t.getZr();this._zrLayer=new Tk("mapbox3D",n),n.painter.insertLayer(-1e3,this._zrLayer),this._lightRoot=new pP.Node,this._sceneHelper=new XP(this._lightRoot),this._sceneHelper.initLight(this._lightRoot);var r=this._zrLayer.getMapbox(),i=this._dispatchInteractAction.bind(this,t,r);["zoom","rotate","drag","pitch","rotate","move"].forEach((function(e){r.on(e,i)})),this._groundMesh=new pP.Mesh({geometry:new pP.PlaneGeometry,material:new pP.Material({shader:new pP.Shader({vertex:pP.Shader.source("ecgl.displayShadow.vertex"),fragment:pP.Shader.source("ecgl.displayShadow.fragment")}),depthMask:!1}),renderOrder:-100,culling:!1,castShadow:!1,$ignorePicking:!0,renderNormal:!0})},render:function(e,t,n){var r=this._zrLayer.getMapbox(),i=e.get("style"),o=JSON.stringify(i);o!==this._oldStyleStr&&i&&r.setStyle(i),this._oldStyleStr=o,r.setCenter(e.get("center")),r.setZoom(e.get("zoom")),r.setPitch(e.get("pitch")),r.setBearing(e.get("bearing")),e.setMapbox(r);var a=e.coordinateSystem;a.viewGL.scene.add(this._lightRoot),a.viewGL.add(this._groundMesh),this._updateGroundMesh(),this._sceneHelper.setScene(a.viewGL.scene),this._sceneHelper.updateLight(e),a.viewGL.setPostEffect(e.getModel("postEffect"),n),a.viewGL.setTemporalSuperSampling(e.getModel("temporalSuperSampling")),this._mapbox3DModel=e},afterRender:function(e,t,n,r){var i=r.renderer;this._sceneHelper.updateAmbientCubemap(i,e,n),this._sceneHelper.updateSkybox(i,e,n),e.coordinateSystem.viewGL.scene.traverse((function(e){e.material&&(e.material.define("fragment","NORMAL_UP_AXIS",2),e.material.define("fragment","NORMAL_FRONT_AXIS",1))}))},updateCamera:function(e,t,n,r){e.coordinateSystem.setCameraOption(r),this._updateGroundMesh(),n.getZr().refresh()},_dispatchInteractAction:function(e,t,n){e.dispatchAction({type:"mapbox3DChangeCamera",pitch:t.getPitch(),zoom:t.getZoom(),center:t.getCenter().toArray(),bearing:t.getBearing(),mapbox3DId:this._mapbox3DModel&&this._mapbox3DModel.id})},_updateGroundMesh:function(){if(this._mapbox3DModel){var e=this._mapbox3DModel.coordinateSystem,t=e.dataToPoint(e.center);this._groundMesh.position.set(t[0],t[1],-.001);var n=new pP.Plane(new pP.Vector3(0,0,1),0),r=e.viewGL.camera.castRay(new pP.Vector2(-1,-1)),i=e.viewGL.camera.castRay(new pP.Vector2(1,1)),o=r.intersectPlane(n),a=i.intersectPlane(n),s=o.dist(a)/e.viewGL.rootNode.scale.x;this._groundMesh.scale.set(s,s,1)}},dispose:function(e,t){this._zrLayer&&this._zrLayer.dispose(),t.getZr().painter.delLayer(-1e3)}});var Ck=BP.mat4,Dk=512,Ek=.6435011087932844,Lk=Math.PI,Pk=.1;function Ok(){this.width=0,this.height=0,this.altitudeScale=1,this.boxHeight="auto",this.altitudeExtent,this.bearing=0,this.pitch=0,this.center=[0,0],this._origin,this.zoom=0,this._initialZoom,this.maxPitch=60,this.zoomOffset=0}Ok.prototype={constructor:Ok,dimensions:["lng","lat","alt"],containPoint:function(){},setCameraOption:function(e){this.bearing=e.bearing,this.pitch=e.pitch,this.center=e.center,this.zoom=e.zoom,this._origin||(this._origin=this.projectOnTileWithScale(this.center,Dk)),null==this._initialZoom&&(this._initialZoom=this.zoom),this.updateTransform()},updateTransform:function(){if(this.height){var e=.5/Math.tan(Ek/2)*this.height*Pk,t=Math.max(Math.min(this.pitch,this.maxPitch),0)/180*Math.PI,n=Ek/2,r=Math.PI/2+t,i=Math.sin(n)*e/Math.sin(Math.PI-r-n),o=1.1*(Math.cos(Math.PI/2-t)*i+e);this.pitch>50&&(o=1e3);var a=[];Ck.perspective(a,Ek,this.width/this.height,1,o),this.viewGL.camera.projectionMatrix.setArray(a),this.viewGL.camera.decomposeProjectionMatrix(),a=Ck.identity([]);var s=this.dataToPoint(this.center);Ck.scale(a,a,[1,-1,1]),Ck.translate(a,a,[0,0,-e]),Ck.rotateX(a,a,t),Ck.rotateZ(a,a,-this.bearing/180*Math.PI),Ck.translate(a,a,[-s[0]*this.getScale()*Pk,-s[1]*this.getScale()*Pk,0]),this.viewGL.camera.viewMatrix.array=a;var l=[];Ck.invert(l,a),this.viewGL.camera.worldTransform.array=l,this.viewGL.camera.decomposeWorldTransform();var u,c=Dk*this.getScale();if(this.altitudeExtent&&!isNaN(this.boxHeight)){var h=this.altitudeExtent[1]-this.altitudeExtent[0];u=this.boxHeight/h*this.getScale()/Math.pow(2,this._initialZoom-this.zoomOffset)}else u=c/(2*Math.PI*6378e3*Math.abs(Math.cos(this.center[1]*(Math.PI/180))))*this.altitudeScale*Pk;this.viewGL.rootNode.scale.set(this.getScale()*Pk,this.getScale()*Pk,u)}},getScale:function(){return Math.pow(2,this.zoom-this.zoomOffset)},projectOnTile:function(e,t){return this.projectOnTileWithScale(e,this.getScale()*Dk,t)},projectOnTileWithScale:function(e,t,n){var r=e[0],i=e[1]*Lk/180,o=t*(r*Lk/180+Lk)/(2*Lk),a=t*(Lk-Math.log(Math.tan(Lk/4+.5*i)))/(2*Lk);return(n=n||[])[0]=o,n[1]=a,n},unprojectFromTile:function(e,t){return this.unprojectOnTileWithScale(e,this.getScale()*Dk,t)},unprojectOnTileWithScale:function(e,t,n){var r=e[0],i=e[1],o=r/t*(2*Lk)-Lk,a=2*(Math.atan(Math.exp(Lk-i/t*(2*Lk)))-Lk/4);return(n=n||[])[0]=180*o/Lk,n[1]=180*a/Lk,n},dataToPoint:function(e,t){return(t=this.projectOnTileWithScale(e,Dk,t))[0]-=this._origin[0],t[1]-=this._origin[1],t[2]=isNaN(e[2])?0:e[2],isNaN(e[2])||(t[2]=e[2],this.altitudeExtent&&(t[2]-=this.altitudeExtent[0])),t}};const Nk=Ok;function Rk(){Nk.apply(this,arguments)}function kk(e,t,n){function r(e,t){var n=t.getWidth(),r=t.getHeight(),i=t.getDevicePixelRatio();this.viewGL.setViewport(0,0,n,r,i),this.width=n,this.height=r,this.altitudeScale=e.get("altitudeScale"),this.boxHeight=e.get("boxHeight")}function i(e,t){if("auto"!==this.model.get("boxHeight")){var n=[1/0,-1/0];e.eachSeries((function(e){if(e.coordinateSystem===this){var t=e.getData(),r=e.coordDimToDataDim("alt")[0];if(r){var i=t.getDataExtent(r,!0);n[0]=Math.min(n[0],i[0]),n[1]=Math.max(n[1],i[1])}}}),this),n&&isFinite(n[1]-n[0])&&(this.altitudeExtent=n)}}return{dimensions:t.prototype.dimensions,create:function(o,a){var s=[];return o.eachComponent(e,(function(e){var n=e.__viewGL;n||(n=e.__viewGL=new EN).setRootNode(new pP.Node);var o=new t;o.viewGL=e.__viewGL,o.resize=r,o.resize(e,a),s.push(o),e.coordinateSystem=o,o.model=e,o.update=i})),o.eachSeries((function(t){if(t.get("coordinateSystem")===e){var n=t.getReferringComponents(e).models[0];if(n||(n=o.getComponent(e)),!n)throw new Error(e+' "'+PL.firstNotNull(t.get(e+"Index"),t.get(e+"Id"),0)+'" not found');t.coordinateSystem=n.coordinateSystem}})),n&&n(s,o,a),s}}}Rk.prototype=new Nk,Rk.prototype.constructor=Rk,Rk.prototype.type="mapbox3D";const Bk=kk("mapbox3D",Rk,(function(e){e.forEach((function(e){e.setCameraOption(e.model.getMapboxCameraOption())}))}));BS((function(e){e.registerComponentModel(wk),e.registerComponentView(Ik),e.registerCoordinateSystem("mapbox3D",Bk),e.registerAction({type:"mapbox3DChangeCamera",event:"mapbox3dcamerachanged",update:"mapbox3D:updateCamera"},(function(e,t){t.eachComponent({mainType:"mapbox3D",query:e},(function(t){t.setMapboxCameraOption(e)}))}))}));var Fk=["zoom","center","pitch","bearing"],zk=sp.extend({type:"maptalks3D",layoutMode:"box",coordinateSystem:null,defaultOption:{zlevel:-10,urlTemplate:"http://{s}.basemaps.cartocdn.com/light_all/{z}/{x}/{y}.png",attribution:'&copy; <a href="http://osm.org">OpenStreetMap</a> contributors, &copy; <a href="https://carto.com/">CARTO</a>',center:[0,0],zoom:0,pitch:0,bearing:0,light:{main:{alpha:20,beta:30}},altitudeScale:1,boxHeight:"auto"},getMaptalksCameraOption:function(){var e=this;return Fk.reduce((function(t,n){return t[n]=e.get(n),t}),{})},setMaptalksCameraOption:function(e){null!=e&&Fk.forEach((function(t){null!=e[t]&&(this.option[t]=e[t])}),this)},getMaptalks:function(){return this._maptalks},setMaptalks:function(e){this._maptalks=e}});it(zk.prototype,IP),it(zk.prototype,CP);const Vk=zk;function Gk(e,t,n,r){if(this.id=e,this.zr=t,this.dom=document.createElement("div"),this.dom.style.cssText="position:absolute;left:0;right:0;top:0;bottom:0;",!maptalks)throw new Error("Maptalks library must be included. See https://maptalks.org");this._maptalks=new maptalks.Map(this.dom,{center:n,zoom:r,doubleClickZoom:!1,fog:!1}),this._initEvents()}Gk.prototype.setUnpainted=function(){},Gk.prototype.resize=function(){this._maptalks.checkSize()},Gk.prototype.getMaptalks=function(){return this._maptalks},Gk.prototype.clear=function(){},Gk.prototype.refresh=function(){this._maptalks.checkSize()};var Hk=["mousedown","mouseup","click","dblclick","mousemove","mousewheel","DOMMouseScroll","touchstart","touchend","touchmove","touchcancel"];Gk.prototype._initEvents=function(){var e=this.dom;this._handlers=this._handlers||{contextmenu:function(e){return e.preventDefault(),!1}},Hk.forEach((function(t){this._handlers[t]=function(n){var r={};for(var i in n)r[i]=n[i];r.bubbles=!1;var o=new n.constructor(n.type,r);"mousewheel"===t||"DOMMouseScroll"===t?e.dispatchEvent(o):e.firstElementChild.dispatchEvent(o)},this.zr.dom.addEventListener(t,this._handlers[t])}),this),this.zr.dom.addEventListener("contextmenu",this._handlers.contextmenu)},Gk.prototype.dispose=function(){Hk.forEach((function(e){this.zr.dom.removeEventListener(e,this._handlers[e])}),this),this._maptalks.remove()};const Uk=Gk;pP.Shader.import(Ak);const Wk=rm.extend({type:"maptalks3D",__ecgl__:!0,init:function(e,t){this._groundMesh=new pP.Mesh({geometry:new pP.PlaneGeometry,material:new pP.Material({shader:new pP.Shader({vertex:pP.Shader.source("ecgl.displayShadow.vertex"),fragment:pP.Shader.source("ecgl.displayShadow.fragment")}),depthMask:!1}),renderOrder:-100,culling:!1,castShadow:!1,$ignorePicking:!0,renderNormal:!0})},_initMaptalksLayer:function(e,t){var n=t.getZr();this._zrLayer=new Uk("maptalks3D",n,e.get("center"),e.get("zoom")),n.painter.insertLayer(-1e3,this._zrLayer),this._lightRoot=new pP.Node,this._sceneHelper=new XP(this._lightRoot),this._sceneHelper.initLight(this._lightRoot);var r=this._zrLayer.getMaptalks(),i=this._dispatchInteractAction.bind(this,t,r);["zoomend","zooming","zoomstart","dragrotating","pitch","pitchend","movestart","moving","moveend","resize","touchstart","touchmove","touchend","animating"].forEach((function(e){r.on(e,i)}))},render:function(e,t,n){this._zrLayer||this._initMaptalksLayer(e,n);var r=this._zrLayer.getMaptalks(),i=e.get("urlTemplate"),o=r.getBaseLayer();i!==this._oldUrlTemplate&&(o?o.setOptions({urlTemplate:i,attribution:e.get("attribution")}):(o=new maptalks.TileLayer("maptalks-echarts-gl-baselayer",{urlTemplate:i,subdomains:["a","b","c"],attribution:e.get("attribution")}),r.setBaseLayer(o))),this._oldUrlTemplate=i,r.setCenter(e.get("center")),r.setZoom(e.get("zoom"),{animation:!1}),r.setPitch(e.get("pitch")),r.setBearing(e.get("bearing")),e.setMaptalks(r);var a=e.coordinateSystem;a.viewGL.scene.add(this._lightRoot),a.viewGL.add(this._groundMesh),this._updateGroundMesh(),this._sceneHelper.setScene(a.viewGL.scene),this._sceneHelper.updateLight(e),a.viewGL.setPostEffect(e.getModel("postEffect"),n),a.viewGL.setTemporalSuperSampling(e.getModel("temporalSuperSampling")),this._maptalks3DModel=e},afterRender:function(e,t,n,r){var i=r.renderer;this._sceneHelper.updateAmbientCubemap(i,e,n),this._sceneHelper.updateSkybox(i,e,n),e.coordinateSystem.viewGL.scene.traverse((function(e){e.material&&(e.material.define("fragment","NORMAL_UP_AXIS",2),e.material.define("fragment","NORMAL_FRONT_AXIS",1))}))},updateCamera:function(e,t,n,r){e.coordinateSystem.setCameraOption(r),this._updateGroundMesh(),n.getZr().refresh()},_dispatchInteractAction:function(e,t,n){var r;e.dispatchAction({type:"maptalks3DChangeCamera",pitch:t.getPitch(),zoom:(r=t.getResolution(),19-Math.log(r/jk)/Math.LN2+1),center:t.getCenter().toArray(),bearing:t.getBearing(),maptalks3DId:this._maptalks3DModel&&this._maptalks3DModel.id})},_updateGroundMesh:function(){if(this._maptalks3DModel){var e=this._maptalks3DModel.coordinateSystem,t=e.dataToPoint(e.center);this._groundMesh.position.set(t[0],t[1],-.001);var n=new pP.Plane(new pP.Vector3(0,0,1),0),r=e.viewGL.camera.castRay(new pP.Vector2(-1,-1)),i=e.viewGL.camera.castRay(new pP.Vector2(1,1)),o=r.intersectPlane(n),a=i.intersectPlane(n),s=o.dist(a)/e.viewGL.rootNode.scale.x;this._groundMesh.scale.set(s,s,1)}},dispose:function(e,t){this._zrLayer&&this._zrLayer.dispose(),t.getZr().painter.delLayer(-1e3)}}),jk=12756274*Math.PI/(256*Math.pow(2,20));function Xk(){Nk.apply(this,arguments),this.maxPitch=85,this.zoomOffset=1}Xk.prototype=new Nk,Xk.prototype.constructor=Xk,Xk.prototype.type="maptalks3D";const Yk=kk("maptalks3D",Xk,(function(e){e.forEach((function(e){e.setCameraOption(e.model.getMaptalksCameraOption())}))}));BS((function(e){e.registerComponentModel(Vk),e.registerComponentView(Wk),e.registerCoordinateSystem("maptalks3D",Yk),e.registerAction({type:"maptalks3DChangeCamera",event:"maptalks3dcamerachanged",update:"maptalks3D:updateCamera"},(function(e,t){t.eachComponent({mainType:"maptalks3D",query:e},(function(t){t.setMaptalksCameraOption(e)}))}))}));var Zk=BP.vec3,qk=LS.isDimensionStacked;function $k(e,t,n){for(var r=e.getDataExtent(t),i=e.getDataExtent(n),o=r[1]-r[0]||r[0],a=i[1]-i[0]||i[0],s=new Uint8Array(2500),l=0;l<e.count();l++){var u=e.get(t,l),c=e.get(n,l),h=Math.floor((u-r[0])/o*49),d=50*Math.floor((c-i[0])/a*49)+h;s[d]=s[d]||1}var p=0;for(l=0;l<s.length;l++)s[l]&&p++;return p/s.length}var Kk=BP.vec3,Jk=LS.isDimensionStacked;function Qk(e,t){var n=Jk(e,t[2]);return{dimension:n?e.getCalculationInfo("stackResultDimension"):t[2],isStacked:n}}function eB(e){e.registerLayout((function(e,t){e.eachSeriesByType("bar3D",(function(e){var t=e.coordinateSystem,n=t&&t.type;"globe"===n?function(e,t){var n=e.getData(),r=e.get("minHeight")||0,i=e.get("barSize"),o=["lng","lat","alt"].map((function(t){return e.coordDimToDataDim(t)[0]}));if(null==i){var a=t.radius*Math.PI,s=$k(n,o[0],o[1]);i=[a/Math.sqrt(n.count()/s),a/Math.sqrt(n.count()/s)]}else bt(i)||(i=[i,i]);var l=Qk(n,o);n.each(o,(function(e,o,a,s){var u=n.get(l.dimension,s),c=l.isStacked?u-a:t.altitudeAxis.scale.getExtent()[0],h=Math.max(t.altitudeAxis.dataToCoord(a),r),d=t.dataToPoint([e,o,c]),p=t.dataToPoint([e,o,u]),f=Kk.sub([],p,d);Kk.normalize(f,f);var g=[i[0],h,i[1]];n.setItemLayout(s,[d,f,g])})),n.setLayout("orient",vC.UP.array)}(e,t):"cartesian3D"===n?function(e,t){var n=e.getData(),r=e.get("barSize");if(null==r){var i,o,a=t.size,s=t.getAxis("x"),l=t.getAxis("y");i="category"===s.type?.7*s.getBandWidth():.6*Math.round(a[0]/Math.sqrt(n.count())),o="category"===l.type?.7*l.getBandWidth():.6*Math.round(a[1]/Math.sqrt(n.count())),r=[i,o]}else bt(r)||(r=[r,r]);var u=t.getAxis("z").scale.getExtent(),c=function(e){var t=e[0],n=e[1];return!(t>0&&n>0||t<0&&n<0)}(u),h=["x","y","z"].map((function(t){return e.coordDimToDataDim(t)[0]})),d=qk(n,h[2]),p=d?n.getCalculationInfo("stackResultDimension"):h[2];n.each(h,(function(e,i,o,a){var s=n.get(p,a),l=d?s-o:c?0:u[0],h=t.dataToPoint([e,i,l]),f=t.dataToPoint([e,i,s]),g=Zk.dist(h,f),m=[0,f[1]<h[1]?-1:1,0];0===Math.abs(g)&&(g=.1);var v=[r[0],g,r[1]];n.setItemLayout(a,[h,m,v])})),n.setLayout("orient",[1,0,0])}(e,t):"geo3D"===n?function(e,t){var n=e.getData(),r=e.get("barSize"),i=e.get("minHeight")||0,o=["lng","lat","alt"].map((function(t){return e.coordDimToDataDim(t)[0]}));if(null==r){var a=Math.min(t.size[0],t.size[2]),s=$k(n,o[0],o[1]);r=[a/Math.sqrt(n.count()/s),a/Math.sqrt(n.count()/s)]}else bt(r)||(r=[r,r]);var l=[0,1,0],u=Qk(n,o);n.each(o,(function(e,o,a,s){var c=n.get(u.dimension,s),h=u.isStacked?c-a:t.altitudeAxis.scale.getExtent()[0],d=Math.max(t.altitudeAxis.dataToCoord(a),i),p=t.dataToPoint([e,o,h]),f=[r[0],d,r[1]];n.setItemLayout(s,[p,l,f])})),n.setLayout("orient",[1,0,0])}(e,t):("mapbox3D"===n||"maptalks3D"===n)&&function(e,t){var n=e.getData(),r=e.coordDimToDataDim("lng")[0],i=e.coordDimToDataDim("lat")[0],o=e.coordDimToDataDim("alt")[0],a=e.get("barSize"),s=e.get("minHeight")||0;if(null==a){var l=n.getDataExtent(r),u=n.getDataExtent(i),c=t.dataToPoint([l[0],u[0]]),h=t.dataToPoint([l[1],u[1]]),d=Math.min(Math.abs(c[0]-h[0]),Math.abs(c[1]-h[1]))||1,p=$k(n,r,i);a=[d/Math.sqrt(n.count()/p),d/Math.sqrt(n.count()/p)]}else bt(a)||(a=[a,a]),a[0]/=t.getScale()/16,a[1]/=t.getScale()/16;var f=[0,0,1],g=[r,i,o],m=Qk(n,g);n.each(g,(function(e,r,i,o){var l=n.get(m.dimension,o),u=m.isStacked?l-i:0,c=t.dataToPoint([e,r,u]),h=t.dataToPoint([e,r,l]),d=Math.max(h[2]-c[2],s),p=[a[0],d,a[1]];n.setItemLayout(o,[c,f,p])})),n.setLayout("orient",[1,0,0])}(e,t)}))}))}const tB={getFormattedLabel:function(e,t,n,r,i){n=n||"normal";var o=e.getData(r).getItemModel(t),a=e.getDataParams(t,r);null!=i&&a.value instanceof Array&&(a.value=a.value[i]);var s,l=o.get("normal"===n?["label","formatter"]:["emphasis","label","formatter"]);return null==l&&(l=o.get(["label","formatter"])),"function"==typeof l?(a.status=n,s=l(a)):"string"==typeof l&&(s=Hd(l,a)),s},normalizeToArray:function(e){return e instanceof Array?e:null==e?[]:[e]}};function nB(e,t,n){var r=e.getData(),i=e.getRawValue(t),o=bt(i)?function(e){var i=[],o=function(e,t){var n=[];return pt(e.dimensions,(function(t){var r=e.getDimensionInfo(t),i=r.otherDims.tooltip;null!=i&&!1!==i&&(n[i]=r.name)})),n}(r);function a(e,t){var o=r.getDimensionInfo(t);if(o&&!1!==o.otherDims.tooltip){var a=o.type,s="- "+(o.tooltipName||o.name)+": "+("ordinal"===a?e+"":"time"===a?n?"":Wd("yyyy/MM/dd hh:mm:ss",e):kd(e));s&&i.push(Hn(s))}}return o.length?pt(o,(function(e){a(r.get(e,t),e)})):pt(e,a),"<br/>"+i.join("<br/>")}(i):Hn(kd(i)),a=r.getName(t),s=CR(r,t);At(s)&&s.colorStops&&(s=(s.colorStops[0]||{}).color);var l=Ud(s=s||"transparent"),u=e.name;return"\0-"===u&&(u=""),u=u?Hn(u)+(n?": ":"<br/>"):"",n?l+u+o:u+l+(a?Hn(a)+": "+o:o)}function rB(e,t,n){n=n||e.getSource();var r=t||Sb(e.get("coordinateSystem"))||["x","y","z"],i=uw(n,{dimensionsDefine:n.dimensionsDefine||e.get("dimensions"),encodeDefine:n.encodeDefine||e.get("encode"),coordDimensions:r.map((function(t){var n=e.getReferringComponents(t+"Axis3D").models[0];return{type:n&&"category"===n.get("type")?"ordinal":"float",name:t}}))});"cartesian3D"===e.get("coordinateSystem")&&i.forEach((function(t){if(r.indexOf(t.coordDim)>=0){var n=e.getReferringComponents(t.coordDim+"Axis3D").models[0];n&&"category"===n.get("type")&&(t.ordinalMeta=n.getOrdinalMeta())}}));var o=LS.enableDataStack(e,i,{byIndex:!0,stackedCoordDimension:"z"}),a=new lw(i,e);return a.setCalculationInfo(o),a.initData(n),a}var iB=tm.extend({type:"series.bar3D",dependencies:["globe"],visualStyleAccessPathvisu:"itemStyle",getInitialData:function(e,t){return rB(this)},getFormattedLabel:function(e,t,n,r){var i=tB.getFormattedLabel(this,e,t,n,r);return null==i&&(i=this.getData().get("z",e)),i},formatTooltip:function(e){return nB(this,e)},defaultOption:{coordinateSystem:"cartesian3D",globeIndex:0,grid3DIndex:0,zlevel:-10,bevelSize:0,bevelSmoothness:2,onGridPlane:"xy",shading:"color",minHeight:0,itemStyle:{opacity:1},label:{show:!1,distance:2,textStyle:{fontSize:14,color:"#000",backgroundColor:"rgba(255,255,255,0.7)",padding:3,borderRadius:3}},emphasis:{label:{show:!0}},animationDurationUpdate:500}});it(iB.prototype,WN);const oB=iB;var aB,sB,lB,uB,cB,hB,dB,pB,fB=BP.vec3,gB=BP.mat3,mB=kD.extend((function(){return{attributes:{position:new kD.Attribute("position","float",3,"POSITION"),normal:new kD.Attribute("normal","float",3,"NORMAL"),color:new kD.Attribute("color","float",4,"COLOR"),prevPosition:new kD.Attribute("prevPosition","float",3),prevNormal:new kD.Attribute("prevNormal","float",3)},dynamic:!0,enableNormal:!1,bevelSize:1,bevelSegments:0,_dataIndices:null,_vertexOffset:0,_triangleOffset:0}}),{resetOffset:function(){this._vertexOffset=0,this._triangleOffset=0},setBarCount:function(e){var t=this.enableNormal,n=this.getBarVertexCount()*e,r=this.getBarTriangleCount()*e;this.vertexCount!==n&&(this.attributes.position.init(n),t?this.attributes.normal.init(n):this.attributes.normal.value=null,this.attributes.color.init(n)),this.triangleCount!==r&&(this.indices=n>65535?new Uint32Array(3*r):new Uint16Array(3*r),this._dataIndices=new Uint32Array(n))},getBarVertexCount:function(){var e=this.bevelSize>0?this.bevelSegments:0;return e>0?this._getBevelBarVertexCount(e):this.enableNormal?24:8},getBarTriangleCount:function(){var e=this.bevelSize>0?this.bevelSegments:0;return e>0?this._getBevelBarTriangleCount(e):12},_getBevelBarVertexCount:function(e){return 4*(e+1)*(e+1)*2},_getBevelBarTriangleCount:function(e){return(4*e+3+1)*(2*e+1)*2+4},setColor:function(e,t){for(var n=this.getBarVertexCount(),r=n*(e+1),i=n*e;i<r;i++)this.attributes.color.set(i,t);this.dirtyAttribute("color")},getDataIndexOfVertex:function(e){return this._dataIndices?this._dataIndices[e]:null},addBar:function(){for(var e=fB.create,t=fB.scaleAndAdd,n=e(),r=e(),i=e(),o=e(),a=e(),s=e(),l=e(),u=[],c=[],h=0;h<8;h++)u[h]=e();var d=[[0,1,5,4],[2,3,7,6],[4,5,6,7],[3,2,1,0],[0,4,7,3],[1,2,6,5]],p=[0,1,2,0,2,3],f=[];for(h=0;h<d.length;h++)for(var g=d[h],m=0;m<2;m++){for(var v=[],y=0;y<3;y++)v.push(g[p[3*m+y]]);f.push(v)}return function(e,h,g,m,v,y){var _=this._vertexOffset;if(this.bevelSize>0&&this.bevelSegments>0)this._addBevelBar(e,h,g,m,this.bevelSize,this.bevelSegments,v);else{fB.copy(i,h),fB.normalize(i,i),fB.cross(o,g,i),fB.normalize(o,o),fB.cross(r,i,o),fB.normalize(o,o),fB.negate(a,r),fB.negate(s,i),fB.negate(l,o),t(u[0],e,r,m[0]/2),t(u[0],u[0],o,m[2]/2),t(u[1],e,r,m[0]/2),t(u[1],u[1],l,m[2]/2),t(u[2],e,a,m[0]/2),t(u[2],u[2],l,m[2]/2),t(u[3],e,a,m[0]/2),t(u[3],u[3],o,m[2]/2),t(n,e,i,m[1]),t(u[4],n,r,m[0]/2),t(u[4],u[4],o,m[2]/2),t(u[5],n,r,m[0]/2),t(u[5],u[5],l,m[2]/2),t(u[6],n,a,m[0]/2),t(u[6],u[6],l,m[2]/2),t(u[7],n,a,m[0]/2),t(u[7],u[7],o,m[2]/2);var x=this.attributes;if(this.enableNormal){c[0]=r,c[1]=a,c[2]=i,c[3]=s,c[4]=o,c[5]=l;for(var b=this._vertexOffset,w=0;w<d.length;w++){for(var S=3*this._triangleOffset,M=0;M<6;M++)this.indices[S++]=b+p[M];b+=4,this._triangleOffset+=2}for(w=0;w<d.length;w++){var T=c[w];for(M=0;M<4;M++){var A=d[w][M];x.position.set(this._vertexOffset,u[A]),x.normal.set(this._vertexOffset,T),x.color.set(this._vertexOffset++,v)}}}else{for(w=0;w<f.length;w++){for(S=3*this._triangleOffset,M=0;M<3;M++)this.indices[S+M]=f[w][M]+this._vertexOffset;this._triangleOffset++}for(w=0;w<u.length;w++)x.position.set(this._vertexOffset,u[w]),x.color.set(this._vertexOffset++,v)}}var I=this._vertexOffset;for(w=_;w<I;w++)this._dataIndices[w]=y}}(),_addBevelBar:(aB=fB.create(),sB=fB.create(),lB=fB.create(),uB=gB.create(),cB=[],hB=[1,-1,-1,1],dB=[1,1,-1,-1],pB=[2,0],function(e,t,n,r,i,o,a){fB.copy(sB,t),fB.normalize(sB,sB),fB.cross(lB,n,sB),fB.normalize(lB,lB),fB.cross(aB,sB,lB),fB.normalize(lB,lB),uB[0]=aB[0],uB[1]=aB[1],uB[2]=aB[2],uB[3]=sB[0],uB[4]=sB[1],uB[5]=sB[2],uB[6]=lB[0],uB[7]=lB[1],uB[8]=lB[2],i=Math.min(r[0],r[2])/2*i;for(var s=0;s<3;s++)cB[s]=Math.max(r[s]-2*i,0);var l=(r[0]-cB[0])/2,u=(r[1]-cB[1])/2,c=(r[2]-cB[2])/2,h=[],d=[],p=this._vertexOffset,f=[];for(s=0;s<2;s++){f[s]=f[s]=[];for(var g=0;g<=o;g++)for(var m=0;m<4;m++){(0===g&&0===s||1===s&&g===o)&&f[s].push(p);for(var v=0;v<=o;v++){var y=v/o*Math.PI/2+Math.PI/2*m,_=g/o*Math.PI/2+Math.PI/2*s;d[0]=l*Math.cos(y)*Math.sin(_),d[1]=u*Math.cos(_),d[2]=c*Math.sin(y)*Math.sin(_),h[0]=d[0]+hB[m]*cB[0]/2,h[1]=d[1]+u+pB[s]*cB[1]/2,h[2]=d[2]+dB[m]*cB[2]/2,Math.abs(l-u)<1e-6&&Math.abs(u-c)<1e-6||(d[0]/=l*l,d[1]/=u*u,d[2]/=c*c),fB.normalize(d,d),fB.transformMat3(h,h,uB),fB.transformMat3(d,d,uB),fB.add(h,h,e),this.attributes.position.set(p,h),this.enableNormal&&this.attributes.normal.set(p,d),this.attributes.color.set(p,a),p++}}}var x=4*o+3,b=2*o+1,w=x+1;for(m=0;m<b;m++)for(s=0;s<=x;s++){var S=m*w+s+this._vertexOffset,M=m*w+(s+1)%w+this._vertexOffset,T=(m+1)*w+(s+1)%w+this._vertexOffset,A=(m+1)*w+s+this._vertexOffset;this.setTriangleIndices(this._triangleOffset++,[T,S,M]),this.setTriangleIndices(this._triangleOffset++,[T,A,S])}this.setTriangleIndices(this._triangleOffset++,[f[0][0],f[0][2],f[0][1]]),this.setTriangleIndices(this._triangleOffset++,[f[0][0],f[0][3],f[0][2]]),this.setTriangleIndices(this._triangleOffset++,[f[1][0],f[1][1],f[1][2]]),this.setTriangleIndices(this._triangleOffset++,[f[1][0],f[1][2],f[1][3]]),this._vertexOffset=p})});st(mB.prototype,kP),st(mB.prototype,IR);const vB=mB;var yB=BP.vec3;const _B=gy.extend({type:"bar3D",__ecgl__:!0,init:function(e,t){this.groupGL=new pP.Node,this._api=t,this._labelsBuilder=new LR(256,256,t);var n=this;this._labelsBuilder.getLabelPosition=function(e,t,r){if(n._data){var i=n._data.getItemLayout(e),o=i[0],a=i[1],s=i[2][1];return yB.scaleAndAdd([],o,a,r+s)}return[0,0]},this._labelsBuilder.getMesh().renderOrder=100},render:function(e,t,n){var r=this._prevBarMesh;this._prevBarMesh=this._barMesh,this._barMesh=r,this._barMesh||(this._barMesh=new pP.Mesh({geometry:new vB,shadowDepthMaterial:new pP.Material({shader:new pP.Shader(pP.Shader.source("ecgl.sm.depth.vertex"),pP.Shader.source("ecgl.sm.depth.fragment"))}),culling:"cartesian3D"===e.coordinateSystem.type,renderOrder:10,renderNormal:!0})),this.groupGL.remove(this._prevBarMesh),this.groupGL.add(this._barMesh),this.groupGL.add(this._labelsBuilder.getMesh());var i=e.coordinateSystem;if(this._doRender(e,n),i&&i.viewGL){i.viewGL.add(this.groupGL);var o=i.viewGL.isLinearSpace()?"define":"undefine";this._barMesh.material[o]("fragment","SRGB_DECODE")}this._data=e.getData(),this._labelsBuilder.updateData(this._data),this._labelsBuilder.updateLabels(),this._updateAnimation(e)},_updateAnimation:function(e){pP.updateVertexAnimation([["prevPosition","position"],["prevNormal","normal"]],this._prevBarMesh,this._barMesh,e)},_doRender:function(e,t){var n=e.getData(),r=e.get("shading"),i="color"!==r,o=this,a=this._barMesh,s="ecgl."+r;a.material&&a.material.shader.name===s||(a.material=pP.createMaterial(s,["VERTEX_COLOR"])),pP.setMaterialFromModel(r,a.material,e,t),a.geometry.enableNormal=i,a.geometry.resetOffset();var l=e.get("bevelSize"),u=e.get("bevelSmoothness");a.geometry.bevelSegments=u,a.geometry.bevelSize=l;var c=[],h=new Float32Array(4*n.count()),d=0,p=0,f=!1;n.each((function(e){if(n.hasValue(e)){var t=CR(n,e),r=DR(n,e);null==r&&(r=1),pP.parseColor(t,c),c[3]*=r,h[d++]=c[0],h[d++]=c[1],h[d++]=c[2],h[d++]=c[3],c[3]>0&&(p++,c[3]<.99&&(f=!0))}})),a.geometry.setBarCount(p);var g=n.getLayout("orient"),m=this._barIndexOfData=new Int32Array(n.count());p=0,n.each((function(e){if(n.hasValue(e)){var t=n.getItemLayout(e),r=t[0],i=t[1],a=t[2],s=4*e;c[0]=h[s++],c[1]=h[s++],c[2]=h[s++],c[3]=h[s++],c[3]>0&&(o._barMesh.geometry.addBar(r,i,g,a,c,e),m[e]=p++)}else m[e]=-1})),a.geometry.dirty(),a.geometry.updateBoundingBox();var v=a.material;v.transparent=f,v.depthMask=!f,a.geometry.sortTriangles=f,this._initHandler(e,t)},_initHandler:function(e,t){var n=e.getData(),r=this._barMesh,i="cartesian3D"===e.coordinateSystem.type;r.seriesIndex=e.seriesIndex;var o=-1;r.off("mousemove"),r.off("mouseout"),r.on("mousemove",(function(e){var a=r.geometry.getDataIndexOfVertex(e.triangle[0]);a!==o&&(this._downplay(o),this._highlight(a),this._labelsBuilder.updateLabels([a]),i&&t.dispatchAction({type:"grid3DShowAxisPointer",value:[n.get("x",a),n.get("y",a),n.get("z",a,!0)]})),o=a,r.dataIndex=a}),this),r.on("mouseout",(function(e){this._downplay(o),this._labelsBuilder.updateLabels(),o=-1,r.dataIndex=-1,i&&t.dispatchAction({type:"grid3DHideAxisPointer"})}),this)},_highlight:function(e){var t=this._data;if(t){var n=this._barIndexOfData[e];if(!(n<0)){var r=t.getItemModel(e).getModel("emphasis.itemStyle"),i=r.get("color"),o=r.get("opacity");null==i&&(i=Gi(CR(t,e),-.4)),null==o&&(o=DR(t,e));var a=pP.parseColor(i);a[3]*=o,this._barMesh.geometry.setColor(n,a),this._api.getZr().refresh()}}},_downplay:function(e){var t=this._data;if(t){var n=this._barIndexOfData[e];if(!(n<0)){var r=CR(t,e),i=DR(t,e),o=pP.parseColor(r);o[3]*=i,this._barMesh.geometry.setColor(n,o),this._api.getZr().refresh()}}},highlight:function(e,t,n,r){this._toggleStatus("highlight",e,t,n,r)},downplay:function(e,t,n,r){this._toggleStatus("downplay",e,t,n,r)},_toggleStatus:function(e,t,n,r,i){var o=t.getData(),a=PL.queryDataIndex(o,i),s=this;null!=a?pt(tB.normalizeToArray(a),(function(t){"highlight"===e?this._highlight(t):this._downplay(t)}),this):o.each((function(t){"highlight"===e?s._highlight(t):s._downplay(t)}))},remove:function(){this.groupGL.removeAll()},dispose:function(){this._labelsBuilder.dispose(),this.groupGL.removeAll()}});BS((function(e){e.registerChartView(_B),e.registerSeriesModel(oB),eB(e),e.registerProcessor((function(e,t){e.eachSeriesByType("bar3d",(function(e){var t=e.getData();t.filterSelf((function(e){return t.hasValue(e)}))}))}))}));const xB=tm.extend({type:"series.line3D",dependencies:["grid3D"],visualStyleAccessPath:"lineStyle",visualDrawType:"stroke",getInitialData:function(e,t){return rB(this)},formatTooltip:function(e){return nB(this,e)},defaultOption:{coordinateSystem:"cartesian3D",zlevel:-10,grid3DIndex:0,lineStyle:{width:2},animationDurationUpdate:500}});var bB=BP.vec3;pP.Shader.import(uO);const wB=gy.extend({type:"line3D",__ecgl__:!0,init:function(e,t){this.groupGL=new pP.Node,this._api=t},render:function(e,t,n){var r=this._prevLine3DMesh;this._prevLine3DMesh=this._line3DMesh,this._line3DMesh=r,this._line3DMesh||(this._line3DMesh=new pP.Mesh({geometry:new GP({useNativeLine:!1,sortTriangles:!0}),material:new pP.Material({shader:pP.createShader("ecgl.meshLines3D")}),renderOrder:10}),this._line3DMesh.geometry.pick=this._pick.bind(this)),this.groupGL.remove(this._prevLine3DMesh),this.groupGL.add(this._line3DMesh);var i=e.coordinateSystem;if(i&&i.viewGL){i.viewGL.add(this.groupGL);var o=i.viewGL.isLinearSpace()?"define":"undefine";this._line3DMesh.material[o]("fragment","SRGB_DECODE")}this._doRender(e,n),this._data=e.getData(),this._camera=i.viewGL.camera,this.updateCamera(),this._updateAnimation(e)},updateCamera:function(){this._updateNDCPosition()},_doRender:function(e,t){var n=e.getData(),r=this._line3DMesh;r.geometry.resetOffset();var i=n.getLayout("points"),o=[],a=new Float32Array(i.length/3*4),s=0,l=!1;n.each((function(e){var t=CR(n,e),r=DR(n,e);null==r&&(r=1),pP.parseColor(t,o),o[3]*=r,a[s++]=o[0],a[s++]=o[1],a[s++]=o[2],a[s++]=o[3],o[3]<.99&&(l=!0)})),r.geometry.setVertexCount(r.geometry.getPolylineVertexCount(i)),r.geometry.setTriangleCount(r.geometry.getPolylineTriangleCount(i)),r.geometry.addPolyline(i,a,PL.firstNotNull(e.get("lineStyle.width"),1)),r.geometry.dirty(),r.geometry.updateBoundingBox();var u=r.material;u.transparent=l,u.depthMask=!l;var c=e.getModel("debug.wireframe");c.get("show")?(r.geometry.createAttribute("barycentric","float",3),r.geometry.generateBarycentric(),r.material.set("both","WIREFRAME_TRIANGLE"),r.material.set("wireframeLineColor",pP.parseColor(c.get("lineStyle.color")||"rgba(0,0,0,0.5)")),r.material.set("wireframeLineWidth",PL.firstNotNull(c.get("lineStyle.width"),1))):r.material.set("both","WIREFRAME_TRIANGLE"),this._points=i,this._initHandler(e,t)},_updateAnimation:function(e){pP.updateVertexAnimation([["prevPosition","position"],["prevPositionPrev","positionPrev"],["prevPositionNext","positionNext"]],this._prevLine3DMesh,this._line3DMesh,e)},_initHandler:function(e,t){var n=e.getData(),r=e.coordinateSystem,i=this._line3DMesh,o=-1;i.seriesIndex=e.seriesIndex,i.off("mousemove"),i.off("mouseout"),i.on("mousemove",(function(e){var a=r.pointToData(e.point.array),s=n.indicesOfNearest("x",a[0])[0];s!==o&&(t.dispatchAction({type:"grid3DShowAxisPointer",value:[n.get("x",s),n.get("y",s),n.get("z",s)]}),i.dataIndex=s),o=s}),this),i.on("mouseout",(function(e){o=-1,i.dataIndex=-1,t.dispatchAction({type:"grid3DHideAxisPointer"})}),this)},_updateNDCPosition:function(){var e=new HC,t=this._camera;HC.multiply(e,t.projectionMatrix,t.viewMatrix);var n=this._positionNDC,r=this._points,i=r.length/3;n&&n.length/2===i||(n=this._positionNDC=new Float32Array(2*i));for(var o=[],a=0;a<i;a++){var s=3*a,l=2*a;o[0]=r[s],o[1]=r[s+1],o[2]=r[s+2],o[3]=1,bB.transformMat4(o,o,e.array),n[l]=o[0]/o[3],n[l+1]=o[1]/o[3]}},_pick:function(e,t,n,r,i,o){var a=this._positionNDC,s=this._data.hostModel.get("lineStyle.width"),l=-1,u=.5*n.viewport.width,c=.5*n.viewport.height;e=(e+1)*u,t=(t+1)*c;for(var h=1;h<a.length/2;h++){var d=(a[2*(h-1)]+1)*u,p=(a[2*(h-1)+1]+1)*c,f=(a[2*h]+1)*u,g=(a[2*h+1]+1)*c;cu(d,p,f,g,s,e,t)&&(l=(d-e)*(d-e)+(p-t)*(p-t)<(f-e)*(f-e)+(g-t)*(g-t)?h-1:h)}if(l>=0){var m=3*l,v=new vC(this._points[m],this._points[m+1],this._points[m+2]);o.push({dataIndex:l,point:v,pointWorld:v.clone(),target:this._line3DMesh,distance:this._camera.getWorldPosition().dist(v)})}},remove:function(){this.groupGL.removeAll()},dispose:function(){this.groupGL.removeAll()}});BS((function(e){e.registerChartView(wB),e.registerSeriesModel(xB),e.registerLayout((function(e,t){e.eachSeriesByType("line3D",(function(e){var t=e.getData(),n=e.coordinateSystem;if(n){if("cartesian3D"!==n.type)return;var r=new Float32Array(3*t.count()),i=[],o=[],a=n.dimensions.map((function(t){return e.coordDimToDataDim(t)[0]}));n&&t.each(a,(function(e,t,a,s){i[0]=e,i[1]=t,i[2]=a,n.dataToPoint(i,o),r[3*s]=o[0],r[3*s+1]=o[1],r[3*s+2]=o[2]})),t.setLayout("points",r)}}))}))}));const SB=tm.extend({type:"series.scatter3D",dependencies:["globe","grid3D","geo3D"],visualStyleAccessPath:"itemStyle",hasSymbolVisual:!0,getInitialData:function(e,t){return rB(this)},getFormattedLabel:function(e,t,n,r){var i=tB.getFormattedLabel(this,e,t,n,r);if(null==i){var o=this.getData(),a=o.dimensions[o.dimensions.length-1];i=o.get(a,e)}return i},formatTooltip:function(e){return nB(this,e)},defaultOption:{coordinateSystem:"cartesian3D",zlevel:-10,progressive:1e5,progressiveThreshold:1e5,grid3DIndex:0,globeIndex:0,symbol:"circle",symbolSize:10,blendMode:"source-over",label:{show:!1,position:"right",distance:5,textStyle:{fontSize:14,color:"#000",backgroundColor:"rgba(255,255,255,0.7)",padding:3,borderRadius:3}},itemStyle:{opacity:.8},emphasis:{label:{show:!0}},animationDurationUpdate:500}});function MB(e,t,n){(t=t||document.createElement("canvas")).width=e,t.height=e;var r=t.getContext("2d");return n&&n(r),t}var TB={getMarginByStyle:function(e){var t=e.minMargin||0,n=0;e.stroke&&"none"!==e.stroke&&(n=null==e.lineWidth?1:e.lineWidth);var r=e.shadowBlur||0,i=e.shadowOffsetX||0,o=e.shadowOffsetY||0,a={};return a.left=Math.max(n/2,-i+r,t),a.right=Math.max(n/2,i+r,t),a.top=Math.max(n/2,-o+r,t),a.bottom=Math.max(n/2,o+r,t),a},createSymbolSprite:function(e,t,n,r){var i=function(e,t,n,r){bt(t)||(t=[t,t]);var i=TB.getMarginByStyle(n,void 0),o=t[0]+i.left+i.right,a=t[1]+i.top+i.bottom,s=T_(e,0,0,t[0],t[1]),l=Math.max(o,a);s.x=i.left,s.y=i.top,o>a?s.y+=(l-a)/2:s.x+=(l-o)/2;var u=s.getBoundingRect();return s.x-=u.x,s.y-=u.y,s.setStyle(n),s.update(),s.__size=l,s}(e,t,n),o=TB.getMarginByStyle(n);return{image:MB(i.__size,r,(function(e){K_(e,i)})),margin:o}},createSDFFromCanvas:function(e,t,n,r){return MB(t,r,(function(t){var r=e.getContext("2d").getImageData(0,0,e.width,e.height);t.putImageData(function(e,t,n){var r=t.width,i=t.height,o=e.canvas.width,a=e.canvas.height,s=r/o,l=i/a;function u(e){return e<128?1:-1}function c(e,o){var a=1/0;e=Math.floor(e*s);for(var c=(o=Math.floor(o*l))*r+e,h=u(t.data[4*c]),d=Math.max(o-n,0);d<Math.min(o+n,i);d++)for(var p=Math.max(e-n,0);p<Math.min(e+n,r);p++){c=d*r+p;var f=p-e,g=d-o;if(h!==u(t.data[4*c])){var m=f*f+g*g;m<a&&(a=m)}}return h*Math.sqrt(a)}for(var h=e.createImageData(o,a),d=0;d<a;d++)for(var p=0;p<o;p++){var f=c(p,d)/n*.5+.5,g=4*(d*o+p);h.data[g++]=255*(1-f),h.data[g++]=255*(1-f),h.data[g++]=255*(1-f),h.data[g++]=255}return h}(t,r,n),0,0)}))},createSimpleSprite:function(e,t){return MB(e,t,(function(t){var n=e/2;t.beginPath(),t.arc(n,n,60,0,2*Math.PI,!1),t.closePath();var r=t.createRadialGradient(n,n,0,n,n,n);r.addColorStop(0,"rgba(255, 255, 255, 1)"),r.addColorStop(.5,"rgba(255, 255, 255, 0.5)"),r.addColorStop(1,"rgba(255, 255, 255, 0)"),t.fillStyle=r,t.fill()}))}};const AB=TB;var IB=BP.vec3;const CB={needsSortVertices:function(){return this.sortVertices},needsSortVerticesProgressively:function(){return this.needsSortVertices()&&this.vertexCount>=2e4},doSortVertices:function(e,t){var n=this.indices,r=IB.create();if(!n){n=this.indices=this.vertexCount>65535?new Uint32Array(this.vertexCount):new Uint16Array(this.vertexCount);for(var i=0;i<n.length;i++)n[i]=i}if(0===t){var o,a=this.attributes.position,s=(e=e.array,0);for(this._zList&&this._zList.length===this.vertexCount||(this._zList=new Float32Array(this.vertexCount)),i=0;i<this.vertexCount;i++){a.get(i,r);var l=IB.sqrDist(r,e);isNaN(l)&&(l=1e7,s++),0===i?(o=l,l=0):l-=o,this._zList[i]=l}this._noneCount=s}if(this.vertexCount<2e4)0===t&&this._simpleSort(this._noneCount/this.vertexCount>.05);else for(i=0;i<3;i++)this._progressiveQuickSort(3*t+i);this.dirtyIndices()},_simpleSort:function(e){var t=this._zList,n=this.indices;function r(e,n){return t[n]-t[e]}e?Array.prototype.sort.call(n,r):wR.sort(n,r,0,n.length-1)},_progressiveQuickSort:function(e){var t=this._zList,n=this.indices;this._quickSort=this._quickSort||new wR,this._quickSort.step(n,(function(e,n){return t[n]-t[e]}),e)}};var DB=BP.vec4;pP.Shader.import("@export ecgl.sdfSprite.vertex\n\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\nuniform float elapsedTime : 0;\n\nattribute vec3 position : POSITION;\n\n#ifdef VERTEX_SIZE\nattribute float size;\n#else\nuniform float u_Size;\n#endif\n\n#ifdef VERTEX_COLOR\nattribute vec4 a_FillColor: COLOR;\nvarying vec4 v_Color;\n#endif\n\n#ifdef VERTEX_ANIMATION\nattribute vec3 prevPosition;\nattribute float prevSize;\nuniform float percent : 1.0;\n#endif\n\n\n#ifdef POSITIONTEXTURE_ENABLED\nuniform sampler2D positionTexture;\n#endif\n\nvarying float v_Size;\n\nvoid main()\n{\n\n#ifdef POSITIONTEXTURE_ENABLED\n gl_Position = worldViewProjection * vec4(texture2D(positionTexture, position.xy).xy, -10.0, 1.0);\n#else\n\n #ifdef VERTEX_ANIMATION\n vec3 pos = mix(prevPosition, position, percent);\n #else\n vec3 pos = position;\n #endif\n gl_Position = worldViewProjection * vec4(pos, 1.0);\n#endif\n\n#ifdef VERTEX_SIZE\n#ifdef VERTEX_ANIMATION\n v_Size = mix(prevSize, size, percent);\n#else\n v_Size = size;\n#endif\n#else\n v_Size = u_Size;\n#endif\n\n#ifdef VERTEX_COLOR\n v_Color = a_FillColor;\n #endif\n\n gl_PointSize = v_Size;\n}\n\n@end\n\n@export ecgl.sdfSprite.fragment\n\nuniform vec4 color: [1, 1, 1, 1];\nuniform vec4 strokeColor: [1, 1, 1, 1];\nuniform float smoothing: 0.07;\n\nuniform float lineWidth: 0.0;\n\n#ifdef VERTEX_COLOR\nvarying vec4 v_Color;\n#endif\n\nvarying float v_Size;\n\nuniform sampler2D sprite;\n\n@import clay.util.srgb\n\nvoid main()\n{\n gl_FragColor = color;\n\n vec4 _strokeColor = strokeColor;\n\n#ifdef VERTEX_COLOR\n gl_FragColor *= v_Color;\n #endif\n\n#ifdef SPRITE_ENABLED\n float d = texture2D(sprite, gl_PointCoord).r;\n gl_FragColor.a *= smoothstep(0.5 - smoothing, 0.5 + smoothing, d);\n\n if (lineWidth > 0.0) {\n float sLineWidth = lineWidth / 2.0;\n\n float outlineMaxValue0 = 0.5 + sLineWidth;\n float outlineMaxValue1 = 0.5 + sLineWidth + smoothing;\n float outlineMinValue0 = 0.5 - sLineWidth - smoothing;\n float outlineMinValue1 = 0.5 - sLineWidth;\n\n if (d <= outlineMaxValue1 && d >= outlineMinValue0) {\n float a = _strokeColor.a;\n if (d <= outlineMinValue1) {\n a = a * smoothstep(outlineMinValue0, outlineMinValue1, d);\n }\n else {\n a = a * smoothstep(outlineMaxValue1, outlineMaxValue0, d);\n }\n gl_FragColor.rgb = mix(gl_FragColor.rgb * gl_FragColor.a, _strokeColor.rgb, a);\n gl_FragColor.a = gl_FragColor.a * (1.0 - a) + a;\n }\n }\n#endif\n\n#ifdef SRGB_DECODE\n gl_FragColor = sRGBToLinear(gl_FragColor);\n#endif\n}\n@end");var EB=pP.Mesh.extend((function(){var e=new pP.Geometry({dynamic:!0,attributes:{color:new pP.Geometry.Attribute("color","float",4,"COLOR"),position:new pP.Geometry.Attribute("position","float",3,"POSITION"),size:new pP.Geometry.Attribute("size","float",1),prevPosition:new pP.Geometry.Attribute("prevPosition","float",3),prevSize:new pP.Geometry.Attribute("prevSize","float",1)}});Object.assign(e,CB);var t=new pP.Material({shader:pP.createShader("ecgl.sdfSprite"),transparent:!0,depthMask:!1});t.enableTexture("sprite"),t.define("both","VERTEX_COLOR"),t.define("both","VERTEX_SIZE");var n=new pP.Texture2D({image:document.createElement("canvas"),flipY:!1});return t.set("sprite",n),e.pick=this._pick.bind(this),{geometry:e,material:t,mode:pP.Mesh.POINTS,sizeScale:1}}),{_pick:function(e,t,n,r,i,o){var a=this._positionNDC;if(a)for(var s=n.viewport,l=2/s.width,u=2/s.height,c=this.geometry.vertexCount-1;c>=0;c--){var h,d=a[2*(h=this.geometry.indices?this.geometry.indices[c]:c)],p=a[2*h+1],f=this.geometry.attributes.size.get(h)/this.sizeScale/2;if(e>d-f*l&&e<d+f*l&&t>p-f*u&&t<p+f*u){var g=new pP.Vector3,m=new pP.Vector3;this.geometry.attributes.position.get(h,g.array),pP.Vector3.transformMat4(m,g,this.worldTransform),o.push({vertexIndex:h,point:g,pointWorld:m,target:this,distance:m.distance(r.getWorldPosition())})}}},updateNDCPosition:function(e,t,n){var r=this._positionNDC,i=this.geometry;r&&r.length/2===i.vertexCount||(r=this._positionNDC=new Float32Array(2*i.vertexCount));for(var o=DB.create(),a=0;a<i.vertexCount;a++)i.attributes.position.get(a,o),o[3]=1,DB.transformMat4(o,o,e.array),DB.scale(o,o,1/o[3]),r[2*a]=o[0],r[2*a+1]=o[1]}});const LB=EB;function PB(e,t){this.rootNode=new pP.Node,this.is2D=e,this._labelsBuilder=new LR(256,256,t),this._labelsBuilder.getMesh().renderOrder=100,this.rootNode.add(this._labelsBuilder.getMesh()),this._api=t,this._spriteImageCanvas=document.createElement("canvas"),this._startDataIndex=0,this._endDataIndex=0,this._sizeScale=1}PB.prototype={constructor:PB,highlightOnMouseover:!0,update:function(e,t,n,r,i){var o=this._prevMesh;this._prevMesh=this._mesh,this._mesh=o;var a=e.getData();if(null==r&&(r=0),null==i&&(i=a.count()),this._startDataIndex=r,this._endDataIndex=i-1,!this._mesh){var s=this._prevMesh&&this._prevMesh.material;this._mesh=new LB({renderOrder:10,frustumCulling:!1}),s&&(this._mesh.material=s)}s=this._mesh.material;var l=this._mesh.geometry,u=l.attributes;this.rootNode.remove(this._prevMesh),this.rootNode.add(this._mesh),this._setPositionTextureToMesh(this._mesh,this._positionTexture);var c=this._getSymbolInfo(e,r,i),h=n.getDevicePixelRatio(),d=e.getModel("itemStyle").getItemStyle(),p=e.get("large"),f=1;c.maxSize>2?(f=this._updateSymbolSprite(e,d,c,h),s.enableTexture("sprite")):s.disableTexture("sprite"),u.position.init(i-r);var g=[];if(p){s.undefine("VERTEX_SIZE"),s.undefine("VERTEX_COLOR");var m=function(e){const t=e.getVisual("style");if(t)return t[e.getVisual("drawType")]}(a),v=function(e){return e.getVisual("style").opacity}(a);pP.parseColor(m,g),g[3]*=v,s.set({color:g,u_Size:c.maxSize*this._sizeScale})}else s.set({color:[1,1,1,1]}),s.define("VERTEX_SIZE"),s.define("VERTEX_COLOR"),u.size.init(i-r),u.color.init(i-r),this._originalOpacity=new Float32Array(i-r);for(var y=a.getLayout("points"),_=u.position.value,x=0;x<i-r;x++){var b=3*x,w=2*x;if(this.is2D?(_[b]=y[w],_[b+1]=y[w+1],_[b+2]=-10):(_[b]=y[b],_[b+1]=y[b+1],_[b+2]=y[b+2]),!p){m=CR(a,x),v=DR(a,x),pP.parseColor(m,g),g[3]*=v,u.color.set(x,g),g[3];var S=a.getItemVisual(x,"symbolSize");S=S instanceof Array?Math.max(S[0],S[1]):S,isNaN(S)&&(S=0),u.size.value[x]=S*f*this._sizeScale,this._originalOpacity[x]=g[3]}}this._mesh.sizeScale=f,l.updateBoundingBox(),l.dirty(),this._updateMaterial(e,d);var M=e.coordinateSystem;M&&M.viewGL&&s[M.viewGL.isLinearSpace()?"define":"undefine"]("fragment","SRGB_DECODE"),p||this._updateLabelBuilder(e,r,i),this._updateHandler(e,t,n),this._updateAnimation(e),this._api=n},getPointsMesh:function(){return this._mesh},updateLabels:function(e){this._labelsBuilder.updateLabels(e)},hideLabels:function(){this.rootNode.remove(this._labelsBuilder.getMesh())},showLabels:function(){this.rootNode.add(this._labelsBuilder.getMesh())},dispose:function(){this._labelsBuilder.dispose()},_updateSymbolSprite:function(e,t,n,r){n.maxSize=Math.min(2*n.maxSize,200);var i,o,a=[];return n.aspect>1?(a[0]=n.maxSize,a[1]=n.maxSize/n.aspect):(a[1]=n.maxSize,a[0]=n.maxSize*n.aspect),a[0]=a[0]||1,a[1]=a[1]||1,this._symbolType===n.type&&(o=a,(i=this._symbolSize)&&o&&i[0]===o[0]&&i[1]===o[1])&&this._lineWidth===t.lineWidth||(AB.createSymbolSprite(n.type,a,{fill:"#fff",lineWidth:t.lineWidth,stroke:"transparent",shadowColor:"transparent",minMargin:Math.min(a[0]/2,10)},this._spriteImageCanvas),AB.createSDFFromCanvas(this._spriteImageCanvas,Math.min(this._spriteImageCanvas.width,32),20,this._mesh.material.get("sprite").image),this._symbolType=n.type,this._symbolSize=a,this._lineWidth=t.lineWidth),this._spriteImageCanvas.width/n.maxSize*r},_updateMaterial:function(e,t){var n="lighter"===e.get("blendMode")?pP.additiveBlend:null,r=this._mesh.material;r.blend=n,r.set("lineWidth",t.lineWidth/20);var i=pP.parseColor(t.stroke);r.set("strokeColor",i),r.transparent=!0,r.depthMask=!1,r.depthTest=!this.is2D,r.sortVertices=!this.is2D},_updateLabelBuilder:function(e,t,n){var r=e.getData(),i=this._mesh.geometry,o=i.attributes.position.value,a=(t=this._startDataIndex,this._mesh.sizeScale);this._labelsBuilder.updateData(r,t,n),this._labelsBuilder.getLabelPosition=function(e,n,r){var i=3*(e-t);return[o[i],o[i+1],o[i+2]]},this._labelsBuilder.getLabelDistance=function(e,n,r){return i.attributes.size.get(e-t)/a/2+r},this._labelsBuilder.updateLabels()},_updateAnimation:function(e){pP.updateVertexAnimation([["prevPosition","position"],["prevSize","size"]],this._prevMesh,this._mesh,e)},_updateHandler:function(e,t,n){var r,i=e.getData(),o=this._mesh,a=this,s=-1,l=e.coordinateSystem&&"cartesian3D"===e.coordinateSystem.type;l&&(r=e.coordinateSystem.model),o.seriesIndex=e.seriesIndex,o.off("mousemove"),o.off("mouseout"),o.on("mousemove",(function(t){var u=t.vertexIndex+a._startDataIndex;u!==s&&(this.highlightOnMouseover&&(this.downplay(i,s),this.highlight(i,u),this._labelsBuilder.updateLabels([u])),l&&n.dispatchAction({type:"grid3DShowAxisPointer",value:[i.get(e.coordDimToDataDim("x")[0],u),i.get(e.coordDimToDataDim("y")[0],u),i.get(e.coordDimToDataDim("z")[0],u)],grid3DIndex:r.componentIndex})),o.dataIndex=u,s=u}),this),o.on("mouseout",(function(e){var t=e.vertexIndex+a._startDataIndex;this.highlightOnMouseover&&(this.downplay(i,t),this._labelsBuilder.updateLabels()),s=-1,o.dataIndex=-1,l&&n.dispatchAction({type:"grid3DHideAxisPointer",grid3DIndex:r.componentIndex})}),this)},updateLayout:function(e,t,n){var r=e.getData();if(this._mesh){var i=this._mesh.geometry.attributes.position.value,o=r.getLayout("points");if(this.is2D)for(var a=0;a<o.length/2;a++){var s=3*a,l=2*a;i[s]=o[l],i[s+1]=o[l+1],i[s+2]=-10}else for(a=0;a<o.length;a++)i[a]=o[a];this._mesh.geometry.dirty(),n.getZr().refresh()}},updateView:function(e){if(this._mesh){var t=new HC;HC.mul(t,e.viewMatrix,this._mesh.worldTransform),HC.mul(t,e.projectionMatrix,t),this._mesh.updateNDCPosition(t,this.is2D,this._api)}},highlight:function(e,t){if(!(t>this._endDataIndex||t<this._startDataIndex)){var n=e.getItemModel(t).getModel("emphasis.itemStyle"),r=n.get("color"),i=n.get("opacity");null==r&&(r=Gi(CR(e,t),-.4)),null==i&&(i=DR(e,t));var o=pP.parseColor(r);o[3]*=i,this._mesh.geometry.attributes.color.set(t-this._startDataIndex,o),this._mesh.geometry.dirtyAttribute("color"),this._api.getZr().refresh()}},downplay:function(e,t){if(!(t>this._endDataIndex||t<this._startDataIndex)){var n=CR(e,t),r=DR(e,t),i=pP.parseColor(n);i[3]*=r,this._mesh.geometry.attributes.color.set(t-this._startDataIndex,i),this._mesh.geometry.dirtyAttribute("color"),this._api.getZr().refresh()}},fadeOutAll:function(e){if(this._originalOpacity){for(var t=this._mesh.geometry,n=0;n<t.vertexCount;n++){var r=this._originalOpacity[n]*e;t.attributes.color.value[4*n+3]=r}t.dirtyAttribute("color"),this._api.getZr().refresh()}},fadeInAll:function(){this.fadeOutAll(1)},setPositionTexture:function(e){this._mesh&&this._setPositionTextureToMesh(this._mesh,e),this._positionTexture=e},removePositionTexture:function(){this._positionTexture=null,this._mesh&&this._setPositionTextureToMesh(this._mesh,null)},setSizeScale:function(e){if(e!==this._sizeScale){if(this._mesh){var t=this._mesh.material.get("u_Size");this._mesh.material.set("u_Size",t/this._sizeScale*e);var n=this._mesh.geometry.attributes;if(n.size.value)for(var r=0;r<n.size.value.length;r++)n.size.value[r]=n.size.value[r]/this._sizeScale*e}this._sizeScale=e}},_setPositionTextureToMesh:function(e,t){t&&e.material.set("positionTexture",t),e.material[t?"enableTexture":"disableTexture"]("positionTexture")},_getSymbolInfo:function(e,t,n){if(e.get("large"))return(u=PL.firstNotNull(e.get("symbolSize"),1))instanceof Array?(a=Math.max(u[0],u[1]),r=u[0]/u[1]):(a=u,r=1),{maxSize:u,type:e.get("symbol"),aspect:r};for(var r,i=e.getData(),o=i.getItemVisual(0,"symbol")||"circle",a=0,s=t;s<n;s++){var l,u=i.getItemVisual(s,"symbolSize"),c=i.getItemVisual(s,"symbol");if(u instanceof Array)l=u[0]/u[1],a=Math.max(Math.max(u[0],u[1]),a);else{if(isNaN(u))continue;l=1,a=Math.max(u,a)}o=c,r=l}return{maxSize:a,type:o,aspect:r}}};const OB=PB,NB=gy.extend({type:"scatter3D",hasSymbolVisual:!0,__ecgl__:!0,init:function(e,t){this.groupGL=new pP.Node,this._pointsBuilderList=[],this._currentStep=0},render:function(e,t,n){if(this.groupGL.removeAll(),e.getData().count()){var r=e.coordinateSystem;if(r&&r.viewGL){r.viewGL.add(this.groupGL),this._camera=r.viewGL.camera;var i=this._pointsBuilderList[0];i||(i=this._pointsBuilderList[0]=new OB(!1,n)),this._pointsBuilderList.length=1,this.groupGL.add(i.rootNode),i.update(e,t,n),i.updateView(r.viewGL.camera)}}},incrementalPrepareRender:function(e,t,n){var r=e.coordinateSystem;r&&r.viewGL&&(r.viewGL.add(this.groupGL),this._camera=r.viewGL.camera),this.groupGL.removeAll(),this._currentStep=0},incrementalRender:function(e,t,n,r){if(!(e.end<=e.start)){var i=this._pointsBuilderList[this._currentStep];i||(i=new OB(!1,r),this._pointsBuilderList[this._currentStep]=i),this.groupGL.add(i.rootNode),i.update(t,n,r,e.start,e.end),i.updateView(t.coordinateSystem.viewGL.camera),this._currentStep++}},updateCamera:function(){this._pointsBuilderList.forEach((function(e){e.updateView(this._camera)}),this)},highlight:function(e,t,n,r){this._toggleStatus("highlight",e,t,n,r)},downplay:function(e,t,n,r){this._toggleStatus("downplay",e,t,n,r)},_toggleStatus:function(e,t,n,r,i){var o=t.getData(),a=PL.queryDataIndex(o,i),s="highlight"===e;null!=a?pt(tB.normalizeToArray(a),(function(e){for(var t=0;t<this._pointsBuilderList.length;t++){var n=this._pointsBuilderList[t];s?n.highlight(o,e):n.downplay(o,e)}}),this):o.each((function(e){for(var t=0;t<this._pointsBuilderList.length;t++){var n=this._pointsBuilderList[t];s?n.highlight(o,e):n.downplay(o,e)}}))},dispose:function(){this._pointsBuilderList.forEach((function(e){e.dispose()})),this.groupGL.removeAll()},remove:function(){this.groupGL.removeAll()}});BS((function(e){e.registerChartView(NB),e.registerSeriesModel(SB),e.registerLayout({seriesType:"scatter3D",reset:function(e){var t=e.coordinateSystem;if(t){var n=t.dimensions;if(n.length<3)return;var r=n.map((function(t){return e.coordDimToDataDim(t)[0]})),i=[],o=[];return{progress:function(e,n){for(var a=new Float32Array(3*(e.end-e.start)),s=e.start;s<e.end;s++){var l=3*(s-e.start);i[0]=n.get(r[0],s),i[1]=n.get(r[1],s),i[2]=n.get(r[2],s),t.dataToPoint(i,o),a[l]=o[0],a[l+1]=o[1],a[l+2]=o[2]}n.setLayout("points",a)}}}}})}));var RB=BP.vec3,kB=BP.vec2,BB=RB.normalize,FB=RB.cross,zB=RB.sub,VB=RB.add,GB=RB.create,HB=GB(),UB=GB(),WB=GB(),jB=GB(),XB=[],YB=[];function ZB(e,t){kB.copy(XB,e[0]),kB.copy(YB,e[1]);var n=[],r=n[0]=GB(),i=n[1]=GB(),o=n[2]=GB(),a=n[3]=GB();t.dataToPoint(XB,r),t.dataToPoint(YB,a),BB(HB,r),zB(UB,a,r),BB(UB,UB),FB(WB,UB,HB),BB(WB,WB),FB(UB,HB,WB),VB(i,HB,UB),BB(i,i),BB(HB,a),zB(UB,r,a),BB(UB,UB),FB(WB,UB,HB),BB(WB,WB),FB(UB,HB,WB),VB(o,HB,UB),BB(o,o),VB(jB,r,a),BB(jB,jB);var s=RB.dot(r,jB),l=RB.dot(jB,i),u=(Math.max(RB.len(r),RB.len(a))-s)/l*2;return RB.scaleAndAdd(i,r,i,u),RB.scaleAndAdd(o,a,o,u),n}function qB(e,t){for(var n=new Float32Array(3*e.length),r=0,i=[],o=0;o<e.length;o++)t.dataToPoint(e[o],i),n[r++]=i[0],n[r++]=i[1],n[r++]=i[2];return n}function $B(e){var t=[];return e.each((function(n){var r=e.getItemModel(n),i=r.option instanceof Array?r.option:r.getShallow("coords",!0);t.push(i)})),{coordsList:t}}function KB(e,t,n){var r=e.getData(),i=e.get("polyline"),o=$B(r);r.setLayout("lineType",i?"polyline":"cubicBezier"),r.each((function(e){var a=o.coordsList[e],s=i?qB(a,t):function(e,t,n){var r=[],i=r[0]=RB.create(),o=r[1]=RB.create(),a=r[2]=RB.create(),s=r[3]=RB.create();t.dataToPoint(e[0],i),t.dataToPoint(e[1],s);var l=RB.dist(i,s);return RB.lerp(o,i,s,.3),RB.lerp(a,i,s,.3),RB.scaleAndAdd(o,o,n,Math.min(.1*l,10)),RB.scaleAndAdd(a,a,n,Math.min(.1*l,10)),r}(a,t,n);r.setItemLayout(e,s)}))}function JB(e,t){e.eachSeriesByType("lines3D",(function(e){var t=e.coordinateSystem;"globe"===t.type?function(e,t){var n=e.getData(),r=e.get("polyline");n.setLayout("lineType",r?"polyline":"cubicBezier");var i=$B(n);n.each((function(e){var o=i.coordsList[e],a=r?qB:ZB;n.setItemLayout(e,a(o,t))}))}(e,t):"geo3D"===t.type?KB(e,t,[0,1,0]):"mapbox3D"!==t.type&&"maptalks3D"!==t.type||KB(e,t,[0,0,1])}))}const QB=tm.extend({type:"series.lines3D",dependencies:["globe"],visualStyleAccessPath:"lineStyle",visualDrawType:"stroke",getInitialData:function(e,t){var n=new lw(["value"],this);return n.hasItemOption=!1,n.initData(e.data,[],(function(e,t,r,i){if(e instanceof Array)return NaN;n.hasItemOption=!0;var o=e.value;return null!=o?o instanceof Array?o[i]:o:void 0})),n},defaultOption:{coordinateSystem:"globe",globeIndex:0,geo3DIndex:0,zlevel:-10,polyline:!1,effect:{show:!1,period:4,trailWidth:4,trailLength:.2,spotIntensity:6},silent:!0,blendMode:"source-over",lineStyle:{width:1,opacity:.5}}});var eF=BP.vec3;pP.Shader.import("@export ecgl.trail2.vertex\nattribute vec3 position: POSITION;\nattribute vec3 positionPrev;\nattribute vec3 positionNext;\nattribute float offset;\nattribute float dist;\nattribute float distAll;\nattribute float start;\n\nattribute vec4 a_Color : COLOR;\n\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\nuniform vec4 viewport : VIEWPORT;\nuniform float near : NEAR;\n\nuniform float speed : 0;\nuniform float trailLength: 0.3;\nuniform float time;\nuniform float period: 1000;\n\nuniform float spotSize: 1;\n\nvarying vec4 v_Color;\nvarying float v_Percent;\nvarying float v_SpotPercent;\n\n@import ecgl.common.wireframe.vertexHeader\n\n@import ecgl.lines3D.clipNear\n\nvoid main()\n{\n @import ecgl.lines3D.expandLine\n\n gl_Position = currProj;\n\n v_Color = a_Color;\n\n @import ecgl.common.wireframe.vertexMain\n\n#ifdef CONSTANT_SPEED\n float t = mod((speed * time + start) / distAll, 1. + trailLength) - trailLength;\n#else\n float t = mod((time + start) / period, 1. + trailLength) - trailLength;\n#endif\n\n float trailLen = distAll * trailLength;\n\n v_Percent = (dist - t * distAll) / trailLen;\n\n v_SpotPercent = spotSize / distAll;\n\n }\n@end\n\n\n@export ecgl.trail2.fragment\n\nuniform vec4 color : [1.0, 1.0, 1.0, 1.0];\nuniform float spotIntensity: 5;\n\nvarying vec4 v_Color;\nvarying float v_Percent;\nvarying float v_SpotPercent;\n\n@import ecgl.common.wireframe.fragmentHeader\n\n@import clay.util.srgb\n\nvoid main()\n{\n if (v_Percent > 1.0 || v_Percent < 0.0) {\n discard;\n }\n\n float fade = v_Percent;\n\n#ifdef SRGB_DECODE\n gl_FragColor = sRGBToLinear(color * v_Color);\n#else\n gl_FragColor = color * v_Color;\n#endif\n\n @import ecgl.common.wireframe.fragmentMain\n\n if (v_Percent > (1.0 - v_SpotPercent)) {\n gl_FragColor.rgb *= spotIntensity;\n }\n\n gl_FragColor.a *= fade;\n}\n\n@end");const tF=pP.Mesh.extend((function(){var e=new pP.Material({shader:new pP.Shader(pP.Shader.source("ecgl.trail2.vertex"),pP.Shader.source("ecgl.trail2.fragment")),transparent:!0,depthMask:!1}),t=new GP({dynamic:!0});return t.createAttribute("dist","float",1),t.createAttribute("distAll","float",1),t.createAttribute("start","float",1),{geometry:t,material:e,culling:!1,$ignorePicking:!0}}),{updateData:function(e,t,n){var r=e.hostModel,i=this.geometry,o=r.getModel("effect"),a=o.get("trailWidth")*t.getDevicePixelRatio(),s=o.get("trailLength"),l=r.get("effect.constantSpeed"),u=1e3*r.get("effect.period"),c=null!=l;c?this.material.set("speed",l/1e3):this.material.set("period",u),this.material[c?"define":"undefine"]("vertex","CONSTANT_SPEED");var h=r.get("polyline");i.trailLength=s,this.material.set("trailLength",s),i.resetOffset(),["position","positionPrev","positionNext"].forEach((function(e){i.attributes[e].value=n.attributes[e].value})),["dist","distAll","start","offset","color"].forEach((function(e){i.attributes[e].init(i.vertexCount)})),i.indices=n.indices;var d=[],p=o.get("trailColor"),f=o.get("trailOpacity"),g=null!=p,m=null!=f;this.updateWorldTransform();var v=this.worldTransform.x.len(),y=this.worldTransform.y.len(),_=this.worldTransform.z.len(),x=0,b=0;e.each((function(t){var r=e.getItemLayout(t),o=m?f:DR(e,t),s=CR(e,t);null==o&&(o=1),(d=pP.parseColor(g?p:s,d))[3]*=o;for(var l=h?n.getPolylineVertexCount(r):n.getCubicCurveVertexCount(r[0],r[1],r[2],r[3]),w=0,S=[],M=[],T=x;T<x+l;T++)i.attributes.position.get(T,S),S[0]*=v,S[1]*=y,S[2]*=_,T>x&&(w+=eF.dist(S,M)),i.attributes.dist.set(T,w),eF.copy(M,S);b=Math.max(b,w);var A=Math.random()*(c?w:u);for(T=x;T<x+l;T++)i.attributes.distAll.set(T,w),i.attributes.start.set(T,A),i.attributes.offset.set(T,(n.attributes.offset.get(T)>0?1:-1)*a/2),i.attributes.color.set(T,d);x+=l})),this.material.set("spotSize",.1*b*s),this.material.set("spotIntensity",o.get("spotIntensity")),i.dirty()},setAnimationTime:function(e){this.material.set("time",e)}});pP.Shader.import(uO);const nF=gy.extend({type:"lines3D",__ecgl__:!0,init:function(e,t){this.groupGL=new pP.Node,this._meshLinesMaterial=new pP.Material({shader:pP.createShader("ecgl.meshLines3D"),transparent:!0,depthMask:!1}),this._linesMesh=new pP.Mesh({geometry:new GP,material:this._meshLinesMaterial,$ignorePicking:!0}),this._trailMesh=new tF},render:function(e,t,n){this.groupGL.add(this._linesMesh);var r=e.coordinateSystem,i=e.getData();if(r&&r.viewGL){r.viewGL.add(this.groupGL),this._updateLines(e,t,n);var o=r.viewGL.isLinearSpace()?"define":"undefine";this._linesMesh.material[o]("fragment","SRGB_DECODE"),this._trailMesh.material[o]("fragment","SRGB_DECODE")}var a=this._trailMesh;if(a.stopAnimation(),e.get("effect.show")){this.groupGL.add(a),a.updateData(i,n,this._linesMesh.geometry),a.__time=a.__time||0;var s=36e5;this._curveEffectsAnimator=a.animate("",{loop:!0}).when(s,{__time:s}).during((function(){a.setAnimationTime(a.__time)})).start()}else this.groupGL.remove(a),this._curveEffectsAnimator=null;this._linesMesh.material.blend=this._trailMesh.material.blend="lighter"===e.get("blendMode")?pP.additiveBlend:null},pauseEffect:function(){this._curveEffectsAnimator&&this._curveEffectsAnimator.pause()},resumeEffect:function(){this._curveEffectsAnimator&&this._curveEffectsAnimator.resume()},toggleEffect:function(){var e=this._curveEffectsAnimator;e&&(e.isPaused()?e.resume():e.pause())},_updateLines:function(e,t,n){var r=e.getData(),i=e.coordinateSystem,o=this._linesMesh.geometry,a=e.get("polyline");o.expandLine=!0;var s=function(e){return null!=e.radius?e.radius:null!=e.size?Math.max(e.size[0],e.size[1],e.size[2]):100}(i);o.segmentScale=s/20;var l="lineStyle.width".split("."),u=n.getDevicePixelRatio(),c=0;r.each((function(e){var t=r.getItemModel(e).get(l);null==t&&(t=1),r.setItemVisual(e,"lineWidth",t),c=Math.max(t,c)})),o.useNativeLine=!1;var h=0,d=0;r.each((function(e){var t=r.getItemLayout(e);a?(h+=o.getPolylineVertexCount(t),d+=o.getPolylineTriangleCount(t)):(h+=o.getCubicCurveVertexCount(t[0],t[1],t[2],t[3]),d+=o.getCubicCurveTriangleCount(t[0],t[1],t[2],t[3]))})),o.setVertexCount(h),o.setTriangleCount(d),o.resetOffset();var p=[];r.each((function(e){var t=r.getItemLayout(e),n=CR(r,e),i=DR(r,e),s=r.getItemVisual(e,"lineWidth")*u;null==i&&(i=1),(p=pP.parseColor(n,p))[3]*=i,a?o.addPolyline(t,p,s):o.addCubicCurve(t[0],t[1],t[2],t[3],p,s)})),o.dirty()},remove:function(){this.groupGL.removeAll()},dispose:function(){this.groupGL.removeAll()}});function rF(e,t){for(var n=[],r=0;r<t.length;r++)n.push(e.dataToPoint(t[r]));return n}BS((function(e){e.registerChartView(nF),e.registerSeriesModel(QB),e.registerLayout(JB),e.registerAction({type:"lines3DPauseEffect",event:"lines3deffectpaused",update:"series.lines3D:pauseEffect"},(function(){})),e.registerAction({type:"lines3DResumeEffect",event:"lines3deffectresumed",update:"series.lines3D:resumeEffect"},(function(){})),e.registerAction({type:"lines3DToggleEffect",event:"lines3deffectchanged",update:"series.lines3D:toggleEffect"},(function(){}))}));var iF=tm.extend({type:"series.polygons3D",getRegionModel:function(e){return this.getData().getItemModel(e)},getRegionPolygonCoords:function(e){var t=this.coordinateSystem,n=this.getData().getItemModel(e),r=n.option instanceof Array?n.option:n.getShallow("coords");n.get("multiPolygon")||(r=[r]);for(var i=[],o=0;o<r.length;o++){for(var a=[],s=1;s<r[o].length;s++)a.push(rF(t,r[o][s]));i.push({exterior:rF(t,r[o][0]),interiors:a})}return i},getInitialData:function(e){var t=new lw(["value"],this);return t.hasItemOption=!1,t.initData(e.data,[],(function(e,n,r,i){if(e instanceof Array)return NaN;t.hasItemOption=!0;var o=e.value;return null!=o?o instanceof Array?o[i]:o:void 0})),t},defaultOption:{show:!0,data:null,multiPolygon:!1,progressiveThreshold:1e3,progressive:1e3,zlevel:-10,label:{show:!1,distance:2,textStyle:{fontSize:20,color:"#000",backgroundColor:"rgba(255,255,255,0.7)",padding:3,borderRadius:4}},itemStyle:{color:"#fff",borderWidth:0,borderColor:"#333"},emphasis:{itemStyle:{color:"#639fc0"},label:{show:!0}}}});it(iF.prototype,WN);const oF=iF,aF=gy.extend({type:"polygons3D",__ecgl__:!0,init:function(e,t){this.groupGL=new pP.Node,this._geo3DBuilderList=[],this._currentStep=0},render:function(e,t,n){this.groupGL.removeAll();var r=e.coordinateSystem;r&&r.viewGL&&r.viewGL.add(this.groupGL);var i=this._geo3DBuilderList[0];i||((i=new NR(n)).extrudeY="mapbox3D"!==r.type&&"maptalks3D"!==r.type,this._geo3DBuilderList[0]=i),this._updateShaderDefines(r,i),i.update(e,t,n),this._geo3DBuilderList.length=1,this.groupGL.add(i.rootNode)},incrementalPrepareRender:function(e,t,n){this.groupGL.removeAll();var r=e.coordinateSystem;r&&r.viewGL&&r.viewGL.add(this.groupGL),this._currentStep=0},incrementalRender:function(e,t,n,r){var i=this._geo3DBuilderList[this._currentStep],o=t.coordinateSystem;i||((i=new NR(r)).extrudeY="mapbox3D"!==o.type&&"maptalks3D"!==o.type,this._geo3DBuilderList[this._currentStep]=i),i.update(t,n,r,e.start,e.end),this.groupGL.add(i.rootNode),this._updateShaderDefines(o,i),this._currentStep++},_updateShaderDefines:function(e,t){var n=e.viewGL.isLinearSpace()?"define":"undefine";t.rootNode.traverse((function(t){t.material&&(t.material[n]("fragment","SRGB_DECODE"),"mapbox3D"!==e.type&&"maptalks3D"!==e.type||(t.material.define("fragment","NORMAL_UP_AXIS",2),t.material.define("fragment","NORMAL_FRONT_AXIS",1)))}))},remove:function(){this.groupGL.removeAll()},dispose:function(){this.groupGL.removeAll(),this._geo3DBuilderList.forEach((function(e){e.dispose()}))}});BS((function(e){e.registerChartView(aF),e.registerSeriesModel(oF)}));var sF=tm.extend({type:"series.surface",dependencies:["globe","grid3D","geo3D"],visualStyleAccessPath:"itemStyle",formatTooltip:function(e){return nB(this,e)},getInitialData:function(e,t){var n=e.data;function r(e){return!(isNaN(e.min)||isNaN(e.max)||isNaN(e.step))}function i(e){var t=Qa;return Math.max(t(e.min),t(e.max),t(e.step))+1}if(!n)if(e.parametric){var o=e.parametricEquation||{},a=o.u||{},s=o.v||{};["u","v"].forEach((function(e){r(o[e])})),["x","y","z"].forEach((function(e){o[e]}));var l=Math.floor((a.max+a.step-a.min)/a.step),u=Math.floor((s.max+s.step-s.min)/s.step);n=new Float32Array(l*u*5);var c=i(a),h=i(s);for(S=0,M=0;M<u;M++)for(T=0;T<l;T++){var d=T*a.step+a.min,p=M*s.step+s.min,f=$a(Math.min(d,a.max),c),g=$a(Math.min(p,s.max),h);A=o.x(f,g),I=o.y(f,g),E=o.z(f,g),n[S++]=A,n[S++]=I,n[S++]=E,n[S++]=f,n[S++]=g}}else{var m=e.equation||{},v=m.x||{},y=m.y||{};if(["x","y"].forEach((function(e){r(m[e])})),"function"!=typeof m.z)return;var _=Math.floor((v.max+v.step-v.min)/v.step),x=Math.floor((y.max+y.step-y.min)/y.step);n=new Float32Array(_*x*3);for(var b=i(v),w=i(y),S=0,M=0;M<x;M++)for(var T=0;T<_;T++){var A=T*v.step+v.min,I=M*y.step+y.min,C=$a(Math.min(A,v.max),b),D=$a(Math.min(I,y.max),w),E=m.z(C,D);n[S++]=C,n[S++]=D,n[S++]=E}}var L=["x","y","z"];return e.parametric&&L.push("u","v"),rB(this,L,n)},defaultOption:{coordinateSystem:"cartesian3D",zlevel:-10,grid3DIndex:0,shading:"lambert",parametric:!1,wireframe:{show:!0,lineStyle:{color:"rgba(0,0,0,0.5)",width:1}},equation:{x:{min:-1,max:1,step:.1},y:{min:-1,max:1,step:.1},z:null},parametricEquation:{u:{min:-1,max:1,step:.1},v:{min:-1,max:1,step:.1},x:null,y:null,z:null},dataShape:null,itemStyle:{},animationDurationUpdate:500}});it(sF.prototype,WN);const lF=sF;var uF=BP.vec3;const cF=gy.extend({type:"surface",__ecgl__:!0,init:function(e,t){this.groupGL=new pP.Node},render:function(e,t,n){var r=this._prevSurfaceMesh;this._prevSurfaceMesh=this._surfaceMesh,this._surfaceMesh=r,this._surfaceMesh||(this._surfaceMesh=this._createSurfaceMesh()),this.groupGL.remove(this._prevSurfaceMesh),this.groupGL.add(this._surfaceMesh);var i=e.coordinateSystem,o=e.get("shading"),a=e.getData(),s="ecgl."+o;if(this._surfaceMesh.material&&this._surfaceMesh.material.shader.name===s||(this._surfaceMesh.material=pP.createMaterial(s,["VERTEX_COLOR","DOUBLE_SIDED"])),pP.setMaterialFromModel(o,this._surfaceMesh.material,e,n),i&&i.viewGL){i.viewGL.add(this.groupGL);var l=i.viewGL.isLinearSpace()?"define":"undefine";this._surfaceMesh.material[l]("fragment","SRGB_DECODE")}var u=e.get("parametric"),c=e.get("dataShape");c||(c=this._getDataShape(a,u));var h=e.getModel("wireframe"),d=h.get("lineStyle.width"),p=h.get("show")&&d>0;this._updateSurfaceMesh(this._surfaceMesh,e,c,p);var f=this._surfaceMesh.material;p?(f.define("WIREFRAME_QUAD"),f.set("wireframeLineWidth",d),f.set("wireframeLineColor",pP.parseColor(h.get("lineStyle.color")))):f.undefine("WIREFRAME_QUAD"),this._initHandler(e,n),this._updateAnimation(e)},_updateAnimation:function(e){pP.updateVertexAnimation([["prevPosition","position"],["prevNormal","normal"]],this._prevSurfaceMesh,this._surfaceMesh,e)},_createSurfaceMesh:function(){var e=new pP.Mesh({geometry:new pP.Geometry({dynamic:!0,sortTriangles:!0}),shadowDepthMaterial:new pP.Material({shader:new pP.Shader(pP.Shader.source("ecgl.sm.depth.vertex"),pP.Shader.source("ecgl.sm.depth.fragment"))}),culling:!1,renderOrder:10,renderNormal:!0});return e.geometry.createAttribute("barycentric","float",4),e.geometry.createAttribute("prevPosition","float",3),e.geometry.createAttribute("prevNormal","float",3),Object.assign(e.geometry,IR),e},_initHandler:function(e,t){var n=e.getData(),r=this._surfaceMesh,i=e.coordinateSystem;r.seriesIndex=e.seriesIndex;var o=-1;r.off("mousemove"),r.off("mouseout"),r.on("mousemove",(function(e){var a=function(e,t){for(var n=1/0,i=-1,o=[],a=0;a<e.length;a++){r.geometry.attributes.position.get(e[a],o);var s=uF.dist(t.array,o);s<n&&(n=s,i=e[a])}return i}(e.triangle,e.point);if(a>=0){var s=[];r.geometry.attributes.position.get(a,s);for(var l=i.pointToData(s),u=1/0,c=-1,h=[],d=0;d<n.count();d++){h[0]=n.get("x",d),h[1]=n.get("y",d),h[2]=n.get("z",d);var p=uF.squaredDistance(h,l);p<u&&(c=d,u=p)}c!==o&&t.dispatchAction({type:"grid3DShowAxisPointer",value:l}),o=c,r.dataIndex=c}else r.dataIndex=-1}),this),r.on("mouseout",(function(e){o=-1,r.dataIndex=-1,t.dispatchAction({type:"grid3DHideAxisPointer"})}),this)},_updateSurfaceMesh:function(e,t,n,r){var i=e.geometry,o=t.getData(),a=o.getLayout("points"),s=0;o.each((function(e){o.hasValue(e)||s++}));var l=s||r,u=i.attributes.position,c=i.attributes.normal,h=i.attributes.texcoord0,d=i.attributes.barycentric,p=i.attributes.color,f=n[0],g=n[1],m="color"!==t.get("shading");if(l){var v=(f-1)*(g-1)*4;u.init(v),r&&d.init(v)}else u.value=new Float32Array(a);p.init(i.vertexCount),h.init(i.vertexCount);var y,_=[0,3,1,1,3,2],x=[[1,1,0,0],[0,1,0,1],[1,0,0,1],[1,0,1,0]],b=i.indices=new(i.vertexCount>65535?Uint32Array:Uint16Array)((f-1)*(g-1)*6),w=function(e,t,n){n[1]=e*g+t,n[0]=e*g+t+1,n[3]=(e+1)*g+t+1,n[2]=(e+1)*g+t},S=!1;if(l){var M=[],T=[],A=0;m?c.init(i.vertexCount):c.value=null;for(var I=[[],[],[]],C=[],D=[],E=uF.create(),L=function(e,t,n){var r=3*t;return n[0]=e[r],n[1]=e[r+1],n[2]=e[r+2],n},P=new Float32Array(a.length),O=new Float32Array(a.length/3*4),N=0;N<o.count();N++)if(o.hasValue(N)){var R=pP.parseColor(CR(o,N));null!=(X=DR(o,N))&&(R[3]*=X),R[3]<.99&&(S=!0);for(var k=0;k<4;k++)O[4*N+k]=R[k]}var B=[1e7,1e7,1e7];for(N=0;N<f-1;N++)for(var F=0;F<g-1;F++){var z=4*(N*(g-1)+F);w(N,F,M);var V=!1;for(k=0;k<4;k++)L(a,M[k],T),y=T,(isNaN(y[0])||isNaN(y[1])||isNaN(y[2]))&&(V=!0);for(k=0;k<4;k++)V?u.set(z+k,B):(L(a,M[k],T),u.set(z+k,T)),r&&d.set(z+k,x[k]);for(k=0;k<6;k++)b[A++]=_[k]+z;if(m&&!V)for(k=0;k<2;k++){for(var G=3*k,H=0;H<3;H++)L(a,j=M[_[G]+H],I[H]);for(uF.sub(C,I[0],I[1]),uF.sub(D,I[1],I[2]),uF.cross(E,C,D),H=0;H<3;H++){var U=3*M[_[G]+H];P[U]=P[U]+E[0],P[U+1]=P[U+1]+E[1],P[U+2]=P[U+2]+E[2]}}}if(m)for(N=0;N<P.length/3;N++)L(P,N,E),uF.normalize(E,E),P[3*N]=E[0],P[3*N+1]=E[1],P[3*N+2]=E[2];R=[];var W=[];for(N=0;N<f-1;N++)for(F=0;F<g-1;F++)for(z=4*(N*(g-1)+F),w(N,F,M),k=0;k<4;k++){for(H=0;H<4;H++)R[H]=O[4*M[k]+H];p.set(z+k,R),m&&(L(P,M[k],E),c.set(z+k,E));var j=M[k];W[0]=j%g/(g-1),W[1]=Math.floor(j/g)/(f-1),h.set(z+k,W)}}else{for(W=[],N=0;N<o.count();N++){var X;W[0]=N%g/(g-1),W[1]=Math.floor(N/g)/(f-1),R=pP.parseColor(CR(o,N)),null!=(X=DR(o,N))&&(R[3]*=X),R[3]<.99&&(S=!0),p.set(N,R),h.set(N,W)}M=[];var Y=0;for(N=0;N<f-1;N++)for(F=0;F<g-1;F++)for(w(N,F,M),k=0;k<6;k++)b[Y++]=M[_[k]];m?i.generateVertexNormals():c.value=null}e.material.get("normalMap")&&i.generateTangents(),i.updateBoundingBox(),i.dirty(),e.material.transparent=S,e.material.depthMask=!S},_getDataShape:function(e,t){for(var n=-1/0,r=0,i=0,o=!1,a=t?"u":"x",s=e.count(),l=0;l<s;l++){var u=e.get(a,l);u<n&&(i=0,r++),n=u,i++}if(r&&1!==i||(o=!0),!o)return[r+1,i];for(var c=Math.floor(Math.sqrt(s));c>0;){if(Math.floor(s/c)===s/c)return[c,s/c];c--}return[c=Math.floor(Math.sqrt(s)),c]},dispose:function(){this.groupGL.removeAll()},remove:function(){this.groupGL.removeAll()}});function hF(e,t){for(var n=[],r=0;r<t.length;r++)n.push(e.dataToPoint(t[r]));return n}BS((function(e){e.registerChartView(cF),e.registerSeriesModel(lF),e.registerLayout((function(e,t){e.eachSeriesByType("surface",(function(e){var t=e.coordinateSystem;t&&t.type;var n=e.getData(),r=new Float32Array(3*n.count()),i=[NaN,NaN,NaN];if(t&&"cartesian3D"===t.type){var o=t.dimensions.map((function(t){return e.coordDimToDataDim(t)[0]}));n.each(o,(function(e,o,a,s){var l;l=n.hasValue(s)?t.dataToPoint([e,o,a]):i,r[3*s]=l[0],r[3*s+1]=l[1],r[3*s+2]=l[2]}))}n.setLayout("points",r)}))}))}));var dF=tm.extend({type:"series.map3D",layoutMode:"box",coordinateSystem:null,visualStyleAccessPath:"itemStyle",optionUpdated:function(e){e=e||{};var t=this.get("coordinateSystem");null!=t&&"geo3D"!==t&&(this.get("groundPlane.show")&&(this.option.groundPlane.show=!1),this._geo=null)},getInitialData:function(e){e.data=this.getFilledRegions(e.data,e.map);var t=uw(e.data,{coordDimensions:["value"]}),n=new lw(t,this);n.initData(e.data);var r={};return n.each((function(e){var t=n.getName(e),i=n.getItemModel(e);r[t]=i})),this._regionModelMap=r,n},formatTooltip:function(e){return nB(this,e)},getRegionModel:function(e){var t=this.getData().getName(e);return this._regionModelMap[t]||new qh(null,this)},getRegionPolygonCoords:function(e){var t=this.coordinateSystem,n=this.getData().getName(e);if(t.transform)return(r=t.getRegion(n))?r.geometries:[];this._geo||(this._geo=ZR.createGeo3D(this));for(var r=this._geo.getRegion(n),i=[],o=0;o<r.geometries.length;o++){var a=r.geometries[o],s=[],l=hF(t,a.exterior);if(s&&s.length)for(var u=0;u<a.interiors.length;u++)s.push(hF(t,s[u]));i.push({interiors:s,exterior:l})}return i},getFormattedLabel:function(e,t){var n=tB.getFormattedLabel(this,e,t);return null==n&&(n=this.getData().getName(e)),n},defaultOption:{coordinateSystem:"geo3D",data:null}});it(dF.prototype,jN),it(dF.prototype,AP),it(dF.prototype,IP),it(dF.prototype,CP),it(dF.prototype,WN);const pF=dF,fF=gy.extend({type:"map3D",__ecgl__:!0,init:function(e,t){this._geo3DBuilder=new NR(t),this.groupGL=new pP.Node},render:function(e,t,n){var r=e.coordinateSystem;if(r&&r.viewGL){if(this.groupGL.add(this._geo3DBuilder.rootNode),r.viewGL.add(this.groupGL),"geo3D"===r.type){this._sceneHelper||(this._sceneHelper=new XP,this._sceneHelper.initLight(this.groupGL)),this._sceneHelper.setScene(r.viewGL.scene),this._sceneHelper.updateLight(e),r.viewGL.setPostEffect(e.getModel("postEffect"),n),r.viewGL.setTemporalSuperSampling(e.getModel("temporalSuperSampling"));var i=this._control;i||(i=this._control=new RP({zr:n.getZr()}),this._control.init());var o=e.getModel("viewControl");i.setViewGL(r.viewGL),i.setFromViewControlModel(o,0),i.off("update"),i.on("update",(function(){n.dispatchAction({type:"map3DChangeCamera",alpha:i.getAlpha(),beta:i.getBeta(),distance:i.getDistance(),from:this.uid,map3DId:e.id})})),this._geo3DBuilder.extrudeY=!0}else this._control&&(this._control.dispose(),this._control=null),this._sceneHelper&&(this._sceneHelper.dispose(),this._sceneHelper=null),e.getData().getLayout("geo3D"),this._geo3DBuilder.extrudeY=!1;this._geo3DBuilder.update(e,t,n,0,e.getData().count());var a=r.viewGL.isLinearSpace()?"define":"undefine";this._geo3DBuilder.rootNode.traverse((function(e){e.material&&e.material[a]("fragment","SRGB_DECODE")}))}},afterRender:function(e,t,n,r){var i=r.renderer,o=e.coordinateSystem;o&&"geo3D"===o.type&&(this._sceneHelper.updateAmbientCubemap(i,e,n),this._sceneHelper.updateSkybox(i,e,n))},dispose:function(){this.groupGL.removeAll(),this._control.dispose(),this._geo3DBuilder.dispose()}});BS((function(e){qR(e),e.registerChartView(fF),e.registerSeriesModel(pF),e.registerAction({type:"map3DChangeCamera",event:"map3dcamerachanged",update:"series:updateCamera"},(function(e,t){t.eachComponent({mainType:"series",subType:"map3D",query:e},(function(t){t.setView(e)}))}))}));const gF=tm.extend({type:"series.scatterGL",dependencies:["grid","polar","geo","singleAxis"],visualStyleAccessPath:"itemStyle",hasSymbolVisual:!0,getInitialData:function(){return ES(this)},defaultOption:{coordinateSystem:"cartesian2d",zlevel:10,progressive:1e5,progressiveThreshold:1e5,large:!1,symbol:"circle",symbolSize:10,zoomScale:0,blendMode:"source-over",itemStyle:{opacity:.8},postEffect:{enable:!1,colorCorrection:{exposure:0,brightness:0,contrast:1,saturation:1,enable:!0}}}});function mF(e){this.viewGL=e}mF.prototype.reset=function(e,t){this._updateCamera(t.getWidth(),t.getHeight(),t.getDevicePixelRatio()),this._viewTransform=[1,0,0,1,0,0],this.updateTransform(e,t)},mF.prototype.updateTransform=function(e,t){var n=e.coordinateSystem;n.getRoamTransform&&(ur(this._viewTransform,n.getRoamTransform()),this._setCameraTransform(this._viewTransform),t.getZr().refresh())},mF.prototype.dataToPoint=function(e,t,n){n=e.dataToPoint(t,null,n);var r=this._viewTransform;r&&Tn(n,n,r)},mF.prototype.removeTransformInPoint=function(e){return this._viewTransform&&Tn(e,e,this._viewTransform),e},mF.prototype.getZoom=function(){if(this._viewTransform){var e=this._viewTransform;return 1/Math.max(Math.sqrt(e[0]*e[0]+e[1]*e[1]),Math.sqrt(e[2]*e[2]+e[3]*e[3]))}return 1},mF.prototype._setCameraTransform=function(e){var t=this.viewGL.camera;t.position.set(e[4],e[5],0),t.scale.set(Math.sqrt(e[0]*e[0]+e[1]*e[1]),Math.sqrt(e[2]*e[2]+e[3]*e[3]),1)},mF.prototype._updateCamera=function(e,t,n){this.viewGL.setViewport(0,0,e,t,n);var r=this.viewGL.camera;r.left=r.top=0,r.bottom=t,r.right=e,r.near=0,r.far=100};const vF=mF,yF=gy.extend({type:"scatterGL",__ecgl__:!0,init:function(e,t){this.groupGL=new pP.Node,this.viewGL=new EN("orthographic"),this.viewGL.add(this.groupGL),this._pointsBuilderList=[],this._currentStep=0,this._sizeScale=1,this._glViewHelper=new vF(this.viewGL)},render:function(e,t,n){if(this.groupGL.removeAll(),this._glViewHelper.reset(e,n),e.getData().count()){var r=this._pointsBuilderList[0];r||(r=this._pointsBuilderList[0]=new OB(!0,n)),this._pointsBuilderList.length=1,this.groupGL.add(r.rootNode),this._removeTransformInPoints(e.getData().getLayout("points")),r.update(e,t,n),this.viewGL.setPostEffect(e.getModel("postEffect"),n)}},incrementalPrepareRender:function(e,t,n){this.groupGL.removeAll(),this._glViewHelper.reset(e,n),this._currentStep=0,this.viewGL.setPostEffect(e.getModel("postEffect"),n)},incrementalRender:function(e,t,n,r){if(!(e.end<=e.start)){var i=this._pointsBuilderList[this._currentStep];i||(i=new OB(!0,r),this._pointsBuilderList[this._currentStep]=i),this.groupGL.add(i.rootNode),this._removeTransformInPoints(t.getData().getLayout("points")),i.setSizeScale(this._sizeScale),i.update(t,n,r,e.start,e.end),r.getZr().refresh(),this._currentStep++}},updateTransform:function(e,t,n){if(e.coordinateSystem.getRoamTransform){this._glViewHelper.updateTransform(e,n);var r=this._glViewHelper.getZoom(),i=Math.max((e.get("zoomScale")||0)*(r-1)+1,0);this._sizeScale=i,this._pointsBuilderList.forEach((function(e){e.setSizeScale(i)}))}},_removeTransformInPoints:function(e){if(e)for(var t=[],n=0;n<e.length;n+=2)t[0]=e[n],t[1]=e[n+1],this._glViewHelper.removeTransformInPoint(t),e[n]=t[0],e[n+1]=t[1]},dispose:function(){this.groupGL.removeAll(),this._pointsBuilderList.forEach((function(e){e.dispose()}))},remove:function(){this.groupGL.removeAll()}});function _F(e){return"_EC_"+e}BS((function(e){e.registerChartView(yF),e.registerSeriesModel(gF),e.registerLayout({seriesType:"scatterGL",reset:function(e){var t,n=e.coordinateSystem,r=e.getData();if(n){var i=n.dimensions.map((function(e){return r.mapDimension(e)})).slice(0,2),o=[];1===i.length?t=function(e){for(var t=new Float32Array(2*(e.end-e.start)),o=e.start;o<e.end;o++){var a=2*(o-e.start),s=r.get(i[0],o),l=n.dataToPoint(s);t[a]=l[0],t[a+1]=l[1]}r.setLayout("points",t)}:2===i.length&&(t=function(e){for(var t=new Float32Array(2*(e.end-e.start)),a=e.start;a<e.end;a++){var s=2*(a-e.start),l=r.get(i[0],a),u=r.get(i[1],a);o[0]=l,o[1]=u,o=n.dataToPoint(o),t[s]=o[0],t[s+1]=o[1]}r.setLayout("points",t)})}return{progress:t}}})}));var xF=function(){function e(e){this.type="graph",this.nodes=[],this.edges=[],this._nodesMap={},this._edgesMap={},this._directed=e||!1}return e.prototype.isDirected=function(){return this._directed},e.prototype.addNode=function(e,t){e=null==e?""+t:""+e;var n=this._nodesMap;if(!n[_F(e)]){var r=new bF(e,t);return r.hostGraph=this,this.nodes.push(r),n[_F(e)]=r,r}},e.prototype.getNodeByIndex=function(e){var t=this.data.getRawIndex(e);return this.nodes[t]},e.prototype.getNodeById=function(e){return this._nodesMap[_F(e)]},e.prototype.addEdge=function(e,t,n){var r=this._nodesMap,i=this._edgesMap;if(Tt(e)&&(e=this.nodes[e]),Tt(t)&&(t=this.nodes[t]),e instanceof bF||(e=r[_F(e)]),t instanceof bF||(t=r[_F(t)]),e&&t){var o=e.id+"-"+t.id,a=new wF(e,t,n);return a.hostGraph=this,this._directed&&(e.outEdges.push(a),t.inEdges.push(a)),e.edges.push(a),e!==t&&t.edges.push(a),this.edges.push(a),i[o]=a,a}},e.prototype.getEdgeByIndex=function(e){var t=this.edgeData.getRawIndex(e);return this.edges[t]},e.prototype.getEdge=function(e,t){e instanceof bF&&(e=e.id),t instanceof bF&&(t=t.id);var n=this._edgesMap;return this._directed?n[e+"-"+t]:n[e+"-"+t]||n[t+"-"+e]},e.prototype.eachNode=function(e,t){for(var n=this.nodes,r=n.length,i=0;i<r;i++)n[i].dataIndex>=0&&e.call(t,n[i],i)},e.prototype.eachEdge=function(e,t){for(var n=this.edges,r=n.length,i=0;i<r;i++)n[i].dataIndex>=0&&n[i].node1.dataIndex>=0&&n[i].node2.dataIndex>=0&&e.call(t,n[i],i)},e.prototype.breadthFirstTraverse=function(e,t,n,r){if(t instanceof bF||(t=this._nodesMap[_F(t)]),t){for(var i="out"===n?"outEdges":"in"===n?"inEdges":"edges",o=0;o<this.nodes.length;o++)this.nodes[o].__visited=!1;if(!e.call(r,t,null))for(var a=[t];a.length;){var s=a.shift(),l=s[i];for(o=0;o<l.length;o++){var u=l[o],c=u.node1===s?u.node2:u.node1;if(!c.__visited){if(e.call(r,c,s))return;a.push(c),c.__visited=!0}}}}},e.prototype.update=function(){for(var e=this.data,t=this.edgeData,n=this.nodes,r=this.edges,i=0,o=n.length;i<o;i++)n[i].dataIndex=-1;for(i=0,o=e.count();i<o;i++)n[e.getRawIndex(i)].dataIndex=i;for(t.filterSelf((function(e){var n=r[t.getRawIndex(e)];return n.node1.dataIndex>=0&&n.node2.dataIndex>=0})),i=0,o=r.length;i<o;i++)r[i].dataIndex=-1;for(i=0,o=t.count();i<o;i++)r[t.getRawIndex(i)].dataIndex=i},e.prototype.clone=function(){for(var t=new e(this._directed),n=this.nodes,r=this.edges,i=0;i<n.length;i++)t.addNode(n[i].id,n[i].dataIndex);for(i=0;i<r.length;i++){var o=r[i];t.addEdge(o.node1.id,o.node2.id,o.dataIndex)}return t},e}(),bF=function(){function e(e,t){this.inEdges=[],this.outEdges=[],this.edges=[],this.dataIndex=-1,this.id=null==e?"":e,this.dataIndex=null==t?-1:t}return e.prototype.degree=function(){return this.edges.length},e.prototype.inDegree=function(){return this.inEdges.length},e.prototype.outDegree=function(){return this.outEdges.length},e.prototype.getModel=function(e){if(!(this.dataIndex<0))return this.hostGraph.data.getItemModel(this.dataIndex).getModel(e)},e.prototype.getAdjacentDataIndices=function(){for(var e={edge:[],node:[]},t=0;t<this.edges.length;t++){var n=this.edges[t];n.dataIndex<0||(e.edge.push(n.dataIndex),e.node.push(n.node1.dataIndex,n.node2.dataIndex))}return e},e.prototype.getTrajectoryDataIndices=function(){for(var e=Yt(),t=Yt(),n=0;n<this.edges.length;n++){var r=this.edges[n];if(!(r.dataIndex<0)){e.set(r.dataIndex,!0);for(var i=[r.node1],o=[r.node2],a=0;a<i.length;){var s=i[a];a++,t.set(s.dataIndex,!0);for(var l=0;l<s.inEdges.length;l++)e.set(s.inEdges[l].dataIndex,!0),i.push(s.inEdges[l].node1)}for(a=0;a<o.length;){var u=o[a];for(a++,t.set(u.dataIndex,!0),l=0;l<u.outEdges.length;l++)e.set(u.outEdges[l].dataIndex,!0),o.push(u.outEdges[l].node2)}}}return{edge:e.keys(),node:t.keys()}},e}(),wF=function(){function e(e,t,n){this.dataIndex=-1,this.node1=e,this.node2=t,this.dataIndex=null==n?-1:n}return e.prototype.getModel=function(e){if(!(this.dataIndex<0))return this.hostGraph.edgeData.getItemModel(this.dataIndex).getModel(e)},e.prototype.getAdjacentDataIndices=function(){return{edge:[this.dataIndex],node:[this.node1.dataIndex,this.node2.dataIndex]}},e.prototype.getTrajectoryDataIndices=function(){var e=Yt(),t=Yt();e.set(this.dataIndex,!0);for(var n=[this.node1],r=[this.node2],i=0;i<n.length;){var o=n[i];i++,t.set(o.dataIndex,!0);for(var a=0;a<o.inEdges.length;a++)e.set(o.inEdges[a].dataIndex,!0),n.push(o.inEdges[a].node1)}for(i=0;i<r.length;){var s=r[i];for(i++,t.set(s.dataIndex,!0),a=0;a<s.outEdges.length;a++)e.set(s.outEdges[a].dataIndex,!0),r.push(s.outEdges[a].node2)}return{edge:e.keys(),node:t.keys()}},e}();function SF(e,t){return{getValue:function(n){var r=this[e][t];return r.getStore().get(r.getDimensionIndex(n||"value"),this.dataIndex)},setVisual:function(n,r){this.dataIndex>=0&&this[e][t].setItemVisual(this.dataIndex,n,r)},getVisual:function(n){return this[e][t].getItemVisual(this.dataIndex,n)},setLayout:function(n,r){this.dataIndex>=0&&this[e][t].setItemLayout(this.dataIndex,n,r)},getLayout:function(){return this[e][t].getItemLayout(this.dataIndex)},getGraphicEl:function(){return this[e][t].getItemGraphicEl(this.dataIndex)},getRawIndex:function(){return this[e][t].getRawIndex(this.dataIndex)}}}ht(bF,SF("hostGraph","data")),ht(wF,SF("hostGraph","edgeData"));const MF=xF;var TF=Ns();function AF(e,t){if(TF(this).mainData===this){var n=at({},TF(this).datas);n[this.dataType]=t,LF(t,n,e)}else PF(t,this.dataType,TF(this).mainData,e);return t}function IF(e,t){return e.struct&&e.struct.update(),t}function CF(e,t){return pt(TF(t).datas,(function(n,r){n!==t&&PF(n.cloneShallow(),r,t,e)})),t}function DF(e){var t=TF(this).mainData;return null==e||null==t?t:TF(t).datas[e]}function EF(){var e=TF(this).mainData;return null==e?[{data:e}]:ft(yt(TF(e).datas),(function(t){return{type:t,data:TF(e).datas[t]}}))}function LF(e,t,n){TF(e).datas={},pt(t,(function(t,r){PF(t,r,e,n)}))}function PF(e,t,n,r){TF(n).datas[t]=e,TF(e).mainData=n,e.dataType=t,r.struct&&(e[r.structAttr]=r.struct,r.struct[r.datasAttr[t]]=e),e.getLinkedData=DF,e.getLinkedDataAll=EF}const OF=function(e){var t=e.mainData,n=e.datas;n||(n={main:t},e.datasAttr={main:"data"}),e.datas=e.mainData=null,LF(t,n,e),pt(n,(function(n){pt(t.TRANSFERABLE_METHODS,(function(t){n.wrapMethod(t,xt(AF,e))}))})),t.wrapMethod("cloneShallow",xt(CF,e)),pt(t.CHANGABLE_METHODS,(function(n){t.wrapMethod(n,xt(IF,e))})),zt(n[t.dataType]===t)},NF=OF;var RF=tm.extend({type:"series.graphGL",visualStyleAccessPath:"itemStyle",hasSymbolVisual:!0,init:function(e){RF.superApply(this,"init",arguments),this.legendDataProvider=function(){return this._categoriesData},this._updateCategoriesData()},mergeOption:function(e){RF.superApply(this,"mergeOption",arguments),this._updateCategoriesData()},getFormattedLabel:function(e,t,n,r){var i=tB.getFormattedLabel(this,e,t,n,r);if(null==i){var o=this.getData(),a=o.dimensions[o.dimensions.length-1];i=o.get(a,e)}return i},getInitialData:function(e,t){var n=e.edges||e.links||[],r=e.data||e.nodes||[],i=this;if(r&&n)return function(e,t,n,r,i){for(var o=new MF(!0),a=0;a<e.length;a++)o.addNode(PL.firstNotNull(e[a].id,e[a].name,a),a);var s,l=[],u=[],c=0;for(a=0;a<t.length;a++){var h=t[a],d=h.source,p=h.target;o.addEdge(d,p,c)&&(u.push(h),l.push(PL.firstNotNull(h.id,d+" > "+p)),c++)}var f=uw(e,{coordDimensions:["value"]});(s=new lw(f,n)).initData(e);var g=new lw(["value"],n);return g.initData(u,l),i&&i(s,g),NF({mainData:s,struct:o,structAttr:"graph",datas:{node:s,edge:g},datasAttr:{node:"data",edge:"edgeData"}}),o.update(),o}(r,n,this,0,(function(e,n){e.wrapMethod("getItemModel",(function(e){const t=i._categoriesModels[e.getShallow("category")];return t&&(t.parentModel=e.parentModel,e.parentModel=t),e}));const r=t.getModel([]).getModel;function o(e,t){const n=r.call(this,e,t);return n.resolveParentPath=a,n}function a(e){if(e&&("label"===e[0]||"label"===e[1])){const t=e.slice();return"label"===e[0]?t[0]="edgeLabel":"label"===e[1]&&(t[1]="edgeLabel"),t}return e}n.wrapMethod("getItemModel",(function(e){return e.resolveParentPath=a,e.getModel=o,e}))})).data},getGraph:function(){return this.getData().graph},getEdgeData:function(){return this.getGraph().edgeData},getCategoriesData:function(){return this._categoriesData},formatTooltip:function(e,t,n){if("edge"===n){var r=this.getData(),i=this.getDataParams(e,n),o=r.graph.getEdgeByIndex(e),a=r.getName(o.node1.dataIndex),s=r.getName(o.node2.dataIndex),l=[];return null!=a&&l.push(a),null!=s&&l.push(s),l=Hn(l.join(" > ")),i.value&&(l+=" : "+Hn(i.value)),l}return RF.superApply(this,"formatTooltip",arguments)},_updateCategoriesData:function(){var e=(this.option.categories||[]).map((function(e){return null!=e.value?e:Object.assign({value:0},e)})),t=new lw(["value"],this);t.initData(e),this._categoriesData=t,this._categoriesModels=t.mapArray((function(e){return t.getItemModel(e,!0)}))},setView:function(e){null!=e.zoom&&(this.option.zoom=e.zoom),null!=e.offset&&(this.option.offset=e.offset)},setNodePosition:function(e){for(var t=0;t<e.length/2;t++){var n=e[2*t],r=e[2*t+1],i=this.getData().getRawDataItem(t);i.x=n,i.y=r}},isAnimationEnabled:function(){return RF.superCall(this,"isAnimationEnabled")&&!("force"===this.get("layout")&&this.get("force.layoutAnimation"))},defaultOption:{zlevel:10,z:2,legendHoverLink:!0,layout:"forceAtlas2",forceAtlas2:{initLayout:null,GPU:!0,steps:1,maxSteps:1e3,repulsionByDegree:!0,linLogMode:!1,strongGravityMode:!1,gravity:1,edgeWeightInfluence:1,edgeWeight:[1,4],nodeWeight:[1,4],preventOverlap:!1,gravityCenter:null},focusNodeAdjacency:!0,focusNodeAdjacencyOn:"mouseover",left:"center",top:"center",symbol:"circle",symbolSize:5,roam:!1,center:null,zoom:1,label:{show:!1,formatter:"{b}",position:"right",distance:5,textStyle:{fontSize:14}},itemStyle:{},lineStyle:{color:"#aaa",width:1,opacity:.5},emphasis:{label:{show:!0}},animation:!1}});const kF=RF;var BF=BP.vec2,FF=[[0,0],[1,1]],zF=kD.extend((function(){return{segmentScale:4,dynamic:!0,useNativeLine:!0,attributes:{position:new kD.Attribute("position","float",2,"POSITION"),normal:new kD.Attribute("normal","float",2),offset:new kD.Attribute("offset","float",1),color:new kD.Attribute("color","float",4,"COLOR")}}}),{resetOffset:function(){this._vertexOffset=0,this._faceOffset=0,this._itemVertexOffsets=[]},setVertexCount:function(e){var t=this.attributes;this.vertexCount!==e&&(t.position.init(e),t.color.init(e),this.useNativeLine||(t.offset.init(e),t.normal.init(e)),e>65535?this.indices instanceof Uint16Array&&(this.indices=new Uint32Array(this.indices)):this.indices instanceof Uint32Array&&(this.indices=new Uint16Array(this.indices)))},setTriangleCount:function(e){this.triangleCount!==e&&(this.indices=0===e?null:this.vertexCount>65535?new Uint32Array(3*e):new Uint16Array(3*e))},_getCubicCurveApproxStep:function(e,t,n,r){return 1/(BF.dist(e,t)+BF.dist(n,t)+BF.dist(r,n)+1)*this.segmentScale},getCubicCurveVertexCount:function(e,t,n,r){var i=this._getCubicCurveApproxStep(e,t,n,r),o=Math.ceil(1/i);return this.useNativeLine?2*o:2*o+2},getCubicCurveTriangleCount:function(e,t,n,r){var i=this._getCubicCurveApproxStep(e,t,n,r),o=Math.ceil(1/i);return this.useNativeLine?0:2*o},getLineVertexCount:function(){return this.getPolylineVertexCount(FF)},getLineTriangleCount:function(){return this.getPolylineTriangleCount(FF)},getPolylineVertexCount:function(e){var t;return t="number"==typeof e?e:"number"!=typeof e[0]?e.length:e.length/2,this.useNativeLine?2*(t-1):2*(t-1)+2},getPolylineTriangleCount:function(e){var t;return t="number"==typeof e?e:"number"!=typeof e[0]?e.length:e.length/2,this.useNativeLine?0:2*(t-1)},addCubicCurve:function(e,t,n,r,i,o){null==o&&(o=1);var a=e[0],s=e[1],l=t[0],u=t[1],c=n[0],h=n[1],d=r[0],p=r[1],f=this._getCubicCurveApproxStep(e,t,n,r),g=f*f,m=g*f,v=3*f,y=3*g,_=6*g,x=6*m,b=a-2*l+c,w=s-2*u+h,S=3*(l-c)-a+d,M=3*(u-h)-s+p,T=a,A=s,I=(l-a)*v+b*y+S*m,C=(u-s)*v+w*y+M*m,D=b*_+S*x,E=w*_+M*x,L=S*x,P=M*x,O=0,N=0,R=Math.ceil(1/f),k=new Float32Array(3*(R+1)),B=(k=[],0);for(N=0;N<R+1;N++)k[B++]=T,k[B++]=A,T+=I,A+=C,I+=D,C+=E,D+=L,E+=P,(O+=f)>1&&(T=I>0?Math.min(T,d):Math.max(T,d),A=C>0?Math.min(A,p):Math.max(A,p));this.addPolyline(k,i,o)},addLine:function(e,t,n,r){this.addPolyline([e,t],n,r)},addPolyline:function(){var e=BF.create(),t=BF.create(),n=BF.create(),r=BF.create(),i=[],o=[],a=[];return function(s,l,u,c,h){if(s.length){var d="number"!=typeof s[0];if(null==h&&(h=d?s.length:s.length/2),!(h<2)){null==c&&(c=0),null==u&&(u=1),this._itemVertexOffsets.push(this._vertexOffset);for(var p,f=d?"number"!=typeof l[0]:l.length/4===h,g=this.attributes.position,m=this.attributes.color,v=this.attributes.offset,y=this.attributes.normal,_=this.indices,x=this._vertexOffset,b=0;b<h;b++){if(d)i=s[b+c],p=f?l[b+c]:l;else{var w=2*b+c;if((i=i||[])[0]=s[w],i[1]=s[w+1],f){var S=4*b+c;(p=p||[])[0]=l[S],p[1]=l[S+1],p[2]=l[S+2],p[3]=l[S+3]}else p=l}if(this.useNativeLine)b>1&&(g.copy(x,x-1),m.copy(x,x-1),x++);else{var M;if(b<h-1)if(d?BF.copy(o,s[b+1]):(w=2*(b+1)+c,(o=o||[])[0]=s[w],o[1]=s[w+1]),b>0){BF.sub(e,i,a),BF.sub(t,o,i),BF.normalize(e,e),BF.normalize(t,t),BF.add(r,e,t),BF.normalize(r,r);var T=u/2*Math.min(1/BF.dot(e,r),2);n[0]=-r[1],n[1]=r[0],M=T}else BF.sub(e,o,i),BF.normalize(e,e),n[0]=-e[1],n[1]=e[0],M=u/2;else BF.sub(e,i,a),BF.normalize(e,e),n[0]=-e[1],n[1]=e[0],M=u/2;y.set(x,n),y.set(x+1,n),v.set(x,M),v.set(x+1,-M),BF.copy(a,i),g.set(x,i),g.set(x+1,i),m.set(x,p),m.set(x+1,p),x+=2}if(this.useNativeLine)m.set(x,p),g.set(x,i),x++;else if(b>0){var A=3*this._faceOffset;(_=this.indices)[A]=x-4,_[A+1]=x-3,_[A+2]=x-2,_[A+3]=x-3,_[A+4]=x-1,_[A+5]=x-2,this._faceOffset+=2}}this._vertexOffset=x}}}}(),setItemColor:function(e,t){for(var n=this._itemVertexOffsets[e],r=e<this._itemVertexOffsets.length-1?this._itemVertexOffsets[e+1]:this._vertexOffset,i=n;i<r;i++)this.attributes.color.set(i,t);this.dirty("color")}});st(zF.prototype,kP);const VF=zF;pP.Shader.import("@export ecgl.forceAtlas2.updateNodeRepulsion\n\n#define NODE_COUNT 0\n\nuniform sampler2D positionTex;\n\nuniform vec2 textureSize;\nuniform float gravity;\nuniform float scaling;\nuniform vec2 gravityCenter;\n\nuniform bool strongGravityMode;\nuniform bool preventOverlap;\n\nvarying vec2 v_Texcoord;\n\nvoid main() {\n\n vec4 n0 = texture2D(positionTex, v_Texcoord);\n\n vec2 force = vec2(0.0);\n for (int i = 0; i < NODE_COUNT; i++) {\n vec2 uv = vec2(\n mod(float(i), textureSize.x) / (textureSize.x - 1.0),\n floor(float(i) / textureSize.x) / (textureSize.y - 1.0)\n );\n vec4 n1 = texture2D(positionTex, uv);\n\n vec2 dir = n0.xy - n1.xy;\n float d2 = dot(dir, dir);\n\n if (d2 > 0.0) {\n float factor = 0.0;\n if (preventOverlap) {\n float d = sqrt(d2);\n d = d - n0.w - n1.w;\n if (d > 0.0) {\n factor = scaling * n0.z * n1.z / (d * d);\n }\n else if (d < 0.0) {\n factor = scaling * 100.0 * n0.z * n1.z;\n }\n }\n else {\n factor = scaling * n0.z * n1.z / d2;\n }\n force += dir * factor;\n }\n }\n\n vec2 dir = gravityCenter - n0.xy;\n float d = 1.0;\n if (!strongGravityMode) {\n d = length(dir);\n }\n\n force += dir * n0.z * gravity / (d + 1.0);\n\n gl_FragColor = vec4(force, 0.0, 1.0);\n}\n@end\n\n@export ecgl.forceAtlas2.updateEdgeAttraction.vertex\n\nattribute vec2 node1;\nattribute vec2 node2;\nattribute float weight;\n\nuniform sampler2D positionTex;\nuniform float edgeWeightInfluence;\nuniform bool preventOverlap;\nuniform bool linLogMode;\n\nuniform vec2 windowSize: WINDOW_SIZE;\n\nvarying vec2 v_Force;\n\nvoid main() {\n\n vec4 n0 = texture2D(positionTex, node1);\n vec4 n1 = texture2D(positionTex, node2);\n\n vec2 dir = n1.xy - n0.xy;\n float d = length(dir);\n float w;\n if (edgeWeightInfluence == 0.0) {\n w = 1.0;\n }\n else if (edgeWeightInfluence == 1.0) {\n w = weight;\n }\n else {\n w = pow(weight, edgeWeightInfluence);\n }\n vec2 offset = vec2(1.0 / windowSize.x, 1.0 / windowSize.y);\n vec2 scale = vec2((windowSize.x - 1.0) / windowSize.x, (windowSize.y - 1.0) / windowSize.y);\n vec2 pos = node1 * scale * 2.0 - 1.0;\n gl_Position = vec4(pos + offset, 0.0, 1.0);\n gl_PointSize = 1.0;\n\n float factor;\n if (preventOverlap) {\n d = d - n1.w - n0.w;\n }\n if (d <= 0.0) {\n v_Force = vec2(0.0);\n return;\n }\n\n if (linLogMode) {\n factor = w * log(d) / d;\n }\n else {\n factor = w;\n }\n v_Force = dir * factor;\n}\n@end\n\n@export ecgl.forceAtlas2.updateEdgeAttraction.fragment\n\nvarying vec2 v_Force;\n\nvoid main() {\n gl_FragColor = vec4(v_Force, 0.0, 0.0);\n}\n@end\n\n@export ecgl.forceAtlas2.calcWeightedSum.vertex\n\nattribute vec2 node;\n\nvarying vec2 v_NodeUv;\n\nvoid main() {\n\n v_NodeUv = node;\n gl_Position = vec4(0.0, 0.0, 0.0, 1.0);\n gl_PointSize = 1.0;\n}\n@end\n\n@export ecgl.forceAtlas2.calcWeightedSum.fragment\n\nvarying vec2 v_NodeUv;\n\nuniform sampler2D positionTex;\nuniform sampler2D forceTex;\nuniform sampler2D forcePrevTex;\n\nvoid main() {\n vec2 force = texture2D(forceTex, v_NodeUv).rg;\n vec2 forcePrev = texture2D(forcePrevTex, v_NodeUv).rg;\n\n float mass = texture2D(positionTex, v_NodeUv).z;\n float swing = length(force - forcePrev) * mass;\n float traction = length(force + forcePrev) * 0.5 * mass;\n\n gl_FragColor = vec4(swing, traction, 0.0, 0.0);\n}\n@end\n\n@export ecgl.forceAtlas2.calcGlobalSpeed\n\nuniform sampler2D globalSpeedPrevTex;\nuniform sampler2D weightedSumTex;\nuniform float jitterTolerence;\n\nvoid main() {\n vec2 weightedSum = texture2D(weightedSumTex, vec2(0.5)).xy;\n float prevGlobalSpeed = texture2D(globalSpeedPrevTex, vec2(0.5)).x;\n float globalSpeed = jitterTolerence * jitterTolerence\n * weightedSum.y / weightedSum.x;\n if (prevGlobalSpeed > 0.0) {\n globalSpeed = min(globalSpeed / prevGlobalSpeed, 1.5) * prevGlobalSpeed;\n }\n gl_FragColor = vec4(globalSpeed, 0.0, 0.0, 1.0);\n}\n@end\n\n@export ecgl.forceAtlas2.updatePosition\n\nuniform sampler2D forceTex;\nuniform sampler2D forcePrevTex;\nuniform sampler2D positionTex;\nuniform sampler2D globalSpeedTex;\n\nvarying vec2 v_Texcoord;\n\nvoid main() {\n vec2 force = texture2D(forceTex, v_Texcoord).xy;\n vec2 forcePrev = texture2D(forcePrevTex, v_Texcoord).xy;\n vec4 node = texture2D(positionTex, v_Texcoord);\n\n float globalSpeed = texture2D(globalSpeedTex, vec2(0.5)).r;\n float swing = length(force - forcePrev);\n float speed = 0.1 * globalSpeed / (0.1 + globalSpeed * sqrt(swing));\n\n float df = length(force);\n if (df > 0.0) {\n speed = min(df * speed, 10.0) / df;\n\n gl_FragColor = vec4(node.xy + speed * force, node.zw);\n }\n else {\n gl_FragColor = node;\n }\n}\n@end\n\n@export ecgl.forceAtlas2.edges.vertex\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\n\nattribute vec2 node;\nattribute vec4 a_Color : COLOR;\nvarying vec4 v_Color;\n\nuniform sampler2D positionTex;\n\nvoid main()\n{\n gl_Position = worldViewProjection * vec4(\n texture2D(positionTex, node).xy, -10.0, 1.0\n );\n v_Color = a_Color;\n}\n@end\n\n@export ecgl.forceAtlas2.edges.fragment\nuniform vec4 color : [1.0, 1.0, 1.0, 1.0];\nvarying vec4 v_Color;\nvoid main() {\n gl_FragColor = color * v_Color;\n}\n@end");var GF={repulsionByDegree:!0,linLogMode:!1,strongGravityMode:!1,gravity:1,scaling:1,edgeWeightInfluence:1,jitterTolerence:.1,preventOverlap:!1,dissuadeHubs:!1,gravityCenter:null};function HF(e){var t={type:pP.Texture.FLOAT,minFilter:pP.Texture.NEAREST,magFilter:pP.Texture.NEAREST};this._positionSourceTex=new pP.Texture2D(t),this._positionSourceTex.flipY=!1,this._positionTex=new pP.Texture2D(t),this._positionPrevTex=new pP.Texture2D(t),this._forceTex=new pP.Texture2D(t),this._forcePrevTex=new pP.Texture2D(t),this._weightedSumTex=new pP.Texture2D(t),this._weightedSumTex.width=this._weightedSumTex.height=1,this._globalSpeedTex=new pP.Texture2D(t),this._globalSpeedPrevTex=new pP.Texture2D(t),this._globalSpeedTex.width=this._globalSpeedTex.height=1,this._globalSpeedPrevTex.width=this._globalSpeedPrevTex.height=1,this._nodeRepulsionPass=new yL({fragment:pP.Shader.source("ecgl.forceAtlas2.updateNodeRepulsion")}),this._positionPass=new yL({fragment:pP.Shader.source("ecgl.forceAtlas2.updatePosition")}),this._globalSpeedPass=new yL({fragment:pP.Shader.source("ecgl.forceAtlas2.calcGlobalSpeed")}),this._copyPass=new yL({fragment:pP.Shader.source("clay.compositor.output")});var n=function(e){e.blendEquation(e.FUNC_ADD),e.blendFunc(e.ONE,e.ONE)};this._edgeForceMesh=new pP.Mesh({geometry:new pP.Geometry({attributes:{node1:new pP.Geometry.Attribute("node1","float",2),node2:new pP.Geometry.Attribute("node2","float",2),weight:new pP.Geometry.Attribute("weight","float",1)},dynamic:!0,mainAttribute:"node1"}),material:new pP.Material({transparent:!0,shader:pP.createShader("ecgl.forceAtlas2.updateEdgeAttraction"),blend:n,depthMask:!1,depthText:!1}),mode:pP.Mesh.POINTS}),this._weightedSumMesh=new pP.Mesh({geometry:new pP.Geometry({attributes:{node:new pP.Geometry.Attribute("node","float",2)},dynamic:!0,mainAttribute:"node"}),material:new pP.Material({transparent:!0,shader:pP.createShader("ecgl.forceAtlas2.calcWeightedSum"),blend:n,depthMask:!1,depthText:!1}),mode:pP.Mesh.POINTS}),this._framebuffer=new kE({depthBuffer:!1}),this._dummyCamera=new pP.OrthographicCamera({left:-1,right:1,top:1,bottom:-1,near:0,far:100}),this._globalSpeed=0}HF.prototype.updateOption=function(e){for(var t in GF)this[t]=GF[t];var n=this._nodes.length;if(this.jitterTolerence=n>5e4?10:n>5e3?1:.1,this.scaling=n>100?2:10,e)for(var t in GF)null!=e[t]&&(this[t]=e[t]);if(this.repulsionByDegree)for(var r=this._positionSourceTex.pixels,i=0;i<this._nodes.length;i++)r[4*i+2]=(this._nodes[i].degree||0)+1},HF.prototype._updateGravityCenter=function(e){var t=this._nodes,n=this._edges;if(this.gravityCenter)this._gravityCenter=this.gravityCenter;else{for(var r=[1/0,1/0],i=[-1/0,-1/0],o=0;o<t.length;o++)r[0]=Math.min(t[o].x,r[0]),r[1]=Math.min(t[o].y,r[1]),i[0]=Math.max(t[o].x,i[0]),i[1]=Math.max(t[o].y,i[1]);this._gravityCenter=[.5*(r[0]+i[0]),.5*(r[1]+i[1])]}for(o=0;o<n.length;o++){var a=n[o].node1,s=n[o].node2;t[a].degree=(t[a].degree||0)+1,t[s].degree=(t[s].degree||0)+1}},HF.prototype.initData=function(e,t){this._nodes=e,this._edges=t,this._updateGravityCenter();var n=Math.ceil(Math.sqrt(e.length)),r=n,i=new Float32Array(n*r*4);this._resize(n,r);for(var o=0,a=0;a<e.length;a++){var s=e[a];i[o++]=s.x||0,i[o++]=s.y||0,i[o++]=s.mass||1,i[o++]=s.size||1}this._positionSourceTex.pixels=i;var l=this._edgeForceMesh.geometry,u=t.length;l.attributes.node1.init(2*u),l.attributes.node2.init(2*u),l.attributes.weight.init(2*u);var c=[];for(a=0;a<t.length;a++){var h=l.attributes,d=t[a].weight;null==d&&(d=1),h.node1.set(a,this.getNodeUV(t[a].node1,c)),h.node2.set(a,this.getNodeUV(t[a].node2,c)),h.weight.set(a,d),h.node1.set(a+u,this.getNodeUV(t[a].node2,c)),h.node2.set(a+u,this.getNodeUV(t[a].node1,c)),h.weight.set(a+u,d)}var p=this._weightedSumMesh.geometry;for(p.attributes.node.init(e.length),a=0;a<e.length;a++)p.attributes.node.set(a,this.getNodeUV(a,c));l.dirty(),p.dirty(),this._nodeRepulsionPass.material.define("fragment","NODE_COUNT",e.length),this._nodeRepulsionPass.material.setUniform("textureSize",[n,r]),this._inited=!1,this._frame=0},HF.prototype.getNodes=function(){return this._nodes},HF.prototype.getEdges=function(){return this._edges},HF.prototype.step=function(e){this._inited||(this._initFromSource(e),this._inited=!0),this._frame++,this._framebuffer.attach(this._forceTex),this._framebuffer.bind(e);var t=this._nodeRepulsionPass;t.setUniform("strongGravityMode",this.strongGravityMode),t.setUniform("gravity",this.gravity),t.setUniform("gravityCenter",this._gravityCenter),t.setUniform("scaling",this.scaling),t.setUniform("preventOverlap",this.preventOverlap),t.setUniform("positionTex",this._positionPrevTex),t.render(e);var n=this._edgeForceMesh;n.material.set("linLogMode",this.linLogMode),n.material.set("edgeWeightInfluence",this.edgeWeightInfluence),n.material.set("preventOverlap",this.preventOverlap),n.material.set("positionTex",this._positionPrevTex),e.gl.enable(e.gl.BLEND),e.renderPass([n],this._dummyCamera),this._framebuffer.attach(this._weightedSumTex),e.gl.clearColor(0,0,0,0),e.gl.clear(e.gl.COLOR_BUFFER_BIT),e.gl.enable(e.gl.BLEND);var r=this._weightedSumMesh;r.material.set("positionTex",this._positionPrevTex),r.material.set("forceTex",this._forceTex),r.material.set("forcePrevTex",this._forcePrevTex),e.renderPass([r],this._dummyCamera),this._framebuffer.attach(this._globalSpeedTex);var i=this._globalSpeedPass;i.setUniform("globalSpeedPrevTex",this._globalSpeedPrevTex),i.setUniform("weightedSumTex",this._weightedSumTex),i.setUniform("jitterTolerence",this.jitterTolerence),e.gl.disable(e.gl.BLEND),i.render(e);var o=this._positionPass;this._framebuffer.attach(this._positionTex),o.setUniform("globalSpeedTex",this._globalSpeedTex),o.setUniform("positionTex",this._positionPrevTex),o.setUniform("forceTex",this._forceTex),o.setUniform("forcePrevTex",this._forcePrevTex),o.render(e),this._framebuffer.unbind(e),this._swapTexture()},HF.prototype.update=function(e,t,n){null==t&&(t=1),t=Math.max(t,1);for(var r=0;r<t;r++)this.step(e);n&&n()},HF.prototype.getNodePositionTexture=function(){return this._inited?this._positionPrevTex:this._positionSourceTex},HF.prototype.getNodeUV=function(e,t){t=t||[];var n=this._positionTex.width,r=this._positionTex.height;return t[0]=e%n/(n-1),t[1]=Math.floor(e/n)/(r-1)||0,t},HF.prototype.getNodePosition=function(e,t){var n=this._positionArr,r=this._positionTex.width,i=this._positionTex.height,o=r*i;n&&n.length===4*o||(n=this._positionArr=new Float32Array(4*o)),this._framebuffer.bind(e),this._framebuffer.attach(this._positionPrevTex),e.gl.readPixels(0,0,r,i,e.gl.RGBA,e.gl.FLOAT,n),this._framebuffer.unbind(e),t||(t=new Float32Array(2*this._nodes.length));for(var a=0;a<this._nodes.length;a++)t[2*a]=n[4*a],t[2*a+1]=n[4*a+1];return t},HF.prototype.getTextureData=function(e,t){var n=this["_"+t+"Tex"],r=n.width,i=n.height;this._framebuffer.bind(e),this._framebuffer.attach(n);var o=new Float32Array(r*i*4);return e.gl.readPixels(0,0,r,i,e.gl.RGBA,e.gl.FLOAT,o),this._framebuffer.unbind(e),o},HF.prototype.getTextureSize=function(){return{width:this._positionTex.width,height:this._positionTex.height}},HF.prototype.isFinished=function(e){return this._frame>e},HF.prototype._swapTexture=function(){var e=this._positionPrevTex;this._positionPrevTex=this._positionTex,this._positionTex=e,e=this._forcePrevTex,this._forcePrevTex=this._forceTex,this._forceTex=e,e=this._globalSpeedPrevTex,this._globalSpeedPrevTex=this._globalSpeedTex,this._globalSpeedTex=e},HF.prototype._initFromSource=function(e){this._framebuffer.attach(this._positionPrevTex),this._framebuffer.bind(e),this._copyPass.setUniform("texture",this._positionSourceTex),this._copyPass.render(e),e.gl.clearColor(0,0,0,0),this._framebuffer.attach(this._forcePrevTex),e.gl.clear(e.gl.COLOR_BUFFER_BIT),this._framebuffer.attach(this._globalSpeedPrevTex),e.gl.clear(e.gl.COLOR_BUFFER_BIT),this._framebuffer.unbind(e)},HF.prototype._resize=function(e,t){["_positionSourceTex","_positionTex","_positionPrevTex","_forceTex","_forcePrevTex"].forEach((function(n){this[n].width=e,this[n].height=t,this[n].dirty()}),this)},HF.prototype.dispose=function(e){this._framebuffer.dispose(e),this._copyPass.dispose(e),this._nodeRepulsionPass.dispose(e),this._positionPass.dispose(e),this._globalSpeedPass.dispose(e),this._edgeForceMesh.geometry.dispose(e),this._weightedSumMesh.geometry.dispose(e),this._positionSourceTex.dispose(e),this._positionTex.dispose(e),this._positionPrevTex.dispose(e),this._forceTex.dispose(e),this._forcePrevTex.dispose(e),this._weightedSumTex.dispose(e),this._globalSpeedTex.dispose(e),this._globalSpeedPrevTex.dispose(e)};const UF=HF;var WF=function(){var e=function(){return new Float32Array(2)},t=function(e,t){var n=t[0]-e[0],r=t[1]-e[1];return Math.sqrt(n*n+r*r)},n=function(e){var t=e[0],n=e[1];return Math.sqrt(t*t+n*n)},r=function(e,t,n,r){return e[0]=t[0]+n[0]*r,e[1]=t[1]+n[1]*r,e},i=function(e,t,n){return e[0]=t[0]+n[0],e[1]=t[1]+n[1],e},o=function(e,t,n){return e[0]=t[0]-n[0],e[1]=t[1]-n[1],e},a=function(e,t){return e[0]=t[0],e[1]=t[1],e},s=function(e,t,n){return e[0]=t,e[1]=n,e};function l(){this.subRegions=[],this.nSubRegions=0,this.node=null,this.mass=0,this.centerOfMass=null,this.bbox=new Float32Array(4),this.size=0}var u=l.prototype;function c(){this.position=new Float32Array(2),this.force=e(),this.forcePrev=e(),this.mass=1,this.inDegree=0,this.outDegree=0}function h(e,t){this.source=e,this.target=t,this.weight=1}function d(){this.autoSettings=!0,this.barnesHutOptimize=!0,this.barnesHutTheta=1.5,this.repulsionByDegree=!0,this.linLogMode=!1,this.strongGravityMode=!1,this.gravity=1,this.scaling=1,this.edgeWeightInfluence=1,this.jitterTolerence=.1,this.preventOverlap=!1,this.dissuadeHubs=!1,this.rootRegion=new l,this.rootRegion.centerOfMass=e(),this.nodes=[],this.edges=[],this.bbox=new Float32Array(4),this.gravityCenter=null,this._massArr=null,this._swingingArr=null,this._sizeArr=null,this._globalSpeed=0}u.beforeUpdate=function(){for(var e=0;e<this.nSubRegions;e++)this.subRegions[e].beforeUpdate();this.mass=0,this.centerOfMass&&(this.centerOfMass[0]=0,this.centerOfMass[1]=0),this.nSubRegions=0,this.node=null},u.afterUpdate=function(){this.subRegions.length=this.nSubRegions;for(var e=0;e<this.nSubRegions;e++)this.subRegions[e].afterUpdate()},u.addNode=function(e){if(0===this.nSubRegions){if(null==this.node)return void(this.node=e);this._addNodeToSubRegion(this.node),this.node=null}this._addNodeToSubRegion(e),this._updateCenterOfMass(e)},u.findSubRegion=function(e,t){for(var n=0;n<this.nSubRegions;n++){var r=this.subRegions[n];if(r.contain(e,t))return r}},u.contain=function(e,t){return this.bbox[0]<=e&&this.bbox[2]>=e&&this.bbox[1]<=t&&this.bbox[3]>=t},u.setBBox=function(e,t,n,r){this.bbox[0]=e,this.bbox[1]=t,this.bbox[2]=n,this.bbox[3]=r,this.size=(n-e+r-t)/2},u._newSubRegion=function(){var e=this.subRegions[this.nSubRegions];return e||(e=new l,this.subRegions[this.nSubRegions]=e),this.nSubRegions++,e},u._addNodeToSubRegion=function(e){var t=this.findSubRegion(e.position[0],e.position[1]),n=this.bbox;if(!t){var r=(n[0]+n[2])/2,i=(n[1]+n[3])/2,o=(n[2]-n[0])/2,a=(n[3]-n[1])/2,s=e.position[0]>=r?1:0,l=e.position[1]>=i?1:0;(t=this._newSubRegion()).setBBox(s*o+n[0],l*a+n[1],(s+1)*o+n[0],(l+1)*a+n[1])}t.addNode(e)},u._updateCenterOfMass=function(e){null==this.centerOfMass&&(this.centerOfMass=new Float32Array(2));var t=this.centerOfMass[0]*this.mass,n=this.centerOfMass[1]*this.mass;t+=e.position[0]*e.mass,n+=e.position[1]*e.mass,this.mass+=e.mass,this.centerOfMass[0]=t/this.mass,this.centerOfMass[1]=n/this.mass};var p=d.prototype;p.initNodes=function(e,t,n){var r=t.length;this.nodes.length=0;for(var i=void 0!==n,o=0;o<r;o++){var a=new c;a.position[0]=e[2*o],a.position[1]=e[2*o+1],a.mass=t[o],i&&(a.size=n[o]),this.nodes.push(a)}this._massArr=t,this._swingingArr=new Float32Array(r),i&&(this._sizeArr=n)},p.initEdges=function(e,t){var n=e.length/2;this.edges.length=0;for(var r=0;r<n;r++){var i=e[2*r],o=e[2*r+1],a=this.nodes[i],s=this.nodes[o];if(!a||!s)return void console.error("Node not exists, try initNodes before initEdges");a.outDegree++,s.inDegree++;var l=new h(a,s);t&&(l.weight=t[r]),this.edges.push(l)}},p.updateSettings=function(){if(this.repulsionByDegree)for(var e=0;e<this.nodes.length;e++)(t=this.nodes[e]).mass=t.inDegree+t.outDegree+1;else for(e=0;e<this.nodes.length;e++){var t;(t=this.nodes[e]).mass=this._massArr[e]}},p.update=function(){var o=this.nodes.length;if(this.updateSettings(),this.updateBBox(),this.barnesHutOptimize){this.rootRegion.setBBox(this.bbox[0],this.bbox[1],this.bbox[2],this.bbox[3]),this.rootRegion.beforeUpdate();for(var l=0;l<o;l++)this.rootRegion.addNode(this.nodes[l]);this.rootRegion.afterUpdate()}for(l=0;l<o;l++){var u=this.nodes[l];a(u.forcePrev,u.force),s(u.force,0,0)}for(l=0;l<o;l++){var c=this.nodes[l];if(this.barnesHutOptimize)this.applyRegionToNodeRepulsion(this.rootRegion,c);else for(var h=l+1;h<o;h++){var d=this.nodes[h];this.applyNodeToNodeRepulsion(c,d,!1)}this.gravity>0&&(this.strongGravityMode?this.applyNodeStrongGravity(c):this.applyNodeGravity(c))}for(l=0;l<this.edges.length;l++)this.applyEdgeAttraction(this.edges[l]);var p=0,f=0,g=e();for(l=0;l<o;l++)u=this.nodes[l],p+=(v=t(u.force,u.forcePrev))*u.mass,i(g,u.force,u.forcePrev),f+=.5*n(g)*u.mass,this._swingingArr[l]=v;var m=this.jitterTolerence*this.jitterTolerence*f/p;for(this._globalSpeed>0&&(m=Math.min(m/this._globalSpeed,1.5)*this._globalSpeed),this._globalSpeed=m,l=0;l<o;l++){u=this.nodes[l];var v=this._swingingArr[l],y=.1*m/(1+m*Math.sqrt(v)),_=n(u.force);_>0&&(y=Math.min(_*y,10)/_,r(u.position,u.position,u.force,y))}},p.applyRegionToNodeRepulsion=function(){var t=e();return function(e,n){if(e.node)this.applyNodeToNodeRepulsion(e.node,n,!0);else{o(t,n.position,e.centerOfMass);var i=t[0]*t[0]+t[1]*t[1];if(i>this.barnesHutTheta*e.size*e.size){var a=this.scaling*n.mass*e.mass/i;r(n.force,n.force,t,a)}else for(var s=0;s<e.nSubRegions;s++)this.applyRegionToNodeRepulsion(e.subRegions[s],n)}}}(),p.applyNodeToNodeRepulsion=function(){var t=e();return function(e,n,i){if(e!=n){o(t,e.position,n.position);var a=t[0]*t[0]+t[1]*t[1];if(0!==a){var s;if(this.preventOverlap){var l=Math.sqrt(a);if((l=l-e.size-n.size)>0)s=this.scaling*e.mass*n.mass/(l*l);else{if(!(l<0))return;s=100*this.scaling*e.mass*n.mass}}else s=this.scaling*e.mass*n.mass/a;r(e.force,e.force,t,s),r(n.force,n.force,t,-s)}}}}(),p.applyEdgeAttraction=function(){var t=e();return function(e){var i=e.source,a=e.target;o(t,i.position,a.position);var s,l,u=n(t);s=0===this.edgeWeightInfluence?1:1===this.edgeWeightInfluence?e.weight:Math.pow(e.weight,this.edgeWeightInfluence),this.preventOverlap&&(u=u-i.size-a.size)<=0||(l=this.linLogMode?-s*Math.log(u+1)/(u+1):-s,r(i.force,i.force,t,l),r(a.force,a.force,t,-l))}}(),p.applyNodeGravity=function(){var t=e();return function(e){o(t,this.gravityCenter,e.position);var i=n(t);r(e.force,e.force,t,this.gravity*e.mass/(i+1))}}(),p.applyNodeStrongGravity=function(){var t=e();return function(e){o(t,this.gravityCenter,e.position),r(e.force,e.force,t,this.gravity*e.mass)}}(),p.updateBBox=function(){for(var e=1/0,t=1/0,n=-1/0,r=-1/0,i=0;i<this.nodes.length;i++){var o=this.nodes[i].position;e=Math.min(e,o[0]),t=Math.min(t,o[1]),n=Math.max(n,o[0]),r=Math.max(r,o[1])}this.bbox[0]=e,this.bbox[1]=t,this.bbox[2]=n,this.bbox[3]=r},p.getGlobalSpeed=function(){return this._globalSpeed};var f=null;self.onmessage=function(e){switch(e.data.cmd){case"init":(f=new d).initNodes(e.data.nodesPosition,e.data.nodesMass,e.data.nodesSize),f.initEdges(e.data.edges,e.data.edgesWeight);break;case"updateConfig":if(f)for(var t in e.data.config)f[t]=e.data.config[t];break;case"update":var n=e.data.steps;if(f){for(var r=0;r<n;r++)f.update();var i=f.nodes.length,o=new Float32Array(2*i);for(r=0;r<i;r++){var a=f.nodes[r];o[2*r]=a.position[0],o[2*r+1]=a.position[1]}self.postMessage({buffer:o.buffer,globalSpeed:f.getGlobalSpeed()},[o.buffer])}else{var s=new Float32Array;self.postMessage({buffer:s.buffer,globalSpeed:f.getGlobalSpeed()},[s.buffer])}}}}.toString();WF=WF.slice(WF.indexOf("{")+1,WF.lastIndexOf("}"));var jF={barnesHutOptimize:!0,barnesHutTheta:1.5,repulsionByDegree:!0,linLogMode:!1,strongGravityMode:!1,gravity:1,scaling:1,edgeWeightInfluence:1,jitterTolerence:.1,preventOverlap:!1,dissuadeHubs:!1,gravityCenter:null},XF=function(e){for(var t in jF)this[t]=jF[t];if(e)for(var t in e)this[t]=e[t];this._nodes=[],this._edges=[],this._disposed=!1,this._positionTex=new SD({type:mD.FLOAT,flipY:!1,minFilter:mD.NEAREST,magFilter:mD.NEAREST})};XF.prototype.initData=function(e,t){var n=new Blob([WF]),r=window.URL.createObjectURL(n);this._worker=new Worker(r),this._worker.onmessage=this._$onupdate.bind(this),this._nodes=e,this._edges=t,this._frame=0;for(var i=e.length,o=t.length,a=new Float32Array(2*i),s=new Float32Array(i),l=new Float32Array(i),u=new Float32Array(2*o),c=new Float32Array(o),h=0;h<e.length;h++){var d=e[h];a[2*h]=d.x,a[2*h+1]=d.y,s[h]=null==d.mass?1:d.mass,l[h]=null==d.size?1:d.size}for(h=0;h<t.length;h++){var p=t[h],f=p.node1,g=p.node2;u[2*h]=f,u[2*h+1]=g,c[h]=null==p.weight?1:p.weight}var m=Math.ceil(Math.sqrt(e.length)),v=m,y=new Float32Array(m*v*4),_=this._positionTex;_.width=m,_.height=v,_.pixels=y,this._worker.postMessage({cmd:"init",nodesPosition:a,nodesMass:s,nodesSize:l,edges:u,edgesWeight:c}),this._globalSpeed=1/0},XF.prototype.updateOption=function(e){var t={};for(var n in jF)t[n]=jF[n];var r=this._nodes,i=this._edges,o=r.length;if(t.jitterTolerence=o>5e4?10:o>5e3?1:.1,t.scaling=o>100?2:10,t.barnesHutOptimize=o>1e3,e)for(var n in jF)null!=e[n]&&(t[n]=e[n]);if(!t.gravityCenter){for(var a=[1/0,1/0],s=[-1/0,-1/0],l=0;l<r.length;l++)a[0]=Math.min(r[l].x,a[0]),a[1]=Math.min(r[l].y,a[1]),s[0]=Math.max(r[l].x,s[0]),s[1]=Math.max(r[l].y,s[1]);t.gravityCenter=[.5*(a[0]+s[0]),.5*(a[1]+s[1])]}for(l=0;l<i.length;l++){var u=i[l].node1,c=i[l].node2;r[u].degree=(r[u].degree||0)+1,r[c].degree=(r[c].degree||0)+1}this._worker&&this._worker.postMessage({cmd:"updateConfig",config:t})},XF.prototype.update=function(e,t,n){null==t&&(t=1),t=Math.max(t,1),this._frame+=t,this._onupdate=n,this._worker&&this._worker.postMessage({cmd:"update",steps:Math.round(t)})},XF.prototype._$onupdate=function(e){if(!this._disposed){var t=new Float32Array(e.data.buffer);this._globalSpeed=e.data.globalSpeed,this._positionArr=t,this._updateTexture(t),this._onupdate&&this._onupdate()}},XF.prototype.getNodePositionTexture=function(){return this._positionTex},XF.prototype.getNodeUV=function(e,t){t=t||[];var n=this._positionTex.width,r=this._positionTex.height;return t[0]=e%n/(n-1),t[1]=Math.floor(e/n)/(r-1),t},XF.prototype.getNodes=function(){return this._nodes},XF.prototype.getEdges=function(){return this._edges},XF.prototype.isFinished=function(e){return this._frame>e},XF.prototype.getNodePosition=function(e,t){if(t||(t=new Float32Array(2*this._nodes.length)),this._positionArr)for(var n=0;n<this._positionArr.length;n++)t[n]=this._positionArr[n];return t},XF.prototype._updateTexture=function(e){for(var t=this._positionTex.pixels,n=0,r=0;r<e.length;)t[n++]=e[r++],t[n++]=e[r++],t[n++]=1,t[n++]=1;this._positionTex.dirty()},XF.prototype.dispose=function(e){this._disposed=!0,this._worker=null};const YF=XF;var ZF=NT.extend((function(){return{zr:null,viewGL:null,minZoom:.2,maxZoom:5,_needsUpdate:!1,_dx:0,_dy:0,_zoom:1}}),(function(){this._mouseDownHandler=this._mouseDownHandler.bind(this),this._mouseWheelHandler=this._mouseWheelHandler.bind(this),this._mouseMoveHandler=this._mouseMoveHandler.bind(this),this._mouseUpHandler=this._mouseUpHandler.bind(this),this._update=this._update.bind(this)}),{init:function(){var e=this.zr;e.on("mousedown",this._mouseDownHandler),e.on("mousewheel",this._mouseWheelHandler),e.on("globalout",this._mouseUpHandler),e.animation.on("frame",this._update)},setTarget:function(e){this._target=e},setZoom:function(e){this._zoom=Math.max(Math.min(e,this.maxZoom),this.minZoom),this._needsUpdate=!0},setOffset:function(e){this._dx=e[0],this._dy=e[1],this._needsUpdate=!0},getZoom:function(){return this._zoom},getOffset:function(){return[this._dx,this._dy]},_update:function(){if(this._target&&this._needsUpdate){var e=this._target,t=this._zoom;e.position.x=this._dx,e.position.y=this._dy,e.scale.set(t,t,t),this.zr.refresh(),this._needsUpdate=!1,this.trigger("update")}},_mouseDownHandler:function(e){if(!e.target){var t=e.offsetX,n=e.offsetY;if(!this.viewGL||this.viewGL.containPoint(t,n)){this.zr.on("mousemove",this._mouseMoveHandler),this.zr.on("mouseup",this._mouseUpHandler);var r=this._convertPos(t,n);this._x=r.x,this._y=r.y}}},_convertPos:function(e,t){var n=this.viewGL.camera,r=this.viewGL.viewport;return{x:(e-r.x)/r.width*(n.right-n.left)+n.left,y:(t-r.y)/r.height*(n.bottom-n.top)+n.top}},_mouseMoveHandler:function(e){var t=this._convertPos(e.offsetX,e.offsetY);this._dx+=t.x-this._x,this._dy+=t.y-this._y,this._x=t.x,this._y=t.y,this._needsUpdate=!0},_mouseUpHandler:function(e){this.zr.off("mousemove",this._mouseMoveHandler),this.zr.off("mouseup",this._mouseUpHandler)},_mouseWheelHandler:function(e){var t=(e=e.event).wheelDelta||-e.detail;if(0!==t){var n=e.offsetX,r=e.offsetY;if(!this.viewGL||this.viewGL.containPoint(n,r)){var i=t>0?1.1:.9,o=Math.max(Math.min(this._zoom*i,this.maxZoom),this.minZoom);i=o/this._zoom;var a=this._convertPos(n,r),s=(a.x-this._dx)*(i-1),l=(a.y-this._dy)*(i-1);this._dx-=s,this._dy-=l,this._zoom=o,this._needsUpdate=!0}}},dispose:function(){var e=this.zr;e.off("mousedown",this._mouseDownHandler),e.off("mousemove",this._mouseMoveHandler),e.off("mouseup",this._mouseUpHandler),e.off("mousewheel",this._mouseWheelHandler),e.off("globalout",this._mouseUpHandler),e.animation.off("frame",this._update)}});const qF=ZF;var $F=BP.vec2;pP.Shader.import("@export ecgl.lines2D.vertex\n\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\n\nattribute vec2 position: POSITION;\nattribute vec4 a_Color : COLOR;\nvarying vec4 v_Color;\n\n#ifdef POSITIONTEXTURE_ENABLED\nuniform sampler2D positionTexture;\n#endif\n\nvoid main()\n{\n gl_Position = worldViewProjection * vec4(position, -10.0, 1.0);\n\n v_Color = a_Color;\n}\n\n@end\n\n@export ecgl.lines2D.fragment\n\nuniform vec4 color : [1.0, 1.0, 1.0, 1.0];\n\nvarying vec4 v_Color;\n\nvoid main()\n{\n gl_FragColor = color * v_Color;\n}\n@end\n\n\n@export ecgl.meshLines2D.vertex\n\nattribute vec2 position: POSITION;\nattribute vec2 normal;\nattribute float offset;\nattribute vec4 a_Color : COLOR;\n\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\nuniform vec4 viewport : VIEWPORT;\n\nvarying vec4 v_Color;\nvarying float v_Miter;\n\nvoid main()\n{\n vec4 p2 = worldViewProjection * vec4(position + normal, -10.0, 1.0);\n gl_Position = worldViewProjection * vec4(position, -10.0, 1.0);\n\n p2.xy /= p2.w;\n gl_Position.xy /= gl_Position.w;\n\n vec2 N = normalize(p2.xy - gl_Position.xy);\n gl_Position.xy += N * offset / viewport.zw * 2.0;\n\n gl_Position.xy *= gl_Position.w;\n\n v_Color = a_Color;\n}\n@end\n\n\n@export ecgl.meshLines2D.fragment\n\nuniform vec4 color : [1.0, 1.0, 1.0, 1.0];\n\nvarying vec4 v_Color;\nvarying float v_Miter;\n\nvoid main()\n{\n gl_FragColor = color * v_Color;\n}\n\n@end");var KF=1;const JF=gy.extend({type:"graphGL",__ecgl__:!0,init:function(e,t){this.groupGL=new pP.Node,this.viewGL=new EN("orthographic"),this.viewGL.camera.left=this.viewGL.camera.right=0,this.viewGL.add(this.groupGL),this._pointsBuilder=new OB(!0,t),this._forceEdgesMesh=new pP.Mesh({material:new pP.Material({shader:pP.createShader("ecgl.forceAtlas2.edges"),transparent:!0,depthMask:!1,depthTest:!1}),$ignorePicking:!0,geometry:new pP.Geometry({attributes:{node:new pP.Geometry.Attribute("node","float",2),color:new pP.Geometry.Attribute("color","float",4,"COLOR")},dynamic:!0,mainAttribute:"node"}),renderOrder:-1,mode:pP.Mesh.LINES}),this._edgesMesh=new pP.Mesh({material:new pP.Material({shader:pP.createShader("ecgl.meshLines2D"),transparent:!0,depthMask:!1,depthTest:!1}),$ignorePicking:!0,geometry:new VF({useNativeLine:!1,dynamic:!0}),renderOrder:-1,culling:!1}),this._layoutId=0,this._control=new qF({zr:t.getZr(),viewGL:this.viewGL}),this._control.setTarget(this.groupGL),this._control.init(),this._clickHandler=this._clickHandler.bind(this)},render:function(e,t,n){this.groupGL.add(this._pointsBuilder.rootNode),this._model=e,this._api=n,this._initLayout(e,t,n),this._pointsBuilder.update(e,t,n),this._forceLayoutInstance instanceof UF||this.groupGL.remove(this._forceEdgesMesh),this._updateCamera(e,n),this._control.off("update"),this._control.on("update",(function(){n.dispatchAction({type:"graphGLRoam",seriesId:e.id,zoom:this._control.getZoom(),offset:this._control.getOffset()}),this._pointsBuilder.updateView(this.viewGL.camera)}),this),this._control.setZoom(PL.firstNotNull(e.get("zoom"),1)),this._control.setOffset(e.get("offset")||[0,0]);var r=this._pointsBuilder.getPointsMesh();if(r.off("mousemove",this._mousemoveHandler),r.off("mouseout",this._mouseOutHandler,this),n.getZr().off("click",this._clickHandler),this._pointsBuilder.highlightOnMouseover=!0,e.get("focusNodeAdjacency")){var i=e.get("focusNodeAdjacencyOn");"click"===i?n.getZr().on("click",this._clickHandler):"mouseover"===i&&(r.on("mousemove",this._mousemoveHandler,this),r.on("mouseout",this._mouseOutHandler,this),this._pointsBuilder.highlightOnMouseover=!1)}this._lastMouseOverDataIndex=-1},_clickHandler:function(e){if(!this._layouting){var t=this._pointsBuilder.getPointsMesh().dataIndex;t>=0?this._api.dispatchAction({type:"graphGLFocusNodeAdjacency",seriesId:this._model.id,dataIndex:t}):this._api.dispatchAction({type:"graphGLUnfocusNodeAdjacency",seriesId:this._model.id})}},_mousemoveHandler:function(e){if(!this._layouting){var t=this._pointsBuilder.getPointsMesh().dataIndex;t>=0?t!==this._lastMouseOverDataIndex&&this._api.dispatchAction({type:"graphGLFocusNodeAdjacency",seriesId:this._model.id,dataIndex:t}):this._mouseOutHandler(e),this._lastMouseOverDataIndex=t}},_mouseOutHandler:function(e){this._layouting||(this._api.dispatchAction({type:"graphGLUnfocusNodeAdjacency",seriesId:this._model.id}),this._lastMouseOverDataIndex=-1)},_updateForceEdgesGeometry:function(e,t){var n=this._forceEdgesMesh.geometry,r=t.getEdgeData(),i=0,o=this._forceLayoutInstance,a=2*r.count();n.attributes.node.init(a),n.attributes.color.init(a),r.each((function(t){var a=e[t];n.attributes.node.set(i,o.getNodeUV(a.node1)),n.attributes.node.set(i+1,o.getNodeUV(a.node2));var s=CR(r,a.dataIndex),l=pP.parseColor(s);l[3]*=PL.firstNotNull(DR(r,a.dataIndex),1),n.attributes.color.set(i,l),n.attributes.color.set(i+1,l),i+=2})),n.dirty()},_updateMeshLinesGeometry:function(){var e=this._model.getEdgeData(),t=this._edgesMesh.geometry,n=(e=this._model.getEdgeData(),this._model.getData().getLayout("points"));t.resetOffset(),t.setVertexCount(e.count()*t.getLineVertexCount()),t.setTriangleCount(e.count()*t.getLineTriangleCount());var r=[],i=[],o=["lineStyle","width"];this._originalEdgeColors=new Float32Array(4*e.count()),this._edgeIndicesMap=new Float32Array(e.count()),e.each((function(a){var s=e.graph.getEdgeByIndex(a),l=2*s.node1.dataIndex,u=2*s.node2.dataIndex;r[0]=n[l],r[1]=n[l+1],i[0]=n[u],i[1]=n[u+1];var c=CR(e,s.dataIndex),h=pP.parseColor(c);h[3]*=PL.firstNotNull(DR(e,s.dataIndex),1);var d=e.getItemModel(s.dataIndex),p=PL.firstNotNull(d.get(o),1)*this._api.getDevicePixelRatio();t.addLine(r,i,h,p);for(var f=0;f<4;f++)this._originalEdgeColors[4*s.dataIndex+f]=h[f];this._edgeIndicesMap[s.dataIndex]=a}),this),t.dirty()},_updateForceNodesGeometry:function(e){for(var t=this._pointsBuilder.getPointsMesh(),n=[],r=0;r<e.count();r++)this._forceLayoutInstance.getNodeUV(r,n),t.geometry.attributes.position.set(r,n);t.geometry.dirty("position")},_initLayout:function(e,t,n){var r=e.get("layout"),i=e.getGraph(),o=Qd(e.getBoxLayoutParams(),{width:n.getWidth(),height:n.getHeight()});"force"===r&&(r="forceAtlas2"),this.stopLayout(e,t,n,{beforeLayout:!0});var a=e.getData(),s=e.getData();if("forceAtlas2"===r){var l=e.getModel("forceAtlas2"),u=this._forceLayoutInstance,c=[],h=[],d=a.getDataExtent("value"),p=s.getDataExtent("value"),f=PL.firstNotNull(l.get("edgeWeight"),1),g=PL.firstNotNull(l.get("nodeWeight"),1);"number"==typeof f&&(f=[f,f]),"number"==typeof g&&(g=[g,g]);var m=0,v={},y=new Float32Array(2*a.count());if(i.eachNode((function(e){var t,n,r=e.dataIndex,i=a.get("value",r);if(a.hasItemOption){var s=a.getItemModel(r);t=s.get("x"),n=s.get("y")}null==t&&(t=o.x+Math.random()*o.width,n=o.y+Math.random()*o.height),y[2*m]=t,y[2*m+1]=n,v[e.id]=m++;var l=Za(i,d,g);isNaN(l)&&(l=isNaN(g[0])?1:g[0]),c.push({x:t,y:n,mass:l,size:a.getItemVisual(r,"symbolSize")})})),a.setLayout("points",y),i.eachEdge((function(e){var t=e.dataIndex,n=Za(a.get("value",t),p,f);isNaN(n)&&(n=isNaN(f[0])?1:f[0]),h.push({node1:v[e.node1.id],node2:v[e.node2.id],weight:n,dataIndex:t})})),!u){var _=l.get("GPU");this._forceLayoutInstance&&((!_||this._forceLayoutInstance instanceof UF)&&(_||this._forceLayoutInstance instanceof YF)||(this._forceLayoutInstanceToDispose=this._forceLayoutInstance)),u=this._forceLayoutInstance=_?new UF:new YF}u.initData(c,h),u.updateOption(l.option),this._updateForceEdgesGeometry(u.getEdges(),e),this._updatePositionTexture(),n.dispatchAction({type:"graphGLStartLayout",from:this.uid})}else y=new Float32Array(2*a.count()),m=0,i.eachNode((function(e){var t,n,r=e.dataIndex;if(a.hasItemOption){var i=a.getItemModel(r);t=i.get("x"),n=i.get("y")}y[m++]=t,y[m++]=n})),a.setLayout("points",y),this._updateAfterLayout(e,t,n)},_updatePositionTexture:function(){var e=this._forceLayoutInstance.getNodePositionTexture();this._pointsBuilder.setPositionTexture(e),this._forceEdgesMesh.material.set("positionTex",e)},startLayout:function(e,t,n,r){if(!r||null==r.from||r.from===this.uid){var i=this.viewGL,o=(n=this._api,this._forceLayoutInstance),a=this._model.getData(),s=this._model.getModel("forceAtlas2");if(o&&(this.groupGL.remove(this._edgesMesh),this.groupGL.add(this._forceEdgesMesh),this._forceLayoutInstance)){this._updateForceNodesGeometry(e.getData()),this._pointsBuilder.hideLabels();var l=this,u=this._layoutId=KF++,c=s.getShallow("maxSteps"),h=s.getShallow("steps"),d=0,p=Math.max(2*h,20),f=function(t){if(t===l._layoutId)return o.isFinished(c)?(n.dispatchAction({type:"graphGLStopLayout",from:l.uid}),void n.dispatchAction({type:"graphGLFinishLayout",points:a.getLayout("points"),from:l.uid})):void o.update(i.layer.renderer,h,(function(){l._updatePositionTexture(),(d+=h)>=p&&(l._syncNodePosition(e),d=0),n.getZr().refresh(),Yr((function(){f(t)}))}))};Yr((function(){l._forceLayoutInstanceToDispose&&(l._forceLayoutInstanceToDispose.dispose(i.layer.renderer),l._forceLayoutInstanceToDispose=null),f(u)})),this._layouting=!0}}},stopLayout:function(e,t,n,r){r&&null!=r.from&&r.from!==this.uid||(this._layoutId=0,this.groupGL.remove(this._forceEdgesMesh),this.groupGL.add(this._edgesMesh),this._forceLayoutInstance&&this.viewGL.layer&&(r&&r.beforeLayout||(this._syncNodePosition(e),this._updateAfterLayout(e,t,n)),this._api.getZr().refresh(),this._layouting=!1))},_syncNodePosition:function(e){var t=this._forceLayoutInstance.getNodePosition(this.viewGL.layer.renderer);e.getData().setLayout("points",t),e.setNodePosition(t)},_updateAfterLayout:function(e,t,n){this._updateMeshLinesGeometry(),this._pointsBuilder.removePositionTexture(),this._pointsBuilder.updateLayout(e,t,n),this._pointsBuilder.updateView(this.viewGL.camera),this._pointsBuilder.updateLabels(),this._pointsBuilder.showLabels()},focusNodeAdjacency:function(e,t,n,r){var i=this._model.getData();this._downplayAll();var o=r.dataIndex,a=i.graph,s=[],l=a.getNodeByIndex(o);s.push(l),l.edges.forEach((function(e){e.dataIndex<0||(e.node1!==l&&s.push(e.node1),e.node2!==l&&s.push(e.node2))}),this),this._pointsBuilder.fadeOutAll(.05),this._fadeOutEdgesAll(.05),s.forEach((function(e){this._pointsBuilder.highlight(i,e.dataIndex)}),this),this._pointsBuilder.updateLabels(s.map((function(e){return e.dataIndex})));var u=[];l.edges.forEach((function(e){e.dataIndex>=0&&(this._highlightEdge(e.dataIndex),u.push(e))}),this),this._focusNodes=s,this._focusEdges=u},unfocusNodeAdjacency:function(e,t,n,r){this._downplayAll(),this._pointsBuilder.fadeInAll(),this._fadeInEdgesAll(),this._pointsBuilder.updateLabels()},_highlightEdge:function(e){var t=this._model.getEdgeData().getItemModel(e),n=pP.parseColor(t.get("emphasis.lineStyle.color")||t.get("lineStyle.color")),r=PL.firstNotNull(t.get("emphasis.lineStyle.opacity"),t.get("lineStyle.opacity"),1);n[3]*=r,this._edgesMesh.geometry.setItemColor(this._edgeIndicesMap[e],n)},_downplayAll:function(){this._focusNodes&&this._focusNodes.forEach((function(e){this._pointsBuilder.downplay(this._model.getData(),e.dataIndex)}),this),this._focusEdges&&this._focusEdges.forEach((function(e){this._downplayEdge(e.dataIndex)}),this)},_downplayEdge:function(e){var t=this._getColor(e,[]);this._edgesMesh.geometry.setItemColor(this._edgeIndicesMap[e],t)},_setEdgeFade:(QF=[],function(e,t){this._getColor(e,QF),QF[3]*=t,this._edgesMesh.geometry.setItemColor(this._edgeIndicesMap[e],QF)}),_getColor:function(e,t){for(var n=0;n<4;n++)t[n]=this._originalEdgeColors[4*e+n];return t},_fadeOutEdgesAll:function(e){this._model.getData().graph.eachEdge((function(t){this._setEdgeFade(t.dataIndex,e)}),this)},_fadeInEdgesAll:function(){this._fadeOutEdgesAll(1)},_updateCamera:function(e,t){this.viewGL.setViewport(0,0,t.getWidth(),t.getHeight(),t.getDevicePixelRatio());for(var n=this.viewGL.camera,r=e.getData().getLayout("points"),i=$F.create(1/0,1/0),o=$F.create(-1/0,-1/0),a=[],s=0;s<r.length;)a[0]=r[s++],a[1]=r[s++],$F.min(i,i,a),$F.max(o,o,a);var l=(o[1]+i[1])/2,u=(o[0]+i[0])/2;if(!(u>n.left&&u<n.right&&l<n.bottom&&l>n.top)){var c=Math.max(o[0]-i[0],10),h=c/t.getWidth()*t.getHeight();c*=1.4,h*=1.4,i[0]-=.2*c,n.left=i[0],n.top=l-h/2,n.bottom=l+h/2,n.right=c+i[0],n.near=0,n.far=100}},dispose:function(){var e=this.viewGL.layer.renderer;this._forceLayoutInstance&&this._forceLayoutInstance.dispose(e),this.groupGL.removeAll(),this._layoutId=-1,this._pointsBuilder.dispose()},remove:function(){this.groupGL.removeAll(),this._control.dispose()}});var QF;function ez(e){return e instanceof Array||(e=[e,e]),e}BS((function(e){function t(){}e.registerChartView(JF),e.registerSeriesModel(kF),e.registerVisual((function(e){const t={};e.eachSeriesByType("graphGL",(function(e){var n=e.getCategoriesData(),r=e.getData(),i={};n.each((function(r){var o=n.getName(r);i["ec-"+o]=r;var a=n.getItemModel(r),s=a.getModel("itemStyle").getItemStyle();s.fill||(s.fill=e.getColorFromPalette(o,t)),n.setItemVisual(r,"style",s);var l=["symbol","symbolSize","symbolKeepAspect"];for(let e=0;e<l.length;e++){var u=a.getShallow(l[e],!0);null!=u&&n.setItemVisual(r,l[e],u)}})),n.count()&&r.each((function(e){let t=r.getItemModel(e).getShallow("category");if(null!=t){"string"==typeof t&&(t=i["ec-"+t]);var o=n.getItemVisual(t,"style");at(r.ensureUniqueItemVisual(e,"style"),o);var a=["symbol","symbolSize","symbolKeepAspect"];for(let i=0;i<a.length;i++)r.setItemVisual(e,a[i],n.getItemVisual(t,a[i]))}}))}))})),e.registerVisual((function(e){e.eachSeriesByType("graphGL",(function(e){var t=e.getGraph(),n=e.getEdgeData(),r=ez(e.get("edgeSymbol")),i=ez(e.get("edgeSymbolSize"));n.setVisual("drawType","stroke"),n.setVisual("fromSymbol",r&&r[0]),n.setVisual("toSymbol",r&&r[1]),n.setVisual("fromSymbolSize",i&&i[0]),n.setVisual("toSymbolSize",i&&i[1]),n.setVisual("style",e.getModel("lineStyle").getLineStyle()),n.each((function(e){var r=n.getItemModel(e),i=t.getEdgeByIndex(e),o=ez(r.getShallow("symbol",!0)),a=ez(r.getShallow("symbolSize",!0)),s=r.getModel("lineStyle").getLineStyle(),l=n.ensureUniqueItemVisual(e,"style");switch(at(l,s),l.stroke){case"source":var u=i.node1.getVisual("style");l.stroke=u&&u.fill;break;case"target":u=i.node2.getVisual("style"),l.stroke=u&&u.fill}o[0]&&i.setVisual("fromSymbol",o[0]),o[1]&&i.setVisual("toSymbol",o[1]),a[0]&&i.setVisual("fromSymbolSize",a[0]),a[1]&&i.setVisual("toSymbolSize",a[1])}))}))})),e.registerAction({type:"graphGLRoam",event:"graphglroam",update:"series.graphGL:roam"},(function(e,t){t.eachComponent({mainType:"series",query:e},(function(t){t.setView(e)}))})),e.registerAction({type:"graphGLStartLayout",event:"graphgllayoutstarted",update:"series.graphGL:startLayout"},t),e.registerAction({type:"graphGLStopLayout",event:"graphgllayoutstopped",update:"series.graphGL:stopLayout"},t),e.registerAction({type:"graphGLFocusNodeAdjacency",event:"graphGLFocusNodeAdjacency",update:"series.graphGL:focusNodeAdjacency"},t),e.registerAction({type:"graphGLUnfocusNodeAdjacency",event:"graphGLUnfocusNodeAdjacency",update:"series.graphGL:unfocusNodeAdjacency"},t)}));const tz=tm.extend({type:"series.flowGL",dependencies:["geo","grid","bmap"],visualStyleAccessPath:"itemStyle",getInitialData:function(e,t){var n=this.get("coordinateSystem"),r="geo"===n?["lng","lat"]:Sb(n)||["x","y"];r.push("vx","vy");var i=uw(this.getSource(),{coordDimensions:r,encodeDefine:this.get("encode"),dimensionsDefine:this.get("dimensions")}),o=new lw(i,this);return o.initData(this.getSource()),o},defaultOption:{coordinateSystem:"cartesian2d",zlevel:10,supersampling:1,particleType:"point",particleDensity:128,particleSize:1,particleSpeed:1,particleTrail:2,colorTexture:null,gridWidth:"auto",gridHeight:"auto",itemStyle:{color:"#fff",opacity:.8}}}),nz=kD.extend((function(){return{dynamic:!0,attributes:{position:new kD.Attribute("position","float",3,"POSITION")}}}),{resetOffset:function(){this._vertexOffset=0,this._faceOffset=0},setLineCount:function(e){var t=this.attributes,n=4*e,r=2*e;this.vertexCount!==n&&t.position.init(n),this.triangleCount!==r&&(this.indices=0===r?null:this.vertexCount>65535?new Uint32Array(3*r):new Uint16Array(3*r))},addLine:function(e){var t=this._vertexOffset;this.attributes.position.set(t,[e[0],e[1],1]),this.attributes.position.set(t+1,[e[0],e[1],-1]),this.attributes.position.set(t+2,[e[0],e[1],2]),this.attributes.position.set(t+3,[e[0],e[1],-2]),this.setTriangleIndices(this._faceOffset++,[t,t+1,t+2]),this.setTriangleIndices(this._faceOffset++,[t+1,t+2,t+3]),this._vertexOffset+=4}});jI.import("@export ecgl.vfParticle.particle.fragment\n\nuniform sampler2D particleTexture;\nuniform sampler2D spawnTexture;\nuniform sampler2D velocityTexture;\n\nuniform float deltaTime;\nuniform float elapsedTime;\n\nuniform float speedScaling : 1.0;\n\nuniform vec2 textureSize;\nuniform vec4 region : [0, 0, 1, 1];\nuniform float firstFrameTime;\n\nvarying vec2 v_Texcoord;\n\n\nvoid main()\n{\n vec4 p = texture2D(particleTexture, v_Texcoord);\n bool spawn = false;\n if (p.w <= 0.0) {\n p = texture2D(spawnTexture, fract(v_Texcoord + elapsedTime / 10.0));\n p.w -= firstFrameTime;\n spawn = true;\n }\n vec2 v = texture2D(velocityTexture, fract(p.xy * region.zw + region.xy)).xy;\n v = (v - 0.5) * 2.0;\n p.z = length(v);\n p.xy += v * deltaTime / 10.0 * speedScaling;\n p.w -= deltaTime;\n\n if (spawn || p.xy != fract(p.xy)) {\n p.z = 0.0;\n }\n p.xy = fract(p.xy);\n\n gl_FragColor = p;\n}\n@end\n\n@export ecgl.vfParticle.renderPoints.vertex\n\n#define PI 3.1415926\n\nattribute vec2 texcoord : TEXCOORD_0;\n\nuniform sampler2D particleTexture;\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\n\nuniform float size : 1.0;\n\nvarying float v_Mag;\nvarying vec2 v_Uv;\n\nvoid main()\n{\n vec4 p = texture2D(particleTexture, texcoord);\n\n if (p.w > 0.0 && p.z > 1e-5) {\n gl_Position = worldViewProjection * vec4(p.xy * 2.0 - 1.0, 0.0, 1.0);\n }\n else {\n gl_Position = vec4(100000.0, 100000.0, 100000.0, 1.0);\n }\n\n v_Mag = p.z;\n v_Uv = p.xy;\n\n gl_PointSize = size;\n}\n\n@end\n\n@export ecgl.vfParticle.renderPoints.fragment\n\nuniform vec4 color : [1.0, 1.0, 1.0, 1.0];\nuniform sampler2D gradientTexture;\nuniform sampler2D colorTexture;\nuniform sampler2D spriteTexture;\n\nvarying float v_Mag;\nvarying vec2 v_Uv;\n\nvoid main()\n{\n gl_FragColor = color;\n#ifdef SPRITETEXTURE_ENABLED\n gl_FragColor *= texture2D(spriteTexture, gl_PointCoord);\n if (color.a == 0.0) {\n discard;\n }\n#endif\n#ifdef GRADIENTTEXTURE_ENABLED\n gl_FragColor *= texture2D(gradientTexture, vec2(v_Mag, 0.5));\n#endif\n#ifdef COLORTEXTURE_ENABLED\n gl_FragColor *= texture2D(colorTexture, v_Uv);\n#endif\n}\n\n@end\n\n@export ecgl.vfParticle.renderLines.vertex\n\n#define PI 3.1415926\n\nattribute vec3 position : POSITION;\n\nuniform sampler2D particleTexture;\nuniform sampler2D prevParticleTexture;\n\nuniform float size : 1.0;\nuniform vec4 vp: VIEWPORT;\nuniform mat4 worldViewProjection : WORLDVIEWPROJECTION;\n\nvarying float v_Mag;\nvarying vec2 v_Uv;\n\n@import clay.util.rand\n\nvoid main()\n{\n vec4 p = texture2D(particleTexture, position.xy);\n vec4 p2 = texture2D(prevParticleTexture, position.xy);\n\n p.xy = p.xy * 2.0 - 1.0;\n p2.xy = p2.xy * 2.0 - 1.0;\n\n if (p.w > 0.0 && p.z > 1e-5) {\n vec2 dir = normalize(p.xy - p2.xy);\n vec2 norm = vec2(dir.y / vp.z, -dir.x / vp.w) * sign(position.z) * size;\n if (abs(position.z) == 2.0) {\n gl_Position = vec4(p.xy + norm, 0.0, 1.0);\n v_Uv = p.xy;\n v_Mag = p.z;\n }\n else {\n gl_Position = vec4(p2.xy + norm, 0.0, 1.0);\n v_Mag = p2.z;\n v_Uv = p2.xy;\n }\n gl_Position = worldViewProjection * gl_Position;\n }\n else {\n gl_Position = vec4(100000.0, 100000.0, 100000.0, 1.0);\n }\n}\n\n@end\n\n@export ecgl.vfParticle.renderLines.fragment\n\nuniform vec4 color : [1.0, 1.0, 1.0, 1.0];\nuniform sampler2D gradientTexture;\nuniform sampler2D colorTexture;\n\nvarying float v_Mag;\nvarying vec2 v_Uv;\n\nvoid main()\n{\n gl_FragColor = color;\n #ifdef GRADIENTTEXTURE_ENABLED\n gl_FragColor *= texture2D(gradientTexture, vec2(v_Mag, 0.5));\n#endif\n#ifdef COLORTEXTURE_ENABLED\n gl_FragColor *= texture2D(colorTexture, v_Uv);\n#endif\n}\n\n@end\n");var rz=function(){this.motionBlurFactor=.99,this.vectorFieldTexture=new SD({type:mD.FLOAT,flipY:!1}),this.particleLife=[5,20],this._particleType="point",this._particleSize=1,this.particleColor=[1,1,1,1],this.particleSpeedScaling=1,this._thisFrameTexture=null,this._particlePass=null,this._spawnTexture=null,this._particleTexture0=null,this._particleTexture1=null,this._particlePointsMesh=null,this._surfaceFrameBuffer=null,this._elapsedTime=0,this._scene=null,this._camera=null,this._lastFrameTexture=null,this._supersampling=1,this._downsampleTextures=[],this._width=512,this._height=512,this.init()};rz.prototype={constructor:rz,init:function(){var e={type:mD.FLOAT,minFilter:mD.NEAREST,magFilter:mD.NEAREST,useMipmap:!1};this._spawnTexture=new SD(e),this._particleTexture0=new SD(e),this._particleTexture1=new SD(e),this._frameBuffer=new kE({depthBuffer:!1}),this._particlePass=new yL({fragment:jI.source("ecgl.vfParticle.particle.fragment")}),this._particlePass.setUniform("velocityTexture",this.vectorFieldTexture),this._particlePass.setUniform("spawnTexture",this._spawnTexture),this._downsamplePass=new yL({fragment:jI.source("clay.compositor.downsample")});var t=new yD({renderOrder:10,material:new aI({shader:new jI(jI.source("ecgl.vfParticle.renderPoints.vertex"),jI.source("ecgl.vfParticle.renderPoints.fragment"))}),mode:yD.POINTS,geometry:new kD({dynamic:!0,mainAttribute:"texcoord0"})}),n=new yD({renderOrder:10,material:new aI({shader:new jI(jI.source("ecgl.vfParticle.renderLines.vertex"),jI.source("ecgl.vfParticle.renderLines.fragment"))}),geometry:new nz,culling:!1}),r=new yD({material:new aI({shader:new jI(jI.source("ecgl.color.vertex"),jI.source("ecgl.color.fragment"))}),geometry:new GE});r.material.enableTexture("diffuseMap"),this._particlePointsMesh=t,this._particleLinesMesh=n,this._lastFrameFullQuadMesh=r,this._camera=new fL,this._thisFrameTexture=new SD,this._lastFrameTexture=new SD},setParticleDensity:function(e,t){for(var n=new Float32Array(e*t*4),r=0,i=this.particleLife,o=0;o<e;o++)for(var a=0;a<t;a++,r++){n[4*r]=Math.random(),n[4*r+1]=Math.random(),n[4*r+2]=Math.random();var s=(i[1]-i[0])*Math.random()+i[0];n[4*r+3]=s}"line"===this._particleType?this._setLineGeometry(e,t):this._setPointsGeometry(e,t),this._spawnTexture.width=e,this._spawnTexture.height=t,this._spawnTexture.pixels=n,this._particleTexture0.width=this._particleTexture1.width=e,this._particleTexture0.height=this._particleTexture1.height=t,this._particlePass.setUniform("textureSize",[e,t])},_setPointsGeometry:function(e,t){var n=e*t,r=this._particlePointsMesh.geometry,i=r.attributes;i.texcoord0.init(n);for(var o=0,a=0;a<e;a++)for(var s=0;s<t;s++,o++)i.texcoord0.value[2*o]=a/e,i.texcoord0.value[2*o+1]=s/t;r.dirty()},_setLineGeometry:function(e,t){var n=e*t,r=this._getParticleMesh().geometry;r.setLineCount(n),r.resetOffset();for(var i=0;i<e;i++)for(var o=0;o<t;o++)r.addLine([i/e,o/t]);r.dirty()},_getParticleMesh:function(){return"line"===this._particleType?this._particleLinesMesh:this._particlePointsMesh},update:function(e,t,n,r){var i=this._getParticleMesh(),o=this._frameBuffer,a=this._particlePass;r&&this._updateDownsampleTextures(e,t),i.material.set("size",this._particleSize*this._supersampling),i.material.set("color",this.particleColor),a.setUniform("speedScaling",this.particleSpeedScaling),o.attach(this._particleTexture1),a.setUniform("firstFrameTime",r?(this.particleLife[1]+this.particleLife[0])/2:0),a.setUniform("particleTexture",this._particleTexture0),a.setUniform("deltaTime",n),a.setUniform("elapsedTime",this._elapsedTime),a.render(e,o),i.material.set("particleTexture",this._particleTexture1),i.material.set("prevParticleTexture",this._particleTexture0),o.attach(this._thisFrameTexture),o.bind(e),e.gl.clear(e.gl.DEPTH_BUFFER_BIT|e.gl.COLOR_BUFFER_BIT);var s=this._lastFrameFullQuadMesh;s.material.set("diffuseMap",this._lastFrameTexture),s.material.set("color",[1,1,1,this.motionBlurFactor]),this._camera.update(!0),e.renderPass([s,i],this._camera),o.unbind(e),this._downsample(e),this._swapTexture(),this._elapsedTime+=n},_downsample:function(e){var t=this._downsampleTextures;if(0!==t.length)for(var n=0,r=this._thisFrameTexture,i=t[n];i;)this._frameBuffer.attach(i),this._downsamplePass.setUniform("texture",r),this._downsamplePass.setUniform("textureSize",[r.width,r.height]),this._downsamplePass.render(e,this._frameBuffer),r=i,i=t[++n]},getSurfaceTexture:function(){var e=this._downsampleTextures;return e.length>0?e[e.length-1]:this._lastFrameTexture},setRegion:function(e){this._particlePass.setUniform("region",e)},resize:function(e,t){this._lastFrameTexture.width=e*this._supersampling,this._lastFrameTexture.height=t*this._supersampling,this._thisFrameTexture.width=e*this._supersampling,this._thisFrameTexture.height=t*this._supersampling,this._width=e,this._height=t},setParticleSize:function(e){var t=this._getParticleMesh();if(e<=2)return t.material.disableTexture("spriteTexture"),void(t.material.transparent=!1);this._spriteTexture||(this._spriteTexture=new SD),this._spriteTexture.image&&this._spriteTexture.image.width===e||(this._spriteTexture.image=function(e){var t=document.createElement("canvas");t.width=t.height=e;var n=t.getContext("2d");return n.fillStyle="#fff",n.arc(e/2,e/2,e/2,0,2*Math.PI),n.fill(),t}(e),this._spriteTexture.dirty()),t.material.transparent=!0,t.material.enableTexture("spriteTexture"),t.material.set("spriteTexture",this._spriteTexture),this._particleSize=e},setGradientTexture:function(e){var t=this._getParticleMesh().material;t[e?"enableTexture":"disableTexture"]("gradientTexture"),t.setUniform("gradientTexture",e)},setColorTextureImage:function(e,t){this._getParticleMesh().material.setTextureImage("colorTexture",e,t,{flipY:!0})},setParticleType:function(e){this._particleType=e},clearFrame:function(e){var t=this._frameBuffer;t.attach(this._lastFrameTexture),t.bind(e),e.gl.clear(e.gl.DEPTH_BUFFER_BIT|e.gl.COLOR_BUFFER_BIT),t.unbind(e)},setSupersampling:function(e){this._supersampling=e,this.resize(this._width,this._height)},_updateDownsampleTextures:function(e,t){for(var n=this._downsampleTextures,r=Math.max(Math.floor(Math.log(this._supersampling/t.getDevicePixelRatio())/Math.log(2)),0),i=2,o=this._width*this._supersampling,a=this._height*this._supersampling,s=0;s<r;s++)n[s]=n[s]||new SD,n[s].width=o/i,n[s].height=a/i,i*=2;for(;s<n.length;s++)n[s].dispose(e);n.length=r},_swapTexture:function(){var e=this._particleTexture0;this._particleTexture0=this._particleTexture1,this._particleTexture1=e,e=this._thisFrameTexture,this._thisFrameTexture=this._lastFrameTexture,this._lastFrameTexture=e},dispose:function(e){e.disposeFrameBuffer(this._frameBuffer),e.disposeTexture(this.vectorFieldTexture),e.disposeTexture(this._spawnTexture),e.disposeTexture(this._particleTexture0),e.disposeTexture(this._particleTexture1),e.disposeTexture(this._thisFrameTexture),e.disposeTexture(this._lastFrameTexture),e.disposeGeometry(this._particleLinesMesh.geometry),e.disposeGeometry(this._particlePointsMesh.geometry),e.disposeGeometry(this._lastFrameFullQuadMesh.geometry),this._spriteTexture&&e.disposeTexture(this._spriteTexture),this._particlePass.dispose(e),this._downsamplePass.dispose(e),this._downsampleTextures.forEach((function(t){t.dispose(e)}))}};const iz=rz,oz=gy.extend({type:"flowGL",__ecgl__:!0,init:function(e,t){this.viewGL=new EN("orthographic"),this.groupGL=new pP.Node,this.viewGL.add(this.groupGL),this._particleSurface=new iz;var n=new pP.Mesh({geometry:new pP.PlaneGeometry,material:new pP.Material({shader:new pP.Shader({vertex:pP.Shader.source("ecgl.color.vertex"),fragment:pP.Shader.source("ecgl.color.fragment")}),transparent:!0})});n.material.enableTexture("diffuseMap"),this.groupGL.add(n),this._planeMesh=n},render:function(e,t,n){var r=this._particleSurface;r.setParticleType(e.get("particleType")),r.setSupersampling(e.get("supersampling")),this._updateData(e,n),this._updateCamera(n.getWidth(),n.getHeight(),n.getDevicePixelRatio());var i=PL.firstNotNull(e.get("particleDensity"),128);r.setParticleDensity(i,i);var o=this._planeMesh,a=+new Date,s=this,l=!0;o.__percent=0,o.stopAnimation(),o.animate("",{loop:!0}).when(1e5,{__percent:1}).during((function(){var e=+new Date,t=Math.min(e-a,20);a+=t,s._renderer&&(r.update(s._renderer,n,t/1e3,l),o.material.set("diffuseMap",r.getSurfaceTexture())),l=!1})).start();var u=e.getModel("itemStyle"),c=pP.parseColor(u.get("color"));c[3]*=PL.firstNotNull(u.get("opacity"),1),o.material.set("color",c),r.setColorTextureImage(e.get("colorTexture"),n),r.setParticleSize(e.get("particleSize")),r.particleSpeedScaling=e.get("particleSpeed"),r.motionBlurFactor=1-Math.pow(.1,e.get("particleTrail"))},updateTransform:function(e,t,n){this._updateData(e,n)},afterRender:function(e,t,n,r){var i=r.renderer;this._renderer=i},_updateData:function(e,t){var n=e.coordinateSystem,r=n.dimensions.map((function(t){return e.coordDimToDataDim(t)[0]})),i=e.getData(),o=i.getDataExtent(r[0]),a=i.getDataExtent(r[1]),s=e.get("gridWidth"),l=e.get("gridHeight");if(null==s||"auto"===s){var u=(o[1]-o[0])/(a[1]-a[0]);s=Math.round(Math.sqrt(u*i.count()))}null!=l&&"auto"!==l||(l=Math.ceil(i.count()/s));var c=this._particleSurface.vectorFieldTexture,h=c.pixels;if(h&&h.length===l*s*4)for(var d=0;d<h.length;d++)h[d]=0;else h=c.pixels=new Float32Array(s*l*4);var p=0,f=1/0,g=new Float32Array(2*i.count()),m=0,v=[[1/0,1/0],[-1/0,-1/0]];i.each([r[0],r[1],"vx","vy"],(function(e,t,r,i){var o=n.dataToPoint([e,t]);g[m++]=o[0],g[m++]=o[1],v[0][0]=Math.min(o[0],v[0][0]),v[0][1]=Math.min(o[1],v[0][1]),v[1][0]=Math.max(o[0],v[1][0]),v[1][1]=Math.max(o[1],v[1][1]);var a=Math.sqrt(r*r+i*i);p=Math.max(p,a),f=Math.min(f,a)})),i.each(["vx","vy"],(function(e,t,n){var r=Math.round((g[2*n]-v[0][0])/(v[1][0]-v[0][0])*(s-1)),i=4*((l-1-Math.round((g[2*n+1]-v[0][1])/(v[1][1]-v[0][1])*(l-1)))*s+r);h[i]=e/p*.5+.5,h[i+1]=t/p*.5+.5,h[i+3]=1})),c.width=s,c.height=l,"bmap"===e.get("coordinateSystem")&&this._fillEmptyPixels(c),c.dirty(),this._updatePlanePosition(v[0],v[1],e,t),this._updateGradientTexture(i.getVisual("visualMeta"),[f,p])},_fillEmptyPixels:function(e){var t=e.pixels,n=e.width,r=e.height;function i(e,i,o){e=Math.max(Math.min(e,n-1),0);var a=4*((i=Math.max(Math.min(i,r-1),0))*(n-1)+e);return 0!==t[a+3]&&(o[0]=t[a],o[1]=t[a+1],!0)}function o(e,t,n){n[0]=e[0]+t[0],n[1]=e[1]+t[1]}for(var a=[],s=[],l=[],u=[],c=[],h=0,d=0;d<r;d++)for(var p=0;p<n;p++){var f=4*(d*(n-1)+p);0===t[f+3]&&(h=a[0]=a[1]=0,i(p-1,d,s)&&(h++,o(s,a,a)),i(p+1,d,l)&&(h++,o(l,a,a)),i(p,d-1,u)&&(h++,o(u,a,a)),i(p,d+1,c)&&(h++,o(c,a,a)),a[0]/=h,a[1]/=h,t[f]=a[0],t[f+1]=a[1]),t[f+3]=1}},_updateGradientTexture:function(e,t){if(e&&e.length){this._gradientTexture=this._gradientTexture||new pP.Texture2D({image:document.createElement("canvas")});var n=this._gradientTexture,r=n.image;r.width=200,r.height=1;var i=r.getContext("2d"),o=i.createLinearGradient(0,.5,r.width,.5);e[0].stops.forEach((function(e){var n;t[1]===t[0]?n=0:(n=e.value/t[1],n=Math.min(Math.max(n,0),1)),o.addColorStop(n,e.color)})),i.fillStyle=o,i.fillRect(0,0,r.width,r.height),n.dirty(),this._particleSurface.setGradientTexture(this._gradientTexture)}else this._particleSurface.setGradientTexture(null)},_updatePlanePosition:function(e,t,n,r){var i=this._limitInViewportAndFullFill(e,t,n,r);e=i.leftTop,t=i.rightBottom,this._particleSurface.setRegion(i.region),this._planeMesh.position.set((e[0]+t[0])/2,r.getHeight()-(e[1]+t[1])/2,0);var o=t[0]-e[0],a=t[1]-e[1];this._planeMesh.scale.set(o/2,a/2,1),this._particleSurface.resize(Math.max(Math.min(o,2048),1),Math.max(Math.min(a,2048),1)),this._renderer&&this._particleSurface.clearFrame(this._renderer)},_limitInViewportAndFullFill:function(e,t,n,r){var i=[Math.max(e[0],0),Math.max(e[1],0)],o=[Math.min(t[0],r.getWidth()),Math.min(t[1],r.getHeight())];if("bmap"===n.get("coordinateSystem")){var a=n.getData().getDataExtent(n.coordDimToDataDim("lng")[0]);Math.floor(a[1]-a[0])>=359&&(i[0]>0&&(i[0]=0),o[0]<r.getWidth()&&(o[0]=r.getWidth()))}var s=t[0]-e[0],l=t[1]-e[1],u=o[0]-i[0],c=o[1]-i[1];return{leftTop:i,rightBottom:o,region:[(i[0]-e[0])/s,1-c/l-(i[1]-e[1])/l,u/s,c/l]}},_updateCamera:function(e,t,n){this.viewGL.setViewport(0,0,e,t,n);var r=this.viewGL.camera;r.left=r.bottom=0,r.top=t,r.right=e,r.near=0,r.far=100,r.position.z=10},remove:function(){this._planeMesh.stopAnimation(),this.groupGL.removeAll()},dispose:function(){this._renderer&&this._particleSurface.dispose(this._renderer),this.groupGL.removeAll()}});BS((function(e){e.registerChartView(oz),e.registerSeriesModel(tz)}));var az=tm.extend({type:"series.linesGL",dependencies:["grid","geo"],visualStyleAccessPath:"lineStyle",visualDrawType:"stroke",streamEnabled:!0,init:function(e){var t=this._processFlatCoordsArray(e.data);this._flatCoords=t.flatCoords,this._flatCoordsOffset=t.flatCoordsOffset,t.flatCoords&&(e.data=new Float32Array(t.count)),az.superApply(this,"init",arguments)},mergeOption:function(e){var t=this._processFlatCoordsArray(e.data);this._flatCoords=t.flatCoords,this._flatCoordsOffset=t.flatCoordsOffset,t.flatCoords&&(e.data=new Float32Array(t.count)),az.superApply(this,"mergeOption",arguments)},appendData:function(e){var t=this._processFlatCoordsArray(e.data);t.flatCoords&&(this._flatCoords?(this._flatCoords=Zt(this._flatCoords,t.flatCoords),this._flatCoordsOffset=Zt(this._flatCoordsOffset,t.flatCoordsOffset)):(this._flatCoords=t.flatCoords,this._flatCoordsOffset=t.flatCoordsOffset),e.data=new Float32Array(t.count)),this.getRawData().appendData(e.data)},_getCoordsFromItemModel:function(e){var t=this.getData().getItemModel(e);return t.option instanceof Array?t.option:t.getShallow("coords")},getLineCoordsCount:function(e){return this._flatCoordsOffset?this._flatCoordsOffset[2*e+1]:this._getCoordsFromItemModel(e).length},getLineCoords:function(e,t){if(this._flatCoordsOffset){for(var n=this._flatCoordsOffset[2*e],r=this._flatCoordsOffset[2*e+1],i=0;i<r;i++)t[i]=t[i]||[],t[i][0]=this._flatCoords[n+2*i],t[i][1]=this._flatCoords[n+2*i+1];return r}var o=this._getCoordsFromItemModel(e);for(i=0;i<o.length;i++)t[i]=t[i]||[],t[i][0]=o[i][0],t[i][1]=o[i][1];return o.length},_processFlatCoordsArray:function(e){var t=0;if(this._flatCoords&&(t=this._flatCoords.length),"number"==typeof e[0]){for(var n=e.length,r=new Uint32Array(n),i=new Float64Array(n),o=0,a=0,s=0,l=0;l<n;){s++;var u=e[l++];r[a++]=o+t,r[a++]=u;for(var c=0;c<u;c++){var h=e[l++],d=e[l++];i[o++]=h,i[o++]=d}}return{flatCoordsOffset:new Uint32Array(r.buffer,0,a),flatCoords:i,count:s}}return{flatCoordsOffset:null,flatCoords:null,count:e.length}},getInitialData:function(e,t){var n=new lw(["value"],this);return n.hasItemOption=!1,n.initData(e.data,[],(function(e,t,r,i){if(e instanceof Array)return NaN;n.hasItemOption=!0;var o=e.value;return null!=o?o instanceof Array?o[i]:o:void 0})),n},defaultOption:{coordinateSystem:"geo",zlevel:10,progressive:1e4,progressiveThreshold:5e4,blendMode:"source-over",lineStyle:{opacity:.8},postEffect:{enable:!1,colorCorrection:{exposure:0,brightness:0,contrast:1,saturation:1,enable:!0}}}});const sz=az,lz=gy.extend({type:"linesGL",__ecgl__:!0,init:function(e,t){this.groupGL=new pP.Node,this.viewGL=new EN("orthographic"),this.viewGL.add(this.groupGL),this._glViewHelper=new vF(this.viewGL),this._nativeLinesShader=pP.createShader("ecgl.lines3D"),this._meshLinesShader=pP.createShader("ecgl.meshLines3D"),this._linesMeshes=[],this._currentStep=0},render:function(e,t,n){this.groupGL.removeAll(),this._glViewHelper.reset(e,n);var r=this._linesMeshes[0];r||(r=this._linesMeshes[0]=this._createLinesMesh(e)),this._linesMeshes.length=1,this.groupGL.add(r),this._updateLinesMesh(e,r,0,e.getData().count()),this.viewGL.setPostEffect(e.getModel("postEffect"),n)},incrementalPrepareRender:function(e,t,n){this.groupGL.removeAll(),this._glViewHelper.reset(e,n),this._currentStep=0,this.viewGL.setPostEffect(e.getModel("postEffect"),n)},incrementalRender:function(e,t,n,r){var i=this._linesMeshes[this._currentStep];i||(i=this._createLinesMesh(t),this._linesMeshes[this._currentStep]=i),this._updateLinesMesh(t,i,e.start,e.end),this.groupGL.add(i),r.getZr().refresh(),this._currentStep++},updateTransform:function(e,t,n){e.coordinateSystem.getRoamTransform&&this._glViewHelper.updateTransform(e,n)},_createLinesMesh:function(e){return new pP.Mesh({$ignorePicking:!0,material:new pP.Material({shader:pP.createShader("ecgl.lines3D"),transparent:!0,depthMask:!1,depthTest:!1}),geometry:new VF({segmentScale:10,useNativeLine:!0,dynamic:!1}),mode:pP.Mesh.LINES,culling:!1})},_updateLinesMesh:function(e,t,n,r){var i=e.getData();t.material.blend="lighter"===e.get("blendMode")?pP.additiveBlend:null;var o=e.get("lineStyle.curveness")||0,a=e.get("polyline"),s=t.geometry,l=e.coordinateSystem,u=PL.firstNotNull(e.get("lineStyle.width"),1);u>1?(t.material.shader!==this._meshLinesShader&&t.material.attachShader(this._meshLinesShader),t.mode=pP.Mesh.TRIANGLES):(t.material.shader!==this._nativeLinesShader&&t.material.attachShader(this._nativeLinesShader),t.mode=pP.Mesh.LINES),n=n||0,r=r||i.count(),s.resetOffset();var c=0,h=0,d=[],p=[],f=[],g=[],m=[],v=.3,y=.7;function _(){p[0]=d[0]*y+g[0]*v-(d[1]-g[1])*o,p[1]=d[1]*y+g[1]*v-(g[0]-d[0])*o,f[0]=d[0]*v+g[0]*y-(d[1]-g[1])*o,f[1]=d[1]*v+g[1]*y-(g[0]-d[0])*o}if(a||0!==o)for(var x=n;x<r;x++)if(a){var b=e.getLineCoordsCount(x);c+=s.getPolylineVertexCount(b),h+=s.getPolylineTriangleCount(b)}else e.getLineCoords(x,m),this._glViewHelper.dataToPoint(l,m[0],d),this._glViewHelper.dataToPoint(l,m[1],g),_(),c+=s.getCubicCurveVertexCount(d,p,f,g),h+=s.getCubicCurveTriangleCount(d,p,f,g);else{var w=r-n;c+=w*s.getLineVertexCount(),h+=w*s.getLineVertexCount()}s.setVertexCount(c),s.setTriangleCount(h);var S=n,M=[];for(x=n;x<r;x++){pP.parseColor(CR(i,S),M);var T=PL.firstNotNull(DR(i,S),1);M[3]*=T,b=e.getLineCoords(x,m);for(var A=0;A<b;A++)this._glViewHelper.dataToPoint(l,m[A],m[A]);a?s.addPolyline(m,M,u,0,b):0!==o?(d=m[0],g=m[1],_(),s.addCubicCurve(d,p,f,g,M,u)):s.addPolyline(m,M,u,0,2),S++}},dispose:function(){this.groupGL.removeAll()},remove:function(){this.groupGL.removeAll()}});BS((function(e){e.registerChartView(lz),e.registerSeriesModel(sz)}));var uz=Math.sin,cz=Math.cos,hz=Math.PI,dz=2*Math.PI,pz=180/hz,fz=function(){function e(){}return e.prototype.reset=function(e){this._start=!0,this._d=[],this._str="",this._p=Math.pow(10,e||4)},e.prototype.moveTo=function(e,t){this._add("M",e,t)},e.prototype.lineTo=function(e,t){this._add("L",e,t)},e.prototype.bezierCurveTo=function(e,t,n,r,i,o){this._add("C",e,t,n,r,i,o)},e.prototype.quadraticCurveTo=function(e,t,n,r){this._add("Q",e,t,n,r)},e.prototype.arc=function(e,t,n,r,i,o){this.ellipse(e,t,n,n,0,r,i,o)},e.prototype.ellipse=function(e,t,n,r,i,o,a,s){var l,u=a-o,c=!s,h=Math.abs(u),d=ro(h-dz)||(c?u>=dz:-u>=dz),p=u>0?u%dz:u%dz+dz;l=!!d||!ro(h)&&p>=hz==!!c;var f=e+n*cz(o),g=t+r*uz(o);this._start&&this._add("M",f,g);var m=Math.round(i*pz);if(d){var v=1/this._p,y=(c?1:-1)*(dz-v);this._add("A",n,r,m,1,+c,e+n*cz(o+y),t+r*uz(o+y)),v>.01&&this._add("A",n,r,m,0,+c,f,g)}else{var _=e+n*cz(a),x=t+r*uz(a);this._add("A",n,r,m,+l,+c,_,x)}},e.prototype.rect=function(e,t,n,r){this._add("M",e,t),this._add("l",n,0),this._add("l",0,r),this._add("l",-n,0),this._add("Z")},e.prototype.closePath=function(){this._d.length>0&&this._add("Z")},e.prototype._add=function(e,t,n,r,i,o,a,s,l){for(var u=[],c=this._p,h=1;h<arguments.length;h++){var d=arguments[h];if(isNaN(d))return void(this._invalid=!0);u.push(Math.round(d*c)/c)}this._d.push(e+u.join(" ")),this._start="Z"===e},e.prototype.generateStr=function(){this._str=this._invalid?"":this._d.join(""),this._d=[]},e.prototype.getStr=function(){return this._str},e}();const gz=fz;var mz="none",vz=Math.round,yz=["lineCap","miterLimit","lineJoin"],_z=ft(yz,(function(e){return"stroke-"+e.toLowerCase()}));var xz="http://www.w3.org/2000/svg",bz="http://www.w3.org/1999/xlink",wz="http://www.w3.org/2000/xmlns/",Sz="http://www.w3.org/XML/1998/namespace",Mz="ecmeta_";function Tz(e){return document.createElementNS(xz,e)}function Az(e,t,n,r,i){return{tag:e,attrs:n||{},children:r,text:i,key:t}}function Iz(e,t){var n=(t=t||{}).newline?"\n":"";return function e(t){var r=t.children,i=t.tag,o=t.attrs,a=t.text;return function(e,t){var n=[];if(t)for(var r in t){var i=t[r],o=r;!1!==i&&(!0!==i&&null!=i&&(o+='="'+i+'"'),n.push(o))}return"<"+e+" "+n.join(" ")+">"}(i,o)+("style"!==i?Hn(a):a||"")+(r?""+n+ft(r,(function(t){return e(t)})).join(n)+n:"")+"</"+i+">"}(e)}function Cz(e){return{zrId:e,shadowCache:{},patternCache:{},gradientCache:{},clipPathCache:{},defs:{},cssNodes:{},cssAnims:{},cssStyleCache:{},cssAnimIdx:0,shadowIdx:0,gradientIdx:0,patternIdx:0,clipPathIdx:0}}function Dz(e,t,n,r){return Az("svg","root",{width:e,height:t,xmlns:xz,"xmlns:xlink":bz,version:"1.1",baseProfile:"full",viewBox:!!r&&"0 0 "+e+" "+t},n)}var Ez=0;function Lz(){return Ez++}var Pz={cubicIn:"0.32,0,0.67,0",cubicOut:"0.33,1,0.68,1",cubicInOut:"0.65,0,0.35,1",quadraticIn:"0.11,0,0.5,0",quadraticOut:"0.5,1,0.89,1",quadraticInOut:"0.45,0,0.55,1",quarticIn:"0.5,0,0.75,0",quarticOut:"0.25,1,0.5,1",quarticInOut:"0.76,0,0.24,1",quinticIn:"0.64,0,0.78,0",quinticOut:"0.22,1,0.36,1",quinticInOut:"0.83,0,0.17,1",sinusoidalIn:"0.12,0,0.39,0",sinusoidalOut:"0.61,1,0.88,1",sinusoidalInOut:"0.37,0,0.63,1",exponentialIn:"0.7,0,0.84,0",exponentialOut:"0.16,1,0.3,1",exponentialInOut:"0.87,0,0.13,1",circularIn:"0.55,0,1,0.45",circularOut:"0,0.55,0.45,1",circularInOut:"0.85,0,0.15,1"},Oz="transform-origin";function Nz(e,t,n){var r=at({},e.shape);at(r,t),e.buildPath(n,r);var i=new gz;return i.reset(fo(e)),n.rebuildPath(i,1),i.generateStr(),i.getStr()}function Rz(e,t){var n=t.originX,r=t.originY;(n||r)&&(e[Oz]=n+"px "+r+"px")}var kz={fill:"fill",opacity:"opacity",lineWidth:"stroke-width",lineDashOffset:"stroke-dashoffset"};function Bz(e,t){var n=t.zrId+"-ani-"+t.cssAnimIdx++;return t.cssAnims[n]=e,n}function Fz(e){return St(e)?Pz[e]?"cubic-bezier("+Pz[e]+")":bi(e)?e:"":""}function zz(e,t,n,r){var i=e.animators,o=i.length,a=[];if(e instanceof gv){var s=function(e,t,n){var r,i,o=e.shape.paths,a={};if(pt(o,(function(e){var t=Cz(n.zrId);t.animation=!0,zz(e,{},t,!0);var o=t.cssAnims,s=t.cssNodes,l=yt(o),u=l.length;if(u){var c=o[i=l[u-1]];for(var h in c){var d=c[h];a[h]=a[h]||{d:""},a[h].d+=d.d||""}for(var p in s){var f=s[p].animation;f.indexOf(i)>=0&&(r=f)}}})),r){t.d=!1;var s=Bz(a,n);return r.replace(i,s)}}(e,t,n);if(s)a.push(s);else if(!o)return}else if(!o)return;for(var l={},u=0;u<o;u++){var c=i[u],h=[c.getMaxTime()/1e3+"s"],d=Fz(c.getClip().easing),p=c.getDelay();d?h.push(d):h.push("linear"),p&&h.push(p/1e3+"s"),c.getLoop()&&h.push("infinite");var f=h.join(" ");l[f]=l[f]||[f,[]],l[f][1].push(c)}function g(i){var o,a=i[1],s=a.length,l={},u={},c={},h="animation-timing-function";function d(e,t,n){for(var r=e.getTracks(),i=e.getMaxTime(),o=0;o<r.length;o++){var a=r[o];if(a.needsAnimate()){var s=a.keyframes,l=a.propName;if(n&&(l=n(l)),l)for(var u=0;u<s.length;u++){var c=s[u],d=Math.round(c.time/i*100)+"%",p=Fz(c.easing),f=c.rawValue;(St(f)||Tt(f))&&(t[d]=t[d]||{},t[d][l]=c.rawValue,p&&(t[d][h]=p))}}}}for(var p=0;p<s;p++)(S=(w=a[p]).targetName)?"shape"===S&&d(w,u):!r&&d(w,l);for(var f in l){var g={};ca(g,e),at(g,l[f]);var m=go(g),v=l[f][h];c[f]=m?{transform:m}:{},Rz(c[f],g),v&&(c[f][h]=v)}var y=!0;for(var f in u){c[f]=c[f]||{};var _=!o;v=u[f][h],_&&(o=new uu);var x=o.len();o.reset(),c[f].d=Nz(e,u[f],o);var b=o.len();if(!_&&x!==b){y=!1;break}v&&(c[f][h]=v)}if(!y)for(var f in c)delete c[f].d;if(!r)for(p=0;p<s;p++){var w,S;"style"===(S=(w=a[p]).targetName)&&d(w,c,(function(e){return kz[e]}))}var M,T=yt(c),A=!0;for(p=1;p<T.length;p++){var I=T[p-1],C=T[p];if(c[I][Oz]!==c[C][Oz]){A=!1;break}M=c[I][Oz]}if(A&&M){for(var f in c)c[f][Oz]&&delete c[f][Oz];t[Oz]=M}if(mt(T,(function(e){return yt(c[e]).length>0})).length)return Bz(c,n)+" "+i[0]+" both"}for(var m in l)(s=g(l[m]))&&a.push(s);if(a.length){var v=n.zrId+"-cls-"+Lz();n.cssNodes["."+v]={animation:a.join(",")},t.class=v}}function Vz(e,t,n,r){var i=JSON.stringify(e),o=n.cssStyleCache[i];o||(o=n.zrId+"-cls-"+Lz(),n.cssStyleCache[i]=o,n.cssNodes["."+o+(r?":hover":"")]=e),t.class=t.class?t.class+" "+o:o}var Gz=Math.round;function Hz(e){return e&&St(e.src)}function Uz(e){return e&&wt(e.toDataURL)}function Wz(e,t,n,r){(function(e,t,n,r){var i=null==t.opacity?1:t.opacity;if(n instanceof Bu)e("opacity",i);else{if(function(e){var t=e.fill;return null!=t&&t!==mz}(t)){var o=to(t.fill);e("fill",o.color);var a=null!=t.fillOpacity?t.fillOpacity*o.opacity*i:o.opacity*i;(r||a<1)&&e("fill-opacity",a)}else e("fill",mz);if(function(e){var t=e.stroke;return null!=t&&t!==mz}(t)){var s=to(t.stroke);e("stroke",s.color);var l=t.strokeNoScale?n.getLineScale():1,u=l?(t.lineWidth||0)/l:0,c=null!=t.strokeOpacity?t.strokeOpacity*s.opacity*i:s.opacity*i,h=t.strokeFirst;if((r||1!==u)&&e("stroke-width",u),(r||h)&&e("paint-order",h?"stroke":"fill"),(r||c<1)&&e("stroke-opacity",c),t.lineDash){var d=P_(n),p=d[0],f=d[1];p&&(f=vz(f||0),e("stroke-dasharray",p.join(",")),(f||r)&&e("stroke-dashoffset",f))}else r&&e("stroke-dasharray",mz);for(var g=0;g<yz.length;g++){var m=yz[g];if(r||t[m]!==Au[m]){var v=t[m]||Au[m];v&&e(_z[g],v)}}}else r&&e("stroke",mz)}})((function(i,o){var a="fill"===i||"stroke"===i;a&&ho(o)?tV(t,e,i,r):a&&lo(o)?nV(n,e,i,r):e[i]=a&&"none"===o?"transparent":o}),t,n,!1),function(e,t,n){var r=e.style;if(function(e){return e&&(e.shadowBlur||e.shadowOffsetX||e.shadowOffsetY)}(r)){var i=function(e){var t=e.style,n=e.getGlobalScale();return[t.shadowColor,(t.shadowBlur||0).toFixed(2),(t.shadowOffsetX||0).toFixed(2),(t.shadowOffsetY||0).toFixed(2),n[0],n[1]].join(",")}(e),o=n.shadowCache,a=o[i];if(!a){var s=e.getGlobalScale(),l=s[0],u=s[1];if(!l||!u)return;var c=r.shadowOffsetX||0,h=r.shadowOffsetY||0,d=r.shadowBlur,p=to(r.shadowColor),f=p.opacity,g=p.color,m=d/2/l+" "+d/2/u;a=n.zrId+"-s"+n.shadowIdx++,n.defs[a]=Az("filter",a,{id:a,x:"-100%",y:"-100%",width:"300%",height:"300%"},[Az("feDropShadow","",{dx:c/l,dy:h/u,stdDeviation:m,"flood-color":g,"flood-opacity":f})]),o[i]=a}t.filter=po(a)}}(n,e,r)}function jz(e,t){var n=Ua(t);n&&(n.each((function(t,n){null!=t&&(e[(Mz+n).toLowerCase()]=t+"")})),t.isSilent()&&(e[Mz+"silent"]="true"))}function Xz(e){return ro(e[0]-1)&&ro(e[1])&&ro(e[2])&&ro(e[3]-1)}function Yz(e,t,n){if(t&&(!function(e){return ro(e[4])&&ro(e[5])}(t)||!Xz(t))){var r=n?10:1e4;e.transform=Xz(t)?"translate("+Gz(t[4]*r)/r+" "+Gz(t[5]*r)/r+")":function(e){return"matrix("+io(e[0])+","+io(e[1])+","+io(e[2])+","+io(e[3])+","+oo(e[4])+","+oo(e[5])+")"}(t)}}function Zz(e,t,n){for(var r=e.points,i=[],o=0;o<r.length;o++)i.push(Gz(r[o][0]*n)/n),i.push(Gz(r[o][1]*n)/n);t.points=i.join(" ")}function qz(e){return!e.smooth}var $z,Kz,Jz={circle:[($z=["cx","cy","r"],Kz=ft($z,(function(e){return"string"==typeof e?[e,e]:e})),function(e,t,n){for(var r=0;r<Kz.length;r++){var i=Kz[r],o=e[i[0]];null!=o&&(t[i[1]]=Gz(o*n)/n)}})],polyline:[Zz,qz],polygon:[Zz,qz]};function Qz(e,t){var n=e.style,r=e.shape,i=Jz[e.type],o={},a=t.animation,s="path",l=e.style.strokePercent,u=t.compress&&fo(e)||4;if(!i||t.willUpdate||i[1]&&!i[1](r)||a&&function(e){for(var t=e.animators,n=0;n<t.length;n++)if("shape"===t[n].targetName)return!0;return!1}(e)||l<1){var c=!e.path||e.shapeChanged();e.path||e.createPathProxy();var h=e.path;c&&(h.beginPath(),e.buildPath(h,e.shape),e.pathUpdated());var d=h.getVersion(),p=e,f=p.__svgPathBuilder;p.__svgPathVersion===d&&f&&l===p.__svgPathStrokePercent||(f||(f=p.__svgPathBuilder=new gz),f.reset(u),h.rebuildPath(f,l),f.generateStr(),p.__svgPathVersion=d,p.__svgPathStrokePercent=l),o.d=f.getStr()}else{s=e.type;var g=Math.pow(10,u);i[0](r,o,g)}return Yz(o,e.transform),Wz(o,n,e,t),jz(o,e),t.animation&&zz(e,o,t),t.emphasis&&function(e,t,n){if(!e.ignore)if(e.isSilent())Vz(u={"pointer-events":"none"},t,n,!0);else{var r=e.states.emphasis&&e.states.emphasis.style?e.states.emphasis.style:{},i=r.fill;if(!i){var o=e.style&&e.style.fill,a=e.states.select&&e.states.select.style&&e.states.select.style.fill,s=e.currentStates.indexOf("select")>=0&&a||o;s&&(i=Qi(s))}var l=r.lineWidth;l&&(l/=!r.strokeNoScale&&e.transform?e.transform[0]:1);var u={cursor:"pointer"};i&&(u.fill=i),r.stroke&&(u.stroke=r.stroke),l&&(u["stroke-width"]=l),Vz(u,t,n,!0)}}(e,o,t),Az(s,e.id+"",o)}function eV(e,t){return e instanceof Eu?Qz(e,t):e instanceof Bu?function(e,t){var n=e.style,r=n.image;if(r&&!St(r)&&(Hz(r)?r=r.src:Uz(r)&&(r=r.toDataURL())),r){var i=n.x||0,o=n.y||0,a={href:r,width:n.width,height:n.height};return i&&(a.x=i),o&&(a.y=o),Yz(a,e.transform),Wz(a,n,e,t),jz(a,e),t.animation&&zz(e,a,t),Az("image",e.id+"",a)}}(e,t):e instanceof Ou?function(e,t){var n=e.style,r=n.text;if(null!=r&&(r+=""),r&&!isNaN(n.x)&&!isNaN(n.y)){var i=n.font||ze,o=n.x||0,a=function(e,t,n){return"top"===n?e+=t/2:"bottom"===n&&(e-=t/2),e}(n.y||0,ya(i),n.textBaseline),s={"dominant-baseline":"central","text-anchor":ao[n.textAlign]||n.textAlign};if(ec(n)){var l="",u=n.fontStyle,c=Ju(n.fontSize);if(!parseFloat(c))return;var h=n.fontFamily||Fe,d=n.fontWeight;l+="font-size:"+c+";font-family:"+h+";",u&&"normal"!==u&&(l+="font-style:"+u+";"),d&&"normal"!==d&&(l+="font-weight:"+d+";"),s.style=l}else s.style="font: "+i;return r.match(/\s/)&&(s["xml:space"]="preserve"),o&&(s.x=o),a&&(s.y=a),Yz(s,e.transform),Wz(s,n,e,t),jz(s,e),t.animation&&zz(e,s,t),Az("text",e.id+"",s,void 0,r)}}(e,t):void 0}function tV(e,t,n,r){var i,o=e[n],a={gradientUnits:o.global?"userSpaceOnUse":"objectBoundingBox"};if(uo(o))i="linearGradient",a.x1=o.x,a.y1=o.y,a.x2=o.x2,a.y2=o.y2;else{if(!co(o))return;i="radialGradient",a.cx=Rt(o.x,.5),a.cy=Rt(o.y,.5),a.r=Rt(o.r,.5)}for(var s=o.colorStops,l=[],u=0,c=s.length;u<c;++u){var h=100*oo(s[u].offset)+"%",d=to(s[u].color),p=d.color,f=d.opacity,g={offset:h};g["stop-color"]=p,f<1&&(g["stop-opacity"]=f),l.push(Az("stop",u+"",g))}var m=Iz(Az(i,"",a,l)),v=r.gradientCache,y=v[m];y||(y=r.zrId+"-g"+r.gradientIdx++,v[m]=y,a.id=y,r.defs[y]=Az(i,y,a,l)),t[n]=po(y)}function nV(e,t,n,r){var i,o=e.style[n],a=e.getBoundingRect(),s={},l=o.repeat,u="no-repeat"===l,c="repeat-x"===l,h="repeat-y"===l;if(so(o)){var d=o.imageWidth,p=o.imageHeight,f=void 0,g=o.image;if(St(g)?f=g:Hz(g)?f=g.src:Uz(g)&&(f=g.toDataURL()),"undefined"==typeof Image){var m="Image width/height must been given explictly in svg-ssr renderer.";zt(d,m),zt(p,m)}else if(null==d||null==p){var v=function(e,t){if(e){var n=e.elm,r=d||t.width,i=p||t.height;"pattern"===e.tag&&(c?(i=1,r/=a.width):h&&(r=1,i/=a.height)),e.attrs.width=r,e.attrs.height=i,n&&(n.setAttribute("width",r),n.setAttribute("height",i))}},y=ol(f,null,e,(function(e){u||v(w,e),v(i,e)}));y&&y.width&&y.height&&(d=d||y.width,p=p||y.height)}i=Az("image","img",{href:f,width:d,height:p}),s.width=d,s.height=p}else o.svgElement&&(i=rt(o.svgElement),s.width=o.svgWidth,s.height=o.svgHeight);if(i){var _,x;u?_=x=1:c?(x=1,_=s.width/a.width):h?(_=1,x=s.height/a.height):s.patternUnits="userSpaceOnUse",null==_||isNaN(_)||(s.width=_),null==x||isNaN(x)||(s.height=x);var b=go(o);b&&(s.patternTransform=b);var w=Az("pattern","",s,[i]),S=Iz(w),M=r.patternCache,T=M[S];T||(T=r.zrId+"-p"+r.patternIdx++,M[S]=T,s.id=T,w=r.defs[T]=Az("pattern",T,s,[i])),t[n]=po(T)}}function rV(e,t,n){var r=n.clipPathCache,i=n.defs,o=r[e.id];if(!o){var a={id:o=n.zrId+"-c"+n.clipPathIdx++};r[e.id]=o,i[o]=Az("clipPath",o,a,[Qz(e,n)])}t["clip-path"]=po(o)}function iV(e){return document.createTextNode(e)}function oV(e,t,n){e.insertBefore(t,n)}function aV(e,t){e.removeChild(t)}function sV(e,t){e.appendChild(t)}function lV(e){return e.parentNode}function uV(e){return e.nextSibling}function cV(e,t){e.textContent=t}var hV=58,dV=120,pV=Az("","");function fV(e){return void 0===e}function gV(e){return void 0!==e}function mV(e,t,n){for(var r={},i=t;i<=n;++i){var o=e[i].key;void 0!==o&&(r[o]=i)}return r}function vV(e,t){var n=e.key===t.key;return e.tag===t.tag&&n}function yV(e){var t,n=e.children,r=e.tag;if(gV(r)){var i=e.elm=Tz(r);if(bV(pV,e),bt(n))for(t=0;t<n.length;++t){var o=n[t];null!=o&&sV(i,yV(o))}else gV(e.text)&&!At(e.text)&&sV(i,iV(e.text))}else e.elm=iV(e.text);return e.elm}function _V(e,t,n,r,i){for(;r<=i;++r){var o=n[r];null!=o&&oV(e,yV(o),t)}}function xV(e,t,n,r){for(;n<=r;++n){var i=t[n];null!=i&&(gV(i.tag)?aV(lV(i.elm),i.elm):aV(e,i.elm))}}function bV(e,t){var n,r=t.elm,i=e&&e.attrs||{},o=t.attrs||{};if(i!==o){for(n in o){var a=o[n];i[n]!==a&&(!0===a?r.setAttribute(n,""):!1===a?r.removeAttribute(n):"style"===n?r.style.cssText=a:n.charCodeAt(0)!==dV?r.setAttribute(n,a):"xmlns:xlink"===n||"xmlns"===n?r.setAttributeNS(wz,n,a):n.charCodeAt(3)===hV?r.setAttributeNS(Sz,n,a):n.charCodeAt(5)===hV?r.setAttributeNS(bz,n,a):r.setAttribute(n,a))}for(n in i)n in o||r.removeAttribute(n)}}function wV(e,t){var n=t.elm=e.elm,r=e.children,i=t.children;e!==t&&(bV(e,t),fV(t.text)?gV(r)&&gV(i)?r!==i&&function(e,t,n){for(var r,i,o,a=0,s=0,l=t.length-1,u=t[0],c=t[l],h=n.length-1,d=n[0],p=n[h];a<=l&&s<=h;)null==u?u=t[++a]:null==c?c=t[--l]:null==d?d=n[++s]:null==p?p=n[--h]:vV(u,d)?(wV(u,d),u=t[++a],d=n[++s]):vV(c,p)?(wV(c,p),c=t[--l],p=n[--h]):vV(u,p)?(wV(u,p),oV(e,u.elm,uV(c.elm)),u=t[++a],p=n[--h]):vV(c,d)?(wV(c,d),oV(e,c.elm,u.elm),c=t[--l],d=n[++s]):(fV(r)&&(r=mV(t,a,l)),fV(i=r[d.key])||(o=t[i]).tag!==d.tag?oV(e,yV(d),u.elm):(wV(o,d),t[i]=void 0,oV(e,o.elm,u.elm)),d=n[++s]);(a<=l||s<=h)&&(a>l?_V(e,null==n[h+1]?null:n[h+1].elm,n,s,h):xV(e,t,a,l))}(n,r,i):gV(i)?(gV(e.text)&&cV(n,""),_V(n,null,i,0,i.length-1)):gV(r)?xV(n,r,0,r.length-1):gV(e.text)&&cV(n,""):e.text!==t.text&&(gV(r)&&xV(n,r,0,r.length-1),cV(n,t.text)))}var SV=0,MV=function(){function e(e,t,n){if(this.type="svg",this.refreshHover=function(){},this.configLayer=function(){},this.storage=t,this._opts=n=at({},n),this.root=e,this._id="zr"+SV++,this._oldVNode=Dz(n.width,n.height),e&&!n.ssr){var r=this._viewport=document.createElement("div");r.style.cssText="position:relative;overflow:hidden";var i=this._svgDom=this._oldVNode.elm=Tz("svg");bV(null,this._oldVNode),r.appendChild(i),e.appendChild(r)}this.resize(n.width,n.height)}return e.prototype.getType=function(){return this.type},e.prototype.getViewportRoot=function(){return this._viewport},e.prototype.getViewportRootOffset=function(){var e=this.getViewportRoot();if(e)return{offsetLeft:e.offsetLeft||0,offsetTop:e.offsetTop||0}},e.prototype.getSvgDom=function(){return this._svgDom},e.prototype.refresh=function(){if(this.root){var e=this.renderToVNode({willUpdate:!0});e.attrs.style="position:absolute;left:0;top:0;user-select:none",function(e,t){if(vV(e,t))wV(e,t);else{var n=e.elm,r=lV(n);yV(t),null!==r&&(oV(r,t.elm,uV(n)),xV(r,[e],0,0))}}(this._oldVNode,e),this._oldVNode=e}},e.prototype.renderOneToVNode=function(e){return eV(e,Cz(this._id))},e.prototype.renderToVNode=function(e){e=e||{};var t=this.storage.getDisplayList(!0),n=this._width,r=this._height,i=Cz(this._id);i.animation=e.animation,i.willUpdate=e.willUpdate,i.compress=e.compress,i.emphasis=e.emphasis;var o=[],a=this._bgVNode=function(e,t,n,r){var i;if(n&&"none"!==n)if(i=Az("rect","bg",{width:e,height:t,x:"0",y:"0"}),ho(n))tV({fill:n},i.attrs,"fill",r);else if(lo(n))nV({style:{fill:n},dirty:Jt,getBoundingRect:function(){return{width:e,height:t}}},i.attrs,"fill",r);else{var o=to(n),a=o.color,s=o.opacity;i.attrs.fill=a,s<1&&(i.attrs["fill-opacity"]=s)}return i}(n,r,this._backgroundColor,i);a&&o.push(a);var s=e.compress?null:this._mainVNode=Az("g","main",{},[]);this._paintList(t,i,s?s.children:o),s&&o.push(s);var l=ft(yt(i.defs),(function(e){return i.defs[e]}));if(l.length&&o.push(Az("defs","defs",{},l)),e.animation){var u=function(e,t,n){var r=(n=n||{}).newline?"\n":"",i=" {"+r,o=r+"}",a=ft(yt(e),(function(t){return t+i+ft(yt(e[t]),(function(n){return n+":"+e[t][n]+";"})).join(r)+o})).join(r),s=ft(yt(t),(function(e){return"@keyframes "+e+i+ft(yt(t[e]),(function(n){return n+i+ft(yt(t[e][n]),(function(r){var i=t[e][n][r];return"d"===r&&(i='path("'+i+'")'),r+":"+i+";"})).join(r)+o})).join(r)+o})).join(r);return a||s?["<![CDATA[",a,s,"]]>"].join(r):""}(i.cssNodes,i.cssAnims,{newline:!0});if(u){var c=Az("style","stl",{},[],u);o.push(c)}}return Dz(n,r,o,e.useViewBox)},e.prototype.renderToString=function(e){return e=e||{},Iz(this.renderToVNode({animation:Rt(e.cssAnimation,!0),emphasis:Rt(e.cssEmphasis,!0),willUpdate:!1,compress:!0,useViewBox:Rt(e.useViewBox,!0)}),{newline:!0})},e.prototype.setBackgroundColor=function(e){this._backgroundColor=e},e.prototype.getSvgRoot=function(){return this._mainVNode&&this._mainVNode.elm},e.prototype._paintList=function(e,t,n){for(var r,i,o=e.length,a=[],s=0,l=0,u=0;u<o;u++){var c=e[u];if(!c.invisible){var h=c.__clipPaths,d=h&&h.length||0,p=i&&i.length||0,f=void 0;for(f=Math.max(d-1,p-1);f>=0&&(!h||!i||h[f]!==i[f]);f--);for(var g=p-1;g>f;g--)r=a[--s-1];for(var m=f+1;m<d;m++){var v={};rV(h[m],v,t);var y=Az("g","clip-g-"+l++,v,[]);(r?r.children:n).push(y),a[s++]=y,r=y}i=h;var _=eV(c,t);_&&(r?r.children:n).push(_)}}},e.prototype.resize=function(e,t){var n=this._opts,r=this.root,i=this._viewport;if(null!=e&&(n.width=e),null!=t&&(n.height=t),r&&i&&(i.style.display="none",e=L_(r,0,n),t=L_(r,1,n),i.style.display=""),this._width!==e||this._height!==t){if(this._width=e,this._height=t,i){var o=i.style;o.width=e+"px",o.height=t+"px"}if(lo(this._backgroundColor))this.refresh();else{var a=this._svgDom;a&&(a.setAttribute("width",e),a.setAttribute("height",t));var s=this._bgVNode&&this._bgVNode.elm;s&&(s.setAttribute("width",e),s.setAttribute("height",t))}}},e.prototype.getWidth=function(){return this._width},e.prototype.getHeight=function(){return this._height},e.prototype.dispose=function(){this.root&&(this.root.innerHTML=""),this._svgDom=this._viewport=this.storage=this._oldVNode=this._bgVNode=this._mainVNode=null},e.prototype.clear=function(){this._svgDom&&(this._svgDom.innerHTML=null),this._oldVNode=null},e.prototype.toDataURL=function(e){var t=this.renderToString(),n="data:image/svg+xml;";return e?(t=mo(t))&&n+"base64,"+t:n+"charset=UTF-8,"+encodeURIComponent(t)},e}();const TV=MV,AV=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.hasSymbolVisual=!0,n}return Le(t,e),t.prototype.getInitialData=function(e){return yw(null,this,{useEncodeDefaulter:!0})},t.prototype.getLegendIcon=function(e){var t=new Oa,n=T_("line",0,e.itemHeight/2,e.itemWidth,0,e.lineStyle.stroke,!1);t.add(n),n.setStyle(e.lineStyle);var r=this.getData().getVisual("symbol"),i=this.getData().getVisual("symbolRotate"),o="none"===r?"circle":r,a=.8*e.itemHeight,s=T_(o,(e.itemWidth-a)/2,(e.itemHeight-a)/2,a,a,e.itemStyle.fill);t.add(s),s.setStyle(e.itemStyle);var l="inherit"===e.iconRotate?i:e.iconRotate||0;return s.rotation=l*Math.PI/180,s.setOrigin([e.itemWidth/2,e.itemHeight/2]),o.indexOf("empty")>-1&&(s.style.stroke=s.style.fill,s.style.fill="#fff",s.style.lineWidth=2),t},t.type="series.line",t.dependencies=["grid","polar"],t.defaultOption={z:3,coordinateSystem:"cartesian2d",legendHoverLink:!0,clip:!0,label:{position:"top"},endLabel:{show:!1,valueAnimation:!0,distance:8},lineStyle:{width:2,type:"solid"},emphasis:{scale:!0},step:!1,smooth:!1,smoothMonotone:null,symbol:"emptyCircle",symbolSize:4,symbolRotate:null,showSymbol:!0,showAllSymbol:"auto",connectNulls:!1,sampling:"none",animationEasing:"linear",progressive:0,hoverLayerThreshold:1/0,universalTransition:{divideShape:"clone"},triggerLineEvent:!1},t}(tm);function IV(e,t){var n=e.mapDimensionsAll("defaultedLabel"),r=n.length;if(1===r){var i=Hf(e,t,n[0]);return null!=i?i+"":null}if(r){for(var o=[],a=0;a<n.length;a++)o.push(Hf(e,t,n[a]));return o.join(" ")}}function CV(e,t){var n=e.mapDimensionsAll("defaultedLabel");if(!bt(t))return t+"";for(var r=[],i=0;i<n.length;i++){var o=e.getDimensionIndex(n[i]);o>=0&&r.push(t[o])}return r.join(" ")}var DV=function(e){function t(t,n,r,i){var o=e.call(this)||this;return o.updateData(t,n,r,i),o}return Le(t,e),t.prototype._createSymbol=function(e,t,n,r,i){this.removeAll();var o=T_(e,-1,-1,2,2,null,i);o.attr({z2:100,culling:!0,scaleX:r[0]/2,scaleY:r[1]/2}),o.drift=EV,this._symbolType=e,this.add(o)},t.prototype.stopSymbolAnimation=function(e){this.childAt(0).stopAnimation(null,e)},t.prototype.getSymbolType=function(){return this._symbolType},t.prototype.getSymbolPath=function(){return this.childAt(0)},t.prototype.highlight=function(){Gc(this.childAt(0))},t.prototype.downplay=function(){Hc(this.childAt(0))},t.prototype.setZ=function(e,t){var n=this.childAt(0);n.zlevel=e,n.z=t},t.prototype.setDraggable=function(e,t){var n=this.childAt(0);n.draggable=e,n.cursor=!t&&e?"move":n.cursor},t.prototype.updateData=function(e,n,r,i){this.silent=!1;var o=e.getItemVisual(n,"symbol")||"circle",a=e.hostModel,s=t.getSymbolSize(e,n),l=o!==this._symbolType,u=i&&i.disableAnimation;if(l){var c=e.getItemVisual(n,"symbolKeepAspect");this._createSymbol(o,e,n,s,c)}else{(d=this.childAt(0)).silent=!1;var h={scaleX:s[0]/2,scaleY:s[1]/2};u?d.attr(h):ph(d,h,a,n),_h(d)}if(this._updateCommon(e,n,s,r,i),l){var d=this.childAt(0);u||(h={scaleX:this._sizeX,scaleY:this._sizeY,style:{opacity:d.style.opacity}},d.scaleX=d.scaleY=0,d.style.opacity=0,fh(d,h,a,n))}u&&this.childAt(0).stopAnimation("leave")},t.prototype._updateCommon=function(e,t,n,r,i){var o,a,s,l,u,c,h,d,p,f=this.childAt(0),g=e.hostModel;if(r&&(o=r.emphasisItemStyle,a=r.blurItemStyle,s=r.selectItemStyle,l=r.focus,u=r.blurScope,h=r.labelStatesModels,d=r.hoverScale,p=r.cursorStyle,c=r.emphasisDisabled),!r||e.hasItemOption){var m=r&&r.itemModel?r.itemModel:e.getItemModel(t),v=m.getModel("emphasis");o=v.getModel("itemStyle").getItemStyle(),s=m.getModel(["select","itemStyle"]).getItemStyle(),a=m.getModel(["blur","itemStyle"]).getItemStyle(),l=v.get("focus"),u=v.get("blurScope"),c=v.get("disabled"),h=Mh(m),d=v.getShallow("scale"),p=m.getShallow("cursor")}var y=e.getItemVisual(t,"symbolRotate");f.attr("rotation",(y||0)*Math.PI/180||0);var _=I_(e.getItemVisual(t,"symbolOffset"),n);_&&(f.x=_[0],f.y=_[1]),p&&f.attr("cursor",p);var x=e.getItemVisual(t,"style"),b=x.fill;if(f instanceof Bu){var w=f.style;f.useStyle(at({image:w.image,x:w.x,y:w.y,width:w.width,height:w.height},x))}else f.__isEmptyBrush?f.useStyle(at({},x)):f.useStyle(x),f.style.decal=null,f.setColor(b,i&&i.symbolInnerColor),f.style.strokeNoScale=!0;var S=e.getItemVisual(t,"liftZ"),M=this._z2;null!=S?null==M&&(this._z2=f.z2,f.z2+=S):null!=M&&(f.z2=M,this._z2=null);var T=i&&i.useNameLabel;Sh(f,h,{labelFetcher:g,labelDataIndex:t,defaultText:function(t){return T?e.getName(t):IV(e,t)},inheritColor:b,defaultOpacity:x.opacity}),this._sizeX=n[0]/2,this._sizeY=n[1]/2;var A=f.ensureState("emphasis");A.style=o,f.ensureState("select").style=s,f.ensureState("blur").style=a;var I=null==d||!0===d?Math.max(1.1,3/this._sizeY):isFinite(d)&&d>0?+d:1;A.scaleX=this._sizeX*I,A.scaleY=this._sizeY*I,this.setSymbolScale(1),th(this,l,u,c)},t.prototype.setSymbolScale=function(e){this.scaleX=this.scaleY=e},t.prototype.fadeOut=function(e,t,n){var r=this.childAt(0),i=lc(this).dataIndex,o=n&&n.animation;if(this.silent=r.silent=!0,n&&n.fadeLabel){var a=r.getTextContent();a&&mh(a,{style:{opacity:0}},t,{dataIndex:i,removeOpt:o,cb:function(){r.removeTextContent()}})}else r.removeTextContent();mh(r,{style:{opacity:0},scaleX:0,scaleY:0},t,{dataIndex:i,cb:e,removeOpt:o})},t.getSymbolSize=function(e,t){return A_(e.getItemVisual(t,"symbolSize"))},t}(Oa);function EV(e,t){this.parent.drift(e,t)}const LV=DV;function PV(e,t,n,r){return t&&!isNaN(t[0])&&!isNaN(t[1])&&!(r.isIgnore&&r.isIgnore(n))&&!(r.clipShape&&!r.clipShape.contain(t[0],t[1]))&&"none"!==e.getItemVisual(n,"symbol")}function OV(e){return null==e||At(e)||(e={isIgnore:e}),e||{}}function NV(e){var t=e.hostModel,n=t.getModel("emphasis");return{emphasisItemStyle:n.getModel("itemStyle").getItemStyle(),blurItemStyle:t.getModel(["blur","itemStyle"]).getItemStyle(),selectItemStyle:t.getModel(["select","itemStyle"]).getItemStyle(),focus:n.get("focus"),blurScope:n.get("blurScope"),emphasisDisabled:n.get("disabled"),hoverScale:n.get("scale"),labelStatesModels:Mh(t),cursorStyle:t.get("cursor")}}var RV=function(){function e(e){this.group=new Oa,this._SymbolCtor=e||LV}return e.prototype.updateData=function(e,t){this._progressiveEls=null,t=OV(t);var n=this.group,r=e.hostModel,i=this._data,o=this._SymbolCtor,a=t.disableAnimation,s=NV(e),l={disableAnimation:a},u=t.getSymbolPoint||function(t){return e.getItemLayout(t)};i||n.removeAll(),e.diff(i).add((function(r){var i=u(r);if(PV(e,i,r,t)){var a=new o(e,r,s,l);a.setPosition(i),e.setItemGraphicEl(r,a),n.add(a)}})).update((function(c,h){var d=i.getItemGraphicEl(h),p=u(c);if(PV(e,p,c,t)){var f=e.getItemVisual(c,"symbol")||"circle",g=d&&d.getSymbolType&&d.getSymbolType();if(!d||g&&g!==f)n.remove(d),(d=new o(e,c,s,l)).setPosition(p);else{d.updateData(e,c,s,l);var m={x:p[0],y:p[1]};a?d.attr(m):ph(d,m,r)}n.add(d),e.setItemGraphicEl(c,d)}else n.remove(d)})).remove((function(e){var t=i.getItemGraphicEl(e);t&&t.fadeOut((function(){n.remove(t)}),r)})).execute(),this._getSymbolPoint=u,this._data=e},e.prototype.updateLayout=function(){var e=this,t=this._data;t&&t.eachItemGraphicEl((function(t,n){var r=e._getSymbolPoint(n);t.setPosition(r),t.markRedraw()}))},e.prototype.incrementalPrepareUpdate=function(e){this._seriesScope=NV(e),this._data=null,this.group.removeAll()},e.prototype.incrementalUpdate=function(e,t,n){function r(e){e.isGroup||(e.incremental=!0,e.ensureState("emphasis").hoverLayer=!0)}this._progressiveEls=[],n=OV(n);for(var i=e.start;i<e.end;i++){var o=t.getItemLayout(i);if(PV(t,o,i,n)){var a=new this._SymbolCtor(t,i,this._seriesScope);a.traverse(r),a.setPosition(o),this.group.add(a),t.setItemGraphicEl(i,a),this._progressiveEls.push(a)}}},e.prototype.eachRendered=function(e){ay(this._progressiveEls||this.group,e)},e.prototype.remove=function(e){var t=this.group,n=this._data;n&&e?n.eachItemGraphicEl((function(e){e.fadeOut((function(){t.remove(e)}),n.hostModel)})):t.removeAll()},e}();const kV=RV;function BV(e,t,n){var r=e.getBaseAxis(),i=e.getOtherAxis(r),o=function(e,t){var n=0,r=e.scale.getExtent();return"start"===t?n=r[0]:"end"===t?n=r[1]:Tt(t)&&!isNaN(t)?n=t:r[0]>0?n=r[0]:r[1]<0&&(n=r[1]),n}(i,n),a=r.dim,s=i.dim,l=t.mapDimension(s),u=t.mapDimension(a),c="x"===s||"radius"===s?1:0,h=ft(e.dimensions,(function(e){return t.mapDimension(e)})),d=!1,p=t.getCalculationInfo("stackResultDimension");return mw(t,h[0])&&(d=!0,h[0]=p),mw(t,h[1])&&(d=!0,h[1]=p),{dataDimsForPoint:h,valueStart:o,valueAxisDim:s,baseAxisDim:a,stacked:!!d,valueDim:l,baseDim:u,baseDataOffset:c,stackedOverDimension:t.getCalculationInfo("stackedOverDimension")}}function FV(e,t,n,r){var i=NaN;e.stacked&&(i=n.get(n.getCalculationInfo("stackedOverDimension"),r)),isNaN(i)&&(i=e.valueStart);var o=e.baseDataOffset,a=[];return a[o]=n.get(e.baseDim,r),a[1-o]=i,t.dataToPoint(a)}var zV=Math.min,VV=Math.max;function GV(e,t){return isNaN(e)||isNaN(t)}function HV(e,t,n,r,i,o,a,s,l){for(var u,c,h,d,p,f,g=n,m=0;m<r;m++){var v=t[2*g],y=t[2*g+1];if(g>=i||g<0)break;if(GV(v,y)){if(l){g+=o;continue}break}if(g===n)e[o>0?"moveTo":"lineTo"](v,y),h=v,d=y;else{var _=v-u,x=y-c;if(_*_+x*x<.5){g+=o;continue}if(a>0){for(var b=g+o,w=t[2*b],S=t[2*b+1];w===v&&S===y&&m<r;)m++,g+=o,w=t[2*(b+=o)],S=t[2*b+1],_=(v=t[2*g])-u,x=(y=t[2*g+1])-c;var M=m+1;if(l)for(;GV(w,S)&&M<r;)M++,w=t[2*(b+=o)],S=t[2*b+1];var T=.5,A=0,I=0,C=void 0,D=void 0;if(M>=r||GV(w,S))p=v,f=y;else{A=w-u,I=S-c;var E=v-u,L=w-v,P=y-c,O=S-y,N=void 0,R=void 0;if("x"===s){var k=A>0?1:-1;p=v-k*(N=Math.abs(E))*a,f=y,C=v+k*(R=Math.abs(L))*a,D=y}else if("y"===s){var B=I>0?1:-1;p=v,f=y-B*(N=Math.abs(P))*a,C=v,D=y+B*(R=Math.abs(O))*a}else N=Math.sqrt(E*E+P*P),p=v-A*a*(1-(T=(R=Math.sqrt(L*L+O*O))/(R+N))),f=y-I*a*(1-T),D=y+I*a*T,C=zV(C=v+A*a*T,VV(w,v)),D=zV(D,VV(S,y)),C=VV(C,zV(w,v)),f=y-(I=(D=VV(D,zV(S,y)))-y)*N/R,p=zV(p=v-(A=C-v)*N/R,VV(u,v)),f=zV(f,VV(c,y)),C=v+(A=v-(p=VV(p,zV(u,v))))*R/N,D=y+(I=y-(f=VV(f,zV(c,y))))*R/N}e.bezierCurveTo(h,d,p,f,v,y),h=C,d=D}else e.lineTo(v,y)}u=v,c=y,g+=o}return m}var UV=function(){this.smooth=0,this.smoothConstraint=!0},WV=function(e){function t(t){var n=e.call(this,t)||this;return n.type="ec-polyline",n}return Le(t,e),t.prototype.getDefaultStyle=function(){return{stroke:"#000",fill:null}},t.prototype.getDefaultShape=function(){return new UV},t.prototype.buildPath=function(e,t){var n=t.points,r=0,i=n.length/2;if(t.connectNulls){for(;i>0&&GV(n[2*i-2],n[2*i-1]);i--);for(;r<i&&GV(n[2*r],n[2*r+1]);r++);}for(;r<i;)r+=HV(e,n,r,i,i,1,t.smooth,t.smoothMonotone,t.connectNulls)+1},t.prototype.getPointOn=function(e,t){this.path||(this.createPathProxy(),this.buildPath(this.path,this.shape));for(var n,r,i=this.path.data,o=uu.CMD,a="x"===t,s=[],l=0;l<i.length;){var u=void 0,c=void 0,h=void 0,d=void 0,p=void 0,f=void 0,g=void 0;switch(i[l++]){case o.M:n=i[l++],r=i[l++];break;case o.L:if(u=i[l++],c=i[l++],(g=a?(e-n)/(u-n):(e-r)/(c-r))<=1&&g>=0){var m=a?(c-r)*g+r:(u-n)*g+n;return a?[e,m]:[m,e]}n=u,r=c;break;case o.C:u=i[l++],c=i[l++],h=i[l++],d=i[l++],p=i[l++],f=i[l++];var v=a?ui(n,u,h,p,e,s):ui(r,c,d,f,e,s);if(v>0)for(var y=0;y<v;y++){var _=s[y];if(_<=1&&_>=0)return m=a?si(r,c,d,f,_):si(n,u,h,p,_),a?[e,m]:[m,e]}n=p,r=f}}},t}(Eu),jV=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t}(UV),XV=function(e){function t(t){var n=e.call(this,t)||this;return n.type="ec-polygon",n}return Le(t,e),t.prototype.getDefaultShape=function(){return new jV},t.prototype.buildPath=function(e,t){var n=t.points,r=t.stackedOnPoints,i=0,o=n.length/2,a=t.smoothMonotone;if(t.connectNulls){for(;o>0&&GV(n[2*o-2],n[2*o-1]);o--);for(;i<o&&GV(n[2*i],n[2*i+1]);i++);}for(;i<o;){var s=HV(e,n,i,o,o,1,t.smooth,a,t.connectNulls);HV(e,r,i+s-1,s,o,-1,t.stackedOnSmooth,a,t.connectNulls),i+=s+1,e.closePath()}},t}(Eu);function YV(e,t,n,r,i){var o=e.getArea(),a=o.x,s=o.y,l=o.width,u=o.height,c=n.get(["lineStyle","width"])||2;a-=c/2,s-=c/2,l+=c,u+=c,l=Math.ceil(l),a!==Math.floor(a)&&(a=Math.floor(a),l++);var h=new ju({shape:{x:a,y:s,width:l,height:u}});if(t){var d=e.getBaseAxis(),p=d.isHorizontal(),f=d.inverse;p?(f&&(h.shape.x+=l),h.shape.width=0):(f||(h.shape.y+=u),h.shape.height=0);var g=wt(i)?function(e){i(e,h)}:null;fh(h,{shape:{width:l,height:u,x:a,y:s}},n,null,r,g)}return h}function ZV(e,t,n){var r=e.getArea(),i=$a(r.r0,1),o=$a(r.r,1),a=new jm({shape:{cx:$a(e.cx,1),cy:$a(e.cy,1),r0:i,r:o,startAngle:r.startAngle,endAngle:r.endAngle,clockwise:r.clockwise}});return t&&("angle"===e.getBaseAxis().dim?a.shape.endAngle=r.startAngle:a.shape.r=i,fh(a,{shape:{endAngle:r.endAngle,r:o}},n)),a}function qV(e,t,n,r,i){return e?"polar"===e.type?ZV(e,t,n):"cartesian2d"===e.type?YV(e,t,n,r,i):null:null}function $V(e,t){return e.type===t}function KV(e,t){if(e.length===t.length){for(var n=0;n<e.length;n++)if(e[n]!==t[n])return;return!0}}function JV(e){for(var t=1/0,n=1/0,r=-1/0,i=-1/0,o=0;o<e.length;){var a=e[o++],s=e[o++];isNaN(a)||(t=Math.min(a,t),r=Math.max(a,r)),isNaN(s)||(n=Math.min(s,n),i=Math.max(s,i))}return[[t,n],[r,i]]}function QV(e,t){var n=JV(e),r=n[0],i=n[1],o=JV(t),a=o[0],s=o[1];return Math.max(Math.abs(r[0]-a[0]),Math.abs(r[1]-a[1]),Math.abs(i[0]-s[0]),Math.abs(i[1]-s[1]))}function eG(e){return Tt(e)?e:e?.5:0}function tG(e,t,n,r){var i=t.getBaseAxis(),o="x"===i.dim||"radius"===i.dim?0:1,a=[],s=0,l=[],u=[],c=[],h=[];if(r){for(s=0;s<e.length;s+=2)isNaN(e[s])||isNaN(e[s+1])||h.push(e[s],e[s+1]);e=h}for(s=0;s<e.length-2;s+=2)switch(c[0]=e[s+2],c[1]=e[s+3],u[0]=e[s],u[1]=e[s+1],a.push(u[0],u[1]),n){case"end":l[o]=c[o],l[1-o]=u[1-o],a.push(l[0],l[1]);break;case"middle":var d=(u[o]+c[o])/2,p=[];l[o]=p[o]=d,l[1-o]=u[1-o],p[1-o]=c[1-o],a.push(l[0],l[1]),a.push(p[0],p[1]);break;default:l[o]=u[o],l[1-o]=c[1-o],a.push(l[0],l[1])}return a.push(e[s++],e[s++]),a}function nG(e,t){return isNaN(e)||isNaN(t)}function rG(e,t){return[e[2*t],e[2*t+1]]}function iG(e){if(e.get(["endLabel","show"]))return!0;for(var t=0;t<vc.length;t++)if(e.get([vc[t],"endLabel","show"]))return!0;return!1}function oG(e,t,n,r){if($V(t,"cartesian2d")){var i=r.getModel("endLabel"),o=i.get("valueAnimation"),a=r.getData(),s={lastFrameIndex:0},l=iG(r)?function(n,r){e._endLabelOnDuring(n,r,a,s,o,i,t)}:null,u=t.getBaseAxis().isHorizontal(),c=YV(t,n,r,(function(){var t=e._endLabel;t&&n&&null!=s.originalX&&t.attr({x:s.originalX,y:s.originalY})}),l);if(!r.get("clip",!0)){var h=c.shape,d=Math.max(h.width,h.height);u?(h.y-=d,h.height+=2*d):(h.x-=d,h.width+=2*d)}return l&&l(1,c),c}return ZV(t,n,r)}var aG=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.init=function(){var e=new Oa,t=new kV;this.group.add(t.group),this._symbolDraw=t,this._lineGroup=e},t.prototype.render=function(e,t,n){var r=this,i=e.coordinateSystem,o=this.group,a=e.getData(),s=e.getModel("lineStyle"),l=e.getModel("areaStyle"),u=a.getLayout("points")||[],c="polar"===i.type,h=this._coordSys,d=this._symbolDraw,p=this._polyline,f=this._polygon,g=this._lineGroup,m=!t.ssr&&e.get("animation"),v=!l.isEmpty(),y=l.get("origin"),_=BV(i,a,y),x=v&&function(e,t,n){if(!n.valueDim)return[];for(var r=t.count(),i=Fw(2*r),o=0;o<r;o++){var a=FV(n,e,t,o);i[2*o]=a[0],i[2*o+1]=a[1]}return i}(i,a,_),b=e.get("showSymbol"),w=e.get("connectNulls"),S=b&&!c&&function(e,t,n){var r=e.get("showAllSymbol"),i="auto"===r;if(!r||i){var o=n.getAxesByScale("ordinal")[0];if(o&&(!i||!function(e,t){var n=e.getExtent(),r=Math.abs(n[1]-n[0])/e.scale.count();isNaN(r)&&(r=0);for(var i=t.count(),o=Math.max(1,Math.round(i/5)),a=0;a<i;a+=o)if(1.5*LV.getSymbolSize(t,a)[e.isHorizontal()?1:0]>r)return!1;return!0}(o,t))){var a=t.mapDimension(o.dim),s={};return pt(o.getViewLabels(),(function(e){var t=o.scale.getRawOrdinalNumber(e.tickValue);s[t]=1})),function(e){return!s.hasOwnProperty(t.get(a,e))}}}}(e,a,i),M=this._data;M&&M.eachItemGraphicEl((function(e,t){e.__temp&&(o.remove(e),M.setItemGraphicEl(t,null))})),b||d.remove(),o.add(g);var T,A=!c&&e.get("step");i&&i.getArea&&e.get("clip",!0)&&(null!=(T=i.getArea()).width?(T.x-=.1,T.y-=.1,T.width+=.2,T.height+=.2):T.r0&&(T.r0-=.5,T.r+=.5)),this._clipShapeForSymbol=T;var I=function(e,t,n){var r=e.getVisual("visualMeta");if(r&&r.length&&e.count()&&"cartesian2d"===t.type){for(var i,o,a=r.length-1;a>=0;a--){var s=e.getDimensionInfo(r[a].dimension);if("x"===(i=s&&s.coordDim)||"y"===i){o=r[a];break}}if(o){var l=t.getAxis(i),u=ft(o.stops,(function(e){return{coord:l.toGlobalCoord(l.dataToCoord(e.value)),color:e.color}})),c=u.length,h=o.outerColors.slice();c&&u[0].coord>u[c-1].coord&&(u.reverse(),h.reverse());var d=function(e,t){var n,r,i=[],o=e.length;function a(e,t,n){var r=e.coord;return{coord:n,color:ji((n-r)/(t.coord-r),[e.color,t.color])}}for(var s=0;s<o;s++){var l=e[s],u=l.coord;if(u<0)n=l;else{if(u>t){r?i.push(a(r,l,t)):n&&i.push(a(n,l,0),a(n,l,t));break}n&&(i.push(a(n,l,0)),n=null),i.push(l),r=l}}return i}(u,"x"===i?n.getWidth():n.getHeight()),p=d.length;if(!p&&c)return u[0].coord<0?h[1]?h[1]:u[c-1].color:h[0]?h[0]:u[0].color;var f=d[0].coord-10,g=d[p-1].coord+10,m=g-f;if(m<.001)return"transparent";pt(d,(function(e){e.offset=(e.coord-f)/m})),d.push({offset:p?d[p-1].offset:.5,color:h[1]||"transparent"}),d.unshift({offset:p?d[0].offset:.5,color:h[0]||"transparent"});var v=new _v(0,0,0,0,d,!0);return v[i]=f,v[i+"2"]=g,v}}}(a,i,n)||a.getVisual("style")[a.getVisual("drawType")];if(p&&h.type===i.type&&A===this._step){v&&!f?f=this._newPolygon(u,x):f&&!v&&(g.remove(f),f=this._polygon=null),c||this._initOrUpdateEndLabel(e,i,Xd(I));var C=g.getClipPath();C?fh(C,{shape:oG(this,i,!1,e).shape},e):g.setClipPath(oG(this,i,!0,e)),b&&d.updateData(a,{isIgnore:S,clipShape:T,disableAnimation:!0,getSymbolPoint:function(e){return[u[2*e],u[2*e+1]]}}),KV(this._stackedOnPoints,x)&&KV(this._points,u)||(m?this._doUpdateAnimation(a,x,i,n,A,y,w):(A&&(u=tG(u,i,A,w),x&&(x=tG(x,i,A,w))),p.setShape({points:u}),f&&f.setShape({points:u,stackedOnPoints:x})))}else b&&d.updateData(a,{isIgnore:S,clipShape:T,disableAnimation:!0,getSymbolPoint:function(e){return[u[2*e],u[2*e+1]]}}),m&&this._initSymbolLabelAnimation(a,i,T),A&&(u=tG(u,i,A,w),x&&(x=tG(x,i,A,w))),p=this._newPolyline(u),v?f=this._newPolygon(u,x):f&&(g.remove(f),f=this._polygon=null),c||this._initOrUpdateEndLabel(e,i,Xd(I)),g.setClipPath(oG(this,i,!0,e));var D=e.getModel("emphasis"),E=D.get("focus"),L=D.get("blurScope"),P=D.get("disabled");p.useStyle(st(s.getLineStyle(),{fill:"none",stroke:I,lineJoin:"bevel"})),oh(p,e,"lineStyle"),p.style.lineWidth>0&&"bolder"===e.get(["emphasis","lineStyle","width"])&&(p.getState("emphasis").style.lineWidth=+p.style.lineWidth+1),lc(p).seriesIndex=e.seriesIndex,th(p,E,L,P);var O=eG(e.get("smooth")),N=e.get("smoothMonotone");if(p.setShape({smooth:O,smoothMonotone:N,connectNulls:w}),f){var R=a.getCalculationInfo("stackedOnSeries"),k=0;f.useStyle(st(l.getAreaStyle(),{fill:I,opacity:.7,lineJoin:"bevel",decal:a.getVisual("style").decal})),R&&(k=eG(R.get("smooth"))),f.setShape({smooth:O,stackedOnSmooth:k,smoothMonotone:N,connectNulls:w}),oh(f,e,"areaStyle"),lc(f).seriesIndex=e.seriesIndex,th(f,E,L,P)}var B=function(e){r._changePolyState(e)};a.eachItemGraphicEl((function(e){e&&(e.onHoverStateChange=B)})),this._polyline.onHoverStateChange=B,this._data=a,this._coordSys=i,this._stackedOnPoints=x,this._points=u,this._step=A,this._valueOrigin=y,e.get("triggerLineEvent")&&(this.packEventData(e,p),f&&this.packEventData(e,f))},t.prototype.packEventData=function(e,t){lc(t).eventData={componentType:"series",componentSubType:"line",componentIndex:e.componentIndex,seriesIndex:e.seriesIndex,seriesName:e.name,seriesType:"line"}},t.prototype.highlight=function(e,t,n,r){var i=e.getData(),o=Os(i,r);if(this._changePolyState("emphasis"),!(o instanceof Array)&&null!=o&&o>=0){var a=i.getLayout("points"),s=i.getItemGraphicEl(o);if(!s){var l=a[2*o],u=a[2*o+1];if(isNaN(l)||isNaN(u))return;if(this._clipShapeForSymbol&&!this._clipShapeForSymbol.contain(l,u))return;var c=e.get("zlevel")||0,h=e.get("z")||0;(s=new LV(i,o)).x=l,s.y=u,s.setZ(c,h);var d=s.getSymbolPath().getTextContent();d&&(d.zlevel=c,d.z=h,d.z2=this._polyline.z2+1),s.__temp=!0,i.setItemGraphicEl(o,s),s.stopSymbolAnimation(!0),this.group.add(s)}s.highlight()}else gy.prototype.highlight.call(this,e,t,n,r)},t.prototype.downplay=function(e,t,n,r){var i=e.getData(),o=Os(i,r);if(this._changePolyState("normal"),null!=o&&o>=0){var a=i.getItemGraphicEl(o);a&&(a.__temp?(i.setItemGraphicEl(o,null),this.group.remove(a)):a.downplay())}else gy.prototype.downplay.call(this,e,t,n,r)},t.prototype._changePolyState=function(e){var t=this._polygon;kc(this._polyline,e),t&&kc(t,e)},t.prototype._newPolyline=function(e){var t=this._polyline;return t&&this._lineGroup.remove(t),t=new WV({shape:{points:e},segmentIgnoreThreshold:2,z2:10}),this._lineGroup.add(t),this._polyline=t,t},t.prototype._newPolygon=function(e,t){var n=this._polygon;return n&&this._lineGroup.remove(n),n=new XV({shape:{points:e,stackedOnPoints:t},segmentIgnoreThreshold:2}),this._lineGroup.add(n),this._polygon=n,n},t.prototype._initSymbolLabelAnimation=function(e,t,n){var r,i,o=t.getBaseAxis(),a=o.inverse;"cartesian2d"===t.type?(r=o.isHorizontal(),i=!1):"polar"===t.type&&(r="angle"===o.dim,i=!0);var s=e.hostModel,l=s.get("animationDuration");wt(l)&&(l=l(null));var u=s.get("animationDelay")||0,c=wt(u)?u(null):u;e.eachItemGraphicEl((function(e,o){var s=e;if(s){var h=[e.x,e.y],d=void 0,p=void 0,f=void 0;if(n)if(i){var g=n,m=t.pointToCoord(h);r?(d=g.startAngle,p=g.endAngle,f=-m[1]/180*Math.PI):(d=g.r0,p=g.r,f=m[0])}else{var v=n;r?(d=v.x,p=v.x+v.width,f=e.x):(d=v.y+v.height,p=v.y,f=e.y)}var y=p===d?0:(f-d)/(p-d);a&&(y=1-y);var _=wt(u)?u(o):l*y+c,x=s.getSymbolPath(),b=x.getTextContent();s.attr({scaleX:0,scaleY:0}),s.animateTo({scaleX:1,scaleY:1},{duration:200,setToFinal:!0,delay:_}),b&&b.animateFrom({style:{opacity:0}},{duration:300,delay:_}),x.disableLabelAnimation=!0}}))},t.prototype._initOrUpdateEndLabel=function(e,t,n){var r=e.getModel("endLabel");if(iG(e)){var i=e.getData(),o=this._polyline,a=i.getLayout("points");if(!a)return o.removeTextContent(),void(this._endLabel=null);var s=this._endLabel;s||((s=this._endLabel=new sc({z2:200})).ignoreClip=!0,o.setTextContent(this._endLabel),o.disableLabelAnimation=!0);var l=function(e){for(var t=e.length/2;t>0&&nG(e[2*t-2],e[2*t-1]);t--);return t-1}(a);l>=0&&(Sh(o,Mh(e,"endLabel"),{inheritColor:n,labelFetcher:e,labelDataIndex:l,defaultText:function(e,t,n){return null!=n?CV(i,n):IV(i,e)},enableTextSetter:!0},function(e,t){var n=t.getBaseAxis(),r=n.isHorizontal(),i=n.inverse,o=r?i?"right":"left":"center",a=r?"middle":i?"top":"bottom";return{normal:{align:e.get("align")||o,verticalAlign:e.get("verticalAlign")||a}}}(r,t)),o.textConfig.position=null)}else this._endLabel&&(this._polyline.removeTextContent(),this._endLabel=null)},t.prototype._endLabelOnDuring=function(e,t,n,r,i,o,a){var s=this._endLabel,l=this._polyline;if(s){e<1&&null==r.originalX&&(r.originalX=s.x,r.originalY=s.y);var u=n.getLayout("points"),c=n.hostModel,h=c.get("connectNulls"),d=o.get("precision"),p=o.get("distance")||0,f=a.getBaseAxis(),g=f.isHorizontal(),m=f.inverse,v=t.shape,y=m?g?v.x:v.y+v.height:g?v.x+v.width:v.y,_=(g?p:0)*(m?-1:1),x=(g?0:-p)*(m?-1:1),b=g?"x":"y",w=function(e,t,n){for(var r,i,o=e.length/2,a="x"===n?0:1,s=0,l=-1,u=0;u<o;u++)if(i=e[2*u+a],!isNaN(i)&&!isNaN(e[2*u+1-a]))if(0!==u){if(r<=t&&i>=t||r>=t&&i<=t){l=u;break}s=u,r=i}else r=i;return{range:[s,l],t:(t-r)/(i-r)}}(u,y,b),S=w.range,M=S[1]-S[0],T=void 0;if(M>=1){if(M>1&&!h){var A=rG(u,S[0]);s.attr({x:A[0]+_,y:A[1]+x}),i&&(T=c.getRawValue(S[0]))}else{(A=l.getPointOn(y,b))&&s.attr({x:A[0]+_,y:A[1]+x});var I=c.getRawValue(S[0]),C=c.getRawValue(S[1]);i&&(T=Us(n,d,I,C,w.t))}r.lastFrameIndex=S[0]}else{var D=1===e||r.lastFrameIndex>0?S[0]:0;A=rG(u,D),i&&(T=c.getRawValue(D)),s.attr({x:A[0]+_,y:A[1]+x})}if(i){var E=Ph(s);"function"==typeof E.setLabelText&&E.setLabelText(T)}}},t.prototype._doUpdateAnimation=function(e,t,n,r,i,o,a){var s=this._polyline,l=this._polygon,u=e.hostModel,c=function(e,t,n,r,i,o,a,s){for(var l=function(e,t){var n=[];return t.diff(e).add((function(e){n.push({cmd:"+",idx:e})})).update((function(e,t){n.push({cmd:"=",idx:t,idx1:e})})).remove((function(e){n.push({cmd:"-",idx:e})})).execute(),n}(e,t),u=[],c=[],h=[],d=[],p=[],f=[],g=[],m=BV(i,t,a),v=e.getLayout("points")||[],y=t.getLayout("points")||[],_=0;_<l.length;_++){var x=l[_],b=!0,w=void 0,S=void 0;switch(x.cmd){case"=":w=2*x.idx,S=2*x.idx1;var M=v[w],T=v[w+1],A=y[S],I=y[S+1];(isNaN(M)||isNaN(T))&&(M=A,T=I),u.push(M,T),c.push(A,I),h.push(n[w],n[w+1]),d.push(r[S],r[S+1]),g.push(t.getRawIndex(x.idx1));break;case"+":var C=x.idx,D=m.dataDimsForPoint,E=i.dataToPoint([t.get(D[0],C),t.get(D[1],C)]);S=2*C,u.push(E[0],E[1]),c.push(y[S],y[S+1]);var L=FV(m,i,t,C);h.push(L[0],L[1]),d.push(r[S],r[S+1]),g.push(t.getRawIndex(C));break;case"-":b=!1}b&&(p.push(x),f.push(f.length))}f.sort((function(e,t){return g[e]-g[t]}));var P=u.length,O=Fw(P),N=Fw(P),R=Fw(P),k=Fw(P),B=[];for(_=0;_<f.length;_++){var F=f[_],z=2*_,V=2*F;O[z]=u[V],O[z+1]=u[V+1],N[z]=c[V],N[z+1]=c[V+1],R[z]=h[V],R[z+1]=h[V+1],k[z]=d[V],k[z+1]=d[V+1],B[_]=p[F]}return{current:O,next:N,stackedOnCurrent:R,stackedOnNext:k,status:B}}(this._data,e,this._stackedOnPoints,t,this._coordSys,0,this._valueOrigin),h=c.current,d=c.stackedOnCurrent,p=c.next,f=c.stackedOnNext;if(i&&(h=tG(c.current,n,i,a),d=tG(c.stackedOnCurrent,n,i,a),p=tG(c.next,n,i,a),f=tG(c.stackedOnNext,n,i,a)),QV(h,p)>3e3||l&&QV(d,f)>3e3)return s.stopAnimation(),s.setShape({points:p}),void(l&&(l.stopAnimation(),l.setShape({points:p,stackedOnPoints:f})));s.shape.__points=c.current,s.shape.points=h;var g={shape:{points:p}};c.current!==h&&(g.shape.__points=c.next),s.stopAnimation(),ph(s,g,u),l&&(l.setShape({points:h,stackedOnPoints:d}),l.stopAnimation(),ph(l,{shape:{stackedOnPoints:f}},u),s.shape.points!==l.shape.points&&(l.shape.points=s.shape.points));for(var m=[],v=c.status,y=0;y<v.length;y++)if("="===v[y].cmd){var _=e.getItemGraphicEl(v[y].idx1);_&&m.push({el:_,ptIdx:y})}s.animators&&s.animators.length&&s.animators[0].during((function(){l&&l.dirtyShape();for(var e=s.shape.__points,t=0;t<m.length;t++){var n=m[t].el,r=2*m[t].ptIdx;n.x=e[r],n.y=e[r+1],n.markRedraw()}}))},t.prototype.remove=function(e){var t=this.group,n=this._data;this._lineGroup.removeAll(),this._symbolDraw.remove(!0),n&&n.eachItemGraphicEl((function(e,r){e.__temp&&(t.remove(e),n.setItemGraphicEl(r,null))})),this._polyline=this._polygon=this._coordSys=this._points=this._stackedOnPoints=this._endLabel=this._data=null},t.type="line",t}(gy);const sG=aG;function lG(e,t){return{seriesType:e,plan:im(),reset:function(e){var n=e.getData(),r=e.coordinateSystem,i=e.pipelineContext,o=t||i.large;if(r){var a=ft(r.dimensions,(function(e){return n.mapDimension(e)})).slice(0,2),s=a.length,l=n.getCalculationInfo("stackResultDimension");mw(n,a[0])&&(a[0]=l),mw(n,a[1])&&(a[1]=l);var u=n.getStore(),c=n.getDimensionIndex(a[0]),h=n.getDimensionIndex(a[1]);return s&&{progress:function(e,t){for(var n=e.end-e.start,i=o&&Fw(n*s),a=[],l=[],d=e.start,p=0;d<e.end;d++){var f=void 0;if(1===s){var g=u.get(c,d);f=r.dataToPoint(g,null,l)}else a[0]=u.get(c,d),a[1]=u.get(h,d),f=r.dataToPoint(a,null,l);o?(i[p++]=f[0],i[p++]=f[1]):t.setItemLayout(d,f.slice())}o&&t.setLayout("points",i)}}}}}}var uG={average:function(e){for(var t=0,n=0,r=0;r<e.length;r++)isNaN(e[r])||(t+=e[r],n++);return 0===n?NaN:t/n},sum:function(e){for(var t=0,n=0;n<e.length;n++)t+=e[n]||0;return t},max:function(e){for(var t=-1/0,n=0;n<e.length;n++)e[n]>t&&(t=e[n]);return isFinite(t)?t:NaN},min:function(e){for(var t=1/0,n=0;n<e.length;n++)e[n]<t&&(t=e[n]);return isFinite(t)?t:NaN},minmax:function(e){for(var t=-1/0,n=-1/0,r=0;r<e.length;r++){var i=e[r],o=Math.abs(i);o>t&&(t=o,n=i)}return isFinite(n)?n:NaN},nearest:function(e){return e[0]}},cG=function(e){return Math.round(e.length/2)};function hG(e){return{seriesType:e,reset:function(e,t,n){var r=e.getData(),i=e.get("sampling"),o=e.coordinateSystem,a=r.count();if(a>10&&"cartesian2d"===o.type&&i){var s=o.getBaseAxis(),l=o.getOtherAxis(s),u=s.getExtent(),c=n.getDevicePixelRatio(),h=Math.abs(u[1]-u[0])*(c||1),d=Math.round(a/h);if(isFinite(d)&&d>1){"lttb"===i&&e.setData(r.lttbDownSample(r.mapDimension(l.dim),1/d));var p=void 0;St(i)?p=uG[i]:wt(i)&&(p=i),p&&e.setData(r.downSample(r.mapDimension(l.dim),1/d,p,cG))}}}}}var dG=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.getInitialData=function(e,t){return yw(null,this,{useEncodeDefaulter:!0})},t.prototype.getMarkerPosition=function(e,t,n){var r=this.coordinateSystem;if(r&&r.clampData){var i=r.clampData(e),o=r.dataToPoint(i);if(n)pt(r.getAxes(),(function(e,n){if("category"===e.type&&null!=t){var r=e.getTicksCoords(),a=e.getTickModel().get("alignWithLabel"),s=i[n],l="x1"===t[n]||"y1"===t[n];if(l&&!a&&(s+=1),r.length<2)return;if(2===r.length)return void(o[n]=e.toGlobalCoord(e.getExtent()[l?1:0]));for(var u=void 0,c=void 0,h=1,d=0;d<r.length;d++){var p=r[d].coord,f=d===r.length-1?r[d-1].tickValue+h:r[d].tickValue;if(f===s){c=p;break}if(f<s)u=p;else if(null!=u&&f>s){c=(p+u)/2;break}1===d&&(h=f-r[0].tickValue)}null==c&&(u?u&&(c=r[r.length-1].coord):c=r[0].coord),o[n]=e.toGlobalCoord(c)}}));else{var a=this.getData(),s=a.getLayout("offset"),l=a.getLayout("size"),u=r.getBaseAxis().isHorizontal()?0:1;o[u]+=s+l/2}return o}return[NaN,NaN]},t.type="series.__base_bar__",t.defaultOption={z:2,coordinateSystem:"cartesian2d",legendHoverLink:!0,barMinHeight:0,barMinAngle:0,large:!1,largeThreshold:400,progressive:3e3,progressiveChunkMode:"mod"},t}(tm);tm.registerClass(dG);const pG=dG,fG=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.getInitialData=function(){return yw(null,this,{useEncodeDefaulter:!0,createInvertedIndices:!!this.get("realtimeSort",!0)||null})},t.prototype.getProgressive=function(){return!!this.get("large")&&this.get("progressive")},t.prototype.getProgressiveThreshold=function(){var e=this.get("progressiveThreshold"),t=this.get("largeThreshold");return t>e&&(e=t),e},t.prototype.brushSelector=function(e,t,n){return n.rect(t.getItemLayout(e))},t.type="series.bar",t.dependencies=["grid","polar"],t.defaultOption=Jh(pG.defaultOption,{clip:!0,roundCap:!1,showBackground:!1,backgroundStyle:{color:"rgba(180, 180, 180, 0.2)",borderColor:null,borderWidth:0,borderType:"solid",borderRadius:0,shadowBlur:0,shadowColor:null,shadowOffsetX:0,shadowOffsetY:0,opacity:1},select:{itemStyle:{borderColor:"#212121"}},realtimeSort:!1}),t}(pG);var gG=function(){this.cx=0,this.cy=0,this.r0=0,this.r=0,this.startAngle=0,this.endAngle=2*Math.PI,this.clockwise=!0},mG=function(e){function t(t){var n=e.call(this,t)||this;return n.type="sausage",n}return Le(t,e),t.prototype.getDefaultShape=function(){return new gG},t.prototype.buildPath=function(e,t){var n=t.cx,r=t.cy,i=Math.max(t.r0||0,0),o=Math.max(t.r,0),a=.5*(o-i),s=i+a,l=t.startAngle,u=t.endAngle,c=t.clockwise,h=2*Math.PI,d=c?u-l<h:l-u<h;d||(l=u-(c?h:-h));var p=Math.cos(l),f=Math.sin(l),g=Math.cos(u),m=Math.sin(u);d?(e.moveTo(p*i+n,f*i+r),e.arc(p*s+n,f*s+r,a,-Math.PI+l,l,!c)):e.moveTo(p*o+n,f*o+r),e.arc(n,r,o,l,u,!c),e.arc(g*s+n,m*s+r,a,u-2*Math.PI,u-Math.PI,!c),0!==i&&e.arc(n,r,i,u,l,c)},t}(Eu);const vG=mG;function yG(e,t,n){return t*Math.sin(e)*(n?-1:1)}function _G(e,t,n){return t*Math.cos(e)*(n?1:-1)}function xG(e,t,n){var r=e.get("borderRadius");if(null==r)return n?{cornerRadius:0}:null;bt(r)||(r=[r,r,r,r]);var i=Math.abs(t.r||0-t.r0||0);return{cornerRadius:ft(r,(function(e){return _a(e,i)}))}}var bG=Math.max,wG=Math.min,SG=function(e){function t(){var n=e.call(this)||this;return n.type=t.type,n._isFirstFrame=!0,n}return Le(t,e),t.prototype.render=function(e,t,n,r){this._model=e,this._removeOnRenderedListener(n),this._updateDrawMode(e);var i=e.get("coordinateSystem");("cartesian2d"===i||"polar"===i)&&(this._progressiveEls=null,this._isLargeDraw?this._renderLarge(e,t,n):this._renderNormal(e,t,n,r))},t.prototype.incrementalPrepareRender=function(e){this._clear(),this._updateDrawMode(e),this._updateLargeClip(e)},t.prototype.incrementalRender=function(e,t){this._progressiveEls=[],this._incrementalRenderLarge(e,t)},t.prototype.eachRendered=function(e){ay(this._progressiveEls||this.group,e)},t.prototype._updateDrawMode=function(e){var t=e.pipelineContext.large;null!=this._isLargeDraw&&t===this._isLargeDraw||(this._isLargeDraw=t,this._clear())},t.prototype._renderNormal=function(e,t,n,r){var i,o=this.group,a=e.getData(),s=this._data,l=e.coordinateSystem,u=l.getBaseAxis();"cartesian2d"===l.type?i=u.isHorizontal():"polar"===l.type&&(i="angle"===u.dim);var c=e.isAnimationEnabled()?e:null,h=function(e,t){var n=e.get("realtimeSort",!0),r=t.getBaseAxis();if(n&&"category"===r.type&&"cartesian2d"===t.type)return{baseAxis:r,otherAxis:t.getOtherAxis(r)}}(e,l);h&&this._enableRealtimeSort(h,a,n);var d=e.get("clip",!0)||h,p=function(e,t){var n=e.getArea&&e.getArea();if($V(e,"cartesian2d")){var r=e.getBaseAxis();if("category"!==r.type||!r.onBand){var i=t.getLayout("bandWidth");r.isHorizontal()?(n.x-=i,n.width+=2*i):(n.y-=i,n.height+=2*i)}}return n}(l,a);o.removeClipPath();var f=e.get("roundCap",!0),g=e.get("showBackground",!0),m=e.getModel("backgroundStyle"),v=m.get("borderRadius")||0,y=[],_=this._backgroundEls,x=r&&r.isInitSort,b=r&&"changeAxisOrder"===r.type;function w(e){var t=LG[l.type](a,e),n=function(e,t,n){return new("polar"===e.type?jm:ju)({shape:FG(t,n,e),silent:!0,z2:0})}(l,i,t);return n.useStyle(m.getItemStyle()),"cartesian2d"===l.type?n.setShape("r",v):n.setShape("cornerRadius",v),y[e]=n,n}a.diff(s).add((function(t){var n=a.getItemModel(t),r=LG[l.type](a,t,n);if(g&&w(t),a.hasValue(t)&&EG[l.type](r)){var s=!1;d&&(s=MG[l.type](p,r));var m=TG[l.type](e,a,t,r,i,c,u.model,!1,f);h&&(m.forceLabelAnimation=!0),OG(m,a,t,n,r,e,i,"polar"===l.type),x?m.attr({shape:r}):h?AG(h,c,m,r,t,i,!1,!1):fh(m,{shape:r},e,t),a.setItemGraphicEl(t,m),o.add(m),m.ignore=s}})).update((function(t,n){var r=a.getItemModel(t),S=LG[l.type](a,t,r);if(g){var M=void 0;0===_.length?M=w(n):((M=_[n]).useStyle(m.getItemStyle()),"cartesian2d"===l.type?M.setShape("r",v):M.setShape("cornerRadius",v),y[t]=M);var T=LG[l.type](a,t);ph(M,{shape:FG(i,T,l)},c,t)}var A=s.getItemGraphicEl(n);if(a.hasValue(t)&&EG[l.type](S)){var I=!1;if(d&&(I=MG[l.type](p,S))&&o.remove(A),A?_h(A):A=TG[l.type](e,a,t,S,i,c,u.model,!!A,f),h&&(A.forceLabelAnimation=!0),b){var C=A.getTextContent();if(C){var D=Ph(C);null!=D.prevValue&&(D.prevValue=D.value)}}else OG(A,a,t,r,S,e,i,"polar"===l.type);x?A.attr({shape:S}):h?AG(h,c,A,S,t,i,!0,b):ph(A,{shape:S},e,t,null),a.setItemGraphicEl(t,A),A.ignore=I,o.add(A)}else o.remove(A)})).remove((function(t){var n=s.getItemGraphicEl(t);n&&yh(n,e,t)})).execute();var S=this._backgroundGroup||(this._backgroundGroup=new Oa);S.removeAll();for(var M=0;M<y.length;++M)S.add(y[M]);o.add(S),this._backgroundEls=y,this._data=a},t.prototype._renderLarge=function(e,t,n){this._clear(),kG(e,this.group),this._updateLargeClip(e)},t.prototype._incrementalRenderLarge=function(e,t){this._removeBackground(),kG(t,this.group,this._progressiveEls,!0)},t.prototype._updateLargeClip=function(e){var t=e.get("clip",!0)&&qV(e.coordinateSystem,!1,e),n=this.group;t?n.setClipPath(t):n.removeClipPath()},t.prototype._enableRealtimeSort=function(e,t,n){var r=this;if(t.count()){var i=e.baseAxis;if(this._isFirstFrame)this._dispatchInitSort(t,e,n),this._isFirstFrame=!1;else{var o=function(e){var n=t.getItemGraphicEl(e),r=n&&n.shape;return r&&Math.abs(i.isHorizontal()?r.height:r.width)||0};this._onRendered=function(){r._updateSortWithinSameData(t,o,i,n)},n.getZr().on("rendered",this._onRendered)}}},t.prototype._dataSort=function(e,t,n){var r=[];return e.each(e.mapDimension(t.dim),(function(e,t){var i=n(t);i=null==i?NaN:i,r.push({dataIndex:t,mappedValue:i,ordinalNumber:e})})),r.sort((function(e,t){return t.mappedValue-e.mappedValue})),{ordinalNumbers:ft(r,(function(e){return e.ordinalNumber}))}},t.prototype._isOrderChangedWithinSameData=function(e,t,n){for(var r=n.scale,i=e.mapDimension(n.dim),o=Number.MAX_VALUE,a=0,s=r.getOrdinalMeta().categories.length;a<s;++a){var l=e.rawIndexOf(i,r.getRawOrdinalNumber(a)),u=l<0?Number.MIN_VALUE:t(e.indexOfRawIndex(l));if(u>o)return!0;o=u}return!1},t.prototype._isOrderDifferentInView=function(e,t){for(var n=t.scale,r=n.getExtent(),i=Math.max(0,r[0]),o=Math.min(r[1],n.getOrdinalMeta().categories.length-1);i<=o;++i)if(e.ordinalNumbers[i]!==n.getRawOrdinalNumber(i))return!0},t.prototype._updateSortWithinSameData=function(e,t,n,r){if(this._isOrderChangedWithinSameData(e,t,n)){var i=this._dataSort(e,n,t);this._isOrderDifferentInView(i,n)&&(this._removeOnRenderedListener(r),r.dispatchAction({type:"changeAxisOrder",componentType:n.dim+"Axis",axisId:n.index,sortInfo:i}))}},t.prototype._dispatchInitSort=function(e,t,n){var r=t.baseAxis,i=this._dataSort(e,r,(function(n){return e.get(e.mapDimension(t.otherAxis.dim),n)}));n.dispatchAction({type:"changeAxisOrder",componentType:r.dim+"Axis",isInitSort:!0,axisId:r.index,sortInfo:i})},t.prototype.remove=function(e,t){this._clear(this._model),this._removeOnRenderedListener(t)},t.prototype.dispose=function(e,t){this._removeOnRenderedListener(t)},t.prototype._removeOnRenderedListener=function(e){this._onRendered&&(e.getZr().off("rendered",this._onRendered),this._onRendered=null)},t.prototype._clear=function(e){var t=this.group,n=this._data;e&&e.isAnimationEnabled()&&n&&!this._isLargeDraw?(this._removeBackground(),this._backgroundEls=[],n.eachItemGraphicEl((function(t){yh(t,e,lc(t).dataIndex)}))):t.removeAll(),this._data=null,this._isFirstFrame=!0},t.prototype._removeBackground=function(){this.group.remove(this._backgroundGroup),this._backgroundGroup=null},t.type="bar",t}(gy),MG={cartesian2d:function(e,t){var n=t.width<0?-1:1,r=t.height<0?-1:1;n<0&&(t.x+=t.width,t.width=-t.width),r<0&&(t.y+=t.height,t.height=-t.height);var i=e.x+e.width,o=e.y+e.height,a=bG(t.x,e.x),s=wG(t.x+t.width,i),l=bG(t.y,e.y),u=wG(t.y+t.height,o),c=s<a,h=u<l;return t.x=c&&a>i?s:a,t.y=h&&l>o?u:l,t.width=c?0:s-a,t.height=h?0:u-l,n<0&&(t.x+=t.width,t.width=-t.width),r<0&&(t.y+=t.height,t.height=-t.height),c||h},polar:function(e,t){var n=t.r0<=t.r?1:-1;if(n<0){var r=t.r;t.r=t.r0,t.r0=r}var i=wG(t.r,e.r),o=bG(t.r0,e.r0);t.r=i,t.r0=o;var a=i-o<0;return n<0&&(r=t.r,t.r=t.r0,t.r0=r),a}},TG={cartesian2d:function(e,t,n,r,i,o,a,s,l){var u=new ju({shape:at({},r),z2:1});return u.__dataIndex=n,u.name="item",o&&(u.shape[i?"height":"width"]=0),u},polar:function(e,t,n,r,i,o,a,s,l){var u=!i&&l?vG:jm,c=new u({shape:r,z2:1});c.name="item";var h,d,p=PG(i);if(c.calculateTextPosition=(h=p,d=({isRoundCap:u===vG}||{}).isRoundCap,function(e,t,n){var r=t.position;if(!r||r instanceof Array)return xa(e,t,n);var i=h(r),o=null!=t.distance?t.distance:5,a=this.shape,s=a.cx,l=a.cy,u=a.r,c=a.r0,p=(u+c)/2,f=a.startAngle,g=a.endAngle,m=(f+g)/2,v=d?Math.abs(u-c)/2:0,y=Math.cos,_=Math.sin,x=s+u*y(f),b=l+u*_(f),w="left",S="top";switch(i){case"startArc":x=s+(c-o)*y(m),b=l+(c-o)*_(m),w="center",S="top";break;case"insideStartArc":x=s+(c+o)*y(m),b=l+(c+o)*_(m),w="center",S="bottom";break;case"startAngle":x=s+p*y(f)+yG(f,o+v,!1),b=l+p*_(f)+_G(f,o+v,!1),w="right",S="middle";break;case"insideStartAngle":x=s+p*y(f)+yG(f,-o+v,!1),b=l+p*_(f)+_G(f,-o+v,!1),w="left",S="middle";break;case"middle":x=s+p*y(m),b=l+p*_(m),w="center",S="middle";break;case"endArc":x=s+(u+o)*y(m),b=l+(u+o)*_(m),w="center",S="bottom";break;case"insideEndArc":x=s+(u-o)*y(m),b=l+(u-o)*_(m),w="center",S="top";break;case"endAngle":x=s+p*y(g)+yG(g,o+v,!0),b=l+p*_(g)+_G(g,o+v,!0),w="left",S="middle";break;case"insideEndAngle":x=s+p*y(g)+yG(g,-o+v,!0),b=l+p*_(g)+_G(g,-o+v,!0),w="right",S="middle";break;default:return xa(e,t,n)}return(e=e||{}).x=x,e.y=b,e.align=w,e.verticalAlign=S,e}),o){var f=i?"r":"endAngle",g={};c.shape[f]=i?r.r0:r.startAngle,g[f]=r[f],(s?ph:fh)(c,{shape:g},o)}return c}};function AG(e,t,n,r,i,o,a,s){var l,u;o?(u={x:r.x,width:r.width},l={y:r.y,height:r.height}):(u={y:r.y,height:r.height},l={x:r.x,width:r.width}),s||(a?ph:fh)(n,{shape:l},t,i,null),(a?ph:fh)(n,{shape:u},t?e.baseAxis.model:null,i)}function IG(e,t){for(var n=0;n<t.length;n++)if(!isFinite(e[t[n]]))return!0;return!1}var CG=["x","y","width","height"],DG=["cx","cy","r","startAngle","endAngle"],EG={cartesian2d:function(e){return!IG(e,CG)},polar:function(e){return!IG(e,DG)}},LG={cartesian2d:function(e,t,n){var r=e.getItemLayout(t),i=n?function(e,t){var n=e.get(["itemStyle","borderColor"]);if(!n||"none"===n)return 0;var r=e.get(["itemStyle","borderWidth"])||0,i=isNaN(t.width)?Number.MAX_VALUE:Math.abs(t.width),o=isNaN(t.height)?Number.MAX_VALUE:Math.abs(t.height);return Math.min(r,i,o)}(n,r):0,o=r.width>0?1:-1,a=r.height>0?1:-1;return{x:r.x+o*i/2,y:r.y+a*i/2,width:r.width-o*i,height:r.height-a*i}},polar:function(e,t,n){var r=e.getItemLayout(t);return{cx:r.cx,cy:r.cy,r0:r.r0,r:r.r,startAngle:r.startAngle,endAngle:r.endAngle,clockwise:r.clockwise}}};function PG(e){return function(e){var t=e?"Arc":"Angle";return function(e){switch(e){case"start":case"insideStart":case"end":case"insideEnd":return e+t;default:return e}}}(e)}function OG(e,t,n,r,i,o,a,s){var l=t.getItemVisual(n,"style");if(s){if(!o.get("roundCap")){var u=e.shape;at(u,xG(r.getModel("itemStyle"),u,!0)),e.setShape(u)}}else{var c=r.get(["itemStyle","borderRadius"])||0;e.setShape("r",c)}e.useStyle(l);var h=r.getShallow("cursor");h&&e.attr("cursor",h);var d=s?a?i.r>=i.r0?"endArc":"startArc":i.endAngle>=i.startAngle?"endAngle":"startAngle":a?i.height>=0?"bottom":"top":i.width>=0?"right":"left",p=Mh(r);Sh(e,p,{labelFetcher:o,labelDataIndex:n,defaultText:IV(o.getData(),n),inheritColor:l.fill,defaultOpacity:l.opacity,defaultOutsidePosition:d});var f=e.getTextContent();if(s&&f){var g=r.get(["label","position"]);e.textConfig.inside="middle"===g||null,function(e,t,n,r){if(Tt(r))e.setTextConfig({rotation:r});else if(bt(t))e.setTextConfig({rotation:0});else{var i,o=e.shape,a=o.clockwise?o.startAngle:o.endAngle,s=o.clockwise?o.endAngle:o.startAngle,l=(a+s)/2,u=n(t);switch(u){case"startArc":case"insideStartArc":case"middle":case"insideEndArc":case"endArc":i=l;break;case"startAngle":case"insideStartAngle":i=a;break;case"endAngle":case"insideEndAngle":i=s;break;default:return void e.setTextConfig({rotation:0})}var c=1.5*Math.PI-i;"middle"===u&&c>Math.PI/2&&c<1.5*Math.PI&&(c-=Math.PI),e.setTextConfig({rotation:c})}}(e,"outside"===g?d:g,PG(a),r.get(["label","rotate"]))}Oh(f,p,o.getRawValue(n),(function(e){return CV(t,e)}));var m=r.getModel(["emphasis"]);th(e,m.get("focus"),m.get("blurScope"),m.get("disabled")),oh(e,r),function(e){return null!=e.startAngle&&null!=e.endAngle&&e.startAngle===e.endAngle}(i)&&(e.style.fill="none",e.style.stroke="none",pt(e.states,(function(e){e.style&&(e.style.fill=e.style.stroke="none")})))}var NG=function(){},RG=function(e){function t(t){var n=e.call(this,t)||this;return n.type="largeBar",n}return Le(t,e),t.prototype.getDefaultShape=function(){return new NG},t.prototype.buildPath=function(e,t){for(var n=t.points,r=this.baseDimIdx,i=1-this.baseDimIdx,o=[],a=[],s=this.barWidth,l=0;l<n.length;l+=3)a[r]=s,a[i]=n[l+2],o[r]=n[l+r],o[i]=n[l+i],e.rect(o[0],o[1],a[0],a[1])},t}(Eu);function kG(e,t,n,r){var i=e.getData(),o=i.getLayout("valueAxisHorizontal")?1:0,a=i.getLayout("largeDataIndices"),s=i.getLayout("size"),l=e.getModel("backgroundStyle"),u=i.getLayout("largeBackgroundPoints");if(u){var c=new RG({shape:{points:u},incremental:!!r,silent:!0,z2:0});c.baseDimIdx=o,c.largeDataIndices=a,c.barWidth=s,c.useStyle(l.getItemStyle()),t.add(c),n&&n.push(c)}var h=new RG({shape:{points:i.getLayout("largePoints")},incremental:!!r,ignoreCoarsePointer:!0,z2:1});h.baseDimIdx=o,h.largeDataIndices=a,h.barWidth=s,t.add(h),h.useStyle(i.getVisual("style")),lc(h).seriesIndex=e.seriesIndex,e.get("silent")||(h.on("mousedown",BG),h.on("mousemove",BG)),n&&n.push(h)}var BG=_y((function(e){var t=function(e,t,n){for(var r=e.baseDimIdx,i=1-r,o=e.shape.points,a=e.largeDataIndices,s=[],l=[],u=e.barWidth,c=0,h=o.length/3;c<h;c++){var d=3*c;if(l[r]=u,l[i]=o[d+2],s[r]=o[d+r],s[i]=o[d+i],l[i]<0&&(s[i]+=l[i],l[i]=-l[i]),t>=s[0]&&t<=s[0]+l[0]&&n>=s[1]&&n<=s[1]+l[1])return a[c]}return-1}(this,e.offsetX,e.offsetY);lc(this).dataIndex=t>=0?t:null}),30,!1);function FG(e,t,n){if($V(n,"cartesian2d")){var r=t,i=n.getArea();return{x:e?r.x:i.x,y:e?i.y:r.y,width:e?r.width:i.width,height:e?i.height:r.height}}var o=t;return{cx:(i=n.getArea()).cx,cy:i.cy,r0:e?i.r0:o.r0,r:e?i.r:o.r,startAngle:e?o.startAngle:0,endAngle:e?o.endAngle:2*Math.PI}}const zG=SG;var VG=2*Math.PI,GG=Math.PI/180;function HG(e,t){return Qd(e.getBoxLayoutParams(),{width:t.getWidth(),height:t.getHeight()})}function UG(e,t){var n=HG(e,t),r=e.get("center"),i=e.get("radius");bt(i)||(i=[0,i]);var o,a,s=qa(n.width,t.getWidth()),l=qa(n.height,t.getHeight()),u=Math.min(s,l),c=qa(i[0],u/2),h=qa(i[1],u/2),d=e.coordinateSystem;if(d){var p=d.dataToPoint(r);o=p[0]||0,a=p[1]||0}else bt(r)||(r=[r,r]),o=qa(r[0],s)+n.x,a=qa(r[1],l)+n.y;return{cx:o,cy:a,r0:c,r:h}}function WG(e,t,n){t.eachSeriesByType(e,(function(e){var t=e.getData(),r=t.mapDimension("value"),i=HG(e,n),o=UG(e,n),a=o.cx,s=o.cy,l=o.r,u=o.r0,c=-e.get("startAngle")*GG,h=e.get("endAngle"),d=e.get("padAngle")*GG;h="auto"===h?c-VG:-h*GG;var p=e.get("minAngle")*GG+d,f=0;t.each(r,(function(e){!isNaN(e)&&f++}));var g=t.getSum(r),m=Math.PI/(g||f)*2,v=e.get("clockwise"),y=e.get("roseType"),_=e.get("stillShowZeroSum"),x=t.getDataExtent(r);x[0]=0;var b=v?1:-1,w=[c,h],S=b*d/2;su(w,!v),c=w[0],h=w[1];var M=Math.abs(h-c),T=M,A=0,I=c;if(t.setLayout({viewRect:i,r:l}),t.each(r,(function(e,n){var r;if(isNaN(e))t.setItemLayout(n,{angle:NaN,startAngle:NaN,endAngle:NaN,clockwise:v,cx:a,cy:s,r0:u,r:y?NaN:l});else{(r="area"!==y?0===g&&_?m:e*m:M/f)<p?(r=p,T-=p):A+=e;var i=I+b*r,o=0,c=0;d>r?c=o=I+b*r/2:(o=I+S,c=i-S),t.setItemLayout(n,{angle:r,startAngle:o,endAngle:c,clockwise:v,cx:a,cy:s,r0:u,r:y?Za(e,x,[u,l]):l}),I=i}})),T<VG&&f)if(T<=.001){var C=M/f;t.each(r,(function(e,n){if(!isNaN(e)){var r=t.getItemLayout(n);r.angle=C;var i=0,o=0;C<d?o=i=c+b*(n+.5)*C:(i=c+b*n*C+S,o=c+b*(n+1)*C-S),r.startAngle=i,r.endAngle=o}}))}else m=T/A,I=c,t.each(r,(function(e,n){if(!isNaN(e)){var r=t.getItemLayout(n),i=r.angle===p?p:e*m,o=0,a=0;i<d?a=o=I+b*i/2:(o=I+S,a=I+b*i-S),r.startAngle=o,r.endAngle=a,I+=b*i}}))}))}function jG(e){return{seriesType:e,reset:function(e,t){var n=t.findComponents({mainType:"legend"});if(n&&n.length){var r=e.getData();r.filterSelf((function(e){for(var t=r.getName(e),i=0;i<n.length;i++)if(!n[i].isSelected(t))return!1;return!0}))}}}}var XG=Math.PI/180;function YG(e,t,n,r,i,o,a,s,l,u){if(!(e.length<2)){for(var c=e.length,h=0;h<c;h++)if("outer"===e[h].position&&"labelLine"===e[h].labelAlignTo){var d=e[h].label.x-u;e[h].linePoints[1][0]+=d,e[h].label.x=u}VM(e,l,l+a)&&function(e){for(var o={list:[],maxY:0},a={list:[],maxY:0},s=0;s<e.length;s++)if("none"===e[s].labelAlignTo){var l=e[s],u=l.label.y>n?a:o,c=Math.abs(l.label.y-n);if(c>=u.maxY){var h=l.label.x-t-l.len2*i,d=r+l.len,f=Math.abs(h)<d?Math.sqrt(c*c/(1-h*h/d/d)):d;u.rB=f,u.maxY=c}u.list.push(l)}p(o),p(a)}(e)}function p(e){for(var o=e.rB,a=o*o,s=0;s<e.list.length;s++){var l=e.list[s],u=Math.abs(l.label.y-n),c=r+l.len,h=c*c,d=Math.sqrt((1-Math.abs(u*u/a))*h),p=t+(d+l.len2)*i,f=p-l.label.x;ZG(l,l.targetTextWidth-f*i,!0),l.label.x=p}}}function ZG(e,t,n){if(void 0===n&&(n=!1),null==e.labelStyleWidth){var r=e.label,i=r.style,o=e.rect,a=i.backgroundColor,s=i.padding,l=s?s[1]+s[3]:0,u=i.overflow,c=o.width+(a?0:l);if(t<c||n){var h=o.height;if(u&&u.match("break")){r.setStyle("backgroundColor",null),r.setStyle("width",t-l);var d=r.getBoundingRect();r.setStyle("width",Math.ceil(d.width)),r.setStyle("backgroundColor",a)}else{var p=t-l,f=t<c?p:n?p>e.unconstrainedWidth?null:p:null;r.setStyle("width",f)}var g=r.getBoundingRect();o.width=g.width;var m=(r.style.margin||0)+2.1;o.height=g.height+m,o.y-=(o.height-h)/2}}}function qG(e){return"center"===e.position}var $G=function(e){function t(t,n,r){var i=e.call(this)||this;i.z2=2;var o=new sc;return i.setTextContent(o),i.updateData(t,n,r,!0),i}return Le(t,e),t.prototype.updateData=function(e,t,n,r){var i=this,o=e.hostModel,a=e.getItemModel(t),s=a.getModel("emphasis"),l=e.getItemLayout(t),u=at(xG(a.getModel("itemStyle"),l,!0),l);if(isNaN(u.startAngle))i.setShape(u);else{if(r){i.setShape(u);var c=o.getShallow("animationType");o.ecModel.ssr?(fh(i,{scaleX:0,scaleY:0},o,{dataIndex:t,isFrom:!0}),i.originX=u.cx,i.originY=u.cy):"scale"===c?(i.shape.r=l.r0,fh(i,{shape:{r:l.r}},o,t)):null!=n?(i.setShape({startAngle:n,endAngle:n}),fh(i,{shape:{startAngle:l.startAngle,endAngle:l.endAngle}},o,t)):(i.shape.endAngle=l.startAngle,ph(i,{shape:{endAngle:l.endAngle}},o,t))}else _h(i),ph(i,{shape:u},o,t);i.useStyle(e.getItemVisual(t,"style")),oh(i,a);var h=(l.startAngle+l.endAngle)/2,d=o.get("selectedOffset"),p=Math.cos(h)*d,f=Math.sin(h)*d,g=a.getShallow("cursor");g&&i.attr("cursor",g),this._updateLabel(o,e,t),i.ensureState("emphasis").shape=at({r:l.r+(s.get("scale")&&s.get("scaleSize")||0)},xG(s.getModel("itemStyle"),l)),at(i.ensureState("select"),{x:p,y:f,shape:xG(a.getModel(["select","itemStyle"]),l)}),at(i.ensureState("blur"),{shape:xG(a.getModel(["blur","itemStyle"]),l)});var m=i.getTextGuideLine(),v=i.getTextContent();m&&at(m.ensureState("select"),{x:p,y:f}),at(v.ensureState("select"),{x:p,y:f}),th(this,s.get("focus"),s.get("blurScope"),s.get("disabled"))}},t.prototype._updateLabel=function(e,t,n){var r=this,i=t.getItemModel(n),o=i.getModel("labelLine"),a=t.getItemVisual(n,"style"),s=a&&a.fill,l=a&&a.opacity;Sh(r,Mh(i),{labelFetcher:t.hostModel,labelDataIndex:n,inheritColor:s,defaultOpacity:l,defaultText:e.getFormattedLabel(n,"normal")||t.getName(n)});var u=r.getTextContent();r.setTextConfig({position:null,rotation:null}),u.attr({z2:10});var c=e.get(["label","position"]);if("outside"!==c&&"outer"!==c)r.removeTextGuideLine();else{var h=this.getTextGuideLine();h||(h=new tv,this.setTextGuideLine(h)),kM(this,BM(i),{stroke:s,opacity:kt(o.get(["lineStyle","opacity"]),l,1)})}},t}(jm);const KG=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.ignoreLabelLineUpdate=!0,t}return Le(t,e),t.prototype.render=function(e,t,n,r){var i,o=e.getData(),a=this._data,s=this.group;if(!a&&o.count()>0){for(var l=o.getItemLayout(0),u=1;isNaN(l&&l.startAngle)&&u<o.count();++u)l=o.getItemLayout(u);l&&(i=l.startAngle)}if(this._emptyCircleSector&&s.remove(this._emptyCircleSector),0===o.count()&&e.get("showEmptyCircle")){var c=new jm({shape:UG(e,n)});c.useStyle(e.getModel("emptyCircleStyle").getItemStyle()),this._emptyCircleSector=c,s.add(c)}o.diff(a).add((function(e){var t=new $G(o,e,i);o.setItemGraphicEl(e,t),s.add(t)})).update((function(e,t){var n=a.getItemGraphicEl(t);n.updateData(o,e,i),n.off("click"),s.add(n),o.setItemGraphicEl(e,n)})).remove((function(t){yh(a.getItemGraphicEl(t),e,t)})).execute(),function(e){var t,n,r=e.getData(),i=[],o=!1,a=(e.get("minShowLabelAngle")||0)*XG,s=r.getLayout("viewRect"),l=r.getLayout("r"),u=s.width,c=s.x,h=s.y,d=s.height;function p(e){e.ignore=!0}r.each((function(e){var s=r.getItemGraphicEl(e),h=s.shape,d=s.getTextContent(),f=s.getTextGuideLine(),g=r.getItemModel(e),m=g.getModel("label"),v=m.get("position")||g.get(["emphasis","label","position"]),y=m.get("distanceToLabelLine"),_=m.get("alignTo"),x=qa(m.get("edgeDistance"),u),b=m.get("bleedMargin"),w=g.getModel("labelLine"),S=w.get("length");S=qa(S,u);var M=w.get("length2");if(M=qa(M,u),Math.abs(h.endAngle-h.startAngle)<a)return pt(d.states,p),d.ignore=!0,void(f&&(pt(f.states,p),f.ignore=!0));if(function(e){if(!e.ignore)return!0;for(var t in e.states)if(!1===e.states[t].ignore)return!0;return!1}(d)){var T,A,I,C,D=(h.startAngle+h.endAngle)/2,E=Math.cos(D),L=Math.sin(D);t=h.cx,n=h.cy;var P="inside"===v||"inner"===v;if("center"===v)T=h.cx,A=h.cy,C="center";else{var O=(P?(h.r+h.r0)/2*E:h.r*E)+t,N=(P?(h.r+h.r0)/2*L:h.r*L)+n;if(T=O+3*E,A=N+3*L,!P){var R=O+E*(S+l-h.r),k=N+L*(S+l-h.r),B=R+(E<0?-1:1)*M;T="edge"===_?E<0?c+x:c+u-x:B+(E<0?-y:y),A=k,I=[[O,N],[R,k],[B,k]]}C=P?"center":"edge"===_?E>0?"right":"left":E>0?"left":"right"}var F=Math.PI,z=0,V=m.get("rotate");if(Tt(V))z=V*(F/180);else if("center"===v)z=0;else if("radial"===V||!0===V)z=E<0?-D+F:-D;else if("tangential"===V&&"outside"!==v&&"outer"!==v){var G=Math.atan2(E,L);G<0&&(G=2*F+G),L>0&&(G=F+G),z=G-F}if(o=!!z,d.x=T,d.y=A,d.rotation=z,d.setStyle({verticalAlign:"middle"}),P){d.setStyle({align:C});var H=d.states.select;H&&(H.x+=d.x,H.y+=d.y)}else{var U=d.getBoundingRect().clone();U.applyTransform(d.getComputedTransform());var W=(d.style.margin||0)+2.1;U.y-=W/2,U.height+=W,i.push({label:d,labelLine:f,position:v,len:S,len2:M,minTurnAngle:w.get("minTurnAngle"),maxSurfaceAngle:w.get("maxSurfaceAngle"),surfaceNormal:new dr(E,L),linePoints:I,textAlign:C,labelDistance:y,labelAlignTo:_,edgeDistance:x,bleedMargin:b,rect:U,unconstrainedWidth:U.width,labelStyleWidth:d.style.width})}s.setTextConfig({inside:P})}})),!o&&e.get("avoidLabelOverlap")&&function(e,t,n,r,i,o,a,s){for(var l=[],u=[],c=Number.MAX_VALUE,h=-Number.MAX_VALUE,d=0;d<e.length;d++){var p=e[d].label;qG(e[d])||(p.x<t?(c=Math.min(c,p.x),l.push(e[d])):(h=Math.max(h,p.x),u.push(e[d])))}for(d=0;d<e.length;d++)if(!qG(m=e[d])&&m.linePoints){if(null!=m.labelStyleWidth)continue;p=m.label;var f,g=m.linePoints;f="edge"===m.labelAlignTo?p.x<t?g[2][0]-m.labelDistance-a-m.edgeDistance:a+i-m.edgeDistance-g[2][0]-m.labelDistance:"labelLine"===m.labelAlignTo?p.x<t?c-a-m.bleedMargin:a+i-h-m.bleedMargin:p.x<t?p.x-a-m.bleedMargin:a+i-p.x-m.bleedMargin,m.targetTextWidth=f,ZG(m,f)}for(YG(u,t,n,r,1,0,o,0,s,h),YG(l,t,n,r,-1,0,o,0,s,c),d=0;d<e.length;d++){var m;if(!qG(m=e[d])&&m.linePoints){p=m.label,g=m.linePoints;var v="edge"===m.labelAlignTo,y=p.style.padding,_=y?y[1]+y[3]:0,x=p.style.backgroundColor?0:_,b=m.rect.width+x,w=g[1][0]-g[2][0];v?p.x<t?g[2][0]=a+m.edgeDistance+b+m.labelDistance:g[2][0]=a+i-m.edgeDistance-b-m.labelDistance:(p.x<t?g[2][0]=p.x+m.labelDistance:g[2][0]=p.x-m.labelDistance,g[1][0]=g[2][0]+w),g[1][1]=g[2][1]=p.y}}}(i,t,n,l,u,d,c,h);for(var f=0;f<i.length;f++){var g=i[f],m=g.label,v=g.labelLine,y=isNaN(m.x)||isNaN(m.y);if(m){m.setStyle({align:g.textAlign}),y&&(pt(m.states,p),m.ignore=!0);var _=m.states.select;_&&(_.x+=m.x,_.y+=m.y)}if(v){var x=g.linePoints;y||!x?(pt(v.states,p),v.ignore=!0):(PM(x,g.minTurnAngle),OM(x,g.surfaceNormal,g.maxSurfaceAngle),v.setShape({points:x}),m.__hostTarget.textGuideLineConfig={anchor:new dr(x[0][0],x[0][1])})}}}(e),"expansion"!==e.get("animationTypeUpdate")&&(this._data=o)},t.prototype.dispose=function(){},t.prototype.containPoint=function(e,t){var n=t.getData().getItemLayout(0);if(n){var r=e[0]-n.cx,i=e[1]-n.cy,o=Math.sqrt(r*r+i*i);return o<=n.r&&o>=n.r0}},t.type="pie",t}(gy);function JG(e,t,n){t=bt(t)&&{coordDimensions:t}||at({encodeDefine:e.getEncode()},t);var r=e.getSource(),i=cw(r,t).dimensions,o=new lw(i,e);return o.initData(r,n),o}var QG=function(){function e(e,t){this._getDataWithEncodedVisual=e,this._getRawData=t}return e.prototype.getAllNames=function(){var e=this._getRawData();return e.mapArray(e.getName)},e.prototype.containName=function(e){return this._getRawData().indexOfName(e)>=0},e.prototype.indexOfName=function(e){return this._getDataWithEncodedVisual().indexOfName(e)},e.prototype.getItemVisual=function(e,t){return this._getDataWithEncodedVisual().getItemVisual(e,t)},e}();const eH=QG;var tH=Ns();const nH=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.init=function(t){e.prototype.init.apply(this,arguments),this.legendVisualProvider=new eH(_t(this.getData,this),_t(this.getRawData,this)),this._defaultLabelLine(t)},t.prototype.mergeOption=function(){e.prototype.mergeOption.apply(this,arguments)},t.prototype.getInitialData=function(){return JG(this,{coordDimensions:["value"],encodeDefaulter:xt(Sp,this)})},t.prototype.getDataParams=function(t){var n=this.getData(),r=tH(n),i=r.seats;if(!i){var o=[];n.each(n.mapDimension("value"),(function(e){o.push(e)})),i=r.seats=ns(o,n.hostModel.get("percentPrecision"))}var a=e.prototype.getDataParams.call(this,t);return a.percent=i[t]||0,a.$vars.push("percent"),a},t.prototype._defaultLabelLine=function(e){Ss(e,"labelLine",["show"]);var t=e.labelLine,n=e.emphasis.labelLine;t.show=t.show&&e.label.show,n.show=n.show&&e.emphasis.label.show},t.type="series.pie",t.defaultOption={z:2,legendHoverLink:!0,colorBy:"data",center:["50%","50%"],radius:[0,"75%"],clockwise:!0,startAngle:90,endAngle:"auto",padAngle:0,minAngle:0,minShowLabelAngle:0,selectedOffset:10,percentPrecision:2,stillShowZeroSum:!0,left:0,top:0,right:0,bottom:0,width:null,height:null,label:{rotate:0,show:!0,overflow:"truncate",position:"outer",alignTo:"none",edgeDistance:"25%",bleedMargin:10,distanceToLabelLine:5},labelLine:{show:!0,length:15,length2:15,smooth:!1,minTurnAngle:90,maxSurfaceAngle:90,lineStyle:{width:1,type:"solid"}},itemStyle:{borderWidth:1,borderJoin:"round"},showEmptyCircle:!0,emptyCircleStyle:{color:"lightgray",opacity:1},labelLayout:{hideOverlap:!0},emphasis:{scale:!0,scaleSize:5},avoidLabelOverlap:!0,animationType:"expansion",animationDuration:1e3,animationTypeUpdate:"transition",animationEasingUpdate:"cubicInOut",animationDurationUpdate:500,animationEasing:"cubicInOut"},t}(tm),rH=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.hasSymbolVisual=!0,n}return Le(t,e),t.prototype.getInitialData=function(e,t){return yw(null,this,{useEncodeDefaulter:!0})},t.prototype.getProgressive=function(){var e=this.option.progressive;return null==e?this.option.large?5e3:this.get("progressive"):e},t.prototype.getProgressiveThreshold=function(){var e=this.option.progressiveThreshold;return null==e?this.option.large?1e4:this.get("progressiveThreshold"):e},t.prototype.brushSelector=function(e,t,n){return n.point(t.getItemLayout(e))},t.prototype.getZLevelKey=function(){return this.getData().count()>this.getProgressiveThreshold()?this.id:""},t.type="series.scatter",t.dependencies=["grid","polar","geo","singleAxis","calendar"],t.defaultOption={coordinateSystem:"cartesian2d",z:2,legendHoverLink:!0,symbolSize:10,large:!1,largeThreshold:2e3,itemStyle:{opacity:.8},emphasis:{scale:!0},clip:!0,select:{itemStyle:{borderColor:"#212121"}},universalTransition:{divideShape:"clone"}},t}(tm);var iH=function(){},oH=function(e){function t(t){var n=e.call(this,t)||this;return n._off=0,n.hoverDataIdx=-1,n}return Le(t,e),t.prototype.getDefaultShape=function(){return new iH},t.prototype.reset=function(){this.notClear=!1,this._off=0},t.prototype.buildPath=function(e,t){var n,r=t.points,i=t.size,o=this.symbolProxy,a=o.shape,s=e.getContext?e.getContext():e,l=s&&i[0]<4,u=this.softClipShape;if(l)this._ctx=s;else{for(this._ctx=null,n=this._off;n<r.length;){var c=r[n++],h=r[n++];isNaN(c)||isNaN(h)||u&&!u.contain(c,h)||(a.x=c-i[0]/2,a.y=h-i[1]/2,a.width=i[0],a.height=i[1],o.buildPath(e,a,!0))}this.incremental&&(this._off=n,this.notClear=!0)}},t.prototype.afterBrush=function(){var e,t=this.shape,n=t.points,r=t.size,i=this._ctx,o=this.softClipShape;if(i){for(e=this._off;e<n.length;){var a=n[e++],s=n[e++];isNaN(a)||isNaN(s)||o&&!o.contain(a,s)||i.fillRect(a-r[0]/2,s-r[1]/2,r[0],r[1])}this.incremental&&(this._off=e,this.notClear=!0)}},t.prototype.findDataIndex=function(e,t){for(var n=this.shape,r=n.points,i=n.size,o=Math.max(i[0],4),a=Math.max(i[1],4),s=r.length/2-1;s>=0;s--){var l=2*s,u=r[l]-o/2,c=r[l+1]-a/2;if(e>=u&&t>=c&&e<=u+o&&t<=c+a)return s}return-1},t.prototype.contain=function(e,t){var n=this.transformCoordToLocal(e,t),r=this.getBoundingRect();return e=n[0],t=n[1],r.contain(e,t)?(this.hoverDataIdx=this.findDataIndex(e,t))>=0:(this.hoverDataIdx=-1,!1)},t.prototype.getBoundingRect=function(){var e=this._rect;if(!e){for(var t=this.shape,n=t.points,r=t.size,i=r[0],o=r[1],a=1/0,s=1/0,l=-1/0,u=-1/0,c=0;c<n.length;){var h=n[c++],d=n[c++];a=Math.min(h,a),l=Math.max(h,l),s=Math.min(d,s),u=Math.max(d,u)}e=this._rect=new wr(a-i/2,s-o/2,l-a+i,u-s+o)}return e},t}(Eu),aH=function(){function e(){this.group=new Oa}return e.prototype.updateData=function(e,t){this._clear();var n=this._create();n.setShape({points:e.getLayout("points")}),this._setCommon(n,e,t)},e.prototype.updateLayout=function(e){var t=e.getLayout("points");this.group.eachChild((function(e){if(null!=e.startIndex){var n=2*(e.endIndex-e.startIndex),r=4*e.startIndex*2;t=new Float32Array(t.buffer,r,n)}e.setShape("points",t),e.reset()}))},e.prototype.incrementalPrepareUpdate=function(e){this._clear()},e.prototype.incrementalUpdate=function(e,t,n){var r=this._newAdded[0],i=t.getLayout("points"),o=r&&r.shape.points;if(o&&o.length<2e4){var a=o.length,s=new Float32Array(a+i.length);s.set(o),s.set(i,a),r.endIndex=e.end,r.setShape({points:s})}else{this._newAdded=[];var l=this._create();l.startIndex=e.start,l.endIndex=e.end,l.incremental=!0,l.setShape({points:i}),this._setCommon(l,t,n)}},e.prototype.eachRendered=function(e){this._newAdded[0]&&e(this._newAdded[0])},e.prototype._create=function(){var e=new oH({cursor:"default"});return e.ignoreCoarsePointer=!0,this.group.add(e),this._newAdded.push(e),e},e.prototype._setCommon=function(e,t,n){var r=t.hostModel;n=n||{};var i=t.getVisual("symbolSize");e.setShape("size",i instanceof Array?i:[i,i]),e.softClipShape=n.clipShape||null,e.symbolProxy=T_(t.getVisual("symbol"),0,0,0,0),e.setColor=e.symbolProxy.setColor;var o=e.shape.size[0]<4;e.useStyle(r.getModel("itemStyle").getItemStyle(o?["color","shadowBlur","shadowColor"]:["color"]));var a=t.getVisual("style"),s=a&&a.fill;s&&e.setColor(s);var l=lc(e);l.seriesIndex=r.seriesIndex,e.on("mousemove",(function(t){l.dataIndex=null;var n=e.hoverDataIdx;n>=0&&(l.dataIndex=n+(e.startIndex||0))}))},e.prototype.remove=function(){this._clear()},e.prototype._clear=function(){this._newAdded=[],this.group.removeAll()},e}();const sH=aH,lH=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){var r=e.getData();this._updateSymbolDraw(r,e).updateData(r,{clipShape:this._getClipShape(e)}),this._finished=!0},t.prototype.incrementalPrepareRender=function(e,t,n){var r=e.getData();this._updateSymbolDraw(r,e).incrementalPrepareUpdate(r),this._finished=!1},t.prototype.incrementalRender=function(e,t,n){this._symbolDraw.incrementalUpdate(e,t.getData(),{clipShape:this._getClipShape(t)}),this._finished=e.end===t.getData().count()},t.prototype.updateTransform=function(e,t,n){var r=e.getData();if(this.group.dirty(),!this._finished||r.count()>1e4)return{update:!0};var i=lG("").reset(e,t,n);i.progress&&i.progress({start:0,end:r.count(),count:r.count()},r),this._symbolDraw.updateLayout(r)},t.prototype.eachRendered=function(e){this._symbolDraw&&this._symbolDraw.eachRendered(e)},t.prototype._getClipShape=function(e){if(e.get("clip",!0)){var t=e.coordinateSystem;return t&&t.getArea&&t.getArea(.1)}},t.prototype._updateSymbolDraw=function(e,t){var n=this._symbolDraw,r=t.pipelineContext.large;return n&&r===this._isLargeDraw||(n&&n.remove(),n=this._symbolDraw=r?new sH:new kV,this._isLargeDraw=r,this.group.removeAll()),this.group.add(n.group),n},t.prototype.remove=function(e,t){this._symbolDraw&&this._symbolDraw.remove(!0),this._symbolDraw=null},t.prototype.dispose=function(){},t.type="scatter",t}(gy),uH=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.type="grid",t.dependencies=["xAxis","yAxis"],t.layoutMode="box",t.defaultOption={show:!1,z:0,left:"10%",top:60,right:"10%",bottom:70,containLabel:!1,backgroundColor:"rgba(0,0,0,0)",borderWidth:1,borderColor:"#ccc"},t}(sp);var cH=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.getCoordSysModel=function(){return this.getReferringComponents("grid",Fs).models[0]},t.type="cartesian2dAxis",t}(sp);ht(cH,DS);var hH={show:!0,z:0,inverse:!1,name:"",nameLocation:"end",nameRotate:null,nameTruncate:{maxWidth:null,ellipsis:"...",placeholder:"."},nameTextStyle:{},nameGap:15,silent:!1,triggerEvent:!1,tooltip:{show:!1},axisPointer:{},axisLine:{show:!0,onZero:!0,onZeroAxisIndex:null,lineStyle:{color:"#6E7079",width:1,type:"solid"},symbol:["none","none"],symbolSize:[10,15]},axisTick:{show:!0,inside:!1,length:5,lineStyle:{width:1}},axisLabel:{show:!0,inside:!1,rotate:0,showMinLabel:null,showMaxLabel:null,margin:8,fontSize:12},splitLine:{show:!0,lineStyle:{color:["#E0E6F1"],width:1,type:"solid"}},splitArea:{show:!1,areaStyle:{color:["rgba(250,250,250,0.2)","rgba(210,219,238,0.2)"]}}},dH=it({boundaryGap:!0,deduplication:null,splitLine:{show:!1},axisTick:{alignWithLabel:!1,interval:"auto"},axisLabel:{interval:"auto"}},hH),pH=it({boundaryGap:[0,0],axisLine:{show:"auto"},axisTick:{show:"auto"},splitNumber:5,minorTick:{show:!1,splitNumber:5,length:3,lineStyle:{}},minorSplitLine:{show:!1,lineStyle:{color:"#F4F7FD",width:1}}},hH);const fH={category:dH,value:pH,time:it({splitNumber:6,axisLabel:{showMinLabel:!1,showMaxLabel:!1,rich:{primary:{fontWeight:"bold"}}},splitLine:{show:!1}},pH),log:st({logBase:10},pH)};var gH={value:1,category:1,time:1,log:1};function mH(e,t,n,r){pt(gH,(function(i,o){var a=it(it({},fH[o],!0),r,!0),s=function(e){function n(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t+"Axis."+o,n}return Le(n,e),n.prototype.mergeDefaultAndTheme=function(e,t){var n=tp(this),r=n?rp(e):{};it(e,t.getTheme().get(o+"Axis")),it(e,this.getDefaultOption()),e.type=vH(e),n&&np(e,r,n)},n.prototype.optionUpdated=function(){"category"===this.option.type&&(this.__ordinalMeta=Sw.createByAxisModel(this))},n.prototype.getCategories=function(e){var t=this.option;if("category"===t.type)return e?t.data:this.__ordinalMeta.categories},n.prototype.getOrdinalMeta=function(){return this.__ordinalMeta},n.type=t+"Axis."+o,n.defaultOption=a,n}(n);e.registerComponentModel(s)})),e.registerSubTypeDefaulter(t+"Axis",vH)}function vH(e){return e.type||(e.data?"category":"value")}var yH=["x","y"];function _H(e){return"interval"===e.type||"time"===e.type}var xH=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.type="cartesian2d",t.dimensions=yH,t}return Le(t,e),t.prototype.calcAffineTransform=function(){this._transform=this._invTransform=null;var e=this.getAxis("x").scale,t=this.getAxis("y").scale;if(_H(e)&&_H(t)){var n=e.getExtent(),r=t.getExtent(),i=this.dataToPoint([n[0],r[0]]),o=this.dataToPoint([n[1],r[1]]),a=n[1]-n[0],s=r[1]-r[0];if(a&&s){var l=(o[0]-i[0])/a,u=(o[1]-i[1])/s,c=i[0]-n[0]*l,h=i[1]-r[0]*u,d=this._transform=[l,0,0,u,c,h];this._invTransform=ur([],d)}}},t.prototype.getBaseAxis=function(){return this.getAxesByScale("ordinal")[0]||this.getAxesByScale("time")[0]||this.getAxis("x")},t.prototype.containPoint=function(e){var t=this.getAxis("x"),n=this.getAxis("y");return t.contain(t.toLocalCoord(e[0]))&&n.contain(n.toLocalCoord(e[1]))},t.prototype.containData=function(e){return this.getAxis("x").containData(e[0])&&this.getAxis("y").containData(e[1])},t.prototype.containZone=function(e,t){var n=this.dataToPoint(e),r=this.dataToPoint(t),i=this.getArea(),o=new wr(n[0],n[1],r[0]-n[0],r[1]-n[1]);return i.intersect(o)},t.prototype.dataToPoint=function(e,t,n){n=n||[];var r=e[0],i=e[1];if(this._transform&&null!=r&&isFinite(r)&&null!=i&&isFinite(i))return Tn(n,e,this._transform);var o=this.getAxis("x"),a=this.getAxis("y");return n[0]=o.toGlobalCoord(o.dataToCoord(r,t)),n[1]=a.toGlobalCoord(a.dataToCoord(i,t)),n},t.prototype.clampData=function(e,t){var n=this.getAxis("x").scale,r=this.getAxis("y").scale,i=n.getExtent(),o=r.getExtent(),a=n.parse(e[0]),s=r.parse(e[1]);return(t=t||[])[0]=Math.min(Math.max(Math.min(i[0],i[1]),a),Math.max(i[0],i[1])),t[1]=Math.min(Math.max(Math.min(o[0],o[1]),s),Math.max(o[0],o[1])),t},t.prototype.pointToData=function(e,t){var n=[];if(this._invTransform)return Tn(n,e,this._invTransform);var r=this.getAxis("x"),i=this.getAxis("y");return n[0]=r.coordToData(r.toLocalCoord(e[0]),t),n[1]=i.coordToData(i.toLocalCoord(e[1]),t),n},t.prototype.getOtherAxis=function(e){return this.getAxis("x"===e.dim?"y":"x")},t.prototype.getArea=function(e){e=e||0;var t=this.getAxis("x").getGlobalExtent(),n=this.getAxis("y").getGlobalExtent(),r=Math.min(t[0],t[1])-e,i=Math.min(n[0],n[1])-e,o=Math.max(t[0],t[1])-r+e,a=Math.max(n[0],n[1])-i+e;return new wr(r,i,o,a)},t}(pO);const bH=xH;var wH=function(e){function t(t,n,r,i,o){var a=e.call(this,t,n,r)||this;return a.index=0,a.type=i||"value",a.position=o||"bottom",a}return Le(t,e),t.prototype.isHorizontal=function(){var e=this.position;return"top"===e||"bottom"===e},t.prototype.getGlobalExtent=function(e){var t=this.getExtent();return t[0]=this.toGlobalCoord(t[0]),t[1]=this.toGlobalCoord(t[1]),e&&t[0]>t[1]&&t.reverse(),t},t.prototype.pointToData=function(e,t){return this.coordToData(this.toLocalCoord(e["x"===this.dim?0:1]),t)},t.prototype.setCategorySortInfo=function(e){if("category"!==this.type)return!1;this.model.option.categorySortInfo=e,this.scale.setSortInfo(e)},t}(uM);const SH=wH;function MH(e,t,n){n=n||{};var r=e.coordinateSystem,i=t.axis,o={},a=i.getAxesOnZeroOf()[0],s=i.position,l=a?"onZero":s,u=i.dim,c=r.getRect(),h=[c.x,c.x+c.width,c.y,c.y+c.height],d={left:0,right:1,top:0,bottom:1,onZero:2},p=t.get("offset")||0,f="x"===u?[h[2]-p,h[3]+p]:[h[0]-p,h[1]+p];if(a){var g=a.toGlobalCoord(a.dataToCoord(0));f[d.onZero]=Math.max(Math.min(g,f[1]),f[0])}o.position=["y"===u?f[d[l]]:h[0],"x"===u?f[d[l]]:h[3]],o.rotation=Math.PI/2*("x"===u?0:1),o.labelDirection=o.tickDirection=o.nameDirection={top:-1,bottom:1,left:-1,right:1}[s],o.labelOffset=a?f[d[s]]-f[d.onZero]:0,t.get(["axisTick","inside"])&&(o.tickDirection=-o.tickDirection),Nt(n.labelInside,t.get(["axisLabel","inside"]))&&(o.labelDirection=-o.labelDirection);var m=t.get(["axisLabel","rotate"]);return o.labelRotate="top"===l?-m:m,o.z2=1,o}function TH(e){return"cartesian2d"===e.get("coordinateSystem")}function AH(e){var t={xAxisModel:null,yAxisModel:null};return pt(t,(function(n,r){var i=r.replace(/Model$/,""),o=e.getReferringComponents(i,Fs).models[0];t[r]=o})),t}var IH=Math.log;function CH(e,t,n){var r=Rw.prototype,i=r.getTicks.call(n),o=r.getTicks.call(n,!0),a=i.length-1,s=r.getInterval.call(n),l=xS(e,t),u=l.extent,c=l.fixMin,h=l.fixMax;if("log"===e.type){var d=IH(e.base);u=[IH(u[0])/d,IH(u[1])/d]}e.setExtent(u[0],u[1]),e.calcNiceExtent({splitNumber:a,fixMin:c,fixMax:h});var p=r.getExtent.call(e);c&&(u[0]=p[0]),h&&(u[1]=p[1]);var f=r.getInterval.call(e),g=u[0],m=u[1];if(c&&h)f=(m-g)/a;else if(c)for(m=u[0]+f*a;m<u[1]&&isFinite(m)&&isFinite(u[1]);)f=Tw(f),m=u[0]+f*a;else if(h)for(g=u[1]-f*a;g>u[0]&&isFinite(g)&&isFinite(u[0]);)f=Tw(f),g=u[1]-f*a;else{e.getTicks().length-1>a&&(f=Tw(f));var v=f*a;(g=$a((m=Math.ceil(u[1]/f)*f)-v))<0&&u[0]>=0?(g=0,m=$a(v)):m>0&&u[1]<=0&&(m=0,g=-$a(v))}var y=(i[0].value-o[0].value)/s,_=(i[a].value-o[a].value)/s;r.setExtent.call(e,g+f*y,m+f*_),r.setInterval.call(e,f),(y||_)&&r.setNiceExtent.call(e,g+f,m-f)}var DH=function(){function e(e,t,n){this.type="grid",this._coordsMap={},this._coordsList=[],this._axesMap={},this._axesList=[],this.axisPointerEnabled=!0,this.dimensions=yH,this._initCartesian(e,t,n),this.model=e}return e.prototype.getRect=function(){return this._rect},e.prototype.update=function(e,t){var n=this._axesMap;function r(e){var t,n=yt(e),r=n.length;if(r){for(var i=[],o=r-1;o>=0;o--){var a=e[+n[o]],s=a.model,l=a.scale;Mw(l)&&s.get("alignTicks")&&null==s.get("interval")?i.push(a):(bS(l,s),Mw(l)&&(t=a))}i.length&&(t||bS((t=i.pop()).scale,t.model),pt(i,(function(e){CH(e.scale,e.model,t.scale)})))}}this._updateScale(e,this.model),r(n.x),r(n.y);var i={};pt(n.x,(function(e){LH(n,"y",e,i)})),pt(n.y,(function(e){LH(n,"x",e,i)})),this.resize(this.model,t)},e.prototype.resize=function(e,t,n){var r=e.getBoxLayoutParams(),i=!n&&e.get("containLabel"),o=Qd(r,{width:t.getWidth(),height:t.getHeight()});this._rect=o;var a=this._axesList;function s(){pt(a,(function(e){var t=e.isHorizontal(),n=t?[0,o.width]:[0,o.height],r=e.inverse?1:0;e.setExtent(n[r],n[1-r]),function(e,t){var n=e.getExtent(),r=n[0]+n[1];e.toGlobalCoord="x"===e.dim?function(e){return e+t}:function(e){return r-e+t},e.toLocalCoord="x"===e.dim?function(e){return e-t}:function(e){return r-e+t}}(e,t?o.x:o.y)}))}s(),i&&(pt(a,(function(e){if(!e.model.get(["axisLabel","inside"])){var t=function(e){var t=e.model,n=e.scale;if(t.get(["axisLabel","show"])&&!n.isBlank()){var r,i,o=n.getExtent();i=n instanceof Pw?n.count():(r=n.getTicks()).length;var a,s=e.getLabelModel(),l=SS(e),u=1;i>40&&(u=Math.ceil(i/40));for(var c=0;c<i;c+=u){var h=l(r?r[c]:{value:o[0]+c},c),d=TS(s.getTextRect(h),s.get("rotate")||0);a?a.union(d):a=d}return a}}(e);if(t){var n=e.isHorizontal()?"height":"width",r=e.model.get(["axisLabel","margin"]);o[n]-=t[n]+r,"top"===e.position?o.y+=t.height+r:"left"===e.position&&(o.x+=t.width+r)}}})),s()),pt(this._coordsList,(function(e){e.calcAffineTransform()}))},e.prototype.getAxis=function(e,t){var n=this._axesMap[e];if(null!=n)return n[t||0]},e.prototype.getAxes=function(){return this._axesList.slice()},e.prototype.getCartesian=function(e,t){if(null!=e&&null!=t){var n="x"+e+"y"+t;return this._coordsMap[n]}At(e)&&(t=e.yAxisIndex,e=e.xAxisIndex);for(var r=0,i=this._coordsList;r<i.length;r++)if(i[r].getAxis("x").index===e||i[r].getAxis("y").index===t)return i[r]},e.prototype.getCartesians=function(){return this._coordsList.slice()},e.prototype.convertToPixel=function(e,t,n){var r=this._findConvertTarget(t);return r.cartesian?r.cartesian.dataToPoint(n):r.axis?r.axis.toGlobalCoord(r.axis.dataToCoord(n)):null},e.prototype.convertFromPixel=function(e,t,n){var r=this._findConvertTarget(t);return r.cartesian?r.cartesian.pointToData(n):r.axis?r.axis.coordToData(r.axis.toLocalCoord(n)):null},e.prototype._findConvertTarget=function(e){var t,n,r=e.seriesModel,i=e.xAxisModel||r&&r.getReferringComponents("xAxis",Fs).models[0],o=e.yAxisModel||r&&r.getReferringComponents("yAxis",Fs).models[0],a=e.gridModel,s=this._coordsList;return r?ut(s,t=r.coordinateSystem)<0&&(t=null):i&&o?t=this.getCartesian(i.componentIndex,o.componentIndex):i?n=this.getAxis("x",i.componentIndex):o?n=this.getAxis("y",o.componentIndex):a&&a.coordinateSystem===this&&(t=this._coordsList[0]),{cartesian:t,axis:n}},e.prototype.containPoint=function(e){var t=this._coordsList[0];if(t)return t.containPoint(e)},e.prototype._initCartesian=function(e,t,n){var r=this,i=this,o={left:!1,right:!1,top:!1,bottom:!1},a={x:{},y:{}},s={x:0,y:0};if(t.eachComponent("xAxis",l("x"),this),t.eachComponent("yAxis",l("y"),this),!s.x||!s.y)return this._axesMap={},void(this._axesList=[]);function l(t){return function(n,r){if(EH(n,e)){var l=n.get("position");"x"===t?"top"!==l&&"bottom"!==l&&(l=o.bottom?"top":"bottom"):"left"!==l&&"right"!==l&&(l=o.left?"right":"left"),o[l]=!0;var u=new SH(t,wS(n),[0,0],n.get("type"),l),c="category"===u.type;u.onBand=c&&n.get("boundaryGap"),u.inverse=n.get("inverse"),n.axis=u,u.model=n,u.grid=i,u.index=r,i._axesList.push(u),a[t][r]=u,s[t]++}}}this._axesMap=a,pt(a.x,(function(t,n){pt(a.y,(function(i,o){var a="x"+n+"y"+o,s=new bH(a);s.master=r,s.model=e,r._coordsMap[a]=s,r._coordsList.push(s),s.addAxis(t),s.addAxis(i)}))}))},e.prototype._updateScale=function(e,t){function n(e,t){pt(CS(e,t.dim),(function(n){t.scale.unionExtentFromData(e,n)}))}pt(this._axesList,(function(e){if(e.scale.setExtent(1/0,-1/0),"category"===e.type){var t=e.model.get("categorySortInfo");e.scale.setSortInfo(t)}})),e.eachSeries((function(e){if(TH(e)){var r=AH(e),i=r.xAxisModel,o=r.yAxisModel;if(!EH(i,t)||!EH(o,t))return;var a=this.getCartesian(i.componentIndex,o.componentIndex),s=e.getData(),l=a.getAxis("x"),u=a.getAxis("y");n(s,l),n(s,u)}}),this)},e.prototype.getTooltipAxes=function(e){var t=[],n=[];return pt(this.getCartesians(),(function(r){var i=null!=e&&"auto"!==e?r.getAxis(e):r.getBaseAxis(),o=r.getOtherAxis(i);ut(t,i)<0&&t.push(i),ut(n,o)<0&&n.push(o)})),{baseAxes:t,otherAxes:n}},e.create=function(t,n){var r=[];return t.eachComponent("grid",(function(i,o){var a=new e(i,t,n);a.name="grid_"+o,a.resize(i,n,!0),i.coordinateSystem=a,r.push(a)})),t.eachSeries((function(e){if(TH(e)){var t=AH(e),n=t.xAxisModel,r=t.yAxisModel,i=n.getCoordSysModel().coordinateSystem;e.coordinateSystem=i.getCartesian(n.componentIndex,r.componentIndex)}})),r},e.dimensions=yH,e}();function EH(e,t){return e.getCoordSysModel()===t}function LH(e,t,n,r){n.getAxesOnZeroOf=function(){return i?[i]:[]};var i,o=e[t],a=n.model,s=a.get(["axisLine","onZero"]),l=a.get(["axisLine","onZeroAxisIndex"]);if(s){if(null!=l)PH(o[l])&&(i=o[l]);else for(var u in o)if(o.hasOwnProperty(u)&&PH(o[u])&&!r[c(o[u])]){i=o[u];break}i&&(r[c(i)]=!0)}function c(e){return e.dim+"_"+e.index}}function PH(e){return e&&"category"!==e.type&&"time"!==e.type&&function(e){var t=e.scale.getExtent(),n=t[0],r=t[1];return!(n>0&&r>0||n<0&&r<0)}(e)}const OH=DH;var NH=Math.PI,RH=function(){function e(e,t){this.group=new Oa,this.opt=t,this.axisModel=e,st(t,{labelOffset:0,nameDirection:1,tickDirection:1,labelDirection:1,silent:!0,handleAutoShown:function(){return!0}});var n=new Oa({x:t.position[0],y:t.position[1],rotation:t.rotation});n.updateTransform(),this._transformGroup=n}return e.prototype.hasBuilder=function(e){return!!kH[e]},e.prototype.add=function(e){kH[e](this.opt,this.axisModel,this.group,this._transformGroup)},e.prototype.getGroup=function(){return this.group},e.innerTextLayout=function(e,t,n){var r,i,o=os(t-e);return as(o)?(i=n>0?"top":"bottom",r="center"):as(o-NH)?(i=n>0?"bottom":"top",r="center"):(i="middle",r=o>0&&o<NH?n>0?"right":"left":n>0?"left":"right"),{rotation:o,textAlign:r,textVerticalAlign:i}},e.makeAxisEventDataBase=function(e){var t={componentType:e.mainType,componentIndex:e.componentIndex};return t[e.mainType+"Index"]=e.componentIndex,t},e.isLabelSilent=function(e){var t=e.get("tooltip");return e.get("silent")||!(e.get("triggerEvent")||t&&t.show)},e}(),kH={axisLine:function(e,t,n,r){var i=t.get(["axisLine","show"]);if("auto"===i&&e.handleAutoShown&&(i=e.handleAutoShown("axisLine")),i){var o=t.axis.getExtent(),a=r.transform,s=[o[0],0],l=[o[1],0],u=s[0]>l[0];a&&(Tn(s,s,a),Tn(l,l,a));var c=at({lineCap:"round"},t.getModel(["axisLine","lineStyle"]).getLineStyle()),h=new ov({shape:{x1:s[0],y1:s[1],x2:l[0],y2:l[1]},style:c,strokeContainThreshold:e.strokeContainThreshold||5,silent:!0,z2:1});Wv(h.shape,h.style.lineWidth),h.anid="line",n.add(h);var d=t.get(["axisLine","symbol"]);if(null!=d){var p=t.get(["axisLine","symbolSize"]);St(d)&&(d=[d,d]),(St(p)||Tt(p))&&(p=[p,p]);var f=I_(t.get(["axisLine","symbolOffset"])||0,p),g=p[0],m=p[1];pt([{rotate:e.rotation+Math.PI/2,offset:f[0],r:0},{rotate:e.rotation-Math.PI/2,offset:f[1],r:Math.sqrt((s[0]-l[0])*(s[0]-l[0])+(s[1]-l[1])*(s[1]-l[1]))}],(function(t,r){if("none"!==d[r]&&null!=d[r]){var i=T_(d[r],-g/2,-m/2,g,m,c.stroke,!0),o=t.r+t.offset,a=u?l:s;i.attr({rotation:t.rotate,x:a[0]+o*Math.cos(e.rotation),y:a[1]-o*Math.sin(e.rotation),silent:!0,z2:11}),n.add(i)}}))}}},axisTickLabel:function(e,t,n,r){var i=function(e,t,n,r){var i=n.axis,o=n.getModel("axisTick"),a=o.get("show");if("auto"===a&&r.handleAutoShown&&(a=r.handleAutoShown("axisTick")),a&&!i.scale.isBlank()){for(var s=o.getModel("lineStyle"),l=r.tickDirection*o.get("length"),u=VH(i.getTicksCoords(),t.transform,l,st(s.getLineStyle(),{stroke:n.get(["axisLine","lineStyle","color"])}),"ticks"),c=0;c<u.length;c++)e.add(u[c]);return u}}(n,r,t,e),o=function(e,t,n,r){var i=n.axis;if(Nt(r.axisLabelShow,n.get(["axisLabel","show"]))&&!i.scale.isBlank()){var o=n.getModel("axisLabel"),a=o.get("margin"),s=i.getViewLabels(),l=(Nt(r.labelRotate,o.get("rotate"))||0)*NH/180,u=RH.innerTextLayout(r.rotation,l,r.labelDirection),c=n.getCategories&&n.getCategories(!0),h=[],d=RH.isLabelSilent(n),p=n.get("triggerEvent");return pt(s,(function(l,f){var g="ordinal"===i.scale.type?i.scale.getRawOrdinalNumber(l.tickValue):l.tickValue,m=l.formattedLabel,v=l.rawLabel,y=o;if(c&&c[g]){var _=c[g];At(_)&&_.textStyle&&(y=new qh(_.textStyle,o,n.ecModel))}var x=y.getTextColor()||n.get(["axisLine","lineStyle","color"]),b=i.dataToCoord(g),w=y.getShallow("align",!0)||u.textAlign,S=Rt(y.getShallow("alignMinLabel",!0),w),M=Rt(y.getShallow("alignMaxLabel",!0),w),T=y.getShallow("verticalAlign",!0)||y.getShallow("baseline",!0)||u.textVerticalAlign,A=Rt(y.getShallow("verticalAlignMinLabel",!0),T),I=Rt(y.getShallow("verticalAlignMaxLabel",!0),T),C=new sc({x:b,y:r.labelOffset+r.labelDirection*a,rotation:u.rotation,silent:d,z2:10+(l.level||0),style:Th(y,{text:m,align:0===f?S:f===s.length-1?M:w,verticalAlign:0===f?A:f===s.length-1?I:T,fill:wt(x)?x("category"===i.type?v:"value"===i.type?g+"":g,f):x})});if(C.anid="label_"+g,p){var D=RH.makeAxisEventDataBase(n);D.targetType="axisLabel",D.value=v,D.tickIndex=f,"category"===i.type&&(D.dataIndex=g),lc(C).eventData=D}t.add(C),C.updateTransform(),h.push(C),e.add(C),C.decomposeTransform()})),h}}(n,r,t,e);(function(e,t,n){if(!IS(e.axis)){var r=e.get(["axisLabel","showMinLabel"]),i=e.get(["axisLabel","showMaxLabel"]);n=n||[];var o=(t=t||[])[0],a=t[1],s=t[t.length-1],l=t[t.length-2],u=n[0],c=n[1],h=n[n.length-1],d=n[n.length-2];!1===r?(BH(o),BH(u)):FH(o,a)&&(r?(BH(a),BH(c)):(BH(o),BH(u))),!1===i?(BH(s),BH(h)):FH(l,s)&&(i?(BH(l),BH(d)):(BH(s),BH(h)))}})(t,o,i),function(e,t,n,r){var i=n.axis,o=n.getModel("minorTick");if(o.get("show")&&!i.scale.isBlank()){var a=i.getMinorTicksCoords();if(a.length)for(var s=o.getModel("lineStyle"),l=r*o.get("length"),u=st(s.getLineStyle(),st(n.getModel("axisTick").getLineStyle(),{stroke:n.get(["axisLine","lineStyle","color"])})),c=0;c<a.length;c++)for(var h=VH(a[c],t.transform,l,u,"minorticks_"+c),d=0;d<h.length;d++)e.add(h[d])}}(n,r,t,e.tickDirection),t.get(["axisLabel","hideOverlap"])&&GM(FM(ft(o,(function(e){return{label:e,priority:e.z2,defaultAttr:{ignore:e.ignore}}}))))},axisName:function(e,t,n,r){var i=Nt(e.axisName,t.get("name"));if(i){var o,a,s=t.get("nameLocation"),l=e.nameDirection,u=t.getModel("nameTextStyle"),c=t.get("nameGap")||0,h=t.axis.getExtent(),d=h[0]>h[1]?-1:1,p=["start"===s?h[0]-d*c:"end"===s?h[1]+d*c:(h[0]+h[1])/2,zH(s)?e.labelOffset+l*c:0],f=t.get("nameRotate");null!=f&&(f=f*NH/180),zH(s)?o=RH.innerTextLayout(e.rotation,null!=f?f:e.rotation,l):(o=function(e,t,n,r){var i,o,a=os(n-e),s=r[0]>r[1],l="start"===t&&!s||"start"!==t&&s;return as(a-NH/2)?(o=l?"bottom":"top",i="center"):as(a-1.5*NH)?(o=l?"top":"bottom",i="center"):(o="middle",i=a<1.5*NH&&a>NH/2?l?"left":"right":l?"right":"left"),{rotation:a,textAlign:i,textVerticalAlign:o}}(e.rotation,s,f||0,h),null!=(a=e.axisNameAvailableWidth)&&(a=Math.abs(a/Math.sin(o.rotation)),!isFinite(a)&&(a=null)));var g=u.getFont(),m=t.get("nameTruncate",!0)||{},v=m.ellipsis,y=Nt(e.nameTruncateMaxWidth,m.maxWidth,a),_=new sc({x:p[0],y:p[1],rotation:o.rotation,silent:RH.isLabelSilent(t),style:Th(u,{text:i,font:g,overflow:"truncate",width:y,ellipsis:v,fill:u.getTextColor()||t.get(["axisLine","lineStyle","color"]),align:u.get("align")||o.textAlign,verticalAlign:u.get("verticalAlign")||o.textVerticalAlign}),z2:1});if(iy({el:_,componentModel:t,itemName:i}),_.__fullText=i,_.anid="name",t.get("triggerEvent")){var x=RH.makeAxisEventDataBase(t);x.targetType="axisName",x.name=i,lc(_).eventData=x}r.add(_),_.updateTransform(),n.add(_),_.decomposeTransform()}}};function BH(e){e&&(e.ignore=!0)}function FH(e,t){var n=e&&e.getBoundingRect().clone(),r=t&&t.getBoundingRect().clone();if(n&&r){var i=rr([]);return sr(i,i,-e.rotation),n.applyTransform(or([],i,e.getLocalTransform())),r.applyTransform(or([],i,t.getLocalTransform())),n.intersect(r)}}function zH(e){return"middle"===e||"center"===e}function VH(e,t,n,r,i){for(var o=[],a=[],s=[],l=0;l<e.length;l++){var u=e[l].coord;a[0]=u,a[1]=0,s[0]=u,s[1]=n,t&&(Tn(a,a,t),Tn(s,s,t));var c=new ov({shape:{x1:a[0],y1:a[1],x2:s[0],y2:s[1]},style:r,z2:2,autoBatch:!0,silent:!0});Wv(c.shape,c.style.lineWidth),c.anid=i+"_"+e[l].tickValue,o.push(c)}return o}const GH=RH;function HH(e,t){return"all"===e||bt(e)&&ut(e,t)>=0||e===t}function UH(e){var t=(e.ecModel.getComponent("axisPointer")||{}).coordSysAxesInfo;return t&&t.axesInfo[jH(e)]}function WH(e){return!!e.get(["handle","show"])}function jH(e){return e.type+"||"+e.id}var XH={},YH=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(t,n,r,i){this.axisPointerClass&&function(e){var t=UH(e);if(t){var n=t.axisPointerModel,r=t.axis.scale,i=n.option,o=n.get("status"),a=n.get("value");null!=a&&(a=r.parse(a));var s=WH(n);null==o&&(i.status=s?"show":"hide");var l=r.getExtent().slice();l[0]>l[1]&&l.reverse(),(null==a||a>l[1])&&(a=l[1]),a<l[0]&&(a=l[0]),i.value=a,s&&(i.status=t.axis.scale.isBlank()?"hide":"show")}}(t),e.prototype.render.apply(this,arguments),this._doUpdateAxisPointerClass(t,r,!0)},t.prototype.updateAxisPointer=function(e,t,n,r){this._doUpdateAxisPointerClass(e,n,!1)},t.prototype.remove=function(e,t){var n=this._axisPointer;n&&n.remove(t)},t.prototype.dispose=function(t,n){this._disposeAxisPointer(n),e.prototype.dispose.apply(this,arguments)},t.prototype._doUpdateAxisPointerClass=function(e,n,r){var i=t.getAxisPointerClass(this.axisPointerClass);if(i){var o=function(e){var t=UH(e);return t&&t.axisPointerModel}(e);o?(this._axisPointer||(this._axisPointer=new i)).render(e,o,n,r):this._disposeAxisPointer(n)}},t.prototype._disposeAxisPointer=function(e){this._axisPointer&&this._axisPointer.dispose(e),this._axisPointer=null},t.registerAxisPointerClass=function(e,t){XH[e]=t},t.getAxisPointerClass=function(e){return e&&XH[e]},t.type="axis",t}(rm);const ZH=YH;var qH=Ns();function $H(e,t,n,r){var i=n.axis;if(!i.scale.isBlank()){var o=n.getModel("splitArea"),a=o.getModel("areaStyle"),s=a.get("color"),l=r.coordinateSystem.getRect(),u=i.getTicksCoords({tickModel:o,clamp:!0});if(u.length){var c=s.length,h=qH(e).splitAreaColors,d=Yt(),p=0;if(h)for(var f=0;f<u.length;f++){var g=h.get(u[f].tickValue);if(null!=g){p=(g+(c-1)*f)%c;break}}var m=i.toGlobalCoord(u[0].coord),v=a.getAreaStyle();for(s=bt(s)?s:[s],f=1;f<u.length;f++){var y=i.toGlobalCoord(u[f].coord),_=void 0,x=void 0,b=void 0,w=void 0;i.isHorizontal()?(_=m,x=l.y,b=y-_,w=l.height,m=_+b):(_=l.x,x=m,b=l.width,m=x+(w=y-x));var S=u[f-1].tickValue;null!=S&&d.set(S,p),t.add(new ju({anid:null!=S?"area_"+S:null,shape:{x:_,y:x,width:b,height:w},style:st({fill:s[p]},v),autoBatch:!0,silent:!0})),p=(p+1)%c}qH(e).splitAreaColors=d}}}function KH(e){qH(e).splitAreaColors=null}var JH=["axisLine","axisTickLabel","axisName"],QH=["splitArea","splitLine","minorSplitLine"],eU=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.axisPointerClass="CartesianAxisPointer",n}return Le(t,e),t.prototype.render=function(t,n,r,i){this.group.removeAll();var o=this._axisGroup;if(this._axisGroup=new Oa,this.group.add(this._axisGroup),t.get("show")){var a=t.getCoordSysModel(),s=MH(a,t),l=new GH(t,at({handleAutoShown:function(e){for(var n=a.coordinateSystem.getCartesians(),r=0;r<n.length;r++)if(Mw(n[r].getOtherAxis(t.axis).scale))return!0;return!1}},s));pt(JH,l.add,l),this._axisGroup.add(l.getGroup()),pt(QH,(function(e){t.get([e,"show"])&&tU[e](this,this._axisGroup,t,a)}),this),i&&"changeAxisOrder"===i.type&&i.isInitSort||Kv(o,this._axisGroup,t),e.prototype.render.call(this,t,n,r,i)}},t.prototype.remove=function(){KH(this)},t.type="cartesianAxis",t}(ZH),tU={splitLine:function(e,t,n,r){var i=n.axis;if(!i.scale.isBlank()){var o=n.getModel("splitLine"),a=o.getModel("lineStyle"),s=a.get("color");s=bt(s)?s:[s];for(var l=r.coordinateSystem.getRect(),u=i.isHorizontal(),c=0,h=i.getTicksCoords({tickModel:o}),d=[],p=[],f=a.getLineStyle(),g=0;g<h.length;g++){var m=i.toGlobalCoord(h[g].coord);u?(d[0]=m,d[1]=l.y,p[0]=m,p[1]=l.y+l.height):(d[0]=l.x,d[1]=m,p[0]=l.x+l.width,p[1]=m);var v=c++%s.length,y=h[g].tickValue,_=new ov({anid:null!=y?"line_"+h[g].tickValue:null,autoBatch:!0,shape:{x1:d[0],y1:d[1],x2:p[0],y2:p[1]},style:st({stroke:s[v]},f),silent:!0});Wv(_.shape,f.lineWidth),t.add(_)}}},minorSplitLine:function(e,t,n,r){var i=n.axis,o=n.getModel("minorSplitLine").getModel("lineStyle"),a=r.coordinateSystem.getRect(),s=i.isHorizontal(),l=i.getMinorTicksCoords();if(l.length)for(var u=[],c=[],h=o.getLineStyle(),d=0;d<l.length;d++)for(var p=0;p<l[d].length;p++){var f=i.toGlobalCoord(l[d][p].coord);s?(u[0]=f,u[1]=a.y,c[0]=f,c[1]=a.y+a.height):(u[0]=a.x,u[1]=f,c[0]=a.x+a.width,c[1]=f);var g=new ov({anid:"minor_line_"+l[d][p].tickValue,autoBatch:!0,shape:{x1:u[0],y1:u[1],x2:c[0],y2:c[1]},style:h,silent:!0});Wv(g.shape,h.lineWidth),t.add(g)}},splitArea:function(e,t,n,r){$H(e,t,n,r)}},nU=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="xAxis",t}(eU),rU=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.type=nU.type,t}return Le(t,e),t.type="yAxis",t}(eU),iU=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.type="grid",t}return Le(t,e),t.prototype.render=function(e,t){this.group.removeAll(),e.get("show")&&this.group.add(new ju({shape:e.coordinateSystem.getRect(),style:st({fill:e.get("backgroundColor")},e.getItemStyle()),silent:!0,z2:-1}))},t.type="grid",t}(rm),oU={offset:0};function aU(e){e.registerComponentView(iU),e.registerComponentModel(uH),e.registerCoordinateSystem("cartesian2d",OH),mH(e,"x",cH,oU),mH(e,"y",cH,oU),e.registerComponentView(nU),e.registerComponentView(rU),e.registerPreprocessor((function(e){e.xAxis&&e.yAxis&&!e.grid&&(e.grid={})}))}function sU(e){e.eachSeriesByType("radar",(function(e){var t=e.getData(),n=[],r=e.coordinateSystem;if(r){var i=r.getIndicatorAxes();pt(i,(function(e,o){t.each(t.mapDimension(i[o].dim),(function(e,t){n[t]=n[t]||[];var i=r.dataToPoint(e,o);n[t][o]=lU(i)?i:uU(r)}))})),t.each((function(e){var i=vt(n[e],(function(e){return lU(e)}))||uU(r);n[e].push(i.slice()),t.setItemLayout(e,n[e])}))}}))}function lU(e){return!isNaN(e[0])&&!isNaN(e[1])}function uU(e){return[e.cx,e.cy]}function cU(e){var t=e.polar;if(t){bt(t)||(t=[t]);var n=[];pt(t,(function(t,r){t.indicator?(t.type&&!t.shape&&(t.shape=t.type),e.radar=e.radar||[],bt(e.radar)||(e.radar=[e.radar]),e.radar.push(t)):n.push(t)})),e.polar=n}pt(e.series,(function(e){e&&"radar"===e.type&&e.polarIndex&&(e.radarIndex=e.polarIndex)}))}var hU=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){var r=e.coordinateSystem,i=this.group,a=e.getData(),s=this._data;function l(e,t){var n=e.getItemVisual(t,"symbol")||"circle";if("none"!==n){var r=A_(e.getItemVisual(t,"symbolSize")),i=T_(n,-1,-1,2,2),o=e.getItemVisual(t,"symbolRotate")||0;return i.attr({style:{strokeNoScale:!0},z2:100,scaleX:r[0]/2,scaleY:r[1]/2,rotation:o*Math.PI/180||0}),i}}function u(t,n,r,i,a,s){r.removeAll();for(var u=0;u<n.length-1;u++){var c=l(i,a);c&&(c.__dimIdx=u,t[u]?(c.setPosition(t[u]),o[s?"initProps":"updateProps"](c,{x:n[u][0],y:n[u][1]},e,a)):c.setPosition(n[u]),r.add(c))}}function c(e){return ft(e,(function(e){return[r.cx,r.cy]}))}a.diff(s).add((function(t){var n=a.getItemLayout(t);if(n){var r=new Jm,i=new tv,o={shape:{points:n}};r.shape.points=c(n),i.shape.points=c(n),fh(r,o,e,t),fh(i,o,e,t);var s=new Oa,l=new Oa;s.add(i),s.add(r),s.add(l),u(i.shape.points,n,l,a,t,!0),a.setItemGraphicEl(t,s)}})).update((function(t,n){var r=s.getItemGraphicEl(n),i=r.childAt(0),o=r.childAt(1),l=r.childAt(2),c={shape:{points:a.getItemLayout(t)}};c.shape.points&&(u(i.shape.points,c.shape.points,l,a,t,!1),_h(o),_h(i),ph(i,c,e),ph(o,c,e),a.setItemGraphicEl(t,r))})).remove((function(e){i.remove(s.getItemGraphicEl(e))})).execute(),a.eachItemGraphicEl((function(e,t){var n=a.getItemModel(t),r=e.childAt(0),o=e.childAt(1),s=e.childAt(2),l=a.getItemVisual(t,"style"),u=l.fill;i.add(e),r.useStyle(st(n.getModel("lineStyle").getLineStyle(),{fill:"none",stroke:u})),oh(r,n,"lineStyle"),oh(o,n,"areaStyle");var c=n.getModel("areaStyle"),h=c.isEmpty()&&c.parentModel.isEmpty();o.ignore=h,pt(["emphasis","select","blur"],(function(e){var t=n.getModel([e,"areaStyle"]),r=t.isEmpty()&&t.parentModel.isEmpty();o.ensureState(e).ignore=r&&h})),o.useStyle(st(c.getAreaStyle(),{fill:u,opacity:.7,decal:l.decal}));var d=n.getModel("emphasis"),p=d.getModel("itemStyle").getItemStyle();s.eachChild((function(e){if(e instanceof Bu){var r=e.style;e.useStyle(at({image:r.image,x:r.x,y:r.y,width:r.width,height:r.height},l))}else e.useStyle(l),e.setColor(u),e.style.strokeNoScale=!0;e.ensureState("emphasis").style=rt(p);var i=a.getStore().get(a.getDimensionIndex(e.__dimIdx),t);(null==i||isNaN(i))&&(i=""),Sh(e,Mh(n),{labelFetcher:a.hostModel,labelDataIndex:t,labelDimIndex:e.__dimIdx,defaultText:i,inheritColor:u,defaultOpacity:l.opacity})})),th(e,d.get("focus"),d.get("blurScope"),d.get("disabled"))})),this._data=a},t.prototype.remove=function(){this.group.removeAll(),this._data=null},t.type="radar",t}(gy);const dU=hU;var pU=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.hasSymbolVisual=!0,n}return Le(t,e),t.prototype.init=function(t){e.prototype.init.apply(this,arguments),this.legendVisualProvider=new eH(_t(this.getData,this),_t(this.getRawData,this))},t.prototype.getInitialData=function(e,t){return JG(this,{generateCoord:"indicator_",generateCoordCount:1/0})},t.prototype.formatTooltip=function(e,t,n){var r=this.getData(),i=this.coordinateSystem.getIndicatorAxes(),o=this.getData().getName(e),a=""===o?this.name:o,s=Vg(this,e);return Lg("section",{header:a,sortBlocks:!0,blocks:ft(i,(function(t){var n=r.get(r.mapDimension(t.dim),e);return Lg("nameValue",{markerType:"subItem",markerColor:s,name:t.name,value:n,sortParam:n})}))})},t.prototype.getTooltipPosition=function(e){if(null!=e)for(var t=this.getData(),n=this.coordinateSystem,r=t.getValues(ft(n.dimensions,(function(e){return t.mapDimension(e)})),e),i=0,o=r.length;i<o;i++)if(!isNaN(r[i])){var a=n.getIndicatorAxes();return n.coordToPoint(a[i].dataToCoord(r[i]),i)}},t.type="series.radar",t.dependencies=["radar"],t.defaultOption={z:2,colorBy:"data",coordinateSystem:"radar",legendHoverLink:!0,radarIndex:0,lineStyle:{width:2,type:"solid",join:"round"},label:{position:"top"},symbolSize:8},t}(tm);const fU=pU;var gU=fH.value;function mU(e,t){return st({show:t},e)}var vU=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.optionUpdated=function(){var e=this.get("boundaryGap"),t=this.get("splitNumber"),n=this.get("scale"),r=this.get("axisLine"),i=this.get("axisTick"),o=this.get("axisLabel"),a=this.get("axisName"),s=this.get(["axisName","show"]),l=this.get(["axisName","formatter"]),u=this.get("axisNameGap"),c=this.get("triggerEvent"),h=ft(this.get("indicator")||[],(function(h){null!=h.max&&h.max>0&&!h.min?h.min=0:null!=h.min&&h.min<0&&!h.max&&(h.max=0);var d=a;null!=h.color&&(d=st({color:h.color},a));var p=it(rt(h),{boundaryGap:e,splitNumber:t,scale:n,axisLine:r,axisTick:i,axisLabel:o,name:h.text,showName:s,nameLocation:"end",nameGap:u,nameTextStyle:d,triggerEvent:c},!1);if(St(l)){var f=p.name;p.name=l.replace("{value}",null!=f?f:"")}else wt(l)&&(p.name=l(p.name,p));var g=new qh(p,null,this.ecModel);return ht(g,DS.prototype),g.mainType="radar",g.componentIndex=this.componentIndex,g}),this);this._indicatorModels=h},t.prototype.getIndicatorModels=function(){return this._indicatorModels},t.type="radar",t.defaultOption={z:0,center:["50%","50%"],radius:"75%",startAngle:90,axisName:{show:!0},boundaryGap:[0,0],splitNumber:5,axisNameGap:15,scale:!1,shape:"polygon",axisLine:it({lineStyle:{color:"#bbb"}},gU.axisLine),axisLabel:mU(gU.axisLabel,!1),axisTick:mU(gU.axisTick,!1),splitLine:mU(gU.splitLine,!0),splitArea:mU(gU.splitArea,!0),indicator:[]},t}(sp);const yU=vU;var _U=["axisLine","axisTickLabel","axisName"],xU=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){this.group.removeAll(),this._buildAxes(e),this._buildSplitLineAndArea(e)},t.prototype._buildAxes=function(e){var t=e.coordinateSystem;pt(ft(t.getIndicatorAxes(),(function(e){var n=e.model.get("showName")?e.name:"";return new GH(e.model,{axisName:n,position:[t.cx,t.cy],rotation:e.angle,labelDirection:-1,tickDirection:-1,nameDirection:1})})),(function(e){pt(_U,e.add,e),this.group.add(e.getGroup())}),this)},t.prototype._buildSplitLineAndArea=function(e){var t=e.coordinateSystem,n=t.getIndicatorAxes();if(n.length){var r=e.get("shape"),i=e.getModel("splitLine"),o=e.getModel("splitArea"),a=i.getModel("lineStyle"),s=o.getModel("areaStyle"),l=i.get("show"),u=o.get("show"),c=a.get("color"),h=s.get("color"),d=bt(c)?c:[c],p=bt(h)?h:[h],f=[],g=[];if("circle"===r)for(var m=n[0].getTicksCoords(),v=t.cx,y=t.cy,_=0;_<m.length;_++)l&&f[I(f,d,_)].push(new Im({shape:{cx:v,cy:y,r:m[_].coord}})),u&&_<m.length-1&&g[I(g,p,_)].push(new Zm({shape:{cx:v,cy:y,r0:m[_].coord,r:m[_+1].coord}}));else{var x,b=ft(n,(function(e,n){var r=e.getTicksCoords();return x=null==x?r.length-1:Math.min(r.length-1,x),ft(r,(function(e){return t.coordToPoint(e.coord,n)}))})),w=[];for(_=0;_<=x;_++){for(var S=[],M=0;M<n.length;M++)S.push(b[M][_]);S[0]&&S.push(S[0].slice()),l&&f[I(f,d,_)].push(new tv({shape:{points:S}})),u&&w&&g[I(g,p,_-1)].push(new Jm({shape:{points:S.concat(w)}})),w=S.slice().reverse()}}var T=a.getLineStyle(),A=s.getAreaStyle();pt(g,(function(e,t){this.group.add(Hv(e,{style:st({stroke:"none",fill:p[t%p.length]},A),silent:!0}))}),this),pt(f,(function(e,t){this.group.add(Hv(e,{style:st({fill:"none",stroke:d[t%d.length]},T),silent:!0}))}),this)}function I(e,t,n){var r=n%t.length;return e[r]=e[r]||[],r}},t.type="radar",t}(rm);const bU=xU;var wU=function(e){function t(t,n,r){var i=e.call(this,t,n,r)||this;return i.type="value",i.angle=0,i.name="",i}return Le(t,e),t}(uM);const SU=wU;var MU=function(){function e(e,t,n){this.dimensions=[],this._model=e,this._indicatorAxes=ft(e.getIndicatorModels(),(function(e,t){var n="indicator_"+t,r=new SU(n,new Rw);return r.name=e.get("name"),r.model=e,e.axis=r,this.dimensions.push(n),r}),this),this.resize(e,n)}return e.prototype.getIndicatorAxes=function(){return this._indicatorAxes},e.prototype.dataToPoint=function(e,t){var n=this._indicatorAxes[t];return this.coordToPoint(n.dataToCoord(e),t)},e.prototype.coordToPoint=function(e,t){var n=this._indicatorAxes[t].angle;return[this.cx+e*Math.cos(n),this.cy-e*Math.sin(n)]},e.prototype.pointToData=function(e){var t=e[0]-this.cx,n=e[1]-this.cy,r=Math.sqrt(t*t+n*n);t/=r,n/=r;for(var i,o=Math.atan2(-n,t),a=1/0,s=-1,l=0;l<this._indicatorAxes.length;l++){var u=this._indicatorAxes[l],c=Math.abs(o-u.angle);c<a&&(i=u,s=l,a=c)}return[s,+(i&&i.coordToData(r))]},e.prototype.resize=function(e,t){var n=e.get("center"),r=t.getWidth(),i=t.getHeight(),o=Math.min(r,i)/2;this.cx=qa(n[0],r),this.cy=qa(n[1],i),this.startAngle=e.get("startAngle")*Math.PI/180;var a=e.get("radius");(St(a)||Tt(a))&&(a=[0,a]),this.r0=qa(a[0],o),this.r=qa(a[1],o),pt(this._indicatorAxes,(function(e,t){e.setExtent(this.r0,this.r);var n=this.startAngle+t*Math.PI*2/this._indicatorAxes.length;n=Math.atan2(Math.sin(n),Math.cos(n)),e.angle=n}),this)},e.prototype.update=function(e,t){var n=this._indicatorAxes,r=this._model;pt(n,(function(e){e.scale.setExtent(1/0,-1/0)})),e.eachSeriesByType("radar",(function(t,i){if("radar"===t.get("coordinateSystem")&&e.getComponent("radar",t.get("radarIndex"))===r){var o=t.getData();pt(n,(function(e){e.scale.unionExtentFromData(o,o.mapDimension(e.dim))}))}}),this);var i=r.get("splitNumber"),o=new Rw;o.setExtent(0,i),o.setInterval(1),pt(n,(function(e,t){CH(e.scale,e.model,o)}))},e.prototype.convertToPixel=function(e,t,n){return console.warn("Not implemented."),null},e.prototype.convertFromPixel=function(e,t,n){return console.warn("Not implemented."),null},e.prototype.containPoint=function(e){return console.warn("Not implemented."),!1},e.create=function(t,n){var r=[];return t.eachComponent("radar",(function(i){var o=new e(i,t,n);r.push(o),i.coordinateSystem=o})),t.eachSeriesByType("radar",(function(e){"radar"===e.get("coordinateSystem")&&(e.coordinateSystem=r[e.get("radarIndex")||0])})),r},e.dimensions=[],e}();const TU=MU;function AU(e){e.registerCoordinateSystem("radar",TU),e.registerComponentModel(yU),e.registerComponentView(bU),e.registerVisual({seriesType:"radar",reset:function(e){var t=e.getData();t.each((function(e){t.setItemVisual(e,"legendIcon","roundRect")})),t.setVisual("legendIcon","roundRect")}})}var IU="\0_ec_interaction_mutex";function CU(e,t){return!!DU(e)[t]}function DU(e){return e[IU]||(e[IU]={})}bb({type:"takeGlobalCursor",event:"globalCursorTaken",update:"update"},Jt);var EU=function(e){function t(t){var n=e.call(this)||this;n._zr=t;var r=_t(n._mousedownHandler,n),i=_t(n._mousemoveHandler,n),o=_t(n._mouseupHandler,n),a=_t(n._mousewheelHandler,n),s=_t(n._pinchHandler,n);return n.enable=function(e,n){this.disable(),this._opt=st(rt(n)||{},{zoomOnMouseWheel:!0,moveOnMouseMove:!0,moveOnMouseWheel:!1,preventDefaultMouseMove:!0}),null==e&&(e=!0),!0!==e&&"move"!==e&&"pan"!==e||(t.on("mousedown",r),t.on("mousemove",i),t.on("mouseup",o)),!0!==e&&"scale"!==e&&"zoom"!==e||(t.on("mousewheel",a),t.on("pinch",s))},n.disable=function(){t.off("mousedown",r),t.off("mousemove",i),t.off("mouseup",o),t.off("mousewheel",a),t.off("pinch",s)},n}return Le(t,e),t.prototype.isDragging=function(){return this._dragging},t.prototype.isPinching=function(){return this._pinching},t.prototype.setPointerChecker=function(e){this.pointerChecker=e},t.prototype.dispose=function(){this.disable()},t.prototype._mousedownHandler=function(e){if(!Jn(e)){for(var t=e.target;t;){if(t.draggable)return;t=t.__hostTarget||t.parent}var n=e.offsetX,r=e.offsetY;this.pointerChecker&&this.pointerChecker(e,n,r)&&(this._x=n,this._y=r,this._dragging=!0)}},t.prototype._mousemoveHandler=function(e){if(this._dragging&&OU("moveOnMouseMove",e,this._opt)&&"pinch"!==e.gestureEvent&&!CU(this._zr,"globalPan")){var t=e.offsetX,n=e.offsetY,r=this._x,i=this._y,o=t-r,a=n-i;this._x=t,this._y=n,this._opt.preventDefaultMouseMove&&Kn(e.event),PU(this,"pan","moveOnMouseMove",e,{dx:o,dy:a,oldX:r,oldY:i,newX:t,newY:n,isAvailableBehavior:null})}},t.prototype._mouseupHandler=function(e){Jn(e)||(this._dragging=!1)},t.prototype._mousewheelHandler=function(e){var t=OU("zoomOnMouseWheel",e,this._opt),n=OU("moveOnMouseWheel",e,this._opt),r=e.wheelDelta,i=Math.abs(r),o=e.offsetX,a=e.offsetY;if(0!==r&&(t||n)){if(t){var s=i>3?1.4:i>1?1.2:1.1;LU(this,"zoom","zoomOnMouseWheel",e,{scale:r>0?s:1/s,originX:o,originY:a,isAvailableBehavior:null})}if(n){var l=Math.abs(r);LU(this,"scrollMove","moveOnMouseWheel",e,{scrollDelta:(r>0?1:-1)*(l>3?.4:l>1?.15:.05),originX:o,originY:a,isAvailableBehavior:null})}}},t.prototype._pinchHandler=function(e){CU(this._zr,"globalPan")||LU(this,"zoom",null,e,{scale:e.pinchScale>1?1.1:1/1.1,originX:e.pinchX,originY:e.pinchY,isAvailableBehavior:null})},t}(Pn);function LU(e,t,n,r,i){e.pointerChecker&&e.pointerChecker(r,i.originX,i.originY)&&(Kn(r.event),PU(e,t,n,r,i))}function PU(e,t,n,r,i){i.isAvailableBehavior=_t(OU,null,n,r),e.trigger(t,i)}function OU(e,t,n){var r=n[e];return!e||r&&(!St(r)||t.event[r+"Key"])}const NU=EU;function RU(e,t,n){var r=e.target;r.x+=t,r.y+=n,r.dirty()}function kU(e,t,n,r){var i=e.target,o=e.zoomLimit,a=e.zoom=e.zoom||1;if(a*=t,o){var s=o.min||0,l=o.max||1/0;a=Math.max(Math.min(l,a),s)}var u=a/e.zoom;e.zoom=a,i.x-=(n-i.x)*(u-1),i.y-=(r-i.y)*(u-1),i.scaleX*=u,i.scaleY*=u,i.dirty()}var BU,FU={axisPointer:1,tooltip:1,brush:1};function zU(e,t,n){var r=t.getComponentByElement(e.topTarget),i=r&&r.coordinateSystem;return r&&r!==n&&!FU.hasOwnProperty(r.mainType)&&i&&i.model!==n}function VU(e){St(e)&&(e=(new DOMParser).parseFromString(e,"text/xml"));var t=e;for(9===t.nodeType&&(t=t.firstChild);"svg"!==t.nodeName.toLowerCase()||1!==t.nodeType;)t=t.nextSibling;return t}var GU={fill:"fill",stroke:"stroke","stroke-width":"lineWidth",opacity:"opacity","fill-opacity":"fillOpacity","stroke-opacity":"strokeOpacity","stroke-dasharray":"lineDash","stroke-dashoffset":"lineDashOffset","stroke-linecap":"lineCap","stroke-linejoin":"lineJoin","stroke-miterlimit":"miterLimit","font-family":"fontFamily","font-size":"fontSize","font-style":"fontStyle","font-weight":"fontWeight","text-anchor":"textAlign",visibility:"visibility",display:"display"},HU=yt(GU),UU={"alignment-baseline":"textBaseline","stop-color":"stopColor"},WU=yt(UU),jU=function(){function e(){this._defs={},this._root=null}return e.prototype.parse=function(e,t){t=t||{};var n=VU(e);this._defsUsePending=[];var r=new Oa;this._root=r;var i=[],o=n.getAttribute("viewBox")||"",a=parseFloat(n.getAttribute("width")||t.width),s=parseFloat(n.getAttribute("height")||t.height);isNaN(a)&&(a=null),isNaN(s)&&(s=null),KU(n,r,null,!0,!1);for(var l,u,c=n.firstChild;c;)this._parseNode(c,r,i,null,!1,!1),c=c.nextSibling;if(function(e,t){for(var n=0;n<t.length;n++){var r=t[n];r[0].style[r[1]]=e[r[2]]}}(this._defs,this._defsUsePending),this._defsUsePending=[],o){var h=tW(o);h.length>=4&&(l={x:parseFloat(h[0]||0),y:parseFloat(h[1]||0),width:parseFloat(h[2]),height:parseFloat(h[3])})}if(l&&null!=a&&null!=s&&(u=aW(l,{x:0,y:0,width:a,height:s}),!t.ignoreViewBox)){var d=r;(r=new Oa).add(d),d.scaleX=d.scaleY=u.scale,d.x=u.x,d.y=u.y}return t.ignoreRootClip||null==a||null==s||r.setClipPath(new ju({shape:{x:0,y:0,width:a,height:s}})),{root:r,width:a,height:s,viewBoxRect:l,viewBoxTransform:u,named:i}},e.prototype._parseNode=function(e,t,n,r,i,o){var a,s=e.nodeName.toLowerCase(),l=r;if("defs"===s&&(i=!0),"text"===s&&(o=!0),"defs"===s||"switch"===s)a=t;else{if(!i){var u=BU[s];if(u&&Kt(BU,s)){a=u.call(this,e,t);var c=e.getAttribute("name");if(c){var h={name:c,namedFrom:null,svgNodeTagLower:s,el:a};n.push(h),"g"===s&&(l=h)}else r&&n.push({name:r.name,namedFrom:r,svgNodeTagLower:s,el:a});t.add(a)}}var d=XU[s];if(d&&Kt(XU,s)){var p=d.call(this,e),f=e.getAttribute("id");f&&(this._defs[f]=p)}}if(a&&a.isGroup)for(var g=e.firstChild;g;)1===g.nodeType?this._parseNode(g,a,n,l,i,o):3===g.nodeType&&o&&this._parseText(g,a),g=g.nextSibling},e.prototype._parseText=function(e,t){var n=new Ou({style:{text:e.textContent},silent:!0,x:this._textX||0,y:this._textY||0});qU(t,n),KU(e,n,this._defsUsePending,!1,!1),function(e,t){var n=t.__selfStyle;if(n){var r=n.textBaseline,i=r;r&&"auto"!==r?"baseline"===r?i="alphabetic":"before-edge"===r||"text-before-edge"===r?i="top":"after-edge"===r||"text-after-edge"===r?i="bottom":"central"!==r&&"mathematical"!==r||(i="middle"):i="alphabetic",e.style.textBaseline=i}var o=t.__inheritedStyle;if(o){var a=o.textAlign,s=a;a&&("middle"===a&&(s="center"),e.style.textAlign=s)}}(n,t);var r=n.style,i=r.fontSize;i&&i<9&&(r.fontSize=9,n.scaleX*=i/9,n.scaleY*=i/9);var o=(r.fontSize||r.fontFamily)&&[r.fontStyle,r.fontWeight,(r.fontSize||12)+"px",r.fontFamily||"sans-serif"].join(" ");r.font=o;var a=n.getBoundingRect();return this._textX+=a.width,t.add(n),n},e.internalField=void(BU={g:function(e,t){var n=new Oa;return qU(t,n),KU(e,n,this._defsUsePending,!1,!1),n},rect:function(e,t){var n=new ju;return qU(t,n),KU(e,n,this._defsUsePending,!1,!1),n.setShape({x:parseFloat(e.getAttribute("x")||"0"),y:parseFloat(e.getAttribute("y")||"0"),width:parseFloat(e.getAttribute("width")||"0"),height:parseFloat(e.getAttribute("height")||"0")}),n.silent=!0,n},circle:function(e,t){var n=new Im;return qU(t,n),KU(e,n,this._defsUsePending,!1,!1),n.setShape({cx:parseFloat(e.getAttribute("cx")||"0"),cy:parseFloat(e.getAttribute("cy")||"0"),r:parseFloat(e.getAttribute("r")||"0")}),n.silent=!0,n},line:function(e,t){var n=new ov;return qU(t,n),KU(e,n,this._defsUsePending,!1,!1),n.setShape({x1:parseFloat(e.getAttribute("x1")||"0"),y1:parseFloat(e.getAttribute("y1")||"0"),x2:parseFloat(e.getAttribute("x2")||"0"),y2:parseFloat(e.getAttribute("y2")||"0")}),n.silent=!0,n},ellipse:function(e,t){var n=new Em;return qU(t,n),KU(e,n,this._defsUsePending,!1,!1),n.setShape({cx:parseFloat(e.getAttribute("cx")||"0"),cy:parseFloat(e.getAttribute("cy")||"0"),rx:parseFloat(e.getAttribute("rx")||"0"),ry:parseFloat(e.getAttribute("ry")||"0")}),n.silent=!0,n},polygon:function(e,t){var n,r=e.getAttribute("points");r&&(n=$U(r));var i=new Jm({shape:{points:n||[]},silent:!0});return qU(t,i),KU(e,i,this._defsUsePending,!1,!1),i},polyline:function(e,t){var n,r=e.getAttribute("points");r&&(n=$U(r));var i=new tv({shape:{points:n||[]},silent:!0});return qU(t,i),KU(e,i,this._defsUsePending,!1,!1),i},image:function(e,t){var n=new Bu;return qU(t,n),KU(e,n,this._defsUsePending,!1,!1),n.setStyle({image:e.getAttribute("xlink:href")||e.getAttribute("href"),x:+e.getAttribute("x"),y:+e.getAttribute("y"),width:+e.getAttribute("width"),height:+e.getAttribute("height")}),n.silent=!0,n},text:function(e,t){var n=e.getAttribute("x")||"0",r=e.getAttribute("y")||"0",i=e.getAttribute("dx")||"0",o=e.getAttribute("dy")||"0";this._textX=parseFloat(n)+parseFloat(i),this._textY=parseFloat(r)+parseFloat(o);var a=new Oa;return qU(t,a),KU(e,a,this._defsUsePending,!1,!0),a},tspan:function(e,t){var n=e.getAttribute("x"),r=e.getAttribute("y");null!=n&&(this._textX=parseFloat(n)),null!=r&&(this._textY=parseFloat(r));var i=e.getAttribute("dx")||"0",o=e.getAttribute("dy")||"0",a=new Oa;return qU(t,a),KU(e,a,this._defsUsePending,!1,!0),this._textX+=parseFloat(i),this._textY+=parseFloat(o),a},path:function(e,t){var n=Sm(e.getAttribute("d")||"");return qU(t,n),KU(e,n,this._defsUsePending,!1,!1),n.silent=!0,n}}),e}(),XU={lineargradient:function(e){var t=parseInt(e.getAttribute("x1")||"0",10),n=parseInt(e.getAttribute("y1")||"0",10),r=parseInt(e.getAttribute("x2")||"10",10),i=parseInt(e.getAttribute("y2")||"0",10),o=new _v(t,n,r,i);return YU(e,o),ZU(e,o),o},radialgradient:function(e){var t=parseInt(e.getAttribute("cx")||"0",10),n=parseInt(e.getAttribute("cy")||"0",10),r=parseInt(e.getAttribute("r")||"0",10),i=new bv(t,n,r);return YU(e,i),ZU(e,i),i}};function YU(e,t){"userSpaceOnUse"===e.getAttribute("gradientUnits")&&(t.global=!0)}function ZU(e,t){for(var n=e.firstChild;n;){if(1===n.nodeType&&"stop"===n.nodeName.toLocaleLowerCase()){var r,i=n.getAttribute("offset");r=i&&i.indexOf("%")>0?parseInt(i,10)/100:i?parseFloat(i):0;var o={};oW(n,o,o);var a=o.stopColor||n.getAttribute("stop-color")||"#000000";t.colorStops.push({offset:r,color:a})}n=n.nextSibling}}function qU(e,t){e&&e.__inheritedStyle&&(t.__inheritedStyle||(t.__inheritedStyle={}),st(t.__inheritedStyle,e.__inheritedStyle))}function $U(e){for(var t=tW(e),n=[],r=0;r<t.length;r+=2){var i=parseFloat(t[r]),o=parseFloat(t[r+1]);n.push([i,o])}return n}function KU(e,t,n,r,i){var o=t,a=o.__inheritedStyle=o.__inheritedStyle||{},s={};1===e.nodeType&&(function(e,t){var n=e.getAttribute("transform");if(n){n=n.replace(/,/g," ");var r=[],i=null;n.replace(nW,(function(e,t,n){return r.push(t,n),""}));for(var o=r.length-1;o>0;o-=2){var a=r[o],s=r[o-1],l=tW(a);switch(i=i||[1,0,0,1,0,0],s){case"translate":ar(i,i,[parseFloat(l[0]),parseFloat(l[1]||"0")]);break;case"scale":lr(i,i,[parseFloat(l[0]),parseFloat(l[1]||l[0])]);break;case"rotate":sr(i,i,-parseFloat(l[0])*rW,[parseFloat(l[1]||"0"),parseFloat(l[2]||"0")]);break;case"skewX":or(i,[1,0,Math.tan(parseFloat(l[0])*rW),1,0,0],i);break;case"skewY":or(i,[1,Math.tan(parseFloat(l[0])*rW),0,1,0,0],i);break;case"matrix":i[0]=parseFloat(l[0]),i[1]=parseFloat(l[1]),i[2]=parseFloat(l[2]),i[3]=parseFloat(l[3]),i[4]=parseFloat(l[4]),i[5]=parseFloat(l[5])}}t.setLocalTransform(i)}}(e,t),oW(e,a,s),r||function(e,t,n){for(var r=0;r<HU.length;r++){var i=HU[r];null!=(o=e.getAttribute(i))&&(t[GU[i]]=o)}for(r=0;r<WU.length;r++){var o;i=WU[r],null!=(o=e.getAttribute(i))&&(n[UU[i]]=o)}}(e,a,s)),o.style=o.style||{},null!=a.fill&&(o.style.fill=QU(o,"fill",a.fill,n)),null!=a.stroke&&(o.style.stroke=QU(o,"stroke",a.stroke,n)),pt(["lineWidth","opacity","fillOpacity","strokeOpacity","miterLimit","fontSize"],(function(e){null!=a[e]&&(o.style[e]=parseFloat(a[e]))})),pt(["lineDashOffset","lineCap","lineJoin","fontWeight","fontFamily","fontStyle","textAlign"],(function(e){null!=a[e]&&(o.style[e]=a[e])})),i&&(o.__selfStyle=s),a.lineDash&&(o.style.lineDash=ft(tW(a.lineDash),(function(e){return parseFloat(e)}))),"hidden"!==a.visibility&&"collapse"!==a.visibility||(o.invisible=!0),"none"===a.display&&(o.ignore=!0)}var JU=/^url\(\s*#(.*?)\)/;function QU(e,t,n,r){var i=n&&n.match(JU);if(!i)return"none"===n&&(n=null),n;var o=Vt(i[1]);r.push([e,t,o])}var eW=/-?([0-9]*\.)?[0-9]+([eE]-?[0-9]+)?/g;function tW(e){return e.match(eW)||[]}var nW=/(translate|scale|rotate|skewX|skewY|matrix)\(([\-\s0-9\.eE,]*)\)/g,rW=Math.PI/180,iW=/([^\s:;]+)\s*:\s*([^:;]+)/g;function oW(e,t,n){var r,i=e.getAttribute("style");if(i)for(iW.lastIndex=0;null!=(r=iW.exec(i));){var o=r[1],a=Kt(GU,o)?GU[o]:null;a&&(t[a]=r[2]);var s=Kt(UU,o)?UU[o]:null;s&&(n[s]=r[2])}}function aW(e,t){var n=t.width/e.width,r=t.height/e.height,i=Math.min(n,r);return{scale:i,x:-(e.x+e.width/2)*i+(t.x+t.width/2),y:-(e.y+e.height/2)*i+(t.y+t.height/2)}}for(var sW=Yt(["rect","circle","line","ellipse","polygon","polyline","path","text","tspan","g"]),lW=function(){function e(e,t){this.type="geoSVG",this._usedGraphicMap=Yt(),this._freedGraphics=[],this._mapName=e,this._parsedXML=VU(t)}return e.prototype.load=function(){var e=this._firstGraphic;if(!e){e=this._firstGraphic=this._buildGraphic(this._parsedXML),this._freedGraphics.push(e),this._boundingRect=this._firstGraphic.boundingRect.clone();var t=function(e){var t=[],n=Yt();return pt(e,(function(e){if(null==e.namedFrom){var r=new ZS(e.name,e.el);t.push(r),n.set(e.name,r)}})),{regions:t,regionsMap:n}}(e.named),n=t.regions,r=t.regionsMap;this._regions=n,this._regionsMap=r}return{boundingRect:this._boundingRect,regions:this._regions,regionsMap:this._regionsMap}},e.prototype._buildGraphic=function(e){var t,n,r,i;try{zt(null!=(n=(t=e&&(r=e,i={ignoreViewBox:!0,ignoreRootClip:!0},(new jU).parse(r,i))||{}).root))}catch(e){throw new Error("Invalid svg format\n"+e.message)}var o=new Oa;o.add(n),o.isGeoSVGGraphicRoot=!0;var a=t.width,s=t.height,l=t.viewBoxRect,u=this._boundingRect;if(!u){var c=void 0,h=void 0,d=void 0,p=void 0;if(null!=a?(c=0,d=a):l&&(c=l.x,d=l.width),null!=s?(h=0,p=s):l&&(h=l.y,p=l.height),null==c||null==h){var f=n.getBoundingRect();null==c&&(c=f.x,d=f.width),null==h&&(h=f.y,p=f.height)}u=this._boundingRect=new wr(c,h,d,p)}if(l){var g=aW(l,u);n.scaleX=n.scaleY=g.scale,n.x=g.x,n.y=g.y}o.setClipPath(new ju({shape:u.plain()}));var m=[];return pt(t.named,(function(e){var t;null!=sW.get(e.svgNodeTagLower)&&(m.push(e),(t=e.el).silent=!1,t.isGroup&&t.traverse((function(e){e.silent=!1})))})),{root:o,boundingRect:u,named:m}},e.prototype.useGraphic=function(e){var t=this._usedGraphicMap,n=t.get(e);return n||(n=this._freedGraphics.pop()||this._buildGraphic(this._parsedXML),t.set(e,n),n)},e.prototype.freeGraphic=function(e){var t=this._usedGraphicMap,n=t.get(e);n&&(t.removeKey(e),this._freedGraphics.push(n))},e}(),uW=[126,25],cW="南海诸岛",hW=[[[0,3.5],[7,11.2],[15,11.9],[30,7],[42,.7],[52,.7],[56,7.7],[59,.7],[64,.7],[64,0],[5,0],[0,3.5]],[[13,16.1],[19,14.7],[16,21.7],[11,23.1],[13,16.1]],[[12,32.2],[14,38.5],[15,38.5],[13,32.2],[12,32.2]],[[16,47.6],[12,53.2],[13,53.2],[18,47.6],[16,47.6]],[[6,64.4],[8,70],[9,70],[8,64.4],[6,64.4]],[[23,82.6],[29,79.8],[30,79.8],[25,82.6],[23,82.6]],[[37,70.7],[43,62.3],[44,62.3],[39,70.7],[37,70.7]],[[48,51.1],[51,45.5],[53,45.5],[50,51.1],[48,51.1]],[[51,35],[51,28.7],[53,28.7],[53,35],[51,35]],[[52,22.4],[55,17.5],[56,17.5],[53,22.4],[52,22.4]],[[58,12.6],[62,7],[63,7],[60,12.6],[58,12.6]],[[0,3.5],[0,93.1],[64,93.1],[64,0],[63,0],[63,92.4],[1,92.4],[1,3.5],[0,3.5]]],dW=0;dW<hW.length;dW++)for(var pW=0;pW<hW[dW].length;pW++)hW[dW][pW][0]/=10.5,hW[dW][pW][1]/=-14,hW[dW][pW][0]+=uW[0],hW[dW][pW][1]+=uW[1];var fW=[[[123.45165252685547,25.73527164402261],[123.49731445312499,25.73527164402261],[123.49731445312499,25.750734064600884],[123.45165252685547,25.750734064600884],[123.45165252685547,25.73527164402261]]],gW=function(){function e(e,t,n){var r;this.type="geoJSON",this._parsedMap=Yt(),this._mapName=e,this._specialAreas=n,this._geoJSON=St(r=t)?"undefined"!=typeof JSON&&JSON.parse?JSON.parse(r):new Function("return ("+r+");")():r}return e.prototype.load=function(e,t){t=t||"name";var n=this._parsedMap.get(t);if(!n){var r=this._parseToRegions(t);n=this._parsedMap.set(t,{regions:r,boundingRect:mW(r)})}var i=Yt(),o=[];return pt(n.regions,(function(t){var n=t.name;e&&Kt(e,n)&&(t=t.cloneShallow(n=e[n])),o.push(t),i.set(n,t)})),{regions:o,boundingRect:n.boundingRect||new wr(0,0,0,0),regionsMap:i}},e.prototype._parseToRegions=function(e){var t,n=this._mapName,r=this._geoJSON;try{t=r?KS(r,e):[]}catch(e){throw new Error("Invalid geoJson format\n"+e.message)}return function(e,t){if("china"===e){for(var n=0;n<t.length;n++)if(t[n].name===cW)return;t.push(new YS(cW,ft(hW,(function(e){return{type:"polygon",exterior:e}})),uW))}}(n,t),pt(t,(function(e){var t=e.name;BR(n,e),function(e,t){"china"===e&&"台湾"===t.name&&t.geometries.push({type:"polygon",exterior:fW[0]})}(n,e);var r=this._specialAreas&&this._specialAreas[t];r&&e.transformTo(r.left,r.top,r.width,r.height)}),this),t},e.prototype.getMapForUser=function(){return{geoJson:this._geoJSON,geoJSON:this._geoJSON,specialAreas:this._specialAreas}},e}();function mW(e){for(var t,n=0;n<e.length;n++){var r=e[n].getBoundingRect();(t=t||r.clone()).union(r)}return t}var vW=Yt();const yW={registerMap:function(e,t,n){if(t.svg){var r=new lW(e,t.svg);vW.set(e,r)}else{var i=t.geoJson||t.geoJSON;i&&!t.features?n=t.specialAreas:i=t,r=new gW(e,i,n),vW.set(e,r)}},getGeoResource:function(e){return vW.get(e)},getMapForUser:function(e){var t=vW.get(e);return t&&"geoJSON"===t.type&&t.getMapForUser()},load:function(e,t,n){var r=vW.get(e);if(r)return r.load(t,n)}};var _W=["rect","circle","line","ellipse","polygon","polyline","path"],xW=Yt(_W),bW=Yt(_W.concat(["g"])),wW=Yt(_W.concat(["g"])),SW=Ns();function MW(e){var t=e.getItemStyle(),n=e.get("areaColor");return null!=n&&(t.fill=n),t}function TW(e){var t=e.style;t&&(t.stroke=t.stroke||t.fill,t.fill=null)}var AW=function(){function e(e){var t=new Oa;this.uid=Kh("ec_map_draw"),this._controller=new NU(e.getZr()),this._controllerHost={target:t},this.group=t,t.add(this._regionsGroup=new Oa),t.add(this._svgGroup=new Oa)}return e.prototype.draw=function(e,t,n,r,i){var o="geo"===e.mainType,a=e.getData&&e.getData();o&&t.eachComponent({mainType:"series",subType:"map"},(function(t){a||t.getHostGeoModel()!==e||(a=t.getData())}));var s=e.coordinateSystem,l=this._regionsGroup,u=this.group,c=s.getTransformInfo(),h=c.raw,d=c.roam;!l.childAt(0)||i?(u.x=d.x,u.y=d.y,u.scaleX=d.scaleX,u.scaleY=d.scaleY,u.dirty()):ph(u,d,e);var p=a&&a.getVisual("visualMeta")&&a.getVisual("visualMeta").length>0,f={api:n,geo:s,mapOrGeoModel:e,data:a,isVisualEncodedByVisualMap:p,isGeo:o,transformInfoRaw:h};"geoJSON"===s.resourceType?this._buildGeoJSON(f):"geoSVG"===s.resourceType&&this._buildSVG(f),this._updateController(e,t,n),this._updateMapSelectHandler(e,l,n,r)},e.prototype._buildGeoJSON=function(e){var t=this._regionsGroupByName=Yt(),n=Yt(),r=this._regionsGroup,i=e.transformInfoRaw,o=e.mapOrGeoModel,a=e.data,s=e.geo.projection,l=s&&s.stream;function u(e,t){return t&&(e=t(e)),e&&[e[0]*i.scaleX+i.x,e[1]*i.scaleY+i.y]}function c(e){for(var t=[],n=!l&&s&&s.project,r=0;r<e.length;++r){var i=u(e[r],n);i&&t.push(i)}return t}function h(e){return{shape:{points:c(e)}}}r.removeAll(),pt(e.geo.regions,(function(i){var c=i.name,d=t.get(c),p=n.get(c)||{},f=p.dataIdx,g=p.regionModel;d||(d=t.set(c,new Oa),r.add(d),f=a?a.indexOfName(c):null,g=e.isGeo?o.getRegionModel(c):a?a.getItemModel(f):null,n.set(c,{dataIdx:f,regionModel:g}));var m=[],v=[];pt(i.geometries,(function(e){if("polygon"===e.type){var t=[e.exterior].concat(e.interiors||[]);l&&(t=PW(t,l)),pt(t,(function(e){m.push(new Jm(h(e)))}))}else{var n=e.points;l&&(n=PW(n,l,!0)),pt(n,(function(e){v.push(new tv(h(e)))}))}}));var y=u(i.getCenter(),s&&s.project);function _(t,n){if(t.length){var r=new gv({culling:!0,segmentIgnoreThreshold:1,shape:{paths:t}});d.add(r),IW(e,r,f,g),CW(e,r,c,g,o,f,y),n&&(TW(r),pt(r.states,TW))}}_(m),_(v,!0)})),t.each((function(t,r){var i=n.get(r),a=i.dataIdx,s=i.regionModel;DW(e,t,r,s,o,a),EW(e,t,r,s,o),LW(e,t,r,s,o)}),this)},e.prototype._buildSVG=function(e){var t=e.geo.map,n=e.transformInfoRaw;this._svgGroup.x=n.x,this._svgGroup.y=n.y,this._svgGroup.scaleX=n.scaleX,this._svgGroup.scaleY=n.scaleY,this._svgResourceChanged(t)&&(this._freeSVG(),this._useSVG(t));var r=this._svgDispatcherMap=Yt(),i=!1;pt(this._svgGraphicRecord.named,(function(t){var n=t.name,o=e.mapOrGeoModel,a=e.data,s=t.svgNodeTagLower,l=t.el,u=a?a.indexOfName(n):null,c=o.getRegionModel(n);null!=xW.get(s)&&l instanceof Cl&&IW(e,l,u,c),l instanceof Cl&&(l.culling=!0),l.z2EmphasisLift=0,t.namedFrom||(null!=wW.get(s)&&CW(e,l,n,c,o,u,null),DW(e,l,n,c,o,u),EW(e,l,n,c,o),null!=bW.get(s)&&("self"===LW(e,l,n,c,o)&&(i=!0),(r.get(n)||r.set(n,[])).push(l)))}),this),this._enableBlurEntireSVG(i,e)},e.prototype._enableBlurEntireSVG=function(e,t){if(e&&t.isGeo){var n=t.mapOrGeoModel.getModel(["blur","itemStyle"]).getItemStyle().opacity;this._svgGraphicRecord.root.traverse((function(e){if(!e.isGroup){Fc(e);var t=e.ensureState("blur").style||{};null==t.opacity&&null!=n&&(t.opacity=n),e.ensureState("emphasis")}}))}},e.prototype.remove=function(){this._regionsGroup.removeAll(),this._regionsGroupByName=null,this._svgGroup.removeAll(),this._freeSVG(),this._controller.dispose(),this._controllerHost=null},e.prototype.findHighDownDispatchers=function(e,t){if(null==e)return[];var n=t.coordinateSystem;if("geoJSON"===n.resourceType){var r=this._regionsGroupByName;if(r){var i=r.get(e);return i?[i]:[]}}else if("geoSVG"===n.resourceType)return this._svgDispatcherMap&&this._svgDispatcherMap.get(e)||[]},e.prototype._svgResourceChanged=function(e){return this._svgMapName!==e},e.prototype._useSVG=function(e){var t=yW.getGeoResource(e);if(t&&"geoSVG"===t.type){var n=t.useGraphic(this.uid);this._svgGroup.add(n.root),this._svgGraphicRecord=n,this._svgMapName=e}},e.prototype._freeSVG=function(){var e=this._svgMapName;if(null!=e){var t=yW.getGeoResource(e);t&&"geoSVG"===t.type&&t.freeGraphic(this.uid),this._svgGraphicRecord=null,this._svgDispatcherMap=null,this._svgGroup.removeAll(),this._svgMapName=null}},e.prototype._updateController=function(e,t,n){var r=e.coordinateSystem,i=this._controller,o=this._controllerHost;o.zoomLimit=e.get("scaleLimit"),o.zoom=r.getZoom(),i.enable(e.get("roam")||!1);var a=e.mainType;function s(){var t={type:"geoRoam",componentType:a};return t[a+"Id"]=e.id,t}i.off("pan").on("pan",(function(e){this._mouseDownFlag=!1,RU(o,e.dx,e.dy),n.dispatchAction(at(s(),{dx:e.dx,dy:e.dy,animation:{duration:0}}))}),this),i.off("zoom").on("zoom",(function(e){this._mouseDownFlag=!1,kU(o,e.scale,e.originX,e.originY),n.dispatchAction(at(s(),{zoom:e.scale,originX:e.originX,originY:e.originY,animation:{duration:0}}))}),this),i.setPointerChecker((function(t,i,o){return r.containPoint([i,o])&&!zU(t,n,e)}))},e.prototype.resetForLabelLayout=function(){this.group.traverse((function(e){var t=e.getTextContent();t&&(t.ignore=SW(t).ignore)}))},e.prototype._updateMapSelectHandler=function(e,t,n,r){var i=this;t.off("mousedown"),t.off("click"),e.get("selectedMode")&&(t.on("mousedown",(function(){i._mouseDownFlag=!0})),t.on("click",(function(e){i._mouseDownFlag&&(i._mouseDownFlag=!1)})))},e}();function IW(e,t,n,r){var i=r.getModel("itemStyle"),o=r.getModel(["emphasis","itemStyle"]),a=r.getModel(["blur","itemStyle"]),s=r.getModel(["select","itemStyle"]),l=MW(i),u=MW(o),c=MW(s),h=MW(a),d=e.data;if(d){var p=d.getItemVisual(n,"style"),f=d.getItemVisual(n,"decal");e.isVisualEncodedByVisualMap&&p.fill&&(l.fill=p.fill),f&&(l.decal=nx(f,e.api))}t.setStyle(l),t.style.strokeNoScale=!0,t.ensureState("emphasis").style=u,t.ensureState("select").style=c,t.ensureState("blur").style=h,Fc(t)}function CW(e,t,n,r,i,o,a){var s=e.data,l=e.isGeo,u=s&&isNaN(s.get(s.mapDimension("value"),o)),c=s&&s.getItemLayout(o);if(l||u||c&&c.showLabel){var h=l?n:o,d=void 0;(!s||o>=0)&&(d=i);var p=a?{normal:{align:"center",verticalAlign:"middle"}}:null;Sh(t,Mh(r),{labelFetcher:d,labelDataIndex:h,defaultText:n},p);var f=t.getTextContent();if(f&&(SW(f).ignore=f.ignore,t.textConfig&&a)){var g=t.getBoundingRect().clone();t.textConfig.layoutRect=g,t.textConfig.position=[(a[0]-g.x)/g.width*100+"%",(a[1]-g.y)/g.height*100+"%"]}t.disableLabelAnimation=!0}else t.removeTextContent(),t.removeTextConfig(),t.disableLabelAnimation=null}function DW(e,t,n,r,i,o){e.data?e.data.setItemGraphicEl(o,t):lc(t).eventData={componentType:"geo",componentIndex:i.componentIndex,geoIndex:i.componentIndex,name:n,region:r&&r.option||{}}}function EW(e,t,n,r,i){e.data||iy({el:t,componentModel:i,itemName:n,itemTooltipOption:r.get("tooltip")})}function LW(e,t,n,r,i){t.highDownSilentOnTouch=!!i.get("selectedMode");var o=r.getModel("emphasis"),a=o.get("focus");return th(t,a,o.get("blurScope"),o.get("disabled")),e.isGeo&&function(e,t,n){var r=lc(e);r.componentMainType=t.mainType,r.componentIndex=t.componentIndex,r.componentHighDownName=n}(t,i,n),a}function PW(e,t,n){var r,i=[];function o(){r=[]}function a(){r.length&&(i.push(r),r=[])}var s=t({polygonStart:o,polygonEnd:a,lineStart:o,lineEnd:a,point:function(e,t){isFinite(e)&&isFinite(t)&&r.push([e,t])},sphere:function(){}});return!n&&s.polygonStart(),pt(e,(function(e){s.lineStart();for(var t=0;t<e.length;t++)s.point(e[t][0],e[t][1]);s.lineEnd()})),!n&&s.polygonEnd(),i}const OW=AW;var NW=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n,r){if(!r||"mapToggleSelect"!==r.type||r.from!==this.uid){var i=this.group;if(i.removeAll(),!e.getHostGeoModel()){if(this._mapDraw&&r&&"geoRoam"===r.type&&this._mapDraw.resetForLabelLayout(),r&&"geoRoam"===r.type&&"series"===r.componentType&&r.seriesId===e.id)(o=this._mapDraw)&&i.add(o.group);else if(e.needsDrawMap){var o=this._mapDraw||new OW(n);i.add(o.group),o.draw(e,t,n,this,r),this._mapDraw=o}else this._mapDraw&&this._mapDraw.remove(),this._mapDraw=null;e.get("showLegendSymbol")&&t.getComponent("legend")&&this._renderSymbols(e,t,n)}}},t.prototype.remove=function(){this._mapDraw&&this._mapDraw.remove(),this._mapDraw=null,this.group.removeAll()},t.prototype.dispose=function(){this._mapDraw&&this._mapDraw.remove(),this._mapDraw=null},t.prototype._renderSymbols=function(e,t,n){var r=e.originalData,i=this.group;r.each(r.mapDimension("value"),(function(t,n){if(!isNaN(t)){var o=r.getItemLayout(n);if(o&&o.point){var a=o.point,s=o.offset,l=new Im({style:{fill:e.getData().getVisual("style").fill},shape:{cx:a[0]+9*s,cy:a[1],r:3},silent:!0,z2:8+(s?0:_c+1)});if(!s){var u=e.mainSeries.getData(),c=r.getName(n),h=u.indexOfName(c),d=r.getItemModel(n),p=d.getModel("label"),f=u.getItemGraphicEl(h);Sh(l,Mh(d),{labelFetcher:{getFormattedLabel:function(t,n){return e.getFormattedLabel(h,n)}},defaultText:c}),l.disableLabelAnimation=!0,p.get("position")||l.setTextConfig({position:"bottom"}),f.onHoverStateChange=function(e){kc(l,e)}}i.add(l)}}}))},t.type="map",t}(gy);const RW=NW;var kW=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.needsDrawMap=!1,n.seriesGroup=[],n.getTooltipPosition=function(e){if(null!=e){var t=this.getData().getName(e),n=this.coordinateSystem,r=n.getRegion(t);return r&&n.dataToPoint(r.getCenter())}},n}return Le(t,e),t.prototype.getInitialData=function(e){for(var t=JG(this,{coordDimensions:["value"],encodeDefaulter:xt(Sp,this)}),n=Yt(),r=[],i=0,o=t.count();i<o;i++){var a=t.getName(i);n.set(a,!0)}return pt(yW.load(this.getMapType(),this.option.nameMap,this.option.nameProperty).regions,(function(e){var t=e.name;n.get(t)||r.push(t)})),t.appendValues([],r),t},t.prototype.getHostGeoModel=function(){var e=this.option.geoIndex;return null!=e?this.ecModel.getComponent("geo",e):null},t.prototype.getMapType=function(){return(this.getHostGeoModel()||this).option.map},t.prototype.getRawValue=function(e){var t=this.getData();return t.get(t.mapDimension("value"),e)},t.prototype.getRegionModel=function(e){var t=this.getData();return t.getItemModel(t.indexOfName(e))},t.prototype.formatTooltip=function(e,t,n){for(var r=this.getData(),i=this.getRawValue(e),o=r.getName(e),a=this.seriesGroup,s=[],l=0;l<a.length;l++){var u=a[l].originalData.indexOfName(o),c=r.mapDimension("value");isNaN(a[l].originalData.get(c,u))||s.push(a[l].name)}return Lg("section",{header:s.join(", "),noHeader:!s.length,blocks:[Lg("nameValue",{name:o,value:i})]})},t.prototype.setZoom=function(e){this.option.zoom=e},t.prototype.setCenter=function(e){this.option.center=e},t.prototype.getLegendIcon=function(e){var t=e.icon||"roundRect",n=T_(t,0,0,e.itemWidth,e.itemHeight,e.itemStyle.fill);return n.setStyle(e.itemStyle),n.style.stroke="none",t.indexOf("empty")>-1&&(n.style.stroke=n.style.fill,n.style.fill="#fff",n.style.lineWidth=2),n},t.type="series.map",t.dependencies=["geo"],t.layoutMode="box",t.defaultOption={z:2,coordinateSystem:"geo",map:"",left:"center",top:"center",aspectScale:null,showLegendSymbol:!0,boundingCoords:null,center:null,zoom:1,scaleLimit:null,selectedMode:!0,label:{show:!1,color:"#000"},itemStyle:{borderWidth:.5,borderColor:"#444",areaColor:"#eee"},emphasis:{label:{show:!0,color:"rgb(100,0,0)"},itemStyle:{areaColor:"rgba(255,215,0,0.8)"}},select:{label:{show:!0,color:"rgb(100,0,0)"},itemStyle:{color:"rgba(255,215,0,0.8)"}},nameProperty:"name"},t}(tm);const BW=kW;function FW(e){var t={};e.eachSeriesByType("map",(function(e){var n=e.getHostGeoModel(),r=n?"o"+n.id:"i"+e.getMapType();(t[r]=t[r]||[]).push(e)})),pt(t,(function(e,t){for(var n,r,i,o=(n=ft(e,(function(e){return e.getData()})),r=e[0].get("mapValueCalculation"),i={},pt(n,(function(e){e.each(e.mapDimension("value"),(function(t,n){var r="ec-"+e.getName(n);i[r]=i[r]||[],isNaN(t)||i[r].push(t)}))})),n[0].map(n[0].mapDimension("value"),(function(e,t){for(var o="ec-"+n[0].getName(t),a=0,s=1/0,l=-1/0,u=i[o].length,c=0;c<u;c++)s=Math.min(s,i[o][c]),l=Math.max(l,i[o][c]),a+=i[o][c];return 0===u?NaN:"min"===r?s:"max"===r?l:"average"===r?a/u:a}))),a=0;a<e.length;a++)e[a].originalData=e[a].getData();for(a=0;a<e.length;a++)e[a].seriesGroup=e,e[a].needsDrawMap=0===a&&!e[a].getHostGeoModel(),e[a].setData(o.cloneShallow()),e[a].mainSeries=e[0]}))}function zW(e){var t={};e.eachSeriesByType("map",(function(n){var r=n.getMapType();if(!n.getHostGeoModel()&&!t[r]){var i={};pt(n.seriesGroup,(function(t){var n=t.coordinateSystem,r=t.originalData;t.get("showLegendSymbol")&&e.getComponent("legend")&&r.each(r.mapDimension("value"),(function(e,t){var o=r.getName(t),a=n.getRegion(o);if(a&&!isNaN(e)){var s=i[o]||0,l=n.dataToPoint(a.getCenter());i[o]=s+1,r.setItemLayout(t,{point:l,offset:s})}}))}));var o=n.getData();o.each((function(e){var t=o.getName(e),n=o.getItemLayout(e)||{};n.showLabel=!i[t],o.setItemLayout(e,n)})),t[r]=!0}}))}var VW=Tn,GW=function(e){function t(t){var n=e.call(this)||this;return n.type="view",n.dimensions=["x","y"],n._roamTransformable=new ha,n._rawTransformable=new ha,n.name=t,n}return Le(t,e),t.prototype.setBoundingRect=function(e,t,n,r){return this._rect=new wr(e,t,n,r),this._rect},t.prototype.getBoundingRect=function(){return this._rect},t.prototype.setViewRect=function(e,t,n,r){this._transformTo(e,t,n,r),this._viewRect=new wr(e,t,n,r)},t.prototype._transformTo=function(e,t,n,r){var i=this.getBoundingRect(),o=this._rawTransformable;o.transform=i.calculateTransform(new wr(e,t,n,r));var a=o.parent;o.parent=null,o.decomposeTransform(),o.parent=a,this._updateTransform()},t.prototype.setCenter=function(e,t){e&&(this._center=[qa(e[0],t.getWidth()),qa(e[1],t.getHeight())],this._updateCenterAndZoom())},t.prototype.setZoom=function(e){e=e||1;var t=this.zoomLimit;t&&(null!=t.max&&(e=Math.min(t.max,e)),null!=t.min&&(e=Math.max(t.min,e))),this._zoom=e,this._updateCenterAndZoom()},t.prototype.getDefaultCenter=function(){var e=this.getBoundingRect();return[e.x+e.width/2,e.y+e.height/2]},t.prototype.getCenter=function(){return this._center||this.getDefaultCenter()},t.prototype.getZoom=function(){return this._zoom||1},t.prototype.getRoamTransform=function(){return this._roamTransformable.getLocalTransform()},t.prototype._updateCenterAndZoom=function(){var e=this._rawTransformable.getLocalTransform(),t=this._roamTransformable,n=this.getDefaultCenter(),r=this.getCenter(),i=this.getZoom();r=Tn([],r,e),n=Tn([],n,e),t.originX=r[0],t.originY=r[1],t.x=n[0]-r[0],t.y=n[1]-r[1],t.scaleX=t.scaleY=i,this._updateTransform()},t.prototype._updateTransform=function(){var e=this._roamTransformable,t=this._rawTransformable;t.parent=e,e.updateTransform(),t.updateTransform(),ir(this.transform||(this.transform=[]),t.transform||[1,0,0,1,0,0]),this._rawTransform=t.getLocalTransform(),this.invTransform=this.invTransform||[],ur(this.invTransform,this.transform),this.decomposeTransform()},t.prototype.getTransformInfo=function(){var e=this._rawTransformable,t=this._roamTransformable,n=new ha;return n.transform=t.transform,n.decomposeTransform(),{roam:{x:n.x,y:n.y,scaleX:n.scaleX,scaleY:n.scaleY},raw:{x:e.x,y:e.y,scaleX:e.scaleX,scaleY:e.scaleY}}},t.prototype.getViewRect=function(){return this._viewRect},t.prototype.getViewRectAfterRoam=function(){var e=this.getBoundingRect().clone();return e.applyTransform(this.transform),e},t.prototype.dataToPoint=function(e,t,n){var r=t?this._rawTransform:this.transform;return n=n||[],r?VW(n,e,r):rn(n,e)},t.prototype.pointToData=function(e){var t=this.invTransform;return t?VW([],e,t):[e[0],e[1]]},t.prototype.convertToPixel=function(e,t,n){var r=HW(t);return r===this?r.dataToPoint(n):null},t.prototype.convertFromPixel=function(e,t,n){var r=HW(t);return r===this?r.pointToData(n):null},t.prototype.containPoint=function(e){return this.getViewRectAfterRoam().contain(e[0],e[1])},t.dimensions=["x","y"],t}(ha);function HW(e){var t=e.seriesModel;return t?t.coordinateSystem:null}const UW=GW;var WW={geoJSON:{aspectScale:.75,invertLongitute:!0},geoSVG:{aspectScale:1,invertLongitute:!1}},jW=["lng","lat"],XW=function(e){function t(t,n,r){var i=e.call(this,t)||this;i.dimensions=jW,i.type="geo",i._nameCoordMap=Yt(),i.map=n;var o,a=r.projection,s=yW.load(n,r.nameMap,r.nameProperty),l=yW.getGeoResource(n),u=(i.resourceType=l?l.type:null,i.regions=s.regions),c=WW[l.type];if(i._regionsMap=s.regionsMap,i.regions=s.regions,i.projection=a,a)for(var h=0;h<u.length;h++){var d=u[h].getBoundingRect(a);(o=o||d.clone()).union(d)}else o=s.boundingRect;return i.setBoundingRect(o.x,o.y,o.width,o.height),i.aspectScale=a?1:Rt(r.aspectScale,c.aspectScale),i._invertLongitute=!a&&c.invertLongitute,i}return Le(t,e),t.prototype._transformTo=function(e,t,n,r){var i=this.getBoundingRect(),o=this._invertLongitute;i=i.clone(),o&&(i.y=-i.y-i.height);var a=this._rawTransformable;a.transform=i.calculateTransform(new wr(e,t,n,r));var s=a.parent;a.parent=null,a.decomposeTransform(),a.parent=s,o&&(a.scaleY=-a.scaleY),this._updateTransform()},t.prototype.getRegion=function(e){return this._regionsMap.get(e)},t.prototype.getRegionByCoord=function(e){for(var t=this.regions,n=0;n<t.length;n++){var r=t[n];if("geoJSON"===r.type&&r.contain(e))return t[n]}},t.prototype.addGeoCoord=function(e,t){this._nameCoordMap.set(e,t)},t.prototype.getGeoCoord=function(e){var t=this._regionsMap.get(e);return this._nameCoordMap.get(e)||t&&t.getCenter()},t.prototype.dataToPoint=function(e,t,n){if(St(e)&&(e=this.getGeoCoord(e)),e){var r=this.projection;return r&&(e=r.project(e)),e&&this.projectedToPoint(e,t,n)}},t.prototype.pointToData=function(e){var t=this.projection;return t&&(e=t.unproject(e)),e&&this.pointToProjected(e)},t.prototype.pointToProjected=function(t){return e.prototype.pointToData.call(this,t)},t.prototype.projectedToPoint=function(t,n,r){return e.prototype.dataToPoint.call(this,t,n,r)},t.prototype.convertToPixel=function(e,t,n){var r=YW(t);return r===this?r.dataToPoint(n):null},t.prototype.convertFromPixel=function(e,t,n){var r=YW(t);return r===this?r.pointToData(n):null},t}(UW);function YW(e){var t=e.geoModel,n=e.seriesModel;return t?t.coordinateSystem:n?n.coordinateSystem||(n.getReferringComponents("geo",Fs).models[0]||{}).coordinateSystem:null}ht(XW,UW);const ZW=XW;function qW(e,t){var n=e.get("boundingCoords");if(null!=n){var r=n[0],i=n[1];if(isFinite(r[0])&&isFinite(r[1])&&isFinite(i[0])&&isFinite(i[1])){var o=this.projection;if(o){var a=r[0],s=r[1],l=i[0],u=i[1];r=[1/0,1/0],i=[-1/0,-1/0];var c=function(e,t,n,a){for(var s=n-e,l=a-t,u=0;u<=100;u++){var c=u/100,h=o.project([e+s*c,t+l*c]);An(r,r,h),In(i,i,h)}};c(a,s,l,s),c(l,s,l,u),c(l,u,a,u),c(a,u,l,s)}this.setBoundingRect(r[0],r[1],i[0]-r[0],i[1]-r[1])}}var h,d,p,f=this.getBoundingRect(),g=e.get("layoutCenter"),m=e.get("layoutSize"),v=t.getWidth(),y=t.getHeight(),_=f.width/f.height*this.aspectScale,x=!1;if(g&&m&&(h=[qa(g[0],v),qa(g[1],y)],d=qa(m,Math.min(v,y)),isNaN(h[0])||isNaN(h[1])||isNaN(d)||(x=!0)),x)p={},_>1?(p.width=d,p.height=d/_):(p.height=d,p.width=d*_),p.y=h[1]-p.height/2,p.x=h[0]-p.width/2;else{var b=e.getBoxLayoutParams();b.aspect=_,p=Qd(b,{width:v,height:y})}this.setViewRect(p.x,p.y,p.width,p.height),this.setCenter(e.get("center"),t),this.setZoom(e.get("zoom"))}var $W=function(){function e(){this.dimensions=jW}return e.prototype.create=function(e,t){var n=[];function r(e){return{nameProperty:e.get("nameProperty"),aspectScale:e.get("aspectScale"),projection:e.get("projection")}}e.eachComponent("geo",(function(e,i){var o=e.get("map"),a=new ZW(o+i,o,at({nameMap:e.get("nameMap")},r(e)));a.zoomLimit=e.get("scaleLimit"),n.push(a),e.coordinateSystem=a,a.model=e,a.resize=qW,a.resize(e,t)})),e.eachSeries((function(e){if("geo"===e.get("coordinateSystem")){var t=e.get("geoIndex")||0;e.coordinateSystem=n[t]}}));var i={};return e.eachSeriesByType("map",(function(e){if(!e.getHostGeoModel()){var t=e.getMapType();i[t]=i[t]||[],i[t].push(e)}})),pt(i,(function(e,i){var o=ft(e,(function(e){return e.get("nameMap")})),a=new ZW(i,i,at({nameMap:ot(o)},r(e[0])));a.zoomLimit=Nt.apply(null,ft(e,(function(e){return e.get("scaleLimit")}))),n.push(a),a.resize=qW,a.resize(e[0],t),pt(e,(function(e){e.coordinateSystem=a,function(e,t){pt(t.get("geoCoord"),(function(t,n){e.addGeoCoord(n,t)}))}(a,e)}))})),n},e.prototype.getFilledRegions=function(e,t,n,r){for(var i=(e||[]).slice(),o=Yt(),a=0;a<i.length;a++)o.set(i[a].name,i[a]);return pt(yW.load(t,n,r).regions,(function(e){var t=e.name;!o.get(t)&&i.push({name:t})})),i},e}();const KW=new $W;var JW=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(e,t,n){var r=yW.getGeoResource(e.map);if(r&&"geoJSON"===r.type){var i=e.itemStyle=e.itemStyle||{};"color"in i||(i.color="#eee")}this.mergeDefaultAndTheme(e,n),Ss(e,"label",["show"])},t.prototype.optionUpdated=function(){var e=this,t=this.option;t.regions=KW.getFilledRegions(t.regions,t.map,t.nameMap,t.nameProperty);var n={};this._optionModelMap=gt(t.regions||[],(function(t,r){var i=r.name;return i&&(t.set(i,new qh(r,e,e.ecModel)),r.selected&&(n[i]=!0)),t}),Yt()),t.selectedMap||(t.selectedMap=n)},t.prototype.getRegionModel=function(e){return this._optionModelMap.get(e)||new qh(null,this,this.ecModel)},t.prototype.getFormattedLabel=function(e,t){var n=this.getRegionModel(e),r="normal"===t?n.get(["label","formatter"]):n.get(["emphasis","label","formatter"]),i={name:e};return wt(r)?(i.status=t,r(i)):St(r)?r.replace("{a}",null!=e?e:""):void 0},t.prototype.setZoom=function(e){this.option.zoom=e},t.prototype.setCenter=function(e){this.option.center=e},t.prototype.select=function(e){var t=this.option,n=t.selectedMode;n&&("multiple"!==n&&(t.selectedMap=null),(t.selectedMap||(t.selectedMap={}))[e]=!0)},t.prototype.unSelect=function(e){var t=this.option.selectedMap;t&&(t[e]=!1)},t.prototype.toggleSelected=function(e){this[this.isSelected(e)?"unSelect":"select"](e)},t.prototype.isSelected=function(e){var t=this.option.selectedMap;return!(!t||!t[e])},t.type="geo",t.layoutMode="box",t.defaultOption={z:0,show:!0,left:"center",top:"center",aspectScale:null,silent:!1,map:"",boundingCoords:null,center:null,zoom:1,scaleLimit:null,label:{show:!1,color:"#000"},itemStyle:{borderWidth:.5,borderColor:"#444"},emphasis:{label:{show:!0,color:"rgb(100,0,0)"},itemStyle:{color:"rgba(255,215,0,0.8)"}},select:{label:{show:!0,color:"rgb(100,0,0)"},itemStyle:{color:"rgba(255,215,0,0.8)"}},regions:[]},t}(sp);const QW=JW;function ej(e,t){return e.pointToProjected?e.pointToProjected(t):e.pointToData(t)}function tj(e,t,n,r){var i=e.getZoom(),o=e.getCenter(),a=t.zoom,s=e.projectedToPoint?e.projectedToPoint(o):e.dataToPoint(o);if(null!=t.dx&&null!=t.dy&&(s[0]-=t.dx,s[1]-=t.dy,e.setCenter(ej(e,s),r)),null!=a){if(n){var l=n.min||0,u=n.max||1/0;a=Math.max(Math.min(i*a,u),l)/i}e.scaleX*=a,e.scaleY*=a;var c=(t.originX-e.x)*(a-1),h=(t.originY-e.y)*(a-1);e.x-=c,e.y-=h,e.updateTransform(),e.setCenter(ej(e,s),r),e.setZoom(a*i)}return{center:e.getCenter(),zoom:e.getZoom()}}var nj=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.focusBlurEnabled=!0,n}return Le(t,e),t.prototype.init=function(e,t){this._api=t},t.prototype.render=function(e,t,n,r){if(this._model=e,!e.get("show"))return this._mapDraw&&this._mapDraw.remove(),void(this._mapDraw=null);this._mapDraw||(this._mapDraw=new OW(n));var i=this._mapDraw;i.draw(e,t,n,this,r),i.group.on("click",this._handleRegionClick,this),i.group.silent=e.get("silent"),this.group.add(i.group),this.updateSelectStatus(e,t,n)},t.prototype._handleRegionClick=function(e){var t;d_(e.target,(function(e){return null!=(t=lc(e).eventData)}),!0),t&&this._api.dispatchAction({type:"geoToggleSelect",geoId:this._model.id,name:t.name})},t.prototype.updateSelectStatus=function(e,t,n){var r=this;this._mapDraw.group.traverse((function(e){var t=lc(e).eventData;if(t)return r._model.isSelected(t.name)?n.enterSelect(e):n.leaveSelect(e),!0}))},t.prototype.findHighDownDispatchers=function(e){return this._mapDraw&&this._mapDraw.findHighDownDispatchers(e,this._model)},t.prototype.dispose=function(){this._mapDraw&&this._mapDraw.remove()},t.type="geo",t}(rm);const rj=nj;function ij(e,t,n){yW.registerMap(e,t,n)}function oj(e){function t(t,n){n.update="geo:updateSelectStatus",e.registerAction(n,(function(e,n){var r={},i=[];return n.eachComponent({mainType:"geo",query:e},(function(n){n[t](e.name),pt(n.coordinateSystem.regions,(function(e){r[e.name]=n.isSelected(e.name)||!1}));var o=[];pt(r,(function(e,t){r[t]&&o.push(t)})),i.push({geoIndex:n.componentIndex,name:o})})),{selected:r,allSelected:i,name:e.name}}))}e.registerCoordinateSystem("geo",KW),e.registerComponentModel(QW),e.registerComponentView(rj),e.registerImpl("registerMap",ij),e.registerImpl("getMap",(function(e){return yW.getMapForUser(e)})),t("toggleSelected",{type:"geoToggleSelect",event:"geoselectchanged"}),t("select",{type:"geoSelect",event:"geoselected"}),t("unSelect",{type:"geoUnSelect",event:"geounselected"}),e.registerAction({type:"geoRoam",event:"geoRoam",update:"updateTransform"},(function(e,t,n){var r=e.componentType||"series";t.eachComponent({mainType:r,query:e},(function(t){var i=t.coordinateSystem;if("geo"===i.type){var o=tj(i,e,t.get("scaleLimit"),n);t.setCenter&&t.setCenter(o.center),t.setZoom&&t.setZoom(o.zoom),"series"===r&&pt(t.seriesGroup,(function(e){e.setCenter(o.center),e.setZoom(o.zoom)}))}}))}))}function aj(e,t){var n=e.isExpand?e.children:[],r=e.parentNode.children,i=e.hierNode.i?r[e.hierNode.i-1]:null;if(n.length){!function(e){for(var t=e.children,n=t.length,r=0,i=0;--n>=0;){var o=t[n];o.hierNode.prelim+=r,o.hierNode.modifier+=r,i+=o.hierNode.change,r+=o.hierNode.shift+i}}(e);var o=(n[0].hierNode.prelim+n[n.length-1].hierNode.prelim)/2;i?(e.hierNode.prelim=i.hierNode.prelim+t(e,i),e.hierNode.modifier=e.hierNode.prelim-o):e.hierNode.prelim=o}else i&&(e.hierNode.prelim=i.hierNode.prelim+t(e,i));e.parentNode.hierNode.defaultAncestor=function(e,t,n,r){if(t){for(var i=e,o=e,a=o.parentNode.children[0],s=t,l=i.hierNode.modifier,u=o.hierNode.modifier,c=a.hierNode.modifier,h=s.hierNode.modifier;s=cj(s),o=hj(o),s&&o;){i=cj(i),a=hj(a),i.hierNode.ancestor=e;var d=s.hierNode.prelim+h-o.hierNode.prelim-u+r(s,o);d>0&&(pj(dj(s,e,n),e,d),u+=d,l+=d),h+=s.hierNode.modifier,u+=o.hierNode.modifier,l+=i.hierNode.modifier,c+=a.hierNode.modifier}s&&!cj(i)&&(i.hierNode.thread=s,i.hierNode.modifier+=h-l),o&&!hj(a)&&(a.hierNode.thread=o,a.hierNode.modifier+=u-c,n=e)}return n}(e,i,e.parentNode.hierNode.defaultAncestor||r[0],t)}function sj(e){var t=e.hierNode.prelim+e.parentNode.hierNode.modifier;e.setLayout({x:t},!0),e.hierNode.modifier+=e.parentNode.hierNode.modifier}function lj(e){return arguments.length?e:fj}function uj(e,t){return e-=Math.PI/2,{x:t*Math.cos(e),y:t*Math.sin(e)}}function cj(e){var t=e.children;return t.length&&e.isExpand?t[t.length-1]:e.hierNode.thread}function hj(e){var t=e.children;return t.length&&e.isExpand?t[0]:e.hierNode.thread}function dj(e,t,n){return e.hierNode.ancestor.parentNode===t.parentNode?e.hierNode.ancestor:n}function pj(e,t,n){var r=n/(t.hierNode.i-e.hierNode.i);t.hierNode.change-=r,t.hierNode.shift+=n,t.hierNode.modifier+=n,t.hierNode.prelim+=n,e.hierNode.change+=r}function fj(e,t){return e.parentNode===t.parentNode?1:2}var gj=function(){this.parentPoint=[],this.childPoints=[]},mj=function(e){function t(t){return e.call(this,t)||this}return Le(t,e),t.prototype.getDefaultStyle=function(){return{stroke:"#000",fill:null}},t.prototype.getDefaultShape=function(){return new gj},t.prototype.buildPath=function(e,t){var n=t.childPoints,r=n.length,i=t.parentPoint,o=n[0],a=n[r-1];if(1===r)return e.moveTo(i[0],i[1]),void e.lineTo(o[0],o[1]);var s=t.orient,l="TB"===s||"BT"===s?0:1,u=1-l,c=qa(t.forkPosition,1),h=[];h[l]=i[l],h[u]=i[u]+(a[u]-i[u])*c,e.moveTo(i[0],i[1]),e.lineTo(h[0],h[1]),e.moveTo(o[0],o[1]),h[l]=o[l],e.lineTo(h[0],h[1]),h[l]=a[l],e.lineTo(h[0],h[1]),e.lineTo(a[0],a[1]);for(var d=1;d<r-1;d++){var p=n[d];e.moveTo(p[0],p[1]),h[l]=p[l],e.lineTo(h[0],h[1])}},t}(Eu),vj=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n._mainGroup=new Oa,n}return Le(t,e),t.prototype.init=function(e,t){this._controller=new NU(t.getZr()),this._controllerHost={target:this.group},this.group.add(this._mainGroup)},t.prototype.render=function(e,t,n){var r=e.getData(),i=e.layoutInfo,o=this._mainGroup;"radial"===e.get("layout")?(o.x=i.x+i.width/2,o.y=i.y+i.height/2):(o.x=i.x,o.y=i.y),this._updateViewCoordSys(e,n),this._updateController(e,t,n);var a=this._data;r.diff(a).add((function(t){yj(r,t)&&_j(r,t,null,o,e)})).update((function(t,n){var i=a.getItemGraphicEl(n);yj(r,t)?_j(r,t,i,o,e):i&&wj(a,n,i,o,e)})).remove((function(t){var n=a.getItemGraphicEl(t);n&&wj(a,t,n,o,e)})).execute(),this._nodeScaleRatio=e.get("nodeScaleRatio"),this._updateNodeAndLinkScale(e),!0===e.get("expandAndCollapse")&&r.eachItemGraphicEl((function(t,r){t.off("click").on("click",(function(){n.dispatchAction({type:"treeExpandAndCollapse",seriesId:e.id,dataIndex:r})}))})),this._data=r},t.prototype._updateViewCoordSys=function(e,t){var n=e.getData(),r=[];n.each((function(e){var t=n.getItemLayout(e);!t||isNaN(t.x)||isNaN(t.y)||r.push([+t.x,+t.y])}));var i=[],o=[];Bl(r,i,o);var a=this._min,s=this._max;o[0]-i[0]==0&&(i[0]=a?a[0]:i[0]-1,o[0]=s?s[0]:o[0]+1),o[1]-i[1]==0&&(i[1]=a?a[1]:i[1]-1,o[1]=s?s[1]:o[1]+1);var l=e.coordinateSystem=new UW;l.zoomLimit=e.get("scaleLimit"),l.setBoundingRect(i[0],i[1],o[0]-i[0],o[1]-i[1]),l.setCenter(e.get("center"),t),l.setZoom(e.get("zoom")),this.group.attr({x:l.x,y:l.y,scaleX:l.scaleX,scaleY:l.scaleY}),this._min=i,this._max=o},t.prototype._updateController=function(e,t,n){var r=this,i=this._controller,o=this._controllerHost,a=this.group;i.setPointerChecker((function(t,r,i){var o=a.getBoundingRect();return o.applyTransform(a.transform),o.contain(r,i)&&!zU(t,n,e)})),i.enable(e.get("roam")),o.zoomLimit=e.get("scaleLimit"),o.zoom=e.coordinateSystem.getZoom(),i.off("pan").off("zoom").on("pan",(function(t){RU(o,t.dx,t.dy),n.dispatchAction({seriesId:e.id,type:"treeRoam",dx:t.dx,dy:t.dy})})).on("zoom",(function(t){kU(o,t.scale,t.originX,t.originY),n.dispatchAction({seriesId:e.id,type:"treeRoam",zoom:t.scale,originX:t.originX,originY:t.originY}),r._updateNodeAndLinkScale(e),n.updateLabelLayout()}))},t.prototype._updateNodeAndLinkScale=function(e){var t=e.getData(),n=this._getNodeGlobalScale(e);t.eachItemGraphicEl((function(e,t){e.setSymbolScale(n)}))},t.prototype._getNodeGlobalScale=function(e){var t=e.coordinateSystem;if("view"!==t.type)return 1;var n=this._nodeScaleRatio,r=t.scaleX||1;return((t.getZoom()-1)*n+1)/r},t.prototype.dispose=function(){this._controller&&this._controller.dispose(),this._controllerHost=null},t.prototype.remove=function(){this._mainGroup.removeAll(),this._data=null},t.type="tree",t}(gy);function yj(e,t){var n=e.getItemLayout(t);return n&&!isNaN(n.x)&&!isNaN(n.y)}function _j(e,t,n,r,i){var o=!n,a=e.tree.getNodeByDataIndex(t),s=a.getModel(),l=a.getVisual("style").fill,u=!1===a.isExpand&&0!==a.children.length?l:"#fff",c=e.tree.root,h=a.parentNode===c?a:a.parentNode||a,d=e.getItemGraphicEl(h.dataIndex),p=h.getLayout(),f=d?{x:d.__oldX,y:d.__oldY,rawX:d.__radialOldRawX,rawY:d.__radialOldRawY}:p,g=a.getLayout();o?((n=new LV(e,t,null,{symbolInnerColor:u,useNameLabel:!0})).x=f.x,n.y=f.y):n.updateData(e,t,null,{symbolInnerColor:u,useNameLabel:!0}),n.__radialOldRawX=n.__radialRawX,n.__radialOldRawY=n.__radialRawY,n.__radialRawX=g.rawX,n.__radialRawY=g.rawY,r.add(n),e.setItemGraphicEl(t,n),n.__oldX=n.x,n.__oldY=n.y,ph(n,{x:g.x,y:g.y},i);var m=n.getSymbolPath();if("radial"===i.get("layout")){var v=c.children[0],y=v.getLayout(),_=v.children.length,x=void 0,b=void 0;if(g.x===y.x&&!0===a.isExpand&&v.children.length){var w={x:(v.children[0].getLayout().x+v.children[_-1].getLayout().x)/2,y:(v.children[0].getLayout().y+v.children[_-1].getLayout().y)/2};(x=Math.atan2(w.y-y.y,w.x-y.x))<0&&(x=2*Math.PI+x),(b=w.x<y.x)&&(x-=Math.PI)}else(x=Math.atan2(g.y-y.y,g.x-y.x))<0&&(x=2*Math.PI+x),0===a.children.length||0!==a.children.length&&!1===a.isExpand?(b=g.x<y.x)&&(x-=Math.PI):(b=g.x>y.x)||(x-=Math.PI);var S=b?"left":"right",M=s.getModel("label"),T=M.get("rotate"),A=T*(Math.PI/180),I=m.getTextContent();I&&(m.setTextConfig({position:M.get("position")||S,rotation:null==T?-x:A,origin:"center"}),I.setStyle("verticalAlign","middle"))}var C=s.get(["emphasis","focus"]),D="relative"===C?Zt(a.getAncestorsIndices(),a.getDescendantIndices()):"ancestor"===C?a.getAncestorsIndices():"descendant"===C?a.getDescendantIndices():null;D&&(lc(n).focus=D),function(e,t,n,r,i,o,a,s){var l=t.getModel(),u=e.get("edgeShape"),c=e.get("layout"),h=e.getOrient(),d=e.get(["lineStyle","curveness"]),p=e.get("edgeForkPosition"),f=l.getModel("lineStyle").getLineStyle(),g=r.__edge;if("curve"===u)t.parentNode&&t.parentNode!==n&&(g||(g=r.__edge=new cv({shape:Sj(c,h,d,i,i)})),ph(g,{shape:Sj(c,h,d,o,a)},e));else if("polyline"===u&&"orthogonal"===c&&t!==n&&t.children&&0!==t.children.length&&!0===t.isExpand){for(var m=t.children,v=[],y=0;y<m.length;y++){var _=m[y].getLayout();v.push([_.x,_.y])}g||(g=r.__edge=new mj({shape:{parentPoint:[a.x,a.y],childPoints:[[a.x,a.y]],orient:h,forkPosition:p}})),ph(g,{shape:{parentPoint:[a.x,a.y],childPoints:v}},e)}g&&("polyline"!==u||t.isExpand)&&(g.useStyle(st({strokeNoScale:!0,fill:null},f)),oh(g,l,"lineStyle"),Fc(g),s.add(g))}(i,a,c,n,f,p,g,r),n.__edge&&(n.onHoverStateChange=function(t){if("blur"!==t){var r=a.parentNode&&e.getItemGraphicEl(a.parentNode.dataIndex);r&&r.hoverState===gc||kc(n.__edge,t)}})}function xj(e,t,n,r,i){var o=bj(t.tree.root,e),a=o.source,s=o.sourceLayout,l=t.getItemGraphicEl(e.dataIndex);if(l){var u=t.getItemGraphicEl(a.dataIndex).__edge,c=l.__edge||(!1===a.isExpand||1===a.children.length?u:void 0),h=r.get("edgeShape"),d=r.get("layout"),p=r.get("orient"),f=r.get(["lineStyle","curveness"]);c&&("curve"===h?mh(c,{shape:Sj(d,p,f,s,s),style:{opacity:0}},r,{cb:function(){n.remove(c)},removeOpt:i}):"polyline"===h&&"orthogonal"===r.get("layout")&&mh(c,{shape:{parentPoint:[s.x,s.y],childPoints:[[s.x,s.y]]},style:{opacity:0}},r,{cb:function(){n.remove(c)},removeOpt:i}))}}function bj(e,t){for(var n,r=t.parentNode===e?t:t.parentNode||t;null==(n=r.getLayout());)r=r.parentNode===e?r:r.parentNode||r;return{source:r,sourceLayout:n}}function wj(e,t,n,r,i){var o=e.tree.getNodeByDataIndex(t),a=bj(e.tree.root,o).sourceLayout,s={duration:i.get("animationDurationUpdate"),easing:i.get("animationEasingUpdate")};mh(n,{x:a.x+1,y:a.y+1},i,{cb:function(){r.remove(n),e.setItemGraphicEl(t,null)},removeOpt:s}),n.fadeOut(null,e.hostModel,{fadeLabel:!0,animation:s}),o.children.forEach((function(t){xj(t,e,r,i,s)})),xj(o,e,r,i,s)}function Sj(e,t,n,r,i){var o,a,s,l,u,c,h,d;if("radial"===e){u=r.rawX,h=r.rawY,c=i.rawX,d=i.rawY;var p=uj(u,h),f=uj(u,h+(d-h)*n),g=uj(c,d+(h-d)*n),m=uj(c,d);return{x1:p.x||0,y1:p.y||0,x2:m.x||0,y2:m.y||0,cpx1:f.x||0,cpy1:f.y||0,cpx2:g.x||0,cpy2:g.y||0}}return u=r.x,h=r.y,c=i.x,d=i.y,"LR"!==t&&"RL"!==t||(o=u+(c-u)*n,a=h,s=c+(u-c)*n,l=d),"TB"!==t&&"BT"!==t||(o=u,a=h+(d-h)*n,s=c,l=d+(h-d)*n),{x1:u,y1:h,x2:c,y2:d,cpx1:o,cpy1:a,cpx2:s,cpy2:l}}const Mj=vj;var Tj=function(){function e(e,t){this.depth=0,this.height=0,this.dataIndex=-1,this.children=[],this.viewChildren=[],this.isExpand=!1,this.name=e||"",this.hostTree=t}return e.prototype.isRemoved=function(){return this.dataIndex<0},e.prototype.eachNode=function(e,t,n){wt(e)&&(n=t,t=e,e=null),St(e=e||{})&&(e={order:e});var r,i=e.order||"preorder",o=this[e.attr||"children"];"preorder"===i&&(r=t.call(n,this));for(var a=0;!r&&a<o.length;a++)o[a].eachNode(e,t,n);"postorder"===i&&t.call(n,this)},e.prototype.updateDepthAndHeight=function(e){var t=0;this.depth=e;for(var n=0;n<this.children.length;n++){var r=this.children[n];r.updateDepthAndHeight(e+1),r.height>t&&(t=r.height)}this.height=t+1},e.prototype.getNodeById=function(e){if(this.getId()===e)return this;for(var t=0,n=this.children,r=n.length;t<r;t++){var i=n[t].getNodeById(e);if(i)return i}},e.prototype.contains=function(e){if(e===this)return!0;for(var t=0,n=this.children,r=n.length;t<r;t++){var i=n[t].contains(e);if(i)return i}},e.prototype.getAncestors=function(e){for(var t=[],n=e?this:this.parentNode;n;)t.push(n),n=n.parentNode;return t.reverse(),t},e.prototype.getAncestorsIndices=function(){for(var e=[],t=this;t;)e.push(t.dataIndex),t=t.parentNode;return e.reverse(),e},e.prototype.getDescendantIndices=function(){var e=[];return this.eachNode((function(t){e.push(t.dataIndex)})),e},e.prototype.getValue=function(e){var t=this.hostTree.data;return t.getStore().get(t.getDimensionIndex(e||"value"),this.dataIndex)},e.prototype.setLayout=function(e,t){this.dataIndex>=0&&this.hostTree.data.setItemLayout(this.dataIndex,e,t)},e.prototype.getLayout=function(){return this.hostTree.data.getItemLayout(this.dataIndex)},e.prototype.getModel=function(e){if(!(this.dataIndex<0))return this.hostTree.data.getItemModel(this.dataIndex).getModel(e)},e.prototype.getLevelModel=function(){return(this.hostTree.levelModels||[])[this.depth]},e.prototype.setVisual=function(e,t){this.dataIndex>=0&&this.hostTree.data.setItemVisual(this.dataIndex,e,t)},e.prototype.getVisual=function(e){return this.hostTree.data.getItemVisual(this.dataIndex,e)},e.prototype.getRawIndex=function(){return this.hostTree.data.getRawIndex(this.dataIndex)},e.prototype.getId=function(){return this.hostTree.data.getId(this.dataIndex)},e.prototype.getChildIndex=function(){if(this.parentNode){for(var e=this.parentNode.children,t=0;t<e.length;++t)if(e[t]===this)return t;return-1}return-1},e.prototype.isAncestorOf=function(e){for(var t=e.parentNode;t;){if(t===this)return!0;t=t.parentNode}return!1},e.prototype.isDescendantOf=function(e){return e!==this&&e.isAncestorOf(this)},e}(),Aj=function(){function e(e){this.type="tree",this._nodes=[],this.hostModel=e}return e.prototype.eachNode=function(e,t,n){this.root.eachNode(e,t,n)},e.prototype.getNodeByDataIndex=function(e){var t=this.data.getRawIndex(e);return this._nodes[t]},e.prototype.getNodeById=function(e){return this.root.getNodeById(e)},e.prototype.update=function(){for(var e=this.data,t=this._nodes,n=0,r=t.length;n<r;n++)t[n].dataIndex=-1;for(n=0,r=e.count();n<r;n++)t[e.getRawIndex(n)].dataIndex=n},e.prototype.clearLayouts=function(){this.data.clearItemLayouts()},e.createTree=function(t,n,r){var i=new e(n),o=[],a=1;!function e(t,n){var r=t.value;a=Math.max(a,bt(r)?r.length:1),o.push(t);var s=new Tj(Es(t.name,""),i);n?function(e,t){var n=t.children;e.parentNode!==t&&(n.push(e),e.parentNode=t)}(s,n):i.root=s,i._nodes.push(s);var l=t.children;if(l)for(var u=0;u<l.length;u++)e(l[u],s)}(t),i.root.updateDepthAndHeight(0);var s=cw(o,{coordDimensions:["value"],dimensionsCount:a}).dimensions,l=new lw(s,n);return l.initData(o),r&&r(l),OF({mainData:l,struct:i,structAttr:"tree"}),i.update(),i},e}();const Ij=Aj;function Cj(e,t,n){if(e&&ut(t,e.type)>=0){var r=n.getData().tree.root,i=e.targetNode;if(St(i)&&(i=r.getNodeById(i)),i&&r.contains(i))return{node:i};var o=e.targetNodeId;if(null!=o&&(i=r.getNodeById(o)))return{node:i}}}function Dj(e){for(var t=[];e;)(e=e.parentNode)&&t.push(e);return t.reverse()}function Ej(e,t){return ut(Dj(e),t)>=0}function Lj(e,t){for(var n=[];e;){var r=e.dataIndex;n.push({name:e.name,dataIndex:r,value:t.getRawValue(r)}),e=e.parentNode}return n.reverse(),n}var Pj=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.hasSymbolVisual=!0,t.ignoreStyleOnData=!0,t}return Le(t,e),t.prototype.getInitialData=function(e){var t={name:e.name,children:e.data},n=e.leaves||{},r=new qh(n,this,this.ecModel),i=Ij.createTree(t,this,(function(e){e.wrapMethod("getItemModel",(function(e,t){var n=i.getNodeByDataIndex(t);return n&&n.children.length&&n.isExpand||(e.parentModel=r),e}))})),o=0;i.eachNode("preorder",(function(e){e.depth>o&&(o=e.depth)}));var a=e.expandAndCollapse&&e.initialTreeDepth>=0?e.initialTreeDepth:o;return i.root.eachNode("preorder",(function(e){var t=e.hostTree.data.getRawDataItem(e.dataIndex);e.isExpand=t&&null!=t.collapsed?!t.collapsed:e.depth<=a})),i.data},t.prototype.getOrient=function(){var e=this.get("orient");return"horizontal"===e?e="LR":"vertical"===e&&(e="TB"),e},t.prototype.setZoom=function(e){this.option.zoom=e},t.prototype.setCenter=function(e){this.option.center=e},t.prototype.formatTooltip=function(e,t,n){for(var r=this.getData().tree,i=r.root.children[0],o=r.getNodeByDataIndex(e),a=o.getValue(),s=o.name;o&&o!==i;)s=o.parentNode.name+"."+s,o=o.parentNode;return Lg("nameValue",{name:s,value:a,noValue:isNaN(a)||null==a})},t.prototype.getDataParams=function(t){var n=e.prototype.getDataParams.apply(this,arguments),r=this.getData().tree.getNodeByDataIndex(t);return n.treeAncestors=Lj(r,this),n.collapsed=!r.isExpand,n},t.type="series.tree",t.layoutMode="box",t.defaultOption={z:2,coordinateSystem:"view",left:"12%",top:"12%",right:"12%",bottom:"12%",layout:"orthogonal",edgeShape:"curve",edgeForkPosition:"50%",roam:!1,nodeScaleRatio:.4,center:null,zoom:1,orient:"LR",symbol:"emptyCircle",symbolSize:7,expandAndCollapse:!0,initialTreeDepth:2,lineStyle:{color:"#ccc",width:1.5,curveness:.5},itemStyle:{color:"lightsteelblue",borderWidth:1.5},label:{show:!0},animationEasing:"linear",animationDuration:700,animationDurationUpdate:500},t}(tm);const Oj=Pj;function Nj(e,t){for(var n,r=[e];n=r.pop();)if(t(n),n.isExpand){var i=n.children;if(i.length)for(var o=i.length-1;o>=0;o--)r.push(i[o])}}function Rj(e,t){e.eachSeriesByType("tree",(function(e){!function(e,t){var n=function(e,t){return Qd(e.getBoxLayoutParams(),{width:t.getWidth(),height:t.getHeight()})}(e,t);e.layoutInfo=n;var r=e.get("layout"),i=0,o=0,a=null;"radial"===r?(i=2*Math.PI,o=Math.min(n.height,n.width)/2,a=lj((function(e,t){return(e.parentNode===t.parentNode?1:2)/e.depth}))):(i=n.width,o=n.height,a=lj());var s=e.getData().tree.root,l=s.children[0];if(l){!function(e){var t=e;t.hierNode={defaultAncestor:null,ancestor:t,prelim:0,modifier:0,change:0,shift:0,i:0,thread:null};for(var n,r,i=[t];n=i.pop();)if(r=n.children,n.isExpand&&r.length)for(var o=r.length-1;o>=0;o--){var a=r[o];a.hierNode={defaultAncestor:null,ancestor:a,prelim:0,modifier:0,change:0,shift:0,i:o,thread:null},i.push(a)}}(s),function(e,t,n){for(var r,i=[e],o=[];r=i.pop();)if(o.push(r),r.isExpand){var a=r.children;if(a.length)for(var s=0;s<a.length;s++)i.push(a[s])}for(;r=o.pop();)t(r,n)}(l,aj,a),s.hierNode.modifier=-l.hierNode.prelim,Nj(l,sj);var u=l,c=l,h=l;Nj(l,(function(e){var t=e.getLayout().x;t<u.getLayout().x&&(u=e),t>c.getLayout().x&&(c=e),e.depth>h.depth&&(h=e)}));var d=u===c?1:a(u,c)/2,p=d-u.getLayout().x,f=0,g=0,m=0,v=0;if("radial"===r)f=i/(c.getLayout().x+d+p),g=o/(h.depth-1||1),Nj(l,(function(e){m=(e.getLayout().x+p)*f,v=(e.depth-1)*g;var t=uj(m,v);e.setLayout({x:t.x,y:t.y,rawX:m,rawY:v},!0)}));else{var y=e.getOrient();"RL"===y||"LR"===y?(g=o/(c.getLayout().x+d+p),f=i/(h.depth-1||1),Nj(l,(function(e){v=(e.getLayout().x+p)*g,m="LR"===y?(e.depth-1)*f:i-(e.depth-1)*f,e.setLayout({x:m,y:v},!0)}))):"TB"!==y&&"BT"!==y||(f=i/(c.getLayout().x+d+p),g=o/(h.depth-1||1),Nj(l,(function(e){m=(e.getLayout().x+p)*f,v="TB"===y?(e.depth-1)*g:o-(e.depth-1)*g,e.setLayout({x:m,y:v},!0)})))}}}(e,t)}))}function kj(e){e.eachSeriesByType("tree",(function(e){var t=e.getData();t.tree.eachNode((function(e){var n=e.getModel().getModel("itemStyle").getItemStyle();at(t.ensureUniqueItemVisual(e.dataIndex,"style"),n)}))}))}var Bj=["treemapZoomToNode","treemapRender","treemapMove"];function Fj(e){var t=e.getData().tree,n={};t.eachNode((function(t){for(var r=t;r&&r.depth>1;)r=r.parentNode;var i=Np(e.ecModel,r.name||r.dataIndex+"",n);t.setVisual("decal",i)}))}function zj(e){var t=0;pt(e.children,(function(e){zj(e);var n=e.value;bt(n)&&(n=n[0]),t+=n}));var n=e.value;bt(n)&&(n=n[0]),(null==n||isNaN(n))&&(n=t),n<0&&(n=0),bt(e.value)?e.value[0]=n:e.value=n}const Vj=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.preventUsingHoverLayer=!0,n}return Le(t,e),t.prototype.getInitialData=function(e,t){var n={name:e.name,children:e.data};zj(n);var r=e.levels||[],i=this.designatedVisualItemStyle={},o=new qh({itemStyle:i},this,t);r=e.levels=function(e,t){var n,r,i=ws(t.get("color")),o=ws(t.get(["aria","decal","decals"]));if(i){pt(e=e||[],(function(e){var t=new qh(e),i=t.get("color"),o=t.get("decal");(t.get(["itemStyle","color"])||i&&"none"!==i)&&(n=!0),(t.get(["itemStyle","decal"])||o&&"none"!==o)&&(r=!0)}));var a=e[0]||(e[0]={});return n||(a.color=i.slice()),!r&&o&&(a.decal=o.slice()),e}}(r,t);var a=ft(r||[],(function(e){return new qh(e,o,t)}),this),s=Ij.createTree(n,this,(function(e){e.wrapMethod("getItemModel",(function(e,t){var n=s.getNodeByDataIndex(t),r=n?a[n.depth]:null;return e.parentModel=r||o,e}))}));return s.data},t.prototype.optionUpdated=function(){this.resetViewRoot()},t.prototype.formatTooltip=function(e,t,n){var r=this.getData(),i=this.getRawValue(e);return Lg("nameValue",{name:r.getName(e),value:i})},t.prototype.getDataParams=function(t){var n=e.prototype.getDataParams.apply(this,arguments),r=this.getData().tree.getNodeByDataIndex(t);return n.treeAncestors=Lj(r,this),n.treePathInfo=n.treeAncestors,n},t.prototype.setLayoutInfo=function(e){this.layoutInfo=this.layoutInfo||{},at(this.layoutInfo,e)},t.prototype.mapIdToIndex=function(e){var t=this._idIndexMap;t||(t=this._idIndexMap=Yt(),this._idIndexMapCount=0);var n=t.get(e);return null==n&&t.set(e,n=this._idIndexMapCount++),n},t.prototype.getViewRoot=function(){return this._viewRoot},t.prototype.resetViewRoot=function(e){e?this._viewRoot=e:e=this._viewRoot;var t=this.getRawData().tree.root;e&&(e===t||t.contains(e))||(this._viewRoot=t)},t.prototype.enableAriaDecal=function(){Fj(this)},t.type="series.treemap",t.layoutMode="box",t.defaultOption={progressive:0,left:"center",top:"middle",width:"80%",height:"80%",sort:!0,clipWindow:"origin",squareRatio:.5*(1+Math.sqrt(5)),leafDepth:null,drillDownIcon:"▶",zoomToNodeRatio:.1024,roam:!0,nodeClick:"zoomToNode",animation:!0,animationDurationUpdate:900,animationEasing:"quinticInOut",breadcrumb:{show:!0,height:22,left:"center",top:"bottom",emptyItemWidth:25,itemStyle:{color:"rgba(0,0,0,0.7)",textStyle:{color:"#fff"}},emphasis:{itemStyle:{color:"rgba(0,0,0,0.9)"}}},label:{show:!0,distance:0,padding:5,position:"inside",color:"#fff",overflow:"truncate"},upperLabel:{show:!1,position:[0,"50%"],height:20,overflow:"truncate",verticalAlign:"middle"},itemStyle:{color:null,colorAlpha:null,colorSaturation:null,borderWidth:0,gapWidth:0,borderColor:"#fff",borderColorSaturation:null},emphasis:{upperLabel:{show:!0,position:[0,"50%"],overflow:"truncate",verticalAlign:"middle"}},visualDimension:0,visualMin:null,visualMax:null,color:[],colorAlpha:null,colorSaturation:null,colorMappingBy:"index",visibleMin:10,childrenVisibleMin:null,levels:[]},t}(tm);var Gj=function(){function e(e){this.group=new Oa,e.add(this.group)}return e.prototype.render=function(e,t,n,r){var i=e.getModel("breadcrumb"),o=this.group;if(o.removeAll(),i.get("show")&&n){var a=i.getModel("itemStyle"),s=i.getModel("emphasis"),l=a.getModel("textStyle"),u=s.getModel(["itemStyle","textStyle"]),c={pos:{left:i.get("left"),right:i.get("right"),top:i.get("top"),bottom:i.get("bottom")},box:{width:t.getWidth(),height:t.getHeight()},emptyItemWidth:i.get("emptyItemWidth"),totalWidth:0,renderList:[]};this._prepare(n,c,l),this._renderContent(e,c,a,s,l,u,r),ep(o,c.pos,c.box)}},e.prototype._prepare=function(e,t,n){for(var r=e;r;r=r.parentNode){var i=Es(r.getModel().get("name"),""),o=n.getTextRect(i),a=Math.max(o.width+16,t.emptyItemWidth);t.totalWidth+=a+8,t.renderList.push({node:r,text:i,width:a})}},e.prototype._renderContent=function(e,t,n,r,i,o,a){for(var s=0,l=t.emptyItemWidth,u=e.get(["breadcrumb","height"]),c=function(e,t,n){var r=t.width,i=t.height,o=qa(e.left,r),a=qa(e.top,i),s=qa(e.right,r),l=qa(e.bottom,i);return(isNaN(o)||isNaN(parseFloat(e.left)))&&(o=0),(isNaN(s)||isNaN(parseFloat(e.right)))&&(s=r),(isNaN(a)||isNaN(parseFloat(e.top)))&&(a=0),(isNaN(l)||isNaN(parseFloat(e.bottom)))&&(l=i),n=Fd(n||0),{width:Math.max(s-o-n[1]-n[3],0),height:Math.max(l-a-n[0]-n[2],0)}}(t.pos,t.box),h=t.totalWidth,d=t.renderList,p=r.getModel("itemStyle").getItemStyle(),f=d.length-1;f>=0;f--){var g=d[f],m=g.node,v=g.width,y=g.text;h>c.width&&(h-=v-l,v=l,y=null);var _=new Jm({shape:{points:Hj(s,0,v,u,f===d.length-1,0===f)},style:st(n.getItemStyle(),{lineJoin:"bevel"}),textContent:new sc({style:Th(i,{text:y})}),textConfig:{position:"inside"},z2:1e4*_c,onclick:xt(a,m)});_.disableLabelAnimation=!0,_.getTextContent().ensureState("emphasis").style=Th(o,{text:y}),_.ensureState("emphasis").style=p,th(_,r.get("focus"),r.get("blurScope"),r.get("disabled")),this.group.add(_),Uj(_,e,m),s+=v+8}},e.prototype.remove=function(){this.group.removeAll()},e}();function Hj(e,t,n,r,i,o){var a=[[i?e:e-5,t],[e+n,t],[e+n,t+r],[i?e:e-5,t+r]];return!o&&a.splice(2,0,[e+n+5,t+r/2]),!i&&a.push([e,t+r/2]),a}function Uj(e,t,n){lc(e).eventData={componentType:"series",componentSubType:"treemap",componentIndex:t.componentIndex,seriesIndex:t.seriesIndex,seriesName:t.name,seriesType:"treemap",selfType:"breadcrumb",nodeData:{dataIndex:n&&n.dataIndex,name:n&&n.name},treePathInfo:n&&Lj(n,t)}}const Wj=Gj;var jj=function(){function e(){this._storage=[],this._elExistsMap={}}return e.prototype.add=function(e,t,n,r,i){return!this._elExistsMap[e.id]&&(this._elExistsMap[e.id]=!0,this._storage.push({el:e,target:t,duration:n,delay:r,easing:i}),!0)},e.prototype.finished=function(e){return this._finishedCallback=e,this},e.prototype.start=function(){for(var e=this,t=this._storage.length,n=function(){--t<=0&&(e._storage.length=0,e._elExistsMap={},e._finishedCallback&&e._finishedCallback())},r=0,i=this._storage.length;r<i;r++){var o=this._storage[r];o.el.animateTo(o.target,{duration:o.duration,delay:o.delay,easing:o.easing,setToFinal:!0,done:n,aborted:n})}return this},e}(),Xj=Oa,Yj=ju,Zj="label",qj="upperLabel",$j=10*_c,Kj=2*_c,Jj=3*_c,Qj=el([["fill","color"],["stroke","strokeColor"],["lineWidth","strokeWidth"],["shadowBlur"],["shadowOffsetX"],["shadowOffsetY"],["shadowColor"]]),eX=function(e){var t=Qj(e);return t.stroke=t.fill=t.lineWidth=null,t},tX=Ns(),nX=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n._state="ready",n._storage={nodeGroup:[],background:[],content:[]},n}return Le(t,e),t.prototype.render=function(e,t,n,r){if(!(ut(t.findComponents({mainType:"series",subType:"treemap",query:r}),e)<0)){this.seriesModel=e,this.api=n,this.ecModel=t;var i=Cj(r,["treemapZoomToNode","treemapRootToNode"],e),o=r&&r.type,a=e.layoutInfo,s=!this._oldTree,l=this._storage,u="treemapRootToNode"===o&&i&&l?{rootNodeGroup:l.nodeGroup[i.node.getRawIndex()],direction:r.direction}:null,c=this._giveContainerGroup(a),h=e.get("animation"),d=this._doRender(c,e,u);!h||s||o&&"treemapZoomToNode"!==o&&"treemapRootToNode"!==o?d.renderFinally():this._doAnimation(c,d,e,u),this._resetController(n),this._renderBreadcrumb(e,n,i)}},t.prototype._giveContainerGroup=function(e){var t=this._containerGroup;return t||(t=this._containerGroup=new Xj,this._initEvents(t),this.group.add(t)),t.x=e.x,t.y=e.y,t},t.prototype._doRender=function(e,t,n){var r=t.getData().tree,i=this._oldTree,o={nodeGroup:[],background:[],content:[]},a={nodeGroup:[],background:[],content:[]},s=this._storage,l=[];function u(e,r,i,u){return function(e,t,n,r,i,o,a,s,l,u){if(a){var c=a.getLayout(),h=e.getData(),d=a.getModel();if(h.setItemGraphicEl(a.dataIndex,null),c&&c.isInView){var p=c.width,f=c.height,g=c.borderWidth,m=c.invisible,v=a.getRawIndex(),y=s&&s.getRawIndex(),_=a.viewChildren,x=c.upperHeight,b=_&&_.length,w=d.getModel("itemStyle"),S=d.getModel(["emphasis","itemStyle"]),M=d.getModel(["blur","itemStyle"]),T=d.getModel(["select","itemStyle"]),A=w.get("borderRadius")||0,I=F("nodeGroup",Xj);if(I){if(l.add(I),I.x=c.x||0,I.y=c.y||0,I.markRedraw(),tX(I).nodeWidth=p,tX(I).nodeHeight=f,c.isAboveViewRoot)return I;var C=F("background",Yj,u,Kj);C&&function(t,n,r){var i=lc(n);if(i.dataIndex=a.dataIndex,i.seriesIndex=e.seriesIndex,n.setShape({x:0,y:0,width:p,height:f,r:A}),m)R(n);else{n.invisible=!1;var o=a.getVisual("style"),s=o.stroke,l=eX(w);l.fill=s;var u=Qj(S);u.fill=S.get("borderColor");var c=Qj(M);c.fill=M.get("borderColor");var h=Qj(T);if(h.fill=T.get("borderColor"),r){var d=p-2*g;k(n,s,o.opacity,{x:g,y:0,width:d,height:x})}else n.removeTextContent();n.setStyle(l),n.ensureState("emphasis").style=u,n.ensureState("blur").style=c,n.ensureState("select").style=h,Fc(n)}t.add(n)}(I,C,b&&c.upperLabelHeight);var D=d.getModel("emphasis"),E=D.get("focus"),L=D.get("blurScope"),P=D.get("disabled"),O="ancestor"===E?a.getAncestorsIndices():"descendant"===E?a.getDescendantIndices():E;if(b)sh(I)&&ah(I,!1),C&&(ah(C,!P),h.setItemGraphicEl(a.dataIndex,C),nh(C,O,L));else{var N=F("content",Yj,u,Jj);N&&function(t,n){var r=lc(n);r.dataIndex=a.dataIndex,r.seriesIndex=e.seriesIndex;var i=Math.max(p-2*g,0),o=Math.max(f-2*g,0);if(n.culling=!0,n.setShape({x:g,y:g,width:i,height:o,r:A}),m)R(n);else{n.invisible=!1;var s=a.getVisual("style"),l=s.fill,u=eX(w);u.fill=l,u.decal=s.decal;var c=Qj(S),h=Qj(M),d=Qj(T);k(n,l,s.opacity,null),n.setStyle(u),n.ensureState("emphasis").style=c,n.ensureState("blur").style=h,n.ensureState("select").style=d,Fc(n)}t.add(n)}(I,N),C.disableMorphing=!0,C&&sh(C)&&ah(C,!1),ah(I,!P),h.setItemGraphicEl(a.dataIndex,I),nh(I,O,L)}return I}}}function R(e){!e.invisible&&o.push(e)}function k(t,n,r,i){var o=d.getModel(i?qj:Zj),s=Es(d.get("name"),null),l=o.getShallow("show");Sh(t,Mh(d,i?qj:Zj),{defaultText:l?s:null,inheritColor:n,defaultOpacity:r,labelFetcher:e,labelDataIndex:a.dataIndex});var u=t.getTextContent();if(u){var h=u.style,p=Ft(h.padding||0);i&&(t.setTextConfig({layoutRect:i}),u.disableLabelLayout=!0),u.beforeUpdate=function(){var e=Math.max((i?i.width:t.shape.width)-p[1]-p[3],0),n=Math.max((i?i.height:t.shape.height)-p[0]-p[2],0);h.width===e&&h.height===n||u.setStyle({width:e,height:n})},h.truncateMinChar=2,h.lineOverflow="truncate",B(h,i,c);var f=u.getState("emphasis");B(f?f.style:null,i,c)}}function B(t,n,r){var i=t?t.text:null;if(!n&&r.isLeafRoot&&null!=i){var o=e.get("drillDownIcon",!0);t.text=o?o+" "+i:i}}function F(e,o,s,l){var u=null!=y&&n[e][y],c=i[e];return u?(n[e][y]=null,function(e,t){var n=e[v]={};t instanceof Xj?(n.oldX=t.x,n.oldY=t.y):n.oldShape=at({},t.shape)}(c,u)):m||((u=new o)instanceof Cl&&(u.z2=function(e,t){return e*$j+t}(s,l)),function(e,t){var n=e[v]={},o=a.parentNode,s=t instanceof Oa;if(o&&(!r||"drillDown"===r.direction)){var l=0,u=0,c=i.background[o.getRawIndex()];!r&&c&&c.oldShape&&(l=c.oldShape.width,u=c.oldShape.height),s?(n.oldX=0,n.oldY=u):n.oldShape={x:l,y:u,width:0,height:0}}n.fadein=!s}(c,u)),t[e][v]=u}}(t,a,s,n,o,l,e,r,i,u)}!function e(t,n,r,i,o){function a(e){return e.getId()}function s(a,s){var l=null!=a?t[a]:null,c=null!=s?n[s]:null,h=u(l,c,r,o);h&&e(l&&l.viewChildren||[],c&&c.viewChildren||[],h,i,o+1)}i?(n=t,pt(t,(function(e,t){!e.isRemoved()&&s(t,t)}))):new Bb(n,t,a,a).add(s).update(s).remove(xt(s,null)).execute()}(r.root?[r.root]:[],i&&i.root?[i.root]:[],e,r===i||!i,0);var c=function(e){var t={nodeGroup:[],background:[],content:[]};return e&&pt(e,(function(e,n){var r=t[n];pt(e,(function(e){e&&(r.push(e),tX(e).willDelete=!0)}))})),t}(s);return this._oldTree=r,this._storage=a,{lastsForAnimation:o,willDeleteEls:c,renderFinally:function(){pt(c,(function(e){pt(e,(function(e){e.parent&&e.parent.remove(e)}))})),pt(l,(function(e){e.invisible=!0,e.dirty()}))}}},t.prototype._doAnimation=function(e,t,n,r){var i=n.get("animationDurationUpdate"),o=n.get("animationEasing"),a=(wt(i)?0:i)||0,s=(wt(o)?null:o)||"cubicOut",l=new jj;pt(t.willDeleteEls,(function(e,t){pt(e,(function(e,n){if(!e.invisible){var i,o=e.parent,u=tX(o);if(r&&"drillDown"===r.direction)i=o===r.rootNodeGroup?{shape:{x:0,y:0,width:u.nodeWidth,height:u.nodeHeight},style:{opacity:0}}:{style:{opacity:0}};else{var c=0,h=0;u.willDelete||(c=u.nodeWidth/2,h=u.nodeHeight/2),i="nodeGroup"===t?{x:c,y:h,style:{opacity:0}}:{shape:{x:c,y:h,width:0,height:0},style:{opacity:0}}}i&&l.add(e,i,a,0,s)}}))})),pt(this._storage,(function(e,n){pt(e,(function(e,r){var i=t.lastsForAnimation[n][r],o={};i&&(e instanceof Oa?null!=i.oldX&&(o.x=e.x,o.y=e.y,e.x=i.oldX,e.y=i.oldY):(i.oldShape&&(o.shape=at({},e.shape),e.setShape(i.oldShape)),i.fadein?(e.setStyle("opacity",0),o.style={opacity:1}):1!==e.style.opacity&&(o.style={opacity:1})),l.add(e,o,a,0,s))}))}),this),this._state="animating",l.finished(_t((function(){this._state="ready",t.renderFinally()}),this)).start()},t.prototype._resetController=function(e){var t=this._controller;t||((t=this._controller=new NU(e.getZr())).enable(this.seriesModel.get("roam")),t.on("pan",_t(this._onPan,this)),t.on("zoom",_t(this._onZoom,this)));var n=new wr(0,0,e.getWidth(),e.getHeight());t.setPointerChecker((function(e,t,r){return n.contain(t,r)}))},t.prototype._clearController=function(){var e=this._controller;e&&(e.dispose(),e=null)},t.prototype._onPan=function(e){if("animating"!==this._state&&(Math.abs(e.dx)>3||Math.abs(e.dy)>3)){var t=this.seriesModel.getData().tree.root;if(!t)return;var n=t.getLayout();if(!n)return;this.api.dispatchAction({type:"treemapMove",from:this.uid,seriesId:this.seriesModel.id,rootRect:{x:n.x+e.dx,y:n.y+e.dy,width:n.width,height:n.height}})}},t.prototype._onZoom=function(e){var t=e.originX,n=e.originY;if("animating"!==this._state){var r=this.seriesModel.getData().tree.root;if(!r)return;var i=r.getLayout();if(!i)return;var o=new wr(i.x,i.y,i.width,i.height),a=this.seriesModel.layoutInfo,s=[1,0,0,1,0,0];ar(s,s,[-(t-=a.x),-(n-=a.y)]),lr(s,s,[e.scale,e.scale]),ar(s,s,[t,n]),o.applyTransform(s),this.api.dispatchAction({type:"treemapRender",from:this.uid,seriesId:this.seriesModel.id,rootRect:{x:o.x,y:o.y,width:o.width,height:o.height}})}},t.prototype._initEvents=function(e){var t=this;e.on("click",(function(e){if("ready"===t._state){var n=t.seriesModel.get("nodeClick",!0);if(n){var r=t.findTarget(e.offsetX,e.offsetY);if(r){var i=r.node;if(i.getLayout().isLeafRoot)t._rootToNode(r);else if("zoomToNode"===n)t._zoomToNode(r);else if("link"===n){var o=i.hostTree.data.getItemModel(i.dataIndex),a=o.get("link",!0),s=o.get("target",!0)||"blank";a&&Yd(a,s)}}}}}),this)},t.prototype._renderBreadcrumb=function(e,t,n){var r=this;n||(n=null!=e.get("leafDepth",!0)?{node:e.getViewRoot()}:this.findTarget(t.getWidth()/2,t.getHeight()/2))||(n={node:e.getData().tree.root}),(this._breadcrumb||(this._breadcrumb=new Wj(this.group))).render(e,t,n.node,(function(t){"animating"!==r._state&&(Ej(e.getViewRoot(),t)?r._rootToNode({node:t}):r._zoomToNode({node:t}))}))},t.prototype.remove=function(){this._clearController(),this._containerGroup&&this._containerGroup.removeAll(),this._storage={nodeGroup:[],background:[],content:[]},this._state="ready",this._breadcrumb&&this._breadcrumb.remove()},t.prototype.dispose=function(){this._clearController()},t.prototype._zoomToNode=function(e){this.api.dispatchAction({type:"treemapZoomToNode",from:this.uid,seriesId:this.seriesModel.id,targetNode:e.node})},t.prototype._rootToNode=function(e){this.api.dispatchAction({type:"treemapRootToNode",from:this.uid,seriesId:this.seriesModel.id,targetNode:e.node})},t.prototype.findTarget=function(e,t){var n;return this.seriesModel.getViewRoot().eachNode({attr:"viewChildren",order:"preorder"},(function(r){var i=this._storage.background[r.getRawIndex()];if(i){var o=i.transformCoordToLocal(e,t),a=i.shape;if(!(a.x<=o[0]&&o[0]<=a.x+a.width&&a.y<=o[1]&&o[1]<=a.y+a.height))return!1;n={node:r,offsetX:o[0],offsetY:o[1]}}}),this),n},t.type="treemap",t}(gy);const rX=nX;var iX=pt,oX=At,aX=-1,sX=function(){function e(t){var n=t.mappingMethod,r=t.type,i=this.option=rt(t);this.type=r,this.mappingMethod=n,this._normalizeData=vX[n];var o=e.visualHandlers[r];this.applyVisual=o.applyVisual,this.getColorMapper=o.getColorMapper,this._normalizedToVisual=o._normalizedToVisual[n],"piecewise"===n?(lX(i),function(e){var t=e.pieceList;e.hasSpecialVisual=!1,pt(t,(function(t,n){t.originIndex=n,null!=t.visual&&(e.hasSpecialVisual=!0)}))}(i)):"category"===n?i.categories?function(e){var t=e.categories,n=e.categoryMap={},r=e.visual;if(iX(t,(function(e,t){n[e]=t})),!bt(r)){var i=[];At(r)?iX(r,(function(e,t){var r=n[t];i[null!=r?r:aX]=e})):i[aX]=r,r=mX(e,i)}for(var o=t.length-1;o>=0;o--)null==r[o]&&(delete n[t[o]],t.pop())}(i):lX(i,!0):(zt("linear"!==n||i.dataExtent),lX(i))}return e.prototype.mapValueToVisual=function(e){var t=this._normalizeData(e);return this._normalizedToVisual(t,e)},e.prototype.getNormalizer=function(){return _t(this._normalizeData,this)},e.listVisualTypes=function(){return yt(e.visualHandlers)},e.isValidType=function(t){return e.visualHandlers.hasOwnProperty(t)},e.eachVisual=function(e,t,n){At(e)?pt(e,t,n):t.call(n,e)},e.mapVisual=function(t,n,r){var i,o=bt(t)?[]:At(t)?{}:(i=!0,null);return e.eachVisual(t,(function(e,t){var a=n.call(r,e,t);i?o=a:o[t]=a})),o},e.retrieveVisuals=function(t){var n,r={};return t&&iX(e.visualHandlers,(function(e,i){t.hasOwnProperty(i)&&(r[i]=t[i],n=!0)})),n?r:null},e.prepareVisualTypes=function(e){if(bt(e))e=e.slice();else{if(!oX(e))return[];var t=[];iX(e,(function(e,n){t.push(n)})),e=t}return e.sort((function(e,t){return"color"===t&&"color"!==e&&0===e.indexOf("color")?1:-1})),e},e.dependsOn=function(e,t){return"color"===t?!(!e||0!==e.indexOf(t)):e===t},e.findPieceIndex=function(e,t,n){for(var r,i=1/0,o=0,a=t.length;o<a;o++){var s=t[o].value;if(null!=s){if(s===e||St(s)&&s===e+"")return o;n&&h(s,o)}}for(o=0,a=t.length;o<a;o++){var l=t[o],u=l.interval,c=l.close;if(u){if(u[0]===-1/0){if(yX(c[1],e,u[1]))return o}else if(u[1]===1/0){if(yX(c[0],u[0],e))return o}else if(yX(c[0],u[0],e)&&yX(c[1],e,u[1]))return o;n&&h(u[0],o),n&&h(u[1],o)}}if(n)return e===1/0?t.length-1:e===-1/0?0:r;function h(t,n){var o=Math.abs(t-e);o<i&&(i=o,r=n)}},e.visualHandlers={color:{applyVisual:hX("color"),getColorMapper:function(){var e=this.option;return _t("category"===e.mappingMethod?function(e,t){return!t&&(e=this._normalizeData(e)),dX.call(this,e)}:function(t,n,r){var i=!!r;return!n&&(t=this._normalizeData(t)),r=Ui(t,e.parsedVisual,r),i?r:qi(r,"rgba")},this)},_normalizedToVisual:{linear:function(e){return qi(Ui(e,this.option.parsedVisual),"rgba")},category:dX,piecewise:function(e,t){var n=gX.call(this,t);return null==n&&(n=qi(Ui(e,this.option.parsedVisual),"rgba")),n},fixed:pX}},colorHue:uX((function(e,t){return Yi(e,t)})),colorSaturation:uX((function(e,t){return Yi(e,null,t)})),colorLightness:uX((function(e,t){return Yi(e,null,null,t)})),colorAlpha:uX((function(e,t){return Zi(e,t)})),decal:{applyVisual:hX("decal"),_normalizedToVisual:{linear:null,category:dX,piecewise:null,fixed:null}},opacity:{applyVisual:hX("opacity"),_normalizedToVisual:fX([0,1])},liftZ:{applyVisual:hX("liftZ"),_normalizedToVisual:{linear:pX,category:pX,piecewise:pX,fixed:pX}},symbol:{applyVisual:function(e,t,n){n("symbol",this.mapValueToVisual(e))},_normalizedToVisual:{linear:cX,category:dX,piecewise:function(e,t){var n=gX.call(this,t);return null==n&&(n=cX.call(this,e)),n},fixed:pX}},symbolSize:{applyVisual:hX("symbolSize"),_normalizedToVisual:fX([0,1])}},e}();function lX(e,t){var n=e.visual,r=[];At(n)?iX(n,(function(e){r.push(e)})):null!=n&&r.push(n),t||1!==r.length||{color:1,symbol:1}.hasOwnProperty(e.type)||(r[1]=r[0]),mX(e,r)}function uX(e){return{applyVisual:function(t,n,r){var i=this.mapValueToVisual(t);r("color",e(n("color"),i))},_normalizedToVisual:fX([0,1])}}function cX(e){var t=this.option.visual;return t[Math.round(Za(e,[0,1],[0,t.length-1],!0))]||{}}function hX(e){return function(t,n,r){r(e,this.mapValueToVisual(t))}}function dX(e){var t=this.option.visual;return t[this.option.loop&&e!==aX?e%t.length:e]}function pX(){return this.option.visual[0]}function fX(e){return{linear:function(t){return Za(t,e,this.option.visual,!0)},category:dX,piecewise:function(t,n){var r=gX.call(this,n);return null==r&&(r=Za(t,e,this.option.visual,!0)),r},fixed:pX}}function gX(e){var t=this.option,n=t.pieceList;if(t.hasSpecialVisual){var r=n[sX.findPieceIndex(e,n)];if(r&&r.visual)return r.visual[this.type]}}function mX(e,t){return e.visual=t,"color"===e.type&&(e.parsedVisual=ft(t,(function(e){return zi(e)||[0,0,0,1]}))),t}var vX={linear:function(e){return Za(e,this.option.dataExtent,[0,1],!0)},piecewise:function(e){var t=this.option.pieceList,n=sX.findPieceIndex(e,t,!0);if(null!=n)return Za(n,[0,t.length-1],[0,1],!0)},category:function(e){var t=this.option.categories?this.option.categoryMap[e]:e;return null==t?aX:t},fixed:Jt};function yX(e,t,n){return e?t<=n:t<n}const _X=sX;var xX=Ns();const bX={seriesType:"treemap",reset:function(e){var t=e.getData().tree.root;t.isRemoved()||wX(t,{},e.getViewRoot().getAncestors(),e)}};function wX(e,t,n,r){var i=e.getModel(),o=e.getLayout(),a=e.hostTree.data;if(o&&!o.invisible&&o.isInView){var s,l=i.getModel("itemStyle"),u=function(e,t,n){var r=at({},t),i=n.designatedVisualItemStyle;return pt(["color","colorAlpha","colorSaturation"],(function(n){i[n]=t[n];var o=e.get(n);i[n]=null,null!=o&&(r[n]=o)})),r}(l,t,r),c=a.ensureUniqueItemVisual(e.dataIndex,"style"),h=l.get("borderColor"),d=l.get("borderColorSaturation");null!=d&&(h=function(e,t){return null!=t?Yi(t,null,null,e):null}(d,s=SX(u))),c.stroke=h;var p=e.viewChildren;if(p&&p.length){var f=function(e,t,n,r,i,o){if(o&&o.length){var a=TX(t,"color")||null!=i.color&&"none"!==i.color&&(TX(t,"colorAlpha")||TX(t,"colorSaturation"));if(a){var s=t.get("visualMin"),l=t.get("visualMax"),u=n.dataExtent.slice();null!=s&&s<u[0]&&(u[0]=s),null!=l&&l>u[1]&&(u[1]=l);var c=t.get("colorMappingBy"),h={type:a.name,dataExtent:u,visual:a.range};"color"!==h.type||"index"!==c&&"id"!==c?h.mappingMethod="linear":(h.mappingMethod="category",h.loop=!0);var d=new _X(h);return xX(d).drColorMappingBy=c,d}}}(0,i,o,0,u,p);pt(p,(function(e,t){if(e.depth>=n.length||e===n[e.depth]){var o=function(e,t,n,r,i,o){var a=at({},t);if(i){var s=i.type,l="color"===s&&xX(i).drColorMappingBy,u="index"===l?r:"id"===l?o.mapIdToIndex(n.getId()):n.getValue(e.get("visualDimension"));a[s]=i.mapValueToVisual(u)}return a}(i,u,e,t,f,r);wX(e,o,n,r)}}))}else s=SX(u),c.fill=s}}function SX(e){var t=MX(e,"color");if(t){var n=MX(e,"colorAlpha"),r=MX(e,"colorSaturation");return r&&(t=Yi(t,null,null,r)),n&&(t=Zi(t,n)),t}}function MX(e,t){var n=e[t];if(null!=n&&"none"!==n)return n}function TX(e,t){var n=e.get(t);return bt(n)&&n.length?{name:t,range:n}:null}var AX=Math.max,IX=Math.min,CX=Nt,DX=pt,EX=["itemStyle","borderWidth"],LX=["itemStyle","gapWidth"],PX=["upperLabel","show"],OX=["upperLabel","height"];const NX={seriesType:"treemap",reset:function(e,t,n,r){var i=n.getWidth(),o=n.getHeight(),a=e.option,s=Qd(e.getBoxLayoutParams(),{width:n.getWidth(),height:n.getHeight()}),l=a.size||[],u=qa(CX(s.width,l[0]),i),c=qa(CX(s.height,l[1]),o),h=r&&r.type,d=Cj(r,["treemapZoomToNode","treemapRootToNode"],e),p="treemapRender"===h||"treemapMove"===h?r.rootRect:null,f=e.getViewRoot(),g=Dj(f);if("treemapMove"!==h){var m="treemapZoomToNode"===h?function(e,t,n,r,i){var o,a=(t||{}).node,s=[r,i];if(!a||a===n)return s;for(var l=r*i,u=l*e.option.zoomToNodeRatio;o=a.parentNode;){for(var c=0,h=o.children,d=0,p=h.length;d<p;d++)c+=h[d].getValue();var f=a.getValue();if(0===f)return s;u*=c/f;var g=o.getModel(),m=g.get(EX);(u+=4*m*m+(3*m+Math.max(m,zX(g)))*Math.pow(u,.5))>is&&(u=is),a=o}u<l&&(u=l);var v=Math.pow(u/l,.5);return[r*v,i*v]}(e,d,f,u,c):p?[p.width,p.height]:[u,c],v=a.sort;v&&"asc"!==v&&"desc"!==v&&(v="desc");var y={squareRatio:a.squareRatio,sort:v,leafDepth:a.leafDepth};f.hostTree.clearLayouts();var _={x:0,y:0,width:m[0],height:m[1],area:m[0]*m[1]};f.setLayout(_),RX(f,y,!1,0),_=f.getLayout(),DX(g,(function(e,t){var n=(g[t+1]||f).getValue();e.setLayout(at({dataExtent:[n,n],borderWidth:0,upperHeight:0},_))}))}var x=e.getData().tree.root;x.setLayout(function(e,t,n){if(t)return{x:t.x,y:t.y};var r={x:0,y:0};if(!n)return r;var i=n.node,o=i.getLayout();if(!o)return r;for(var a=[o.width/2,o.height/2],s=i;s;){var l=s.getLayout();a[0]+=l.x,a[1]+=l.y,s=s.parentNode}return{x:e.width/2-a[0],y:e.height/2-a[1]}}(s,p,d),!0),e.setLayoutInfo(s),FX(x,new wr(-s.x,-s.y,i,o),g,f,0)}};function RX(e,t,n,r){var i,o;if(!e.isRemoved()){var a=e.getLayout();i=a.width,o=a.height;var s=e.getModel(),l=s.get(EX),u=s.get(LX)/2,c=zX(s),h=Math.max(l,c),d=l-u,p=h-u;e.setLayout({borderWidth:l,upperHeight:h,upperLabelHeight:c},!0);var f=(i=AX(i-2*d,0))*(o=AX(o-d-p,0)),g=function(e,t,n,r,i,o){var a=e.children||[],s=r.sort;"asc"!==s&&"desc"!==s&&(s=null);var l=null!=r.leafDepth&&r.leafDepth<=o;if(i&&!l)return e.viewChildren=[];a=mt(a,(function(e){return!e.isRemoved()})),function(e,t){t&&e.sort((function(e,n){var r="asc"===t?e.getValue()-n.getValue():n.getValue()-e.getValue();return 0===r?"asc"===t?e.dataIndex-n.dataIndex:n.dataIndex-e.dataIndex:r}))}(a,s);var u=function(e,t,n){for(var r=0,i=0,o=t.length;i<o;i++)r+=t[i].getValue();var a,s=e.get("visualDimension");return t&&t.length?"value"===s&&n?(a=[t[t.length-1].getValue(),t[0].getValue()],"asc"===n&&a.reverse()):(a=[1/0,-1/0],DX(t,(function(e){var t=e.getValue(s);t<a[0]&&(a[0]=t),t>a[1]&&(a[1]=t)}))):a=[NaN,NaN],{sum:r,dataExtent:a}}(t,a,s);if(0===u.sum)return e.viewChildren=[];if(u.sum=function(e,t,n,r,i){if(!r)return n;for(var o=e.get("visibleMin"),a=i.length,s=a,l=a-1;l>=0;l--){var u=i["asc"===r?a-l-1:l].getValue();u/n*t<o&&(s=l,n-=u)}return"asc"===r?i.splice(0,a-s):i.splice(s,a-s),n}(t,n,u.sum,s,a),0===u.sum)return e.viewChildren=[];for(var c=0,h=a.length;c<h;c++){var d=a[c].getValue()/u.sum*n;a[c].setLayout({area:d})}return l&&(a.length&&e.setLayout({isLeafRoot:!0},!0),a.length=0),e.viewChildren=a,e.setLayout({dataExtent:u.dataExtent},!0),a}(e,s,f,t,n,r);if(g.length){var m={x:d,y:p,width:i,height:o},v=IX(i,o),y=1/0,_=[];_.area=0;for(var x=0,b=g.length;x<b;){var w=g[x];_.push(w),_.area+=w.getLayout().area;var S=kX(_,v,t.squareRatio);S<=y?(x++,y=S):(_.area-=_.pop().getLayout().area,BX(_,v,m,u,!1),v=IX(m.width,m.height),_.length=_.area=0,y=1/0)}if(_.length&&BX(_,v,m,u,!0),!n){var M=s.get("childrenVisibleMin");null!=M&&f<M&&(n=!0)}for(x=0,b=g.length;x<b;x++)RX(g[x],t,n,r+1)}}}function kX(e,t,n){for(var r=0,i=1/0,o=0,a=void 0,s=e.length;o<s;o++)(a=e[o].getLayout().area)&&(a<i&&(i=a),a>r&&(r=a));var l=e.area*e.area,u=t*t*n;return l?AX(u*r/l,l/(u*i)):1/0}function BX(e,t,n,r,i){var o=t===n.width?0:1,a=1-o,s=["x","y"],l=["width","height"],u=n[s[o]],c=t?e.area/t:0;(i||c>n[l[a]])&&(c=n[l[a]]);for(var h=0,d=e.length;h<d;h++){var p=e[h],f={},g=c?p.getLayout().area/c:0,m=f[l[a]]=AX(c-2*r,0),v=n[s[o]]+n[l[o]]-u,y=h===d-1||v<g?v:g,_=f[l[o]]=AX(y-2*r,0);f[s[a]]=n[s[a]]+IX(r,m/2),f[s[o]]=u+IX(r,_/2),u+=y,p.setLayout(f,!0)}n[s[a]]+=c,n[l[a]]-=c}function FX(e,t,n,r,i){var o=e.getLayout(),a=n[i],s=a&&a===e;if(!(a&&!s||i===n.length&&e!==r)){e.setLayout({isInView:!0,invisible:!s&&!t.intersect(o),isAboveViewRoot:s},!0);var l=new wr(t.x-o.x,t.y-o.y,t.width,t.height);DX(e.viewChildren||[],(function(e){FX(e,l,n,r,i+1)}))}}function zX(e){return e.get(PX)?e.get(OX):0}function VX(e){var t=e.findComponents({mainType:"legend"});t&&t.length&&e.eachSeriesByType("graph",(function(e){var n=e.getCategoriesData(),r=e.getGraph().data,i=n.mapArray(n.getName);r.filterSelf((function(e){var n=r.getItemModel(e).getShallow("category");if(null!=n){Tt(n)&&(n=i[n]);for(var o=0;o<t.length;o++)if(!t[o].isSelected(n))return!1}return!0}))}))}function GX(e){var t={};e.eachSeriesByType("graph",(function(e){var n=e.getCategoriesData(),r=e.getData(),i={};n.each((function(r){var o=n.getName(r);i["ec-"+o]=r;var a=n.getItemModel(r),s=a.getModel("itemStyle").getItemStyle();s.fill||(s.fill=e.getColorFromPalette(o,t)),n.setItemVisual(r,"style",s);for(var l=["symbol","symbolSize","symbolKeepAspect"],u=0;u<l.length;u++){var c=a.getShallow(l[u],!0);null!=c&&n.setItemVisual(r,l[u],c)}})),n.count()&&r.each((function(e){var t=r.getItemModel(e).getShallow("category");if(null!=t){St(t)&&(t=i["ec-"+t]);var o=n.getItemVisual(t,"style");at(r.ensureUniqueItemVisual(e,"style"),o);for(var a=["symbol","symbolSize","symbolKeepAspect"],s=0;s<a.length;s++)r.setItemVisual(e,a[s],n.getItemVisual(t,a[s]))}}))}))}function HX(e){return e instanceof Array||(e=[e,e]),e}function UX(e){e.eachSeriesByType("graph",(function(e){var t=e.getGraph(),n=e.getEdgeData(),r=HX(e.get("edgeSymbol")),i=HX(e.get("edgeSymbolSize"));n.setVisual("fromSymbol",r&&r[0]),n.setVisual("toSymbol",r&&r[1]),n.setVisual("fromSymbolSize",i&&i[0]),n.setVisual("toSymbolSize",i&&i[1]),n.setVisual("style",e.getModel("lineStyle").getLineStyle()),n.each((function(e){var r=n.getItemModel(e),i=t.getEdgeByIndex(e),o=HX(r.getShallow("symbol",!0)),a=HX(r.getShallow("symbolSize",!0)),s=r.getModel("lineStyle").getLineStyle(),l=n.ensureUniqueItemVisual(e,"style");switch(at(l,s),l.stroke){case"source":var u=i.node1.getVisual("style");l.stroke=u&&u.fill;break;case"target":u=i.node2.getVisual("style"),l.stroke=u&&u.fill}o[0]&&i.setVisual("fromSymbol",o[0]),o[1]&&i.setVisual("toSymbol",o[1]),a[0]&&i.setVisual("fromSymbolSize",a[0]),a[1]&&i.setVisual("toSymbolSize",a[1])}))}))}var WX="--\x3e",jX=function(e){return e.get("autoCurveness")||null},XX=function(e,t){var n=jX(e),r=20,i=[];if(Tt(n))r=n;else if(bt(n))return void(e.__curvenessList=n);t>r&&(r=t);var o=r%2?r+2:r+3;i=[];for(var a=0;a<o;a++)i.push((a%2?a+1:a)/10*(a%2?-1:1));e.__curvenessList=i},YX=function(e,t,n){var r=[e.id,e.dataIndex].join("."),i=[t.id,t.dataIndex].join(".");return[n.uid,r,i].join(WX)},ZX=function(e){var t=e.split(WX);return[t[0],t[2],t[1]].join(WX)},qX=function(e,t){var n=YX(e.node1,e.node2,t);return t.__edgeMap[n]},$X=function(e,t){return KX(YX(e.node1,e.node2,t),t)+KX(YX(e.node2,e.node1,t),t)},KX=function(e,t){var n=t.__edgeMap;return n[e]?n[e].length:0};function JX(e,t,n,r){var i=jX(t),o=bt(i);if(!i)return null;var a=qX(e,t);if(!a)return null;for(var s=-1,l=0;l<a.length;l++)if(a[l]===n){s=l;break}var u=$X(e,t);XX(t,u),e.lineStyle=e.lineStyle||{};var c=YX(e.node1,e.node2,t),h=t.__curvenessList,d=o||u%2?0:1;if(a.isForward)return h[d+s];var p=ZX(c),f=KX(p,t),g=h[s+f+d];return r?o?i&&0===i[0]?(f+d)%2?g:-g:((f%2?0:1)+d)%2?g:-g:(f+d)%2?g:-g:h[s+f+d]}function QX(e){var t=e.coordinateSystem;if(!t||"view"===t.type){var n=e.getGraph();n.eachNode((function(e){var t=e.getModel();e.setLayout([+t.get("x"),+t.get("y")])})),eY(n,e)}}function eY(e,t){e.eachEdge((function(e,n){var r=kt(e.getModel().get(["lineStyle","curveness"]),-JX(e,t,n,!0),0),i=on(e.node1.getLayout()),o=on(e.node2.getLayout()),a=[i,o];+r&&a.push([(i[0]+o[0])/2-(i[1]-o[1])*r,(i[1]+o[1])/2-(o[0]-i[0])*r]),e.setLayout(a)}))}function tY(e,t){e.eachSeriesByType("graph",(function(e){var t=e.get("layout"),n=e.coordinateSystem;if(n&&"view"!==n.type){var r=e.getData(),i=[];pt(n.dimensions,(function(e){i=i.concat(r.mapDimensionsAll(e))}));for(var o=0;o<r.count();o++){for(var a=[],s=!1,l=0;l<i.length;l++){var u=r.get(i[l],o);isNaN(u)||(s=!0),a.push(u)}s?r.setItemLayout(o,n.dataToPoint(a)):r.setItemLayout(o,[NaN,NaN])}eY(r.graph,e)}else t&&"none"!==t||QX(e)}))}function nY(e){var t=e.coordinateSystem;if("view"!==t.type)return 1;var n=e.option.nodeScaleRatio,r=t.scaleX;return((t.getZoom()-1)*n+1)/r}function rY(e){var t=e.getVisual("symbolSize");return t instanceof Array&&(t=(t[0]+t[1])/2),+t}var iY=Math.PI,oY=[];function aY(e,t,n,r){var i=e.coordinateSystem;if(!i||"view"===i.type){var o=i.getBoundingRect(),a=e.getData(),s=a.graph,l=o.width/2+o.x,u=o.height/2+o.y,c=Math.min(o.width,o.height)/2,h=a.count();if(a.setLayout({cx:l,cy:u}),h){if(n){var d=i.pointToData(r),p=d[0],f=d[1],g=[p-l,f-u];yn(g,g),vn(g,g,c),n.setLayout([l+g[0],u+g[1]],!0),lY(n,e.get(["circular","rotateLabel"]),l,u)}sY[t](e,s,a,c,l,u,h),s.eachEdge((function(t,n){var r,i=kt(t.getModel().get(["lineStyle","curveness"]),JX(t,e,n),0),o=on(t.node1.getLayout()),a=on(t.node2.getLayout()),s=(o[0]+a[0])/2,c=(o[1]+a[1])/2;+i&&(r=[l*(i*=3)+s*(1-i),u*i+c*(1-i)]),t.setLayout([o,a,r])}))}}}var sY={value:function(e,t,n,r,i,o,a){var s=0,l=n.getSum("value"),u=2*Math.PI/(l||a);t.eachNode((function(e){var t=e.getValue("value"),n=u*(l?t:1)/2;s+=n,e.setLayout([r*Math.cos(s)+i,r*Math.sin(s)+o]),s+=n}))},symbolSize:function(e,t,n,r,i,o,a){var s=0;oY.length=a;var l=nY(e);t.eachNode((function(e){var t=rY(e);isNaN(t)&&(t=2),t<0&&(t=0),t*=l;var n=Math.asin(t/2/r);isNaN(n)&&(n=iY/2),oY[e.dataIndex]=n,s+=2*n}));var u=(2*iY-s)/a/2,c=0;t.eachNode((function(e){var t=u+oY[e.dataIndex];c+=t,(!e.getLayout()||!e.getLayout().fixed)&&e.setLayout([r*Math.cos(c)+i,r*Math.sin(c)+o]),c+=t}))}};function lY(e,t,n,r){var i=e.getGraphicEl();if(i){var o=e.getModel().get(["label","rotate"])||0,a=i.getSymbolPath();if(t){var s=e.getLayout(),l=Math.atan2(s[1]-r,s[0]-n);l<0&&(l=2*Math.PI+l);var u=s[0]<n;u&&(l-=Math.PI);var c=u?"left":"right";a.setTextConfig({rotation:-l,position:c,origin:"center"});var h=a.ensureState("emphasis");at(h.textConfig||(h.textConfig={}),{position:c})}else a.setTextConfig({rotation:o*=Math.PI/180})}}function uY(e){e.eachSeriesByType("graph",(function(e){"circular"===e.get("layout")&&aY(e,"symbolSize")}))}var cY=ln;function hY(e){e.eachSeriesByType("graph",(function(e){var t=e.coordinateSystem;if(!t||"view"===t.type)if("force"===e.get("layout")){var n=e.preservedPoints||{},r=e.getGraph(),i=r.data,o=r.edgeData,a=e.getModel("force"),s=a.get("initLayout");e.preservedPoints?i.each((function(e){var t=i.getId(e);i.setItemLayout(e,n[t]||[NaN,NaN])})):s&&"none"!==s?"circular"===s&&aY(e,"value"):QX(e);var l=i.getDataExtent("value"),u=o.getDataExtent("value"),c=a.get("repulsion"),h=a.get("edgeLength"),d=bt(c)?c:[c,c],p=bt(h)?h:[h,h];p=[p[1],p[0]];var f=i.mapArray("value",(function(e,t){var n=i.getItemLayout(t),r=Za(e,l,d);return isNaN(r)&&(r=(d[0]+d[1])/2),{w:r,rep:r,fixed:i.getItemModel(t).get("fixed"),p:!n||isNaN(n[0])||isNaN(n[1])?null:n}})),g=o.mapArray("value",(function(t,n){var i=r.getEdgeByIndex(n),o=Za(t,u,p);isNaN(o)&&(o=(p[0]+p[1])/2);var a=i.getModel(),s=kt(i.getModel().get(["lineStyle","curveness"]),-JX(i,e,n,!0),0);return{n1:f[i.node1.dataIndex],n2:f[i.node2.dataIndex],d:o,curveness:s,ignoreForceLayout:a.get("ignoreForceLayout")}})),m=t.getBoundingRect(),v=function(e,t,n){for(var r=e,i=t,o=n.rect,a=o.width,s=o.height,l=[o.x+a/2,o.y+s/2],u=null==n.gravity?.1:n.gravity,c=0;c<r.length;c++){var h=r[c];h.p||(h.p=nn(a*(Math.random()-.5)+l[0],s*(Math.random()-.5)+l[1])),h.pp=on(h.p),h.edges=null}var d,p,f=null==n.friction?.6:n.friction,g=f;return{warmUp:function(){g=.8*f},setFixed:function(e){r[e].fixed=!0},setUnfixed:function(e){r[e].fixed=!1},beforeStep:function(e){d=e},afterStep:function(e){p=e},step:function(e){d&&d(r,i);for(var t=[],n=r.length,o=0;o<i.length;o++){var a=i[o];if(!a.ignoreForceLayout){var s=a.n1;un(t,(m=a.n2).p,s.p);var c=cn(t)-a.d,h=m.w/(s.w+m.w);isNaN(h)&&(h=0),yn(t,t),!s.fixed&&cY(s.p,s.p,t,h*c*g),!m.fixed&&cY(m.p,m.p,t,-(1-h)*c*g)}}for(o=0;o<n;o++)(_=r[o]).fixed||(un(t,l,_.p),cY(_.p,_.p,t,u*g));for(o=0;o<n;o++){s=r[o];for(var f=o+1;f<n;f++){var m;un(t,(m=r[f]).p,s.p),0===(c=cn(t))&&(an(t,Math.random()-.5,Math.random()-.5),c=1);var v=(s.rep+m.rep)/c/c;!s.fixed&&cY(s.pp,s.pp,t,v),!m.fixed&&cY(m.pp,m.pp,t,-v)}}var y=[];for(o=0;o<n;o++){var _;(_=r[o]).fixed||(un(y,_.p,_.pp),cY(_.p,_.p,y,g),rn(_.pp,_.p))}var x=(g*=.992)<.01;p&&p(r,i,x),e&&e(x)}}}(f,g,{rect:m,gravity:a.get("gravity"),friction:a.get("friction")});v.beforeStep((function(e,t){for(var n=0,i=e.length;n<i;n++)e[n].fixed&&rn(e[n].p,r.getNodeByIndex(n).getLayout())})),v.afterStep((function(e,t,o){for(var a=0,s=e.length;a<s;a++)e[a].fixed||r.getNodeByIndex(a).setLayout(e[a].p),n[i.getId(a)]=e[a].p;for(a=0,s=t.length;a<s;a++){var l=t[a],u=r.getEdgeByIndex(a),c=l.n1.p,h=l.n2.p,d=u.getLayout();(d=d?d.slice():[])[0]=d[0]||[],d[1]=d[1]||[],rn(d[0],c),rn(d[1],h),+l.curveness&&(d[2]=[(c[0]+h[0])/2-(c[1]-h[1])*l.curveness,(c[1]+h[1])/2-(h[0]-c[0])*l.curveness]),u.setLayout(d)}})),e.forceLayout=v,e.preservedPoints=n,v.step()}else e.forceLayout=null}))}function dY(e,t){var n=[];return e.eachSeriesByType("graph",(function(e){var r=e.get("coordinateSystem");if(!r||"view"===r){var i=e.getData(),o=[],a=[];Bl(i.mapArray((function(e){var t=i.getItemModel(e);return[+t.get("x"),+t.get("y")]})),o,a),a[0]-o[0]==0&&(a[0]+=1,o[0]-=1),a[1]-o[1]==0&&(a[1]+=1,o[1]-=1);var s=(a[0]-o[0])/(a[1]-o[1]),l=function(e,t,n){return Qd(at(e.getBoxLayoutParams(),{aspect:n}),{width:t.getWidth(),height:t.getHeight()})}(e,t,s);isNaN(s)&&(o=[l.x,l.y],a=[l.x+l.width,l.y+l.height]);var u=a[0]-o[0],c=a[1]-o[1],h=l.width,d=l.height,p=e.coordinateSystem=new UW;p.zoomLimit=e.get("scaleLimit"),p.setBoundingRect(o[0],o[1],u,c),p.setViewRect(l.x,l.y,h,d),p.setCenter(e.get("center"),t),p.setZoom(e.get("zoom")),n.push(p)}})),n}var pY,fY=ov.prototype,gY=cv.prototype,mY=function(){this.x1=0,this.y1=0,this.x2=0,this.y2=0,this.percent=1};function vY(e){return isNaN(+e.cpx1)||isNaN(+e.cpy1)}Le((function(){return null!==pY&&pY.apply(this,arguments)||this}),pY=mY);const yY=function(e){function t(t){var n=e.call(this,t)||this;return n.type="ec-line",n}return Le(t,e),t.prototype.getDefaultStyle=function(){return{stroke:"#000",fill:null}},t.prototype.getDefaultShape=function(){return new mY},t.prototype.buildPath=function(e,t){vY(t)?fY.buildPath.call(this,e,t):gY.buildPath.call(this,e,t)},t.prototype.pointAt=function(e){return vY(this.shape)?fY.pointAt.call(this,e):gY.pointAt.call(this,e)},t.prototype.tangentAt=function(e){var t=this.shape,n=vY(t)?[t.x2-t.x1,t.y2-t.y1]:gY.tangentAt.call(this,e);return yn(n,n)},t}(Eu);var _Y=["fromSymbol","toSymbol"];function xY(e){return"_"+e+"Type"}function bY(e,t,n){var r=t.getItemVisual(n,e);if(!r||"none"===r)return r;var i=t.getItemVisual(n,e+"Size"),o=t.getItemVisual(n,e+"Rotate"),a=t.getItemVisual(n,e+"Offset"),s=t.getItemVisual(n,e+"KeepAspect"),l=A_(i);return r+l+I_(a||0,l)+(o||"")+(s||"")}function wY(e,t,n){var r=t.getItemVisual(n,e);if(r&&"none"!==r){var i=t.getItemVisual(n,e+"Size"),o=t.getItemVisual(n,e+"Rotate"),a=t.getItemVisual(n,e+"Offset"),s=t.getItemVisual(n,e+"KeepAspect"),l=A_(i),u=I_(a||0,l),c=T_(r,-l[0]/2+u[0],-l[1]/2+u[1],l[0],l[1],null,s);return c.__specifiedRotation=null==o||isNaN(o)?void 0:+o*Math.PI/180||0,c.name=e,c}}function SY(e,t){e.x1=t[0][0],e.y1=t[0][1],e.x2=t[1][0],e.y2=t[1][1],e.percent=1;var n=t[2];n?(e.cpx1=n[0],e.cpy1=n[1]):(e.cpx1=NaN,e.cpy1=NaN)}var MY=function(e){function t(t,n,r){var i=e.call(this)||this;return i._createLine(t,n,r),i}return Le(t,e),t.prototype._createLine=function(e,t,n){var r=e.hostModel,i=function(e){var t=new yY({name:"line",subPixelOptimize:!0});return SY(t.shape,e),t}(e.getItemLayout(t));i.shape.percent=0,fh(i,{shape:{percent:1}},r,t),this.add(i),pt(_Y,(function(n){var r=wY(n,e,t);this.add(r),this[xY(n)]=bY(n,e,t)}),this),this._updateCommonStl(e,t,n)},t.prototype.updateData=function(e,t,n){var r=e.hostModel,i=this.childOfName("line"),o=e.getItemLayout(t),a={shape:{}};SY(a.shape,o),ph(i,a,r,t),pt(_Y,(function(n){var r=bY(n,e,t),i=xY(n);if(this[i]!==r){this.remove(this.childOfName(n));var o=wY(n,e,t);this.add(o)}this[i]=r}),this),this._updateCommonStl(e,t,n)},t.prototype.getLinePath=function(){return this.childAt(0)},t.prototype._updateCommonStl=function(e,t,n){var r=e.hostModel,i=this.childOfName("line"),o=n&&n.emphasisLineStyle,a=n&&n.blurLineStyle,s=n&&n.selectLineStyle,l=n&&n.labelStatesModels,u=n&&n.emphasisDisabled,c=n&&n.focus,h=n&&n.blurScope;if(!n||e.hasItemOption){var d=e.getItemModel(t),p=d.getModel("emphasis");o=p.getModel("lineStyle").getLineStyle(),a=d.getModel(["blur","lineStyle"]).getLineStyle(),s=d.getModel(["select","lineStyle"]).getLineStyle(),u=p.get("disabled"),c=p.get("focus"),h=p.get("blurScope"),l=Mh(d)}var f=e.getItemVisual(t,"style"),g=f.stroke;i.useStyle(f),i.style.fill=null,i.style.strokeNoScale=!0,i.ensureState("emphasis").style=o,i.ensureState("blur").style=a,i.ensureState("select").style=s,pt(_Y,(function(e){var t=this.childOfName(e);if(t){t.setColor(g),t.style.opacity=f.opacity;for(var n=0;n<vc.length;n++){var r=vc[n],o=i.getState(r);if(o){var a=o.style||{},s=t.ensureState(r),l=s.style||(s.style={});null!=a.stroke&&(l[t.__isEmptyBrush?"stroke":"fill"]=a.stroke),null!=a.opacity&&(l.opacity=a.opacity)}}t.markRedraw()}}),this);var m=r.getRawValue(t);Sh(this,l,{labelDataIndex:t,labelFetcher:{getFormattedLabel:function(t,n){return r.getFormattedLabel(t,n,e.dataType)}},inheritColor:g||"#000",defaultOpacity:f.opacity,defaultText:(null==m?e.getName(t):isFinite(m)?$a(m):m)+""});var v=this.getTextContent();if(v){var y=l.normal;v.__align=v.style.align,v.__verticalAlign=v.style.verticalAlign,v.__position=y.get("position")||"middle";var _=y.get("distance");bt(_)||(_=[_,_]),v.__labelDistance=_}this.setTextConfig({position:null,local:!0,inside:!1}),th(this,c,h,u)},t.prototype.highlight=function(){Gc(this)},t.prototype.downplay=function(){Hc(this)},t.prototype.updateLayout=function(e,t){this.setLinePoints(e.getItemLayout(t))},t.prototype.setLinePoints=function(e){var t=this.childOfName("line");SY(t.shape,e),t.dirty()},t.prototype.beforeUpdate=function(){var e=this,t=e.childOfName("fromSymbol"),n=e.childOfName("toSymbol"),r=e.getTextContent();if(t||n||r&&!r.ignore){for(var i=1,o=this.parent;o;)o.scaleX&&(i/=o.scaleX),o=o.parent;var a=e.childOfName("line");if(this.__dirty||a.__dirty){var s=a.shape.percent,l=a.pointAt(0),u=a.pointAt(s),c=un([],u,l);if(yn(c,c),t&&(t.setPosition(l),S(t,0),t.scaleX=t.scaleY=i*s,t.markRedraw()),n&&(n.setPosition(u),S(n,1),n.scaleX=n.scaleY=i*s,n.markRedraw()),r&&!r.ignore){r.x=r.y=0,r.originX=r.originY=0;var h=void 0,d=void 0,p=r.__labelDistance,f=p[0]*i,g=p[1]*i,m=s/2,v=a.tangentAt(m),y=[v[1],-v[0]],_=a.pointAt(m);y[1]>0&&(y[0]=-y[0],y[1]=-y[1]);var x=v[0]<0?-1:1;if("start"!==r.__position&&"end"!==r.__position){var b=-Math.atan2(v[1],v[0]);u[0]<l[0]&&(b=Math.PI+b),r.rotation=b}var w=void 0;switch(r.__position){case"insideStartTop":case"insideMiddleTop":case"insideEndTop":case"middle":w=-g,d="bottom";break;case"insideStartBottom":case"insideMiddleBottom":case"insideEndBottom":w=g,d="top";break;default:w=0,d="middle"}switch(r.__position){case"end":r.x=c[0]*f+u[0],r.y=c[1]*g+u[1],h=c[0]>.8?"left":c[0]<-.8?"right":"center",d=c[1]>.8?"top":c[1]<-.8?"bottom":"middle";break;case"start":r.x=-c[0]*f+l[0],r.y=-c[1]*g+l[1],h=c[0]>.8?"right":c[0]<-.8?"left":"center",d=c[1]>.8?"bottom":c[1]<-.8?"top":"middle";break;case"insideStartTop":case"insideStart":case"insideStartBottom":r.x=f*x+l[0],r.y=l[1]+w,h=v[0]<0?"right":"left",r.originX=-f*x,r.originY=-w;break;case"insideMiddleTop":case"insideMiddle":case"insideMiddleBottom":case"middle":r.x=_[0],r.y=_[1]+w,h="center",r.originY=-w;break;case"insideEndTop":case"insideEnd":case"insideEndBottom":r.x=-f*x+u[0],r.y=u[1]+w,h=v[0]>=0?"right":"left",r.originX=f*x,r.originY=-w}r.scaleX=r.scaleY=i,r.setStyle({verticalAlign:r.__verticalAlign||d,align:r.__align||h})}}}function S(e,t){var n=e.__specifiedRotation;if(null==n){var r=a.tangentAt(t);e.attr("rotation",(1===t?-1:1)*Math.PI/2-Math.atan2(r[1],r[0]))}else e.attr("rotation",n)}},t}(Oa);const TY=MY;function AY(e){var t=e.hostModel,n=t.getModel("emphasis");return{lineStyle:t.getModel("lineStyle").getLineStyle(),emphasisLineStyle:n.getModel(["lineStyle"]).getLineStyle(),blurLineStyle:t.getModel(["blur","lineStyle"]).getLineStyle(),selectLineStyle:t.getModel(["select","lineStyle"]).getLineStyle(),emphasisDisabled:n.get("disabled"),blurScope:n.get("blurScope"),focus:n.get("focus"),labelStatesModels:Mh(t)}}function IY(e){return isNaN(e[0])||isNaN(e[1])}function CY(e){return e&&!IY(e[0])&&!IY(e[1])}const DY=function(){function e(e){this.group=new Oa,this._LineCtor=e||TY}return e.prototype.updateData=function(e){var t=this;this._progressiveEls=null;var n=this,r=n.group,i=n._lineData;n._lineData=e,i||r.removeAll();var o=AY(e);e.diff(i).add((function(n){t._doAdd(e,n,o)})).update((function(n,r){t._doUpdate(i,e,r,n,o)})).remove((function(e){r.remove(i.getItemGraphicEl(e))})).execute()},e.prototype.updateLayout=function(){var e=this._lineData;e&&e.eachItemGraphicEl((function(t,n){t.updateLayout(e,n)}),this)},e.prototype.incrementalPrepareUpdate=function(e){this._seriesScope=AY(e),this._lineData=null,this.group.removeAll()},e.prototype.incrementalUpdate=function(e,t){function n(e){e.isGroup||function(e){return e.animators&&e.animators.length>0}(e)||(e.incremental=!0,e.ensureState("emphasis").hoverLayer=!0)}this._progressiveEls=[];for(var r=e.start;r<e.end;r++)if(CY(t.getItemLayout(r))){var i=new this._LineCtor(t,r,this._seriesScope);i.traverse(n),this.group.add(i),t.setItemGraphicEl(r,i),this._progressiveEls.push(i)}},e.prototype.remove=function(){this.group.removeAll()},e.prototype.eachRendered=function(e){ay(this._progressiveEls||this.group,e)},e.prototype._doAdd=function(e,t,n){if(CY(e.getItemLayout(t))){var r=new this._LineCtor(e,t,n);e.setItemGraphicEl(t,r),this.group.add(r)}},e.prototype._doUpdate=function(e,t,n,r,i){var o=e.getItemGraphicEl(n);CY(t.getItemLayout(r))?(o?o.updateData(t,r,i):o=new this._LineCtor(t,r,i),t.setItemGraphicEl(r,o),this.group.add(o)):this.group.remove(o)},e}();var EY=[],LY=[],PY=[],OY=fi,NY=wn,RY=Math.abs;function kY(e,t,n){for(var r,i=e[0],o=e[1],a=e[2],s=1/0,l=n*n,u=.1,c=.1;c<=.9;c+=.1)EY[0]=OY(i[0],o[0],a[0],c),EY[1]=OY(i[1],o[1],a[1],c),(p=RY(NY(EY,t)-l))<s&&(s=p,r=c);for(var h=0;h<32;h++){var d=r+u;LY[0]=OY(i[0],o[0],a[0],r),LY[1]=OY(i[1],o[1],a[1],r),PY[0]=OY(i[0],o[0],a[0],d),PY[1]=OY(i[1],o[1],a[1],d);var p=NY(LY,t)-l;if(RY(p)<.01)break;var f=NY(PY,t)-l;u/=2,p<0?f>=0?r+=u:r-=u:f>=0?r-=u:r+=u}return r}function BY(e,t){var n=[],r=vi,i=[[],[],[]],o=[[],[]],a=[];t/=2,e.eachEdge((function(e,s){var l=e.getLayout(),u=e.getVisual("fromSymbol"),c=e.getVisual("toSymbol");l.__original||(l.__original=[on(l[0]),on(l[1])],l[2]&&l.__original.push(on(l[2])));var h=l.__original;if(null!=l[2]){if(rn(i[0],h[0]),rn(i[1],h[2]),rn(i[2],h[1]),u&&"none"!==u){var d=rY(e.node1),p=kY(i,h[0],d*t);r(i[0][0],i[1][0],i[2][0],p,n),i[0][0]=n[3],i[1][0]=n[4],r(i[0][1],i[1][1],i[2][1],p,n),i[0][1]=n[3],i[1][1]=n[4]}c&&"none"!==c&&(d=rY(e.node2),p=kY(i,h[1],d*t),r(i[0][0],i[1][0],i[2][0],p,n),i[1][0]=n[1],i[2][0]=n[2],r(i[0][1],i[1][1],i[2][1],p,n),i[1][1]=n[1],i[2][1]=n[2]),rn(l[0],i[0]),rn(l[1],i[2]),rn(l[2],i[1])}else rn(o[0],h[0]),rn(o[1],h[1]),un(a,o[1],o[0]),yn(a,a),u&&"none"!==u&&(d=rY(e.node1),ln(o[0],o[0],a,d*t)),c&&"none"!==c&&(d=rY(e.node2),ln(o[1],o[1],a,-d*t)),rn(l[0],o[0]),rn(l[1],o[1])}))}function FY(e){return"view"===e.type}var zY=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(e,t){var n=new kV,r=new DY,i=this.group;this._controller=new NU(t.getZr()),this._controllerHost={target:i},i.add(n.group),i.add(r.group),this._symbolDraw=n,this._lineDraw=r,this._firstRender=!0},t.prototype.render=function(e,t,n){var r=this,i=e.coordinateSystem;this._model=e;var o=this._symbolDraw,a=this._lineDraw,s=this.group;if(FY(i)){var l={x:i.x,y:i.y,scaleX:i.scaleX,scaleY:i.scaleY};this._firstRender?s.attr(l):ph(s,l,e)}BY(e.getGraph(),nY(e));var u=e.getData();o.updateData(u);var c=e.getEdgeData();a.updateData(c),this._updateNodeAndLinkScale(),this._updateController(e,t,n),clearTimeout(this._layoutTimeout);var h=e.forceLayout,d=e.get(["force","layoutAnimation"]);h&&this._startForceLayoutIteration(h,d);var p=e.get("layout");u.graph.eachNode((function(t){var n=t.dataIndex,i=t.getGraphicEl(),o=t.getModel();if(i){i.off("drag").off("dragend");var a=o.get("draggable");a&&i.on("drag",(function(o){switch(p){case"force":h.warmUp(),!r._layouting&&r._startForceLayoutIteration(h,d),h.setFixed(n),u.setItemLayout(n,[i.x,i.y]);break;case"circular":u.setItemLayout(n,[i.x,i.y]),t.setLayout({fixed:!0},!0),aY(e,"symbolSize",t,[o.offsetX,o.offsetY]),r.updateLayout(e);break;default:u.setItemLayout(n,[i.x,i.y]),eY(e.getGraph(),e),r.updateLayout(e)}})).on("dragend",(function(){h&&h.setUnfixed(n)})),i.setDraggable(a,!!o.get("cursor")),"adjacency"===o.get(["emphasis","focus"])&&(lc(i).focus=t.getAdjacentDataIndices())}})),u.graph.eachEdge((function(e){var t=e.getGraphicEl(),n=e.getModel().get(["emphasis","focus"]);t&&"adjacency"===n&&(lc(t).focus={edge:[e.dataIndex],node:[e.node1.dataIndex,e.node2.dataIndex]})}));var f="circular"===e.get("layout")&&e.get(["circular","rotateLabel"]),g=u.getLayout("cx"),m=u.getLayout("cy");u.graph.eachNode((function(e){lY(e,f,g,m)})),this._firstRender=!1},t.prototype.dispose=function(){this.remove(),this._controller&&this._controller.dispose(),this._controllerHost=null},t.prototype._startForceLayoutIteration=function(e,t){var n=this;!function r(){e.step((function(e){n.updateLayout(n._model),(n._layouting=!e)&&(t?n._layoutTimeout=setTimeout(r,16):r())}))}()},t.prototype._updateController=function(e,t,n){var r=this,i=this._controller,o=this._controllerHost,a=this.group;i.setPointerChecker((function(t,r,i){var o=a.getBoundingRect();return o.applyTransform(a.transform),o.contain(r,i)&&!zU(t,n,e)})),FY(e.coordinateSystem)?(i.enable(e.get("roam")),o.zoomLimit=e.get("scaleLimit"),o.zoom=e.coordinateSystem.getZoom(),i.off("pan").off("zoom").on("pan",(function(t){RU(o,t.dx,t.dy),n.dispatchAction({seriesId:e.id,type:"graphRoam",dx:t.dx,dy:t.dy})})).on("zoom",(function(t){kU(o,t.scale,t.originX,t.originY),n.dispatchAction({seriesId:e.id,type:"graphRoam",zoom:t.scale,originX:t.originX,originY:t.originY}),r._updateNodeAndLinkScale(),BY(e.getGraph(),nY(e)),r._lineDraw.updateLayout(),n.updateLabelLayout()}))):i.disable()},t.prototype._updateNodeAndLinkScale=function(){var e=this._model,t=e.getData(),n=nY(e);t.eachItemGraphicEl((function(e,t){e&&e.setSymbolScale(n)}))},t.prototype.updateLayout=function(e){BY(e.getGraph(),nY(e)),this._symbolDraw.updateLayout(),this._lineDraw.updateLayout()},t.prototype.remove=function(){clearTimeout(this._layoutTimeout),this._layouting=!1,this._layoutTimeout=null,this._symbolDraw&&this._symbolDraw.remove(),this._lineDraw&&this._lineDraw.remove()},t.type="graph",t}(gy);const VY=zY;function GY(e,t,n,r,i){for(var o=new MF(r),a=0;a<e.length;a++)o.addNode(Nt(e[a].id,e[a].name,a),a);var s=[],l=[],u=0;for(a=0;a<t.length;a++){var c=t[a],h=c.source,d=c.target;o.addEdge(h,d,u)&&(l.push(c),s.push(Nt(Es(c.id,null),h+" > "+d)),u++)}var p,f=n.get("coordinateSystem");if("cartesian2d"===f||"polar"===f)p=yw(e,n);else{var g=Xp.get(f),m=g&&g.dimensions||[];ut(m,"value")<0&&m.concat(["value"]);var v=cw(e,{coordDimensions:m,encodeDefine:n.getEncode()}).dimensions;(p=new lw(v,n)).initData(e)}var y=new lw(["value"],n);return y.initData(l,s),i&&i(p,y),OF({mainData:p,struct:o,structAttr:"graph",datas:{node:p,edge:y},datasAttr:{node:"data",edge:"edgeData"}}),o.update(),o}var HY=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.hasSymbolVisual=!0,n}return Le(t,e),t.prototype.init=function(t){e.prototype.init.apply(this,arguments);var n=this;function r(){return n._categoriesData}this.legendVisualProvider=new eH(r,r),this.fillDataTextStyle(t.edges||t.links),this._updateCategoriesData()},t.prototype.mergeOption=function(t){e.prototype.mergeOption.apply(this,arguments),this.fillDataTextStyle(t.edges||t.links),this._updateCategoriesData()},t.prototype.mergeDefaultAndTheme=function(t){e.prototype.mergeDefaultAndTheme.apply(this,arguments),Ss(t,"edgeLabel",["show"])},t.prototype.getInitialData=function(e,t){var n,r=e.edges||e.links||[],i=e.data||e.nodes||[],o=this;if(i&&r){jX(n=this)&&(n.__curvenessList=[],n.__edgeMap={},XX(n));var a=GY(i,r,this,!0,(function(e,t){e.wrapMethod("getItemModel",(function(e){var t=o._categoriesModels[e.getShallow("category")];return t&&(t.parentModel=e.parentModel,e.parentModel=t),e}));var n=qh.prototype.getModel;function r(e,t){var r=n.call(this,e,t);return r.resolveParentPath=i,r}function i(e){if(e&&("label"===e[0]||"label"===e[1])){var t=e.slice();return"label"===e[0]?t[0]="edgeLabel":"label"===e[1]&&(t[1]="edgeLabel"),t}return e}t.wrapMethod("getItemModel",(function(e){return e.resolveParentPath=i,e.getModel=r,e}))}));return pt(a.edges,(function(e){!function(e,t,n,r){if(jX(n)){var i=YX(e,t,n),o=n.__edgeMap,a=o[ZX(i)];o[i]&&!a?o[i].isForward=!0:a&&o[i]&&(a.isForward=!0,o[i].isForward=!1),o[i]=o[i]||[],o[i].push(r)}}(e.node1,e.node2,this,e.dataIndex)}),this),a.data}},t.prototype.getGraph=function(){return this.getData().graph},t.prototype.getEdgeData=function(){return this.getGraph().edgeData},t.prototype.getCategoriesData=function(){return this._categoriesData},t.prototype.formatTooltip=function(e,t,n){if("edge"===n){var r=this.getData(),i=this.getDataParams(e,n),o=r.graph.getEdgeByIndex(e),a=r.getName(o.node1.dataIndex),s=r.getName(o.node2.dataIndex),l=[];return null!=a&&l.push(a),null!=s&&l.push(s),Lg("nameValue",{name:l.join(" > "),value:i.value,noValue:null==i.value})}return Ug({series:this,dataIndex:e,multipleSeries:t})},t.prototype._updateCategoriesData=function(){var e=ft(this.option.categories||[],(function(e){return null!=e.value?e:at({value:0},e)})),t=new lw(["value"],this);t.initData(e),this._categoriesData=t,this._categoriesModels=t.mapArray((function(e){return t.getItemModel(e)}))},t.prototype.setZoom=function(e){this.option.zoom=e},t.prototype.setCenter=function(e){this.option.center=e},t.prototype.isAnimationEnabled=function(){return e.prototype.isAnimationEnabled.call(this)&&!("force"===this.get("layout")&&this.get(["force","layoutAnimation"]))},t.type="series.graph",t.dependencies=["grid","polar","geo","singleAxis","calendar"],t.defaultOption={z:2,coordinateSystem:"view",legendHoverLink:!0,layout:null,circular:{rotateLabel:!1},force:{initLayout:null,repulsion:[0,50],gravity:.1,friction:.6,edgeLength:30,layoutAnimation:!0},left:"center",top:"center",symbol:"circle",symbolSize:10,edgeSymbol:["none","none"],edgeSymbolSize:10,edgeLabel:{position:"middle",distance:5},draggable:!1,roam:!1,center:null,zoom:1,nodeScaleRatio:.6,label:{show:!1,formatter:"{b}"},itemStyle:{},lineStyle:{color:"#aaa",width:1,opacity:.5},emphasis:{scale:!0,label:{show:!0}},select:{itemStyle:{borderColor:"#212121"}}},t}(tm);const UY=HY;var WY={type:"graphRoam",event:"graphRoam",update:"none"},jY=function(){this.angle=0,this.width=10,this.r=10,this.x=0,this.y=0},XY=function(e){function t(t){var n=e.call(this,t)||this;return n.type="pointer",n}return Le(t,e),t.prototype.getDefaultShape=function(){return new jY},t.prototype.buildPath=function(e,t){var n=Math.cos,r=Math.sin,i=t.r,o=t.width,a=t.angle,s=t.x-n(a)*o*(o>=i/3?1:2),l=t.y-r(a)*o*(o>=i/3?1:2);a=t.angle-Math.PI/2,e.moveTo(s,l),e.lineTo(t.x+n(a)*o,t.y+r(a)*o),e.lineTo(t.x+n(t.angle)*i,t.y+r(t.angle)*i),e.lineTo(t.x-n(a)*o,t.y-r(a)*o),e.lineTo(s,l)},t}(Eu);const YY=XY;function ZY(e,t){var n=null==e?"":e+"";return t&&(St(t)?n=t.replace("{value}",n):wt(t)&&(n=t(e))),n}var qY=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){this.group.removeAll();var r=e.get(["axisLine","lineStyle","color"]),i=function(e,t){var n=e.get("center"),r=t.getWidth(),i=t.getHeight(),o=Math.min(r,i);return{cx:qa(n[0],t.getWidth()),cy:qa(n[1],t.getHeight()),r:qa(e.get("radius"),o/2)}}(e,n);this._renderMain(e,t,n,r,i),this._data=e.getData()},t.prototype.dispose=function(){},t.prototype._renderMain=function(e,t,n,r,i){var o=this.group,a=e.get("clockwise"),s=-e.get("startAngle")/180*Math.PI,l=-e.get("endAngle")/180*Math.PI,u=e.getModel("axisLine"),c=u.get("roundCap")?vG:jm,h=u.get("show"),d=u.getModel("lineStyle"),p=d.get("width"),f=[s,l];su(f,!a);for(var g=(l=f[1])-(s=f[0]),m=s,v=[],y=0;h&&y<r.length;y++){var _=new c({shape:{startAngle:m,endAngle:l=s+g*Math.min(Math.max(r[y][0],0),1),cx:i.cx,cy:i.cy,clockwise:a,r0:i.r-p,r:i.r},silent:!0});_.setStyle({fill:r[y][1]}),_.setStyle(d.getLineStyle(["color","width"])),v.push(_),m=l}v.reverse(),pt(v,(function(e){return o.add(e)}));var x=function(e){if(e<=0)return r[0][1];var t;for(t=0;t<r.length;t++)if(r[t][0]>=e&&(0===t?0:r[t-1][0])<e)return r[t][1];return r[t-1][1]};this._renderTicks(e,t,n,x,i,s,l,a,p),this._renderTitleAndDetail(e,t,n,x,i),this._renderAnchor(e,i),this._renderPointer(e,t,n,x,i,s,l,a,p)},t.prototype._renderTicks=function(e,t,n,r,i,o,a,s,l){for(var u,c,h=this.group,d=i.cx,p=i.cy,f=i.r,g=+e.get("min"),m=+e.get("max"),v=e.getModel("splitLine"),y=e.getModel("axisTick"),_=e.getModel("axisLabel"),x=e.get("splitNumber"),b=y.get("splitNumber"),w=qa(v.get("length"),f),S=qa(y.get("length"),f),M=o,T=(a-o)/x,A=T/b,I=v.getModel("lineStyle").getLineStyle(),C=y.getModel("lineStyle").getLineStyle(),D=v.get("distance"),E=0;E<=x;E++){if(u=Math.cos(M),c=Math.sin(M),v.get("show")){var L=new ov({shape:{x1:u*(f-(P=D?D+l:l))+d,y1:c*(f-P)+p,x2:u*(f-w-P)+d,y2:c*(f-w-P)+p},style:I,silent:!0});"auto"===I.stroke&&L.setStyle({stroke:r(E/x)}),h.add(L)}if(_.get("show")){var P=_.get("distance")+D,O=ZY($a(E/x*(m-g)+g),_.get("formatter")),N=r(E/x),R=u*(f-w-P)+d,k=c*(f-w-P)+p,B=_.get("rotate"),F=0;"radial"===B?(F=-M+2*Math.PI)>Math.PI/2&&(F+=Math.PI):"tangential"===B?F=-M-Math.PI/2:Tt(B)&&(F=B*Math.PI/180),0===F?h.add(new sc({style:Th(_,{text:O,x:R,y:k,verticalAlign:c<-.8?"top":c>.8?"bottom":"middle",align:u<-.4?"left":u>.4?"right":"center"},{inheritColor:N}),silent:!0})):h.add(new sc({style:Th(_,{text:O,x:R,y:k,verticalAlign:"middle",align:"center"},{inheritColor:N}),silent:!0,originX:R,originY:k,rotation:F}))}if(y.get("show")&&E!==x){P=(P=y.get("distance"))?P+l:l;for(var z=0;z<=b;z++){u=Math.cos(M),c=Math.sin(M);var V=new ov({shape:{x1:u*(f-P)+d,y1:c*(f-P)+p,x2:u*(f-S-P)+d,y2:c*(f-S-P)+p},silent:!0,style:C});"auto"===C.stroke&&V.setStyle({stroke:r((E+z/b)/x)}),h.add(V),M+=A}M-=A}else M+=T}},t.prototype._renderPointer=function(e,t,n,r,i,o,a,s,l){var u=this.group,c=this._data,h=this._progressEls,d=[],p=e.get(["pointer","show"]),f=e.getModel("progress"),g=f.get("show"),m=e.getData(),v=m.mapDimension("value"),y=+e.get("min"),_=+e.get("max"),x=[y,_],b=[o,a];function w(t,n){var r,o=m.getItemModel(t).getModel("pointer"),a=qa(o.get("width"),i.r),s=qa(o.get("length"),i.r),l=e.get(["pointer","icon"]),u=o.get("offsetCenter"),c=qa(u[0],i.r),h=qa(u[1],i.r),d=o.get("keepAspect");return(r=l?T_(l,c-a/2,h-s,a,s,null,d):new YY({shape:{angle:-Math.PI/2,width:a,r:s,x:c,y:h}})).rotation=-(n+Math.PI/2),r.x=i.cx,r.y=i.cy,r}function S(e,t){var n=f.get("roundCap")?vG:jm,r=f.get("overlap"),a=r?f.get("width"):l/m.count(),u=r?i.r-a:i.r-(e+1)*a,c=r?i.r:i.r-e*a,h=new n({shape:{startAngle:o,endAngle:t,cx:i.cx,cy:i.cy,clockwise:s,r0:u,r:c}});return r&&(h.z2=_-m.get(v,e)%_),h}(g||p)&&(m.diff(c).add((function(t){var n=m.get(v,t);if(p){var r=w(t,o);fh(r,{rotation:-((isNaN(+n)?b[0]:Za(n,x,b,!0))+Math.PI/2)},e),u.add(r),m.setItemGraphicEl(t,r)}if(g){var i=S(t,o),a=f.get("clip");fh(i,{shape:{endAngle:Za(n,x,b,a)}},e),u.add(i),uc(e.seriesIndex,m.dataType,t,i),d[t]=i}})).update((function(t,n){var r=m.get(v,t);if(p){var i=c.getItemGraphicEl(n),a=i?i.rotation:o,s=w(t,a);s.rotation=a,ph(s,{rotation:-((isNaN(+r)?b[0]:Za(r,x,b,!0))+Math.PI/2)},e),u.add(s),m.setItemGraphicEl(t,s)}if(g){var l=h[n],y=S(t,l?l.shape.endAngle:o),_=f.get("clip");ph(y,{shape:{endAngle:Za(r,x,b,_)}},e),u.add(y),uc(e.seriesIndex,m.dataType,t,y),d[t]=y}})).execute(),m.each((function(e){var t=m.getItemModel(e),n=t.getModel("emphasis"),i=n.get("focus"),o=n.get("blurScope"),a=n.get("disabled");if(p){var s=m.getItemGraphicEl(e),l=m.getItemVisual(e,"style"),u=l.fill;if(s instanceof Bu){var c=s.style;s.useStyle(at({image:c.image,x:c.x,y:c.y,width:c.width,height:c.height},l))}else s.useStyle(l),"pointer"!==s.type&&s.setColor(u);s.setStyle(t.getModel(["pointer","itemStyle"]).getItemStyle()),"auto"===s.style.fill&&s.setStyle("fill",r(Za(m.get(v,e),x,[0,1],!0))),s.z2EmphasisLift=0,oh(s,t),th(s,i,o,a)}if(g){var h=d[e];h.useStyle(m.getItemVisual(e,"style")),h.setStyle(t.getModel(["progress","itemStyle"]).getItemStyle()),h.z2EmphasisLift=0,oh(h,t),th(h,i,o,a)}})),this._progressEls=d)},t.prototype._renderAnchor=function(e,t){var n=e.getModel("anchor");if(n.get("show")){var r=n.get("size"),i=n.get("icon"),o=n.get("offsetCenter"),a=n.get("keepAspect"),s=T_(i,t.cx-r/2+qa(o[0],t.r),t.cy-r/2+qa(o[1],t.r),r,r,null,a);s.z2=n.get("showAbove")?1:0,s.setStyle(n.getModel("itemStyle").getItemStyle()),this.group.add(s)}},t.prototype._renderTitleAndDetail=function(e,t,n,r,i){var o=this,a=e.getData(),s=a.mapDimension("value"),l=+e.get("min"),u=+e.get("max"),c=new Oa,h=[],d=[],p=e.isAnimationEnabled(),f=e.get(["pointer","showAbove"]);a.diff(this._data).add((function(e){h[e]=new sc({silent:!0}),d[e]=new sc({silent:!0})})).update((function(e,t){h[e]=o._titleEls[t],d[e]=o._detailEls[t]})).execute(),a.each((function(t){var n=a.getItemModel(t),o=a.get(s,t),g=new Oa,m=r(Za(o,[l,u],[0,1],!0)),v=n.getModel("title");if(v.get("show")){var y=v.get("offsetCenter"),_=i.cx+qa(y[0],i.r),x=i.cy+qa(y[1],i.r);(C=h[t]).attr({z2:f?0:2,style:Th(v,{x:_,y:x,text:a.getName(t),align:"center",verticalAlign:"middle"},{inheritColor:m})}),g.add(C)}var b=n.getModel("detail");if(b.get("show")){var w=b.get("offsetCenter"),S=i.cx+qa(w[0],i.r),M=i.cy+qa(w[1],i.r),T=qa(b.get("width"),i.r),A=qa(b.get("height"),i.r),I=e.get(["progress","show"])?a.getItemVisual(t,"style").fill:m,C=d[t],D=b.get("formatter");C.attr({z2:f?0:2,style:Th(b,{x:S,y:M,text:ZY(o,D),width:isNaN(T)?null:T,height:isNaN(A)?null:A,align:"center",verticalAlign:"middle"},{inheritColor:I})}),Oh(C,{normal:b},o,(function(e){return ZY(e,D)})),p&&Nh(C,t,a,e,{getFormattedLabel:function(e,t,n,r,i,a){return ZY(a?a.interpolatedValue:o,D)}}),g.add(C)}c.add(g)})),this.group.add(c),this._titleEls=h,this._detailEls=d},t.type="gauge",t}(gy);const $Y=qY,KY=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.visualStyleAccessPath="itemStyle",n}return Le(t,e),t.prototype.getInitialData=function(e,t){return JG(this,["value"])},t.type="series.gauge",t.defaultOption={z:2,colorBy:"data",center:["50%","50%"],legendHoverLink:!0,radius:"75%",startAngle:225,endAngle:-45,clockwise:!0,min:0,max:100,splitNumber:10,axisLine:{show:!0,roundCap:!1,lineStyle:{color:[[1,"#E6EBF8"]],width:10}},progress:{show:!1,overlap:!0,width:10,roundCap:!1,clip:!0},splitLine:{show:!0,length:10,distance:10,lineStyle:{color:"#63677A",width:3,type:"solid"}},axisTick:{show:!0,splitNumber:5,length:6,distance:10,lineStyle:{color:"#63677A",width:1,type:"solid"}},axisLabel:{show:!0,distance:15,color:"#464646",fontSize:12,rotate:0},pointer:{icon:null,offsetCenter:[0,0],show:!0,showAbove:!0,length:"60%",width:6,keepAspect:!1},anchor:{show:!1,showAbove:!1,size:6,icon:"circle",offsetCenter:[0,0],keepAspect:!1,itemStyle:{color:"#fff",borderWidth:0,borderColor:"#5470c6"}},title:{show:!0,offsetCenter:[0,"20%"],color:"#464646",fontSize:16,valueAnimation:!1},detail:{show:!0,backgroundColor:"rgba(0,0,0,0)",borderWidth:0,borderColor:"#ccc",width:100,height:null,padding:[5,10],offsetCenter:[0,"40%"],color:"#464646",fontSize:30,fontWeight:"bold",lineHeight:30,valueAnimation:!1}},t}(tm);var JY=["itemStyle","opacity"],QY=function(e){function t(t,n){var r=e.call(this)||this,i=r,o=new tv,a=new sc;return i.setTextContent(a),r.setTextGuideLine(o),r.updateData(t,n,!0),r}return Le(t,e),t.prototype.updateData=function(e,t,n){var r=this,i=e.hostModel,o=e.getItemModel(t),a=e.getItemLayout(t),s=o.getModel("emphasis"),l=o.get(JY);l=null==l?1:l,n||_h(r),r.useStyle(e.getItemVisual(t,"style")),r.style.lineJoin="round",n?(r.setShape({points:a.points}),r.style.opacity=0,fh(r,{style:{opacity:l}},i,t)):ph(r,{style:{opacity:l},shape:{points:a.points}},i,t),oh(r,o),this._updateLabel(e,t),th(this,s.get("focus"),s.get("blurScope"),s.get("disabled"))},t.prototype._updateLabel=function(e,t){var n=this,r=this.getTextGuideLine(),i=n.getTextContent(),o=e.hostModel,a=e.getItemModel(t),s=e.getItemLayout(t).label,l=e.getItemVisual(t,"style"),u=l.fill;Sh(i,Mh(a),{labelFetcher:e.hostModel,labelDataIndex:t,defaultOpacity:l.opacity,defaultText:e.getName(t)},{normal:{align:s.textAlign,verticalAlign:s.verticalAlign}}),n.setTextConfig({local:!0,inside:!!s.inside,insideStroke:u,outsideFill:u});var c=s.linePoints;r.setShape({points:c}),n.textGuideLineConfig={anchor:c?new dr(c[0][0],c[0][1]):null},ph(i,{style:{x:s.x,y:s.y}},o,t),i.attr({rotation:s.rotation,originX:s.x,originY:s.y,z2:10}),kM(n,BM(a),{stroke:u})},t}(Jm);const eZ=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.ignoreLabelLineUpdate=!0,n}return Le(t,e),t.prototype.render=function(e,t,n){var r=e.getData(),i=this._data,o=this.group;r.diff(i).add((function(e){var t=new QY(r,e);r.setItemGraphicEl(e,t),o.add(t)})).update((function(e,t){var n=i.getItemGraphicEl(t);n.updateData(r,e),o.add(n),r.setItemGraphicEl(e,n)})).remove((function(t){yh(i.getItemGraphicEl(t),e,t)})).execute(),this._data=r},t.prototype.remove=function(){this.group.removeAll(),this._data=null},t.prototype.dispose=function(){},t.type="funnel",t}(gy);var tZ=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(t){e.prototype.init.apply(this,arguments),this.legendVisualProvider=new eH(_t(this.getData,this),_t(this.getRawData,this)),this._defaultLabelLine(t)},t.prototype.getInitialData=function(e,t){return JG(this,{coordDimensions:["value"],encodeDefaulter:xt(Sp,this)})},t.prototype._defaultLabelLine=function(e){Ss(e,"labelLine",["show"]);var t=e.labelLine,n=e.emphasis.labelLine;t.show=t.show&&e.label.show,n.show=n.show&&e.emphasis.label.show},t.prototype.getDataParams=function(t){var n=this.getData(),r=e.prototype.getDataParams.call(this,t),i=n.mapDimension("value"),o=n.getSum(i);return r.percent=o?+(n.get(i,t)/o*100).toFixed(2):0,r.$vars.push("percent"),r},t.type="series.funnel",t.defaultOption={z:2,legendHoverLink:!0,colorBy:"data",left:80,top:60,right:80,bottom:60,minSize:"0%",maxSize:"100%",sort:"descending",orient:"vertical",gap:0,funnelAlign:"center",label:{show:!0,position:"outer"},labelLine:{show:!0,length:20,lineStyle:{width:1}},itemStyle:{borderColor:"#fff",borderWidth:1},emphasis:{label:{show:!0}},select:{itemStyle:{borderColor:"#212121"}}},t}(tm);const nZ=tZ;function rZ(e,t){e.eachSeriesByType("funnel",(function(e){var n=e.getData(),r=n.mapDimension("value"),i=e.get("sort"),o=function(e,t){return Qd(e.getBoxLayoutParams(),{width:t.getWidth(),height:t.getHeight()})}(e,t),a=e.get("orient"),s=o.width,l=o.height,u=function(e,t){for(var n=e.mapDimension("value"),r=e.mapArray(n,(function(e){return e})),i=[],o="ascending"===t,a=0,s=e.count();a<s;a++)i[a]=a;return wt(t)?i.sort(t):"none"!==t&&i.sort((function(e,t){return o?r[e]-r[t]:r[t]-r[e]})),i}(n,i),c=o.x,h=o.y,d="horizontal"===a?[qa(e.get("minSize"),l),qa(e.get("maxSize"),l)]:[qa(e.get("minSize"),s),qa(e.get("maxSize"),s)],p=n.getDataExtent(r),f=e.get("min"),g=e.get("max");null==f&&(f=Math.min(p[0],0)),null==g&&(g=p[1]);var m=e.get("funnelAlign"),v=e.get("gap"),y=(("horizontal"===a?s:l)-v*(n.count()-1))/n.count(),_=function(e,t){if("horizontal"===a){var i=Za(n.get(r,e)||0,[f,g],d,!0),o=void 0;switch(m){case"top":o=h;break;case"center":o=h+(l-i)/2;break;case"bottom":o=h+(l-i)}return[[t,o],[t,o+i]]}var u,p=Za(n.get(r,e)||0,[f,g],d,!0);switch(m){case"left":u=c;break;case"center":u=c+(s-p)/2;break;case"right":u=c+s-p}return[[u,t],[u+p,t]]};"ascending"===i&&(y=-y,v=-v,"horizontal"===a?c+=s:h+=l,u=u.reverse());for(var x=0;x<u.length;x++){var b=u[x],w=u[x+1],S=n.getItemModel(b);if("horizontal"===a){var M=S.get(["itemStyle","width"]);null==M?M=y:(M=qa(M,s),"ascending"===i&&(M=-M));var T=_(b,c),A=_(w,c+M);c+=M+v,n.setItemLayout(b,{points:T.concat(A.slice().reverse())})}else{var I=S.get(["itemStyle","height"]);null==I?I=y:(I=qa(I,l),"ascending"===i&&(I=-I)),T=_(b,h),A=_(w,h+I),h+=I+v,n.setItemLayout(b,{points:T.concat(A.slice().reverse())})}}!function(e){var t=e.hostModel.get("orient");e.each((function(n){var r,i,o,a,s=e.getItemModel(n),l=s.getModel("label").get("position"),u=s.getModel("labelLine"),c=e.getItemLayout(n),h=c.points,d="inner"===l||"inside"===l||"center"===l||"insideLeft"===l||"insideRight"===l;if(d)"insideLeft"===l?(i=(h[0][0]+h[3][0])/2+5,o=(h[0][1]+h[3][1])/2,r="left"):"insideRight"===l?(i=(h[1][0]+h[2][0])/2-5,o=(h[1][1]+h[2][1])/2,r="right"):(i=(h[0][0]+h[1][0]+h[2][0]+h[3][0])/4,o=(h[0][1]+h[1][1]+h[2][1]+h[3][1])/4,r="center"),a=[[i,o],[i,o]];else{var p=void 0,f=void 0,g=void 0,m=void 0,v=u.get("length");"left"===l?(p=(h[3][0]+h[0][0])/2,f=(h[3][1]+h[0][1])/2,i=(g=p-v)-5,r="right"):"right"===l?(p=(h[1][0]+h[2][0])/2,f=(h[1][1]+h[2][1])/2,i=(g=p+v)+5,r="left"):"top"===l?(p=(h[3][0]+h[0][0])/2,o=(m=(f=(h[3][1]+h[0][1])/2)-v)-5,r="center"):"bottom"===l?(p=(h[1][0]+h[2][0])/2,o=(m=(f=(h[1][1]+h[2][1])/2)+v)+5,r="center"):"rightTop"===l?(p="horizontal"===t?h[3][0]:h[1][0],f="horizontal"===t?h[3][1]:h[1][1],"horizontal"===t?(o=(m=f-v)-5,r="center"):(i=(g=p+v)+5,r="top")):"rightBottom"===l?(p=h[2][0],f=h[2][1],"horizontal"===t?(o=(m=f+v)+5,r="center"):(i=(g=p+v)+5,r="bottom")):"leftTop"===l?(p=h[0][0],f="horizontal"===t?h[0][1]:h[1][1],"horizontal"===t?(o=(m=f-v)-5,r="center"):(i=(g=p-v)-5,r="right")):"leftBottom"===l?(p="horizontal"===t?h[1][0]:h[3][0],f="horizontal"===t?h[1][1]:h[2][1],"horizontal"===t?(o=(m=f+v)+5,r="center"):(i=(g=p-v)-5,r="right")):(p=(h[1][0]+h[2][0])/2,f=(h[1][1]+h[2][1])/2,"horizontal"===t?(o=(m=f+v)+5,r="center"):(i=(g=p+v)+5,r="left")),"horizontal"===t?i=g=p:o=m=f,a=[[p,f],[g,m]]}c.label={linePoints:a,x:i,y:o,verticalAlign:"middle",textAlign:r,inside:d}}))}(n)}))}var iZ=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n._dataGroup=new Oa,n._initialized=!1,n}return Le(t,e),t.prototype.init=function(){this.group.add(this._dataGroup)},t.prototype.render=function(e,t,n,r){this._progressiveEls=null;var i=this._dataGroup,o=e.getData(),a=this._data,s=e.coordinateSystem,l=s.dimensions,u=sZ(e);if(o.diff(a).add((function(e){lZ(aZ(o,i,e,l,s),o,e,u)})).update((function(t,n){var r=a.getItemGraphicEl(n),i=oZ(o,t,l,s);o.setItemGraphicEl(t,r),ph(r,{shape:{points:i}},e,t),_h(r),lZ(r,o,t,u)})).remove((function(e){var t=a.getItemGraphicEl(e);i.remove(t)})).execute(),!this._initialized){this._initialized=!0;var c=function(e,t,n){var r=e.model,o=e.getRect(),a=new ju({shape:{x:o.x,y:o.y,width:o.width,height:o.height}}),s="horizontal"===r.get("layout")?"width":"height";return a.setShape(s,0),fh(a,{shape:{width:o.width,height:o.height}},t,(function(){setTimeout((function(){i.removeClipPath()}))})),a}(s,e);i.setClipPath(c)}this._data=o},t.prototype.incrementalPrepareRender=function(e,t,n){this._initialized=!0,this._data=null,this._dataGroup.removeAll()},t.prototype.incrementalRender=function(e,t,n){for(var r=t.getData(),i=t.coordinateSystem,o=i.dimensions,a=sZ(t),s=this._progressiveEls=[],l=e.start;l<e.end;l++){var u=aZ(r,this._dataGroup,l,o,i);u.incremental=!0,lZ(u,r,l,a),s.push(u)}},t.prototype.remove=function(){this._dataGroup&&this._dataGroup.removeAll(),this._data=null},t.type="parallel",t}(gy);function oZ(e,t,n,r){for(var i,o=[],a=0;a<n.length;a++){var s=n[a],l=e.get(e.mapDimension(s),t);i=l,("category"===r.getAxis(s).type?null==i:null==i||isNaN(i))||o.push(r.dataToPoint(l,s))}return o}function aZ(e,t,n,r,i){var o=oZ(e,n,r,i),a=new tv({shape:{points:o},z2:10});return t.add(a),e.setItemGraphicEl(n,a),a}function sZ(e){var t=e.get("smooth",!0);return!0===t&&(t=.3),Ot(t=fs(t))&&(t=0),{smooth:t}}function lZ(e,t,n,r){e.useStyle(t.getItemVisual(n,"style")),e.style.fill=null,e.setShape("smooth",r.smooth);var i=t.getItemModel(n),o=i.getModel("emphasis");oh(e,i,"lineStyle"),th(e,o.get("focus"),o.get("blurScope"),o.get("disabled"))}const uZ=iZ;function cZ(e){var t=e.ecModel.getComponent("parallel",e.get("parallelIndex"));if(t){var n={};return pt(t.dimensions,(function(e){var t=+e.replace("dim","");n[e]=t})),n}}const hZ=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.visualStyleAccessPath="lineStyle",n.visualDrawType="stroke",n}return Le(t,e),t.prototype.getInitialData=function(e,t){return yw(null,this,{useEncodeDefaulter:_t(cZ,null,this)})},t.prototype.getRawIndicesByActiveState=function(e){var t=this.coordinateSystem,n=this.getData(),r=[];return t.eachActiveState(n,(function(t,i){e===t&&r.push(n.getRawIndex(i))})),r},t.type="series.parallel",t.dependencies=["parallel"],t.defaultOption={z:2,coordinateSystem:"parallel",parallelIndex:0,label:{show:!1},inactiveOpacity:.05,activeOpacity:1,lineStyle:{width:1,opacity:.45,type:"solid"},emphasis:{label:{show:!1}},progressive:500,smooth:!1,animationEasing:"linear"},t}(tm);var dZ=["lineStyle","opacity"];const pZ={seriesType:"parallel",reset:function(e,t){var n=e.coordinateSystem,r={normal:e.get(["lineStyle","opacity"]),active:e.get("activeOpacity"),inactive:e.get("inactiveOpacity")};return{progress:function(e,t){n.eachActiveState(t,(function(e,n){var i=r[e];if("normal"===e&&t.hasItemOption){var o=t.getItemModel(n).get(dZ,!0);null!=o&&(i=o)}t.ensureUniqueItemVisual(n,"style").opacity=i}),e.start,e.end)}}}};function fZ(e){!function(e){if(!e.parallel){var t=!1;pt(e.series,(function(e){e&&"parallel"===e.type&&(t=!0)})),t&&(e.parallel=[{}])}}(e),function(e){pt(ws(e.parallelAxis),(function(t){if(At(t)){var n=t.parallelIndex||0,r=ws(e.parallel)[n];r&&r.parallelAxisDefault&&it(t,r.parallelAxisDefault,!1)}}))}(e)}var gZ=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){this._model=e,this._api=n,this._handlers||(this._handlers={},pt(mZ,(function(e,t){n.getZr().on(t,this._handlers[t]=_t(e,this))}),this)),xy(this,"_throttledDispatchExpand",e.get("axisExpandRate"),"fixRate")},t.prototype.dispose=function(e,t){by(this,"_throttledDispatchExpand"),pt(this._handlers,(function(e,n){t.getZr().off(n,e)})),this._handlers=null},t.prototype._throttledDispatchExpand=function(e){this._dispatchExpand(e)},t.prototype._dispatchExpand=function(e){e&&this._api.dispatchAction(at({type:"parallelAxisExpand"},e))},t.type="parallel",t}(rm),mZ={mousedown:function(e){vZ(this,"click")&&(this._mouseDownPoint=[e.offsetX,e.offsetY])},mouseup:function(e){var t=this._mouseDownPoint;if(vZ(this,"click")&&t){var n=[e.offsetX,e.offsetY];if(Math.pow(t[0]-n[0],2)+Math.pow(t[1]-n[1],2)>5)return;var r=this._model.coordinateSystem.getSlidedAxisExpandWindow([e.offsetX,e.offsetY]);"none"!==r.behavior&&this._dispatchExpand({axisExpandWindow:r.axisExpandWindow})}this._mouseDownPoint=null},mousemove:function(e){if(!this._mouseDownPoint&&vZ(this,"mousemove")){var t=this._model,n=t.coordinateSystem.getSlidedAxisExpandWindow([e.offsetX,e.offsetY]),r=n.behavior;"jump"===r&&this._throttledDispatchExpand.debounceNextCall(t.get("axisExpandDebounce")),this._throttledDispatchExpand("none"===r?null:{axisExpandWindow:n.axisExpandWindow,animation:"jump"===r?null:{duration:0}})}}};function vZ(e,t){var n=e._model;return n.get("axisExpandable")&&n.get("axisExpandTriggerOn")===t}const yZ=gZ,_Z=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(){e.prototype.init.apply(this,arguments),this.mergeOption({})},t.prototype.mergeOption=function(e){var t=this.option;e&&it(t,e,!0),this._initDimensions()},t.prototype.contains=function(e,t){var n=e.get("parallelIndex");return null!=n&&t.getComponent("parallel",n)===this},t.prototype.setAxisExpand=function(e){pt(["axisExpandable","axisExpandCenter","axisExpandCount","axisExpandWidth","axisExpandWindow"],(function(t){e.hasOwnProperty(t)&&(this.option[t]=e[t])}),this)},t.prototype._initDimensions=function(){var e=this.dimensions=[],t=this.parallelAxisIndex=[];pt(mt(this.ecModel.queryComponents({mainType:"parallelAxis"}),(function(e){return(e.get("parallelIndex")||0)===this.componentIndex}),this),(function(n){e.push("dim"+n.get("dim")),t.push(n.componentIndex)}))},t.type="parallel",t.dependencies=["parallelAxis"],t.layoutMode="box",t.defaultOption={z:0,left:80,top:60,right:80,bottom:60,layout:"horizontal",axisExpandable:!1,axisExpandCenter:null,axisExpandCount:0,axisExpandWidth:50,axisExpandRate:17,axisExpandDebounce:50,axisExpandSlideTriggerArea:[-.15,.05,.4],axisExpandTriggerOn:"click",parallelAxisDefault:null},t}(sp);var xZ=function(e){function t(t,n,r,i,o){var a=e.call(this,t,n,r)||this;return a.type=i||"value",a.axisIndex=o,a}return Le(t,e),t.prototype.isHorizontal=function(){return"horizontal"!==this.coordinateSystem.getModel().get("layout")},t}(uM);const bZ=xZ;function wZ(e,t,n,r,i,o){e=e||0;var a=n[1]-n[0];if(null!=i&&(i=MZ(i,[0,a])),null!=o&&(o=Math.max(o,null!=i?i:0)),"all"===r){var s=Math.abs(t[1]-t[0]);s=MZ(s,[0,a]),i=o=MZ(s,[i,o]),r=0}t[0]=MZ(t[0],n),t[1]=MZ(t[1],n);var l=SZ(t,r);t[r]+=e;var u,c=i||0,h=n.slice();return l.sign<0?h[0]+=c:h[1]-=c,t[r]=MZ(t[r],h),u=SZ(t,r),null!=i&&(u.sign!==l.sign||u.span<i)&&(t[1-r]=t[r]+l.sign*i),u=SZ(t,r),null!=o&&u.span>o&&(t[1-r]=t[r]+u.sign*o),t}function SZ(e,t){var n=e[t]-e[1-t];return{span:Math.abs(n),sign:n>0?-1:n<0?1:t?-1:1}}function MZ(e,t){return Math.min(null!=t[1]?t[1]:1/0,Math.max(null!=t[0]?t[0]:-1/0,e))}var TZ=pt,AZ=Math.min,IZ=Math.max,CZ=Math.floor,DZ=Math.ceil,EZ=$a,LZ=Math.PI,PZ=function(){function e(e,t,n){this.type="parallel",this._axesMap=Yt(),this._axesLayout={},this.dimensions=e.dimensions,this._model=e,this._init(e,t,n)}return e.prototype._init=function(e,t,n){var r=e.dimensions,i=e.parallelAxisIndex;TZ(r,(function(e,n){var r=i[n],o=t.getComponent("parallelAxis",r),a=this._axesMap.set(e,new bZ(e,wS(o),[0,0],o.get("type"),r)),s="category"===a.type;a.onBand=s&&o.get("boundaryGap"),a.inverse=o.get("inverse"),o.axis=a,a.model=o,a.coordinateSystem=o.coordinateSystem=this}),this)},e.prototype.update=function(e,t){this._updateAxesFromSeries(this._model,e)},e.prototype.containPoint=function(e){var t=this._makeLayoutInfo(),n=t.axisBase,r=t.layoutBase,i=t.pixelDimIndex,o=e[1-i],a=e[i];return o>=n&&o<=n+t.axisLength&&a>=r&&a<=r+t.layoutLength},e.prototype.getModel=function(){return this._model},e.prototype._updateAxesFromSeries=function(e,t){t.eachSeries((function(n){if(e.contains(n,t)){var r=n.getData();TZ(this.dimensions,(function(e){var t=this._axesMap.get(e);t.scale.unionExtentFromData(r,r.mapDimension(e)),bS(t.scale,t.model)}),this)}}),this)},e.prototype.resize=function(e,t){this._rect=Qd(e.getBoxLayoutParams(),{width:t.getWidth(),height:t.getHeight()}),this._layoutAxes()},e.prototype.getRect=function(){return this._rect},e.prototype._makeLayoutInfo=function(){var e,t=this._model,n=this._rect,r=["x","y"],i=["width","height"],o=t.get("layout"),a="horizontal"===o?0:1,s=n[i[a]],l=[0,s],u=this.dimensions.length,c=OZ(t.get("axisExpandWidth"),l),h=OZ(t.get("axisExpandCount")||0,[0,u]),d=t.get("axisExpandable")&&u>3&&u>h&&h>1&&c>0&&s>0,p=t.get("axisExpandWindow");p?(e=OZ(p[1]-p[0],l),p[1]=p[0]+e):(e=OZ(c*(h-1),l),(p=[c*(t.get("axisExpandCenter")||CZ(u/2))-e/2])[1]=p[0]+e);var f=(s-e)/(u-h);f<3&&(f=0);var g=[CZ(EZ(p[0]/c,1))+1,DZ(EZ(p[1]/c,1))-1],m=f/c*p[0];return{layout:o,pixelDimIndex:a,layoutBase:n[r[a]],layoutLength:s,axisBase:n[r[1-a]],axisLength:n[i[1-a]],axisExpandable:d,axisExpandWidth:c,axisCollapseWidth:f,axisExpandWindow:p,axisCount:u,winInnerIndices:g,axisExpandWindow0Pos:m}},e.prototype._layoutAxes=function(){var e=this._rect,t=this._axesMap,n=this.dimensions,r=this._makeLayoutInfo(),i=r.layout;t.each((function(e){var t=[0,r.axisLength],n=e.inverse?1:0;e.setExtent(t[n],t[1-n])})),TZ(n,(function(t,n){var o=(r.axisExpandable?RZ:NZ)(n,r),a={horizontal:{x:o.position,y:r.axisLength},vertical:{x:0,y:o.position}},s={horizontal:LZ/2,vertical:0},l=[a[i].x+e.x,a[i].y+e.y],u=s[i],c=[1,0,0,1,0,0];sr(c,c,u),ar(c,c,l),this._axesLayout[t]={position:l,rotation:u,transform:c,axisNameAvailableWidth:o.axisNameAvailableWidth,axisLabelShow:o.axisLabelShow,nameTruncateMaxWidth:o.nameTruncateMaxWidth,tickDirection:1,labelDirection:1}}),this)},e.prototype.getAxis=function(e){return this._axesMap.get(e)},e.prototype.dataToPoint=function(e,t){return this.axisCoordToPoint(this._axesMap.get(t).dataToCoord(e),t)},e.prototype.eachActiveState=function(e,t,n,r){null==n&&(n=0),null==r&&(r=e.count());var i=this._axesMap,o=this.dimensions,a=[],s=[];pt(o,(function(t){a.push(e.mapDimension(t)),s.push(i.get(t).model)}));for(var l=this.hasAxisBrushed(),u=n;u<r;u++){var c=void 0;if(l){c="active";for(var h=e.getValues(a,u),d=0,p=o.length;d<p;d++)if("inactive"===s[d].getActiveState(h[d])){c="inactive";break}}else c="normal";t(c,u)}},e.prototype.hasAxisBrushed=function(){for(var e=this.dimensions,t=this._axesMap,n=!1,r=0,i=e.length;r<i;r++)"normal"!==t.get(e[r]).model.getActiveState()&&(n=!0);return n},e.prototype.axisCoordToPoint=function(e,t){return Zv([e,0],this._axesLayout[t].transform)},e.prototype.getAxisLayout=function(e){return rt(this._axesLayout[e])},e.prototype.getSlidedAxisExpandWindow=function(e){var t=this._makeLayoutInfo(),n=t.pixelDimIndex,r=t.axisExpandWindow.slice(),i=r[1]-r[0],o=[0,t.axisExpandWidth*(t.axisCount-1)];if(!this.containPoint(e))return{behavior:"none",axisExpandWindow:r};var a,s=e[n]-t.layoutBase-t.axisExpandWindow0Pos,l="slide",u=t.axisCollapseWidth,c=this._model.get("axisExpandSlideTriggerArea"),h=null!=c[0];if(u)h&&u&&s<i*c[0]?(l="jump",a=s-i*c[2]):h&&u&&s>i*(1-c[0])?(l="jump",a=s-i*(1-c[2])):(a=s-i*c[1])>=0&&(a=s-i*(1-c[1]))<=0&&(a=0),(a*=t.axisExpandWidth/u)?wZ(a,r,o,"all"):l="none";else{var d=r[1]-r[0];(r=[IZ(0,o[1]*s/d-d/2)])[1]=AZ(o[1],r[0]+d),r[0]=r[1]-d}return{axisExpandWindow:r,behavior:l}},e}();function OZ(e,t){return AZ(IZ(e,t[0]),t[1])}function NZ(e,t){var n=t.layoutLength/(t.axisCount-1);return{position:n*e,axisNameAvailableWidth:n,axisLabelShow:!0}}function RZ(e,t){var n,r,i=t.layoutLength,o=t.axisExpandWidth,a=t.axisCount,s=t.axisCollapseWidth,l=t.winInnerIndices,u=s,c=!1;return e<l[0]?(n=e*s,r=s):e<=l[1]?(n=t.axisExpandWindow0Pos+e*o-t.axisExpandWindow[0],u=o,c=!0):(n=i-(a-1-e)*s,r=s),{position:n,axisNameAvailableWidth:u,axisLabelShow:c,nameTruncateMaxWidth:r}}const kZ=PZ,BZ={create:function(e,t){var n=[];return e.eachComponent("parallel",(function(r,i){var o=new kZ(r,e,t);o.name="parallel_"+i,o.resize(r,t),r.coordinateSystem=o,o.model=r,n.push(o)})),e.eachSeries((function(e){if("parallel"===e.get("coordinateSystem")){var t=e.getReferringComponents("parallel",Fs).models[0];e.coordinateSystem=t.coordinateSystem}})),n}};var FZ=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.activeIntervals=[],n}return Le(t,e),t.prototype.getAreaSelectStyle=function(){return el([["fill","color"],["lineWidth","borderWidth"],["stroke","borderColor"],["width","width"],["opacity","opacity"]])(this.getModel("areaSelectStyle"))},t.prototype.setActiveIntervals=function(e){var t=this.activeIntervals=rt(e);if(t)for(var n=t.length-1;n>=0;n--)Ka(t[n])},t.prototype.getActiveState=function(e){var t=this.activeIntervals;if(!t.length)return"normal";if(null==e||isNaN(+e))return"inactive";if(1===t.length){var n=t[0];if(n[0]<=e&&e<=n[1])return"active"}else for(var r=0,i=t.length;r<i;r++)if(t[r][0]<=e&&e<=t[r][1])return"active";return"inactive"},t}(sp);ht(FZ,DS);const zZ=FZ;var VZ=!0,GZ=Math.min,HZ=Math.max,UZ=Math.pow,WZ=1e4,jZ=6,XZ=6,YZ="globalPan",ZZ={w:[0,0],e:[0,1],n:[1,0],s:[1,1]},qZ={w:"ew",e:"ew",n:"ns",s:"ns",ne:"nesw",sw:"nesw",nw:"nwse",se:"nwse"},$Z={brushStyle:{lineWidth:2,stroke:"rgba(210,219,238,0.3)",fill:"#D2DBEE"},transformable:!0,brushMode:"single",removeOnClick:!1},KZ=0,JZ=function(e){function t(t){var n=e.call(this)||this;return n._track=[],n._covers=[],n._handlers={},n._zr=t,n.group=new Oa,n._uid="brushController_"+KZ++,pt(Tq,(function(e,t){this._handlers[t]=_t(e,this)}),n),n}return Le(t,e),t.prototype.enableBrush=function(e){return this._brushType&&this._doDisableBrush(),e.brushType&&this._doEnableBrush(e),this},t.prototype._doEnableBrush=function(e){var t=this._zr;this._enableGlobalPan||function(e,t,n){DU(e)[t]=n}(t,YZ,this._uid),pt(this._handlers,(function(e,n){t.on(n,e)})),this._brushType=e.brushType,this._brushOption=it(rt($Z),e,!0)},t.prototype._doDisableBrush=function(){var e=this._zr;!function(e,t,n){var r=DU(e);r[t]===n&&(r[t]=null)}(e,YZ,this._uid),pt(this._handlers,(function(t,n){e.off(n,t)})),this._brushType=this._brushOption=null},t.prototype.setPanels=function(e){if(e&&e.length){var t=this._panels={};pt(e,(function(e){t[e.panelId]=rt(e)}))}else this._panels=null;return this},t.prototype.mount=function(e){e=e||{},this._enableGlobalPan=e.enableGlobalPan;var t=this.group;return this._zr.add(t),t.attr({x:e.x||0,y:e.y||0,rotation:e.rotation||0,scaleX:e.scaleX||1,scaleY:e.scaleY||1}),this._transform=t.getLocalTransform(),this},t.prototype.updateCovers=function(e){e=ft(e,(function(e){return it(rt($Z),e,!0)}));var t=this._covers,n=this._covers=[],r=this,i=this._creatingCover;return new Bb(t,e,(function(e,t){return o(e.__brushOption,t)}),o).add(a).update(a).remove((function(e){t[e]!==i&&r.group.remove(t[e])})).execute(),this;function o(e,t){return(null!=e.id?e.id:"\0-brush-index-"+t)+"-"+e.brushType}function a(o,a){var s=e[o];if(null!=a&&t[a]===i)n[o]=t[a];else{var l=n[o]=null!=a?(t[a].__brushOption=s,t[a]):eq(r,QZ(r,s));rq(r,l)}}},t.prototype.unmount=function(){return this.enableBrush(!1),sq(this),this._zr.remove(this.group),this},t.prototype.dispose=function(){this.unmount(),this.off()},t}(Pn);function QZ(e,t){var n=Iq[t.brushType].createCover(e,t);return n.__brushOption=t,nq(n,t),e.group.add(n),n}function eq(e,t){var n=iq(t);return n.endCreating&&(n.endCreating(e,t),nq(t,t.__brushOption)),t}function tq(e,t){var n=t.__brushOption;iq(t).updateCoverShape(e,t,n.range,n)}function nq(e,t){var n=t.z;null==n&&(n=WZ),e.traverse((function(e){e.z=n,e.z2=n}))}function rq(e,t){iq(t).updateCommon(e,t),tq(e,t)}function iq(e){return Iq[e.__brushOption.brushType]}function oq(e,t,n){var r,i=e._panels;if(!i)return VZ;var o=e._transform;return pt(i,(function(e){e.isTargetByCursor(t,n,o)&&(r=e)})),r}function aq(e,t){var n=e._panels;if(!n)return VZ;var r=t.__brushOption.panelId;return null!=r?n[r]:VZ}function sq(e){var t=e._covers,n=t.length;return pt(t,(function(t){e.group.remove(t)}),e),t.length=0,!!n}function lq(e,t){var n=ft(e._covers,(function(e){var t=e.__brushOption,n=rt(t.range);return{brushType:t.brushType,panelId:t.panelId,range:n}}));e.trigger("brush",{areas:n,isEnd:!!t.isEnd,removeOnClick:!!t.removeOnClick})}function uq(e){var t=e.length-1;return t<0&&(t=0),[e[0],e[t]]}function cq(e,t,n,r){var i=new Oa;return i.add(new ju({name:"main",style:fq(n),silent:!0,draggable:!0,cursor:"move",drift:xt(vq,e,t,i,["n","s","w","e"]),ondragend:xt(lq,t,{isEnd:!0})})),pt(r,(function(n){i.add(new ju({name:n.join(""),style:{opacity:0},draggable:!0,silent:!0,invisible:!0,drift:xt(vq,e,t,i,n),ondragend:xt(lq,t,{isEnd:!0})}))})),i}function hq(e,t,n,r){var i=r.brushStyle.lineWidth||0,o=HZ(i,XZ),a=n[0][0],s=n[1][0],l=a-i/2,u=s-i/2,c=n[0][1],h=n[1][1],d=c-o+i/2,p=h-o+i/2,f=c-a,g=h-s,m=f+i,v=g+i;pq(e,t,"main",a,s,f,g),r.transformable&&(pq(e,t,"w",l,u,o,v),pq(e,t,"e",d,u,o,v),pq(e,t,"n",l,u,m,o),pq(e,t,"s",l,p,m,o),pq(e,t,"nw",l,u,o,o),pq(e,t,"ne",d,u,o,o),pq(e,t,"sw",l,p,o,o),pq(e,t,"se",d,p,o,o))}function dq(e,t){var n=t.__brushOption,r=n.transformable,i=t.childAt(0);i.useStyle(fq(n)),i.attr({silent:!r,cursor:r?"move":"default"}),pt([["w"],["e"],["n"],["s"],["s","e"],["s","w"],["n","e"],["n","w"]],(function(n){var i=t.childOfName(n.join("")),o=1===n.length?mq(e,n[0]):function(e,t){var n=[mq(e,t[0]),mq(e,t[1])];return("e"===n[0]||"w"===n[0])&&n.reverse(),n.join("")}(e,n);i&&i.attr({silent:!r,invisible:!r,cursor:r?qZ[o]+"-resize":null})}))}function pq(e,t,n,r,i,o,a){var s=t.childOfName(n);s&&s.setShape(function(e){var t=GZ(e[0][0],e[1][0]),n=GZ(e[0][1],e[1][1]);return{x:t,y:n,width:HZ(e[0][0],e[1][0])-t,height:HZ(e[0][1],e[1][1])-n}}(xq(e,t,[[r,i],[r+o,i+a]])))}function fq(e){return st({strokeNoScale:!0},e.brushStyle)}function gq(e,t,n,r){var i=[GZ(e,n),GZ(t,r)],o=[HZ(e,n),HZ(t,r)];return[[i[0],o[0]],[i[1],o[1]]]}function mq(e,t){var n=qv({w:"left",e:"right",n:"top",s:"bottom"}[t],function(e){return Yv(e.group)}(e));return{left:"w",right:"e",top:"n",bottom:"s"}[n]}function vq(e,t,n,r,i,o){var a=n.__brushOption,s=e.toRectRange(a.range),l=_q(t,i,o);pt(r,(function(e){var t=ZZ[e];s[t[0]][t[1]]+=l[t[0]]})),a.range=e.fromRectRange(gq(s[0][0],s[1][0],s[0][1],s[1][1])),rq(t,n),lq(t,{isEnd:!1})}function yq(e,t,n,r){var i=t.__brushOption.range,o=_q(e,n,r);pt(i,(function(e){e[0]+=o[0],e[1]+=o[1]})),rq(e,t),lq(e,{isEnd:!1})}function _q(e,t,n){var r=e.group,i=r.transformCoordToLocal(t,n),o=r.transformCoordToLocal(0,0);return[i[0]-o[0],i[1]-o[1]]}function xq(e,t,n){var r=aq(e,t);return r&&r!==VZ?r.clipPath(n,e._transform):rt(n)}function bq(e){var t=e.event;t.preventDefault&&t.preventDefault()}function wq(e,t,n){return e.childOfName("main").contain(t,n)}function Sq(e,t,n,r){var i,o=e._creatingCover,a=e._creatingPanel,s=e._brushOption;if(e._track.push(n.slice()),function(e){var t=e._track;if(!t.length)return!1;var n=t[t.length-1],r=t[0],i=n[0]-r[0],o=n[1]-r[1];return UZ(i*i+o*o,.5)>jZ}(e)||o){if(a&&!o){"single"===s.brushMode&&sq(e);var l=rt(s);l.brushType=Mq(l.brushType,a),l.panelId=a===VZ?null:a.panelId,o=e._creatingCover=QZ(e,l),e._covers.push(o)}if(o){var u=Iq[Mq(e._brushType,a)];o.__brushOption.range=u.getCreatingRange(xq(e,o,e._track)),r&&(eq(e,o),u.updateCommon(e,o)),tq(e,o),i={isEnd:r}}}else r&&"single"===s.brushMode&&s.removeOnClick&&oq(e,t,n)&&sq(e)&&(i={isEnd:r,removeOnClick:!0});return i}function Mq(e,t){return"auto"===e?t.defaultBrushType:e}var Tq={mousedown:function(e){if(this._dragging)Aq(this,e);else if(!e.target||!e.target.draggable){bq(e);var t=this.group.transformCoordToLocal(e.offsetX,e.offsetY);this._creatingCover=null,(this._creatingPanel=oq(this,e,t))&&(this._dragging=!0,this._track=[t.slice()])}},mousemove:function(e){var t=e.offsetX,n=e.offsetY,r=this.group.transformCoordToLocal(t,n);if(function(e,t,n){if(e._brushType&&!function(e,t,n){var r=e._zr;return t<0||t>r.getWidth()||n<0||n>r.getHeight()}(e,t.offsetX,t.offsetY)){var r=e._zr,i=e._covers,o=oq(e,t,n);if(!e._dragging)for(var a=0;a<i.length;a++){var s=i[a].__brushOption;if(o&&(o===VZ||s.panelId===o.panelId)&&Iq[s.brushType].contain(i[a],n[0],n[1]))return}o&&r.setCursorStyle("crosshair")}}(this,e,r),this._dragging){bq(e);var i=Sq(this,e,r,!1);i&&lq(this,i)}},mouseup:function(e){Aq(this,e)}};function Aq(e,t){if(e._dragging){bq(t);var n=t.offsetX,r=t.offsetY,i=e.group.transformCoordToLocal(n,r),o=Sq(e,t,i,!0);e._dragging=!1,e._track=[],e._creatingCover=null,o&&lq(e,o)}}var Iq={lineX:Cq(0),lineY:Cq(1),rect:{createCover:function(e,t){function n(e){return e}return cq({toRectRange:n,fromRectRange:n},e,t,[["w"],["e"],["n"],["s"],["s","e"],["s","w"],["n","e"],["n","w"]])},getCreatingRange:function(e){var t=uq(e);return gq(t[1][0],t[1][1],t[0][0],t[0][1])},updateCoverShape:function(e,t,n,r){hq(e,t,n,r)},updateCommon:dq,contain:wq},polygon:{createCover:function(e,t){var n=new Oa;return n.add(new tv({name:"main",style:fq(t),silent:!0})),n},getCreatingRange:function(e){return e},endCreating:function(e,t){t.remove(t.childAt(0)),t.add(new Jm({name:"main",draggable:!0,drift:xt(yq,e,t),ondragend:xt(lq,e,{isEnd:!0})}))},updateCoverShape:function(e,t,n,r){t.childAt(0).setShape({points:xq(e,t,n)})},updateCommon:dq,contain:wq}};function Cq(e){return{createCover:function(t,n){return cq({toRectRange:function(t){var n=[t,[0,100]];return e&&n.reverse(),n},fromRectRange:function(t){return t[e]}},t,n,[[["w"],["e"]],[["n"],["s"]]][e])},getCreatingRange:function(t){var n=uq(t);return[GZ(n[0][e],n[1][e]),HZ(n[0][e],n[1][e])]},updateCoverShape:function(t,n,r,i){var o,a=aq(t,n);if(a!==VZ&&a.getLinearBrushOtherExtent)o=a.getLinearBrushOtherExtent(e);else{var s=t._zr;o=[0,[s.getWidth(),s.getHeight()][1-e]]}var l=[r,o];e&&l.reverse(),hq(t,n,l,i)},updateCommon:dq,contain:wq}}const Dq=JZ;function Eq(e){return e=Oq(e),function(t){return Jv(t,e)}}function Lq(e,t){return e=Oq(e),function(n){var r=null!=t?t:n,i=r?e.width:e.height,o=r?e.x:e.y;return[o,o+(i||0)]}}function Pq(e,t,n){var r=Oq(e);return function(e,i){return r.contain(i[0],i[1])&&!zU(e,t,n)}}function Oq(e){return wr.create(e)}var Nq=["axisLine","axisTickLabel","axisName"],Rq=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(t,n){e.prototype.init.apply(this,arguments),(this._brushController=new Dq(n.getZr())).on("brush",_t(this._onBrush,this))},t.prototype.render=function(e,t,n,r){if(!function(e,t,n){return n&&"axisAreaSelect"===n.type&&t.findComponents({mainType:"parallelAxis",query:n})[0]===e}(e,t,r)){this.axisModel=e,this.api=n,this.group.removeAll();var i=this._axisGroup;if(this._axisGroup=new Oa,this.group.add(this._axisGroup),e.get("show")){var o=function(e,t){return t.getComponent("parallel",e.get("parallelIndex"))}(e,t),a=o.coordinateSystem,s=e.getAreaSelectStyle(),l=s.width,u=e.axis.dim,c=at({strokeContainThreshold:l},a.getAxisLayout(u)),h=new GH(e,c);pt(Nq,h.add,h),this._axisGroup.add(h.getGroup()),this._refreshBrushController(c,s,e,o,l,n),Kv(i,this._axisGroup,e)}}},t.prototype._refreshBrushController=function(e,t,n,r,i,o){var a=n.axis.getExtent(),s=a[1]-a[0],l=Math.min(30,.1*Math.abs(s)),u=wr.create({x:a[0],y:-i/2,width:s,height:i});u.x-=l,u.width+=2*l,this._brushController.mount({enableGlobalPan:!0,rotation:e.rotation,x:e.position[0],y:e.position[1]}).setPanels([{panelId:"pl",clipPath:Eq(u),isTargetByCursor:Pq(u,o,r),getLinearBrushOtherExtent:Lq(u,0)}]).enableBrush({brushType:"lineX",brushStyle:t,removeOnClick:!0}).updateCovers(function(e){var t=e.axis;return ft(e.activeIntervals,(function(e){return{brushType:"lineX",panelId:"pl",range:[t.dataToCoord(e[0],!0),t.dataToCoord(e[1],!0)]}}))}(n))},t.prototype._onBrush=function(e){var t=e.areas,n=this.axisModel,r=n.axis,i=ft(t,(function(e){return[r.coordToData(e.range[0],!0),r.coordToData(e.range[1],!0)]}));(!n.option.realtime===e.isEnd||e.removeOnClick)&&this.api.dispatchAction({type:"axisAreaSelect",parallelAxisId:n.id,intervals:i})},t.prototype.dispose=function(){this._brushController.dispose()},t.type="parallelAxis",t}(rm);const kq=Rq;var Bq={type:"axisAreaSelect",event:"axisAreaSelected"},Fq={type:"value",areaSelectStyle:{width:20,borderWidth:1,borderColor:"rgba(160,197,232)",color:"rgba(160,197,232)",opacity:.3},realtime:!0,z:10};function zq(e){e.registerComponentView(yZ),e.registerComponentModel(_Z),e.registerCoordinateSystem("parallel",BZ),e.registerPreprocessor(fZ),e.registerComponentModel(zZ),e.registerComponentView(kq),mH(e,"parallel",zZ,Fq),function(e){e.registerAction(Bq,(function(e,t){t.eachComponent({mainType:"parallelAxis",query:e},(function(t){t.axis.model.setActiveIntervals(e.intervals)}))})),e.registerAction("parallelAxisExpand",(function(e,t){t.eachComponent({mainType:"parallel",query:e},(function(t){t.setAxisExpand(e)}))}))}(e)}var Vq=function(){this.x1=0,this.y1=0,this.x2=0,this.y2=0,this.cpx1=0,this.cpy1=0,this.cpx2=0,this.cpy2=0,this.extent=0},Gq=function(e){function t(t){return e.call(this,t)||this}return Le(t,e),t.prototype.getDefaultShape=function(){return new Vq},t.prototype.buildPath=function(e,t){var n=t.extent;e.moveTo(t.x1,t.y1),e.bezierCurveTo(t.cpx1,t.cpy1,t.cpx2,t.cpy2,t.x2,t.y2),"vertical"===t.orient?(e.lineTo(t.x2+n,t.y2),e.bezierCurveTo(t.cpx2+n,t.cpy2,t.cpx1+n,t.cpy1,t.x1+n,t.y1)):(e.lineTo(t.x2,t.y2+n),e.bezierCurveTo(t.cpx2,t.cpy2+n,t.cpx1,t.cpy1+n,t.x1,t.y1+n)),e.closePath()},t.prototype.highlight=function(){Gc(this)},t.prototype.downplay=function(){Hc(this)},t}(Eu),Hq=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n._focusAdjacencyDisabled=!1,n}return Le(t,e),t.prototype.render=function(e,t,n){var r=this,i=e.getGraph(),o=this.group,a=e.layoutInfo,s=a.width,l=a.height,u=e.getData(),c=e.getData("edge"),h=e.get("orient");this._model=e,o.removeAll(),o.x=a.x,o.y=a.y,i.eachEdge((function(t){var n=new Gq,r=lc(n);r.dataIndex=t.dataIndex,r.seriesIndex=e.seriesIndex,r.dataType="edge";var i,a,u,d,p,f,g,m,v=t.getModel(),y=v.getModel("lineStyle"),_=y.get("curveness"),x=t.node1.getLayout(),b=t.node1.getModel(),w=b.get("localX"),S=b.get("localY"),M=t.node2.getLayout(),T=t.node2.getModel(),A=T.get("localX"),I=T.get("localY"),C=t.getLayout();n.shape.extent=Math.max(1,C.dy),n.shape.orient=h,"vertical"===h?(i=(null!=w?w*s:x.x)+C.sy,a=(null!=S?S*l:x.y)+x.dy,u=(null!=A?A*s:M.x)+C.ty,p=i,f=a*(1-_)+(d=null!=I?I*l:M.y)*_,g=u,m=a*_+d*(1-_)):(i=(null!=w?w*s:x.x)+x.dx,a=(null!=S?S*l:x.y)+C.sy,p=i*(1-_)+(u=null!=A?A*s:M.x)*_,f=a,g=i*_+u*(1-_),m=d=(null!=I?I*l:M.y)+C.ty),n.setShape({x1:i,y1:a,x2:u,y2:d,cpx1:p,cpy1:f,cpx2:g,cpy2:m}),n.useStyle(y.getItemStyle()),Uq(n.style,h,t);var D=""+v.get("value"),E=Mh(v,"edgeLabel");Sh(n,E,{labelFetcher:{getFormattedLabel:function(t,n,r,i,o,a){return e.getFormattedLabel(t,n,"edge",i,kt(o,E.normal&&E.normal.get("formatter"),D),a)}},labelDataIndex:t.dataIndex,defaultText:D}),n.setTextConfig({position:"inside"});var L=v.getModel("emphasis");oh(n,v,"lineStyle",(function(e){var n=e.getItemStyle();return Uq(n,h,t),n})),o.add(n),c.setItemGraphicEl(t.dataIndex,n);var P=L.get("focus");th(n,"adjacency"===P?t.getAdjacentDataIndices():"trajectory"===P?t.getTrajectoryDataIndices():P,L.get("blurScope"),L.get("disabled"))})),i.eachNode((function(t){var n=t.getLayout(),r=t.getModel(),i=r.get("localX"),a=r.get("localY"),c=r.getModel("emphasis"),h=new ju({shape:{x:null!=i?i*s:n.x,y:null!=a?a*l:n.y,width:n.dx,height:n.dy},style:r.getModel("itemStyle").getItemStyle(),z2:10});Sh(h,Mh(r),{labelFetcher:{getFormattedLabel:function(t,n){return e.getFormattedLabel(t,n,"node")}},labelDataIndex:t.dataIndex,defaultText:t.id}),h.disableLabelAnimation=!0,h.setStyle("fill",t.getVisual("color")),h.setStyle("decal",t.getVisual("style").decal),oh(h,r),o.add(h),u.setItemGraphicEl(t.dataIndex,h),lc(h).dataType="node";var d=c.get("focus");th(h,"adjacency"===d?t.getAdjacentDataIndices():"trajectory"===d?t.getTrajectoryDataIndices():d,c.get("blurScope"),c.get("disabled"))})),u.eachItemGraphicEl((function(t,i){u.getItemModel(i).get("draggable")&&(t.drift=function(t,o){r._focusAdjacencyDisabled=!0,this.shape.x+=t,this.shape.y+=o,this.dirty(),n.dispatchAction({type:"dragNode",seriesId:e.id,dataIndex:u.getRawIndex(i),localX:this.shape.x/s,localY:this.shape.y/l})},t.ondragend=function(){r._focusAdjacencyDisabled=!1},t.draggable=!0,t.cursor="move")})),!this._data&&e.isAnimationEnabled()&&o.setClipPath(function(e,t,n){var r=new ju({shape:{x:e.x-10,y:e.y-10,width:0,height:e.height+20}});return fh(r,{shape:{width:e.width+20}},t,(function(){o.removeClipPath()})),r}(o.getBoundingRect(),e)),this._data=e.getData()},t.prototype.dispose=function(){},t.type="sankey",t}(gy);function Uq(e,t,n){switch(e.fill){case"source":e.fill=n.node1.getVisual("color"),e.decal=n.node1.getVisual("style").decal;break;case"target":e.fill=n.node2.getVisual("color"),e.decal=n.node2.getVisual("style").decal;break;case"gradient":var r=n.node1.getVisual("color"),i=n.node2.getVisual("color");St(r)&&St(i)&&(e.fill=new _v(0,0,+("horizontal"===t),+("vertical"===t),[{color:r,offset:0},{color:i,offset:1}]))}}const Wq=Hq;var jq=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.getInitialData=function(e,t){var n=e.edges||e.links,r=e.data||e.nodes,i=e.levels;this.levelModels=[];for(var o=this.levelModels,a=0;a<i.length;a++)null!=i[a].depth&&i[a].depth>=0&&(o[i[a].depth]=new qh(i[a],this,t));if(r&&n){var s=GY(r,n,this,!0,(function(e,t){e.wrapMethod("getItemModel",(function(e,t){var n=e.parentModel,r=n.getData().getItemLayout(t);if(r){var i=r.depth,o=n.levelModels[i];o&&(e.parentModel=o)}return e})),t.wrapMethod("getItemModel",(function(e,t){var n=e.parentModel,r=n.getGraph().getEdgeByIndex(t).node1.getLayout();if(r){var i=r.depth,o=n.levelModels[i];o&&(e.parentModel=o)}return e}))}));return s.data}},t.prototype.setNodePosition=function(e,t){var n=(this.option.data||this.option.nodes)[e];n.localX=t[0],n.localY=t[1]},t.prototype.getGraph=function(){return this.getData().graph},t.prototype.getEdgeData=function(){return this.getGraph().edgeData},t.prototype.formatTooltip=function(e,t,n){function r(e){return isNaN(e)||null==e}if("edge"===n){var i=this.getDataParams(e,n),o=i.data,a=i.value;return Lg("nameValue",{name:o.source+" -- "+o.target,value:a,noValue:r(a)})}var s=this.getGraph().getNodeByIndex(e).getLayout().value,l=this.getDataParams(e,n).data.name;return Lg("nameValue",{name:null!=l?l+"":null,value:s,noValue:r(s)})},t.prototype.optionUpdated=function(){},t.prototype.getDataParams=function(t,n){var r=e.prototype.getDataParams.call(this,t,n);if(null==r.value&&"node"===n){var i=this.getGraph().getNodeByIndex(t).getLayout().value;r.value=i}return r},t.type="series.sankey",t.defaultOption={z:2,coordinateSystem:"view",left:"5%",top:"5%",right:"20%",bottom:"5%",orient:"horizontal",nodeWidth:20,nodeGap:8,draggable:!0,layoutIterations:32,label:{show:!0,position:"right",fontSize:12},edgeLabel:{show:!1,fontSize:12},levels:[],nodeAlign:"justify",lineStyle:{color:"#314656",opacity:.2,curveness:.5},emphasis:{label:{show:!0},lineStyle:{opacity:.5}},select:{itemStyle:{borderColor:"#212121"}},animationEasing:"linear",animationDuration:1e3},t}(tm);const Xq=jq;function Yq(e,t){e.eachSeriesByType("sankey",(function(e){var n=e.get("nodeWidth"),r=e.get("nodeGap"),i=function(e,t){return Qd(e.getBoxLayoutParams(),{width:t.getWidth(),height:t.getHeight()})}(e,t);e.layoutInfo=i;var o=i.width,a=i.height,s=e.getGraph(),l=s.nodes,u=s.edges;!function(e){pt(e,(function(e){var t=r$(e.outEdges,n$),n=r$(e.inEdges,n$),r=e.getValue()||0,i=Math.max(t,n,r);e.setLayout({value:i},!0)}))}(l),function(e,t,n,r,i,o,a,s,l){(function(e,t,n,r,i,o,a){for(var s=[],l=[],u=[],c=[],h=0,d=0;d<t.length;d++)s[d]=1;for(d=0;d<e.length;d++)l[d]=e[d].inEdges.length,0===l[d]&&u.push(e[d]);for(var p=-1;u.length;){for(var f=0;f<u.length;f++){var g=u[f],m=g.hostGraph.data.getRawDataItem(g.dataIndex),v=null!=m.depth&&m.depth>=0;v&&m.depth>p&&(p=m.depth),g.setLayout({depth:v?m.depth:h},!0),"vertical"===o?g.setLayout({dy:n},!0):g.setLayout({dx:n},!0);for(var y=0;y<g.outEdges.length;y++){var _=g.outEdges[y];s[t.indexOf(_)]=0;var x=_.node2;0==--l[e.indexOf(x)]&&c.indexOf(x)<0&&c.push(x)}}++h,u=c,c=[]}for(d=0;d<s.length;d++)if(1===s[d])throw new Error("Sankey is a DAG, the original data has cycle!");var b=p>h-1?p:h-1;a&&"left"!==a&&function(e,t,n,r){if("right"===t){for(var i=[],o=e,a=0;o.length;){for(var s=0;s<o.length;s++){var l=o[s];l.setLayout({skNodeHeight:a},!0);for(var u=0;u<l.inEdges.length;u++){var c=l.inEdges[u];i.indexOf(c.node1)<0&&i.push(c.node1)}}o=i,i=[],++a}pt(e,(function(e){Zq(e)||e.setLayout({depth:Math.max(0,r-e.getLayout().skNodeHeight)},!0)}))}else"justify"===t&&function(e,t){pt(e,(function(e){Zq(e)||e.outEdges.length||e.setLayout({depth:t},!0)}))}(e,r)}(e,a,0,b),function(e,t,n){pt(e,(function(e){var r=e.getLayout().depth*t;"vertical"===n?e.setLayout({y:r},!0):e.setLayout({x:r},!0)}))}(e,"vertical"===o?(i-n)/b:(r-n)/b,o)})(e,t,n,i,o,s,l),function(e,t,n,r,i,o,a){var s=function(e,t){var n=[],r="vertical"===t?"y":"x",i=Hs(e,(function(e){return e.getLayout()[r]}));return i.keys.sort((function(e,t){return e-t})),pt(i.keys,(function(e){n.push(i.buckets.get(e))})),n}(e,a);(function(e,t,n,r,i,o){var a=1/0;pt(e,(function(e){var t=e.length,s=0;pt(e,(function(e){s+=e.getLayout().value}));var l="vertical"===o?(r-(t-1)*i)/s:(n-(t-1)*i)/s;l<a&&(a=l)})),pt(e,(function(e){pt(e,(function(e,t){var n=e.getLayout().value*a;"vertical"===o?(e.setLayout({x:t},!0),e.setLayout({dx:n},!0)):(e.setLayout({y:t},!0),e.setLayout({dy:n},!0))}))})),pt(t,(function(e){var t=+e.getValue()*a;e.setLayout({dy:t},!0)}))})(s,t,n,r,i,a),qq(s,i,n,r,a);for(var l=1;o>0;o--)$q(s,l*=.99,a),qq(s,i,n,r,a),i$(s,l,a),qq(s,i,n,r,a)}(e,t,o,i,r,a,s),function(e,t){var n="vertical"===t?"x":"y";pt(e,(function(e){e.outEdges.sort((function(e,t){return e.node2.getLayout()[n]-t.node2.getLayout()[n]})),e.inEdges.sort((function(e,t){return e.node1.getLayout()[n]-t.node1.getLayout()[n]}))})),pt(e,(function(e){var t=0,n=0;pt(e.outEdges,(function(e){e.setLayout({sy:t},!0),t+=e.getLayout().dy})),pt(e.inEdges,(function(e){e.setLayout({ty:n},!0),n+=e.getLayout().dy}))}))}(e,s)}(l,u,n,r,o,a,0!==mt(l,(function(e){return 0===e.getLayout().value})).length?0:e.get("layoutIterations"),e.get("orient"),e.get("nodeAlign"))}))}function Zq(e){var t=e.hostGraph.data.getRawDataItem(e.dataIndex);return null!=t.depth&&t.depth>=0}function qq(e,t,n,r,i){var o="vertical"===i?"x":"y";pt(e,(function(e){var a,s,l;e.sort((function(e,t){return e.getLayout()[o]-t.getLayout()[o]}));for(var u=0,c=e.length,h="vertical"===i?"dx":"dy",d=0;d<c;d++)(l=u-(s=e[d]).getLayout()[o])>0&&(a=s.getLayout()[o]+l,"vertical"===i?s.setLayout({x:a},!0):s.setLayout({y:a},!0)),u=s.getLayout()[o]+s.getLayout()[h]+t;if((l=u-t-("vertical"===i?r:n))>0)for(a=s.getLayout()[o]-l,"vertical"===i?s.setLayout({x:a},!0):s.setLayout({y:a},!0),u=a,d=c-2;d>=0;--d)(l=(s=e[d]).getLayout()[o]+s.getLayout()[h]+t-u)>0&&(a=s.getLayout()[o]-l,"vertical"===i?s.setLayout({x:a},!0):s.setLayout({y:a},!0)),u=s.getLayout()[o]}))}function $q(e,t,n){pt(e.slice().reverse(),(function(e){pt(e,(function(e){if(e.outEdges.length){var r=r$(e.outEdges,Kq,n)/r$(e.outEdges,n$);if(isNaN(r)){var i=e.outEdges.length;r=i?r$(e.outEdges,Jq,n)/i:0}if("vertical"===n){var o=e.getLayout().x+(r-t$(e,n))*t;e.setLayout({x:o},!0)}else{var a=e.getLayout().y+(r-t$(e,n))*t;e.setLayout({y:a},!0)}}}))}))}function Kq(e,t){return t$(e.node2,t)*e.getValue()}function Jq(e,t){return t$(e.node2,t)}function Qq(e,t){return t$(e.node1,t)*e.getValue()}function e$(e,t){return t$(e.node1,t)}function t$(e,t){return"vertical"===t?e.getLayout().x+e.getLayout().dx/2:e.getLayout().y+e.getLayout().dy/2}function n$(e){return e.getValue()}function r$(e,t,n){for(var r=0,i=e.length,o=-1;++o<i;){var a=+t(e[o],n);isNaN(a)||(r+=a)}return r}function i$(e,t,n){pt(e,(function(e){pt(e,(function(e){if(e.inEdges.length){var r=r$(e.inEdges,Qq,n)/r$(e.inEdges,n$);if(isNaN(r)){var i=e.inEdges.length;r=i?r$(e.inEdges,e$,n)/i:0}if("vertical"===n){var o=e.getLayout().x+(r-t$(e,n))*t;e.setLayout({x:o},!0)}else{var a=e.getLayout().y+(r-t$(e,n))*t;e.setLayout({y:a},!0)}}}))}))}function o$(e){e.eachSeriesByType("sankey",(function(e){var t=e.getGraph(),n=t.nodes,r=t.edges;if(n.length){var i=1/0,o=-1/0;pt(n,(function(e){var t=e.getLayout().value;t<i&&(i=t),t>o&&(o=t)})),pt(n,(function(t){var n=new _X({type:"color",mappingMethod:"linear",dataExtent:[i,o],visual:e.get("color")}).mapValueToVisual(t.getLayout().value),r=t.getModel().get(["itemStyle","color"]);null!=r?(t.setVisual("color",r),t.setVisual("style",{fill:r})):(t.setVisual("color",n),t.setVisual("style",{fill:n}))}))}r.length&&pt(r,(function(e){var t=e.getModel().get("lineStyle");e.setVisual("style",t)}))}))}var a$=function(){function e(){}return e.prototype.getInitialData=function(e,t){var n,r,i=t.getComponent("xAxis",this.get("xAxisIndex")),o=t.getComponent("yAxis",this.get("yAxisIndex")),a=i.get("type"),s=o.get("type");"category"===a?(e.layout="horizontal",n=i.getOrdinalMeta(),r=!0):"category"===s?(e.layout="vertical",n=o.getOrdinalMeta(),r=!0):e.layout=e.layout||"horizontal";var l=["x","y"],u="horizontal"===e.layout?0:1,c=this._baseAxisDim=l[u],h=l[1-u],d=[i,o],p=d[u].get("type"),f=d[1-u].get("type"),g=e.data;if(g&&r){var m=[];pt(g,(function(e,t){var n;bt(e)?(n=e.slice(),e.unshift(t)):bt(e.value)?((n=at({},e)).value=n.value.slice(),e.value.unshift(t)):n=e,m.push(n)})),e.data=m}var v=this.defaultValueDimensions,y=[{name:c,type:Vb(p),ordinalMeta:n,otherDims:{tooltip:!1,itemName:0},dimsDef:["base"]},{name:h,type:Vb(f),dimsDef:v.slice()}];return JG(this,{coordDimensions:y,dimensionsCount:v.length+1,encodeDefaulter:xt(wp,y,this)})},e.prototype.getBaseAxis=function(){var e=this._baseAxisDim;return this.ecModel.getComponent(e+"Axis",this.get(e+"AxisIndex")).axis},e}(),s$=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.defaultValueDimensions=[{name:"min",defaultTooltip:!0},{name:"Q1",defaultTooltip:!0},{name:"median",defaultTooltip:!0},{name:"Q3",defaultTooltip:!0},{name:"max",defaultTooltip:!0}],n.visualDrawType="stroke",n}return Le(t,e),t.type="series.boxplot",t.dependencies=["xAxis","yAxis","grid"],t.defaultOption={z:2,coordinateSystem:"cartesian2d",legendHoverLink:!0,layout:null,boxWidth:[7,50],itemStyle:{color:"#fff",borderWidth:1},emphasis:{scale:!0,itemStyle:{borderWidth:2,shadowBlur:5,shadowOffsetX:1,shadowOffsetY:1,shadowColor:"rgba(0,0,0,0.2)"}},animationDuration:800},t}(tm);ht(s$,a$,!0);const l$=s$;var u$=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){var r=e.getData(),i=this.group,o=this._data;this._data||i.removeAll();var a="horizontal"===e.get("layout")?1:0;r.diff(o).add((function(e){if(r.hasValue(e)){var t=d$(r.getItemLayout(e),r,e,a,!0);r.setItemGraphicEl(e,t),i.add(t)}})).update((function(e,t){var n=o.getItemGraphicEl(t);if(r.hasValue(e)){var s=r.getItemLayout(e);n?(_h(n),p$(s,n,r,e)):n=d$(s,r,e,a),i.add(n),r.setItemGraphicEl(e,n)}else i.remove(n)})).remove((function(e){var t=o.getItemGraphicEl(e);t&&i.remove(t)})).execute(),this._data=r},t.prototype.remove=function(e){var t=this.group,n=this._data;this._data=null,n&&n.eachItemGraphicEl((function(e){e&&t.remove(e)}))},t.type="boxplot",t}(gy),c$=function(){},h$=function(e){function t(t){var n=e.call(this,t)||this;return n.type="boxplotBoxPath",n}return Le(t,e),t.prototype.getDefaultShape=function(){return new c$},t.prototype.buildPath=function(e,t){var n=t.points,r=0;for(e.moveTo(n[r][0],n[r][1]),r++;r<4;r++)e.lineTo(n[r][0],n[r][1]);for(e.closePath();r<n.length;r++)e.moveTo(n[r][0],n[r][1]),r++,e.lineTo(n[r][0],n[r][1])},t}(Eu);function d$(e,t,n,r,i){var o=e.ends,a=new h$({shape:{points:i?f$(o,r,e):o}});return p$(e,a,t,n,i),a}function p$(e,t,n,r,i){var a=n.hostModel;(0,o[i?"initProps":"updateProps"])(t,{shape:{points:e.ends}},a,r),t.useStyle(n.getItemVisual(r,"style")),t.style.strokeNoScale=!0,t.z2=100;var s=n.getItemModel(r),l=s.getModel("emphasis");oh(t,s),th(t,l.get("focus"),l.get("blurScope"),l.get("disabled"))}function f$(e,t,n){return ft(e,(function(e){return(e=e.slice())[t]=n.initBaseline,e}))}const g$=u$;var m$=pt;function v$(e){var t=function(e){var t=[],n=[];return e.eachSeriesByType("boxplot",(function(e){var r=e.getBaseAxis(),i=ut(n,r);i<0&&(i=n.length,n[i]=r,t[i]={axis:r,seriesModels:[]}),t[i].seriesModels.push(e)})),t}(e);m$(t,(function(e){var t=e.seriesModels;t.length&&(function(e){var t,n=e.axis,r=e.seriesModels,i=r.length,o=e.boxWidthList=[],a=e.boxOffsetList=[],s=[];if("category"===n.type)t=n.getBandWidth();else{var l=0;m$(r,(function(e){l=Math.max(l,e.getData().count())}));var u=n.getExtent();t=Math.abs(u[1]-u[0])/l}m$(r,(function(e){var n=e.get("boxWidth");bt(n)||(n=[n,n]),s.push([qa(n[0],t)||0,qa(n[1],t)||0])}));var c=.8*t-2,h=c/i*.3,d=(c-h*(i-1))/i,p=d/2-c/2;m$(r,(function(e,t){a.push(p),p+=h+d,o.push(Math.min(Math.max(d,s[t][0]),s[t][1]))}))}(e),m$(t,(function(t,n){!function(e,t,n){var r=e.coordinateSystem,i=e.getData(),o=n/2,a="horizontal"===e.get("layout")?0:1,s=1-a,l=["x","y"],u=i.mapDimension(l[a]),c=i.mapDimensionsAll(l[s]);if(!(null==u||c.length<5))for(var h=0;h<i.count();h++){var d=i.get(u,h),p=_(d,c[2],h),f=_(d,c[0],h),g=_(d,c[1],h),m=_(d,c[3],h),v=_(d,c[4],h),y=[];x(y,g,!1),x(y,m,!0),y.push(f,g,v,m),b(y,f),b(y,v),b(y,p),i.setItemLayout(h,{initBaseline:p[s],ends:y})}function _(e,n,o){var l,u=i.get(n,o),c=[];return c[a]=e,c[s]=u,isNaN(e)||isNaN(u)?l=[NaN,NaN]:(l=r.dataToPoint(c))[a]+=t,l}function x(e,t,n){var r=t.slice(),i=t.slice();r[a]+=o,i[a]-=o,n?e.push(r,i):e.push(i,r)}function b(e,t){var n=t.slice(),r=t.slice();n[a]-=o,r[a]+=o,e.push(n,r)}}(t,e.boxOffsetList[n],e.boxWidthList[n])})))}))}var y$={type:"echarts:boxplot",transform:function(e){var t=e.upstream;t.sourceFormat!==pp&&qf("");var n=function(e,t){for(var n=[],r=[],i=(t=t||{}).boundIQR,o="none"===i||0===i,a=0;a<e.length;a++){var s=Ka(e[a].slice()),l=ds(s,.25),u=ds(s,.5),c=ds(s,.75),h=s[0],d=s[s.length-1],p=(null==i?1.5:i)*(c-l),f=o?h:Math.max(h,l-p),g=o?d:Math.min(d,c+p),m=t.itemNameFormatter,v=wt(m)?m({value:a}):St(m)?m.replace("{value}",a+""):a+"";n.push([v,f,l,u,c,g]);for(var y=0;y<s.length;y++){var _=s[y];if(_<f||_>g){var x=[v,_];r.push(x)}}}return{boxData:n,outliers:r}}(t.getRawData(),e.config);return[{dimensions:["ItemName","Low","Q1","Q2","Q3","High"],data:n.boxData},{data:n.outliers}]}},_$=["color","borderColor"],x$=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){this.group.removeClipPath(),this._progressiveEls=null,this._updateDrawMode(e),this._isLargeDraw?this._renderLarge(e):this._renderNormal(e)},t.prototype.incrementalPrepareRender=function(e,t,n){this._clear(),this._updateDrawMode(e)},t.prototype.incrementalRender=function(e,t,n,r){this._progressiveEls=[],this._isLargeDraw?this._incrementalRenderLarge(e,t):this._incrementalRenderNormal(e,t)},t.prototype.eachRendered=function(e){ay(this._progressiveEls||this.group,e)},t.prototype._updateDrawMode=function(e){var t=e.pipelineContext.large;null!=this._isLargeDraw&&t===this._isLargeDraw||(this._isLargeDraw=t,this._clear())},t.prototype._renderNormal=function(e){var t=e.getData(),n=this._data,r=this.group,i=t.getLayout("isSimpleBox"),o=e.get("clip",!0),a=e.coordinateSystem,s=a.getArea&&a.getArea();this._data||r.removeAll(),t.diff(n).add((function(n){if(t.hasValue(n)){var a=t.getItemLayout(n);if(o&&M$(s,a))return;var l=S$(a,0,!0);fh(l,{shape:{points:a.ends}},e,n),T$(l,t,n,i),r.add(l),t.setItemGraphicEl(n,l)}})).update((function(a,l){var u=n.getItemGraphicEl(l);if(t.hasValue(a)){var c=t.getItemLayout(a);o&&M$(s,c)?r.remove(u):(u?(ph(u,{shape:{points:c.ends}},e,a),_h(u)):u=S$(c),T$(u,t,a,i),r.add(u),t.setItemGraphicEl(a,u))}else r.remove(u)})).remove((function(e){var t=n.getItemGraphicEl(e);t&&r.remove(t)})).execute(),this._data=t},t.prototype._renderLarge=function(e){this._clear(),D$(e,this.group);var t=e.get("clip",!0)?qV(e.coordinateSystem,!1,e):null;t?this.group.setClipPath(t):this.group.removeClipPath()},t.prototype._incrementalRenderNormal=function(e,t){for(var n,r=t.getData(),i=r.getLayout("isSimpleBox");null!=(n=e.next());){var o=S$(r.getItemLayout(n));T$(o,r,n,i),o.incremental=!0,this.group.add(o),this._progressiveEls.push(o)}},t.prototype._incrementalRenderLarge=function(e,t){D$(t,this.group,this._progressiveEls,!0)},t.prototype.remove=function(e){this._clear()},t.prototype._clear=function(){this.group.removeAll(),this._data=null},t.type="candlestick",t}(gy),b$=function(){},w$=function(e){function t(t){var n=e.call(this,t)||this;return n.type="normalCandlestickBox",n}return Le(t,e),t.prototype.getDefaultShape=function(){return new b$},t.prototype.buildPath=function(e,t){var n=t.points;this.__simpleBox?(e.moveTo(n[4][0],n[4][1]),e.lineTo(n[6][0],n[6][1])):(e.moveTo(n[0][0],n[0][1]),e.lineTo(n[1][0],n[1][1]),e.lineTo(n[2][0],n[2][1]),e.lineTo(n[3][0],n[3][1]),e.closePath(),e.moveTo(n[4][0],n[4][1]),e.lineTo(n[5][0],n[5][1]),e.moveTo(n[6][0],n[6][1]),e.lineTo(n[7][0],n[7][1]))},t}(Eu);function S$(e,t,n){var r=e.ends;return new w$({shape:{points:n?A$(r,e):r},z2:100})}function M$(e,t){for(var n=!0,r=0;r<t.ends.length;r++)if(e.contain(t.ends[r][0],t.ends[r][1])){n=!1;break}return n}function T$(e,t,n,r){var i=t.getItemModel(n);e.useStyle(t.getItemVisual(n,"style")),e.style.strokeNoScale=!0,e.__simpleBox=r,oh(e,i)}function A$(e,t){return ft(e,(function(e){return(e=e.slice())[1]=t.initBaseline,e}))}var I$=function(){},C$=function(e){function t(t){var n=e.call(this,t)||this;return n.type="largeCandlestickBox",n}return Le(t,e),t.prototype.getDefaultShape=function(){return new I$},t.prototype.buildPath=function(e,t){for(var n=t.points,r=0;r<n.length;)if(this.__sign===n[r++]){var i=n[r++];e.moveTo(i,n[r++]),e.lineTo(i,n[r++])}else r+=3},t}(Eu);function D$(e,t,n,r){var i=e.getData(),o=i.getLayout("largePoints"),a=new C$({shape:{points:o},__sign:1,ignoreCoarsePointer:!0});t.add(a);var s=new C$({shape:{points:o},__sign:-1,ignoreCoarsePointer:!0});t.add(s);var l=new C$({shape:{points:o},__sign:0,ignoreCoarsePointer:!0});t.add(l),E$(1,a,e),E$(-1,s,e),E$(0,l,e),r&&(a.incremental=!0,s.incremental=!0),n&&n.push(a,s)}function E$(e,t,n,r){var i=n.get(["itemStyle",e>0?"borderColor":"borderColor0"])||n.get(["itemStyle",e>0?"color":"color0"]);0===e&&(i=n.get(["itemStyle","borderColorDoji"]));var o=n.getModel("itemStyle").getItemStyle(_$);t.useStyle(o),t.style.fill=null,t.style.stroke=i}const L$=x$;var P$=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.defaultValueDimensions=[{name:"open",defaultTooltip:!0},{name:"close",defaultTooltip:!0},{name:"lowest",defaultTooltip:!0},{name:"highest",defaultTooltip:!0}],n}return Le(t,e),t.prototype.getShadowDim=function(){return"open"},t.prototype.brushSelector=function(e,t,n){var r=t.getItemLayout(e);return r&&n.rect(r.brushRect)},t.type="series.candlestick",t.dependencies=["xAxis","yAxis","grid"],t.defaultOption={z:2,coordinateSystem:"cartesian2d",legendHoverLink:!0,layout:null,clip:!0,itemStyle:{color:"#eb5454",color0:"#47b262",borderColor:"#eb5454",borderColor0:"#47b262",borderColorDoji:null,borderWidth:1},emphasis:{scale:!0,itemStyle:{borderWidth:2}},barMaxWidth:null,barMinWidth:null,barWidth:null,large:!0,largeThreshold:600,progressive:3e3,progressiveThreshold:1e4,progressiveChunkMode:"mod",animationEasing:"linear",animationDuration:300},t}(tm);ht(P$,a$,!0);const O$=P$;function N$(e){e&&bt(e.series)&&pt(e.series,(function(e){At(e)&&"k"===e.type&&(e.type="candlestick")}))}var R$=["itemStyle","borderColor"],k$=["itemStyle","borderColor0"],B$=["itemStyle","borderColorDoji"],F$=["itemStyle","color"],z$=["itemStyle","color0"];const V$={seriesType:"candlestick",plan:im(),performRawSeries:!0,reset:function(e,t){function n(e,t){return t.get(e>0?F$:z$)}function r(e,t){return t.get(0===e?B$:e>0?R$:k$)}if(!t.isSeriesFiltered(e))return!e.pipelineContext.large&&{progress:function(e,t){for(var i;null!=(i=e.next());){var o=t.getItemModel(i),a=t.getItemLayout(i).sign,s=o.getItemStyle();s.fill=n(a,o),s.stroke=r(a,o)||s.fill,at(t.ensureUniqueItemVisual(i,"style"),s)}}}}};var G$={seriesType:"candlestick",plan:im(),reset:function(e){var t=e.coordinateSystem,n=e.getData(),r=function(e,t){var n,r=e.getBaseAxis(),i="category"===r.type?r.getBandWidth():(n=r.getExtent(),Math.abs(n[1]-n[0])/t.count()),o=qa(Rt(e.get("barMaxWidth"),i),i),a=qa(Rt(e.get("barMinWidth"),1),i),s=e.get("barWidth");return null!=s?qa(s,i):Math.max(Math.min(i/2,o),a)}(e,n),i=["x","y"],o=n.getDimensionIndex(n.mapDimension(i[0])),a=ft(n.mapDimensionsAll(i[1]),n.getDimensionIndex,n),s=a[0],l=a[1],u=a[2],c=a[3];if(n.setLayout({candleWidth:r,isSimpleBox:r<=1.3}),!(o<0||a.length<4))return{progress:e.pipelineContext.large?function(n,r){for(var i,a,h=Fw(4*n.count),d=0,p=[],f=[],g=r.getStore(),m=!!e.get(["itemStyle","borderColorDoji"]);null!=(a=n.next());){var v=g.get(o,a),y=g.get(s,a),_=g.get(l,a),x=g.get(u,a),b=g.get(c,a);isNaN(v)||isNaN(x)||isNaN(b)?(h[d++]=NaN,d+=3):(h[d++]=H$(g,a,y,_,l,m),p[0]=v,p[1]=x,i=t.dataToPoint(p,null,f),h[d++]=i?i[0]:NaN,h[d++]=i?i[1]:NaN,p[1]=b,i=t.dataToPoint(p,null,f),h[d++]=i?i[1]:NaN)}r.setLayout("largePoints",h)}:function(e,n){for(var i,a=n.getStore();null!=(i=e.next());){var h=a.get(o,i),d=a.get(s,i),p=a.get(l,i),f=a.get(u,i),g=a.get(c,i),m=Math.min(d,p),v=Math.max(d,p),y=M(m,h),_=M(v,h),x=M(f,h),b=M(g,h),w=[];T(w,_,0),T(w,y,1),w.push(I(b),I(_),I(x),I(y));var S=!!n.getItemModel(i).get(["itemStyle","borderColorDoji"]);n.setItemLayout(i,{sign:H$(a,i,d,p,l,S),initBaseline:d>p?_[1]:y[1],ends:w,brushRect:A(f,g,h)})}function M(e,n){var r=[];return r[0]=n,r[1]=e,isNaN(n)||isNaN(e)?[NaN,NaN]:t.dataToPoint(r)}function T(e,t,n){var i=t.slice(),o=t.slice();i[0]=Xv(i[0]+r/2,1,!1),o[0]=Xv(o[0]-r/2,1,!0),n?e.push(i,o):e.push(o,i)}function A(e,t,n){var i=M(e,n),o=M(t,n);return i[0]-=r/2,o[0]-=r/2,{x:i[0],y:i[1],width:r,height:o[1]-i[1]}}function I(e){return e[0]=Xv(e[0],1),e}}}}};function H$(e,t,n,r,i,o){return n>r?-1:n<r?1:o?0:t>0?e.get(i,t-1)<=r?1:-1:1}const U$=G$;function W$(e,t){var n=t.rippleEffectColor||t.color;e.eachChild((function(e){e.attr({z:t.z,zlevel:t.zlevel,style:{stroke:"stroke"===t.brushType?n:null,fill:"fill"===t.brushType?n:null}})}))}var j$=function(e){function t(t,n){var r=e.call(this)||this,i=new LV(t,n),o=new Oa;return r.add(i),r.add(o),r.updateData(t,n),r}return Le(t,e),t.prototype.stopEffectAnimation=function(){this.childAt(1).removeAll()},t.prototype.startEffectAnimation=function(e){for(var t=e.symbolType,n=e.color,r=e.rippleNumber,i=this.childAt(1),o=0;o<r;o++){var a=T_(t,-1,-1,2,2,n);a.attr({style:{strokeNoScale:!0},z2:99,silent:!0,scaleX:.5,scaleY:.5});var s=-o/r*e.period+e.effectOffset;a.animate("",!0).when(e.period,{scaleX:e.rippleScale/2,scaleY:e.rippleScale/2}).delay(s).start(),a.animateStyle(!0).when(e.period,{opacity:0}).delay(s).start(),i.add(a)}W$(i,e)},t.prototype.updateEffectAnimation=function(e){for(var t=this._effectCfg,n=this.childAt(1),r=["symbolType","period","rippleScale","rippleNumber"],i=0;i<r.length;i++){var o=r[i];if(t[o]!==e[o])return this.stopEffectAnimation(),void this.startEffectAnimation(e)}W$(n,e)},t.prototype.highlight=function(){Gc(this)},t.prototype.downplay=function(){Hc(this)},t.prototype.getSymbolType=function(){var e=this.childAt(0);return e&&e.getSymbolType()},t.prototype.updateData=function(e,t){var n=this,r=e.hostModel;this.childAt(0).updateData(e,t);var i=this.childAt(1),o=e.getItemModel(t),a=e.getItemVisual(t,"symbol"),s=A_(e.getItemVisual(t,"symbolSize")),l=e.getItemVisual(t,"style"),u=l&&l.fill,c=o.getModel("emphasis");i.setScale(s),i.traverse((function(e){e.setStyle("fill",u)}));var h=I_(e.getItemVisual(t,"symbolOffset"),s);h&&(i.x=h[0],i.y=h[1]);var d=e.getItemVisual(t,"symbolRotate");i.rotation=(d||0)*Math.PI/180||0;var p={};p.showEffectOn=r.get("showEffectOn"),p.rippleScale=o.get(["rippleEffect","scale"]),p.brushType=o.get(["rippleEffect","brushType"]),p.period=1e3*o.get(["rippleEffect","period"]),p.effectOffset=t/e.count(),p.z=r.getShallow("z")||0,p.zlevel=r.getShallow("zlevel")||0,p.symbolType=a,p.color=u,p.rippleEffectColor=o.get(["rippleEffect","color"]),p.rippleNumber=o.get(["rippleEffect","number"]),"render"===p.showEffectOn?(this._effectCfg?this.updateEffectAnimation(p):this.startEffectAnimation(p),this._effectCfg=p):(this._effectCfg=null,this.stopEffectAnimation(),this.onHoverStateChange=function(e){"emphasis"===e?"render"!==p.showEffectOn&&n.startEffectAnimation(p):"normal"===e&&"render"!==p.showEffectOn&&n.stopEffectAnimation()}),this._effectCfg=p,th(this,c.get("focus"),c.get("blurScope"),c.get("disabled"))},t.prototype.fadeOut=function(e){e&&e()},t}(Oa);const X$=j$,Y$=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(){this._symbolDraw=new kV(X$)},t.prototype.render=function(e,t,n){var r=e.getData(),i=this._symbolDraw;i.updateData(r,{clipShape:this._getClipShape(e)}),this.group.add(i.group)},t.prototype._getClipShape=function(e){var t=e.coordinateSystem,n=t&&t.getArea&&t.getArea();return e.get("clip",!0)?n:null},t.prototype.updateTransform=function(e,t,n){var r=e.getData();this.group.dirty();var i=lG("").reset(e,t,n);i.progress&&i.progress({start:0,end:r.count(),count:r.count()},r),this._symbolDraw.updateLayout()},t.prototype._updateGroupTransform=function(e){var t=e.coordinateSystem;t&&t.getRoamTransform&&(this.group.transform=cr(t.getRoamTransform()),this.group.decomposeTransform())},t.prototype.remove=function(e,t){this._symbolDraw&&this._symbolDraw.remove(!0)},t.type="effectScatter",t}(gy),Z$=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.hasSymbolVisual=!0,n}return Le(t,e),t.prototype.getInitialData=function(e,t){return yw(null,this,{useEncodeDefaulter:!0})},t.prototype.brushSelector=function(e,t,n){return n.point(t.getItemLayout(e))},t.type="series.effectScatter",t.dependencies=["grid","polar"],t.defaultOption={coordinateSystem:"cartesian2d",z:2,legendHoverLink:!0,effectType:"ripple",progressive:0,showEffectOn:"render",clip:!0,rippleEffect:{period:4,scale:2.5,brushType:"fill",number:3},universalTransition:{divideShape:"clone"},symbolSize:10},t}(tm);var q$=function(e){function t(t,n,r){var i=e.call(this)||this;return i.add(i.createLine(t,n,r)),i._updateEffectSymbol(t,n),i}return Le(t,e),t.prototype.createLine=function(e,t,n){return new TY(e,t,n)},t.prototype._updateEffectSymbol=function(e,t){var n=e.getItemModel(t).getModel("effect"),r=n.get("symbolSize"),i=n.get("symbol");bt(r)||(r=[r,r]);var o=e.getItemVisual(t,"style"),a=n.get("color")||o&&o.stroke,s=this.childAt(1);this._symbolType!==i&&(this.remove(s),(s=T_(i,-.5,-.5,1,1,a)).z2=100,s.culling=!0,this.add(s)),s&&(s.setStyle("shadowColor",a),s.setStyle(n.getItemStyle(["color"])),s.scaleX=r[0],s.scaleY=r[1],s.setColor(a),this._symbolType=i,this._symbolScale=r,this._updateEffectAnimation(e,n,t))},t.prototype._updateEffectAnimation=function(e,t,n){var r=this.childAt(1);if(r){var i=e.getItemLayout(n),o=1e3*t.get("period"),a=t.get("loop"),s=t.get("roundTrip"),l=t.get("constantSpeed"),u=Nt(t.get("delay"),(function(t){return t/e.count()*o/3}));if(r.ignore=!0,this._updateAnimationPoints(r,i),l>0&&(o=this._getLineLength(r)/l*1e3),o!==this._period||a!==this._loop||s!==this._roundTrip){r.stopAnimation();var c=void 0;c=wt(u)?u(n):u,r.__t>0&&(c=-o*r.__t),this._animateSymbol(r,o,c,a,s)}this._period=o,this._loop=a,this._roundTrip=s}},t.prototype._animateSymbol=function(e,t,n,r,i){if(t>0){e.__t=0;var o=this,a=e.animate("",r).when(i?2*t:t,{__t:i?2:1}).delay(n).during((function(){o._updateSymbolPosition(e)}));r||a.done((function(){o.remove(e)})),a.start()}},t.prototype._getLineLength=function(e){return xn(e.__p1,e.__cp1)+xn(e.__cp1,e.__p2)},t.prototype._updateAnimationPoints=function(e,t){e.__p1=t[0],e.__p2=t[1],e.__cp1=t[2]||[(t[0][0]+t[1][0])/2,(t[0][1]+t[1][1])/2]},t.prototype.updateData=function(e,t,n){this.childAt(0).updateData(e,t,n),this._updateEffectSymbol(e,t)},t.prototype._updateSymbolPosition=function(e){var t=e.__p1,n=e.__p2,r=e.__cp1,i=e.__t<1?e.__t:2-e.__t,o=[e.x,e.y],a=o.slice(),s=fi,l=gi;o[0]=s(t[0],r[0],n[0],i),o[1]=s(t[1],r[1],n[1],i);var u=e.__t<1?l(t[0],r[0],n[0],i):l(n[0],r[0],t[0],1-i),c=e.__t<1?l(t[1],r[1],n[1],i):l(n[1],r[1],t[1],1-i);e.rotation=-Math.atan2(c,u)-Math.PI/2,"line"!==this._symbolType&&"rect"!==this._symbolType&&"roundRect"!==this._symbolType||(void 0!==e.__lastT&&e.__lastT<e.__t?(e.scaleY=1.05*xn(a,o),1===i&&(o[0]=a[0]+(o[0]-a[0])/2,o[1]=a[1]+(o[1]-a[1])/2)):1===e.__lastT?e.scaleY=2*xn(t,o):e.scaleY=this._symbolScale[1]),e.__lastT=e.__t,e.ignore=!1,e.x=o[0],e.y=o[1]},t.prototype.updateLayout=function(e,t){this.childAt(0).updateLayout(e,t);var n=e.getItemModel(t).getModel("effect");this._updateEffectAnimation(e,n,t)},t}(Oa);const $$=q$;var K$=function(e){function t(t,n,r){var i=e.call(this)||this;return i._createPolyline(t,n,r),i}return Le(t,e),t.prototype._createPolyline=function(e,t,n){var r=e.getItemLayout(t),i=new tv({shape:{points:r}});this.add(i),this._updateCommonStl(e,t,n)},t.prototype.updateData=function(e,t,n){var r=e.hostModel;ph(this.childAt(0),{shape:{points:e.getItemLayout(t)}},r,t),this._updateCommonStl(e,t,n)},t.prototype._updateCommonStl=function(e,t,n){var r=this.childAt(0),i=e.getItemModel(t),o=n&&n.emphasisLineStyle,a=n&&n.focus,s=n&&n.blurScope,l=n&&n.emphasisDisabled;if(!n||e.hasItemOption){var u=i.getModel("emphasis");o=u.getModel("lineStyle").getLineStyle(),l=u.get("disabled"),a=u.get("focus"),s=u.get("blurScope")}r.useStyle(e.getItemVisual(t,"style")),r.style.fill=null,r.style.strokeNoScale=!0,r.ensureState("emphasis").style=o,th(this,a,s,l)},t.prototype.updateLayout=function(e,t){this.childAt(0).setShape("points",e.getItemLayout(t))},t}(Oa);const J$=K$;var Q$=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t._lastFrame=0,t._lastFramePercent=0,t}return Le(t,e),t.prototype.createLine=function(e,t,n){return new J$(e,t,n)},t.prototype._updateAnimationPoints=function(e,t){this._points=t;for(var n=[0],r=0,i=1;i<t.length;i++){var o=t[i-1],a=t[i];r+=xn(o,a),n.push(r)}if(0!==r){for(i=0;i<n.length;i++)n[i]/=r;this._offsets=n,this._length=r}else this._length=0},t.prototype._getLineLength=function(){return this._length},t.prototype._updateSymbolPosition=function(e){var t=e.__t<1?e.__t:2-e.__t,n=this._points,r=this._offsets,i=n.length;if(r){var o,a=this._lastFrame;if(t<this._lastFramePercent){for(o=Math.min(a+1,i-1);o>=0&&!(r[o]<=t);o--);o=Math.min(o,i-2)}else{for(o=a;o<i&&!(r[o]>t);o++);o=Math.min(o-1,i-2)}var s=(t-r[o])/(r[o+1]-r[o]),l=n[o],u=n[o+1];e.x=l[0]*(1-s)+s*u[0],e.y=l[1]*(1-s)+s*u[1];var c=e.__t<1?u[0]-l[0]:l[0]-u[0],h=e.__t<1?u[1]-l[1]:l[1]-u[1];e.rotation=-Math.atan2(h,c)-Math.PI/2,this._lastFrame=o,this._lastFramePercent=t,e.ignore=!1}},t}($$);const eK=Q$;var tK=function(){this.polyline=!1,this.curveness=0,this.segs=[]},nK=function(e){function t(t){var n=e.call(this,t)||this;return n._off=0,n.hoverDataIdx=-1,n}return Le(t,e),t.prototype.reset=function(){this.notClear=!1,this._off=0},t.prototype.getDefaultStyle=function(){return{stroke:"#000",fill:null}},t.prototype.getDefaultShape=function(){return new tK},t.prototype.buildPath=function(e,t){var n,r=t.segs,i=t.curveness;if(t.polyline)for(n=this._off;n<r.length;){var o=r[n++];if(o>0){e.moveTo(r[n++],r[n++]);for(var a=1;a<o;a++)e.lineTo(r[n++],r[n++])}}else for(n=this._off;n<r.length;){var s=r[n++],l=r[n++],u=r[n++],c=r[n++];if(e.moveTo(s,l),i>0){var h=(s+u)/2-(l-c)*i,d=(l+c)/2-(u-s)*i;e.quadraticCurveTo(h,d,u,c)}else e.lineTo(u,c)}this.incremental&&(this._off=n,this.notClear=!0)},t.prototype.findDataIndex=function(e,t){var n=this.shape,r=n.segs,i=n.curveness,o=this.style.lineWidth;if(n.polyline)for(var a=0,s=0;s<r.length;){var l=r[s++];if(l>0)for(var u=r[s++],c=r[s++],h=1;h<l;h++)if(cu(u,c,d=r[s++],p=r[s++],o,e,t))return a;a++}else for(a=0,s=0;s<r.length;){u=r[s++],c=r[s++];var d=r[s++],p=r[s++];if(i>0){if(du(u,c,(u+d)/2-(c-p)*i,(c+p)/2-(d-u)*i,d,p,o,e,t))return a}else if(cu(u,c,d,p,o,e,t))return a;a++}return-1},t.prototype.contain=function(e,t){var n=this.transformCoordToLocal(e,t),r=this.getBoundingRect();return e=n[0],t=n[1],r.contain(e,t)?(this.hoverDataIdx=this.findDataIndex(e,t))>=0:(this.hoverDataIdx=-1,!1)},t.prototype.getBoundingRect=function(){var e=this._rect;if(!e){for(var t=this.shape.segs,n=1/0,r=1/0,i=-1/0,o=-1/0,a=0;a<t.length;){var s=t[a++],l=t[a++];n=Math.min(s,n),i=Math.max(s,i),r=Math.min(l,r),o=Math.max(l,o)}e=this._rect=new wr(n,r,i,o)}return e},t}(Eu);const rK=function(){function e(){this.group=new Oa}return e.prototype.updateData=function(e){this._clear();var t=this._create();t.setShape({segs:e.getLayout("linesPoints")}),this._setCommon(t,e)},e.prototype.incrementalPrepareUpdate=function(e){this.group.removeAll(),this._clear()},e.prototype.incrementalUpdate=function(e,t){var n=this._newAdded[0],r=t.getLayout("linesPoints"),i=n&&n.shape.segs;if(i&&i.length<2e4){var o=i.length,a=new Float32Array(o+r.length);a.set(i),a.set(r,o),n.setShape({segs:a})}else{this._newAdded=[];var s=this._create();s.incremental=!0,s.setShape({segs:r}),this._setCommon(s,t),s.__startIndex=e.start}},e.prototype.remove=function(){this._clear()},e.prototype.eachRendered=function(e){this._newAdded[0]&&e(this._newAdded[0])},e.prototype._create=function(){var e=new nK({cursor:"default",ignoreCoarsePointer:!0});return this._newAdded.push(e),this.group.add(e),e},e.prototype._setCommon=function(e,t,n){var r=t.hostModel;e.setShape({polyline:r.get("polyline"),curveness:r.get(["lineStyle","curveness"])}),e.useStyle(r.getModel("lineStyle").getLineStyle()),e.style.strokeNoScale=!0;var i=t.getVisual("style");i&&i.stroke&&e.setStyle("stroke",i.stroke),e.setStyle("fill",null);var o=lc(e);o.seriesIndex=r.seriesIndex,e.on("mousemove",(function(t){o.dataIndex=null;var n=e.hoverDataIdx;n>0&&(o.dataIndex=n+e.__startIndex)}))},e.prototype._clear=function(){this._newAdded=[],this.group.removeAll()},e}();var iK={seriesType:"lines",plan:im(),reset:function(e){var t=e.coordinateSystem;if(t){var n=e.get("polyline"),r=e.pipelineContext.large;return{progress:function(i,o){var a=[];if(r){var s=void 0,l=i.end-i.start;if(n){for(var u=0,c=i.start;c<i.end;c++)u+=e.getLineCoordsCount(c);s=new Float32Array(l+2*u)}else s=new Float32Array(4*l);var h=0,d=[];for(c=i.start;c<i.end;c++){var p=e.getLineCoords(c,a);n&&(s[h++]=p);for(var f=0;f<p;f++)d=t.dataToPoint(a[f],!1,d),s[h++]=d[0],s[h++]=d[1]}o.setLayout("linesPoints",s)}else for(c=i.start;c<i.end;c++){var g=o.getItemModel(c),m=(p=e.getLineCoords(c,a),[]);if(n)for(var v=0;v<p;v++)m.push(t.dataToPoint(a[v]));else{m[0]=t.dataToPoint(a[0]),m[1]=t.dataToPoint(a[1]);var y=g.get(["lineStyle","curveness"]);+y&&(m[2]=[(m[0][0]+m[1][0])/2-(m[0][1]-m[1][1])*y,(m[0][1]+m[1][1])/2-(m[1][0]-m[0][0])*y])}o.setItemLayout(c,m)}}}}}};const oK=iK,aK=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){var r=e.getData(),i=this._updateLineDraw(r,e),o=e.get("zlevel"),a=e.get(["effect","trailLength"]),s=n.getZr(),l="svg"===s.painter.getType();l||s.painter.getLayer(o).clear(!0),null==this._lastZlevel||l||s.configLayer(this._lastZlevel,{motionBlur:!1}),this._showEffect(e)&&a>0&&(l||s.configLayer(o,{motionBlur:!0,lastFrameAlpha:Math.max(Math.min(a/10+.9,1),0)})),i.updateData(r);var u=e.get("clip",!0)&&qV(e.coordinateSystem,!1,e);u?this.group.setClipPath(u):this.group.removeClipPath(),this._lastZlevel=o,this._finished=!0},t.prototype.incrementalPrepareRender=function(e,t,n){var r=e.getData();this._updateLineDraw(r,e).incrementalPrepareUpdate(r),this._clearLayer(n),this._finished=!1},t.prototype.incrementalRender=function(e,t,n){this._lineDraw.incrementalUpdate(e,t.getData()),this._finished=e.end===t.getData().count()},t.prototype.eachRendered=function(e){this._lineDraw&&this._lineDraw.eachRendered(e)},t.prototype.updateTransform=function(e,t,n){var r=e.getData(),i=e.pipelineContext;if(!this._finished||i.large||i.progressiveRender)return{update:!0};var o=oK.reset(e,t,n);o.progress&&o.progress({start:0,end:r.count(),count:r.count()},r),this._lineDraw.updateLayout(),this._clearLayer(n)},t.prototype._updateLineDraw=function(e,t){var n=this._lineDraw,r=this._showEffect(t),i=!!t.get("polyline"),o=t.pipelineContext.large;return n&&r===this._hasEffet&&i===this._isPolyline&&o===this._isLargeDraw||(n&&n.remove(),n=this._lineDraw=o?new rK:new DY(i?r?eK:J$:r?$$:TY),this._hasEffet=r,this._isPolyline=i,this._isLargeDraw=o),this.group.add(n.group),n},t.prototype._showEffect=function(e){return!!e.get(["effect","show"])},t.prototype._clearLayer=function(e){var t=e.getZr();"svg"===t.painter.getType()||null==this._lastZlevel||t.painter.getLayer(this._lastZlevel).clear(!0)},t.prototype.remove=function(e,t){this._lineDraw&&this._lineDraw.remove(),this._lineDraw=null,this._clearLayer(t)},t.prototype.dispose=function(e,t){this.remove(e,t)},t.type="lines",t}(gy);var sK="undefined"==typeof Uint32Array?Array:Uint32Array,lK="undefined"==typeof Float64Array?Array:Float64Array;function uK(e){var t=e.data;t&&t[0]&&t[0][0]&&t[0][0].coord&&(e.data=ft(t,(function(e){var t={coords:[e[0].coord,e[1].coord]};return e[0].name&&(t.fromName=e[0].name),e[1].name&&(t.toName=e[1].name),ot([t,e[0],e[1]])})))}var cK=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.visualStyleAccessPath="lineStyle",n.visualDrawType="stroke",n}return Le(t,e),t.prototype.init=function(t){t.data=t.data||[],uK(t);var n=this._processFlatCoordsArray(t.data);this._flatCoords=n.flatCoords,this._flatCoordsOffset=n.flatCoordsOffset,n.flatCoords&&(t.data=new Float32Array(n.count)),e.prototype.init.apply(this,arguments)},t.prototype.mergeOption=function(t){if(uK(t),t.data){var n=this._processFlatCoordsArray(t.data);this._flatCoords=n.flatCoords,this._flatCoordsOffset=n.flatCoordsOffset,n.flatCoords&&(t.data=new Float32Array(n.count))}e.prototype.mergeOption.apply(this,arguments)},t.prototype.appendData=function(e){var t=this._processFlatCoordsArray(e.data);t.flatCoords&&(this._flatCoords?(this._flatCoords=Zt(this._flatCoords,t.flatCoords),this._flatCoordsOffset=Zt(this._flatCoordsOffset,t.flatCoordsOffset)):(this._flatCoords=t.flatCoords,this._flatCoordsOffset=t.flatCoordsOffset),e.data=new Float32Array(t.count)),this.getRawData().appendData(e.data)},t.prototype._getCoordsFromItemModel=function(e){var t=this.getData().getItemModel(e);return t.option instanceof Array?t.option:t.getShallow("coords")},t.prototype.getLineCoordsCount=function(e){return this._flatCoordsOffset?this._flatCoordsOffset[2*e+1]:this._getCoordsFromItemModel(e).length},t.prototype.getLineCoords=function(e,t){if(this._flatCoordsOffset){for(var n=this._flatCoordsOffset[2*e],r=this._flatCoordsOffset[2*e+1],i=0;i<r;i++)t[i]=t[i]||[],t[i][0]=this._flatCoords[n+2*i],t[i][1]=this._flatCoords[n+2*i+1];return r}var o=this._getCoordsFromItemModel(e);for(i=0;i<o.length;i++)t[i]=t[i]||[],t[i][0]=o[i][0],t[i][1]=o[i][1];return o.length},t.prototype._processFlatCoordsArray=function(e){var t=0;if(this._flatCoords&&(t=this._flatCoords.length),Tt(e[0])){for(var n=e.length,r=new sK(n),i=new lK(n),o=0,a=0,s=0,l=0;l<n;){s++;var u=e[l++];r[a++]=o+t,r[a++]=u;for(var c=0;c<u;c++){var h=e[l++],d=e[l++];i[o++]=h,i[o++]=d}}return{flatCoordsOffset:new Uint32Array(r.buffer,0,a),flatCoords:i,count:s}}return{flatCoordsOffset:null,flatCoords:null,count:e.length}},t.prototype.getInitialData=function(e,t){var n=new lw(["value"],this);return n.hasItemOption=!1,n.initData(e.data,[],(function(e,t,r,i){if(e instanceof Array)return NaN;n.hasItemOption=!0;var o=e.value;return null!=o?o instanceof Array?o[i]:o:void 0})),n},t.prototype.formatTooltip=function(e,t,n){var r=this.getData().getItemModel(e),i=r.get("name");if(i)return i;var o=r.get("fromName"),a=r.get("toName"),s=[];return null!=o&&s.push(o),null!=a&&s.push(a),Lg("nameValue",{name:s.join(" > ")})},t.prototype.preventIncremental=function(){return!!this.get(["effect","show"])},t.prototype.getProgressive=function(){var e=this.option.progressive;return null==e?this.option.large?1e4:this.get("progressive"):e},t.prototype.getProgressiveThreshold=function(){var e=this.option.progressiveThreshold;return null==e?this.option.large?2e4:this.get("progressiveThreshold"):e},t.prototype.getZLevelKey=function(){var e=this.getModel("effect"),t=e.get("trailLength");return this.getData().count()>this.getProgressiveThreshold()?this.id:e.get("show")&&t>0?t+"":""},t.type="series.lines",t.dependencies=["grid","polar","geo","calendar"],t.defaultOption={coordinateSystem:"geo",z:2,legendHoverLink:!0,xAxisIndex:0,yAxisIndex:0,symbol:["none","none"],symbolSize:[10,10],geoIndex:0,effect:{show:!1,period:4,constantSpeed:0,symbol:"circle",symbolSize:3,loop:!0,trailLength:.2},large:!1,largeThreshold:2e3,polyline:!1,clip:!0,label:{show:!1,position:"end"},lineStyle:{opacity:.5}},t}(tm);const hK=cK;function dK(e){return e instanceof Array||(e=[e,e]),e}const pK={seriesType:"lines",reset:function(e){var t=dK(e.get("symbol")),n=dK(e.get("symbolSize")),r=e.getData();return r.setVisual("fromSymbol",t&&t[0]),r.setVisual("toSymbol",t&&t[1]),r.setVisual("fromSymbolSize",n&&n[0]),r.setVisual("toSymbolSize",n&&n[1]),{dataEach:r.hasItemOption?function(e,t){var n=e.getItemModel(t),r=dK(n.getShallow("symbol",!0)),i=dK(n.getShallow("symbolSize",!0));r[0]&&e.setItemVisual(t,"fromSymbol",r[0]),r[1]&&e.setItemVisual(t,"toSymbol",r[1]),i[0]&&e.setItemVisual(t,"fromSymbolSize",i[0]),i[1]&&e.setItemVisual(t,"toSymbolSize",i[1])}:null}}};var fK=function(){function e(){this.blurSize=30,this.pointSize=20,this.maxOpacity=1,this.minOpacity=0,this._gradientPixels={inRange:null,outOfRange:null};var e=Ge.createCanvas();this.canvas=e}return e.prototype.update=function(e,t,n,r,i,o){var a=this._getBrush(),s=this._getGradient(i,"inRange"),l=this._getGradient(i,"outOfRange"),u=this.pointSize+this.blurSize,c=this.canvas,h=c.getContext("2d"),d=e.length;c.width=t,c.height=n;for(var p=0;p<d;++p){var f=e[p],g=f[0],m=f[1],v=r(f[2]);h.globalAlpha=v,h.drawImage(a,g-u,m-u)}if(!c.width||!c.height)return c;for(var y=h.getImageData(0,0,c.width,c.height),_=y.data,x=0,b=_.length,w=this.minOpacity,S=this.maxOpacity-w;x<b;){v=_[x+3]/256;var M=4*Math.floor(255*v);if(v>0){var T=o(v)?s:l;v>0&&(v=v*S+w),_[x++]=T[M],_[x++]=T[M+1],_[x++]=T[M+2],_[x++]=T[M+3]*v*256}else x+=4}return h.putImageData(y,0,0),c},e.prototype._getBrush=function(){var e=this._brushCanvas||(this._brushCanvas=Ge.createCanvas()),t=this.pointSize+this.blurSize,n=2*t;e.width=n,e.height=n;var r=e.getContext("2d");return r.clearRect(0,0,n,n),r.shadowOffsetX=n,r.shadowBlur=this.blurSize,r.shadowColor="#000",r.beginPath(),r.arc(-t,t,this.pointSize,0,2*Math.PI,!0),r.closePath(),r.fill(),e},e.prototype._getGradient=function(e,t){for(var n=this._gradientPixels,r=n[t]||(n[t]=new Uint8ClampedArray(1024)),i=[0,0,0,0],o=0,a=0;a<256;a++)e[t](a/255,!0,i),r[o++]=i[0],r[o++]=i[1],r[o++]=i[2],r[o++]=i[3];return r},e}();const gK=fK;function mK(e){var t=e.dimensions;return"lng"===t[0]&&"lat"===t[1]}var vK=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){var r;t.eachComponent("visualMap",(function(t){t.eachTargetSeries((function(n){n===e&&(r=t)}))})),this._progressiveEls=null,this.group.removeAll();var i=e.coordinateSystem;"cartesian2d"===i.type||"calendar"===i.type?this._renderOnCartesianAndCalendar(e,n,0,e.getData().count()):mK(i)&&this._renderOnGeo(i,e,r,n)},t.prototype.incrementalPrepareRender=function(e,t,n){this.group.removeAll()},t.prototype.incrementalRender=function(e,t,n,r){var i=t.coordinateSystem;i&&(mK(i)?this.render(t,n,r):(this._progressiveEls=[],this._renderOnCartesianAndCalendar(t,r,e.start,e.end,!0)))},t.prototype.eachRendered=function(e){ay(this._progressiveEls||this.group,e)},t.prototype._renderOnCartesianAndCalendar=function(e,t,n,r,i){var o,a,s,l,u=e.coordinateSystem,c=$V(u,"cartesian2d");if(c){var h=u.getAxis("x"),d=u.getAxis("y");o=h.getBandWidth()+.5,a=d.getBandWidth()+.5,s=h.scale.getExtent(),l=d.scale.getExtent()}for(var p=this.group,f=e.getData(),g=e.getModel(["emphasis","itemStyle"]).getItemStyle(),m=e.getModel(["blur","itemStyle"]).getItemStyle(),v=e.getModel(["select","itemStyle"]).getItemStyle(),y=e.get(["itemStyle","borderRadius"]),_=Mh(e),x=e.getModel("emphasis"),b=x.get("focus"),w=x.get("blurScope"),S=x.get("disabled"),M=c?[f.mapDimension("x"),f.mapDimension("y"),f.mapDimension("value")]:[f.mapDimension("time"),f.mapDimension("value")],T=n;T<r;T++){var A=void 0,I=f.getItemVisual(T,"style");if(c){var C=f.get(M[0],T),D=f.get(M[1],T);if(isNaN(f.get(M[2],T))||isNaN(C)||isNaN(D)||C<s[0]||C>s[1]||D<l[0]||D>l[1])continue;var E=u.dataToPoint([C,D]);A=new ju({shape:{x:E[0]-o/2,y:E[1]-a/2,width:o,height:a},style:I})}else{if(isNaN(f.get(M[1],T)))continue;A=new ju({z2:1,shape:u.dataToRect([f.get(M[0],T)]).contentShape,style:I})}if(f.hasItemOption){var L=f.getItemModel(T),P=L.getModel("emphasis");g=P.getModel("itemStyle").getItemStyle(),m=L.getModel(["blur","itemStyle"]).getItemStyle(),v=L.getModel(["select","itemStyle"]).getItemStyle(),y=L.get(["itemStyle","borderRadius"]),b=P.get("focus"),w=P.get("blurScope"),S=P.get("disabled"),_=Mh(L)}A.shape.r=y;var O=e.getRawValue(T),N="-";O&&null!=O[2]&&(N=O[2]+""),Sh(A,_,{labelFetcher:e,labelDataIndex:T,defaultOpacity:I.opacity,defaultText:N}),A.ensureState("emphasis").style=g,A.ensureState("blur").style=m,A.ensureState("select").style=v,th(A,b,w,S),A.incremental=i,i&&(A.states.emphasis.hoverLayer=!0),p.add(A),f.setItemGraphicEl(T,A),this._progressiveEls&&this._progressiveEls.push(A)}},t.prototype._renderOnGeo=function(e,t,n,r){var i=n.targetVisuals.inRange,o=n.targetVisuals.outOfRange,a=t.getData(),s=this._hmLayer||this._hmLayer||new gK;s.blurSize=t.get("blurSize"),s.pointSize=t.get("pointSize"),s.minOpacity=t.get("minOpacity"),s.maxOpacity=t.get("maxOpacity");var l=e.getViewRect().clone(),u=e.getRoamTransform();l.applyTransform(u);var c=Math.max(l.x,0),h=Math.max(l.y,0),d=Math.min(l.width+l.x,r.getWidth()),p=Math.min(l.height+l.y,r.getHeight()),f=d-c,g=p-h,m=[a.mapDimension("lng"),a.mapDimension("lat"),a.mapDimension("value")],v=a.mapArray(m,(function(t,n,r){var i=e.dataToPoint([t,n]);return i[0]-=c,i[1]-=h,i.push(r),i})),y=n.getExtent(),_="visualMap.continuous"===n.type?function(e,t){var n=e[1]-e[0];return t=[(t[0]-e[0])/n,(t[1]-e[0])/n],function(e){return e>=t[0]&&e<=t[1]}}(y,n.option.range):function(e,t,n){var r=e[1]-e[0],i=(t=ft(t,(function(t){return{interval:[(t.interval[0]-e[0])/r,(t.interval[1]-e[0])/r]}}))).length,o=0;return function(e){var r;for(r=o;r<i;r++)if((a=t[r].interval)[0]<=e&&e<=a[1]){o=r;break}if(r===i)for(r=o-1;r>=0;r--){var a;if((a=t[r].interval)[0]<=e&&e<=a[1]){o=r;break}}return r>=0&&r<i&&n[r]}}(y,n.getPieceList(),n.option.selected);s.update(v,f,g,i.color.getNormalizer(),{inRange:i.color.getColorMapper(),outOfRange:o.color.getColorMapper()},_);var x=new Bu({style:{width:f,height:g,x:c,y:h,image:s.canvas},silent:!0});this.group.add(x)},t.type="heatmap",t}(gy);const yK=vK,_K=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.getInitialData=function(e,t){return yw(null,this,{generateCoord:"value"})},t.prototype.preventIncremental=function(){var e=Xp.get(this.get("coordinateSystem"));if(e&&e.dimensions)return"lng"===e.dimensions[0]&&"lat"===e.dimensions[1]},t.type="series.heatmap",t.dependencies=["grid","geo","calendar"],t.defaultOption={coordinateSystem:"cartesian2d",z:2,geoIndex:0,blurSize:30,pointSize:20,maxOpacity:1,minOpacity:0,select:{itemStyle:{borderColor:"#212121"}}},t}(tm);var xK=["itemStyle","borderWidth"],bK=[{xy:"x",wh:"width",index:0,posDesc:["left","right"]},{xy:"y",wh:"height",index:1,posDesc:["top","bottom"]}],wK=new Im;function SK(e,t,n,r){var i=e.getItemLayout(t),o=n.get("symbolRepeat"),a=n.get("symbolClip"),s=n.get("symbolPosition")||"start",l=(n.get("symbolRotate")||0)*Math.PI/180||0,u=n.get("symbolPatternSize")||2,c=n.isAnimationEnabled(),h={dataIndex:t,layout:i,itemModel:n,symbolType:e.getItemVisual(t,"symbol")||"circle",style:e.getItemVisual(t,"style"),symbolClip:a,symbolRepeat:o,symbolRepeatDirection:n.get("symbolRepeatDirection"),symbolPatternSize:u,rotation:l,animationModel:c?n:null,hoverScale:c&&n.get(["emphasis","scale"]),z2:n.getShallow("z",!0)||0};!function(e,t,n,r,i){var o,a=r.valueDim,s=e.get("symbolBoundingData"),l=r.coordSys.getOtherAxis(r.coordSys.getBaseAxis()),u=l.toGlobalCoord(l.dataToCoord(0)),c=1-+(n[a.wh]<=0);if(bt(s)){var h=[MK(l,s[0])-u,MK(l,s[1])-u];h[1]<h[0]&&h.reverse(),o=h[c]}else o=null!=s?MK(l,s)-u:t?r.coordSysExtent[a.index][c]-u:n[a.wh];i.boundingLength=o,t&&(i.repeatCutLength=n[a.wh]),i.pxSign=o>0?1:-1}(n,o,i,r,h),function(e,t,n,r,i,o,a,s,l,u){var c,h=l.valueDim,d=l.categoryDim,p=Math.abs(n[d.wh]),f=e.getItemVisual(t,"symbolSize");(c=bt(f)?f.slice():null==f?["100%","100%"]:[f,f])[d.index]=qa(c[d.index],p),c[h.index]=qa(c[h.index],r?p:Math.abs(o)),u.symbolSize=c,(u.symbolScale=[c[0]/s,c[1]/s])[h.index]*=(l.isHorizontal?-1:1)*a}(e,t,i,o,0,h.boundingLength,h.pxSign,u,r,h),function(e,t,n,r,i){var o=e.get(xK)||0;o&&(wK.attr({scaleX:t[0],scaleY:t[1],rotation:n}),wK.updateTransform(),o/=wK.getLineScale(),o*=t[r.valueDim.index]),i.valueLineWidth=o||0}(n,h.symbolScale,l,r,h);var d=h.symbolSize,p=I_(n.get("symbolOffset"),d);return function(e,t,n,r,i,o,a,s,l,u,c,h){var d=c.categoryDim,p=c.valueDim,f=h.pxSign,g=Math.max(t[p.index]+s,0),m=g;if(r){var v=Math.abs(l),y=Nt(e.get("symbolMargin"),"15%")+"",_=!1;y.lastIndexOf("!")===y.length-1&&(_=!0,y=y.slice(0,y.length-1));var x=qa(y,t[p.index]),b=Math.max(g+2*x,0),w=_?0:2*x,S=gs(r),M=S?r:zK((v+w)/b);b=g+2*(x=(v-M*g)/2/(_?M:Math.max(M-1,1))),w=_?0:2*x,S||"fixed"===r||(M=u?zK((Math.abs(u)+w)/b):0),m=M*b-w,h.repeatTimes=M,h.symbolMargin=x}var T=f*(m/2),A=h.pathPosition=[];A[d.index]=n[d.wh]/2,A[p.index]="start"===a?T:"end"===a?l-T:l/2,o&&(A[0]+=o[0],A[1]+=o[1]);var I=h.bundlePosition=[];I[d.index]=n[d.xy],I[p.index]=n[p.xy];var C=h.barRectShape=at({},n);C[p.wh]=f*Math.max(Math.abs(n[p.wh]),Math.abs(A[p.index]+T)),C[d.wh]=n[d.wh];var D=h.clipShape={};D[d.xy]=-n[d.xy],D[d.wh]=c.ecSize[d.wh],D[p.xy]=0,D[p.wh]=n[p.wh]}(n,d,i,o,0,p,s,h.valueLineWidth,h.boundingLength,h.repeatCutLength,r,h),h}function MK(e,t){return e.toGlobalCoord(e.dataToCoord(e.scale.parse(t)))}function TK(e){var t=e.symbolPatternSize,n=T_(e.symbolType,-t/2,-t/2,t,t);return n.attr({culling:!0}),"image"!==n.type&&n.setStyle({strokeNoScale:!0}),n}function AK(e,t,n,r){var i=e.__pictorialBundle,o=n.symbolSize,a=n.valueLineWidth,s=n.pathPosition,l=t.valueDim,u=n.repeatTimes||0,c=0,h=o[t.valueDim.index]+a+2*n.symbolMargin;for(kK(e,(function(e){e.__pictorialAnimationIndex=c,e.__pictorialRepeatTimes=u,c<u?BK(e,null,f(c),n,r):BK(e,null,{scaleX:0,scaleY:0},n,r,(function(){i.remove(e)})),c++}));c<u;c++){var d=TK(n);d.__pictorialAnimationIndex=c,d.__pictorialRepeatTimes=u,i.add(d);var p=f(c);BK(d,{x:p.x,y:p.y,scaleX:0,scaleY:0},{scaleX:p.scaleX,scaleY:p.scaleY,rotation:p.rotation},n,r)}function f(e){var t=s.slice(),r=n.pxSign,i=e;return("start"===n.symbolRepeatDirection?r>0:r<0)&&(i=u-1-e),t[l.index]=h*(i-u/2+.5)+s[l.index],{x:t[0],y:t[1],scaleX:n.symbolScale[0],scaleY:n.symbolScale[1],rotation:n.rotation}}}function IK(e,t,n,r){var i=e.__pictorialBundle,o=e.__pictorialMainPath;o?BK(o,null,{x:n.pathPosition[0],y:n.pathPosition[1],scaleX:n.symbolScale[0],scaleY:n.symbolScale[1],rotation:n.rotation},n,r):(o=e.__pictorialMainPath=TK(n),i.add(o),BK(o,{x:n.pathPosition[0],y:n.pathPosition[1],scaleX:0,scaleY:0,rotation:n.rotation},{scaleX:n.symbolScale[0],scaleY:n.symbolScale[1]},n,r))}function CK(e,t,n){var r=at({},t.barRectShape),i=e.__pictorialBarRect;i?BK(i,null,{shape:r},t,n):((i=e.__pictorialBarRect=new ju({z2:2,shape:r,silent:!0,style:{stroke:"transparent",fill:"transparent",lineWidth:0}})).disableMorphing=!0,e.add(i))}function DK(e,t,n,r){if(n.symbolClip){var i=e.__pictorialClipPath,a=at({},n.clipShape),s=t.valueDim,l=n.animationModel,u=n.dataIndex;if(i)ph(i,{shape:a},l,u);else{a[s.wh]=0,i=new ju({shape:a}),e.__pictorialBundle.setClipPath(i),e.__pictorialClipPath=i;var c={};c[s.wh]=n.clipShape[s.wh],o[r?"updateProps":"initProps"](i,{shape:c},l,u)}}}function EK(e,t){var n=e.getItemModel(t);return n.getAnimationDelayParams=LK,n.isAnimationEnabled=PK,n}function LK(e){return{index:e.__pictorialAnimationIndex,count:e.__pictorialRepeatTimes}}function PK(){return this.parentModel.isAnimationEnabled()&&!!this.getShallow("animation")}function OK(e,t,n,r){var i=new Oa,o=new Oa;return i.add(o),i.__pictorialBundle=o,o.x=n.bundlePosition[0],o.y=n.bundlePosition[1],n.symbolRepeat?AK(i,t,n):IK(i,0,n),CK(i,n,r),DK(i,t,n,r),i.__pictorialShapeStr=RK(e,n),i.__pictorialSymbolMeta=n,i}function NK(e,t,n,r){var i=r.__pictorialBarRect;i&&i.removeTextContent();var o=[];kK(r,(function(e){o.push(e)})),r.__pictorialMainPath&&o.push(r.__pictorialMainPath),r.__pictorialClipPath&&(n=null),pt(o,(function(e){mh(e,{scaleX:0,scaleY:0},n,t,(function(){r.parent&&r.parent.remove(r)}))})),e.setItemGraphicEl(t,null)}function RK(e,t){return[e.getItemVisual(t.dataIndex,"symbol")||"none",!!t.symbolRepeat,!!t.symbolClip].join(":")}function kK(e,t,n){pt(e.__pictorialBundle.children(),(function(r){r!==e.__pictorialBarRect&&t.call(n,r)}))}function BK(e,t,n,r,i,a){t&&e.attr(t),r.symbolClip&&!i?n&&e.attr(n):n&&o[i?"updateProps":"initProps"](e,n,r.animationModel,r.dataIndex,a)}function FK(e,t,n){var r=n.dataIndex,i=n.itemModel,o=i.getModel("emphasis"),a=o.getModel("itemStyle").getItemStyle(),s=i.getModel(["blur","itemStyle"]).getItemStyle(),l=i.getModel(["select","itemStyle"]).getItemStyle(),u=i.getShallow("cursor"),c=o.get("focus"),h=o.get("blurScope"),d=o.get("scale");kK(e,(function(e){if(e instanceof Bu){var t=e.style;e.useStyle(at({image:t.image,x:t.x,y:t.y,width:t.width,height:t.height},n.style))}else e.useStyle(n.style);var r=e.ensureState("emphasis");r.style=a,d&&(r.scaleX=1.1*e.scaleX,r.scaleY=1.1*e.scaleY),e.ensureState("blur").style=s,e.ensureState("select").style=l,u&&(e.cursor=u),e.z2=n.z2}));var p=t.valueDim.posDesc[+(n.boundingLength>0)],f=e.__pictorialBarRect;f.ignoreClip=!0,Sh(f,Mh(i),{labelFetcher:t.seriesModel,labelDataIndex:r,defaultText:IV(t.seriesModel.getData(),r),inheritColor:n.style.fill,defaultOpacity:n.style.opacity,defaultOutsidePosition:p}),th(e,c,h,o.get("disabled"))}function zK(e){var t=Math.round(e);return Math.abs(e-t)<1e-4?t:Math.ceil(e)}const VK=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){var r=this.group,i=e.getData(),o=this._data,a=e.coordinateSystem,s=a.getBaseAxis().isHorizontal(),l=a.master.getRect(),u={ecSize:{width:n.getWidth(),height:n.getHeight()},seriesModel:e,coordSys:a,coordSysExtent:[[l.x,l.x+l.width],[l.y,l.y+l.height]],isHorizontal:s,valueDim:bK[+s],categoryDim:bK[1-+s]};i.diff(o).add((function(e){if(i.hasValue(e)){var t=EK(i,e),n=SK(i,e,t,u),o=OK(i,u,n);i.setItemGraphicEl(e,o),r.add(o),FK(o,u,n)}})).update((function(e,t){var n=o.getItemGraphicEl(t);if(i.hasValue(e)){var a=EK(i,e),s=SK(i,e,a,u),l=RK(i,s);n&&l!==n.__pictorialShapeStr&&(r.remove(n),i.setItemGraphicEl(e,null),n=null),n?function(e,t,n){var r=n.animationModel,i=n.dataIndex;ph(e.__pictorialBundle,{x:n.bundlePosition[0],y:n.bundlePosition[1]},r,i),n.symbolRepeat?AK(e,t,n,!0):IK(e,0,n,!0),CK(e,n,!0),DK(e,t,n,!0)}(n,u,s):n=OK(i,u,s,!0),i.setItemGraphicEl(e,n),n.__pictorialSymbolMeta=s,r.add(n),FK(n,u,s)}else r.remove(n)})).remove((function(e){var t=o.getItemGraphicEl(e);t&&NK(o,e,t.__pictorialSymbolMeta.animationModel,t)})).execute();var c=e.get("clip",!0)?qV(e.coordinateSystem,!1,e):null;return c?r.setClipPath(c):r.removeClipPath(),this._data=i,this.group},t.prototype.remove=function(e,t){var n=this.group,r=this._data;e.get("animation")?r&&r.eachItemGraphicEl((function(t){NK(r,lc(t).dataIndex,e,t)})):n.removeAll()},t.type="pictorialBar",t}(gy),GK=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.hasSymbolVisual=!0,n.defaultSymbol="roundRect",n}return Le(t,e),t.prototype.getInitialData=function(t){return t.stack=null,e.prototype.getInitialData.apply(this,arguments)},t.type="series.pictorialBar",t.dependencies=["grid"],t.defaultOption=Jh(pG.defaultOption,{symbol:"circle",symbolSize:null,symbolRotate:null,symbolPosition:null,symbolOffset:null,symbolMargin:null,symbolRepeat:!1,symbolRepeatDirection:"end",symbolClip:!1,symbolBoundingData:null,symbolPatternSize:400,barGap:"-100%",clip:!1,progressive:0,emphasis:{scale:!1},select:{itemStyle:{borderColor:"#212121"}}}),t}(pG);var HK=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n._layers=[],n}return Le(t,e),t.prototype.render=function(e,t,n){var r=e.getData(),i=this,o=this.group,a=e.getLayerSeries(),s=r.getLayout("layoutInfo"),l=s.rect,u=s.boundaryGap;function c(e){return e.name}o.x=0,o.y=l.y+u[0];var h=new Bb(this._layersSeries||[],a,c,c),d=[];function p(t,n,s){var l=i._layers;if("remove"!==t){for(var u,c,h=[],p=[],f=a[n].indices,g=0;g<f.length;g++){var m=r.getItemLayout(f[g]),v=m.x,y=m.y0,_=m.y;h.push(v,y),p.push(v,y+_),u=r.getItemVisual(f[g],"style")}var x=r.getItemLayout(f[0]),b=e.getModel("label").get("margin"),w=e.getModel("emphasis");if("add"===t){var S=d[n]=new Oa;c=new XV({shape:{points:h,stackedOnPoints:p,smooth:.4,stackedOnSmooth:.4,smoothConstraint:!1},z2:0}),S.add(c),o.add(S),e.isAnimationEnabled()&&c.setClipPath(function(e,t,n){var r=new ju({shape:{x:e.x-10,y:e.y-10,width:0,height:e.height+20}});return fh(r,{shape:{x:e.x-50,width:e.width+100,height:e.height+20}},t,(function(){c.removeClipPath()})),r}(c.getBoundingRect(),e))}else S=l[s],c=S.childAt(0),o.add(S),d[n]=S,ph(c,{shape:{points:h,stackedOnPoints:p}},e),_h(c);Sh(c,Mh(e),{labelDataIndex:f[g-1],defaultText:r.getName(f[g-1]),inheritColor:u.fill},{normal:{verticalAlign:"middle"}}),c.setTextConfig({position:null,local:!0});var M=c.getTextContent();M&&(M.x=x.x-b,M.y=x.y0+x.y/2),c.useStyle(u),r.setItemGraphicEl(n,c),oh(c,e),th(c,w.get("focus"),w.get("blurScope"),w.get("disabled"))}else o.remove(l[n])}h.add(_t(p,this,"add")).update(_t(p,this,"update")).remove(_t(p,this,"remove")).execute(),this._layersSeries=a,this._layers=d},t.type="themeRiver",t}(gy);const UK=HK;var WK=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(t){e.prototype.init.apply(this,arguments),this.legendVisualProvider=new eH(_t(this.getData,this),_t(this.getRawData,this))},t.prototype.fixData=function(e){var t=e.length,n={},r=Hs(e,(function(e){return n.hasOwnProperty(e[0]+"")||(n[e[0]+""]=-1),e[2]})),i=[];r.buckets.each((function(e,t){i.push({name:t,dataList:e})}));for(var o=i.length,a=0;a<o;++a){for(var s=i[a].name,l=0;l<i[a].dataList.length;++l){var u=i[a].dataList[l][0]+"";n[u]=a}for(var u in n)n.hasOwnProperty(u)&&n[u]!==a&&(n[u]=a,e[t]=[u,0,s],t++)}return e},t.prototype.getInitialData=function(e,t){for(var n=this.getReferringComponents("singleAxis",Fs).models[0].get("type"),r=mt(e.data,(function(e){return void 0!==e[2]})),i=this.fixData(r||[]),o=[],a=this.nameMap=Yt(),s=0,l=0;l<i.length;++l)o.push(i[l][2]),a.get(i[l][2])||(a.set(i[l][2],s),s++);var u=cw(i,{coordDimensions:["single"],dimensionsDefine:[{name:"time",type:Vb(n)},{name:"value",type:"float"},{name:"name",type:"ordinal"}],encodeDefine:{single:0,value:1,itemName:2}}).dimensions,c=new lw(u,this);return c.initData(i),c},t.prototype.getLayerSeries=function(){for(var e=this.getData(),t=e.count(),n=[],r=0;r<t;++r)n[r]=r;var i=e.mapDimension("single"),o=Hs(n,(function(t){return e.get("name",t)})),a=[];return o.buckets.each((function(t,n){t.sort((function(t,n){return e.get(i,t)-e.get(i,n)})),a.push({name:n,indices:t})})),a},t.prototype.getAxisTooltipData=function(e,t,n){bt(e)||(e=e?[e]:[]);for(var r,i=this.getData(),o=this.getLayerSeries(),a=[],s=o.length,l=0;l<s;++l){for(var u=Number.MAX_VALUE,c=-1,h=o[l].indices.length,d=0;d<h;++d){var p=i.get(e[0],o[l].indices[d]),f=Math.abs(p-t);f<=u&&(r=p,u=f,c=o[l].indices[d])}a.push(c)}return{dataIndices:a,nestestValue:r}},t.prototype.formatTooltip=function(e,t,n){var r=this.getData();return Lg("nameValue",{name:r.getName(e),value:r.get(r.mapDimension("value"),e)})},t.type="series.themeRiver",t.dependencies=["singleAxis"],t.defaultOption={z:2,colorBy:"data",coordinateSystem:"singleAxis",boundaryGap:["10%","10%"],singleAxisIndex:0,animationEasing:"linear",label:{margin:4,show:!0,position:"left",fontSize:11},emphasis:{label:{show:!0}}},t}(tm);const jK=WK;function XK(e,t){e.eachSeriesByType("themeRiver",(function(e){var t=e.getData(),n=e.coordinateSystem,r={},i=n.getRect();r.rect=i;var o=e.get("boundaryGap"),a=n.getAxis();r.boundaryGap=o,"horizontal"===a.orient?(o[0]=qa(o[0],i.height),o[1]=qa(o[1],i.height),YK(t,e,i.height-o[0]-o[1])):(o[0]=qa(o[0],i.width),o[1]=qa(o[1],i.width),YK(t,e,i.width-o[0]-o[1])),t.setLayout("layoutInfo",r)}))}function YK(e,t,n){if(e.count())for(var r,i=t.coordinateSystem,o=t.getLayerSeries(),a=e.mapDimension("single"),s=e.mapDimension("value"),l=ft(o,(function(t){return ft(t.indices,(function(t){var n=i.dataToPoint(e.get(a,t));return n[1]=e.get(s,t),n}))})),u=function(e){for(var t=e.length,n=e[0].length,r=[],i=[],o=0,a=0;a<n;++a){for(var s=0,l=0;l<t;++l)s+=e[l][a][1];s>o&&(o=s),r.push(s)}for(var u=0;u<n;++u)i[u]=(o-r[u])/2;o=0;for(var c=0;c<n;++c){var h=r[c]+i[c];h>o&&(o=h)}return{y0:i,max:o}}(l),c=u.y0,h=n/u.max,d=o.length,p=o[0].indices.length,f=0;f<p;++f){r=c[f]*h,e.setItemLayout(o[0].indices[f],{layerIndex:0,x:l[0][f][0],y0:r,y:l[0][f][1]*h});for(var g=1;g<d;++g)r+=l[g-1][f][1]*h,e.setItemLayout(o[g].indices[f],{layerIndex:g,x:l[g][f][0],y0:r,y:l[g][f][1]*h})}}var ZK=function(e){function t(t,n,r,i){var o=e.call(this)||this;o.z2=2,o.textConfig={inside:!0},lc(o).seriesIndex=n.seriesIndex;var a=new sc({z2:4,silent:t.getModel().get(["label","silent"])});return o.setTextContent(a),o.updateData(!0,t,n,r,i),o}return Le(t,e),t.prototype.updateData=function(e,t,n,r,i){this.node=t,t.piece=this,n=n||this._seriesModel,r=r||this._ecModel;var o=this;lc(o).dataIndex=t.dataIndex;var a=t.getModel(),s=a.getModel("emphasis"),l=t.getLayout(),u=at({},l);u.label=null;var c=t.getVisual("style");c.lineJoin="bevel";var h=t.getVisual("decal");h&&(c.decal=nx(h,i));var d=xG(a.getModel("itemStyle"),u,!0);at(u,d),pt(vc,(function(e){var t=o.ensureState(e),n=a.getModel([e,"itemStyle"]);t.style=n.getItemStyle();var r=xG(n,u);r&&(t.shape=r)})),e?(o.setShape(u),o.shape.r=l.r0,fh(o,{shape:{r:l.r}},n,t.dataIndex)):(ph(o,{shape:u},n),_h(o)),o.useStyle(c),this._updateLabel(n);var p=a.getShallow("cursor");p&&o.attr("cursor",p),this._seriesModel=n||this._seriesModel,this._ecModel=r||this._ecModel;var f=s.get("focus");th(this,"ancestor"===f?t.getAncestorsIndices():"descendant"===f?t.getDescendantIndices():f,s.get("blurScope"),s.get("disabled"))},t.prototype._updateLabel=function(e){var t=this,n=this.node.getModel(),r=n.getModel("label"),i=this.node.getLayout(),o=i.endAngle-i.startAngle,a=(i.startAngle+i.endAngle)/2,s=Math.cos(a),l=Math.sin(a),u=this,c=u.getTextContent(),h=this.node.dataIndex,d=r.get("minAngle")/180*Math.PI,p=r.get("show")&&!(null!=d&&Math.abs(o)<d);function f(e,t){var n=e.get(t);return null==n?r.get(t):n}c.ignore=!p,pt(yc,(function(r){var d="normal"===r?n.getModel("label"):n.getModel([r,"label"]),p="normal"===r,g=p?c:c.ensureState(r),m=e.getFormattedLabel(h,r);p&&(m=m||t.node.name),g.style=Th(d,{},null,"normal"!==r,!0),m&&(g.style.text=m);var v=d.get("show");null==v||p||(g.ignore=!v);var y,_=f(d,"position"),x=p?u:u.states[r],b=x.style.fill;x.textConfig={outsideFill:"inherit"===d.get("color")?b:null,inside:"outside"!==_};var w=f(d,"distance")||0,S=f(d,"align"),M=f(d,"rotate"),T=.5*Math.PI,A=1.5*Math.PI,I=fu("tangential"===M?Math.PI/2-a:a),C=I>T&&!as(I-T)&&I<A;"outside"===_?(y=i.r+w,S=C?"right":"left"):S&&"center"!==S?"left"===S?(y=i.r0+w,S=C?"right":"left"):"right"===S&&(y=i.r-w,S=C?"left":"right"):(y=o===2*Math.PI&&0===i.r0?0:(i.r+i.r0)/2,S="center"),g.style.align=S,g.style.verticalAlign=f(d,"verticalAlign")||"middle",g.x=y*s+i.cx,g.y=y*l+i.cy;var D=0;"radial"===M?D=fu(-a)+(C?Math.PI:0):"tangential"===M?D=fu(Math.PI/2-a)+(C?Math.PI:0):Tt(M)&&(D=M*Math.PI/180),g.rotation=fu(D)})),c.dirtyStyle()},t}(jm);const qK=ZK;var $K="sunburstRootToNode",KK="sunburstHighlight",JK=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n,r){var i=this;this.seriesModel=e,this.api=n,this.ecModel=t;var o=e.getData(),a=o.tree.root,s=e.getViewRoot(),l=this.group,u=e.get("renderLabelForZeroData"),c=[];s.eachNode((function(e){c.push(e)}));var h=this._oldChildren||[];!function(r,i){function s(e){return e.getId()}function c(s,c){!function(r,i){if(u||!r||r.getValue()||(r=null),r!==a&&i!==a)if(i&&i.piece)r?(i.piece.updateData(!1,r,e,t,n),o.setItemGraphicEl(r.dataIndex,i.piece)):(c=i)&&c.piece&&(l.remove(c.piece),c.piece=null);else if(r){var s=new qK(r,e,t,n);l.add(s),o.setItemGraphicEl(r.dataIndex,s)}var c}(null==s?null:r[s],null==c?null:i[c])}0===r.length&&0===i.length||new Bb(i,r,s,s).add(c).update(c).remove(xt(c,null)).execute()}(c,h),function(r,o){o.depth>0?(i.virtualPiece?i.virtualPiece.updateData(!1,r,e,t,n):(i.virtualPiece=new qK(r,e,t,n),l.add(i.virtualPiece)),o.piece.off("click"),i.virtualPiece.on("click",(function(e){i._rootToNode(o.parentNode)}))):i.virtualPiece&&(l.remove(i.virtualPiece),i.virtualPiece=null)}(a,s),this._initEvents(),this._oldChildren=c},t.prototype._initEvents=function(){var e=this;this.group.off("click"),this.group.on("click",(function(t){var n=!1;e.seriesModel.getViewRoot().eachNode((function(r){if(!n&&r.piece&&r.piece===t.target){var i=r.getModel().get("nodeClick");if("rootToNode"===i)e._rootToNode(r);else if("link"===i){var o=r.getModel(),a=o.get("link");a&&Yd(a,o.get("target",!0)||"_blank")}n=!0}}))}))},t.prototype._rootToNode=function(e){e!==this.seriesModel.getViewRoot()&&this.api.dispatchAction({type:$K,from:this.uid,seriesId:this.seriesModel.id,targetNode:e})},t.prototype.containPoint=function(e,t){var n=t.getData().getItemLayout(0);if(n){var r=e[0]-n.cx,i=e[1]-n.cy,o=Math.sqrt(r*r+i*i);return o<=n.r&&o>=n.r0}},t.type="sunburst",t}(gy);const QK=JK;function eJ(e){var t=0;pt(e.children,(function(e){eJ(e);var n=e.value;bt(n)&&(n=n[0]),t+=n}));var n=e.value;bt(n)&&(n=n[0]),(null==n||isNaN(n))&&(n=t),n<0&&(n=0),bt(e.value)?e.value[0]=n:e.value=n}const tJ=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.ignoreStyleOnData=!0,n}return Le(t,e),t.prototype.getInitialData=function(e,t){var n={name:e.name,children:e.data};eJ(n);var r=this._levelModels=ft(e.levels||[],(function(e){return new qh(e,this,t)}),this),i=Ij.createTree(n,this,(function(e){e.wrapMethod("getItemModel",(function(e,t){var n=i.getNodeByDataIndex(t),o=r[n.depth];return o&&(e.parentModel=o),e}))}));return i.data},t.prototype.optionUpdated=function(){this.resetViewRoot()},t.prototype.getDataParams=function(t){var n=e.prototype.getDataParams.apply(this,arguments),r=this.getData().tree.getNodeByDataIndex(t);return n.treePathInfo=Lj(r,this),n},t.prototype.getLevelModel=function(e){return this._levelModels&&this._levelModels[e.depth]},t.prototype.getViewRoot=function(){return this._viewRoot},t.prototype.resetViewRoot=function(e){e?this._viewRoot=e:e=this._viewRoot;var t=this.getRawData().tree.root;e&&(e===t||t.contains(e))||(this._viewRoot=t)},t.prototype.enableAriaDecal=function(){Fj(this)},t.type="series.sunburst",t.defaultOption={z:2,center:["50%","50%"],radius:[0,"75%"],clockwise:!0,startAngle:90,minAngle:0,stillShowZeroSum:!0,nodeClick:"rootToNode",renderLabelForZeroData:!1,label:{rotate:"radial",show:!0,opacity:1,align:"center",position:"inside",distance:5,silent:!0},itemStyle:{borderWidth:1,borderColor:"white",borderType:"solid",shadowBlur:0,shadowColor:"rgba(0, 0, 0, 0.2)",shadowOffsetX:0,shadowOffsetY:0,opacity:1},emphasis:{focus:"descendant"},blur:{itemStyle:{opacity:.2},label:{opacity:.1}},animationType:"expansion",animationDuration:1e3,animationDurationUpdate:500,data:[],sort:"desc"},t}(tm);var nJ=Math.PI/180;function rJ(e,t,n){t.eachSeriesByType(e,(function(e){var t=e.get("center"),r=e.get("radius");bt(r)||(r=[0,r]),bt(t)||(t=[t,t]);var i=n.getWidth(),o=n.getHeight(),a=Math.min(i,o),s=qa(t[0],i),l=qa(t[1],o),u=qa(r[0],a/2),c=qa(r[1],a/2),h=-e.get("startAngle")*nJ,d=e.get("minAngle")*nJ,p=e.getData().tree.root,f=e.getViewRoot(),g=f.depth,m=e.get("sort");null!=m&&iJ(f,m);var v=0;pt(f.children,(function(e){!isNaN(e.getValue())&&v++}));var y=f.getValue(),_=Math.PI/(y||v)*2,x=f.depth>0,b=f.height-(x?-1:1),w=(c-u)/(b||1),S=e.get("clockwise"),M=e.get("stillShowZeroSum"),T=S?1:-1,A=function(t,n){if(t){var r=n;if(t!==p){var i=t.getValue(),o=0===y&&M?_:i*_;o<d&&(o=d),r=n+T*o;var c=t.depth-g-(x?-1:1),h=u+w*c,f=u+w*(c+1),m=e.getLevelModel(t);if(m){var v=m.get("r0",!0),b=m.get("r",!0),I=m.get("radius",!0);null!=I&&(v=I[0],b=I[1]),null!=v&&(h=qa(v,a/2)),null!=b&&(f=qa(b,a/2))}t.setLayout({angle:o,startAngle:n,endAngle:r,clockwise:S,cx:s,cy:l,r0:h,r:f})}if(t.children&&t.children.length){var C=0;pt(t.children,(function(e){C+=A(e,n+C)}))}return r-n}};if(x){var I=u,C=u+w,D=2*Math.PI;p.setLayout({angle:D,startAngle:h,endAngle:h+D,clockwise:S,cx:s,cy:l,r0:I,r:C})}A(f,h)}))}function iJ(e,t){var n=e.children||[];e.children=function(e,t){if(wt(t)){var n=ft(e,(function(e,t){var n=e.getValue();return{params:{depth:e.depth,height:e.height,dataIndex:e.dataIndex,getValue:function(){return n}},index:t}}));return n.sort((function(e,n){return t(e.params,n.params)})),ft(n,(function(t){return e[t.index]}))}var r="asc"===t;return e.sort((function(e,t){var n=(e.getValue()-t.getValue())*(r?1:-1);return 0===n?(e.dataIndex-t.dataIndex)*(r?-1:1):n}))}(n,t),n.length&&pt(e.children,(function(e){iJ(e,t)}))}function oJ(e){var t={};e.eachSeriesByType("sunburst",(function(e){var n=e.getData(),r=n.tree;r.eachNode((function(i){var o=i.getModel().getModel("itemStyle").getItemStyle();o.fill||(o.fill=function(e,n,r){for(var i=e;i&&i.depth>1;)i=i.parentNode;var o=n.getColorFromPalette(i.name||i.dataIndex+"",t);return e.depth>1&&St(o)&&(o=Gi(o,(e.depth-1)/(r-1)*.5)),o}(i,e,r.root.height)),at(n.ensureUniqueItemVisual(i.dataIndex,"style"),o)}))}))}var aJ={color:"fill",borderColor:"stroke"},sJ={symbol:1,symbolSize:1,symbolKeepAspect:1,legendIcon:1,visualMeta:1,liftZ:1,decal:1},lJ=Ns();const uJ=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.optionUpdated=function(){this.currentZLevel=this.get("zlevel",!0),this.currentZ=this.get("z",!0)},t.prototype.getInitialData=function(e,t){return yw(null,this)},t.prototype.getDataParams=function(t,n,r){var i=e.prototype.getDataParams.call(this,t,n);return r&&(i.info=lJ(r).info),i},t.type="series.custom",t.dependencies=["grid","polar","geo","singleAxis","calendar"],t.defaultOption={coordinateSystem:"cartesian2d",z:2,legendHoverLink:!0,clip:!1},t}(tm);function cJ(e,t){return t=t||[0,0],ft(["x","y"],(function(n,r){var i=this.getAxis(n),o=t[r],a=e[r]/2;return"category"===i.type?i.getBandWidth():Math.abs(i.dataToCoord(o-a)-i.dataToCoord(o+a))}),this)}function hJ(e,t){return t=t||[0,0],ft([0,1],(function(n){var r=t[n],i=e[n]/2,o=[],a=[];return o[n]=r-i,a[n]=r+i,o[1-n]=a[1-n]=t[1-n],Math.abs(this.dataToPoint(o)[n]-this.dataToPoint(a)[n])}),this)}function dJ(e,t){var n=this.getAxis(),r=t instanceof Array?t[0]:t,i=(e instanceof Array?e[0]:e)/2;return"category"===n.type?n.getBandWidth():Math.abs(n.dataToCoord(r-i)-n.dataToCoord(r+i))}function pJ(e,t){return t=t||[0,0],ft(["Radius","Angle"],(function(n,r){var i=this["get"+n+"Axis"](),o=t[r],a=e[r]/2,s="category"===i.type?i.getBandWidth():Math.abs(i.dataToCoord(o-a)-i.dataToCoord(o+a));return"Angle"===n&&(s=s*Math.PI/180),s}),this)}function fJ(e,t,n,r){return e&&(e.legacy||!1!==e.legacy&&!n&&!r&&"tspan"!==t&&("text"===t||Kt(e,"text")))}function gJ(e,t,n){var r,i,o,a=e;if("text"===t)o=a;else{o={},Kt(a,"text")&&(o.text=a.text),Kt(a,"rich")&&(o.rich=a.rich),Kt(a,"textFill")&&(o.fill=a.textFill),Kt(a,"textStroke")&&(o.stroke=a.textStroke),Kt(a,"fontFamily")&&(o.fontFamily=a.fontFamily),Kt(a,"fontSize")&&(o.fontSize=a.fontSize),Kt(a,"fontStyle")&&(o.fontStyle=a.fontStyle),Kt(a,"fontWeight")&&(o.fontWeight=a.fontWeight),i={type:"text",style:o,silent:!0},r={};var s=Kt(a,"textPosition");n?r.position=s?a.textPosition:"inside":s&&(r.position=a.textPosition),Kt(a,"textPosition")&&(r.position=a.textPosition),Kt(a,"textOffset")&&(r.offset=a.textOffset),Kt(a,"textRotation")&&(r.rotation=a.textRotation),Kt(a,"textDistance")&&(r.distance=a.textDistance)}return mJ(o,e),pt(o.rich,(function(e){mJ(e,e)})),{textConfig:r,textContent:i}}function mJ(e,t){t&&(t.font=t.textFont||t.font,Kt(t,"textStrokeWidth")&&(e.lineWidth=t.textStrokeWidth),Kt(t,"textAlign")&&(e.align=t.textAlign),Kt(t,"textVerticalAlign")&&(e.verticalAlign=t.textVerticalAlign),Kt(t,"textLineHeight")&&(e.lineHeight=t.textLineHeight),Kt(t,"textWidth")&&(e.width=t.textWidth),Kt(t,"textHeight")&&(e.height=t.textHeight),Kt(t,"textBackgroundColor")&&(e.backgroundColor=t.textBackgroundColor),Kt(t,"textPadding")&&(e.padding=t.textPadding),Kt(t,"textBorderColor")&&(e.borderColor=t.textBorderColor),Kt(t,"textBorderWidth")&&(e.borderWidth=t.textBorderWidth),Kt(t,"textBorderRadius")&&(e.borderRadius=t.textBorderRadius),Kt(t,"textBoxShadowColor")&&(e.shadowColor=t.textBoxShadowColor),Kt(t,"textBoxShadowBlur")&&(e.shadowBlur=t.textBoxShadowBlur),Kt(t,"textBoxShadowOffsetX")&&(e.shadowOffsetX=t.textBoxShadowOffsetX),Kt(t,"textBoxShadowOffsetY")&&(e.shadowOffsetY=t.textBoxShadowOffsetY))}function vJ(e,t,n){var r=e;r.textPosition=r.textPosition||n.position||"inside",null!=n.offset&&(r.textOffset=n.offset),null!=n.rotation&&(r.textRotation=n.rotation),null!=n.distance&&(r.textDistance=n.distance);var i=r.textPosition.indexOf("inside")>=0,o=e.fill||"#000";yJ(r,t);var a=null==r.textFill;return i?a&&(r.textFill=n.insideFill||"#fff",!r.textStroke&&n.insideStroke&&(r.textStroke=n.insideStroke),!r.textStroke&&(r.textStroke=o),null==r.textStrokeWidth&&(r.textStrokeWidth=2)):(a&&(r.textFill=e.fill||n.outsideFill||"#000"),!r.textStroke&&n.outsideStroke&&(r.textStroke=n.outsideStroke)),r.text=t.text,r.rich=t.rich,pt(t.rich,(function(e){yJ(e,e)})),r}function yJ(e,t){t&&(Kt(t,"fill")&&(e.textFill=t.fill),Kt(t,"stroke")&&(e.textStroke=t.fill),Kt(t,"lineWidth")&&(e.textStrokeWidth=t.lineWidth),Kt(t,"font")&&(e.font=t.font),Kt(t,"fontStyle")&&(e.fontStyle=t.fontStyle),Kt(t,"fontWeight")&&(e.fontWeight=t.fontWeight),Kt(t,"fontSize")&&(e.fontSize=t.fontSize),Kt(t,"fontFamily")&&(e.fontFamily=t.fontFamily),Kt(t,"align")&&(e.textAlign=t.align),Kt(t,"verticalAlign")&&(e.textVerticalAlign=t.verticalAlign),Kt(t,"lineHeight")&&(e.textLineHeight=t.lineHeight),Kt(t,"width")&&(e.textWidth=t.width),Kt(t,"height")&&(e.textHeight=t.height),Kt(t,"backgroundColor")&&(e.textBackgroundColor=t.backgroundColor),Kt(t,"padding")&&(e.textPadding=t.padding),Kt(t,"borderColor")&&(e.textBorderColor=t.borderColor),Kt(t,"borderWidth")&&(e.textBorderWidth=t.borderWidth),Kt(t,"borderRadius")&&(e.textBorderRadius=t.borderRadius),Kt(t,"shadowColor")&&(e.textBoxShadowColor=t.shadowColor),Kt(t,"shadowBlur")&&(e.textBoxShadowBlur=t.shadowBlur),Kt(t,"shadowOffsetX")&&(e.textBoxShadowOffsetX=t.shadowOffsetX),Kt(t,"shadowOffsetY")&&(e.textBoxShadowOffsetY=t.shadowOffsetY),Kt(t,"textShadowColor")&&(e.textShadowColor=t.textShadowColor),Kt(t,"textShadowBlur")&&(e.textShadowBlur=t.textShadowBlur),Kt(t,"textShadowOffsetX")&&(e.textShadowOffsetX=t.textShadowOffsetX),Kt(t,"textShadowOffsetY")&&(e.textShadowOffsetY=t.textShadowOffsetY))}var _J={position:["x","y"],scale:["scaleX","scaleY"],origin:["originX","originY"]},xJ=yt(_J),bJ=(gt(ua,(function(e,t){return e[t]=1,e}),{}),ua.join(", "),["","style","shape","extra"]),wJ=Ns();function SJ(e,t,n,r,i){var o=e+"Animation",a=hh(e,r,i)||{},s=wJ(t).userDuring;return a.duration>0&&(a.during=s?_t(EJ,{el:t,userDuring:s}):null,a.setToFinal=!0,a.scope=e),at(a,n[o]),a}function MJ(e,t,n,r){var i=(r=r||{}).dataIndex,o=r.isInit,a=r.clearStyle,s=n.isAnimationEnabled(),l=wJ(e),u=t.style;l.userDuring=t.during;var c={},h={};if(function(e,t,n){for(var r=0;r<xJ.length;r++){var i=xJ[r],o=_J[i],a=t[i];a&&(n[o[0]]=a[0],n[o[1]]=a[1])}for(r=0;r<ua.length;r++){var s=ua[r];null!=t[s]&&(n[s]=t[s])}}(0,t,h),PJ("shape",t,h),PJ("extra",t,h),!o&&s&&(function(e,t,n){for(var r=t.transition,i=IJ(r)?ua:ws(r||[]),o=0;o<i.length;o++){var a=i[o];if("style"!==a&&"shape"!==a&&"extra"!==a){var s=e[a];n[a]=s}}}(e,t,c),LJ("shape",e,t,c),LJ("extra",e,t,c),function(e,t,n,r){if(n){var i,o=e.style;if(o){var a=n.transition,s=t.transition;if(a&&!IJ(a)){var l=ws(a);!i&&(i=r.style={});for(var u=0;u<l.length;u++){var c=o[f=l[u]];i[f]=c}}else if(e.getAnimationStyleProps&&(IJ(s)||IJ(a)||ut(s,"style")>=0)){var h=e.getAnimationStyleProps(),d=h?h.style:null;if(d){!i&&(i=r.style={});var p=yt(n);for(u=0;u<p.length;u++){var f;d[f=p[u]]&&(c=o[f],i[f]=c)}}}}}}(e,t,u,c)),h.style=u,function(e,t,n){var r=t.style;if(!e.isGroup&&r){if(n){e.useStyle({});for(var i=e.animators,o=0;o<i.length;o++){var a=i[o];"style"===a.targetName&&a.changeTarget(e.style)}}e.setStyle(r)}t&&(t.style=null,t&&e.attr(t),t.style=r)}(e,h,a),function(e,t){Kt(t,"silent")&&(e.silent=t.silent),Kt(t,"ignore")&&(e.ignore=t.ignore),e instanceof Cl&&Kt(t,"invisible")&&(e.invisible=t.invisible),e instanceof Eu&&Kt(t,"autoBatch")&&(e.autoBatch=t.autoBatch)}(e,t),s)if(o){var d={};pt(bJ,(function(e){var n=e?t[e]:t;n&&n.enterFrom&&(e&&(d[e]=d[e]||{}),at(e?d[e]:d,n.enterFrom))}));var p=SJ("enter",e,t,n,i);p.duration>0&&e.animateFrom(d,p)}else!function(e,t,n,r,i){if(i){var o=SJ("update",e,t,r,n);o.duration>0&&e.animateFrom(i,o)}}(e,t,i||0,n,c);TJ(e,t),u?e.dirty():e.markRedraw()}function TJ(e,t){for(var n=wJ(e).leaveToProps,r=0;r<bJ.length;r++){var i=bJ[r],o=i?t[i]:t;o&&o.leaveTo&&(n||(n=wJ(e).leaveToProps={}),i&&(n[i]=n[i]||{}),at(i?n[i]:n,o.leaveTo))}}function AJ(e,t,n,r){if(e){var i=e.parent,o=wJ(e).leaveToProps;if(o){var a=SJ("update",e,t,n,0);a.done=function(){i.remove(e),r&&r()},e.animateTo(o,a)}else i.remove(e),r&&r()}}function IJ(e){return"all"===e}var CJ={},DJ={setTransform:function(e,t){return CJ.el[e]=t,this},getTransform:function(e){return CJ.el[e]},setShape:function(e,t){var n=CJ.el;return(n.shape||(n.shape={}))[e]=t,n.dirtyShape&&n.dirtyShape(),this},getShape:function(e){var t=CJ.el.shape;if(t)return t[e]},setStyle:function(e,t){var n=CJ.el,r=n.style;return r&&(r[e]=t,n.dirtyStyle&&n.dirtyStyle()),this},getStyle:function(e){var t=CJ.el.style;if(t)return t[e]},setExtra:function(e,t){return(CJ.el.extra||(CJ.el.extra={}))[e]=t,this},getExtra:function(e){var t=CJ.el.extra;if(t)return t[e]}};function EJ(){var e=this,t=e.el;if(t){var n=wJ(t).userDuring,r=e.userDuring;n===r?(CJ.el=t,r(DJ)):e.el=e.userDuring=null}}function LJ(e,t,n,r){var i=n[e];if(i){var o,a=t[e];if(a){var s=n.transition,l=i.transition;if(l)if(!o&&(o=r[e]={}),IJ(l))at(o,a);else for(var u=ws(l),c=0;c<u.length;c++){var h=a[p=u[c]];o[p]=h}else if(IJ(s)||ut(s,e)>=0){!o&&(o=r[e]={});var d=yt(a);for(c=0;c<d.length;c++){var p;h=a[p=d[c]],OJ(i[p],h)&&(o[p]=h)}}}}}function PJ(e,t,n){var r=t[e];if(r)for(var i=n[e]={},o=yt(r),a=0;a<o.length;a++){var s=o[a];i[s]=Mo(r[s])}}function OJ(e,t){return dt(e)?e!==t:null!=e&&isFinite(e)}var NJ=Ns(),RJ=["percent","easing","shape","style","extra"];function kJ(e){e.stopAnimation("keyframe"),e.attr(NJ(e))}function BJ(e,t,n){if(n.isAnimationEnabled()&&t)if(bt(t))pt(t,(function(t){BJ(e,t,n)}));else{var r=t.keyframes,i=t.duration;if(n&&null==i){var o=hh("enter",n,0);i=o&&o.duration}if(r&&i){var a=NJ(e);pt(bJ,(function(n){var o;n&&!e[n]||(r.sort((function(e,t){return e.percent-t.percent})),pt(r,(function(r){var s=e.animators,l=n?r[n]:r;if(l){var u=yt(l);if(n||(u=mt(u,(function(e){return ut(RJ,e)<0}))),u.length){o||((o=e.animate(n,t.loop,!0)).scope="keyframe");for(var c=0;c<s.length;c++)s[c]!==o&&s[c].targetName===o.targetName&&s[c].stopTracks(u);n&&(a[n]=a[n]||{});var h=n?a[n]:a;pt(u,(function(t){h[t]=((n?e[n]:e)||{})[t]})),o.whenWithKeys(i*r.percent,l,u,r.easing)}}})),o&&o.delay(t.delay||0).duration(i).start(t.easing))}))}}}var FJ="emphasis",zJ="normal",VJ="blur",GJ="select",HJ=[zJ,FJ,VJ,GJ],UJ={normal:["itemStyle"],emphasis:[FJ,"itemStyle"],blur:[VJ,"itemStyle"],select:[GJ,"itemStyle"]},WJ={normal:["label"],emphasis:[FJ,"label"],blur:[VJ,"label"],select:[GJ,"label"]},jJ=["x","y"],XJ="e\0\0",YJ={normal:{},emphasis:{},blur:{},select:{}},ZJ={cartesian2d:function(e){var t=e.master.getRect();return{coordSys:{type:"cartesian2d",x:t.x,y:t.y,width:t.width,height:t.height},api:{coord:function(t){return e.dataToPoint(t)},size:_t(cJ,e)}}},geo:function(e){var t=e.getBoundingRect();return{coordSys:{type:"geo",x:t.x,y:t.y,width:t.width,height:t.height,zoom:e.getZoom()},api:{coord:function(t){return e.dataToPoint(t)},size:_t(hJ,e)}}},single:function(e){var t=e.getRect();return{coordSys:{type:"singleAxis",x:t.x,y:t.y,width:t.width,height:t.height},api:{coord:function(t){return e.dataToPoint(t)},size:_t(dJ,e)}}},polar:function(e){var t=e.getRadiusAxis(),n=e.getAngleAxis(),r=t.getExtent();return r[0]>r[1]&&r.reverse(),{coordSys:{type:"polar",cx:e.cx,cy:e.cy,r:r[1],r0:r[0]},api:{coord:function(r){var i=t.dataToRadius(r[0]),o=n.dataToAngle(r[1]),a=e.coordToPoint([i,o]);return a.push(i,o*Math.PI/180),a},size:_t(pJ,e)}}},calendar:function(e){var t=e.getRect(),n=e.getRangeInfo();return{coordSys:{type:"calendar",x:t.x,y:t.y,width:t.width,height:t.height,cellWidth:e.getCellWidth(),cellHeight:e.getCellHeight(),rangeInfo:{start:n.start,end:n.end,weeks:n.weeks,dayCount:n.allDay}},api:{coord:function(t,n){return e.dataToPoint(t,n)}}}}};function qJ(e){return e instanceof Eu}function $J(e){return e instanceof Cl}const KJ=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n,r){this._progressiveEls=null;var i=this._data,o=e.getData(),a=this.group,s=nQ(e,o,t,n);i||a.removeAll(),o.diff(i).add((function(t){iQ(n,null,t,s(t,r),e,a,o)})).remove((function(t){var n=i.getItemGraphicEl(t);n&&AJ(n,lJ(n).option,e)})).update((function(t,l){var u=i.getItemGraphicEl(l);iQ(n,u,t,s(t,r),e,a,o)})).execute();var l=e.get("clip",!0)?qV(e.coordinateSystem,!1,e):null;l?a.setClipPath(l):a.removeClipPath(),this._data=o},t.prototype.incrementalPrepareRender=function(e,t,n){this.group.removeAll(),this._data=null},t.prototype.incrementalRender=function(e,t,n,r,i){var o=t.getData(),a=nQ(t,o,n,r),s=this._progressiveEls=[];function l(e){e.isGroup||(e.incremental=!0,e.ensureState("emphasis").hoverLayer=!0)}for(var u=e.start;u<e.end;u++){var c=iQ(null,null,u,a(u,i),t,this.group,o);c&&(c.traverse(l),s.push(c))}},t.prototype.eachRendered=function(e){ay(this._progressiveEls||this.group,e)},t.prototype.filterForExposedEvent=function(e,t,n,r){var i=t.element;if(null==i||n.name===i)return!0;for(;(n=n.__hostTarget||n.parent)&&n!==this.group;)if(n.name===i)return!0;return!1},t.type="custom",t}(gy);function JJ(e){var t,n=e.type;if("path"===n){var r=e.shape,i=null!=r.width&&null!=r.height?{x:r.x||0,y:r.y||0,width:r.width,height:r.height}:null,o=fQ(r);t=zv(o,null,i,r.layout||"center"),lJ(t).customPathData=o}else if("image"===n)t=new Bu({}),lJ(t).customImagePath=e.style.image;else if("text"===n)t=new sc({});else if("group"===n)t=new Oa;else{if("compoundPath"===n)throw new Error('"compoundPath" is not supported yet.');var a=Fv(n);a||qf(""),t=new a}return lJ(t).customGraphicType=n,t.name=e.name,t.z2EmphasisLift=1,t.z2SelectLift=1,t}function QJ(e,t,n,r,i,o,a){kJ(t);var s=i&&i.normal.cfg;s&&t.setTextConfig(s),r&&null==r.transition&&(r.transition=jJ);var l=r&&r.style;if(l){if("text"===t.type){var u=l;Kt(u,"textFill")&&(u.fill=u.textFill),Kt(u,"textStroke")&&(u.stroke=u.textStroke)}var c=void 0,h=qJ(t)?l.decal:null;e&&h&&(h.dirty=!0,c=nx(h,e)),l.__decalPattern=c}$J(t)&&l&&(c=l.__decalPattern)&&(l.decal=c),MJ(t,r,o,{dataIndex:n,isInit:a,clearStyle:!0}),BJ(t,r.keyframeAnimation,o)}function eQ(e,t,n,r,i){var o=t.isGroup?null:t,a=i&&i[e].cfg;if(o){var s=o.ensureState(e);if(!1===r){var l=o.getState(e);l&&(l.style=null)}else s.style=r||null;a&&(s.textConfig=a),Fc(o)}}function tQ(e,t,n){var r=n===zJ,i=r?t:lQ(t,n),o=i?i.z2:null;null!=o&&((r?e:e.ensureState(n)).z2=o||0)}function nQ(e,t,n,r){var i=e.get("renderItem"),o=e.coordinateSystem,a={};o&&(a=o.prepareCustoms?o.prepareCustoms(o):ZJ[o.type](o));for(var s,l,u=st({getWidth:r.getWidth,getHeight:r.getHeight,getZr:r.getZr,getDevicePixelRatio:r.getDevicePixelRatio,value:function(e,n){return null==n&&(n=s),t.getStore().get(t.getDimensionIndex(e||0),n)},style:function(n,r){null==r&&(r=s);var i=t.getItemVisual(r,"style"),o=i&&i.fill,a=i&&i.opacity,l=y(r,zJ).getItemStyle();null!=o&&(l.fill=o),null!=a&&(l.opacity=a);var u={inheritColor:St(o)?o:"#000"},c=_(r,zJ),h=Th(c,null,u,!1,!0);h.text=c.getShallow("show")?Rt(e.getFormattedLabel(r,zJ),IV(t,r)):null;var d=Ah(c,u,!1);return b(n,l),l=vJ(l,h,d),n&&x(l,n),l.legacy=!0,l},ordinalRawValue:function(e,n){null==n&&(n=s),e=e||0;var r=t.getDimensionInfo(e);if(!r){var i=t.getDimensionIndex(e);return i>=0?t.getStore().get(i,n):void 0}var o=t.get(r.name,n),a=r&&r.ordinalMeta;return a?a.categories[o]:o},styleEmphasis:function(n,r){null==r&&(r=s);var i=y(r,FJ).getItemStyle(),o=_(r,FJ),a=Th(o,null,null,!0,!0);a.text=o.getShallow("show")?kt(e.getFormattedLabel(r,FJ),e.getFormattedLabel(r,zJ),IV(t,r)):null;var l=Ah(o,null,!0);return b(n,i),i=vJ(i,a,l),n&&x(i,n),i.legacy=!0,i},visual:function(e,n){if(null==n&&(n=s),Kt(aJ,e)){var r=t.getItemVisual(n,"style");return r?r[aJ[e]]:null}if(Kt(sJ,e))return t.getItemVisual(n,e)},barLayout:function(e){if("cartesian2d"===o.type)return function(e){var t=[],n=e.axis,r="axis0";if("category"===n.type){for(var i=n.getBandWidth(),o=0;o<e.count;o++)t.push(st({bandWidth:i,axisKey:r,stackId:zw+o},e));var a=Ww(t),s=[];for(o=0;o<e.count;o++){var l=a[r][zw+o];l.offsetCenter=l.offset+l.width/2,s.push(l)}return s}}(st({axis:o.getBaseAxis()},e))},currentSeriesIndices:function(){return n.getCurrentSeriesIndices()},font:function(e){return Lh(e,n)}},a.api||{}),c={context:{},seriesId:e.id,seriesName:e.name,seriesIndex:e.seriesIndex,coordSys:a.coordSys,dataInsideLength:t.count(),encode:rQ(e.getData())},h={},d={},p={},f={},g=0;g<HJ.length;g++){var m=HJ[g];p[m]=e.getModel(UJ[m]),f[m]=e.getModel(WJ[m])}function v(e){return e===s?l||(l=t.getItemModel(e)):t.getItemModel(e)}function y(e,n){return t.hasItemOption?e===s?h[n]||(h[n]=v(e).getModel(UJ[n])):v(e).getModel(UJ[n]):p[n]}function _(e,n){return t.hasItemOption?e===s?d[n]||(d[n]=v(e).getModel(WJ[n])):v(e).getModel(WJ[n]):f[n]}return function(e,n){return s=e,l=null,h={},d={},i&&i(st({dataIndexInside:e,dataIndex:t.getRawIndex(e),actionType:n?n.type:null},c),u)};function x(e,t){for(var n in t)Kt(t,n)&&(e[n]=t[n])}function b(e,t){e&&(e.textFill&&(t.textFill=e.textFill),e.textPosition&&(t.textPosition=e.textPosition))}}function rQ(e){var t={};return pt(e.dimensions,(function(n){var r=e.getDimensionInfo(n);if(!r.isExtraCoord){var i=r.coordDim;(t[i]=t[i]||[])[r.coordDimIndex]=e.getDimensionIndex(n)}})),t}function iQ(e,t,n,r,i,o,a){if(r){var s=oQ(e,t,n,r,i,o);return s&&a.setItemGraphicEl(n,s),s&&th(s,r.focus,r.blurScope,r.emphasisDisabled),s}o.remove(t)}function oQ(e,t,n,r,i,o){var a=-1,s=t;t&&aQ(t,r,i)&&(a=ut(o.childrenRef(),t),t=null);var l,u,c=!t,h=t;h?h.clearStates():(h=JJ(r),s&&(l=s,(u=h).copyTransform(l),$J(u)&&$J(l)&&(u.setStyle(l.style),u.z=l.z,u.z2=l.z2,u.zlevel=l.zlevel,u.invisible=l.invisible,u.ignore=l.ignore,qJ(u)&&qJ(l)&&u.setShape(l.shape)))),!1===r.morph?h.disableMorphing=!0:h.disableMorphing&&(h.disableMorphing=!1),YJ.normal.cfg=YJ.normal.conOpt=YJ.emphasis.cfg=YJ.emphasis.conOpt=YJ.blur.cfg=YJ.blur.conOpt=YJ.select.cfg=YJ.select.conOpt=null,YJ.isLegacy=!1,function(e,t,n,r,i,o){if(!e.isGroup){sQ(n,null,o),sQ(n,FJ,o);var a=o.normal.conOpt,s=o.emphasis.conOpt,l=o.blur.conOpt,u=o.select.conOpt;if(null!=a||null!=s||null!=u||null!=l){var c=e.getTextContent();if(!1===a)c&&e.removeTextContent();else{a=o.normal.conOpt=a||{type:"text"},c?c.clearStates():(c=JJ(a),e.setTextContent(c)),QJ(null,c,t,a,null,r,i);for(var h=a&&a.style,d=0;d<HJ.length;d++){var p=HJ[d];if(p!==zJ)eQ(p,c,0,uQ(a,o[p].conOpt,p),null)}h?c.dirty():c.markRedraw()}}}}(h,n,r,i,c,YJ),function(e,t,n,r,i){var o=n.clipPath;if(!1===o)e&&e.getClipPath()&&e.removeClipPath();else if(o){var a=e.getClipPath();a&&aQ(a,o,r)&&(a=null),a||(a=JJ(o),e.setClipPath(a)),QJ(null,a,t,o,null,r,i)}}(h,n,r,i,c),QJ(e,h,n,r,YJ,i,c),Kt(r,"info")&&(lJ(h).info=r.info);for(var d=0;d<HJ.length;d++){var p=HJ[d];if(p!==zJ)eQ(p,h,0,uQ(r,lQ(r,p),p),YJ)}return function(e,t,n){if(!e.isGroup){var r=e,i=n.currentZ,o=n.currentZLevel;r.z=i,r.zlevel=o;var a=t.z2;null!=a&&(r.z2=a||0);for(var s=0;s<HJ.length;s++)tQ(r,t,HJ[s])}}(h,r,i),"group"===r.type&&function(e,t,n,r,i){var o=r.children,a=o?o.length:0,s=r.$mergeChildren,l="byName"===s||r.diffChildrenByName,u=!1===s;if(a||l||u){if(l)return c={api:e,oldChildren:t.children()||[],newChildren:o||[],dataIndex:n,seriesModel:i,group:t},void new Bb(c.oldChildren,c.newChildren,hQ,hQ,c).add(dQ).update(dQ).remove(pQ).execute();var c;u&&t.removeAll();for(var h=0;h<a;h++){var d=o[h],p=t.childAt(h);d?(null==d.ignore&&(d.ignore=!1),oQ(e,p,n,d,i,t)):p.ignore=!0}for(var f=t.childCount()-1;f>=h;f--){var g=t.childAt(f);cQ(t,g,i)}}}(e,h,n,r,i),a>=0?o.replaceAt(h,a):o.add(h),h}function aQ(e,t,n){var r,i=lJ(e),o=t.type,a=t.shape,s=t.style;return n.isUniversalTransitionEnabled()||null!=o&&o!==i.customGraphicType||"path"===o&&(r=a)&&(Kt(r,"pathData")||Kt(r,"d"))&&fQ(a)!==i.customPathData||"image"===o&&Kt(s,"image")&&s.image!==i.customImagePath}function sQ(e,t,n){var r=t?lQ(e,t):e,i=t?uQ(e,r,FJ):e.style,o=e.type,a=r?r.textConfig:null,s=e.textContent,l=s?t?lQ(s,t):s:null;if(i&&(n.isLegacy||fJ(i,o,!!a,!!l))){n.isLegacy=!0;var u=gJ(i,o,!t);!a&&u.textConfig&&(a=u.textConfig),!l&&u.textContent&&(l=u.textContent)}if(!t&&l){var c=l;!c.type&&(c.type="text")}var h=t?n[t]:n.normal;h.cfg=a,h.conOpt=l}function lQ(e,t){return t?e?e[t]:null:e}function uQ(e,t,n){var r=t&&t.style;return null==r&&n===FJ&&e&&(r=e.styleEmphasis),r}function cQ(e,t,n){t&&AJ(t,lJ(e).option,n)}function hQ(e,t){var n=e&&e.name;return null!=n?n:XJ+t}function dQ(e,t){var n=this.context,r=null!=e?n.newChildren[e]:null,i=null!=t?n.oldChildren[t]:null;oQ(n.api,i,n.dataIndex,r,n.seriesModel,n.group)}function pQ(e){var t=this.context,n=t.oldChildren[e];n&&AJ(n,lJ(n).option,t.seriesModel)}function fQ(e){return e&&(e.pathData||e.d)}var gQ=Ns(),mQ=rt,vQ=_t,yQ=function(){function e(){this._dragging=!1,this.animationThreshold=15}return e.prototype.render=function(e,t,n,r){var i=t.get("value"),o=t.get("status");if(this._axisModel=e,this._axisPointerModel=t,this._api=n,r||this._lastValue!==i||this._lastStatus!==o){this._lastValue=i,this._lastStatus=o;var a=this._group,s=this._handle;if(!o||"hide"===o)return a&&a.hide(),void(s&&s.hide());a&&a.show(),s&&s.show();var l={};this.makeElOption(l,i,e,t,n);var u=l.graphicKey;u!==this._lastGraphicKey&&this.clear(n),this._lastGraphicKey=u;var c=this._moveAnimation=this.determineAnimation(e,t);if(a){var h=xt(_Q,t,c);this.updatePointerEl(a,l,h),this.updateLabelEl(a,l,h,t)}else a=this._group=new Oa,this.createPointerEl(a,l,e,t),this.createLabelEl(a,l,e,t),n.getZr().add(a);SQ(a,t,!0),this._renderHandle(i)}},e.prototype.remove=function(e){this.clear(e)},e.prototype.dispose=function(e){this.clear(e)},e.prototype.determineAnimation=function(e,t){var n=t.get("animation"),r=e.axis,i="category"===r.type,o=t.get("snap");if(!o&&!i)return!1;if("auto"===n||null==n){var a=this.animationThreshold;if(i&&r.getBandWidth()>a)return!0;if(o){var s=UH(e).seriesDataCount,l=r.getExtent();return Math.abs(l[0]-l[1])/s>a}return!1}return!0===n},e.prototype.makeElOption=function(e,t,n,r,i){},e.prototype.createPointerEl=function(e,t,n,r){var i=t.pointer;if(i){var a=gQ(e).pointerEl=new o[i.type](mQ(t.pointer));e.add(a)}},e.prototype.createLabelEl=function(e,t,n,r){if(t.label){var i=gQ(e).labelEl=new sc(mQ(t.label));e.add(i),bQ(i,r)}},e.prototype.updatePointerEl=function(e,t,n){var r=gQ(e).pointerEl;r&&t.pointer&&(r.setStyle(t.pointer.style),n(r,{shape:t.pointer.shape}))},e.prototype.updateLabelEl=function(e,t,n,r){var i=gQ(e).labelEl;i&&(i.setStyle(t.label.style),n(i,{x:t.label.x,y:t.label.y}),bQ(i,r))},e.prototype._renderHandle=function(e){if(!this._dragging&&this.updateHandleTransform){var t,n=this._axisPointerModel,r=this._api.getZr(),i=this._handle,o=n.getModel("handle"),a=n.get("status");if(!o.get("show")||!a||"hide"===a)return i&&r.remove(i),void(this._handle=null);this._handle||(t=!0,i=this._handle=ey(o.get("icon"),{cursor:"move",draggable:!0,onmousemove:function(e){Kn(e.event)},onmousedown:vQ(this._onHandleDragMove,this,0,0),drift:vQ(this._onHandleDragMove,this),ondragend:vQ(this._onHandleDragEnd,this)}),r.add(i)),SQ(i,n,!1),i.setStyle(o.getItemStyle(null,["color","borderColor","borderWidth","opacity","shadowColor","shadowBlur","shadowOffsetX","shadowOffsetY"]));var s=o.get("size");bt(s)||(s=[s,s]),i.scaleX=s[0]/2,i.scaleY=s[1]/2,xy(this,"_doDispatchAxisPointer",o.get("throttle")||0,"fixRate"),this._moveHandleToValue(e,t)}},e.prototype._moveHandleToValue=function(e,t){_Q(this._axisPointerModel,!t&&this._moveAnimation,this._handle,wQ(this.getHandleTransform(e,this._axisModel,this._axisPointerModel)))},e.prototype._onHandleDragMove=function(e,t){var n=this._handle;if(n){this._dragging=!0;var r=this.updateHandleTransform(wQ(n),[e,t],this._axisModel,this._axisPointerModel);this._payloadInfo=r,n.stopAnimation(),n.attr(wQ(r)),gQ(n).lastProp=null,this._doDispatchAxisPointer()}},e.prototype._doDispatchAxisPointer=function(){if(this._handle){var e=this._payloadInfo,t=this._axisModel;this._api.dispatchAction({type:"updateAxisPointer",x:e.cursorPoint[0],y:e.cursorPoint[1],tooltipOption:e.tooltipOption,axesInfo:[{axisDim:t.axis.dim,axisIndex:t.componentIndex}]})}},e.prototype._onHandleDragEnd=function(){if(this._dragging=!1,this._handle){var e=this._axisPointerModel.get("value");this._moveHandleToValue(e),this._api.dispatchAction({type:"hideTip"})}},e.prototype.clear=function(e){this._lastValue=null,this._lastStatus=null;var t=e.getZr(),n=this._group,r=this._handle;t&&n&&(this._lastGraphicKey=null,n&&t.remove(n),r&&t.remove(r),this._group=null,this._handle=null,this._payloadInfo=null),by(this,"_doDispatchAxisPointer")},e.prototype.doClear=function(){},e.prototype.buildLabel=function(e,t,n){return{x:e[n=n||0],y:e[1-n],width:t[n],height:t[1-n]}},e}();function _Q(e,t,n,r){xQ(gQ(n).lastProp,r)||(gQ(n).lastProp=r,t?ph(n,r,e):(n.stopAnimation(),n.attr(r)))}function xQ(e,t){if(At(e)&&At(t)){var n=!0;return pt(t,(function(t,r){n=n&&xQ(e[r],t)})),!!n}return e===t}function bQ(e,t){e[t.get(["label","show"])?"show":"hide"]()}function wQ(e){return{x:e.x||0,y:e.y||0,rotation:e.rotation||0}}function SQ(e,t,n){var r=t.get("z"),i=t.get("zlevel");e&&e.traverse((function(e){"group"!==e.type&&(null!=r&&(e.z=r),null!=i&&(e.zlevel=i),e.silent=n)}))}const MQ=yQ;function TQ(e){var t,n=e.get("type"),r=e.getModel(n+"Style");return"line"===n?(t=r.getLineStyle()).fill=null:"shadow"===n&&((t=r.getAreaStyle()).stroke=null),t}function AQ(e,t,n,r,i){var o=IQ(n.get("value"),t.axis,t.ecModel,n.get("seriesDataIndices"),{precision:n.get(["label","precision"]),formatter:n.get(["label","formatter"])}),a=n.getModel("label"),s=Fd(a.get("padding")||0),l=a.getFont(),u=ga(o,l),c=i.position,h=u.width+s[1]+s[3],d=u.height+s[0]+s[2],p=i.align;"right"===p&&(c[0]-=h),"center"===p&&(c[0]-=h/2);var f=i.verticalAlign;"bottom"===f&&(c[1]-=d),"middle"===f&&(c[1]-=d/2),function(e,t,n,r){var i=r.getWidth(),o=r.getHeight();e[0]=Math.min(e[0]+t,i)-t,e[1]=Math.min(e[1]+n,o)-n,e[0]=Math.max(e[0],0),e[1]=Math.max(e[1],0)}(c,h,d,r);var g=a.get("backgroundColor");g&&"auto"!==g||(g=t.get(["axisLine","lineStyle","color"])),e.label={x:c[0],y:c[1],style:Th(a,{text:o,font:l,fill:a.getTextColor(),padding:s,backgroundColor:g}),z2:10}}function IQ(e,t,n,r,i){e=t.scale.parse(e);var o=t.scale.getLabel({value:e},{precision:i.precision}),a=i.formatter;if(a){var s={value:MS(t,{value:e}),axisDimension:t.dim,axisIndex:t.index,seriesData:[]};pt(r,(function(e){var t=n.getSeriesByIndex(e.seriesIndex),r=e.dataIndexInside,i=t&&t.getDataParams(r);i&&s.seriesData.push(i)})),St(a)?o=a.replace("{value}",o):wt(a)&&(o=a(s))}return o}function CQ(e,t,n){var r=[1,0,0,1,0,0];return sr(r,r,n.rotation),ar(r,r,n.position),Zv([e.dataToCoord(t),(n.labelOffset||0)+(n.labelDirection||1)*(n.labelMargin||0)],r)}function DQ(e,t,n,r,i,o){var a=GH.innerTextLayout(n.rotation,0,n.labelDirection);n.labelMargin=i.get(["label","margin"]),AQ(t,r,i,o,{position:CQ(r.axis,e,n),align:a.textAlign,verticalAlign:a.textVerticalAlign})}function EQ(e,t,n){return{x1:e[n=n||0],y1:e[1-n],x2:t[n],y2:t[1-n]}}function LQ(e,t,n){return{x:e[n=n||0],y:e[1-n],width:t[n],height:t[1-n]}}function PQ(e,t,n,r,i,o){return{cx:e,cy:t,r0:n,r,startAngle:i,endAngle:o,clockwise:!0}}var OQ=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.makeElOption=function(e,t,n,r,i){var o=n.axis,a=o.grid,s=r.get("type"),l=NQ(a,o).getOtherAxis(o).getGlobalExtent(),u=o.toGlobalCoord(o.dataToCoord(t,!0));if(s&&"none"!==s){var c=TQ(r),h=RQ[s](o,u,l);h.style=c,e.graphicKey=h.type,e.pointer=h}DQ(t,e,MH(a.model,n),n,r,i)},t.prototype.getHandleTransform=function(e,t,n){var r=MH(t.axis.grid.model,t,{labelInside:!1});r.labelMargin=n.get(["handle","margin"]);var i=CQ(t.axis,e,r);return{x:i[0],y:i[1],rotation:r.rotation+(r.labelDirection<0?Math.PI:0)}},t.prototype.updateHandleTransform=function(e,t,n,r){var i=n.axis,o=i.grid,a=i.getGlobalExtent(!0),s=NQ(o,i).getOtherAxis(i).getGlobalExtent(),l="x"===i.dim?0:1,u=[e.x,e.y];u[l]+=t[l],u[l]=Math.min(a[1],u[l]),u[l]=Math.max(a[0],u[l]);var c=(s[1]+s[0])/2,h=[c,c];return h[l]=u[l],{x:u[0],y:u[1],rotation:e.rotation,cursorPoint:h,tooltipOption:[{verticalAlign:"middle"},{align:"center"}][l]}},t}(MQ);function NQ(e,t){var n={};return n[t.dim+"AxisIndex"]=t.index,e.getCartesian(n)}var RQ={line:function(e,t,n){return{type:"Line",subPixelOptimize:!0,shape:EQ([t,n[0]],[t,n[1]],kQ(e))}},shadow:function(e,t,n){var r=Math.max(1,e.getBandWidth()),i=n[1]-n[0];return{type:"Rect",shape:LQ([t-r/2,n[0]],[r,i],kQ(e))}}};function kQ(e){return"x"===e.dim?0:1}const BQ=OQ,FQ=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="axisPointer",t.defaultOption={show:"auto",z:50,type:"line",snap:!1,triggerTooltip:!0,triggerEmphasis:!0,value:null,status:null,link:[],animation:null,animationDurationUpdate:200,lineStyle:{color:"#B9BEC9",width:1,type:"dashed"},shadowStyle:{color:"rgba(210,219,238,0.2)"},label:{show:!0,formatter:null,precision:"auto",margin:3,color:"#fff",padding:[5,7,5,7],backgroundColor:"auto",borderColor:null,borderWidth:0,borderRadius:3},handle:{show:!1,icon:"M10.7,11.9v-1.3H9.3v1.3c-4.9,0.3-8.8,4.4-8.8,9.4c0,5,3.9,9.1,8.8,9.4h1.3c4.9-0.3,8.8-4.4,8.8-9.4C19.5,16.3,15.6,12.2,10.7,11.9z M13.3,24.4H6.7v-1.2h6.6z M13.3,22H6.7v-1.2h6.6z M13.3,19.6H6.7v-1.2h6.6z",size:45,margin:50,color:"#333",shadowBlur:3,shadowColor:"#aaa",shadowOffsetX:0,shadowOffsetY:2,throttle:40}},t}(sp);var zQ=Ns(),VQ=pt;function GQ(e,t,n){if(!Ne.node){var r=t.getZr();zQ(r).records||(zQ(r).records={}),function(e,t){function n(n,r){e.on(n,(function(n){var i=function(e){var t={showTip:[],hideTip:[]},n=function(r){var i=t[r.type];i?i.push(r):(r.dispatchAction=n,e.dispatchAction(r))};return{dispatchAction:n,pendings:t}}(t);VQ(zQ(e).records,(function(e){e&&r(e,n,i.dispatchAction)})),function(e,t){var n,r=e.showTip.length,i=e.hideTip.length;r?n=e.showTip[r-1]:i&&(n=e.hideTip[i-1]),n&&(n.dispatchAction=null,t.dispatchAction(n))}(i.pendings,t)}))}zQ(e).initialized||(zQ(e).initialized=!0,n("click",xt(UQ,"click")),n("mousemove",xt(UQ,"mousemove")),n("globalout",HQ))}(r,t),(zQ(r).records[e]||(zQ(r).records[e]={})).handler=n}}function HQ(e,t,n){e.handler("leave",null,n)}function UQ(e,t,n,r){t.handler(e,n,r)}function WQ(e,t){if(!Ne.node){var n=t.getZr();(zQ(n).records||{})[e]&&(zQ(n).records[e]=null)}}var jQ=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){var r=t.getComponent("tooltip"),i=e.get("triggerOn")||r&&r.get("triggerOn")||"mousemove|click";GQ("axisPointer",n,(function(e,t,n){"none"!==i&&("leave"===e||i.indexOf(e)>=0)&&n({type:"updateAxisPointer",currTrigger:e,x:t&&t.offsetX,y:t&&t.offsetY})}))},t.prototype.remove=function(e,t){WQ("axisPointer",t)},t.prototype.dispose=function(e,t){WQ("axisPointer",t)},t.type="axisPointer",t}(rm);const XQ=jQ;function YQ(e,t){var n,r=[],i=e.seriesIndex;if(null==i||!(n=t.getSeriesByIndex(i)))return{point:[]};var o=n.getData(),a=Os(o,e);if(null==a||a<0||bt(a))return{point:[]};var s=o.getItemGraphicEl(a),l=n.coordinateSystem;if(n.getTooltipPosition)r=n.getTooltipPosition(a)||[];else if(l&&l.dataToPoint)if(e.isStacked){var u=l.getBaseAxis(),c=l.getOtherAxis(u).dim,h=u.dim,d="x"===c||"radius"===c?1:0,p=o.mapDimension(h),f=[];f[d]=o.get(p,a),f[1-d]=o.get(o.getCalculationInfo("stackResultDimension"),a),r=l.dataToPoint(f)||[]}else r=l.dataToPoint(o.getValues(ft(l.dimensions,(function(e){return o.mapDimension(e)})),a))||[];else if(s){var g=s.getBoundingRect().clone();g.applyTransform(s.transform),r=[g.x+g.width/2,g.y+g.height/2]}return{point:r,el:s}}var ZQ=Ns();function qQ(e,t,n){var r=e.currTrigger,i=[e.x,e.y],o=e,a=e.dispatchAction||_t(n.dispatchAction,n),s=t.getComponent("axisPointer").coordSysAxesInfo;if(s){e1(i)&&(i=YQ({seriesIndex:o.seriesIndex,dataIndex:o.dataIndex},t).point);var l=e1(i),u=o.axesInfo,c=s.axesInfo,h="leave"===r||e1(i),d={},p={},f={list:[],map:{}},g={showPointer:xt(KQ,p),showTooltip:xt(JQ,f)};pt(s.coordSysMap,(function(e,t){var n=l||e.containPoint(i);pt(s.coordSysAxesInfo[t],(function(e,t){var r=e.axis,o=function(e,t){for(var n=0;n<(e||[]).length;n++){var r=e[n];if(t.axis.dim===r.axisDim&&t.axis.model.componentIndex===r.axisIndex)return r}}(u,e);if(!h&&n&&(!u||o)){var a=o&&o.value;null!=a||l||(a=r.pointToData(i)),null!=a&&$Q(e,a,g,!1,d)}}))}));var m={};return pt(c,(function(e,t){var n=e.linkGroup;n&&!p[t]&&pt(n.axesInfo,(function(t,r){var i=p[r];if(t!==e&&i){var o=i.value;n.mapper&&(o=e.axis.scale.parse(n.mapper(o,QQ(t),QQ(e)))),m[e.key]=o}}))})),pt(m,(function(e,t){$Q(c[t],e,g,!0,d)})),function(e,t,n){var r=n.axesInfo=[];pt(t,(function(t,n){var i=t.axisPointerModel.option,o=e[n];o?(!t.useHandle&&(i.status="show"),i.value=o.value,i.seriesDataIndices=(o.payloadBatch||[]).slice()):!t.useHandle&&(i.status="hide"),"show"===i.status&&r.push({axisDim:t.axis.dim,axisIndex:t.axis.model.componentIndex,value:i.value})}))}(p,c,d),function(e,t,n,r){if(!e1(t)&&e.list.length){var i=((e.list[0].dataByAxis[0]||{}).seriesDataIndices||[])[0]||{};r({type:"showTip",escapeConnect:!0,x:t[0],y:t[1],tooltipOption:n.tooltipOption,position:n.position,dataIndexInside:i.dataIndexInside,dataIndex:i.dataIndex,seriesIndex:i.seriesIndex,dataByCoordSys:e.list})}else r({type:"hideTip"})}(f,i,e,a),function(e,t,n){var r=n.getZr(),i="axisPointerLastHighlights",o=ZQ(r)[i]||{},a=ZQ(r)[i]={};pt(e,(function(e,t){var n=e.axisPointerModel.option;"show"===n.status&&e.triggerEmphasis&&pt(n.seriesDataIndices,(function(e){var t=e.seriesIndex+" | "+e.dataIndex;a[t]=e}))}));var s=[],l=[];pt(o,(function(e,t){!a[t]&&l.push(e)})),pt(a,(function(e,t){!o[t]&&s.push(e)})),l.length&&n.dispatchAction({type:"downplay",escapeConnect:!0,notBlur:!0,batch:l}),s.length&&n.dispatchAction({type:"highlight",escapeConnect:!0,notBlur:!0,batch:s})}(c,0,n),d}}function $Q(e,t,n,r,i){var o=e.axis;if(!o.scale.isBlank()&&o.containData(t))if(e.involveSeries){var a=function(e,t){var n=t.axis,r=n.dim,i=e,o=[],a=Number.MAX_VALUE,s=-1;return pt(t.seriesModels,(function(t,l){var u,c,h=t.getData().mapDimensionsAll(r);if(t.getAxisTooltipData){var d=t.getAxisTooltipData(h,e,n);c=d.dataIndices,u=d.nestestValue}else{if(!(c=t.getData().indicesOfNearest(h[0],e,"category"===n.type?.5:null)).length)return;u=t.getData().get(h[0],c[0])}if(null!=u&&isFinite(u)){var p=e-u,f=Math.abs(p);f<=a&&((f<a||p>=0&&s<0)&&(a=f,s=p,i=u,o.length=0),pt(c,(function(e){o.push({seriesIndex:t.seriesIndex,dataIndexInside:e,dataIndex:t.getData().getRawIndex(e)})})))}})),{payloadBatch:o,snapToValue:i}}(t,e),s=a.payloadBatch,l=a.snapToValue;s[0]&&null==i.seriesIndex&&at(i,s[0]),!r&&e.snap&&o.containData(l)&&null!=l&&(t=l),n.showPointer(e,t,s),n.showTooltip(e,a,l)}else n.showPointer(e,t)}function KQ(e,t,n,r){e[t.key]={value:n,payloadBatch:r}}function JQ(e,t,n,r){var i=n.payloadBatch,o=t.axis,a=o.model,s=t.axisPointerModel;if(t.triggerTooltip&&i.length){var l=t.coordSys.model,u=jH(l),c=e.map[u];c||(c=e.map[u]={coordSysId:l.id,coordSysIndex:l.componentIndex,coordSysType:l.type,coordSysMainType:l.mainType,dataByAxis:[]},e.list.push(c)),c.dataByAxis.push({axisDim:o.dim,axisIndex:a.componentIndex,axisType:a.type,axisId:a.id,value:r,valueLabelOpt:{precision:s.get(["label","precision"]),formatter:s.get(["label","formatter"])},seriesDataIndices:i.slice()})}}function QQ(e){var t=e.axis.model,n={},r=n.axisDim=e.axis.dim;return n.axisIndex=n[r+"AxisIndex"]=t.componentIndex,n.axisName=n[r+"AxisName"]=t.name,n.axisId=n[r+"AxisId"]=t.id,n}function e1(e){return!e||null==e[0]||isNaN(e[0])||null==e[1]||isNaN(e[1])}function t1(e){ZH.registerAxisPointerClass("CartesianAxisPointer",BQ),e.registerComponentModel(FQ),e.registerComponentView(XQ),e.registerPreprocessor((function(e){if(e){(!e.axisPointer||0===e.axisPointer.length)&&(e.axisPointer={});var t=e.axisPointer.link;t&&!bt(t)&&(e.axisPointer.link=[t])}})),e.registerProcessor(e.PRIORITY.PROCESSOR.STATISTIC,(function(e,t){e.getComponent("axisPointer").coordSysAxesInfo=function(e,t){var n={axesInfo:{},seriesInvolved:!1,coordSysAxesInfo:{},coordSysMap:{}};return function(e,t,n){var r=t.getComponent("tooltip"),i=t.getComponent("axisPointer"),o=i.get("link",!0)||[],a=[];pt(n.getCoordinateSystems(),(function(n){if(n.axisPointerEnabled){var s=jH(n.model),l=e.coordSysAxesInfo[s]={};e.coordSysMap[s]=n;var u=n.model.getModel("tooltip",r);if(pt(n.getAxes(),xt(p,!1,null)),n.getTooltipAxes&&r&&u.get("show")){var c="axis"===u.get("trigger"),h="cross"===u.get(["axisPointer","type"]),d=n.getTooltipAxes(u.get(["axisPointer","axis"]));(c||h)&&pt(d.baseAxes,xt(p,!h||"cross",c)),h&&pt(d.otherAxes,xt(p,"cross",!1))}}function p(r,s,c){var h=c.model.getModel("axisPointer",i),d=h.get("show");if(d&&("auto"!==d||r||WH(h))){null==s&&(s=h.get("triggerTooltip")),h=r?function(e,t,n,r,i,o){var a=t.getModel("axisPointer"),s={};pt(["type","snap","lineStyle","shadowStyle","label","animation","animationDurationUpdate","animationEasingUpdate","z"],(function(e){s[e]=rt(a.get(e))})),s.snap="category"!==e.type&&!!o,"cross"===a.get("type")&&(s.type="line");var l=s.label||(s.label={});if(null==l.show&&(l.show=!1),"cross"===i){var u=a.get(["label","show"]);if(l.show=null==u||u,!o){var c=s.lineStyle=a.get("crossStyle");c&&st(l,c.textStyle)}}return e.model.getModel("axisPointer",new qh(s,n,r))}(c,u,i,t,r,s):h;var p=h.get("snap"),f=h.get("triggerEmphasis"),g=jH(c.model),m=s||p||"category"===c.type,v=e.axesInfo[g]={key:g,axis:c,coordSys:n,axisPointerModel:h,triggerTooltip:s,triggerEmphasis:f,involveSeries:m,snap:p,useHandle:WH(h),seriesModels:[],linkGroup:null};l[g]=v,e.seriesInvolved=e.seriesInvolved||m;var y=function(e,t){for(var n=t.model,r=t.dim,i=0;i<e.length;i++){var o=e[i]||{};if(HH(o[r+"AxisId"],n.id)||HH(o[r+"AxisIndex"],n.componentIndex)||HH(o[r+"AxisName"],n.name))return i}}(o,c);if(null!=y){var _=a[y]||(a[y]={axesInfo:{}});_.axesInfo[g]=v,_.mapper=o[y].mapper,v.linkGroup=_}}}}))}(n,e,t),n.seriesInvolved&&function(e,t){t.eachSeries((function(t){var n=t.coordinateSystem,r=t.get(["tooltip","trigger"],!0),i=t.get(["tooltip","show"],!0);n&&"none"!==r&&!1!==r&&"item"!==r&&!1!==i&&!1!==t.get(["axisPointer","show"],!0)&&pt(e.coordSysAxesInfo[jH(n.model)],(function(e){var r=e.axis;n.getAxis(r.dim)===r&&(e.seriesModels.push(t),null==e.seriesDataCount&&(e.seriesDataCount=0),e.seriesDataCount+=t.getData().count())}))}))}(n,e),n}(e,t)})),e.registerAction({type:"updateAxisPointer",event:"updateAxisPointer",update:":updateAxisPointer"},qQ)}var n1=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.makeElOption=function(e,t,n,r,i){var o=n.axis;"angle"===o.dim&&(this.animationThreshold=Math.PI/18);var a=o.polar,s=a.getOtherAxis(o).getExtent(),l=o.dataToCoord(t),u=r.get("type");if(u&&"none"!==u){var c=TQ(r),h=r1[u](o,a,l,s);h.style=c,e.graphicKey=h.type,e.pointer=h}var d=function(e,t,n,r,i){var o=t.axis,a=o.dataToCoord(e),s=r.getAngleAxis().getExtent()[0];s=s/180*Math.PI;var l,u,c,h=r.getRadiusAxis().getExtent();if("radius"===o.dim){var d=[1,0,0,1,0,0];sr(d,d,s),ar(d,d,[r.cx,r.cy]),l=Zv([a,-i],d);var p=t.getModel("axisLabel").get("rotate")||0,f=GH.innerTextLayout(s,p*Math.PI/180,-1);u=f.textAlign,c=f.textVerticalAlign}else{var g=h[1];l=r.coordToPoint([g+i,a]);var m=r.cx,v=r.cy;u=Math.abs(l[0]-m)/g<.3?"center":l[0]>m?"left":"right",c=Math.abs(l[1]-v)/g<.3?"middle":l[1]>v?"top":"bottom"}return{position:l,align:u,verticalAlign:c}}(t,n,0,a,r.get(["label","margin"]));AQ(e,n,r,i,d)},t}(MQ),r1={line:function(e,t,n,r){return"angle"===e.dim?{type:"Line",shape:EQ(t.coordToPoint([r[0],n]),t.coordToPoint([r[1],n]))}:{type:"Circle",shape:{cx:t.cx,cy:t.cy,r:n}}},shadow:function(e,t,n,r){var i=Math.max(1,e.getBandWidth()),o=Math.PI/180;return"angle"===e.dim?{type:"Sector",shape:PQ(t.cx,t.cy,r[0],r[1],(-n-i/2)*o,(i/2-n)*o)}:{type:"Sector",shape:PQ(t.cx,t.cy,n-i/2,n+i/2,0,2*Math.PI)}}};const i1=n1,o1=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.findAxisModel=function(e){var t;return this.ecModel.eachComponent(e,(function(e){e.getCoordSysModel()===this&&(t=e)}),this),t},t.type="polar",t.dependencies=["radiusAxis","angleAxis"],t.defaultOption={z:0,center:["50%","50%"],radius:"80%"},t}(sp);var a1=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.getCoordSysModel=function(){return this.getReferringComponents("polar",Fs).models[0]},t.type="polarAxis",t}(sp);ht(a1,DS);var s1=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="angleAxis",t}(a1),l1=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="radiusAxis",t}(a1),u1=function(e){function t(t,n){return e.call(this,"radius",t,n)||this}return Le(t,e),t.prototype.pointToData=function(e,t){return this.polar.pointToData(e,t)["radius"===this.dim?0:1]},t}(uM);u1.prototype.dataToRadius=uM.prototype.dataToCoord,u1.prototype.radiusToData=uM.prototype.coordToData;const c1=u1;var h1=Ns(),d1=function(e){function t(t,n){return e.call(this,"angle",t,n||[0,360])||this}return Le(t,e),t.prototype.pointToData=function(e,t){return this.polar.pointToData(e,t)["radius"===this.dim?0:1]},t.prototype.calculateCategoryInterval=function(){var e=this,t=e.getLabelModel(),n=e.scale,r=n.getExtent(),i=n.count();if(r[1]-r[0]<1)return 0;var o=r[0],a=e.dataToCoord(o+1)-e.dataToCoord(o),s=Math.abs(a),l=ga(null==o?"":o+"",t.getFont(),"center","top"),u=Math.max(l.height,7)/s;isNaN(u)&&(u=1/0);var c=Math.max(0,Math.floor(u)),h=h1(e.model),d=h.lastAutoInterval,p=h.lastTickCount;return null!=d&&null!=p&&Math.abs(d-c)<=1&&Math.abs(p-i)<=1&&d>c?c=d:(h.lastTickCount=i,h.lastAutoInterval=c),c},t}(uM);d1.prototype.dataToAngle=uM.prototype.dataToCoord,d1.prototype.angleToData=uM.prototype.coordToData;const p1=d1;var f1=["radius","angle"],g1=function(){function e(e){this.dimensions=f1,this.type="polar",this.cx=0,this.cy=0,this._radiusAxis=new c1,this._angleAxis=new p1,this.axisPointerEnabled=!0,this.name=e||"",this._radiusAxis.polar=this._angleAxis.polar=this}return e.prototype.containPoint=function(e){var t=this.pointToCoord(e);return this._radiusAxis.contain(t[0])&&this._angleAxis.contain(t[1])},e.prototype.containData=function(e){return this._radiusAxis.containData(e[0])&&this._angleAxis.containData(e[1])},e.prototype.getAxis=function(e){return this["_"+e+"Axis"]},e.prototype.getAxes=function(){return[this._radiusAxis,this._angleAxis]},e.prototype.getAxesByScale=function(e){var t=[],n=this._angleAxis,r=this._radiusAxis;return n.scale.type===e&&t.push(n),r.scale.type===e&&t.push(r),t},e.prototype.getAngleAxis=function(){return this._angleAxis},e.prototype.getRadiusAxis=function(){return this._radiusAxis},e.prototype.getOtherAxis=function(e){var t=this._angleAxis;return e===t?this._radiusAxis:t},e.prototype.getBaseAxis=function(){return this.getAxesByScale("ordinal")[0]||this.getAxesByScale("time")[0]||this.getAngleAxis()},e.prototype.getTooltipAxes=function(e){var t=null!=e&&"auto"!==e?this.getAxis(e):this.getBaseAxis();return{baseAxes:[t],otherAxes:[this.getOtherAxis(t)]}},e.prototype.dataToPoint=function(e,t){return this.coordToPoint([this._radiusAxis.dataToRadius(e[0],t),this._angleAxis.dataToAngle(e[1],t)])},e.prototype.pointToData=function(e,t){var n=this.pointToCoord(e);return[this._radiusAxis.radiusToData(n[0],t),this._angleAxis.angleToData(n[1],t)]},e.prototype.pointToCoord=function(e){var t=e[0]-this.cx,n=e[1]-this.cy,r=this.getAngleAxis(),i=r.getExtent(),o=Math.min(i[0],i[1]),a=Math.max(i[0],i[1]);r.inverse?o=a-360:a=o+360;var s=Math.sqrt(t*t+n*n);t/=s,n/=s;for(var l=Math.atan2(-n,t)/Math.PI*180,u=l<o?1:-1;l<o||l>a;)l+=360*u;return[s,l]},e.prototype.coordToPoint=function(e){var t=e[0],n=e[1]/180*Math.PI;return[Math.cos(n)*t+this.cx,-Math.sin(n)*t+this.cy]},e.prototype.getArea=function(){var e=this.getAngleAxis(),t=this.getRadiusAxis().getExtent().slice();t[0]>t[1]&&t.reverse();var n=e.getExtent(),r=Math.PI/180;return{cx:this.cx,cy:this.cy,r0:t[0],r:t[1],startAngle:-n[0]*r,endAngle:-n[1]*r,clockwise:e.inverse,contain:function(e,t){var n=e-this.cx,r=t-this.cy,i=n*n+r*r-1e-4,o=this.r,a=this.r0;return i<=o*o&&i>=a*a}}},e.prototype.convertToPixel=function(e,t,n){return m1(t)===this?this.dataToPoint(n):null},e.prototype.convertFromPixel=function(e,t,n){return m1(t)===this?this.pointToData(n):null},e}();function m1(e){var t=e.seriesModel,n=e.polarModel;return n&&n.coordinateSystem||t&&t.coordinateSystem}const v1=g1;function y1(e,t){var n=this,r=n.getAngleAxis(),i=n.getRadiusAxis();if(r.scale.setExtent(1/0,-1/0),i.scale.setExtent(1/0,-1/0),e.eachSeries((function(e){if(e.coordinateSystem===n){var t=e.getData();pt(CS(t,"radius"),(function(e){i.scale.unionExtentFromData(t,e)})),pt(CS(t,"angle"),(function(e){r.scale.unionExtentFromData(t,e)}))}})),bS(r.scale,r.model),bS(i.scale,i.model),"category"===r.type&&!r.onBand){var o=r.getExtent(),a=360/r.scale.count();r.inverse?o[1]+=a:o[1]-=a,r.setExtent(o[0],o[1])}}function _1(e,t){var n;if(e.type=t.get("type"),e.scale=wS(t),e.onBand=t.get("boundaryGap")&&"category"===e.type,e.inverse=t.get("inverse"),function(e){return"angleAxis"===e.mainType}(t)){e.inverse=e.inverse!==t.get("clockwise");var r=t.get("startAngle"),i=null!==(n=t.get("endAngle"))&&void 0!==n?n:r+(e.inverse?-360:360);e.setExtent(r,i)}t.axis=e,e.model=t}const x1={dimensions:f1,create:function(e,t){var n=[];return e.eachComponent("polar",(function(e,r){var i=new v1(r+"");i.update=y1;var o=i.getRadiusAxis(),a=i.getAngleAxis(),s=e.findAxisModel("radiusAxis"),l=e.findAxisModel("angleAxis");_1(o,s),_1(a,l),function(e,t,n){var r=t.get("center"),i=n.getWidth(),o=n.getHeight();e.cx=qa(r[0],i),e.cy=qa(r[1],o);var a=e.getRadiusAxis(),s=Math.min(i,o)/2,l=t.get("radius");null==l?l=[0,"100%"]:bt(l)||(l=[0,l]);var u=[qa(l[0],s),qa(l[1],s)];a.inverse?a.setExtent(u[1],u[0]):a.setExtent(u[0],u[1])}(i,e,t),n.push(i),e.coordinateSystem=i,i.model=e})),e.eachSeries((function(e){if("polar"===e.get("coordinateSystem")){var t=e.getReferringComponents("polar",Fs).models[0];e.coordinateSystem=t.coordinateSystem}})),n}};var b1=["axisLine","axisLabel","axisTick","minorTick","splitLine","minorSplitLine","splitArea"];function w1(e,t,n){t[1]>t[0]&&(t=t.slice().reverse());var r=e.coordToPoint([t[0],n]),i=e.coordToPoint([t[1],n]);return{x1:r[0],y1:r[1],x2:i[0],y2:i[1]}}function S1(e){return e.getRadiusAxis().inverse?0:1}function M1(e){var t=e[0],n=e[e.length-1];t&&n&&Math.abs(Math.abs(t.coord-n.coord)-360)<1e-4&&e.pop()}var T1=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.axisPointerClass="PolarAxisPointer",n}return Le(t,e),t.prototype.render=function(e,t){if(this.group.removeAll(),e.get("show")){var n=e.axis,r=n.polar,i=r.getRadiusAxis().getExtent(),o=n.getTicksCoords(),a=n.getMinorTicksCoords(),s=ft(n.getViewLabels(),(function(e){e=rt(e);var t=n.scale,r="ordinal"===t.type?t.getRawOrdinalNumber(e.tickValue):e.tickValue;return e.coord=n.dataToCoord(r),e}));M1(s),M1(o),pt(b1,(function(t){!e.get([t,"show"])||n.scale.isBlank()&&"axisLine"!==t||A1[t](this.group,e,r,o,a,i,s)}),this)}},t.type="angleAxis",t}(ZH),A1={axisLine:function(e,t,n,r,i,a){var s,l=t.getModel(["axisLine","lineStyle"]),u=n.getAngleAxis(),c=Math.PI/180,h=u.getExtent(),d=S1(n),p=d?0:1,f=360===Math.abs(h[1]-h[0])?"Circle":"Arc";(s=0===a[p]?new o[f]({shape:{cx:n.cx,cy:n.cy,r:a[d],startAngle:-h[0]*c,endAngle:-h[1]*c,clockwise:u.inverse},style:l.getLineStyle(),z2:1,silent:!0}):new Zm({shape:{cx:n.cx,cy:n.cy,r:a[d],r0:a[p]},style:l.getLineStyle(),z2:1,silent:!0})).style.fill=null,e.add(s)},axisTick:function(e,t,n,r,i,o){var a=t.getModel("axisTick"),s=(a.get("inside")?-1:1)*a.get("length"),l=o[S1(n)],u=ft(r,(function(e){return new ov({shape:w1(n,[l,l+s],e.coord)})}));e.add(Hv(u,{style:st(a.getModel("lineStyle").getLineStyle(),{stroke:t.get(["axisLine","lineStyle","color"])})}))},minorTick:function(e,t,n,r,i,o){if(i.length){for(var a=t.getModel("axisTick"),s=t.getModel("minorTick"),l=(a.get("inside")?-1:1)*s.get("length"),u=o[S1(n)],c=[],h=0;h<i.length;h++)for(var d=0;d<i[h].length;d++)c.push(new ov({shape:w1(n,[u,u+l],i[h][d].coord)}));e.add(Hv(c,{style:st(s.getModel("lineStyle").getLineStyle(),st(a.getLineStyle(),{stroke:t.get(["axisLine","lineStyle","color"])}))}))}},axisLabel:function(e,t,n,r,i,o,a){var s=t.getCategories(!0),l=t.getModel("axisLabel"),u=l.get("margin"),c=t.get("triggerEvent");pt(a,(function(r,i){var a=l,h=r.tickValue,d=o[S1(n)],p=n.coordToPoint([d+u,r.coord]),f=n.cx,g=n.cy,m=Math.abs(p[0]-f)/d<.3?"center":p[0]>f?"left":"right",v=Math.abs(p[1]-g)/d<.3?"middle":p[1]>g?"top":"bottom";if(s&&s[h]){var y=s[h];At(y)&&y.textStyle&&(a=new qh(y.textStyle,l,l.ecModel))}var _=new sc({silent:GH.isLabelSilent(t),style:Th(a,{x:p[0],y:p[1],fill:a.getTextColor()||t.get(["axisLine","lineStyle","color"]),text:r.formattedLabel,align:m,verticalAlign:v})});if(e.add(_),c){var x=GH.makeAxisEventDataBase(t);x.targetType="axisLabel",x.value=r.rawLabel,lc(_).eventData=x}}),this)},splitLine:function(e,t,n,r,i,o){var a=t.getModel("splitLine").getModel("lineStyle"),s=a.get("color"),l=0;s=s instanceof Array?s:[s];for(var u=[],c=0;c<r.length;c++){var h=l++%s.length;u[h]=u[h]||[],u[h].push(new ov({shape:w1(n,o,r[c].coord)}))}for(c=0;c<u.length;c++)e.add(Hv(u[c],{style:st({stroke:s[c%s.length]},a.getLineStyle()),silent:!0,z:t.get("z")}))},minorSplitLine:function(e,t,n,r,i,o){if(i.length){for(var a=t.getModel("minorSplitLine").getModel("lineStyle"),s=[],l=0;l<i.length;l++)for(var u=0;u<i[l].length;u++)s.push(new ov({shape:w1(n,o,i[l][u].coord)}));e.add(Hv(s,{style:a.getLineStyle(),silent:!0,z:t.get("z")}))}},splitArea:function(e,t,n,r,i,o){if(r.length){var a=t.getModel("splitArea").getModel("areaStyle"),s=a.get("color"),l=0;s=s instanceof Array?s:[s];for(var u=[],c=Math.PI/180,h=-r[0].coord*c,d=Math.min(o[0],o[1]),p=Math.max(o[0],o[1]),f=t.get("clockwise"),g=1,m=r.length;g<=m;g++){var v=g===m?r[0].coord:r[g].coord,y=l++%s.length;u[y]=u[y]||[],u[y].push(new jm({shape:{cx:n.cx,cy:n.cy,r0:d,r:p,startAngle:h,endAngle:-v*c,clockwise:f},silent:!0})),h=-v*c}for(g=0;g<u.length;g++)e.add(Hv(u[g],{style:st({fill:s[g%s.length]},a.getAreaStyle()),silent:!0}))}}};const I1=T1;var C1=["axisLine","axisTickLabel","axisName"],D1=["splitLine","splitArea","minorSplitLine"],E1=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.axisPointerClass="PolarAxisPointer",n}return Le(t,e),t.prototype.render=function(e,t){if(this.group.removeAll(),e.get("show")){var n=this._axisGroup,r=this._axisGroup=new Oa;this.group.add(r);var i=e.axis,o=i.polar,a=o.getAngleAxis(),s=i.getTicksCoords(),l=i.getMinorTicksCoords(),u=a.getExtent()[0],c=i.getExtent(),h=function(e,t,n){return{position:[e.cx,e.cy],rotation:n/180*Math.PI,labelDirection:-1,tickDirection:-1,nameDirection:1,labelRotate:t.getModel("axisLabel").get("rotate"),z2:1}}(o,e,u),d=new GH(e,h);pt(C1,d.add,d),r.add(d.getGroup()),Kv(n,r,e),pt(D1,(function(t){e.get([t,"show"])&&!i.scale.isBlank()&&L1[t](this.group,e,o,u,c,s,l)}),this)}},t.type="radiusAxis",t}(ZH),L1={splitLine:function(e,t,n,r,i,a){var s=t.getModel("splitLine").getModel("lineStyle"),l=s.get("color"),u=0,c=n.getAngleAxis(),h=Math.PI/180,d=c.getExtent(),p=360===Math.abs(d[1]-d[0])?"Circle":"Arc";l=l instanceof Array?l:[l];for(var f=[],g=0;g<a.length;g++){var m=u++%l.length;f[m]=f[m]||[],f[m].push(new o[p]({shape:{cx:n.cx,cy:n.cy,r:Math.max(a[g].coord,0),startAngle:-d[0]*h,endAngle:-d[1]*h,clockwise:c.inverse}}))}for(g=0;g<f.length;g++)e.add(Hv(f[g],{style:st({stroke:l[g%l.length],fill:null},s.getLineStyle()),silent:!0}))},minorSplitLine:function(e,t,n,r,i,o,a){if(a.length){for(var s=t.getModel("minorSplitLine").getModel("lineStyle"),l=[],u=0;u<a.length;u++)for(var c=0;c<a[u].length;c++)l.push(new Im({shape:{cx:n.cx,cy:n.cy,r:a[u][c].coord}}));e.add(Hv(l,{style:st({fill:null},s.getLineStyle()),silent:!0}))}},splitArea:function(e,t,n,r,i,o){if(o.length){var a=t.getModel("splitArea").getModel("areaStyle"),s=a.get("color"),l=0;s=s instanceof Array?s:[s];for(var u=[],c=o[0].coord,h=1;h<o.length;h++){var d=l++%s.length;u[d]=u[d]||[],u[d].push(new jm({shape:{cx:n.cx,cy:n.cy,r0:c,r:o[h].coord,startAngle:0,endAngle:2*Math.PI},silent:!0})),c=o[h].coord}for(h=0;h<u.length;h++)e.add(Hv(u[h],{style:st({fill:s[h%s.length]},a.getAreaStyle()),silent:!0}))}}};const P1=E1;function O1(e){return e.get("stack")||"__ec_stack_"+e.seriesIndex}function N1(e,t){return t.dim+e.model.componentIndex}const R1=function(e,t,n){var r={},i=function(e){var t={};pt(e,(function(e,n){var r=e.getData(),i=e.coordinateSystem,o=i.getBaseAxis(),a=N1(i,o),s=o.getExtent(),l="category"===o.type?o.getBandWidth():Math.abs(s[1]-s[0])/r.count(),u=t[a]||{bandWidth:l,remainedWidth:l,autoWidthCount:0,categoryGap:"20%",gap:"30%",stacks:{}},c=u.stacks;t[a]=u;var h=O1(e);c[h]||u.autoWidthCount++,c[h]=c[h]||{width:0,maxWidth:0};var d=qa(e.get("barWidth"),l),p=qa(e.get("barMaxWidth"),l),f=e.get("barGap"),g=e.get("barCategoryGap");d&&!c[h].width&&(d=Math.min(u.remainedWidth,d),c[h].width=d,u.remainedWidth-=d),p&&(c[h].maxWidth=p),null!=f&&(u.gap=f),null!=g&&(u.categoryGap=g)}));var n={};return pt(t,(function(e,t){n[t]={};var r=e.stacks,i=e.bandWidth,o=qa(e.categoryGap,i),a=qa(e.gap,1),s=e.remainedWidth,l=e.autoWidthCount,u=(s-o)/(l+(l-1)*a);u=Math.max(u,0),pt(r,(function(e,t){var n=e.maxWidth;n&&n<u&&(n=Math.min(n,s),e.width&&(n=Math.min(n,e.width)),s-=n,e.width=n,l--)})),u=(s-o)/(l+(l-1)*a),u=Math.max(u,0);var c,h=0;pt(r,(function(e,t){e.width||(e.width=u),c=e,h+=e.width*(1+a)})),c&&(h-=c.width*a);var d=-h/2;pt(r,(function(e,r){n[t][r]=n[t][r]||{offset:d,width:e.width},d+=e.width*(1+a)}))})),n}(mt(t.getSeriesByType(e),(function(e){return!t.isSeriesFiltered(e)&&e.coordinateSystem&&"polar"===e.coordinateSystem.type})));t.eachSeriesByType(e,(function(e){if("polar"===e.coordinateSystem.type){var t=e.getData(),n=e.coordinateSystem,o=n.getBaseAxis(),a=N1(n,o),s=O1(e),l=i[a][s],u=l.offset,c=l.width,h=n.getOtherAxis(o),d=e.coordinateSystem.cx,p=e.coordinateSystem.cy,f=e.get("barMinHeight")||0,g=e.get("barMinAngle")||0;r[s]=r[s]||[];for(var m=t.mapDimension(h.dim),v=t.mapDimension(o.dim),y=mw(t,m),_="radius"!==o.dim||!e.get("roundCap",!0),x=h.dataToCoord(0),b=0,w=t.count();b<w;b++){var S=t.get(m,b),M=t.get(v,b),T=S>=0?"p":"n",A=x;y&&(r[s][M]||(r[s][M]={p:x,n:x}),A=r[s][M][T]);var I=void 0,C=void 0,D=void 0,E=void 0;if("radius"===h.dim){var L=h.dataToCoord(S)-x,P=o.dataToCoord(M);Math.abs(L)<f&&(L=(L<0?-1:1)*f),I=A,C=A+L,E=(D=P-u)-c,y&&(r[s][M][T]=C)}else{var O=h.dataToCoord(S,_)-x,N=o.dataToCoord(M);Math.abs(O)<g&&(O=(O<0?-1:1)*g),C=(I=N+u)+c,D=A,E=A+O,y&&(r[s][M][T]=E)}t.setItemLayout(b,{cx:d,cy:p,r0:I,r:C,startAngle:-D*Math.PI/180,endAngle:-E*Math.PI/180,clockwise:D>=E})}}}))};var k1={startAngle:90,clockwise:!0,splitNumber:12,axisLabel:{rotate:0}},B1={splitNumber:5},F1=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="polar",t}(rm);function z1(e,t){t=t||{};var n=e.coordinateSystem,r=e.axis,i={},o=r.position,a=r.orient,s=n.getRect(),l=[s.x,s.x+s.width,s.y,s.y+s.height],u={horizontal:{top:l[2],bottom:l[3]},vertical:{left:l[0],right:l[1]}};i.position=["vertical"===a?u.vertical[o]:l[0],"horizontal"===a?u.horizontal[o]:l[3]],i.rotation=Math.PI/2*{horizontal:0,vertical:1}[a],i.labelDirection=i.tickDirection=i.nameDirection={top:-1,bottom:1,right:1,left:-1}[o],e.get(["axisTick","inside"])&&(i.tickDirection=-i.tickDirection),Nt(t.labelInside,e.get(["axisLabel","inside"]))&&(i.labelDirection=-i.labelDirection);var c=t.rotate;return null==c&&(c=e.get(["axisLabel","rotate"])),i.labelRotation="top"===o?-c:c,i.z2=1,i}var V1=["axisLine","axisTickLabel","axisName"],G1=["splitArea","splitLine"],H1=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.axisPointerClass="SingleAxisPointer",n}return Le(t,e),t.prototype.render=function(t,n,r,i){var o=this.group;o.removeAll();var a=this._axisGroup;this._axisGroup=new Oa;var s=z1(t),l=new GH(t,s);pt(V1,l.add,l),o.add(this._axisGroup),o.add(l.getGroup()),pt(G1,(function(e){t.get([e,"show"])&&U1[e](this,this.group,this._axisGroup,t)}),this),Kv(a,this._axisGroup,t),e.prototype.render.call(this,t,n,r,i)},t.prototype.remove=function(){KH(this)},t.type="singleAxis",t}(ZH),U1={splitLine:function(e,t,n,r){var i=r.axis;if(!i.scale.isBlank()){var o=r.getModel("splitLine"),a=o.getModel("lineStyle"),s=a.get("color");s=s instanceof Array?s:[s];for(var l=a.get("width"),u=r.coordinateSystem.getRect(),c=i.isHorizontal(),h=[],d=0,p=i.getTicksCoords({tickModel:o}),f=[],g=[],m=0;m<p.length;++m){var v=i.toGlobalCoord(p[m].coord);c?(f[0]=v,f[1]=u.y,g[0]=v,g[1]=u.y+u.height):(f[0]=u.x,f[1]=v,g[0]=u.x+u.width,g[1]=v);var y=new ov({shape:{x1:f[0],y1:f[1],x2:g[0],y2:g[1]},silent:!0});Wv(y.shape,l);var _=d++%s.length;h[_]=h[_]||[],h[_].push(y)}var x=a.getLineStyle(["color"]);for(m=0;m<h.length;++m)t.add(Hv(h[m],{style:st({stroke:s[m%s.length]},x),silent:!0}))}},splitArea:function(e,t,n,r){$H(e,n,r,r)}};const W1=H1;var j1=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.getCoordSysModel=function(){return this},t.type="singleAxis",t.layoutMode="box",t.defaultOption={left:"5%",top:"5%",right:"5%",bottom:"5%",type:"value",position:"bottom",orient:"horizontal",axisLine:{show:!0,lineStyle:{width:1,type:"solid"}},tooltip:{show:!0},axisTick:{show:!0,length:6,lineStyle:{width:1}},axisLabel:{show:!0,interval:"auto"},splitLine:{show:!0,lineStyle:{type:"dashed",opacity:.2}}},t}(sp);ht(j1,DS.prototype);const X1=j1;var Y1=function(e){function t(t,n,r,i,o){var a=e.call(this,t,n,r)||this;return a.type=i||"value",a.position=o||"bottom",a}return Le(t,e),t.prototype.isHorizontal=function(){var e=this.position;return"top"===e||"bottom"===e},t.prototype.pointToData=function(e,t){return this.coordinateSystem.pointToData(e)[0]},t}(uM);const Z1=Y1;var q1=["single"],$1=function(){function e(e,t,n){this.type="single",this.dimension="single",this.dimensions=q1,this.axisPointerEnabled=!0,this.model=e,this._init(e,t,n)}return e.prototype._init=function(e,t,n){var r=this.dimension,i=new Z1(r,wS(e),[0,0],e.get("type"),e.get("position")),o="category"===i.type;i.onBand=o&&e.get("boundaryGap"),i.inverse=e.get("inverse"),i.orient=e.get("orient"),e.axis=i,i.model=e,i.coordinateSystem=this,this._axis=i},e.prototype.update=function(e,t){e.eachSeries((function(e){if(e.coordinateSystem===this){var t=e.getData();pt(t.mapDimensionsAll(this.dimension),(function(e){this._axis.scale.unionExtentFromData(t,e)}),this),bS(this._axis.scale,this._axis.model)}}),this)},e.prototype.resize=function(e,t){this._rect=Qd({left:e.get("left"),top:e.get("top"),right:e.get("right"),bottom:e.get("bottom"),width:e.get("width"),height:e.get("height")},{width:t.getWidth(),height:t.getHeight()}),this._adjustAxis()},e.prototype.getRect=function(){return this._rect},e.prototype._adjustAxis=function(){var e=this._rect,t=this._axis,n=t.isHorizontal(),r=n?[0,e.width]:[0,e.height],i=t.inverse?1:0;t.setExtent(r[i],r[1-i]),this._updateAxisTransform(t,n?e.x:e.y)},e.prototype._updateAxisTransform=function(e,t){var n=e.getExtent(),r=n[0]+n[1],i=e.isHorizontal();e.toGlobalCoord=i?function(e){return e+t}:function(e){return r-e+t},e.toLocalCoord=i?function(e){return e-t}:function(e){return r-e+t}},e.prototype.getAxis=function(){return this._axis},e.prototype.getBaseAxis=function(){return this._axis},e.prototype.getAxes=function(){return[this._axis]},e.prototype.getTooltipAxes=function(){return{baseAxes:[this.getAxis()],otherAxes:[]}},e.prototype.containPoint=function(e){var t=this.getRect(),n=this.getAxis();return"horizontal"===n.orient?n.contain(n.toLocalCoord(e[0]))&&e[1]>=t.y&&e[1]<=t.y+t.height:n.contain(n.toLocalCoord(e[1]))&&e[0]>=t.y&&e[0]<=t.y+t.height},e.prototype.pointToData=function(e){var t=this.getAxis();return[t.coordToData(t.toLocalCoord(e["horizontal"===t.orient?0:1]))]},e.prototype.dataToPoint=function(e){var t=this.getAxis(),n=this.getRect(),r=[],i="horizontal"===t.orient?0:1;return e instanceof Array&&(e=e[0]),r[i]=t.toGlobalCoord(t.dataToCoord(+e)),r[1-i]=0===i?n.y+n.height/2:n.x+n.width/2,r},e.prototype.convertToPixel=function(e,t,n){return K1(t)===this?this.dataToPoint(n):null},e.prototype.convertFromPixel=function(e,t,n){return K1(t)===this?this.pointToData(n):null},e}();function K1(e){var t=e.seriesModel,n=e.singleAxisModel;return n&&n.coordinateSystem||t&&t.coordinateSystem}const J1=$1,Q1={create:function(e,t){var n=[];return e.eachComponent("singleAxis",(function(r,i){var o=new J1(r,e,t);o.name="single_"+i,o.resize(r,t),r.coordinateSystem=o,n.push(o)})),e.eachSeries((function(e){if("singleAxis"===e.get("coordinateSystem")){var t=e.getReferringComponents("singleAxis",Fs).models[0];e.coordinateSystem=t&&t.coordinateSystem}})),n},dimensions:q1};var e0=["x","y"],t0=["width","height"],n0=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.makeElOption=function(e,t,n,r,i){var o=n.axis,a=o.coordinateSystem,s=o0(a,1-i0(o)),l=a.dataToPoint(t)[0],u=r.get("type");if(u&&"none"!==u){var c=TQ(r),h=r0[u](o,l,s);h.style=c,e.graphicKey=h.type,e.pointer=h}DQ(t,e,z1(n),n,r,i)},t.prototype.getHandleTransform=function(e,t,n){var r=z1(t,{labelInside:!1});r.labelMargin=n.get(["handle","margin"]);var i=CQ(t.axis,e,r);return{x:i[0],y:i[1],rotation:r.rotation+(r.labelDirection<0?Math.PI:0)}},t.prototype.updateHandleTransform=function(e,t,n,r){var i=n.axis,o=i.coordinateSystem,a=i0(i),s=o0(o,a),l=[e.x,e.y];l[a]+=t[a],l[a]=Math.min(s[1],l[a]),l[a]=Math.max(s[0],l[a]);var u=o0(o,1-a),c=(u[1]+u[0])/2,h=[c,c];return h[a]=l[a],{x:l[0],y:l[1],rotation:e.rotation,cursorPoint:h,tooltipOption:{verticalAlign:"middle"}}},t}(MQ),r0={line:function(e,t,n){return{type:"Line",subPixelOptimize:!0,shape:EQ([t,n[0]],[t,n[1]],i0(e))}},shadow:function(e,t,n){var r=e.getBandWidth(),i=n[1]-n[0];return{type:"Rect",shape:LQ([t-r/2,n[0]],[r,i],i0(e))}}};function i0(e){return e.isHorizontal()?0:1}function o0(e,t){var n=e.getRect();return[n[e0[t]],n[e0[t]]+n[t0[t]]]}const a0=n0;var s0=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="single",t}(rm);function l0(e,t){var n,r=e.cellSize;1===(n=bt(r)?r:e.cellSize=[r,r]).length&&(n[1]=n[0]);var i=ft([0,1],(function(e){return function(e,t){return null!=e[$d[t][0]]||null!=e[$d[t][1]]&&null!=e[$d[t][2]]}(t,e)&&(n[e]="auto"),null!=n[e]&&"auto"!==n[e]}));np(e,t,{type:"box",ignoreSize:i})}const u0=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(t,n,r){var i=rp(t);e.prototype.init.apply(this,arguments),l0(t,i)},t.prototype.mergeOption=function(t){e.prototype.mergeOption.apply(this,arguments),l0(this.option,t)},t.prototype.getCellSize=function(){return this.option.cellSize},t.type="calendar",t.defaultOption={z:2,left:80,top:60,cellSize:20,orient:"horizontal",splitLine:{show:!0,lineStyle:{color:"#000",width:1,type:"solid"}},itemStyle:{color:"#fff",borderWidth:1,borderColor:"#ccc"},dayLabel:{show:!0,firstDay:0,position:"start",margin:"50%",color:"#000"},monthLabel:{show:!0,position:"start",margin:5,align:"center",formatter:null,color:"#000"},yearLabel:{show:!0,position:null,margin:30,formatter:null,color:"#ccc",fontFamily:"sans-serif",fontWeight:"bolder",fontSize:20}},t}(sp);var c0=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){var r=this.group;r.removeAll();var i=e.coordinateSystem,o=i.getRangeInfo(),a=i.getOrient(),s=t.getLocaleModel();this._renderDayRect(e,o,r),this._renderLines(e,o,a,r),this._renderYearText(e,o,a,r),this._renderMonthText(e,s,a,r),this._renderWeekText(e,s,o,a,r)},t.prototype._renderDayRect=function(e,t,n){for(var r=e.coordinateSystem,i=e.getModel("itemStyle").getItemStyle(),o=r.getCellWidth(),a=r.getCellHeight(),s=t.start.time;s<=t.end.time;s=r.getNextNDay(s,1).time){var l=r.dataToRect([s],!1).tl,u=new ju({shape:{x:l[0],y:l[1],width:o,height:a},cursor:"default",style:i});n.add(u)}},t.prototype._renderLines=function(e,t,n,r){var i=this,o=e.coordinateSystem,a=e.getModel(["splitLine","lineStyle"]).getLineStyle(),s=e.get(["splitLine","show"]),l=a.lineWidth;this._tlpoints=[],this._blpoints=[],this._firstDayOfMonth=[],this._firstDayPoints=[];for(var u=t.start,c=0;u.time<=t.end.time;c++){d(u.formatedDate),0===c&&(u=o.getDateInfo(t.start.y+"-"+t.start.m));var h=u.date;h.setMonth(h.getMonth()+1),u=o.getDateInfo(h)}function d(t){i._firstDayOfMonth.push(o.getDateInfo(t)),i._firstDayPoints.push(o.dataToRect([t],!1).tl);var l=i._getLinePointsOfOneWeek(e,t,n);i._tlpoints.push(l[0]),i._blpoints.push(l[l.length-1]),s&&i._drawSplitline(l,a,r)}d(o.getNextNDay(t.end.time,1).formatedDate),s&&this._drawSplitline(i._getEdgesPoints(i._tlpoints,l,n),a,r),s&&this._drawSplitline(i._getEdgesPoints(i._blpoints,l,n),a,r)},t.prototype._getEdgesPoints=function(e,t,n){var r=[e[0].slice(),e[e.length-1].slice()],i="horizontal"===n?0:1;return r[0][i]=r[0][i]-t/2,r[1][i]=r[1][i]+t/2,r},t.prototype._drawSplitline=function(e,t,n){var r=new tv({z2:20,shape:{points:e},style:t});n.add(r)},t.prototype._getLinePointsOfOneWeek=function(e,t,n){for(var r=e.coordinateSystem,i=r.getDateInfo(t),o=[],a=0;a<7;a++){var s=r.getNextNDay(i.time,a),l=r.dataToRect([s.time],!1);o[2*s.day]=l.tl,o[2*s.day+1]=l["horizontal"===n?"bl":"tr"]}return o},t.prototype._formatterLabel=function(e,t){return St(e)&&e?(n=e,pt(t,(function(e,t){n=n.replace("{"+t+"}",e)})),n):wt(e)?e(t):t.nameMap;var n},t.prototype._yearTextPositionControl=function(e,t,n,r,i){var o=t[0],a=t[1],s=["center","bottom"];"bottom"===r?(a+=i,s=["center","top"]):"left"===r?o-=i:"right"===r?(o+=i,s=["center","top"]):a-=i;var l=0;return"left"!==r&&"right"!==r||(l=Math.PI/2),{rotation:l,x:o,y:a,style:{align:s[0],verticalAlign:s[1]}}},t.prototype._renderYearText=function(e,t,n,r){var i=e.getModel("yearLabel");if(i.get("show")){var o=i.get("margin"),a=i.get("position");a||(a="horizontal"!==n?"top":"left");var s=[this._tlpoints[this._tlpoints.length-1],this._blpoints[0]],l=(s[0][0]+s[1][0])/2,u=(s[0][1]+s[1][1])/2,c="horizontal"===n?0:1,h={top:[l,s[c][1]],bottom:[l,s[1-c][1]],left:[s[1-c][0],u],right:[s[c][0],u]},d=t.start.y;+t.end.y>+t.start.y&&(d=d+"-"+t.end.y);var p=i.get("formatter"),f={start:t.start.y,end:t.end.y,nameMap:d},g=this._formatterLabel(p,f),m=new sc({z2:30,style:Th(i,{text:g})});m.attr(this._yearTextPositionControl(m,h[a],n,a,o)),r.add(m)}},t.prototype._monthTextPositionControl=function(e,t,n,r,i){var o="left",a="top",s=e[0],l=e[1];return"horizontal"===n?(l+=i,t&&(o="center"),"start"===r&&(a="bottom")):(s+=i,t&&(a="middle"),"start"===r&&(o="right")),{x:s,y:l,align:o,verticalAlign:a}},t.prototype._renderMonthText=function(e,t,n,r){var i=e.getModel("monthLabel");if(i.get("show")){var o=i.get("nameMap"),a=i.get("margin"),s=i.get("position"),l=i.get("align"),u=[this._tlpoints,this._blpoints];o&&!St(o)||(o&&(t=ad(o)||t),o=t.get(["time","monthAbbr"])||[]);var c="start"===s?0:1,h="horizontal"===n?0:1;a="start"===s?-a:a;for(var d="center"===l,p=0;p<u[c].length-1;p++){var f=u[c][p].slice(),g=this._firstDayOfMonth[p];if(d){var m=this._firstDayPoints[p];f[h]=(m[h]+u[0][p+1][h])/2}var v=i.get("formatter"),y=o[+g.m-1],_={yyyy:g.y,yy:(g.y+"").slice(2),MM:g.m,M:+g.m,nameMap:y},x=this._formatterLabel(v,_),b=new sc({z2:30,style:at(Th(i,{text:x}),this._monthTextPositionControl(f,d,n,s,a))});r.add(b)}}},t.prototype._weekTextPositionControl=function(e,t,n,r,i){var o="center",a="middle",s=e[0],l=e[1],u="start"===n;return"horizontal"===t?(s=s+r+(u?1:-1)*i[0]/2,o=u?"right":"left"):(l=l+r+(u?1:-1)*i[1]/2,a=u?"bottom":"top"),{x:s,y:l,align:o,verticalAlign:a}},t.prototype._renderWeekText=function(e,t,n,r,i){var o=e.getModel("dayLabel");if(o.get("show")){var a=e.coordinateSystem,s=o.get("position"),l=o.get("nameMap"),u=o.get("margin"),c=a.getFirstDayOfWeek();l&&!St(l)||(l&&(t=ad(l)||t),l=t.get(["time","dayOfWeekShort"])||ft(t.get(["time","dayOfWeekAbbr"]),(function(e){return e[0]})));var h=a.getNextNDay(n.end.time,7-n.lweek).time,d=[a.getCellWidth(),a.getCellHeight()];u=qa(u,Math.min(d[1],d[0])),"start"===s&&(h=a.getNextNDay(n.start.time,-(7+n.fweek)).time,u=-u);for(var p=0;p<7;p++){var f,g=a.getNextNDay(h,p),m=a.dataToRect([g.time],!1).center;f=Math.abs((p+c)%7);var v=new sc({z2:30,style:at(Th(o,{text:l[f]}),this._weekTextPositionControl(m,r,s,u,d))});i.add(v)}}},t.type="calendar",t}(rm);const h0=c0;var d0=864e5,p0=function(){function e(t,n,r){this.type="calendar",this.dimensions=e.dimensions,this.getDimensionsInfo=e.getDimensionsInfo,this._model=t}return e.getDimensionsInfo=function(){return[{name:"time",type:"time"},"value"]},e.prototype.getRangeInfo=function(){return this._rangeInfo},e.prototype.getModel=function(){return this._model},e.prototype.getRect=function(){return this._rect},e.prototype.getCellWidth=function(){return this._sw},e.prototype.getCellHeight=function(){return this._sh},e.prototype.getOrient=function(){return this._orient},e.prototype.getFirstDayOfWeek=function(){return this._firstDayOfWeek},e.prototype.getDateInfo=function(e){var t=(e=ls(e)).getFullYear(),n=e.getMonth()+1,r=n<10?"0"+n:""+n,i=e.getDate(),o=i<10?"0"+i:""+i,a=e.getDay();return{y:t+"",m:r,d:o,day:a=Math.abs((a+7-this.getFirstDayOfWeek())%7),time:e.getTime(),formatedDate:t+"-"+r+"-"+o,date:e}},e.prototype.getNextNDay=function(e,t){return 0===(t=t||0)||(e=new Date(this.getDateInfo(e).time)).setDate(e.getDate()+t),this.getDateInfo(e)},e.prototype.update=function(e,t){this._firstDayOfWeek=+this._model.getModel("dayLabel").get("firstDay"),this._orient=this._model.get("orient"),this._lineWidth=this._model.getModel("itemStyle").getItemStyle().lineWidth||0,this._rangeInfo=this._getRangeInfo(this._initRangeOption());var n=this._rangeInfo.weeks||1,r=["width","height"],i=this._model.getCellSize().slice(),o=this._model.getBoxLayoutParams(),a="horizontal"===this._orient?[n,7]:[7,n];pt([0,1],(function(e){u(i,e)&&(o[r[e]]=i[e]*a[e])}));var s={width:t.getWidth(),height:t.getHeight()},l=this._rect=Qd(o,s);function u(e,t){return null!=e[t]&&"auto"!==e[t]}pt([0,1],(function(e){u(i,e)||(i[e]=l[r[e]]/a[e])})),this._sw=i[0],this._sh=i[1]},e.prototype.dataToPoint=function(e,t){bt(e)&&(e=e[0]),null==t&&(t=!0);var n=this.getDateInfo(e),r=this._rangeInfo,i=n.formatedDate;if(t&&!(n.time>=r.start.time&&n.time<r.end.time+d0))return[NaN,NaN];var o=n.day,a=this._getRangeInfo([r.start.time,i]).nthWeek;return"vertical"===this._orient?[this._rect.x+o*this._sw+this._sw/2,this._rect.y+a*this._sh+this._sh/2]:[this._rect.x+a*this._sw+this._sw/2,this._rect.y+o*this._sh+this._sh/2]},e.prototype.pointToData=function(e){var t=this.pointToDate(e);return t&&t.time},e.prototype.dataToRect=function(e,t){var n=this.dataToPoint(e,t);return{contentShape:{x:n[0]-(this._sw-this._lineWidth)/2,y:n[1]-(this._sh-this._lineWidth)/2,width:this._sw-this._lineWidth,height:this._sh-this._lineWidth},center:n,tl:[n[0]-this._sw/2,n[1]-this._sh/2],tr:[n[0]+this._sw/2,n[1]-this._sh/2],br:[n[0]+this._sw/2,n[1]+this._sh/2],bl:[n[0]-this._sw/2,n[1]+this._sh/2]}},e.prototype.pointToDate=function(e){var t=Math.floor((e[0]-this._rect.x)/this._sw)+1,n=Math.floor((e[1]-this._rect.y)/this._sh)+1,r=this._rangeInfo.range;return"vertical"===this._orient?this._getDateByWeeksAndDay(n,t-1,r):this._getDateByWeeksAndDay(t,n-1,r)},e.prototype.convertToPixel=function(e,t,n){var r=f0(t);return r===this?r.dataToPoint(n):null},e.prototype.convertFromPixel=function(e,t,n){var r=f0(t);return r===this?r.pointToData(n):null},e.prototype.containPoint=function(e){return console.warn("Not implemented."),!1},e.prototype._initRangeOption=function(){var e,t=this._model.get("range");if(bt(t)&&1===t.length&&(t=t[0]),bt(t))e=t;else{var n=t.toString();if(/^\d{4}$/.test(n)&&(e=[n+"-01-01",n+"-12-31"]),/^\d{4}[\/|-]\d{1,2}$/.test(n)){var r=this.getDateInfo(n),i=r.date;i.setMonth(i.getMonth()+1);var o=this.getNextNDay(i,-1);e=[r.formatedDate,o.formatedDate]}/^\d{4}[\/|-]\d{1,2}[\/|-]\d{1,2}$/.test(n)&&(e=[n,n])}if(!e)return t;var a=this._getRangeInfo(e);return a.start.time>a.end.time&&e.reverse(),e},e.prototype._getRangeInfo=function(e){var t,n=[this.getDateInfo(e[0]),this.getDateInfo(e[1])];n[0].time>n[1].time&&(t=!0,n.reverse());var r=Math.floor(n[1].time/d0)-Math.floor(n[0].time/d0)+1,i=new Date(n[0].time),o=i.getDate(),a=n[1].date.getDate();i.setDate(o+r-1);var s=i.getDate();if(s!==a)for(var l=i.getTime()-n[1].time>0?1:-1;(s=i.getDate())!==a&&(i.getTime()-n[1].time)*l>0;)r-=l,i.setDate(s-l);var u=Math.floor((r+n[0].day+6)/7),c=t?1-u:u-1;return t&&n.reverse(),{range:[n[0].formatedDate,n[1].formatedDate],start:n[0],end:n[1],allDay:r,weeks:u,nthWeek:c,fweek:n[0].day,lweek:n[1].day}},e.prototype._getDateByWeeksAndDay=function(e,t,n){var r=this._getRangeInfo(n);if(e>r.weeks||0===e&&t<r.fweek||e===r.weeks&&t>r.lweek)return null;var i=7*(e-1)-r.fweek+t,o=new Date(r.start.time);return o.setDate(+r.start.d+i),this.getDateInfo(o)},e.create=function(t,n){var r=[];return t.eachComponent("calendar",(function(i){var o=new e(i,t,n);r.push(o),i.coordinateSystem=o})),t.eachSeries((function(e){"calendar"===e.get("coordinateSystem")&&(e.coordinateSystem=r[e.get("calendarIndex")||0])})),r},e.dimensions=["time","value"],e}();function f0(e){var t=e.calendarModel,n=e.seriesModel;return t?t.coordinateSystem:n?n.coordinateSystem:null}const g0=p0;function m0(e,t){var n;return pt(t,(function(t){null!=e[t]&&"auto"!==e[t]&&(n=!0)})),n}var v0=["transition","enterFrom","leaveTo"],y0=v0.concat(["enterAnimation","updateAnimation","leaveAnimation"]);function _0(e,t,n){if(n&&(!e[n]&&t[n]&&(e[n]={}),e=e[n],t=t[n]),e&&t)for(var r=n?v0:y0,i=0;i<r.length;i++){var o=r[i];null==e[o]&&null!=t[o]&&(e[o]=t[o])}}var x0=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.preventAutoZ=!0,n}return Le(t,e),t.prototype.mergeOption=function(t,n){var r=this.option.elements;this.option.elements=null,e.prototype.mergeOption.call(this,t,n),this.option.elements=r},t.prototype.optionUpdated=function(e,t){var n=this.option,r=(t?n:e).elements,i=n.elements=t?[]:n.elements,o=[];this._flatten(r,o,null);var a=Is(i,o,"normalMerge"),s=this._elOptionsToUpdate=[];pt(a,(function(e,t){var n=e.newOption;n&&(s.push(n),function(e,t){var n=e.existing;if(t.id=e.keyInfo.id,!t.type&&n&&(t.type=n.type),null==t.parentId){var r=t.parentOption;r?t.parentId=r.id:n&&(t.parentId=n.parentId)}t.parentOption=null}(e,n),function(e,t,n){var r=at({},n),i=e[t],o=n.$action||"merge";"merge"===o?i?(it(i,r,!0),np(i,r,{ignoreSize:!0}),ip(n,i),_0(n,i),_0(n,i,"shape"),_0(n,i,"style"),_0(n,i,"extra"),n.clipPath=i.clipPath):e[t]=r:"replace"===o?e[t]=r:"remove"===o&&i&&(e[t]=null)}(i,t,n),function(e,t){if(e&&(e.hv=t.hv=[m0(t,["left","right"]),m0(t,["top","bottom"])],"group"===e.type)){var n=e,r=t;null==n.width&&(n.width=r.width=0),null==n.height&&(n.height=r.height=0)}}(i[t],n))}),this),n.elements=mt(i,(function(e){return e&&delete e.$action,null!=e}))},t.prototype._flatten=function(e,t,n){pt(e,(function(e){if(e){n&&(e.parentOption=n),t.push(e);var r=e.children;r&&r.length&&this._flatten(r,t,e),delete e.children}}),this)},t.prototype.useElOptionsToUpdate=function(){var e=this._elOptionsToUpdate;return this._elOptionsToUpdate=null,e},t.type="graphic",t.defaultOption={elements:[]},t}(sp),b0={path:null,compoundPath:null,group:Oa,image:Bu,text:sc},w0=Ns(),S0=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(){this._elMap=Yt()},t.prototype.render=function(e,t,n){e!==this._lastGraphicModel&&this._clear(),this._lastGraphicModel=e,this._updateElements(e),this._relocate(e,n)},t.prototype._updateElements=function(e){var t=e.useElOptionsToUpdate();if(t){var n=this._elMap,r=this.group,i=e.get("z"),o=e.get("zlevel");pt(t,(function(t){var a=Es(t.id,null),s=null!=a?n.get(a):null,l=Es(t.parentId,null),u=null!=l?n.get(l):r,c=t.type,h=t.style;"text"===c&&h&&t.hv&&t.hv[1]&&(h.textVerticalAlign=h.textBaseline=h.verticalAlign=h.align=null);var d=t.textContent,p=t.textConfig;if(h&&fJ(h,c,!!p,!!d)){var f=gJ(h,c,!0);!p&&f.textConfig&&(p=t.textConfig=f.textConfig),!d&&f.textContent&&(d=f.textContent)}var g=function(e){return e=at({},e),pt(["id","parentId","$action","hv","bounding","textContent","clipPath"].concat(qd),(function(t){delete e[t]})),e}(t),m=t.$action||"merge",v="merge"===m,y="replace"===m;if(v){var _=s;(A=!s)?_=T0(a,u,t.type,n):(_&&(w0(_).isNew=!1),kJ(_)),_&&(MJ(_,g,e,{isInit:A}),I0(_,t,i,o))}else if(y){A0(s,t,n,e);var x=T0(a,u,t.type,n);x&&(MJ(x,g,e,{isInit:!0}),I0(x,t,i,o))}else"remove"===m&&(TJ(s,t),A0(s,t,n,e));var b=n.get(a);if(b&&d)if(v){var w=b.getTextContent();w?w.attr(d):b.setTextContent(new sc(d))}else y&&b.setTextContent(new sc(d));if(b){var S=t.clipPath;if(S){var M=S.type,T=void 0,A=!1;if(v){var I=b.getClipPath();T=(A=!I||w0(I).type!==M)?M0(M):I}else y&&(A=!0,T=M0(M));b.setClipPath(T),MJ(T,S,e,{isInit:A}),BJ(T,S.keyframeAnimation,e)}var C=w0(b);b.setTextConfig(p),C.option=t,function(e,t,n){var r=lc(e).eventData;e.silent||e.ignore||r||(r=lc(e).eventData={componentType:"graphic",componentIndex:t.componentIndex,name:e.name}),r&&(r.info=n.info)}(b,e,t),iy({el:b,componentModel:e,itemName:b.name,itemTooltipOption:t.tooltip}),BJ(b,t.keyframeAnimation,e)}}))}},t.prototype._relocate=function(e,t){for(var n=e.option.elements,r=this.group,i=this._elMap,o=t.getWidth(),a=t.getHeight(),s=["x","y"],l=0;l<n.length;l++)if((f=null!=(p=Es((d=n[l]).id,null))?i.get(p):null)&&f.isGroup){var u=(g=f.parent)===r,c=w0(f),h=w0(g);c.width=qa(c.option.width,u?o:h.width)||0,c.height=qa(c.option.height,u?a:h.height)||0}for(l=n.length-1;l>=0;l--){var d,p,f;if(f=null!=(p=Es((d=n[l]).id,null))?i.get(p):null){var g=f.parent,m=(h=w0(g),{}),v=ep(f,d,g===r?{width:o,height:a}:{width:h.width,height:h.height},null,{hv:d.hv,boundingMode:d.bounding},m);if(!w0(f).isNew&&v){for(var y=d.transition,_={},x=0;x<s.length;x++){var b=s[x],w=m[b];y&&(IJ(y)||ut(y,b)>=0)?_[b]=w:f[b]=w}ph(f,_,e,0)}else f.attr(m)}}},t.prototype._clear=function(){var e=this,t=this._elMap;t.each((function(n){A0(n,w0(n).option,t,e._lastGraphicModel)})),this._elMap=Yt()},t.prototype.dispose=function(){this._clear()},t.type="graphic",t}(rm);function M0(e){var t=new(Kt(b0,e)?b0[e]:Fv(e))({});return w0(t).type=e,t}function T0(e,t,n,r){var i=M0(n);return t.add(i),r.set(e,i),w0(i).id=e,w0(i).isNew=!0,i}function A0(e,t,n,r){e&&e.parent&&("group"===e.type&&e.traverse((function(e){A0(e,t,n,r)})),AJ(e,t,r),n.removeKey(w0(e).id))}function I0(e,t,n,r){e.isGroup||pt([["cursor",Cl.prototype.cursor],["zlevel",r||0],["z",n||0],["z2",0]],(function(n){var r=n[0];Kt(t,r)?e[r]=Rt(t[r],n[1]):null==e[r]&&(e[r]=n[1])})),pt(yt(t),(function(n){if(0===n.indexOf("on")){var r=t[n];e[n]=wt(r)?r:null}})),Kt(t,"draggable")&&(e.draggable=t.draggable),null!=t.name&&(e.name=t.name),null!=t.id&&(e.id=t.id)}var C0=["x","y","radius","angle","single"],D0=["cartesian2d","polar","singleAxis"];function E0(e){return e+"Axis"}function L0(e){var t=e.ecModel,n={infoList:[],infoMap:Yt()};return e.eachTargetAxis((function(e,r){var i=t.getComponent(E0(e),r);if(i){var o=i.getCoordSysModel();if(o){var a=o.uid,s=n.infoMap.get(a);s||(s={model:o,axisModels:[]},n.infoList.push(s),n.infoMap.set(a,s)),s.axisModels.push(i)}}})),n}var P0=function(){function e(){this.indexList=[],this.indexMap=[]}return e.prototype.add=function(e){this.indexMap[e]||(this.indexList.push(e),this.indexMap[e]=!0)},e}(),O0=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n._autoThrottle=!0,n._noTarget=!0,n._rangePropMode=["percent","percent"],n}return Le(t,e),t.prototype.init=function(e,t,n){var r=N0(e);this.settledOption=r,this.mergeDefaultAndTheme(e,n),this._doInit(r)},t.prototype.mergeOption=function(e){var t=N0(e);it(this.option,e,!0),it(this.settledOption,t,!0),this._doInit(t)},t.prototype._doInit=function(e){var t=this.option;this._setDefaultThrottle(e),this._updateRangeUse(e);var n=this.settledOption;pt([["start","startValue"],["end","endValue"]],(function(e,r){"value"===this._rangePropMode[r]&&(t[e[0]]=n[e[0]]=null)}),this),this._resetTarget()},t.prototype._resetTarget=function(){var e=this.get("orient",!0),t=this._targetAxisInfoMap=Yt();this._fillSpecifiedTargetAxis(t)?this._orient=e||this._makeAutoOrientByTargetAxis():(this._orient=e||"horizontal",this._fillAutoTargetAxisByOrient(t,this._orient)),this._noTarget=!0,t.each((function(e){e.indexList.length&&(this._noTarget=!1)}),this)},t.prototype._fillSpecifiedTargetAxis=function(e){var t=!1;return pt(C0,(function(n){var r=this.getReferringComponents(E0(n),zs);if(r.specified){t=!0;var i=new P0;pt(r.models,(function(e){i.add(e.componentIndex)})),e.set(n,i)}}),this),t},t.prototype._fillAutoTargetAxisByOrient=function(e,t){var n=this.ecModel,r=!0;if(r){var i="vertical"===t?"y":"x";o(n.findComponents({mainType:i+"Axis"}),i)}function o(t,n){var i=t[0];if(i){var o=new P0;if(o.add(i.componentIndex),e.set(n,o),r=!1,"x"===n||"y"===n){var a=i.getReferringComponents("grid",Fs).models[0];a&&pt(t,(function(e){i.componentIndex!==e.componentIndex&&a===e.getReferringComponents("grid",Fs).models[0]&&o.add(e.componentIndex)}))}}}r&&o(n.findComponents({mainType:"singleAxis",filter:function(e){return e.get("orient",!0)===t}}),"single"),r&&pt(C0,(function(t){if(r){var i=n.findComponents({mainType:E0(t),filter:function(e){return"category"===e.get("type",!0)}});if(i[0]){var o=new P0;o.add(i[0].componentIndex),e.set(t,o),r=!1}}}),this)},t.prototype._makeAutoOrientByTargetAxis=function(){var e;return this.eachTargetAxis((function(t){!e&&(e=t)}),this),"y"===e?"vertical":"horizontal"},t.prototype._setDefaultThrottle=function(e){if(e.hasOwnProperty("throttle")&&(this._autoThrottle=!1),this._autoThrottle){var t=this.ecModel.option;this.option.throttle=t.animation&&t.animationDurationUpdate>0?100:20}},t.prototype._updateRangeUse=function(e){var t=this._rangePropMode,n=this.get("rangeMode");pt([["start","startValue"],["end","endValue"]],(function(r,i){var o=null!=e[r[0]],a=null!=e[r[1]];o&&!a?t[i]="percent":!o&&a?t[i]="value":n?t[i]=n[i]:o&&(t[i]="percent")}))},t.prototype.noTarget=function(){return this._noTarget},t.prototype.getFirstTargetAxisModel=function(){var e;return this.eachTargetAxis((function(t,n){null==e&&(e=this.ecModel.getComponent(E0(t),n))}),this),e},t.prototype.eachTargetAxis=function(e,t){this._targetAxisInfoMap.each((function(n,r){pt(n.indexList,(function(n){e.call(t,r,n)}))}))},t.prototype.getAxisProxy=function(e,t){var n=this.getAxisModel(e,t);if(n)return n.__dzAxisProxy},t.prototype.getAxisModel=function(e,t){var n=this._targetAxisInfoMap.get(e);if(n&&n.indexMap[t])return this.ecModel.getComponent(E0(e),t)},t.prototype.setRawRange=function(e){var t=this.option,n=this.settledOption;pt([["start","startValue"],["end","endValue"]],(function(r){null==e[r[0]]&&null==e[r[1]]||(t[r[0]]=n[r[0]]=e[r[0]],t[r[1]]=n[r[1]]=e[r[1]])}),this),this._updateRangeUse(e)},t.prototype.setCalculatedRange=function(e){var t=this.option;pt(["start","startValue","end","endValue"],(function(n){t[n]=e[n]}))},t.prototype.getPercentRange=function(){var e=this.findRepresentativeAxisProxy();if(e)return e.getDataPercentWindow()},t.prototype.getValueRange=function(e,t){if(null!=e||null!=t)return this.getAxisProxy(e,t).getDataValueWindow();var n=this.findRepresentativeAxisProxy();return n?n.getDataValueWindow():void 0},t.prototype.findRepresentativeAxisProxy=function(e){if(e)return e.__dzAxisProxy;for(var t,n=this._targetAxisInfoMap.keys(),r=0;r<n.length;r++)for(var i=n[r],o=this._targetAxisInfoMap.get(i),a=0;a<o.indexList.length;a++){var s=this.getAxisProxy(i,o.indexList[a]);if(s.hostedBy(this))return s;t||(t=s)}return t},t.prototype.getRangePropMode=function(){return this._rangePropMode.slice()},t.prototype.getOrient=function(){return this._orient},t.type="dataZoom",t.dependencies=["xAxis","yAxis","radiusAxis","angleAxis","singleAxis","series","toolbox"],t.defaultOption={z:4,filterMode:"filter",start:0,end:100},t}(sp);function N0(e){var t={};return pt(["start","end","startValue","endValue","throttle"],(function(n){e.hasOwnProperty(n)&&(t[n]=e[n])})),t}const R0=O0,k0=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="dataZoom.select",t}(R0),B0=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n,r){this.dataZoomModel=e,this.ecModel=t,this.api=n},t.type="dataZoom",t}(rm),F0=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="dataZoom.select",t}(B0);var z0=pt,V0=Ka,G0=function(){function e(e,t,n,r){this._dimName=e,this._axisIndex=t,this.ecModel=r,this._dataZoomModel=n}return e.prototype.hostedBy=function(e){return this._dataZoomModel===e},e.prototype.getDataValueWindow=function(){return this._valueWindow.slice()},e.prototype.getDataPercentWindow=function(){return this._percentWindow.slice()},e.prototype.getTargetSeriesModels=function(){var e=[];return this.ecModel.eachSeries((function(t){if(function(e){var t=e.get("coordinateSystem");return ut(D0,t)>=0}(t)){var n=E0(this._dimName),r=t.getReferringComponents(n,Fs).models[0];r&&this._axisIndex===r.componentIndex&&e.push(t)}}),this),e},e.prototype.getAxisModel=function(){return this.ecModel.getComponent(this._dimName+"Axis",this._axisIndex)},e.prototype.getMinMaxSpan=function(){return rt(this._minMaxSpan)},e.prototype.calculateDataWindow=function(e){var t,n=this._dataExtent,r=this.getAxisModel().axis.scale,i=this._dataZoomModel.getRangePropMode(),o=[0,100],a=[],s=[];z0(["start","end"],(function(l,u){var c=e[l],h=e[l+"Value"];"percent"===i[u]?(null==c&&(c=o[u]),h=r.parse(Za(c,o,n))):(t=!0,c=Za(h=null==h?n[u]:r.parse(h),n,o)),s[u]=null==h||isNaN(h)?n[u]:h,a[u]=null==c||isNaN(c)?o[u]:c})),V0(s),V0(a);var l=this._minMaxSpan;function u(e,t,n,i,o){var a=o?"Span":"ValueSpan";wZ(0,e,n,"all",l["min"+a],l["max"+a]);for(var s=0;s<2;s++)t[s]=Za(e[s],n,i,!0),o&&(t[s]=r.parse(t[s]))}return t?u(s,a,n,o,!1):u(a,s,o,n,!0),{valueWindow:s,percentWindow:a}},e.prototype.reset=function(e){if(e===this._dataZoomModel){var t=this.getTargetSeriesModels();this._dataExtent=function(e,t,n){var r=[1/0,-1/0];z0(n,(function(e){!function(e,t,n){t&&pt(CS(t,n),(function(n){var r=t.getApproximateExtent(n);r[0]<e[0]&&(e[0]=r[0]),r[1]>e[1]&&(e[1]=r[1])}))}(r,e.getData(),t)}));var i=e.getAxisModel(),o=yS(i.axis.scale,i,r).calculate();return[o.min,o.max]}(this,this._dimName,t),this._updateMinMaxSpan();var n=this.calculateDataWindow(e.settledOption);this._valueWindow=n.valueWindow,this._percentWindow=n.percentWindow,this._setAxisModel()}},e.prototype.filterData=function(e,t){if(e===this._dataZoomModel){var n=this._dimName,r=this.getTargetSeriesModels(),i=e.get("filterMode"),o=this._valueWindow;"none"!==i&&z0(r,(function(e){var t=e.getData(),r=t.mapDimensionsAll(n);if(r.length){if("weakFilter"===i){var a=t.getStore(),s=ft(r,(function(e){return t.getDimensionIndex(e)}),t);t.filterSelf((function(e){for(var t,n,i,l=0;l<r.length;l++){var u=a.get(s[l],e),c=!isNaN(u),h=u<o[0],d=u>o[1];if(c&&!h&&!d)return!0;c&&(i=!0),h&&(t=!0),d&&(n=!0)}return i&&t&&n}))}else z0(r,(function(n){if("empty"===i)e.setData(t=t.map(n,(function(e){return function(e){return e>=o[0]&&e<=o[1]}(e)?e:NaN})));else{var r={};r[n]=o,t.selectRange(r)}}));z0(r,(function(e){t.setApproximateExtent(o,e)}))}}))}},e.prototype._updateMinMaxSpan=function(){var e=this._minMaxSpan={},t=this._dataZoomModel,n=this._dataExtent;z0(["min","max"],(function(r){var i=t.get(r+"Span"),o=t.get(r+"ValueSpan");null!=o&&(o=this.getAxisModel().axis.scale.parse(o)),null!=o?i=Za(n[0]+o,n,[0,100],!0):null!=i&&(o=Za(i,[0,100],n,!0)-n[0]),e[r+"Span"]=i,e[r+"ValueSpan"]=o}),this)},e.prototype._setAxisModel=function(){var e=this.getAxisModel(),t=this._percentWindow,n=this._valueWindow;if(t){var r=es(n,[0,500]);r=Math.min(r,20);var i=e.axis.scale.rawExtentInfo;0!==t[0]&&i.setDeterminedMinMax("min",+n[0].toFixed(r)),100!==t[1]&&i.setDeterminedMinMax("max",+n[1].toFixed(r)),i.freeze()}},e}();const H0=G0,U0={getTargetSeries:function(e){function t(t){e.eachComponent("dataZoom",(function(n){n.eachTargetAxis((function(r,i){var o=e.getComponent(E0(r),i);t(r,i,o,n)}))}))}t((function(e,t,n,r){n.__dzAxisProxy=null}));var n=[];t((function(t,r,i,o){i.__dzAxisProxy||(i.__dzAxisProxy=new H0(t,r,o,e),n.push(i.__dzAxisProxy))}));var r=Yt();return pt(n,(function(e){pt(e.getTargetSeriesModels(),(function(e){r.set(e.uid,e)}))})),r},overallReset:function(e,t){e.eachComponent("dataZoom",(function(e){e.eachTargetAxis((function(t,n){e.getAxisProxy(t,n).reset(e)})),e.eachTargetAxis((function(n,r){e.getAxisProxy(n,r).filterData(e,t)}))})),e.eachComponent("dataZoom",(function(e){var t=e.findRepresentativeAxisProxy();if(t){var n=t.getDataPercentWindow(),r=t.getDataValueWindow();e.setCalculatedRange({start:n[0],end:n[1],startValue:r[0],endValue:r[1]})}}))}};var W0=!1;function j0(e){W0||(W0=!0,e.registerProcessor(e.PRIORITY.PROCESSOR.FILTER,U0),function(e){e.registerAction("dataZoom",(function(e,t){pt(function(e,t){var n,r=Yt(),i=[],o=Yt();e.eachComponent({mainType:"dataZoom",query:t},(function(e){o.get(e.uid)||s(e)}));do{n=!1,e.eachComponent("dataZoom",a)}while(n);function a(e){!o.get(e.uid)&&function(e){var t=!1;return e.eachTargetAxis((function(e,n){var i=r.get(e);i&&i[n]&&(t=!0)})),t}(e)&&(s(e),n=!0)}function s(e){o.set(e.uid,!0),i.push(e),e.eachTargetAxis((function(e,t){(r.get(e)||r.set(e,[]))[t]=!0}))}return i}(t,e),(function(t){t.setRawRange({start:e.start,end:e.end,startValue:e.startValue,endValue:e.endValue})}))}))}(e),e.registerSubTypeDefaulter("dataZoom",(function(){return"slider"})))}function X0(e){e.registerComponentModel(k0),e.registerComponentView(F0),j0(e)}var Y0=function(){},Z0={};function q0(e,t){Z0[e]=t}function $0(e){return Z0[e]}const K0=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.optionUpdated=function(){e.prototype.optionUpdated.apply(this,arguments);var t=this.ecModel;pt(this.option.feature,(function(e,n){var r=$0(n);r&&(r.getDefaultOption&&(r.defaultOption=r.getDefaultOption(t)),it(e,r.defaultOption))}))},t.type="toolbox",t.layoutMode={type:"box",ignoreSize:!0},t.defaultOption={show:!0,z:6,orient:"horizontal",left:"right",top:"top",backgroundColor:"transparent",borderColor:"#ccc",borderRadius:0,borderWidth:0,padding:5,itemSize:15,itemGap:8,showTitle:!0,iconStyle:{borderColor:"#666",color:"none"},emphasis:{iconStyle:{borderColor:"#3E98C5"}},tooltip:{show:!1,position:"bottom"}},t}(sp);function J0(e,t){var n=Fd(t.get("padding")),r=t.getItemStyle(["color","opacity"]);return r.fill=t.get("backgroundColor"),new ju({shape:{x:e.x-n[3],y:e.y-n[0],width:e.width+n[1]+n[3],height:e.height+n[0]+n[2],r:t.get("borderRadius")},style:r,silent:!0,z2:-1})}var Q0=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.render=function(e,t,n,r){var i=this.group;if(i.removeAll(),e.get("show")){var o=+e.get("itemSize"),a="vertical"===e.get("orient"),s=e.get("feature")||{},l=this._features||(this._features={}),u=[];pt(s,(function(e,t){u.push(t)})),new Bb(this._featureNames||[],u).add(c).update(c).remove(xt(c,null)).execute(),this._featureNames=u,function(e,t,n){var r=t.getBoxLayoutParams(),i=t.get("padding"),o={width:n.getWidth(),height:n.getHeight()},a=Qd(r,o,i);Jd(t.get("orient"),e,t.get("itemGap"),a.width,a.height),ep(e,r,o,i)}(i,e,n),i.add(J0(i.getBoundingRect(),e)),a||i.eachChild((function(e){var t=e.__title,r=e.ensureState("emphasis"),a=r.textConfig||(r.textConfig={}),s=e.getTextContent(),l=s&&s.ensureState("emphasis");if(l&&!wt(l)&&t){var u=l.style||(l.style={}),c=ga(t,sc.makeFont(u)),h=e.x+i.x,d=!1;e.y+i.y+o+c.height>n.getHeight()&&(a.position="top",d=!0);var p=d?-5-c.height:o+10;h+c.width/2>n.getWidth()?(a.position=["100%",p],u.align="right"):h-c.width/2<0&&(a.position=[0,p],u.align="left")}}))}function c(c,h){var d,p=u[c],f=u[h],g=s[p],m=new qh(g,e,e.ecModel);if(r&&null!=r.newTitle&&r.featureName===p&&(g.title=r.newTitle),p&&!f){if(function(e){return 0===e.indexOf("my")}(p))d={onclick:m.option.onclick,featureName:p};else{var v=$0(p);if(!v)return;d=new v}l[p]=d}else if(!(d=l[f]))return;d.uid=Kh("toolbox-feature"),d.model=m,d.ecModel=t,d.api=n;var y=d instanceof Y0;p||!f?!m.get("show")||y&&d.unusable?y&&d.remove&&d.remove(t,n):(function(r,s,l){var u,c,h=r.getModel("iconStyle"),d=r.getModel(["emphasis","iconStyle"]),p=s instanceof Y0&&s.getIcons?s.getIcons():r.get("icon"),f=r.get("title")||{};St(p)?(u={})[l]=p:u=p,St(f)?(c={})[l]=f:c=f;var g=r.iconPaths={};pt(u,(function(l,u){var p=ey(l,{},{x:-o/2,y:-o/2,width:o,height:o});p.setStyle(h.getItemStyle()),p.ensureState("emphasis").style=d.getItemStyle();var f=new sc({style:{text:c[u],align:d.get("textAlign"),borderRadius:d.get("textBorderRadius"),padding:d.get("textPadding"),fill:null,font:Lh({fontStyle:d.get("textFontStyle"),fontFamily:d.get("textFontFamily"),fontSize:d.get("textFontSize"),fontWeight:d.get("textFontWeight")},t)},ignore:!0});p.setTextContent(f),iy({el:p,componentModel:e,itemName:u,formatterParamsExtra:{title:c[u]}}),p.__title=c[u],p.on("mouseover",(function(){var t=d.getItemStyle(),r=a?null==e.get("right")&&"right"!==e.get("left")?"right":"left":null==e.get("bottom")&&"bottom"!==e.get("top")?"bottom":"top";f.setStyle({fill:d.get("textFill")||t.fill||t.stroke||"#000",backgroundColor:d.get("textBackgroundColor")}),p.setTextConfig({position:d.get("textPosition")||r}),f.ignore=!e.get("showTitle"),n.enterEmphasis(this)})).on("mouseout",(function(){"emphasis"!==r.get(["iconStatus",u])&&n.leaveEmphasis(this),f.hide()})),("emphasis"===r.get(["iconStatus",u])?Gc:Hc)(p),i.add(p),p.on("click",_t(s.onclick,s,t,n,u)),g[u]=p}))}(m,d,p),m.setIconStatus=function(e,t){var n=this.option,r=this.iconPaths;n.iconStatus=n.iconStatus||{},n.iconStatus[e]=t,r[e]&&("emphasis"===t?Gc:Hc)(r[e])},d instanceof Y0&&d.render&&d.render(m,t,n,r)):y&&d.dispose&&d.dispose(t,n)}},t.prototype.updateView=function(e,t,n,r){pt(this._features,(function(e){e instanceof Y0&&e.updateView&&e.updateView(e.model,t,n,r)}))},t.prototype.remove=function(e,t){pt(this._features,(function(n){n instanceof Y0&&n.remove&&n.remove(e,t)})),this.group.removeAll()},t.prototype.dispose=function(e,t){pt(this._features,(function(n){n instanceof Y0&&n.dispose&&n.dispose(e,t)}))},t.type="toolbox",t}(rm);const e2=Q0;var t2=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.onclick=function(e,t){var n=this.model,r=n.get("name")||e.get("title.0.text")||"echarts",i="svg"===t.getZr().painter.getType(),o=i?"svg":n.get("type",!0)||"png",a=t.getConnectedDataURL({type:o,backgroundColor:n.get("backgroundColor",!0)||e.get("backgroundColor")||"#fff",connectedBackgroundColor:n.get("connectedBackgroundColor"),excludeComponents:n.get("excludeComponents"),pixelRatio:n.get("pixelRatio")}),s=Ne.browser;if(wt(MouseEvent)&&(s.newEdge||!s.ie&&!s.edge)){var l=document.createElement("a");l.download=r+"."+o,l.target="_blank",l.href=a;var u=new MouseEvent("click",{view:document.defaultView,bubbles:!0,cancelable:!1});l.dispatchEvent(u)}else if(window.navigator.msSaveOrOpenBlob||i){var c=a.split(","),h=c[0].indexOf("base64")>-1,d=i?decodeURIComponent(c[1]):c[1];h&&(d=window.atob(d));var p=r+"."+o;if(window.navigator.msSaveOrOpenBlob){for(var f=d.length,g=new Uint8Array(f);f--;)g[f]=d.charCodeAt(f);var m=new Blob([g]);window.navigator.msSaveOrOpenBlob(m,p)}else{var v=document.createElement("iframe");document.body.appendChild(v);var y=v.contentWindow,_=y.document;_.open("image/svg+xml","replace"),_.write(d),_.close(),y.focus(),_.execCommand("SaveAs",!0,p),document.body.removeChild(v)}}else{var x=n.get("lang"),b='<body style="margin:0;"><img src="'+a+'" style="max-width:100%;" title="'+(x&&x[0]||"")+'" /></body>',w=window.open();w.document.write(b),w.document.title=r}},t.getDefaultOption=function(e){return{show:!0,icon:"M4.7,22.9L29.3,45.5L54.7,23.4M4.6,43.6L4.6,58L53.8,58L53.8,43.6M29.2,45.1L29.2,0",title:e.getLocaleModel().get(["toolbox","saveAsImage","title"]),type:"png",connectedBackgroundColor:"#fff",name:"",excludeComponents:["toolbox"],lang:e.getLocaleModel().get(["toolbox","saveAsImage","lang"])}},t}(Y0);const n2=t2;var r2="__ec_magicType_stack__",i2=[["line","bar"],["stack"]],o2=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.getIcons=function(){var e=this.model,t=e.get("icon"),n={};return pt(e.get("type"),(function(e){t[e]&&(n[e]=t[e])})),n},t.getDefaultOption=function(e){return{show:!0,type:[],icon:{line:"M4.1,28.9h7.1l9.3-22l7.4,38l9.7-19.7l3,12.8h14.9M4.1,58h51.4",bar:"M6.7,22.9h10V48h-10V22.9zM24.9,13h10v35h-10V13zM43.2,2h10v46h-10V2zM3.1,58h53.7",stack:"M8.2,38.4l-8.4,4.1l30.6,15.3L60,42.5l-8.1-4.1l-21.5,11L8.2,38.4z M51.9,30l-8.1,4.2l-13.4,6.9l-13.9-6.9L8.2,30l-8.4,4.2l8.4,4.2l22.2,11l21.5-11l8.1-4.2L51.9,30z M51.9,21.7l-8.1,4.2L35.7,30l-5.3,2.8L24.9,30l-8.4-4.1l-8.3-4.2l-8.4,4.2L8.2,30l8.3,4.2l13.9,6.9l13.4-6.9l8.1-4.2l8.1-4.1L51.9,21.7zM30.4,2.2L-0.2,17.5l8.4,4.1l8.3,4.2l8.4,4.2l5.5,2.7l5.3-2.7l8.1-4.2l8.1-4.2l8.1-4.1L30.4,2.2z"},title:e.getLocaleModel().get(["toolbox","magicType","title"]),option:{},seriesIndex:{}}},t.prototype.onclick=function(e,t,n){var r=this.model,i=r.get(["seriesIndex",n]);if(a2[n]){var o,a={series:[]};pt(i2,(function(e){ut(e,n)>=0&&pt(e,(function(e){r.setIconStatus(e,"normal")}))})),r.setIconStatus(n,"emphasis"),e.eachComponent({mainType:"series",query:null==i?null:{seriesIndex:i}},(function(e){var t=e.subType,i=e.id,o=a2[n](t,i,e,r);o&&(st(o,e.option),a.series.push(o));var s=e.coordinateSystem;if(s&&"cartesian2d"===s.type&&("line"===n||"bar"===n)){var l=s.getAxesByScale("ordinal")[0];if(l){var u=l.dim+"Axis",c=e.getReferringComponents(u,Fs).models[0].componentIndex;a[u]=a[u]||[];for(var h=0;h<=c;h++)a[u][c]=a[u][c]||{};a[u][c].boundaryGap="bar"===n}}}));var s=n;"stack"===n&&(o=it({stack:r.option.title.tiled,tiled:r.option.title.stack},r.option.title),"emphasis"!==r.get(["iconStatus",n])&&(s="tiled")),t.dispatchAction({type:"changeMagicType",currentType:s,newOption:a,newTitle:o,featureName:"magicType"})}},t}(Y0),a2={line:function(e,t,n,r){if("bar"===e)return it({id:t,type:"line",data:n.get("data"),stack:n.get("stack"),markPoint:n.get("markPoint"),markLine:n.get("markLine")},r.get(["option","line"])||{},!0)},bar:function(e,t,n,r){if("line"===e)return it({id:t,type:"bar",data:n.get("data"),stack:n.get("stack"),markPoint:n.get("markPoint"),markLine:n.get("markLine")},r.get(["option","bar"])||{},!0)},stack:function(e,t,n,r){var i=n.get("stack")===r2;if("line"===e||"bar"===e)return r.setIconStatus("stack",i?"normal":"emphasis"),it({id:t,stack:i?"":r2},r.get(["option","stack"])||{},!0)}};bb({type:"changeMagicType",event:"magicTypeChanged",update:"prepareAndUpdate"},(function(e,t){t.mergeOption(e.newOption)}));const s2=o2;var l2=new Array(60).join("-"),u2="\t";function c2(e){return e.replace(/^\s\s*/,"").replace(/\s\s*$/,"")}var h2=new RegExp("[\t]+","g");var d2=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.onclick=function(e,t){setTimeout((function(){t.dispatchAction({type:"hideTip"})}));var n=t.getDom(),r=this.model;this._dom&&n.removeChild(this._dom);var i=document.createElement("div");i.style.cssText="position:absolute;top:0;bottom:0;left:0;right:0;padding:5px",i.style.backgroundColor=r.get("backgroundColor")||"#fff";var o=document.createElement("h4"),a=r.get("lang")||[];o.innerHTML=a[0]||r.get("title"),o.style.cssText="margin:10px 20px",o.style.color=r.get("textColor");var s=document.createElement("div"),l=document.createElement("textarea");s.style.cssText="overflow:auto";var u=r.get("optionToContent"),c=r.get("contentToOption"),h=function(e){var t,n,r,i=function(e){var t={},n=[],r=[];return e.eachRawSeries((function(e){var i=e.coordinateSystem;if(!i||"cartesian2d"!==i.type&&"polar"!==i.type)n.push(e);else{var o=i.getBaseAxis();if("category"===o.type){var a=o.dim+"_"+o.index;t[a]||(t[a]={categoryAxis:o,valueAxis:i.getOtherAxis(o),series:[]},r.push({axisDim:o.dim,axisIndex:o.index})),t[a].series.push(e)}else n.push(e)}})),{seriesGroupByCategoryAxis:t,other:n,meta:r}}(e);return{value:mt([(n=i.seriesGroupByCategoryAxis,r=[],pt(n,(function(e,t){var n=e.categoryAxis,i=e.valueAxis.dim,o=[" "].concat(ft(e.series,(function(e){return e.name}))),a=[n.model.getCategories()];pt(e.series,(function(e){var t=e.getRawData();a.push(e.getRawData().mapArray(t.mapDimension(i),(function(e){return e})))}));for(var s=[o.join(u2)],l=0;l<a[0].length;l++){for(var u=[],c=0;c<a.length;c++)u.push(a[c][l]);s.push(u.join(u2))}r.push(s.join("\n"))})),r.join("\n\n"+l2+"\n\n")),(t=i.other,ft(t,(function(e){var t=e.getRawData(),n=[e.name],r=[];return t.each(t.dimensions,(function(){for(var e=arguments.length,i=arguments[e-1],o=t.getName(i),a=0;a<e-1;a++)r[a]=arguments[a];n.push((o?o+u2:"")+r.join(u2))})),n.join("\n")})).join("\n\n"+l2+"\n\n"))],(function(e){return!!e.replace(/[\n\t\s]/g,"")})).join("\n\n"+l2+"\n\n"),meta:i.meta}}(e);if(wt(u)){var d=u(t.getOption());St(d)?s.innerHTML=d:Dt(d)&&s.appendChild(d)}else{l.readOnly=r.get("readOnly");var p=l.style;p.cssText="display:block;width:100%;height:100%;font-family:monospace;font-size:14px;line-height:1.6rem;resize:none;box-sizing:border-box;outline:none",p.color=r.get("textColor"),p.borderColor=r.get("textareaBorderColor"),p.backgroundColor=r.get("textareaColor"),l.value=h.value,s.appendChild(l)}var f=h.meta,g=document.createElement("div");g.style.cssText="position:absolute;bottom:5px;left:0;right:0";var m="float:right;margin-right:20px;border:none;cursor:pointer;padding:2px 5px;font-size:12px;border-radius:3px",v=document.createElement("div"),y=document.createElement("div");m+=";background-color:"+r.get("buttonColor"),m+=";color:"+r.get("buttonTextColor");var _=this;function x(){n.removeChild(i),_._dom=null}$n(v,"click",x),$n(y,"click",(function(){if(null==c&&null!=u||null!=c&&null==u)x();else{var e;try{e=wt(c)?c(s,t.getOption()):function(e,t){var n=e.split(new RegExp("\n*"+l2+"\n*","g")),r={series:[]};return pt(n,(function(e,n){if(function(e){if(e.slice(0,e.indexOf("\n")).indexOf(u2)>=0)return!0}(e)){var i=function(e){for(var t=e.split(/\n+/g),n=[],r=ft(c2(t.shift()).split(h2),(function(e){return{name:e,data:[]}})),i=0;i<t.length;i++){var o=c2(t[i]).split(h2);n.push(o.shift());for(var a=0;a<o.length;a++)r[a]&&(r[a].data[i]=o[a])}return{series:r,categories:n}}(e),o=t[n],a=o.axisDim+"Axis";o&&(r[a]=r[a]||[],r[a][o.axisIndex]={data:i.categories},r.series=r.series.concat(i.series))}else i=function(e){for(var t=e.split(/\n+/g),n=c2(t.shift()),r=[],i=0;i<t.length;i++){var o=c2(t[i]);if(o){var a=o.split(h2),s="",l=void 0,u=!1;isNaN(a[0])?(u=!0,s=a[0],a=a.slice(1),r[i]={name:s,value:[]},l=r[i].value):l=r[i]=[];for(var c=0;c<a.length;c++)l.push(+a[c]);1===l.length&&(u?r[i].value=l[0]:r[i]=l[0])}}return{name:n,data:r}}(e),r.series.push(i)})),r}(l.value,f)}catch(e){throw x(),new Error("Data view format error "+e)}e&&t.dispatchAction({type:"changeDataView",newOption:e}),x()}})),v.innerHTML=a[1],y.innerHTML=a[2],y.style.cssText=v.style.cssText=m,!r.get("readOnly")&&g.appendChild(y),g.appendChild(v),i.appendChild(o),i.appendChild(s),i.appendChild(g),s.style.height=n.clientHeight-80+"px",n.appendChild(i),this._dom=i},t.prototype.remove=function(e,t){this._dom&&t.getDom().removeChild(this._dom)},t.prototype.dispose=function(e,t){this.remove(e,t)},t.getDefaultOption=function(e){return{show:!0,readOnly:!1,optionToContent:null,contentToOption:null,icon:"M17.5,17.3H33 M17.5,17.3H33 M45.4,29.5h-28 M11.5,2v56H51V14.8L38.4,2H11.5z M38.4,2.2v12.7H51 M45.4,41.7h-28",title:e.getLocaleModel().get(["toolbox","dataView","title"]),lang:e.getLocaleModel().get(["toolbox","dataView","lang"]),backgroundColor:"#fff",textColor:"#000",textareaColor:"#fff",textareaBorderColor:"#333",buttonColor:"#c23531",buttonTextColor:"#fff"}},t}(Y0);function p2(e,t){return ft(e,(function(e,n){var r=t&&t[n];if(At(r)&&!bt(r)){At(e)&&!bt(e)||(e={value:e});var i=null!=r.name&&null==e.name;return e=st(e,r),i&&delete e.name,e}return e}))}bb({type:"changeDataView",event:"dataViewChanged",update:"prepareAndUpdate"},(function(e,t){var n=[];pt(e.newOption.series,(function(e){var r=t.getSeriesByName(e.name)[0];if(r){var i=r.get("data");n.push({name:e.name,data:p2(e.data,i)})}else n.push(at({type:"scatter"},e))})),t.mergeOption(st({series:n},e.newOption))}));const f2=d2;var g2=pt,m2=Ns();function v2(e){var t=m2(e);return t.snapshots||(t.snapshots=[{}]),t.snapshots}var y2=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.onclick=function(e,t){!function(e){m2(e).snapshots=null}(e),t.dispatchAction({type:"restore",from:this.uid})},t.getDefaultOption=function(e){return{show:!0,icon:"M3.8,33.4 M47,18.9h9.8V8.7 M56.3,20.1 C52.1,9,40.5,0.6,26.8,2.1C12.6,3.7,1.6,16.2,2.1,30.6 M13,41.1H3.1v10.2 M3.7,39.9c4.2,11.1,15.8,19.5,29.5,18 c14.2-1.6,25.2-14.1,24.7-28.5",title:e.getLocaleModel().get(["toolbox","restore","title"])}},t}(Y0);bb({type:"restore",event:"restore",update:"prepareAndUpdate"},(function(e,t){t.resetOption("recreate")}));const _2=y2;var x2=["grid","xAxis","yAxis","geo","graph","polar","radiusAxis","angleAxis","bmap"],b2=function(){function e(e,t,n){var r=this;this._targetInfoList=[];var i=S2(t,e);pt(M2,(function(e,t){(!n||!n.include||ut(n.include,t)>=0)&&e(i,r._targetInfoList)}))}return e.prototype.setOutputRanges=function(e,t){return this.matchOutputRanges(e,t,(function(e,t,n){if((e.coordRanges||(e.coordRanges=[])).push(t),!e.coordRange){e.coordRange=t;var r=I2[e.brushType](0,n,t);e.__rangeOffset={offset:D2[e.brushType](r.values,e.range,[1,1]),xyMinMax:r.xyMinMax}}})),e},e.prototype.matchOutputRanges=function(e,t,n){pt(e,(function(e){var r=this.findTargetInfo(e,t);r&&!0!==r&&pt(r.coordSyses,(function(r){var i=I2[e.brushType](1,r,e.range,!0);n(e,i.values,r,t)}))}),this)},e.prototype.setInputRanges=function(e,t){pt(e,(function(e){var n,r,i,o,a,s=this.findTargetInfo(e,t);if(e.range=e.range||[],s&&!0!==s){e.panelId=s.panelId;var l=I2[e.brushType](0,s.coordSys,e.coordRange),u=e.__rangeOffset;e.range=u?D2[e.brushType](l.values,u.offset,(n=l.xyMinMax,r=u.xyMinMax,i=L2(n),o=L2(r),a=[i[0]/o[0],i[1]/o[1]],isNaN(a[0])&&(a[0]=1),isNaN(a[1])&&(a[1]=1),a)):l.values}}),this)},e.prototype.makePanelOpts=function(e,t){return ft(this._targetInfoList,(function(n){var r=n.getPanelRect();return{panelId:n.panelId,defaultBrushType:t?t(n):null,clipPath:Eq(r),isTargetByCursor:Pq(r,e,n.coordSysModel),getLinearBrushOtherExtent:Lq(r)}}))},e.prototype.controlSeries=function(e,t,n){var r=this.findTargetInfo(e,n);return!0===r||r&&ut(r.coordSyses,t.coordinateSystem)>=0},e.prototype.findTargetInfo=function(e,t){for(var n=this._targetInfoList,r=S2(t,e),i=0;i<n.length;i++){var o=n[i],a=e.panelId;if(a){if(o.panelId===a)return o}else for(var s=0;s<T2.length;s++)if(T2[s](r,o))return o}return!0},e}();function w2(e){return e[0]>e[1]&&e.reverse(),e}function S2(e,t){return ks(e,t,{includeMainTypes:x2})}var M2={grid:function(e,t){var n=e.xAxisModels,r=e.yAxisModels,i=e.gridModels,o=Yt(),a={},s={};(n||r||i)&&(pt(n,(function(e){var t=e.axis.grid.model;o.set(t.id,t),a[t.id]=!0})),pt(r,(function(e){var t=e.axis.grid.model;o.set(t.id,t),s[t.id]=!0})),pt(i,(function(e){o.set(e.id,e),a[e.id]=!0,s[e.id]=!0})),o.each((function(e){var i=e.coordinateSystem,o=[];pt(i.getCartesians(),(function(e,t){(ut(n,e.getAxis("x").model)>=0||ut(r,e.getAxis("y").model)>=0)&&o.push(e)})),t.push({panelId:"grid--"+e.id,gridModel:e,coordSysModel:e,coordSys:o[0],coordSyses:o,getPanelRect:A2.grid,xAxisDeclared:a[e.id],yAxisDeclared:s[e.id]})})))},geo:function(e,t){pt(e.geoModels,(function(e){var n=e.coordinateSystem;t.push({panelId:"geo--"+e.id,geoModel:e,coordSysModel:e,coordSys:n,coordSyses:[n],getPanelRect:A2.geo})}))}},T2=[function(e,t){var n=e.xAxisModel,r=e.yAxisModel,i=e.gridModel;return!i&&n&&(i=n.axis.grid.model),!i&&r&&(i=r.axis.grid.model),i&&i===t.gridModel},function(e,t){var n=e.geoModel;return n&&n===t.geoModel}],A2={grid:function(){return this.coordSys.master.getRect().clone()},geo:function(){var e=this.coordSys,t=e.getBoundingRect().clone();return t.applyTransform(Yv(e)),t}},I2={lineX:xt(C2,0),lineY:xt(C2,1),rect:function(e,t,n,r){var i=e?t.pointToData([n[0][0],n[1][0]],r):t.dataToPoint([n[0][0],n[1][0]],r),o=e?t.pointToData([n[0][1],n[1][1]],r):t.dataToPoint([n[0][1],n[1][1]],r),a=[w2([i[0],o[0]]),w2([i[1],o[1]])];return{values:a,xyMinMax:a}},polygon:function(e,t,n,r){var i=[[1/0,-1/0],[1/0,-1/0]];return{values:ft(n,(function(n){var o=e?t.pointToData(n,r):t.dataToPoint(n,r);return i[0][0]=Math.min(i[0][0],o[0]),i[1][0]=Math.min(i[1][0],o[1]),i[0][1]=Math.max(i[0][1],o[0]),i[1][1]=Math.max(i[1][1],o[1]),o})),xyMinMax:i}}};function C2(e,t,n,r){var i=n.getAxis(["x","y"][e]),o=w2(ft([0,1],(function(e){return t?i.coordToData(i.toLocalCoord(r[e]),!0):i.toGlobalCoord(i.dataToCoord(r[e]))}))),a=[];return a[e]=o,a[1-e]=[NaN,NaN],{values:o,xyMinMax:a}}var D2={lineX:xt(E2,0),lineY:xt(E2,1),rect:function(e,t,n){return[[e[0][0]-n[0]*t[0][0],e[0][1]-n[0]*t[0][1]],[e[1][0]-n[1]*t[1][0],e[1][1]-n[1]*t[1][1]]]},polygon:function(e,t,n){return ft(e,(function(e,r){return[e[0]-n[0]*t[r][0],e[1]-n[1]*t[r][1]]}))}};function E2(e,t,n,r){return[t[0]-r[e]*n[0],t[1]-r[e]*n[1]]}function L2(e){return e?[e[0][1]-e[0][0],e[1][1]-e[1][0]]:[NaN,NaN]}const P2=b2;var O2,N2,R2=pt,k2=bs+"toolbox-dataZoom_",B2=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.render=function(e,t,n,r){this._brushController||(this._brushController=new Dq(n.getZr()),this._brushController.on("brush",_t(this._onBrush,this)).mount()),function(e,t,n,r,i){var o=n._isZoomActive;r&&"takeGlobalCursor"===r.type&&(o="dataZoomSelect"===r.key&&r.dataZoomSelectActive),n._isZoomActive=o,e.setIconStatus("zoom",o?"emphasis":"normal");var a=new P2(z2(e),t,{include:["grid"]}).makePanelOpts(i,(function(e){return e.xAxisDeclared&&!e.yAxisDeclared?"lineX":!e.xAxisDeclared&&e.yAxisDeclared?"lineY":"rect"}));n._brushController.setPanels(a).enableBrush(!(!o||!a.length)&&{brushType:"auto",brushStyle:e.getModel("brushStyle").getItemStyle()})}(e,t,this,r,n),function(e,t){e.setIconStatus("back",function(e){return v2(e).length}(t)>1?"emphasis":"normal")}(e,t)},t.prototype.onclick=function(e,t,n){F2[n].call(this)},t.prototype.remove=function(e,t){this._brushController&&this._brushController.unmount()},t.prototype.dispose=function(e,t){this._brushController&&this._brushController.dispose()},t.prototype._onBrush=function(e){var t=e.areas;if(e.isEnd&&t.length){var n={},r=this.ecModel;this._brushController.updateCovers([]),new P2(z2(this.model),r,{include:["grid"]}).matchOutputRanges(t,r,(function(e,t,n){if("cartesian2d"===n.type){var r=e.brushType;"rect"===r?(i("x",n,t[0]),i("y",n,t[1])):i({lineX:"x",lineY:"y"}[r],n,t)}})),function(e,t){var n=v2(e);g2(t,(function(t,r){for(var i=n.length-1;i>=0&&!n[i][r];i--);if(i<0){var o=e.queryComponents({mainType:"dataZoom",subType:"select",id:r})[0];if(o){var a=o.getPercentRange();n[0][r]={dataZoomId:r,start:a[0],end:a[1]}}}})),n.push(t)}(r,n),this._dispatchZoomAction(n)}function i(e,t,i){var o=t.getAxis(e),a=o.model,s=function(e,t,n){var r;return n.eachComponent({mainType:"dataZoom",subType:"select"},(function(n){n.getAxisModel(e,t.componentIndex)&&(r=n)})),r}(e,a,r),l=s.findRepresentativeAxisProxy(a).getMinMaxSpan();null==l.minValueSpan&&null==l.maxValueSpan||(i=wZ(0,i.slice(),o.scale.getExtent(),0,l.minValueSpan,l.maxValueSpan)),s&&(n[s.id]={dataZoomId:s.id,startValue:i[0],endValue:i[1]})}},t.prototype._dispatchZoomAction=function(e){var t=[];R2(e,(function(e,n){t.push(rt(e))})),t.length&&this.api.dispatchAction({type:"dataZoom",from:this.uid,batch:t})},t.getDefaultOption=function(e){return{show:!0,filterMode:"filter",icon:{zoom:"M0,13.5h26.9 M13.5,26.9V0 M32.1,13.5H58V58H13.5 V32.1",back:"M22,1.4L9.9,13.5l12.3,12.3 M10.3,13.5H54.9v44.6 H10.3v-26"},title:e.getLocaleModel().get(["toolbox","dataZoom","title"]),brushStyle:{borderWidth:0,color:"rgba(210,219,238,0.2)"}}},t}(Y0),F2={zoom:function(){var e=!this._isZoomActive;this.api.dispatchAction({type:"takeGlobalCursor",key:"dataZoomSelect",dataZoomSelectActive:e})},back:function(){this._dispatchZoomAction(function(e){var t=v2(e),n=t[t.length-1];t.length>1&&t.pop();var r={};return g2(n,(function(e,n){for(var i=t.length-1;i>=0;i--)if(e=t[i][n]){r[n]=e;break}})),r}(this.ecModel))}};function z2(e){var t={xAxisIndex:e.get("xAxisIndex",!0),yAxisIndex:e.get("yAxisIndex",!0),xAxisId:e.get("xAxisId",!0),yAxisId:e.get("yAxisId",!0)};return null==t.xAxisIndex&&null==t.xAxisId&&(t.xAxisIndex="all"),null==t.yAxisIndex&&null==t.yAxisId&&(t.yAxisIndex="all"),t}O2="dataZoom",N2=function(e){var t=e.getComponent("toolbox",0),n=["feature","dataZoom"];if(t&&null!=t.get(n)){var r=t.getModel(n),i=[],o=ks(e,z2(r));return R2(o.xAxisModels,(function(e){return a(e,"xAxis","xAxisIndex")})),R2(o.yAxisModels,(function(e){return a(e,"yAxis","yAxisIndex")})),i}function a(e,t,n){var o=e.componentIndex,a={type:"select",$fromToolbox:!0,filterMode:r.get("filterMode",!0)||"filter",id:k2+t+o};a[n]=o,i.push(a)}},zt(null==Ep.get(O2)&&N2),Ep.set(O2,N2);const V2=B2,G2=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="tooltip",t.dependencies=["axisPointer"],t.defaultOption={z:60,show:!0,showContent:!0,trigger:"item",triggerOn:"mousemove|click",alwaysShowContent:!1,displayMode:"single",renderMode:"auto",confine:null,showDelay:0,hideDelay:100,transitionDuration:.4,enterable:!1,backgroundColor:"#fff",shadowBlur:10,shadowColor:"rgba(0, 0, 0, .2)",shadowOffsetX:1,shadowOffsetY:2,borderRadius:4,borderWidth:1,padding:null,extraCssText:"",axisPointer:{type:"line",axis:"auto",animation:"auto",animationDurationUpdate:200,animationEasingUpdate:"exponentialOut",crossStyle:{color:"#999",width:1,type:"dashed",textStyle:{}}},textStyle:{color:"#666",fontSize:14}},t}(sp);function H2(e){var t=e.get("confine");return null!=t?!!t:"richText"===e.get("renderMode")}function U2(e){if(Ne.domSupported)for(var t=document.documentElement.style,n=0,r=e.length;n<r;n++)if(e[n]in t)return e[n]}var W2=U2(["transform","webkitTransform","OTransform","MozTransform","msTransform"]);function j2(e,t){if(!e)return t;t=Bd(t,!0);var n=e.indexOf(t);return(e=-1===n?t:"-"+e.slice(0,n)+"-"+t).toLowerCase()}var X2=j2(U2(["webkitTransition","transition","OTransition","MozTransition","msTransition"]),"transition"),Y2=j2(W2,"transform"),Z2="position:absolute;display:block;border-style:solid;white-space:nowrap;z-index:9999999;"+(Ne.transform3dSupported?"will-change:transform;":"");function q2(e,t,n){var r=e.toFixed(0)+"px",i=t.toFixed(0)+"px";if(!Ne.transformSupported)return n?"top:"+i+";left:"+r+";":[["top",i],["left",r]];var o=Ne.transform3dSupported,a="translate"+(o?"3d":"")+"("+r+","+i+(o?",0":"")+")";return n?"top:0;left:0;"+Y2+":"+a+";":[["top",0],["left",0],[W2,a]]}function $2(e,t,n,r,i){var o=t&&t.painter;if(n){var a=o&&o.getViewportRoot();a&&function(e,t,n,r,i){Fn(Bn,t,r,i,!0)&&Fn(e,n,Bn[0],Bn[1])}(e,a,n,r,i)}else{e[0]=r,e[1]=i;var s=o&&o.getViewportRootOffset();s&&(e[0]+=s.offsetLeft,e[1]+=s.offsetTop)}e[2]=e[0]/t.getWidth(),e[3]=e[1]/t.getHeight()}var K2=function(){function e(e,t){if(this._show=!1,this._styleCoord=[0,0,0,0],this._enterable=!0,this._alwaysShowContent=!1,this._firstShow=!0,this._longHide=!0,Ne.wxa)return null;var n=document.createElement("div");n.domBelongToZr=!0,this.el=n;var r=this._zr=e.getZr(),i=t.appendTo,o=i&&(St(i)?document.querySelector(i):Dt(i)?i:wt(i)&&i(e.getDom()));$2(this._styleCoord,r,o,e.getWidth()/2,e.getHeight()/2),(o||e.getDom()).appendChild(n),this._api=e,this._container=o;var a=this;n.onmouseenter=function(){a._enterable&&(clearTimeout(a._hideTimeout),a._show=!0),a._inContent=!0},n.onmousemove=function(e){if(e=e||window.event,!a._enterable){var t=r.handler;qn(r.painter.getViewportRoot(),e,!0),t.dispatch("mousemove",e)}},n.onmouseleave=function(){a._inContent=!1,a._enterable&&a._show&&a.hideLater(a._hideDelay)}}return e.prototype.update=function(e){if(!this._container){var t=this._api.getDom(),n=(o="position",(a=(i=t).currentStyle||document.defaultView&&document.defaultView.getComputedStyle(i))?o?a[o]:a:null),r=t.style;"absolute"!==r.position&&"absolute"!==n&&(r.position="relative")}var i,o,a,s=e.get("alwaysShowContent");s&&this._moveIfResized(),this._alwaysShowContent=s,this.el.className=e.get("className")||""},e.prototype.show=function(e,t){clearTimeout(this._hideTimeout),clearTimeout(this._longHideTimeout);var n=this.el,r=n.style,i=this._styleCoord;n.innerHTML?r.cssText=Z2+function(e,t,n){var r=[],i=e.get("transitionDuration"),o=e.get("backgroundColor"),a=e.get("shadowBlur"),s=e.get("shadowColor"),l=e.get("shadowOffsetX"),u=e.get("shadowOffsetY"),c=e.getModel("textStyle"),h=Gg(e,"html"),d=l+"px "+u+"px "+a+"px "+s;return r.push("box-shadow:"+d),t&&i&&r.push(function(e,t){var n="cubic-bezier(0.23,1,0.32,1)",r=" "+e/2+"s "+n,i="opacity"+r+",visibility"+r;return t||(r=" "+e+"s "+n,i+=Ne.transformSupported?","+Y2+r:",left"+r+",top"+r),X2+":"+i}(i,n)),o&&r.push("background-color:"+o),pt(["width","color","radius"],(function(t){var n="border-"+t,i=Bd(n),o=e.get(i);null!=o&&r.push(n+":"+o+("color"===t?"":"px"))})),r.push(function(e){var t=[],n=e.get("fontSize"),r=e.getTextColor();r&&t.push("color:"+r),t.push("font:"+e.getFont()),n&&t.push("line-height:"+Math.round(3*n/2)+"px");var i=e.get("textShadowColor"),o=e.get("textShadowBlur")||0,a=e.get("textShadowOffsetX")||0,s=e.get("textShadowOffsetY")||0;return i&&o&&t.push("text-shadow:"+a+"px "+s+"px "+o+"px "+i),pt(["decoration","align"],(function(n){var r=e.get(n);r&&t.push("text-"+n+":"+r)})),t.join(";")}(c)),null!=h&&r.push("padding:"+Fd(h).join("px ")+"px"),r.join(";")+";"}(e,!this._firstShow,this._longHide)+q2(i[0],i[1],!0)+"border-color:"+Xd(t)+";"+(e.get("extraCssText")||"")+";pointer-events:"+(this._enterable?"auto":"none"):r.display="none",this._show=!0,this._firstShow=!1,this._longHide=!1},e.prototype.setContent=function(e,t,n,r,i){var o=this.el;if(null!=e){var a="";if(St(i)&&"item"===n.get("trigger")&&!H2(n)&&(a=function(e,t,n){if(!St(n)||"inside"===n)return"";var r=e.get("backgroundColor"),i=e.get("borderWidth");t=Xd(t);var o,a,s="left"===(o=n)?"right":"right"===o?"left":"top"===o?"bottom":"top",l=Math.max(1.5*Math.round(i),6),u="",c=Y2+":";ut(["left","right"],s)>-1?(u+="top:50%",c+="translateY(-50%) rotate("+(a="left"===s?-225:-45)+"deg)"):(u+="left:50%",c+="translateX(-50%) rotate("+(a="top"===s?225:45)+"deg)");var h=a*Math.PI/180,d=l+i,p=d*Math.abs(Math.cos(h))+d*Math.abs(Math.sin(h)),f=t+" solid "+i+"px;";return'<div style="'+["position:absolute;width:"+l+"px;height:"+l+"px;z-index:-1;",(u+=";"+s+":-"+Math.round(100*((p-Math.SQRT2*i)/2+Math.SQRT2*i-(p-d)/2))/100+"px")+";"+c+";","border-bottom:"+f,"border-right:"+f,"background-color:"+r+";"].join("")+'"></div>'}(n,r,i)),St(e))o.innerHTML=e+a;else if(e){o.innerHTML="",bt(e)||(e=[e]);for(var s=0;s<e.length;s++)Dt(e[s])&&e[s].parentNode!==o&&o.appendChild(e[s]);if(a&&o.childNodes.length){var l=document.createElement("div");l.innerHTML=a,o.appendChild(l)}}}else o.innerHTML=""},e.prototype.setEnterable=function(e){this._enterable=e},e.prototype.getSize=function(){var e=this.el;return[e.offsetWidth,e.offsetHeight]},e.prototype.moveTo=function(e,t){var n=this._styleCoord;if($2(n,this._zr,this._container,e,t),null!=n[0]&&null!=n[1]){var r=this.el.style;pt(q2(n[0],n[1]),(function(e){r[e[0]]=e[1]}))}},e.prototype._moveIfResized=function(){var e=this._styleCoord[2],t=this._styleCoord[3];this.moveTo(e*this._zr.getWidth(),t*this._zr.getHeight())},e.prototype.hide=function(){var e=this,t=this.el.style;t.visibility="hidden",t.opacity="0",Ne.transform3dSupported&&(t.willChange=""),this._show=!1,this._longHideTimeout=setTimeout((function(){return e._longHide=!0}),500)},e.prototype.hideLater=function(e){!this._show||this._inContent&&this._enterable||this._alwaysShowContent||(e?(this._hideDelay=e,this._show=!1,this._hideTimeout=setTimeout(_t(this.hide,this),e)):this.hide())},e.prototype.isShow=function(){return this._show},e.prototype.dispose=function(){clearTimeout(this._hideTimeout),clearTimeout(this._longHideTimeout);var e=this.el.parentNode;e&&e.removeChild(this.el),this.el=this._container=null},e}();const J2=K2;var Q2=function(){function e(e){this._show=!1,this._styleCoord=[0,0,0,0],this._alwaysShowContent=!1,this._enterable=!0,this._zr=e.getZr(),n3(this._styleCoord,this._zr,e.getWidth()/2,e.getHeight()/2)}return e.prototype.update=function(e){var t=e.get("alwaysShowContent");t&&this._moveIfResized(),this._alwaysShowContent=t},e.prototype.show=function(){this._hideTimeout&&clearTimeout(this._hideTimeout),this.el.show(),this._show=!0},e.prototype.setContent=function(e,t,n,r,i){var o=this;At(e)&&qf(""),this.el&&this._zr.remove(this.el);var a=n.getModel("textStyle");this.el=new sc({style:{rich:t.richTextStyles,text:e,lineHeight:22,borderWidth:1,borderColor:r,textShadowColor:a.get("textShadowColor"),fill:n.get(["textStyle","color"]),padding:Gg(n,"richText"),verticalAlign:"top",align:"left"},z:n.get("z")}),pt(["backgroundColor","borderRadius","shadowColor","shadowBlur","shadowOffsetX","shadowOffsetY"],(function(e){o.el.style[e]=n.get(e)})),pt(["textShadowBlur","textShadowOffsetX","textShadowOffsetY"],(function(e){o.el.style[e]=a.get(e)||0})),this._zr.add(this.el);var s=this;this.el.on("mouseover",(function(){s._enterable&&(clearTimeout(s._hideTimeout),s._show=!0),s._inContent=!0})),this.el.on("mouseout",(function(){s._enterable&&s._show&&s.hideLater(s._hideDelay),s._inContent=!1}))},e.prototype.setEnterable=function(e){this._enterable=e},e.prototype.getSize=function(){var e=this.el,t=this.el.getBoundingRect(),n=t3(e.style);return[t.width+n.left+n.right,t.height+n.top+n.bottom]},e.prototype.moveTo=function(e,t){var n=this.el;if(n){var r=this._styleCoord;n3(r,this._zr,e,t),e=r[0],t=r[1];var i=n.style,o=e3(i.borderWidth||0),a=t3(i);n.x=e+o+a.left,n.y=t+o+a.top,n.markRedraw()}},e.prototype._moveIfResized=function(){var e=this._styleCoord[2],t=this._styleCoord[3];this.moveTo(e*this._zr.getWidth(),t*this._zr.getHeight())},e.prototype.hide=function(){this.el&&this.el.hide(),this._show=!1},e.prototype.hideLater=function(e){!this._show||this._inContent&&this._enterable||this._alwaysShowContent||(e?(this._hideDelay=e,this._show=!1,this._hideTimeout=setTimeout(_t(this.hide,this),e)):this.hide())},e.prototype.isShow=function(){return this._show},e.prototype.dispose=function(){this._zr.remove(this.el)},e}();function e3(e){return Math.max(0,e)}function t3(e){var t=e3(e.shadowBlur||0),n=e3(e.shadowOffsetX||0),r=e3(e.shadowOffsetY||0);return{left:e3(t-n),right:e3(t+n),top:e3(t-r),bottom:e3(t+r)}}function n3(e,t,n,r){e[0]=n,e[1]=r,e[2]=e[0]/t.getWidth(),e[3]=e[1]/t.getHeight()}const r3=Q2;var i3=new ju({shape:{x:-1,y:-1,width:2,height:2}}),o3=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(e,t){if(!Ne.node&&t.getDom()){var n,r=e.getComponent("tooltip"),i=this._renderMode="auto"===(n=r.get("renderMode"))?Ne.domSupported?"html":"richText":n||"html";this._tooltipContent="richText"===i?new r3(t):new J2(t,{appendTo:r.get("appendToBody",!0)?"body":r.get("appendTo",!0)})}},t.prototype.render=function(e,t,n){if(!Ne.node&&n.getDom()){this.group.removeAll(),this._tooltipModel=e,this._ecModel=t,this._api=n;var r=this._tooltipContent;r.update(e),r.setEnterable(e.get("enterable")),this._initGlobalListener(),this._keepShow(),"richText"!==this._renderMode&&e.get("transitionDuration")?xy(this,"_updatePosition",50,"fixRate"):by(this,"_updatePosition")}},t.prototype._initGlobalListener=function(){var e=this._tooltipModel.get("triggerOn");GQ("itemTooltip",this._api,_t((function(t,n,r){"none"!==e&&(e.indexOf(t)>=0?this._tryShow(n,r):"leave"===t&&this._hide(r))}),this))},t.prototype._keepShow=function(){var e=this._tooltipModel,t=this._ecModel,n=this._api,r=e.get("triggerOn");if(null!=this._lastX&&null!=this._lastY&&"none"!==r&&"click"!==r){var i=this;clearTimeout(this._refreshUpdateTimeout),this._refreshUpdateTimeout=setTimeout((function(){!n.isDisposed()&&i.manuallyShowTip(e,t,n,{x:i._lastX,y:i._lastY,dataByCoordSys:i._lastDataByCoordSys})}))}},t.prototype.manuallyShowTip=function(e,t,n,r){if(r.from!==this.uid&&!Ne.node&&n.getDom()){var i=s3(r,n);this._ticket="";var o=r.dataByCoordSys,a=function(e,t,n){var r=Bs(e).queryOptionMap,i=r.keys()[0];if(i&&"series"!==i){var o,a=Vs(t,i,r.get(i),{useDefault:!1,enableAll:!1,enableNone:!1}).models[0];if(a)return n.getViewOfComponentModel(a).group.traverse((function(t){var n=lc(t).tooltipConfig;if(n&&n.name===e.name)return o=t,!0})),o?{componentMainType:i,componentIndex:a.componentIndex,el:o}:void 0}}(r,t,n);if(a){var s=a.el.getBoundingRect().clone();s.applyTransform(a.el.transform),this._tryShow({offsetX:s.x+s.width/2,offsetY:s.y+s.height/2,target:a.el,position:r.position,positionDefault:"bottom"},i)}else if(r.tooltip&&null!=r.x&&null!=r.y){var l=i3;l.x=r.x,l.y=r.y,l.update(),lc(l).tooltipConfig={name:null,option:r.tooltip},this._tryShow({offsetX:r.x,offsetY:r.y,target:l},i)}else if(o)this._tryShow({offsetX:r.x,offsetY:r.y,position:r.position,dataByCoordSys:o,tooltipOption:r.tooltipOption},i);else if(null!=r.seriesIndex){if(this._manuallyAxisShowTip(e,t,n,r))return;var u=YQ(r,t),c=u.point[0],h=u.point[1];null!=c&&null!=h&&this._tryShow({offsetX:c,offsetY:h,target:u.el,position:r.position,positionDefault:"bottom"},i)}else null!=r.x&&null!=r.y&&(n.dispatchAction({type:"updateAxisPointer",x:r.x,y:r.y}),this._tryShow({offsetX:r.x,offsetY:r.y,position:r.position,target:n.getZr().findHover(r.x,r.y).target},i))}},t.prototype.manuallyHideTip=function(e,t,n,r){var i=this._tooltipContent;this._tooltipModel&&i.hideLater(this._tooltipModel.get("hideDelay")),this._lastX=this._lastY=this._lastDataByCoordSys=null,r.from!==this.uid&&this._hide(s3(r,n))},t.prototype._manuallyAxisShowTip=function(e,t,n,r){var i=r.seriesIndex,o=r.dataIndex,a=t.getComponent("axisPointer").coordSysAxesInfo;if(null!=i&&null!=o&&null!=a){var s=t.getSeriesByIndex(i);if(s&&"axis"===a3([s.getData().getItemModel(o),s,(s.coordinateSystem||{}).model],this._tooltipModel).get("trigger"))return n.dispatchAction({type:"updateAxisPointer",seriesIndex:i,dataIndex:o,position:r.position}),!0}},t.prototype._tryShow=function(e,t){var n=e.target;if(this._tooltipModel){this._lastX=e.offsetX,this._lastY=e.offsetY;var r=e.dataByCoordSys;if(r&&r.length)this._showAxisTooltip(r,e);else if(n){var i,o;if("legend"===lc(n).ssrType)return;this._lastDataByCoordSys=null,d_(n,(function(e){return null!=lc(e).dataIndex?(i=e,!0):null!=lc(e).tooltipConfig?(o=e,!0):void 0}),!0),i?this._showSeriesItemTooltip(e,i,t):o?this._showComponentItemTooltip(e,o,t):this._hide(t)}else this._lastDataByCoordSys=null,this._hide(t)}},t.prototype._showOrMove=function(e,t){var n=e.get("showDelay");t=_t(t,this),clearTimeout(this._showTimout),n>0?this._showTimout=setTimeout(t,n):t()},t.prototype._showAxisTooltip=function(e,t){var n=this._ecModel,r=this._tooltipModel,i=[t.offsetX,t.offsetY],o=a3([t.tooltipOption],r),a=this._renderMode,s=[],l=Lg("section",{blocks:[],noHeader:!0}),u=[],c=new Hg;pt(e,(function(e){pt(e.dataByAxis,(function(e){var t=n.getComponent(e.axisDim+"Axis",e.axisIndex),i=e.value;if(t&&null!=i){var o=IQ(i,t.axis,n,e.seriesDataIndices,e.valueLabelOpt),h=Lg("section",{header:o,noHeader:!Vt(o),sortBlocks:!0,blocks:[]});l.blocks.push(h),pt(e.seriesDataIndices,(function(l){var d=n.getSeriesByIndex(l.seriesIndex),p=l.dataIndexInside,f=d.getDataParams(p);if(!(f.dataIndex<0)){f.axisDim=e.axisDim,f.axisIndex=e.axisIndex,f.axisType=e.axisType,f.axisId=e.axisId,f.axisValue=MS(t.axis,{value:i}),f.axisValueLabel=o,f.marker=c.makeTooltipMarker("item",Xd(f.color),a);var g=jf(d.formatTooltip(p,!0,null)),m=g.frag;if(m){var v=a3([d],r).get("valueFormatter");h.blocks.push(v?at({valueFormatter:v},m):m)}g.text&&u.push(g.text),s.push(f)}}))}}))})),l.blocks.reverse(),u.reverse();var h=t.position,d=o.get("order"),p=Bg(l,c,a,d,n.get("useUTC"),o.get("textStyle"));p&&u.unshift(p);var f="richText"===a?"\n\n":"<br/>",g=u.join(f);this._showOrMove(o,(function(){this._updateContentNotChangedOnAxis(e,s)?this._updatePosition(o,h,i[0],i[1],this._tooltipContent,s):this._showTooltipContent(o,g,s,Math.random()+"",i[0],i[1],h,null,c)}))},t.prototype._showSeriesItemTooltip=function(e,t,n){var r=this._ecModel,i=lc(t),o=i.seriesIndex,a=r.getSeriesByIndex(o),s=i.dataModel||a,l=i.dataIndex,u=i.dataType,c=s.getData(u),h=this._renderMode,d=e.positionDefault,p=a3([c.getItemModel(l),s,a&&(a.coordinateSystem||{}).model],this._tooltipModel,d?{position:d}:null),f=p.get("trigger");if(null==f||"item"===f){var g=s.getDataParams(l,u),m=new Hg;g.marker=m.makeTooltipMarker("item",Xd(g.color),h);var v=jf(s.formatTooltip(l,!1,u)),y=p.get("order"),_=p.get("valueFormatter"),x=v.frag,b=x?Bg(_?at({valueFormatter:_},x):x,m,h,y,r.get("useUTC"),p.get("textStyle")):v.text,w="item_"+s.name+"_"+l;this._showOrMove(p,(function(){this._showTooltipContent(p,b,g,w,e.offsetX,e.offsetY,e.position,e.target,m)})),n({type:"showTip",dataIndexInside:l,dataIndex:c.getRawIndex(l),seriesIndex:o,from:this.uid})}},t.prototype._showComponentItemTooltip=function(e,t,n){var r=lc(t),i=r.tooltipConfig.option||{};St(i)&&(i={content:i,formatter:i});var o=[i],a=this._ecModel.getComponent(r.componentMainType,r.componentIndex);a&&o.push(a),o.push({formatter:i.content});var s=e.positionDefault,l=a3(o,this._tooltipModel,s?{position:s}:null),u=l.get("content"),c=Math.random()+"",h=new Hg;this._showOrMove(l,(function(){var n=rt(l.get("formatterParams")||{});this._showTooltipContent(l,u,n,c,e.offsetX,e.offsetY,e.position,t,h)})),n({type:"showTip",from:this.uid})},t.prototype._showTooltipContent=function(e,t,n,r,i,o,a,s,l){if(this._ticket="",e.get("showContent")&&e.get("show")){var u=this._tooltipContent;u.setEnterable(e.get("enterable"));var c=e.get("formatter");a=a||e.get("position");var h=t,d=this._getNearestPoint([i,o],n,e.get("trigger"),e.get("borderColor")).color;if(c)if(St(c)){var p=e.ecModel.get("useUTC"),f=bt(n)?n[0]:n;h=c,f&&f.axisType&&f.axisType.indexOf("time")>=0&&(h=_d(f.axisValue,h,p)),h=Hd(h,n,!0)}else if(wt(c)){var g=_t((function(t,r){t===this._ticket&&(u.setContent(r,l,e,d,a),this._updatePosition(e,a,i,o,u,n,s))}),this);this._ticket=r,h=c(n,r,g)}else h=c;u.setContent(h,l,e,d,a),u.show(e,d),this._updatePosition(e,a,i,o,u,n,s)}},t.prototype._getNearestPoint=function(e,t,n,r){return"axis"===n||bt(t)?{color:r||("html"===this._renderMode?"#fff":"none")}:bt(t)?void 0:{color:r||t.color||t.borderColor}},t.prototype._updatePosition=function(e,t,n,r,i,o,a){var s=this._api.getWidth(),l=this._api.getHeight();t=t||e.get("position");var u=i.getSize(),c=e.get("align"),h=e.get("verticalAlign"),d=a&&a.getBoundingRect().clone();if(a&&d.applyTransform(a.transform),wt(t)&&(t=t([n,r],o,i.el,d,{viewSize:[s,l],contentSize:u.slice()})),bt(t))n=qa(t[0],s),r=qa(t[1],l);else if(At(t)){var p=t;p.width=u[0],p.height=u[1];var f=Qd(p,{width:s,height:l});n=f.x,r=f.y,c=null,h=null}else if(St(t)&&a){var g=function(e,t,n,r){var i=n[0],o=n[1],a=Math.ceil(Math.SQRT2*r)+8,s=0,l=0,u=t.width,c=t.height;switch(e){case"inside":s=t.x+u/2-i/2,l=t.y+c/2-o/2;break;case"top":s=t.x+u/2-i/2,l=t.y-o-a;break;case"bottom":s=t.x+u/2-i/2,l=t.y+c+a;break;case"left":s=t.x-i-a,l=t.y+c/2-o/2;break;case"right":s=t.x+u+a,l=t.y+c/2-o/2}return[s,l]}(t,d,u,e.get("borderWidth"));n=g[0],r=g[1]}else g=function(e,t,n,r,i,o,a){var s=n.getSize(),l=s[0],u=s[1];return null!=o&&(e+l+o+2>r?e-=l+o:e+=o),null!=a&&(t+u+a>i?t-=u+a:t+=a),[e,t]}(n,r,i,s,l,c?null:20,h?null:20),n=g[0],r=g[1];c&&(n-=l3(c)?u[0]/2:"right"===c?u[0]:0),h&&(r-=l3(h)?u[1]/2:"bottom"===h?u[1]:0),H2(e)&&(g=function(e,t,n,r,i){var o=n.getSize(),a=o[0],s=o[1];return e=Math.min(e+a,r)-a,t=Math.min(t+s,i)-s,[e=Math.max(e,0),t=Math.max(t,0)]}(n,r,i,s,l),n=g[0],r=g[1]),i.moveTo(n,r)},t.prototype._updateContentNotChangedOnAxis=function(e,t){var n=this._lastDataByCoordSys,r=this._cbParamsList,i=!!n&&n.length===e.length;return i&&pt(n,(function(n,o){var a=n.dataByAxis||[],s=(e[o]||{}).dataByAxis||[];(i=i&&a.length===s.length)&&pt(a,(function(e,n){var o=s[n]||{},a=e.seriesDataIndices||[],l=o.seriesDataIndices||[];(i=i&&e.value===o.value&&e.axisType===o.axisType&&e.axisId===o.axisId&&a.length===l.length)&&pt(a,(function(e,t){var n=l[t];i=i&&e.seriesIndex===n.seriesIndex&&e.dataIndex===n.dataIndex})),r&&pt(e.seriesDataIndices,(function(e){var n=e.seriesIndex,o=t[n],a=r[n];o&&a&&a.data!==o.data&&(i=!1)}))}))})),this._lastDataByCoordSys=e,this._cbParamsList=t,!!i},t.prototype._hide=function(e){this._lastDataByCoordSys=null,e({type:"hideTip",from:this.uid})},t.prototype.dispose=function(e,t){!Ne.node&&t.getDom()&&(by(this,"_updatePosition"),this._tooltipContent.dispose(),WQ("itemTooltip",t))},t.type="tooltip",t}(rm);function a3(e,t,n){var r,i=t.ecModel;n?(r=new qh(n,i,i),r=new qh(t.option,r,i)):r=t;for(var o=e.length-1;o>=0;o--){var a=e[o];a&&(a instanceof qh&&(a=a.get("tooltip",!0)),St(a)&&(a={formatter:a}),a&&(r=new qh(a,r,i)))}return r}function s3(e,t){return e.dispatchAction||_t(t.dispatchAction,t)}function l3(e){return"center"===e||"middle"===e}const u3=o3;var c3=["rect","polygon","keep","clear"];function h3(e,t){var n=ws(e?e.brush:[]);if(n.length){var r=[];pt(n,(function(e){var t=e.hasOwnProperty("toolbox")?e.toolbox:[];t instanceof Array&&(r=r.concat(t))}));var i=e&&e.toolbox;bt(i)&&(i=i[0]),i||(i={feature:{}},e.toolbox=[i]);var o=i.feature||(i.feature={}),a=o.brush||(o.brush={}),s=a.type||(a.type=[]);s.push.apply(s,r),function(e){var t={};pt(e,(function(e){t[e]=1})),e.length=0,pt(t,(function(t,n){e.push(n)}))}(s),t&&!s.length&&s.push.apply(s,c3)}}var d3=pt;function p3(e){if(e)for(var t in e)if(e.hasOwnProperty(t))return!0}function f3(e,t,n){var r={};return d3(t,(function(t){var i,o=r[t]=((i=function(){}).prototype.__hidden=i.prototype,new i);d3(e[t],(function(e,r){if(_X.isValidType(r)){var i={type:r,visual:e};n&&n(i,t),o[r]=new _X(i),"opacity"===r&&((i=rt(i)).type="colorAlpha",o.__hidden.__alphaForOpacity=new _X(i))}}))})),r}function g3(e,t,n){var r;pt(n,(function(e){t.hasOwnProperty(e)&&p3(t[e])&&(r=!0)})),r&&pt(n,(function(n){t.hasOwnProperty(n)&&p3(t[n])?e[n]=rt(t[n]):delete e[n]}))}var m3={lineX:v3(0),lineY:v3(1),rect:{point:function(e,t,n){return e&&n.boundingRect.contain(e[0],e[1])},rect:function(e,t,n){return e&&n.boundingRect.intersect(e)}},polygon:{point:function(e,t,n){return e&&n.boundingRect.contain(e[0],e[1])&&VS(n.range,e[0],e[1])},rect:function(e,t,n){var r=n.range;if(!e||r.length<=1)return!1;var i=e.x,o=e.y,a=e.width,s=e.height,l=r[0];return!!(VS(r,i,o)||VS(r,i+a,o)||VS(r,i,o+s)||VS(r,i+a,o+s)||wr.create(e).contain(l[0],l[1])||ty(i,o,i+a,o,r)||ty(i,o,i,o+s,r)||ty(i+a,o,i+a,o+s,r)||ty(i,o+s,i+a,o+s,r))||void 0}}};function v3(e){var t=["x","y"],n=["width","height"];return{point:function(t,n,r){if(t){var i=r.range;return y3(t[e],i)}},rect:function(r,i,o){if(r){var a=o.range,s=[r[t[e]],r[t[e]]+r[n[e]]];return s[1]<s[0]&&s.reverse(),y3(s[0],a)||y3(s[1],a)||y3(a[0],s)||y3(a[1],s)}}}}function y3(e,t){return t[0]<=e&&e<=t[1]}var _3=["inBrush","outOfBrush"],x3="__ecBrushSelect",b3="__ecInBrushSelectEvent";function w3(e){e.eachComponent({mainType:"brush"},(function(t){(t.brushTargetManager=new P2(t.option,e)).setInputRanges(t.areas,e)}))}function S3(e,t,n){var r,i,o=[];e.eachComponent({mainType:"brush"},(function(e){n&&"takeGlobalCursor"===n.type&&e.setBrushOption("brush"===n.key?n.brushOption:{brushType:!1})})),w3(e),e.eachComponent({mainType:"brush"},(function(t,n){var a={brushId:t.id,brushIndex:n,brushName:t.name,areas:rt(t.areas),selected:[]};o.push(a);var s=t.option,l=s.brushLink,u=[],c=[],h=[],d=!1;n||(r=s.throttleType,i=s.throttleDelay);var p=ft(t.areas,(function(e){var t=A3[e.brushType],n=st({boundingRect:t?t(e):void 0},e);return n.selectors=function(e){var t=e.brushType,n={point:function(r){return m3[t].point(r,n,e)},rect:function(r){return m3[t].rect(r,n,e)}};return n}(n),n})),f=f3(t.option,_3,(function(e){e.mappingMethod="fixed"}));function g(e){return"all"===l||!!u[e]}function m(e){return!!e.length}bt(l)&&pt(l,(function(e){u[e]=1})),e.eachSeries((function(n,r){var i=h[r]=[];"parallel"===n.subType?function(e,t){var n=e.coordinateSystem;d=d||n.hasAxisBrushed(),g(t)&&n.eachActiveState(e.getData(),(function(e,t){"active"===e&&(c[t]=1)}))}(n,r):function(n,r,i){if(n.brushSelector&&!function(e,t){var n=e.option.seriesIndex;return null!=n&&"all"!==n&&(bt(n)?ut(n,t)<0:t!==n)}(t,r)&&(pt(p,(function(r){t.brushTargetManager.controlSeries(r,n,e)&&i.push(r),d=d||m(i)})),g(r)&&m(i))){var o=n.getData();o.each((function(e){T3(n,i,o,e)&&(c[e]=1)}))}}(n,r,i)})),e.eachSeries((function(e,t){var n={seriesId:e.id,seriesIndex:t,seriesName:e.name,dataIndex:[]};a.selected.push(n);var r=h[t],i=e.getData(),o=g(t)?function(e){return c[e]?(n.dataIndex.push(i.getRawIndex(e)),"inBrush"):"outOfBrush"}:function(t){return T3(e,r,i,t)?(n.dataIndex.push(i.getRawIndex(t)),"inBrush"):"outOfBrush"};(g(t)?d:m(r))&&function(e,t,n,r,i,o){var a,s={};function l(e){return s_(n,a,e)}function u(e,t){u_(n,a,e,t)}function c(e,i){a=e;var o=n.getRawDataItem(a);if(!o||!1!==o.visualMap)for(var c=r.call(undefined,e),h=t[c],d=s[c],p=0,f=d.length;p<f;p++){var g=d[p];h[g]&&h[g].applyVisual(e,l,u)}}pt(e,(function(e){var n=_X.prepareVisualTypes(t[e]);s[e]=n})),n.each(c)}(_3,f,i,o)}))})),function(e,t,n,r,i){if(i){var o=e.getZr();if(!o[b3])o[x3]||(o[x3]=M3),xy(o,x3,n,t)(e,r)}}(t,r,i,o,n)}function M3(e,t){if(!e.isDisposed()){var n=e.getZr();n[b3]=!0,e.dispatchAction({type:"brushSelect",batch:t}),n[b3]=!1}}function T3(e,t,n,r){for(var i=0,o=t.length;i<o;i++){var a=t[i];if(e.brushSelector(r,n,a.selectors,a))return!0}}var A3={rect:function(e){return I3(e.range)},polygon:function(e){for(var t,n=e.range,r=0,i=n.length;r<i;r++){t=t||[[1/0,-1/0],[1/0,-1/0]];var o=n[r];o[0]<t[0][0]&&(t[0][0]=o[0]),o[0]>t[0][1]&&(t[0][1]=o[0]),o[1]<t[1][0]&&(t[1][0]=o[1]),o[1]>t[1][1]&&(t[1][1]=o[1])}return t&&I3(t)}};function I3(e){return new wr(e[0][0],e[1][0],e[0][1]-e[0][0],e[1][1]-e[1][0])}const C3=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(e,t){this.ecModel=e,this.api=t,this.model,(this._brushController=new Dq(t.getZr())).on("brush",_t(this._onBrush,this)).mount()},t.prototype.render=function(e,t,n,r){this.model=e,this._updateController(e,t,n,r)},t.prototype.updateTransform=function(e,t,n,r){w3(t),this._updateController(e,t,n,r)},t.prototype.updateVisual=function(e,t,n,r){this.updateTransform(e,t,n,r)},t.prototype.updateView=function(e,t,n,r){this._updateController(e,t,n,r)},t.prototype._updateController=function(e,t,n,r){(!r||r.$from!==e.id)&&this._brushController.setPanels(e.brushTargetManager.makePanelOpts(n)).enableBrush(e.brushOption).updateCovers(e.areas.slice())},t.prototype.dispose=function(){this._brushController.dispose()},t.prototype._onBrush=function(e){var t=this.model.id,n=this.model.brushTargetManager.setOutputRanges(e.areas,this.ecModel);(!e.isEnd||e.removeOnClick)&&this.api.dispatchAction({type:"brush",brushId:t,areas:rt(n),$from:t}),e.isEnd&&this.api.dispatchAction({type:"brushEnd",brushId:t,areas:rt(n),$from:t})},t.type="brush",t}(rm);function D3(e,t){return it({brushType:e.brushType,brushMode:e.brushMode,transformable:e.transformable,brushStyle:new qh(e.brushStyle).getItemStyle(),removeOnClick:e.removeOnClick,z:e.z},t,!0)}const E3=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.areas=[],n.brushOption={},n}return Le(t,e),t.prototype.optionUpdated=function(e,t){var n=this.option;!t&&g3(n,e,["inBrush","outOfBrush"]);var r=n.inBrush=n.inBrush||{};n.outOfBrush=n.outOfBrush||{color:"#ddd"},r.hasOwnProperty("liftZ")||(r.liftZ=5)},t.prototype.setAreas=function(e){e&&(this.areas=ft(e,(function(e){return D3(this.option,e)}),this))},t.prototype.setBrushOption=function(e){this.brushOption=D3(this.option,e),this.brushType=this.brushOption.brushType},t.type="brush",t.dependencies=["geo","grid","xAxis","yAxis","parallel","series"],t.defaultOption={seriesIndex:"all",brushType:"rect",brushMode:"single",transformable:!0,brushStyle:{borderWidth:1,color:"rgba(210,219,238,0.3)",borderColor:"#D2DBEE"},throttleType:"fixRate",throttleDelay:0,removeOnClick:!0,z:1e4},t}(sp);var L3=["rect","polygon","lineX","lineY","keep","clear"];const P3=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return Le(t,e),t.prototype.render=function(e,t,n){var r,i,o;t.eachComponent({mainType:"brush"},(function(e){r=e.brushType,i=e.brushOption.brushMode||"single",o=o||!!e.areas.length})),this._brushType=r,this._brushMode=i,pt(e.get("type",!0),(function(t){e.setIconStatus(t,("keep"===t?"multiple"===i:"clear"===t?o:t===r)?"emphasis":"normal")}))},t.prototype.updateView=function(e,t,n){this.render(e,t,n)},t.prototype.getIcons=function(){var e=this.model,t=e.get("icon",!0),n={};return pt(e.get("type",!0),(function(e){t[e]&&(n[e]=t[e])})),n},t.prototype.onclick=function(e,t,n){var r=this._brushType,i=this._brushMode;"clear"===n?(t.dispatchAction({type:"axisAreaSelect",intervals:[]}),t.dispatchAction({type:"brush",command:"clear",areas:[]})):t.dispatchAction({type:"takeGlobalCursor",key:"brush",brushOption:{brushType:"keep"===n?r:r!==n&&n,brushMode:"keep"===n?"multiple"===i?"single":"multiple":i}})},t.getDefaultOption=function(e){return{show:!0,type:L3.slice(),icon:{rect:"M7.3,34.7 M0.4,10V-0.2h9.8 M89.6,10V-0.2h-9.8 M0.4,60v10.2h9.8 M89.6,60v10.2h-9.8 M12.3,22.4V10.5h13.1 M33.6,10.5h7.8 M49.1,10.5h7.8 M77.5,22.4V10.5h-13 M12.3,31.1v8.2 M77.7,31.1v8.2 M12.3,47.6v11.9h13.1 M33.6,59.5h7.6 M49.1,59.5 h7.7 M77.5,47.6v11.9h-13",polygon:"M55.2,34.9c1.7,0,3.1,1.4,3.1,3.1s-1.4,3.1-3.1,3.1 s-3.1-1.4-3.1-3.1S53.5,34.9,55.2,34.9z M50.4,51c1.7,0,3.1,1.4,3.1,3.1c0,1.7-1.4,3.1-3.1,3.1c-1.7,0-3.1-1.4-3.1-3.1 C47.3,52.4,48.7,51,50.4,51z M55.6,37.1l1.5-7.8 M60.1,13.5l1.6-8.7l-7.8,4 M59,19l-1,5.3 M24,16.1l6.4,4.9l6.4-3.3 M48.5,11.6 l-5.9,3.1 M19.1,12.8L9.7,5.1l1.1,7.7 M13.4,29.8l1,7.3l6.6,1.6 M11.6,18.4l1,6.1 M32.8,41.9 M26.6,40.4 M27.3,40.2l6.1,1.6 M49.9,52.1l-5.6-7.6l-4.9-1.2",lineX:"M15.2,30 M19.7,15.6V1.9H29 M34.8,1.9H40.4 M55.3,15.6V1.9H45.9 M19.7,44.4V58.1H29 M34.8,58.1H40.4 M55.3,44.4 V58.1H45.9 M12.5,20.3l-9.4,9.6l9.6,9.8 M3.1,29.9h16.5 M62.5,20.3l9.4,9.6L62.3,39.7 M71.9,29.9H55.4",lineY:"M38.8,7.7 M52.7,12h13.2v9 M65.9,26.6V32 M52.7,46.3h13.2v-9 M24.9,12H11.8v9 M11.8,26.6V32 M24.9,46.3H11.8v-9 M48.2,5.1l-9.3-9l-9.4,9.2 M38.9-3.9V12 M48.2,53.3l-9.3,9l-9.4-9.2 M38.9,62.3V46.4",keep:"M4,10.5V1h10.3 M20.7,1h6.1 M33,1h6.1 M55.4,10.5V1H45.2 M4,17.3v6.6 M55.6,17.3v6.6 M4,30.5V40h10.3 M20.7,40 h6.1 M33,40h6.1 M55.4,30.5V40H45.2 M21,18.9h62.9v48.6H21V18.9z",clear:"M22,14.7l30.9,31 M52.9,14.7L22,45.7 M4.7,16.8V4.2h13.1 M26,4.2h7.8 M41.6,4.2h7.8 M70.3,16.8V4.2H57.2 M4.7,25.9v8.6 M70.3,25.9v8.6 M4.7,43.2v12.6h13.1 M26,55.8h7.8 M41.6,55.8h7.8 M70.3,43.2v12.6H57.2"},title:e.getLocaleModel().get(["toolbox","brush","title"])}},t}(Y0);var O3=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.layoutMode={type:"box",ignoreSize:!0},n}return Le(t,e),t.type="title",t.defaultOption={z:6,show:!0,text:"",target:"blank",subtext:"",subtarget:"blank",left:0,top:0,backgroundColor:"rgba(0,0,0,0)",borderColor:"#ccc",borderWidth:0,padding:5,itemGap:10,textStyle:{fontSize:18,fontWeight:"bold",color:"#464646"},subtextStyle:{fontSize:12,color:"#6E7079"}},t}(sp),N3=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.render=function(e,t,n){if(this.group.removeAll(),e.get("show")){var r=this.group,i=e.getModel("textStyle"),o=e.getModel("subtextStyle"),a=e.get("textAlign"),s=Rt(e.get("textBaseline"),e.get("textVerticalAlign")),l=new sc({style:Th(i,{text:e.get("text"),fill:i.getTextColor()},{disableBox:!0}),z2:10}),u=l.getBoundingRect(),c=e.get("subtext"),h=new sc({style:Th(o,{text:c,fill:o.getTextColor(),y:u.height+e.get("itemGap"),verticalAlign:"top"},{disableBox:!0}),z2:10}),d=e.get("link"),p=e.get("sublink"),f=e.get("triggerEvent",!0);l.silent=!d&&!f,h.silent=!p&&!f,d&&l.on("click",(function(){Yd(d,"_"+e.get("target"))})),p&&h.on("click",(function(){Yd(p,"_"+e.get("subtarget"))})),lc(l).eventData=lc(h).eventData=f?{componentType:"title",componentIndex:e.componentIndex}:null,r.add(l),c&&r.add(h);var g=r.getBoundingRect(),m=e.getBoxLayoutParams();m.width=g.width,m.height=g.height;var v=Qd(m,{width:n.getWidth(),height:n.getHeight()},e.get("padding"));a||("middle"===(a=e.get("left")||e.get("right"))&&(a="center"),"right"===a?v.x+=v.width:"center"===a&&(v.x+=v.width/2)),s||("center"===(s=e.get("top")||e.get("bottom"))&&(s="middle"),"bottom"===s?v.y+=v.height:"middle"===s&&(v.y+=v.height/2),s=s||"top"),r.x=v.x,r.y=v.y,r.markRedraw();var y={align:a,verticalAlign:s};l.setStyle(y),h.setStyle(y),g=r.getBoundingRect();var _=v.margin,x=e.getItemStyle(["color","opacity"]);x.fill=e.get("backgroundColor");var b=new ju({shape:{x:g.x-_[3],y:g.y-_[0],width:g.width+_[1]+_[3],height:g.height+_[0]+_[2],r:e.get("borderRadius")},style:x,subPixelOptimize:!0,silent:!0});r.add(b)}},t.type="title",t}(rm),R3=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.layoutMode="box",n}return Le(t,e),t.prototype.init=function(e,t,n){this.mergeDefaultAndTheme(e,n),this._initData()},t.prototype.mergeOption=function(t){e.prototype.mergeOption.apply(this,arguments),this._initData()},t.prototype.setCurrentIndex=function(e){null==e&&(e=this.option.currentIndex);var t=this._data.count();this.option.loop?e=(e%t+t)%t:(e>=t&&(e=t-1),e<0&&(e=0)),this.option.currentIndex=e},t.prototype.getCurrentIndex=function(){return this.option.currentIndex},t.prototype.isIndexMax=function(){return this.getCurrentIndex()>=this._data.count()-1},t.prototype.setPlayState=function(e){this.option.autoPlay=!!e},t.prototype.getPlayState=function(){return!!this.option.autoPlay},t.prototype._initData=function(){var e,t=this.option,n=t.data||[],r=t.axisType,i=this._names=[];"category"===r?(e=[],pt(n,(function(t,n){var r,o=Es(Ts(t),"");At(t)?(r=rt(t)).value=n:r=n,e.push(r),i.push(o)}))):e=n;var o={category:"ordinal",time:"time",value:"number"}[r]||"number";(this._data=new lw([{name:"value",type:o}],this)).initData(e,i)},t.prototype.getData=function(){return this._data},t.prototype.getCategories=function(){if("category"===this.get("axisType"))return this._names.slice()},t.type="timeline",t.defaultOption={z:4,show:!0,axisType:"time",realtime:!0,left:"20%",top:null,right:"20%",bottom:0,width:null,height:40,padding:5,controlPosition:"left",autoPlay:!1,rewind:!1,loop:!0,playInterval:2e3,currentIndex:0,itemStyle:{},label:{color:"#000"},data:[]},t}(sp);const k3=R3;var B3=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="timeline.slider",t.defaultOption=Jh(k3.defaultOption,{backgroundColor:"rgba(0,0,0,0)",borderColor:"#ccc",borderWidth:0,orient:"horizontal",inverse:!1,tooltip:{trigger:"item"},symbol:"circle",symbolSize:12,lineStyle:{show:!0,width:2,color:"#DAE1F5"},label:{position:"auto",show:!0,interval:"auto",rotate:0,color:"#A4B1D7"},itemStyle:{color:"#A4B1D7",borderWidth:1},checkpointStyle:{symbol:"circle",symbolSize:15,color:"#316bf3",borderColor:"#fff",borderWidth:2,shadowBlur:2,shadowOffsetX:1,shadowOffsetY:1,shadowColor:"rgba(0, 0, 0, 0.3)",animation:!0,animationDuration:300,animationEasing:"quinticInOut"},controlStyle:{show:!0,showPlayBtn:!0,showPrevBtn:!0,showNextBtn:!0,itemSize:24,itemGap:12,position:"left",playIcon:"path://M31.6,53C17.5,53,6,41.5,6,27.4S17.5,1.8,31.6,1.8C45.7,1.8,57.2,13.3,57.2,27.4S45.7,53,31.6,53z M31.6,3.3 C18.4,3.3,7.5,14.1,7.5,27.4c0,13.3,10.8,24.1,24.1,24.1C44.9,51.5,55.7,40.7,55.7,27.4C55.7,14.1,44.9,3.3,31.6,3.3z M24.9,21.3 c0-2.2,1.6-3.1,3.5-2l10.5,6.1c1.899,1.1,1.899,2.9,0,4l-10.5,6.1c-1.9,1.1-3.5,0.2-3.5-2V21.3z",stopIcon:"path://M30.9,53.2C16.8,53.2,5.3,41.7,5.3,27.6S16.8,2,30.9,2C45,2,56.4,13.5,56.4,27.6S45,53.2,30.9,53.2z M30.9,3.5C17.6,3.5,6.8,14.4,6.8,27.6c0,13.3,10.8,24.1,24.101,24.1C44.2,51.7,55,40.9,55,27.6C54.9,14.4,44.1,3.5,30.9,3.5z M36.9,35.8c0,0.601-0.4,1-0.9,1h-1.3c-0.5,0-0.9-0.399-0.9-1V19.5c0-0.6,0.4-1,0.9-1H36c0.5,0,0.9,0.4,0.9,1V35.8z M27.8,35.8 c0,0.601-0.4,1-0.9,1h-1.3c-0.5,0-0.9-0.399-0.9-1V19.5c0-0.6,0.4-1,0.9-1H27c0.5,0,0.9,0.4,0.9,1L27.8,35.8L27.8,35.8z",nextIcon:"M2,18.5A1.52,1.52,0,0,1,.92,18a1.49,1.49,0,0,1,0-2.12L7.81,9.36,1,3.11A1.5,1.5,0,1,1,3,.89l8,7.34a1.48,1.48,0,0,1,.49,1.09,1.51,1.51,0,0,1-.46,1.1L3,18.08A1.5,1.5,0,0,1,2,18.5Z",prevIcon:"M10,.5A1.52,1.52,0,0,1,11.08,1a1.49,1.49,0,0,1,0,2.12L4.19,9.64,11,15.89a1.5,1.5,0,1,1-2,2.22L1,10.77A1.48,1.48,0,0,1,.5,9.68,1.51,1.51,0,0,1,1,8.58L9,.92A1.5,1.5,0,0,1,10,.5Z",prevBtnSize:18,nextBtnSize:18,color:"#A4B1D7",borderColor:"#A4B1D7",borderWidth:1},emphasis:{label:{show:!0,color:"#6f778d"},itemStyle:{color:"#316BF3"},controlStyle:{color:"#316BF3",borderColor:"#316BF3",borderWidth:2}},progress:{lineStyle:{color:"#316BF3"},itemStyle:{color:"#316BF3"},label:{color:"#6f778d"}},data:[]}),t}(k3);ht(B3,Wf.prototype);const F3=B3,z3=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="timeline",t}(rm);var V3=function(e){function t(t,n,r,i){var o=e.call(this,t,n,r)||this;return o.type=i||"value",o}return Le(t,e),t.prototype.getLabelModel=function(){return this.model.getModel("label")},t.prototype.isHorizontal=function(){return"horizontal"===this.model.get("orient")},t}(uM);const G3=V3;var H3=Math.PI,U3=Ns(),W3=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(e,t){this.api=t},t.prototype.render=function(e,t,n){if(this.model=e,this.api=n,this.ecModel=t,this.group.removeAll(),e.get("show",!0)){var r=this._layout(e,n),i=this._createGroup("_mainGroup"),o=this._createGroup("_labelGroup"),a=this._axis=this._createAxis(r,e);e.formatTooltip=function(e){return Lg("nameValue",{noName:!0,value:a.scale.getLabel({value:e})})},pt(["AxisLine","AxisTick","Control","CurrentPointer"],(function(t){this["_render"+t](r,i,a,e)}),this),this._renderAxisLabel(r,o,a,e),this._position(r,e)}this._doPlayStop(),this._updateTicksStatus()},t.prototype.remove=function(){this._clearTimer(),this.group.removeAll()},t.prototype.dispose=function(){this._clearTimer()},t.prototype._layout=function(e,t){var n,r,i,o,a=e.get(["label","position"]),s=e.get("orient"),l=function(e,t){return Qd(e.getBoxLayoutParams(),{width:t.getWidth(),height:t.getHeight()},e.get("padding"))}(e,t),u={horizontal:"center",vertical:(n=null==a||"auto"===a?"horizontal"===s?l.y+l.height/2<t.getHeight()/2?"-":"+":l.x+l.width/2<t.getWidth()/2?"+":"-":St(a)?{horizontal:{top:"-",bottom:"+"},vertical:{left:"-",right:"+"}}[s][a]:a)>=0||"+"===n?"left":"right"},c={horizontal:n>=0||"+"===n?"top":"bottom",vertical:"middle"},h={horizontal:0,vertical:H3/2},d="vertical"===s?l.height:l.width,p=e.getModel("controlStyle"),f=p.get("show",!0),g=f?p.get("itemSize"):0,m=f?p.get("itemGap"):0,v=g+m,y=e.get(["label","rotate"])||0;y=y*H3/180;var _=p.get("position",!0),x=f&&p.get("showPlayBtn",!0),b=f&&p.get("showPrevBtn",!0),w=f&&p.get("showNextBtn",!0),S=0,M=d;"left"===_||"bottom"===_?(x&&(r=[0,0],S+=v),b&&(i=[S,0],S+=v),w&&(o=[M-g,0],M-=v)):(x&&(r=[M-g,0],M-=v),b&&(i=[0,0],S+=v),w&&(o=[M-g,0],M-=v));var T=[S,M];return e.get("inverse")&&T.reverse(),{viewRect:l,mainLength:d,orient:s,rotation:h[s],labelRotation:y,labelPosOpt:n,labelAlign:e.get(["label","align"])||u[s],labelBaseline:e.get(["label","verticalAlign"])||e.get(["label","baseline"])||c[s],playPosition:r,prevBtnPosition:i,nextBtnPosition:o,axisExtent:T,controlSize:g,controlGap:m}},t.prototype._position=function(e,t){var n=this._mainGroup,r=this._labelGroup,i=e.viewRect;if("vertical"===e.orient){var o=[1,0,0,1,0,0],a=i.x,s=i.y+i.height;ar(o,o,[-a,-s]),sr(o,o,-H3/2),ar(o,o,[a,s]),(i=i.clone()).applyTransform(o)}var l=m(i),u=m(n.getBoundingRect()),c=m(r.getBoundingRect()),h=[n.x,n.y],d=[r.x,r.y];d[0]=h[0]=l[0][0];var p,f=e.labelPosOpt;function g(e){e.originX=l[0][0]-e.x,e.originY=l[1][0]-e.y}function m(e){return[[e.x,e.x+e.width],[e.y,e.y+e.height]]}function v(e,t,n,r,i){e[r]+=n[r][i]-t[r][i]}null==f||St(f)?(v(h,u,l,1,p="+"===f?0:1),v(d,c,l,1,1-p)):(v(h,u,l,1,p=f>=0?0:1),d[1]=h[1]+f),n.setPosition(h),r.setPosition(d),n.rotation=r.rotation=e.rotation,g(n),g(r)},t.prototype._createAxis=function(e,t){var n=t.getData(),r=t.get("axisType"),i=function(e,t){if(t=t||e.get("type"))switch(t){case"category":return new Pw({ordinalMeta:e.getCategories(),extent:[1/0,-1/0]});case"time":return new rS({locale:e.ecModel.getLocaleModel(),useUTC:e.ecModel.get("useUTC")});default:return new Rw}}(t,r);i.getTicks=function(){return n.mapArray(["value"],(function(e){return{value:e}}))};var o=n.getDataExtent("value");i.setExtent(o[0],o[1]),i.calcNiceTicks();var a=new G3("value",i,e.axisExtent,r);return a.model=t,a},t.prototype._createGroup=function(e){var t=this[e]=new Oa;return this.group.add(t),t},t.prototype._renderAxisLine=function(e,t,n,r){var i=n.getExtent();if(r.get(["lineStyle","show"])){var o=new ov({shape:{x1:i[0],y1:0,x2:i[1],y2:0},style:at({lineCap:"round"},r.getModel("lineStyle").getLineStyle()),silent:!0,z2:1});t.add(o);var a=this._progressLine=new ov({shape:{x1:i[0],x2:this._currentPointer?this._currentPointer.x:i[0],y1:0,y2:0},style:st({lineCap:"round",lineWidth:o.style.lineWidth},r.getModel(["progress","lineStyle"]).getLineStyle()),silent:!0,z2:1});t.add(a)}},t.prototype._renderAxisTick=function(e,t,n,r){var i=this,o=r.getData(),a=n.scale.getTicks();this._tickSymbols=[],pt(a,(function(e){var a=n.dataToCoord(e.value),s=o.getItemModel(e.value),l=s.getModel("itemStyle"),u=s.getModel(["emphasis","itemStyle"]),c=s.getModel(["progress","itemStyle"]),h={x:a,y:0,onclick:_t(i._changeTimeline,i,e.value)},d=j3(s,l,t,h);d.ensureState("emphasis").style=u.getItemStyle(),d.ensureState("progress").style=c.getItemStyle(),eh(d);var p=lc(d);s.get("tooltip")?(p.dataIndex=e.value,p.dataModel=r):p.dataIndex=p.dataModel=null,i._tickSymbols.push(d)}))},t.prototype._renderAxisLabel=function(e,t,n,r){var i=this;if(n.getLabelModel().get("show")){var o=r.getData(),a=n.getViewLabels();this._tickLabels=[],pt(a,(function(r){var a=r.tickValue,s=o.getItemModel(a),l=s.getModel("label"),u=s.getModel(["emphasis","label"]),c=s.getModel(["progress","label"]),h=n.dataToCoord(r.tickValue),d=new sc({x:h,y:0,rotation:e.labelRotation-e.rotation,onclick:_t(i._changeTimeline,i,a),silent:!1,style:Th(l,{text:r.formattedLabel,align:e.labelAlign,verticalAlign:e.labelBaseline})});d.ensureState("emphasis").style=Th(u),d.ensureState("progress").style=Th(c),t.add(d),eh(d),U3(d).dataIndex=a,i._tickLabels.push(d)}))}},t.prototype._renderControl=function(e,t,n,r){var i=e.controlSize,o=e.rotation,a=r.getModel("controlStyle").getItemStyle(),s=r.getModel(["emphasis","controlStyle"]).getItemStyle(),l=r.getPlayState(),u=r.get("inverse",!0);function c(e,n,l,u){if(e){var c=_a(Rt(r.get(["controlStyle",n+"BtnSize"]),i),i),h=function(e,t,n,r){var i=r.style,o=ey(e.get(["controlStyle",t]),r||{},new wr(n[0],n[1],n[2],n[3]));return i&&o.setStyle(i),o}(r,n+"Icon",[0,-c/2,c,c],{x:e[0],y:e[1],originX:i/2,originY:0,rotation:u?-o:0,rectHover:!0,style:a,onclick:l});h.ensureState("emphasis").style=s,t.add(h),eh(h)}}c(e.nextBtnPosition,"next",_t(this._changeTimeline,this,u?"-":"+")),c(e.prevBtnPosition,"prev",_t(this._changeTimeline,this,u?"+":"-")),c(e.playPosition,l?"stop":"play",_t(this._handlePlayClick,this,!l),!0)},t.prototype._renderCurrentPointer=function(e,t,n,r){var i=r.getData(),o=r.getCurrentIndex(),a=i.getItemModel(o).getModel("checkpointStyle"),s=this,l={onCreate:function(e){e.draggable=!0,e.drift=_t(s._handlePointerDrag,s),e.ondragend=_t(s._handlePointerDragend,s),X3(e,s._progressLine,o,n,r,!0)},onUpdate:function(e){X3(e,s._progressLine,o,n,r)}};this._currentPointer=j3(a,a,this._mainGroup,{},this._currentPointer,l)},t.prototype._handlePlayClick=function(e){this._clearTimer(),this.api.dispatchAction({type:"timelinePlayChange",playState:e,from:this.uid})},t.prototype._handlePointerDrag=function(e,t,n){this._clearTimer(),this._pointerChangeTimeline([n.offsetX,n.offsetY])},t.prototype._handlePointerDragend=function(e){this._pointerChangeTimeline([e.offsetX,e.offsetY],!0)},t.prototype._pointerChangeTimeline=function(e,t){var n=this._toAxisCoord(e)[0],r=Ka(this._axis.getExtent().slice());n>r[1]&&(n=r[1]),n<r[0]&&(n=r[0]),this._currentPointer.x=n,this._currentPointer.markRedraw();var i=this._progressLine;i&&(i.shape.x2=n,i.dirty());var o=this._findNearestTick(n),a=this.model;(t||o!==a.getCurrentIndex()&&a.get("realtime"))&&this._changeTimeline(o)},t.prototype._doPlayStop=function(){var e=this;this._clearTimer(),this.model.getPlayState()&&(this._timer=setTimeout((function(){var t=e.model;e._changeTimeline(t.getCurrentIndex()+(t.get("rewind",!0)?-1:1))}),this.model.get("playInterval")))},t.prototype._toAxisCoord=function(e){return Zv(e,this._mainGroup.getLocalTransform(),!0)},t.prototype._findNearestTick=function(e){var t,n=this.model.getData(),r=1/0,i=this._axis;return n.each(["value"],(function(n,o){var a=i.dataToCoord(n),s=Math.abs(a-e);s<r&&(r=s,t=o)})),t},t.prototype._clearTimer=function(){this._timer&&(clearTimeout(this._timer),this._timer=null)},t.prototype._changeTimeline=function(e){var t=this.model.getCurrentIndex();"+"===e?e=t+1:"-"===e&&(e=t-1),this.api.dispatchAction({type:"timelineChange",currentIndex:e,from:this.uid})},t.prototype._updateTicksStatus=function(){var e=this.model.getCurrentIndex(),t=this._tickSymbols,n=this._tickLabels;if(t)for(var r=0;r<t.length;r++)t&&t[r]&&t[r].toggleState("progress",r<e);if(n)for(r=0;r<n.length;r++)n&&n[r]&&n[r].toggleState("progress",U3(n[r]).dataIndex<=e)},t.type="timeline.slider",t}(z3);function j3(e,t,n,r,i,o){var a=t.get("color");i?(i.setColor(a),n.add(i),o&&o.onUpdate(i)):((i=T_(e.get("symbol"),-1,-1,2,2,a)).setStyle("strokeNoScale",!0),n.add(i),o&&o.onCreate(i));var s=t.getItemStyle(["color"]);i.setStyle(s),r=it({rectHover:!0,z2:100},r,!0);var l=A_(e.get("symbolSize"));r.scaleX=l[0]/2,r.scaleY=l[1]/2;var u=I_(e.get("symbolOffset"),l);u&&(r.x=(r.x||0)+u[0],r.y=(r.y||0)+u[1]);var c=e.get("symbolRotate");return r.rotation=(c||0)*Math.PI/180||0,i.attr(r),i.updateTransform(),i}function X3(e,t,n,r,i,o){if(!e.dragging){var a=i.getModel("checkpointStyle"),s=r.dataToCoord(i.getData().get("value",n));if(o||!a.get("animation",!0))e.attr({x:s,y:0}),t&&t.attr({shape:{x2:s}});else{var l={duration:a.get("animationDuration",!0),easing:a.get("animationEasing",!0)};e.stopAnimation(null,!0),e.animateTo({x:s,y:0},l),t&&t.animateTo({shape:{x2:s}},l)}}}const Y3=W3;function Z3(e){var t=e&&e.timeline;bt(t)||(t=t?[t]:[]),pt(t,(function(e){e&&function(e){var t=e.type,n={number:"value",time:"time"};if(n[t]&&(e.axisType=n[t],delete e.type),q3(e),$3(e,"controlPosition")){var r=e.controlStyle||(e.controlStyle={});$3(r,"position")||(r.position=e.controlPosition),"none"!==r.position||$3(r,"show")||(r.show=!1,delete r.position),delete e.controlPosition}pt(e.data||[],(function(e){At(e)&&!bt(e)&&(!$3(e,"value")&&$3(e,"name")&&(e.value=e.name),q3(e))}))}(e)}))}function q3(e){var t=e.itemStyle||(e.itemStyle={}),n=t.emphasis||(t.emphasis={}),r=e.label||e.label||{},i=r.normal||(r.normal={}),o={normal:1,emphasis:1};pt(r,(function(e,t){o[t]||$3(i,t)||(i[t]=e)})),n.label&&!$3(r,"emphasis")&&(r.emphasis=n.label,delete n.label)}function $3(e,t){return e.hasOwnProperty(t)}function K3(e,t){if(!e)return!1;for(var n=bt(e)?e:[e],r=0;r<n.length;r++)if(n[r]&&n[r][t])return!0;return!1}function J3(e){Ss(e,"label",["show"])}var Q3=Ns(),e4=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.createdBySelf=!1,n}return Le(t,e),t.prototype.init=function(e,t,n){this.mergeDefaultAndTheme(e,n),this._mergeOption(e,n,!1,!0)},t.prototype.isAnimationEnabled=function(){if(Ne.node)return!1;var e=this.__hostSeries;return this.getShallow("animation")&&e&&e.isAnimationEnabled()},t.prototype.mergeOption=function(e,t){this._mergeOption(e,t,!1,!1)},t.prototype._mergeOption=function(e,t,n,r){var i=this.mainType;n||t.eachSeries((function(e){var n=e.get(this.mainType,!0),o=Q3(e)[i];n&&n.data?(o?o._mergeOption(n,t,!0):(r&&J3(n),pt(n.data,(function(e){e instanceof Array?(J3(e[0]),J3(e[1])):J3(e)})),at(o=this.createMarkerModelFromSeries(n,this,t),{mainType:this.mainType,seriesIndex:e.seriesIndex,name:e.name,createdBySelf:!0}),o.__hostSeries=e),Q3(e)[i]=o):Q3(e)[i]=null}),this)},t.prototype.formatTooltip=function(e,t,n){var r=this.getData(),i=this.getRawValue(e),o=r.getName(e);return Lg("section",{header:this.name,blocks:[Lg("nameValue",{name:o,value:i,noName:!o,noValue:null==i})]})},t.prototype.getData=function(){return this._data},t.prototype.setData=function(e){this._data=e},t.getMarkerModelFromSeries=function(e,t){return Q3(e)[t]},t.type="marker",t.dependencies=["series","grid","polar","geo"],t}(sp);ht(e4,Wf.prototype);const t4=e4,n4=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.createMarkerModelFromSeries=function(e,n,r){return new t(e,n,r)},t.type="markPoint",t.defaultOption={z:5,symbol:"pin",symbolSize:50,tooltip:{trigger:"item"},label:{show:!0,position:"inside"},itemStyle:{borderWidth:2},emphasis:{label:{show:!0}}},t}(t4);function r4(e){return!(isNaN(parseFloat(e.x))&&isNaN(parseFloat(e.y)))}function i4(e,t,n,r,i,o){var a=[],s=mw(t,r)?t.getCalculationInfo("stackResultDimension"):r,l=c4(t,s,e),u=t.indicesOfNearest(s,l)[0];a[i]=t.get(n,u),a[o]=t.get(s,u);var c=t.get(r,u),h=Ja(t.get(r,u));return(h=Math.min(h,20))>=0&&(a[o]=+a[o].toFixed(h)),[a,c]}var o4={min:xt(i4,"min"),max:xt(i4,"max"),average:xt(i4,"average"),median:xt(i4,"median")};function a4(e,t){if(t){var n=e.getData(),r=e.coordinateSystem,i=r&&r.dimensions;if(!function(e){return!isNaN(parseFloat(e.x))&&!isNaN(parseFloat(e.y))}(t)&&!bt(t.coord)&&bt(i)){var o=s4(t,n,r,e);if((t=rt(t)).type&&o4[t.type]&&o.baseAxis&&o.valueAxis){var a=ut(i,o.baseAxis.dim),s=ut(i,o.valueAxis.dim),l=o4[t.type](n,o.baseDataDim,o.valueDataDim,a,s);t.coord=l[0],t.value=l[1]}else t.coord=[null!=t.xAxis?t.xAxis:t.radiusAxis,null!=t.yAxis?t.yAxis:t.angleAxis]}if(null!=t.coord&&bt(i))for(var u=t.coord,c=0;c<2;c++)o4[u[c]]&&(u[c]=c4(n,n.mapDimension(i[c]),u[c]));else t.coord=[];return t}}function s4(e,t,n,r){var i={};return null!=e.valueIndex||null!=e.valueDim?(i.valueDataDim=null!=e.valueIndex?t.getDimension(e.valueIndex):e.valueDim,i.valueAxis=n.getAxis(function(e,t){var n=e.getData().getDimensionInfo(t);return n&&n.coordDim}(r,i.valueDataDim)),i.baseAxis=n.getOtherAxis(i.valueAxis),i.baseDataDim=t.mapDimension(i.baseAxis.dim)):(i.baseAxis=r.getBaseAxis(),i.valueAxis=n.getOtherAxis(i.baseAxis),i.baseDataDim=t.mapDimension(i.baseAxis.dim),i.valueDataDim=t.mapDimension(i.valueAxis.dim)),i}function l4(e,t){return!(e&&e.containData&&t.coord&&!r4(t))||e.containData(t.coord)}function u4(e,t){return e?function(e,n,r,i){return $f(i<2?e.coord&&e.coord[i]:e.value,t[i])}:function(e,n,r,i){return $f(e.value,t[i])}}function c4(e,t,n){if("average"===n){var r=0,i=0;return e.each(t,(function(e,t){isNaN(e)||(r+=e,i++)})),r/i}return"median"===n?e.getMedian(t):e.getDataExtent(t)["max"===n?1:0]}var h4=Ns();const d4=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.init=function(){this.markerGroupMap=Yt()},t.prototype.render=function(e,t,n){var r=this,i=this.markerGroupMap;i.each((function(e){h4(e).keep=!1})),t.eachSeries((function(e){var i=t4.getMarkerModelFromSeries(e,r.type);i&&r.renderSeries(e,i,t,n)})),i.each((function(e){!h4(e).keep&&r.group.remove(e.group)}))},t.prototype.markKeep=function(e){h4(e).keep=!0},t.prototype.toggleBlurSeries=function(e,t){var n=this;pt(e,(function(e){var r=t4.getMarkerModelFromSeries(e,n.type);r&&r.getData().eachItemGraphicEl((function(e){e&&(t?Uc(e):Wc(e))}))}))},t.type="marker",t}(rm);function p4(e,t,n){var r=t.coordinateSystem;e.each((function(i){var o,a=e.getItemModel(i),s=qa(a.get("x"),n.getWidth()),l=qa(a.get("y"),n.getHeight());if(isNaN(s)||isNaN(l)){if(t.getMarkerPosition)o=t.getMarkerPosition(e.getValues(e.dimensions,i));else if(r){var u=e.get(r.dimensions[0],i),c=e.get(r.dimensions[1],i);o=r.dataToPoint([u,c])}}else o=[s,l];isNaN(s)||(o[0]=s),isNaN(l)||(o[1]=l),e.setItemLayout(i,o)}))}var f4=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.updateTransform=function(e,t,n){t.eachSeries((function(e){var t=t4.getMarkerModelFromSeries(e,"markPoint");t&&(p4(t.getData(),e,n),this.markerGroupMap.get(e.id).updateLayout())}),this)},t.prototype.renderSeries=function(e,t,n,r){var i=e.coordinateSystem,o=e.id,a=e.getData(),s=this.markerGroupMap,l=s.get(o)||s.set(o,new kV),u=function(e,t,n){var r;r=e?ft(e&&e.dimensions,(function(e){return at(at({},t.getData().getDimensionInfo(t.getData().mapDimension(e))||{}),{name:e,ordinalMeta:null})})):[{name:"value",type:"float"}];var i=new lw(r,n),o=ft(n.get("data"),xt(a4,t));e&&(o=mt(o,xt(l4,e)));var a=u4(!!e,r);return i.initData(o,null,a),i}(i,e,t);t.setData(u),p4(t.getData(),e,r),u.each((function(e){var n=u.getItemModel(e),r=n.getShallow("symbol"),i=n.getShallow("symbolSize"),o=n.getShallow("symbolRotate"),s=n.getShallow("symbolOffset"),l=n.getShallow("symbolKeepAspect");if(wt(r)||wt(i)||wt(o)||wt(s)){var c=t.getRawValue(e),h=t.getDataParams(e);wt(r)&&(r=r(c,h)),wt(i)&&(i=i(c,h)),wt(o)&&(o=o(c,h)),wt(s)&&(s=s(c,h))}var d=n.getModel("itemStyle").getItemStyle(),p=l_(a,"color");d.fill||(d.fill=p),u.setItemVisual(e,{symbol:r,symbolSize:i,symbolRotate:o,symbolOffset:s,symbolKeepAspect:l,style:d})})),l.updateData(u),this.group.add(l.group),u.eachItemGraphicEl((function(e){e.traverse((function(e){lc(e).dataModel=t}))})),this.markKeep(l),l.group.silent=t.get("silent")||e.get("silent")},t.type="markPoint",t}(d4);const g4=f4,m4=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.createMarkerModelFromSeries=function(e,n,r){return new t(e,n,r)},t.type="markLine",t.defaultOption={z:5,symbol:["circle","arrow"],symbolSize:[8,16],symbolOffset:0,precision:2,tooltip:{trigger:"item"},label:{show:!0,position:"end",distance:5},lineStyle:{type:"dashed"},emphasis:{label:{show:!0},lineStyle:{width:3}},animationEasing:"linear"},t}(t4);var v4=Ns(),y4=function(e,t,n,r){var i,o=e.getData();if(bt(r))i=r;else{var a=r.type;if("min"===a||"max"===a||"average"===a||"median"===a||null!=r.xAxis||null!=r.yAxis){var s=void 0,l=void 0;if(null!=r.yAxis||null!=r.xAxis)s=t.getAxis(null!=r.yAxis?"y":"x"),l=Nt(r.yAxis,r.xAxis);else{var u=s4(r,o,t,e);s=u.valueAxis,l=c4(o,vw(o,u.valueDataDim),a)}var c="x"===s.dim?0:1,h=1-c,d=rt(r),p={coord:[]};d.type=null,d.coord=[],d.coord[h]=-1/0,p.coord[h]=1/0;var f=n.get("precision");f>=0&&Tt(l)&&(l=+l.toFixed(Math.min(f,20))),d.coord[c]=p.coord[c]=l,i=[d,p,{type:a,valueIndex:r.valueIndex,value:l}]}else i=[]}var g=[a4(e,i[0]),a4(e,i[1]),at({},i[2])];return g[2].type=g[2].type||null,it(g[2],g[0]),it(g[2],g[1]),g};function _4(e){return!isNaN(e)&&!isFinite(e)}function x4(e,t,n,r){var i=1-e,o=r.dimensions[e];return _4(t[i])&&_4(n[i])&&t[e]===n[e]&&r.getAxis(o).containData(t[e])}function b4(e,t){if("cartesian2d"===e.type){var n=t[0].coord,r=t[1].coord;if(n&&r&&(x4(1,n,r,e)||x4(0,n,r,e)))return!0}return l4(e,t[0])&&l4(e,t[1])}function w4(e,t,n,r,i){var o,a=r.coordinateSystem,s=e.getItemModel(t),l=qa(s.get("x"),i.getWidth()),u=qa(s.get("y"),i.getHeight());if(isNaN(l)||isNaN(u)){if(r.getMarkerPosition)o=r.getMarkerPosition(e.getValues(e.dimensions,t));else{var c=a.dimensions,h=e.get(c[0],t),d=e.get(c[1],t);o=a.dataToPoint([h,d])}if($V(a,"cartesian2d")){var p=a.getAxis("x"),f=a.getAxis("y");c=a.dimensions,_4(e.get(c[0],t))?o[0]=p.toGlobalCoord(p.getExtent()[n?0:1]):_4(e.get(c[1],t))&&(o[1]=f.toGlobalCoord(f.getExtent()[n?0:1]))}isNaN(l)||(o[0]=l),isNaN(u)||(o[1]=u)}else o=[l,u];e.setItemLayout(t,o)}var S4=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.updateTransform=function(e,t,n){t.eachSeries((function(e){var t=t4.getMarkerModelFromSeries(e,"markLine");if(t){var r=t.getData(),i=v4(t).from,o=v4(t).to;i.each((function(t){w4(i,t,!0,e,n),w4(o,t,!1,e,n)})),r.each((function(e){r.setItemLayout(e,[i.getItemLayout(e),o.getItemLayout(e)])})),this.markerGroupMap.get(e.id).updateLayout()}}),this)},t.prototype.renderSeries=function(e,t,n,r){var i=e.coordinateSystem,o=e.id,a=e.getData(),s=this.markerGroupMap,l=s.get(o)||s.set(o,new DY);this.group.add(l.group);var u=function(e,t,n){var r;r=e?ft(e&&e.dimensions,(function(e){return at(at({},t.getData().getDimensionInfo(t.getData().mapDimension(e))||{}),{name:e,ordinalMeta:null})})):[{name:"value",type:"float"}];var i=new lw(r,n),o=new lw(r,n),a=new lw([],n),s=ft(n.get("data"),xt(y4,t,e,n));e&&(s=mt(s,xt(b4,e)));var l=u4(!!e,r);return i.initData(ft(s,(function(e){return e[0]})),null,l),o.initData(ft(s,(function(e){return e[1]})),null,l),a.initData(ft(s,(function(e){return e[2]}))),a.hasItemOption=!0,{from:i,to:o,line:a}}(i,e,t),c=u.from,h=u.to,d=u.line;v4(t).from=c,v4(t).to=h,t.setData(d);var p=t.get("symbol"),f=t.get("symbolSize"),g=t.get("symbolRotate"),m=t.get("symbolOffset");function v(t,n,i){var o=t.getItemModel(n);w4(t,n,i,e,r);var s=o.getModel("itemStyle").getItemStyle();null==s.fill&&(s.fill=l_(a,"color")),t.setItemVisual(n,{symbolKeepAspect:o.get("symbolKeepAspect"),symbolOffset:Rt(o.get("symbolOffset",!0),m[i?0:1]),symbolRotate:Rt(o.get("symbolRotate",!0),g[i?0:1]),symbolSize:Rt(o.get("symbolSize"),f[i?0:1]),symbol:Rt(o.get("symbol",!0),p[i?0:1]),style:s})}bt(p)||(p=[p,p]),bt(f)||(f=[f,f]),bt(g)||(g=[g,g]),bt(m)||(m=[m,m]),u.from.each((function(e){v(c,e,!0),v(h,e,!1)})),d.each((function(e){var t=d.getItemModel(e).getModel("lineStyle").getLineStyle();d.setItemLayout(e,[c.getItemLayout(e),h.getItemLayout(e)]),null==t.stroke&&(t.stroke=c.getItemVisual(e,"style").fill),d.setItemVisual(e,{fromSymbolKeepAspect:c.getItemVisual(e,"symbolKeepAspect"),fromSymbolOffset:c.getItemVisual(e,"symbolOffset"),fromSymbolRotate:c.getItemVisual(e,"symbolRotate"),fromSymbolSize:c.getItemVisual(e,"symbolSize"),fromSymbol:c.getItemVisual(e,"symbol"),toSymbolKeepAspect:h.getItemVisual(e,"symbolKeepAspect"),toSymbolOffset:h.getItemVisual(e,"symbolOffset"),toSymbolRotate:h.getItemVisual(e,"symbolRotate"),toSymbolSize:h.getItemVisual(e,"symbolSize"),toSymbol:h.getItemVisual(e,"symbol"),style:t})})),l.updateData(d),u.line.eachItemGraphicEl((function(e){lc(e).dataModel=t,e.traverse((function(e){lc(e).dataModel=t}))})),this.markKeep(l),l.group.silent=t.get("silent")||e.get("silent")},t.type="markLine",t}(d4);const M4=S4,T4=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.createMarkerModelFromSeries=function(e,n,r){return new t(e,n,r)},t.type="markArea",t.defaultOption={z:1,tooltip:{trigger:"item"},animation:!1,label:{show:!0,position:"top"},itemStyle:{borderWidth:0},emphasis:{label:{show:!0,position:"top"}}},t}(t4);var A4=Ns(),I4=function(e,t,n,r){var i=r[0],o=r[1];if(i&&o){var a=a4(e,i),s=a4(e,o),l=a.coord,u=s.coord;l[0]=Nt(l[0],-1/0),l[1]=Nt(l[1],-1/0),u[0]=Nt(u[0],1/0),u[1]=Nt(u[1],1/0);var c=ot([{},a,s]);return c.coord=[a.coord,s.coord],c.x0=a.x,c.y0=a.y,c.x1=s.x,c.y1=s.y,c}};function C4(e){return!isNaN(e)&&!isFinite(e)}function D4(e,t,n,r){var i=1-e;return C4(t[i])&&C4(n[i])}function E4(e,t){var n=t.coord[0],r=t.coord[1],i={coord:n,x:t.x0,y:t.y0},o={coord:r,x:t.x1,y:t.y1};return $V(e,"cartesian2d")?!(!n||!r||!D4(1,n,r)&&!D4(0,n,r))||function(e,t,n){return!(e&&e.containZone&&t.coord&&n.coord&&!r4(t)&&!r4(n))||e.containZone(t.coord,n.coord)}(e,i,o):l4(e,i)||l4(e,o)}function L4(e,t,n,r,i){var o,a=r.coordinateSystem,s=e.getItemModel(t),l=qa(s.get(n[0]),i.getWidth()),u=qa(s.get(n[1]),i.getHeight());if(isNaN(l)||isNaN(u)){if(r.getMarkerPosition){var c=e.getValues(["x0","y0"],t),h=e.getValues(["x1","y1"],t),d=a.clampData(c),p=a.clampData(h),f=[];"x0"===n[0]?f[0]=d[0]>p[0]?h[0]:c[0]:f[0]=d[0]>p[0]?c[0]:h[0],"y0"===n[1]?f[1]=d[1]>p[1]?h[1]:c[1]:f[1]=d[1]>p[1]?c[1]:h[1],o=r.getMarkerPosition(f,n,!0)}else{var g=[y=e.get(n[0],t),_=e.get(n[1],t)];a.clampData&&a.clampData(g,g),o=a.dataToPoint(g,!0)}if($V(a,"cartesian2d")){var m=a.getAxis("x"),v=a.getAxis("y"),y=e.get(n[0],t),_=e.get(n[1],t);C4(y)?o[0]=m.toGlobalCoord(m.getExtent()["x0"===n[0]?0:1]):C4(_)&&(o[1]=v.toGlobalCoord(v.getExtent()["y0"===n[1]?0:1]))}isNaN(l)||(o[0]=l),isNaN(u)||(o[1]=u)}else o=[l,u];return o}var P4=[["x0","y0"],["x1","y0"],["x1","y1"],["x0","y1"]],O4=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.updateTransform=function(e,t,n){t.eachSeries((function(e){var t=t4.getMarkerModelFromSeries(e,"markArea");if(t){var r=t.getData();r.each((function(t){var i=ft(P4,(function(i){return L4(r,t,i,e,n)}));r.setItemLayout(t,i),r.getItemGraphicEl(t).setShape("points",i)}))}}),this)},t.prototype.renderSeries=function(e,t,n,r){var i=e.coordinateSystem,o=e.id,a=e.getData(),s=this.markerGroupMap,l=s.get(o)||s.set(o,{group:new Oa});this.group.add(l.group),this.markKeep(l);var u=function(e,t,n){var r,i;if(e){var o=ft(e&&e.dimensions,(function(e){var n=t.getData();return at(at({},n.getDimensionInfo(n.mapDimension(e))||{}),{name:e,ordinalMeta:null})}));i=ft(["x0","y0","x1","y1"],(function(e,t){return{name:e,type:o[t%2].type}})),r=new lw(i,n)}else r=new lw(i=[{name:"value",type:"float"}],n);var a=ft(n.get("data"),xt(I4,t,e,n));e&&(a=mt(a,xt(E4,e)));var s=e?function(e,t,n,r){return $f(e.coord[Math.floor(r/2)][r%2],i[r])}:function(e,t,n,r){return $f(e.value,i[r])};return r.initData(a,null,s),r.hasItemOption=!0,r}(i,e,t);t.setData(u),u.each((function(t){var n=ft(P4,(function(n){return L4(u,t,n,e,r)})),o=i.getAxis("x").scale,s=i.getAxis("y").scale,l=o.getExtent(),c=s.getExtent(),h=[o.parse(u.get("x0",t)),o.parse(u.get("x1",t))],d=[s.parse(u.get("y0",t)),s.parse(u.get("y1",t))];Ka(h),Ka(d);var p=!!(l[0]>h[1]||l[1]<h[0]||c[0]>d[1]||c[1]<d[0]);u.setItemLayout(t,{points:n,allClipped:p});var f=u.getItemModel(t).getModel("itemStyle").getItemStyle(),g=l_(a,"color");f.fill||(f.fill=g,St(f.fill)&&(f.fill=Zi(f.fill,.4))),f.stroke||(f.stroke=g),u.setItemVisual(t,"style",f)})),u.diff(A4(l).data).add((function(e){var t=u.getItemLayout(e);if(!t.allClipped){var n=new Jm({shape:{points:t.points}});u.setItemGraphicEl(e,n),l.group.add(n)}})).update((function(e,n){var r=A4(l).data.getItemGraphicEl(n),i=u.getItemLayout(e);i.allClipped?r&&l.group.remove(r):(r?ph(r,{shape:{points:i.points}},t,e):r=new Jm({shape:{points:i.points}}),u.setItemGraphicEl(e,r),l.group.add(r))})).remove((function(e){var t=A4(l).data.getItemGraphicEl(e);l.group.remove(t)})).execute(),u.eachItemGraphicEl((function(e,n){var r=u.getItemModel(n),i=u.getItemVisual(n,"style");e.useStyle(u.getItemVisual(n,"style")),Sh(e,Mh(r),{labelFetcher:t,labelDataIndex:n,defaultText:u.getName(n)||"",inheritColor:St(i.fill)?Zi(i.fill,1):"#000"}),oh(e,r),th(e,null,null,r.get(["emphasis","disabled"])),lc(e).dataModel=t})),A4(l).data=u,l.group.silent=t.get("silent")||e.get("silent")},t.type="markArea",t}(d4);const N4=O4;var R4=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.layoutMode={type:"box",ignoreSize:!0},n}return Le(t,e),t.prototype.init=function(e,t,n){this.mergeDefaultAndTheme(e,n),e.selected=e.selected||{},this._updateSelector(e)},t.prototype.mergeOption=function(t,n){e.prototype.mergeOption.call(this,t,n),this._updateSelector(t)},t.prototype._updateSelector=function(e){var t=e.selector,n=this.ecModel;!0===t&&(t=e.selector=["all","inverse"]),bt(t)&&pt(t,(function(e,r){St(e)&&(e={type:e}),t[r]=it(e,function(e,t){return"all"===t?{type:"all",title:e.getLocaleModel().get(["legend","selector","all"])}:"inverse"===t?{type:"inverse",title:e.getLocaleModel().get(["legend","selector","inverse"])}:void 0}(n,e.type))}))},t.prototype.optionUpdated=function(){this._updateData(this.ecModel);var e=this._data;if(e[0]&&"single"===this.get("selectedMode")){for(var t=!1,n=0;n<e.length;n++){var r=e[n].get("name");if(this.isSelected(r)){this.select(r),t=!0;break}}!t&&this.select(e[0].get("name"))}},t.prototype._updateData=function(e){var t=[],n=[];e.eachRawSeries((function(r){var i,o=r.name;if(n.push(o),r.legendVisualProvider){var a=r.legendVisualProvider.getAllNames();e.isSeriesFiltered(r)||(n=n.concat(a)),a.length?t=t.concat(a):i=!0}else i=!0;i&&Ls(r)&&t.push(r.name)})),this._availableNames=n;var r=this.get("data")||t,i=Yt(),o=ft(r,(function(e){return(St(e)||Tt(e))&&(e={name:e}),i.get(e.name)?null:(i.set(e.name,!0),new qh(e,this,this.ecModel))}),this);this._data=mt(o,(function(e){return!!e}))},t.prototype.getData=function(){return this._data},t.prototype.select=function(e){var t=this.option.selected;"single"===this.get("selectedMode")&&pt(this._data,(function(e){t[e.get("name")]=!1})),t[e]=!0},t.prototype.unSelect=function(e){"single"!==this.get("selectedMode")&&(this.option.selected[e]=!1)},t.prototype.toggleSelected=function(e){var t=this.option.selected;t.hasOwnProperty(e)||(t[e]=!0),this[t[e]?"unSelect":"select"](e)},t.prototype.allSelect=function(){var e=this._data,t=this.option.selected;pt(e,(function(e){t[e.get("name",!0)]=!0}))},t.prototype.inverseSelect=function(){var e=this._data,t=this.option.selected;pt(e,(function(e){var n=e.get("name",!0);t.hasOwnProperty(n)||(t[n]=!0),t[n]=!t[n]}))},t.prototype.isSelected=function(e){var t=this.option.selected;return!(t.hasOwnProperty(e)&&!t[e])&&ut(this._availableNames,e)>=0},t.prototype.getOrient=function(){return"vertical"===this.get("orient")?{index:1,name:"vertical"}:{index:0,name:"horizontal"}},t.type="legend.plain",t.dependencies=["series"],t.defaultOption={z:4,show:!0,orient:"horizontal",left:"center",top:0,align:"auto",backgroundColor:"rgba(0,0,0,0)",borderColor:"#ccc",borderRadius:0,borderWidth:0,padding:5,itemGap:10,itemWidth:25,itemHeight:14,symbolRotate:"inherit",symbolKeepAspect:!0,inactiveColor:"#ccc",inactiveBorderColor:"#ccc",inactiveBorderWidth:"auto",itemStyle:{color:"inherit",opacity:"inherit",borderColor:"inherit",borderWidth:"auto",borderCap:"inherit",borderJoin:"inherit",borderDashOffset:"inherit",borderMiterLimit:"inherit"},lineStyle:{width:"auto",color:"inherit",inactiveColor:"#ccc",inactiveWidth:2,opacity:"inherit",type:"inherit",cap:"inherit",join:"inherit",dashOffset:"inherit",miterLimit:"inherit"},textStyle:{color:"#333"},selectedMode:!0,selector:!1,selectorLabel:{show:!0,borderRadius:10,padding:[3,5,3,5],fontSize:12,fontFamily:"sans-serif",color:"#666",borderWidth:1,borderColor:"#666"},emphasis:{selectorLabel:{show:!0,color:"#eee",backgroundColor:"#666"}},selectorPosition:"auto",selectorItemGap:7,selectorButtonGap:10,tooltip:{show:!1}},t}(sp);const k4=R4;var B4=xt,F4=pt,z4=Oa,V4=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.newlineDisabled=!1,n}return Le(t,e),t.prototype.init=function(){this.group.add(this._contentGroup=new z4),this.group.add(this._selectorGroup=new z4),this._isFirstRender=!0},t.prototype.getContentGroup=function(){return this._contentGroup},t.prototype.getSelectorGroup=function(){return this._selectorGroup},t.prototype.render=function(e,t,n){var r=this._isFirstRender;if(this._isFirstRender=!1,this.resetInner(),e.get("show",!0)){var i=e.get("align"),o=e.get("orient");i&&"auto"!==i||(i="right"===e.get("left")&&"vertical"===o?"right":"left");var a=e.get("selector",!0),s=e.get("selectorPosition",!0);!a||s&&"auto"!==s||(s="horizontal"===o?"end":"start"),this.renderInner(i,e,t,n,a,o,s);var l=e.getBoxLayoutParams(),u={width:n.getWidth(),height:n.getHeight()},c=e.get("padding"),h=Qd(l,u,c),d=this.layoutInner(e,i,h,r,a,s),p=Qd(st({width:d.width,height:d.height},l),u,c);this.group.x=p.x-d.x,this.group.y=p.y-d.y,this.group.markRedraw(),this.group.add(this._backgroundEl=J0(d,e))}},t.prototype.resetInner=function(){this.getContentGroup().removeAll(),this._backgroundEl&&this.group.remove(this._backgroundEl),this.getSelectorGroup().removeAll()},t.prototype.renderInner=function(e,t,n,r,i,o,a){var s=this.getContentGroup(),l=Yt(),u=t.get("selectedMode"),c=[];n.eachRawSeries((function(e){!e.get("legendHoverLink")&&c.push(e.id)})),F4(t.getData(),(function(i,o){var a=i.get("name");if(!this.newlineDisabled&&(""===a||"\n"===a)){var h=new z4;return h.newline=!0,void s.add(h)}var d=n.getSeriesByName(a)[0];if(!l.get(a))if(d){var p=d.getData(),f=p.getVisual("legendLineStyle")||{},g=p.getVisual("legendIcon"),m=p.getVisual("style"),v=this._createItem(d,a,o,i,t,e,f,m,g,u,r);v.on("click",B4(G4,a,null,r,c)).on("mouseover",B4(U4,d.name,null,r,c)).on("mouseout",B4(W4,d.name,null,r,c)),n.ssr&&v.eachChild((function(e){var t=lc(e);t.seriesIndex=d.seriesIndex,t.dataIndex=o,t.ssrType="legend"})),l.set(a,!0)}else n.eachRawSeries((function(s){if(!l.get(a)&&s.legendVisualProvider){var h=s.legendVisualProvider;if(!h.containName(a))return;var d=h.indexOfName(a),p=h.getItemVisual(d,"style"),f=h.getItemVisual(d,"legendIcon"),g=zi(p.fill);g&&0===g[3]&&(g[3]=.2,p=at(at({},p),{fill:qi(g,"rgba")}));var m=this._createItem(s,a,o,i,t,e,{},p,f,u,r);m.on("click",B4(G4,null,a,r,c)).on("mouseover",B4(U4,null,a,r,c)).on("mouseout",B4(W4,null,a,r,c)),n.ssr&&m.eachChild((function(e){var t=lc(e);t.seriesIndex=s.seriesIndex,t.dataIndex=o,t.ssrType="legend"})),l.set(a,!0)}}),this)}),this),i&&this._createSelector(i,t,r,o,a)},t.prototype._createSelector=function(e,t,n,r,i){var o=this.getSelectorGroup();F4(e,(function(e){var r=e.type,i=new sc({style:{x:0,y:0,align:"center",verticalAlign:"middle"},onclick:function(){n.dispatchAction({type:"all"===r?"legendAllSelect":"legendInverseSelect"})}});o.add(i),Sh(i,{normal:t.getModel("selectorLabel"),emphasis:t.getModel(["emphasis","selectorLabel"])},{defaultText:e.title}),eh(i)}))},t.prototype._createItem=function(e,t,n,r,i,o,a,s,l,u,c){var h,d,p,f=e.visualDrawType,g=i.get("itemWidth"),m=i.get("itemHeight"),v=i.isSelected(t),y=r.get("symbolRotate"),_=r.get("symbolKeepAspect"),x=r.get("icon"),b=function(e,t,n,r,i,o,a){function s(e,t){"auto"===e.lineWidth&&(e.lineWidth=t.lineWidth>0?2:0),F4(e,(function(n,r){"inherit"===e[r]&&(e[r]=t[r])}))}var l=t.getModel("itemStyle"),u=l.getItemStyle(),c=0===e.lastIndexOf("empty",0)?"fill":"stroke",h=l.getShallow("decal");u.decal=h&&"inherit"!==h?nx(h,a):r.decal,"inherit"===u.fill&&(u.fill=r[i]),"inherit"===u.stroke&&(u.stroke=r[c]),"inherit"===u.opacity&&(u.opacity=("fill"===i?r:n).opacity),s(u,r);var d=t.getModel("lineStyle"),p=d.getLineStyle();if(s(p,n),"auto"===u.fill&&(u.fill=r.fill),"auto"===u.stroke&&(u.stroke=r.fill),"auto"===p.stroke&&(p.stroke=r.fill),!o){var f=t.get("inactiveBorderWidth"),g=u[c];u.lineWidth="auto"===f?r.lineWidth>0&&g?2:0:u.lineWidth,u.fill=t.get("inactiveColor"),u.stroke=t.get("inactiveBorderColor"),p.stroke=d.get("inactiveColor"),p.lineWidth=d.get("inactiveWidth")}return{itemStyle:u,lineStyle:p}}(l=x||l||"roundRect",r,a,s,f,v,c),w=new z4,S=r.getModel("textStyle");if(!wt(e.getLegendIcon)||x&&"inherit"!==x){var M="inherit"===x&&e.getData().getVisual("symbol")?"inherit"===y?e.getData().getVisual("symbolRotate"):y:0;w.add((h={itemWidth:g,itemHeight:m,icon:l,iconRotate:M,itemStyle:b.itemStyle,lineStyle:b.lineStyle,symbolKeepAspect:_},(p=T_(d=h.icon||"roundRect",0,0,h.itemWidth,h.itemHeight,h.itemStyle.fill,h.symbolKeepAspect)).setStyle(h.itemStyle),p.rotation=(h.iconRotate||0)*Math.PI/180,p.setOrigin([h.itemWidth/2,h.itemHeight/2]),d.indexOf("empty")>-1&&(p.style.stroke=p.style.fill,p.style.fill="#fff",p.style.lineWidth=2),p))}else w.add(e.getLegendIcon({itemWidth:g,itemHeight:m,icon:l,iconRotate:y,itemStyle:b.itemStyle,lineStyle:b.lineStyle,symbolKeepAspect:_}));var T="left"===o?g+5:-5,A=o,I=i.get("formatter"),C=t;St(I)&&I?C=I.replace("{name}",null!=t?t:""):wt(I)&&(C=I(t));var D=v?S.getTextColor():r.get("inactiveColor");w.add(new sc({style:Th(S,{text:C,x:T,y:m/2,fill:D,align:A,verticalAlign:"middle"},{inheritColor:D})}));var E=new ju({shape:w.getBoundingRect(),style:{fill:"transparent"}}),L=r.getModel("tooltip");return L.get("show")&&iy({el:E,componentModel:i,itemName:t,itemTooltipOption:L.option}),w.add(E),w.eachChild((function(e){e.silent=!0})),E.silent=!u,this.getContentGroup().add(w),eh(w),w.__legendDataIndex=n,w},t.prototype.layoutInner=function(e,t,n,r,i,o){var a=this.getContentGroup(),s=this.getSelectorGroup();Jd(e.get("orient"),a,e.get("itemGap"),n.width,n.height);var l=a.getBoundingRect(),u=[-l.x,-l.y];if(s.markRedraw(),a.markRedraw(),i){Jd("horizontal",s,e.get("selectorItemGap",!0));var c=s.getBoundingRect(),h=[-c.x,-c.y],d=e.get("selectorButtonGap",!0),p=e.getOrient().index,f=0===p?"width":"height",g=0===p?"height":"width",m=0===p?"y":"x";"end"===o?h[p]+=l[f]+d:u[p]+=c[f]+d,h[1-p]+=l[g]/2-c[g]/2,s.x=h[0],s.y=h[1],a.x=u[0],a.y=u[1];var v={x:0,y:0};return v[f]=l[f]+d+c[f],v[g]=Math.max(l[g],c[g]),v[m]=Math.min(0,c[m]+h[1-p]),v}return a.x=u[0],a.y=u[1],this.group.getBoundingRect()},t.prototype.remove=function(){this.getContentGroup().removeAll(),this._isFirstRender=!0},t.type="legend.plain",t}(rm);function G4(e,t,n,r){W4(e,t,n,r),n.dispatchAction({type:"legendToggleSelect",name:null!=e?e:t}),U4(e,t,n,r)}function H4(e){for(var t,n=e.getZr().storage.getDisplayList(),r=0,i=n.length;r<i&&!(t=n[r].states.emphasis);)r++;return t&&t.hoverLayer}function U4(e,t,n,r){H4(n)||n.dispatchAction({type:"highlight",seriesName:e,name:t,excludeSeriesId:r})}function W4(e,t,n,r){H4(n)||n.dispatchAction({type:"downplay",seriesName:e,name:t,excludeSeriesId:r})}const j4=V4;function X4(e){var t=e.findComponents({mainType:"legend"});t&&t.length&&e.filterSeries((function(e){for(var n=0;n<t.length;n++)if(!t[n].isSelected(e.name))return!1;return!0}))}function Y4(e,t,n){var r,i={},o="toggleSelected"===e;return n.eachComponent("legend",(function(n){o&&null!=r?n[r?"select":"unSelect"](t.name):"allSelect"===e||"inverseSelect"===e?n[e]():(n[e](t.name),r=n.isSelected(t.name)),pt(n.getData(),(function(e){var t=e.get("name");if("\n"!==t&&""!==t){var r=n.isSelected(t);i.hasOwnProperty(t)?i[t]=i[t]&&r:i[t]=r}}))})),"allSelect"===e||"inverseSelect"===e?{selected:i}:{name:t.name,selected:i}}function Z4(e){e.registerComponentModel(k4),e.registerComponentView(j4),e.registerProcessor(e.PRIORITY.PROCESSOR.SERIES_FILTER,X4),e.registerSubTypeDefaulter("legend",(function(){return"plain"})),function(e){e.registerAction("legendToggleSelect","legendselectchanged",xt(Y4,"toggleSelected")),e.registerAction("legendAllSelect","legendselectall",xt(Y4,"allSelect")),e.registerAction("legendInverseSelect","legendinverseselect",xt(Y4,"inverseSelect")),e.registerAction("legendSelect","legendselected",xt(Y4,"select")),e.registerAction("legendUnSelect","legendunselected",xt(Y4,"unSelect"))}(e)}function q4(e,t,n){var r=[1,1];r[e.getOrient().index]=0,np(t,n,{type:"box",ignoreSize:!!r})}const $4=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.setScrollDataIndex=function(e){this.option.scrollDataIndex=e},t.prototype.init=function(t,n,r){var i=rp(t);e.prototype.init.call(this,t,n,r),q4(this,t,i)},t.prototype.mergeOption=function(t,n){e.prototype.mergeOption.call(this,t,n),q4(this,this.option,t)},t.type="legend.scroll",t.defaultOption=Jh(k4.defaultOption,{scrollDataIndex:0,pageButtonItemGap:5,pageButtonGap:null,pageButtonPosition:"end",pageFormatter:"{current}/{total}",pageIcons:{horizontal:["M0,0L12,-10L12,10z","M0,0L-12,-10L-12,10z"],vertical:["M0,0L20,0L10,-20z","M0,0L20,0L10,20z"]},pageIconColor:"#2f4554",pageIconInactiveColor:"#aaa",pageIconSize:15,pageTextStyle:{color:"#333"},animationDurationUpdate:800}),t}(k4);var K4=Oa,J4=["width","height"],Q4=["x","y"],e5=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.newlineDisabled=!0,n._currentIndex=0,n}return Le(t,e),t.prototype.init=function(){e.prototype.init.call(this),this.group.add(this._containerGroup=new K4),this._containerGroup.add(this.getContentGroup()),this.group.add(this._controllerGroup=new K4)},t.prototype.resetInner=function(){e.prototype.resetInner.call(this),this._controllerGroup.removeAll(),this._containerGroup.removeClipPath(),this._containerGroup.__rectSize=null},t.prototype.renderInner=function(t,n,r,i,o,a,s){var l=this;e.prototype.renderInner.call(this,t,n,r,i,o,a,s);var u=this._controllerGroup,c=n.get("pageIconSize",!0),h=bt(c)?c:[c,c];p("pagePrev",0);var d=n.getModel("pageTextStyle");function p(e,t){var r=e+"DataIndex",o=ey(n.get("pageIcons",!0)[n.getOrient().name][t],{onclick:_t(l._pageGo,l,r,n,i)},{x:-h[0]/2,y:-h[1]/2,width:h[0],height:h[1]});o.name=e,u.add(o)}u.add(new sc({name:"pageText",style:{text:"xx/xx",fill:d.getTextColor(),font:d.getFont(),verticalAlign:"middle",align:"center"},silent:!0})),p("pageNext",1)},t.prototype.layoutInner=function(e,t,n,r,i,o){var a=this.getSelectorGroup(),s=e.getOrient().index,l=J4[s],u=Q4[s],c=J4[1-s],h=Q4[1-s];i&&Jd("horizontal",a,e.get("selectorItemGap",!0));var d=e.get("selectorButtonGap",!0),p=a.getBoundingRect(),f=[-p.x,-p.y],g=rt(n);i&&(g[l]=n[l]-p[l]-d);var m=this._layoutContentAndController(e,r,g,s,l,c,h,u);if(i){if("end"===o)f[s]+=m[l]+d;else{var v=p[l]+d;f[s]-=v,m[u]-=v}m[l]+=p[l]+d,f[1-s]+=m[h]+m[c]/2-p[c]/2,m[c]=Math.max(m[c],p[c]),m[h]=Math.min(m[h],p[h]+f[1-s]),a.x=f[0],a.y=f[1],a.markRedraw()}return m},t.prototype._layoutContentAndController=function(e,t,n,r,i,o,a,s){var l=this.getContentGroup(),u=this._containerGroup,c=this._controllerGroup;Jd(e.get("orient"),l,e.get("itemGap"),r?n.width:null,r?null:n.height),Jd("horizontal",c,e.get("pageButtonItemGap",!0));var h=l.getBoundingRect(),d=c.getBoundingRect(),p=this._showController=h[i]>n[i],f=[-h.x,-h.y];t||(f[r]=l[s]);var g=[0,0],m=[-d.x,-d.y],v=Rt(e.get("pageButtonGap",!0),e.get("itemGap",!0));p&&("end"===e.get("pageButtonPosition",!0)?m[r]+=n[i]-d[i]:g[r]+=d[i]+v),m[1-r]+=h[o]/2-d[o]/2,l.setPosition(f),u.setPosition(g),c.setPosition(m);var y={x:0,y:0};if(y[i]=p?n[i]:h[i],y[o]=Math.max(h[o],d[o]),y[a]=Math.min(0,d[a]+m[1-r]),u.__rectSize=n[i],p){var _={x:0,y:0};_[i]=Math.max(n[i]-d[i]-v,0),_[o]=y[o],u.setClipPath(new ju({shape:_})),u.__rectSize=_[i]}else c.eachChild((function(e){e.attr({invisible:!0,silent:!0})}));var x=this._getPageInfo(e);return null!=x.pageIndex&&ph(l,{x:x.contentPosition[0],y:x.contentPosition[1]},p?e:null),this._updatePageInfoView(e,x),y},t.prototype._pageGo=function(e,t,n){var r=this._getPageInfo(t)[e];null!=r&&n.dispatchAction({type:"legendScroll",scrollDataIndex:r,legendId:t.id})},t.prototype._updatePageInfoView=function(e,t){var n=this._controllerGroup;pt(["pagePrev","pageNext"],(function(r){var i=null!=t[r+"DataIndex"],o=n.childOfName(r);o&&(o.setStyle("fill",i?e.get("pageIconColor",!0):e.get("pageIconInactiveColor",!0)),o.cursor=i?"pointer":"default")}));var r=n.childOfName("pageText"),i=e.get("pageFormatter"),o=t.pageIndex,a=null!=o?o+1:0,s=t.pageCount;r&&i&&r.setStyle("text",St(i)?i.replace("{current}",null==a?"":a+"").replace("{total}",null==s?"":s+""):i({current:a,total:s}))},t.prototype._getPageInfo=function(e){var t=e.get("scrollDataIndex",!0),n=this.getContentGroup(),r=this._containerGroup.__rectSize,i=e.getOrient().index,o=J4[i],a=Q4[i],s=this._findTargetItemIndex(t),l=n.children(),u=l[s],c=l.length,h=c?1:0,d={contentPosition:[n.x,n.y],pageCount:h,pageIndex:h-1,pagePrevDataIndex:null,pageNextDataIndex:null};if(!u)return d;var p=y(u);d.contentPosition[i]=-p.s;for(var f=s+1,g=p,m=p,v=null;f<=c;++f)(!(v=y(l[f]))&&m.e>g.s+r||v&&!_(v,g.s))&&(g=m.i>g.i?m:v)&&(null==d.pageNextDataIndex&&(d.pageNextDataIndex=g.i),++d.pageCount),m=v;for(f=s-1,g=p,m=p,v=null;f>=-1;--f)(v=y(l[f]))&&_(m,v.s)||!(g.i<m.i)||(m=g,null==d.pagePrevDataIndex&&(d.pagePrevDataIndex=g.i),++d.pageCount,++d.pageIndex),g=v;return d;function y(e){if(e){var t=e.getBoundingRect(),n=t[a]+e[a];return{s:n,e:n+t[o],i:e.__legendDataIndex}}}function _(e,t){return e.e>=t&&e.s<=t+r}},t.prototype._findTargetItemIndex=function(e){return this._showController?(this.getContentGroup().eachChild((function(r,i){var o=r.__legendDataIndex;null==n&&null!=o&&(n=i),o===e&&(t=i)})),null!=t?t:n):0;var t,n},t.type="legend.scroll",t}(j4);const t5=e5;function n5(e){BS(Z4),e.registerComponentModel($4),e.registerComponentView(t5),function(e){e.registerAction("legendScroll","legendscroll",(function(e,t){var n=e.scrollDataIndex;null!=n&&t.eachComponent({mainType:"legend",subType:"scroll",query:e},(function(e){e.setScrollDataIndex(n)}))}))}(e)}const r5=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="dataZoom.inside",t.defaultOption=Jh(R0.defaultOption,{disabled:!1,zoomLock:!1,zoomOnMouseWheel:!0,moveOnMouseMove:!0,moveOnMouseWheel:!1,preventDefaultMouseMove:!0}),t}(R0);var i5=Ns();function o5(e,t){if(t){e.removeKey(t.model.uid);var n=t.controller;n&&n.dispose()}}function a5(e,t){e.isDisposed()||e.dispatchAction({type:"dataZoom",animation:{easing:"cubicOut",duration:100},batch:t})}function s5(e,t,n,r){return e.coordinateSystem.containPoint([n,r])}var l5=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.type="dataZoom.inside",t}return Le(t,e),t.prototype.render=function(t,n,r){e.prototype.render.apply(this,arguments),t.noTarget()?this._clear():(this.range=t.getPercentRange(),function(e,t,n){i5(e).coordSysRecordMap.each((function(e){var r=e.dataZoomInfoMap.get(t.uid);r&&(r.getRange=n)}))}(r,t,{pan:_t(u5.pan,this),zoom:_t(u5.zoom,this),scrollMove:_t(u5.scrollMove,this)}))},t.prototype.dispose=function(){this._clear(),e.prototype.dispose.apply(this,arguments)},t.prototype._clear=function(){!function(e,t){for(var n=i5(e).coordSysRecordMap,r=n.keys(),i=0;i<r.length;i++){var o=r[i],a=n.get(o),s=a.dataZoomInfoMap;if(s){var l=t.uid;s.get(l)&&(s.removeKey(l),s.keys().length||o5(n,a))}}}(this.api,this.dataZoomModel),this.range=null},t.type="dataZoom.inside",t}(B0),u5={zoom:function(e,t,n,r){var i=this.range,o=i.slice(),a=e.axisModels[0];if(a){var s=h5[t](null,[r.originX,r.originY],a,n,e),l=(s.signal>0?s.pixelStart+s.pixelLength-s.pixel:s.pixel-s.pixelStart)/s.pixelLength*(o[1]-o[0])+o[0],u=Math.max(1/r.scale,0);o[0]=(o[0]-l)*u+l,o[1]=(o[1]-l)*u+l;var c=this.dataZoomModel.findRepresentativeAxisProxy().getMinMaxSpan();return wZ(0,o,[0,100],0,c.minSpan,c.maxSpan),this.range=o,i[0]!==o[0]||i[1]!==o[1]?o:void 0}},pan:c5((function(e,t,n,r,i,o){var a=h5[r]([o.oldX,o.oldY],[o.newX,o.newY],t,i,n);return a.signal*(e[1]-e[0])*a.pixel/a.pixelLength})),scrollMove:c5((function(e,t,n,r,i,o){return h5[r]([0,0],[o.scrollDelta,o.scrollDelta],t,i,n).signal*(e[1]-e[0])*o.scrollDelta}))};function c5(e){return function(t,n,r,i){var o=this.range,a=o.slice(),s=t.axisModels[0];if(s)return wZ(e(a,s,t,n,r,i),a,[0,100],"all"),this.range=a,o[0]!==a[0]||o[1]!==a[1]?a:void 0}}var h5={grid:function(e,t,n,r,i){var o=n.axis,a={},s=i.model.coordinateSystem.getRect();return e=e||[0,0],"x"===o.dim?(a.pixel=t[0]-e[0],a.pixelLength=s.width,a.pixelStart=s.x,a.signal=o.inverse?1:-1):(a.pixel=t[1]-e[1],a.pixelLength=s.height,a.pixelStart=s.y,a.signal=o.inverse?-1:1),a},polar:function(e,t,n,r,i){var o=n.axis,a={},s=i.model.coordinateSystem,l=s.getRadiusAxis().getExtent(),u=s.getAngleAxis().getExtent();return e=e?s.pointToCoord(e):[0,0],t=s.pointToCoord(t),"radiusAxis"===n.mainType?(a.pixel=t[0]-e[0],a.pixelLength=l[1]-l[0],a.pixelStart=l[0],a.signal=o.inverse?1:-1):(a.pixel=t[1]-e[1],a.pixelLength=u[1]-u[0],a.pixelStart=u[0],a.signal=o.inverse?-1:1),a},singleAxis:function(e,t,n,r,i){var o=n.axis,a=i.model.coordinateSystem.getRect(),s={};return e=e||[0,0],"horizontal"===o.orient?(s.pixel=t[0]-e[0],s.pixelLength=a.width,s.pixelStart=a.x,s.signal=o.inverse?1:-1):(s.pixel=t[1]-e[1],s.pixelLength=a.height,s.pixelStart=a.y,s.signal=o.inverse?-1:1),s}};const d5=l5;function p5(e){j0(e),e.registerComponentModel(r5),e.registerComponentView(d5),function(e){e.registerProcessor(e.PRIORITY.PROCESSOR.FILTER,(function(e,t){var n=i5(t),r=n.coordSysRecordMap||(n.coordSysRecordMap=Yt());r.each((function(e){e.dataZoomInfoMap=null})),e.eachComponent({mainType:"dataZoom",subType:"inside"},(function(e){pt(L0(e).infoList,(function(n){var i=n.model.uid,o=r.get(i)||r.set(i,function(e,t){var n={model:t,containsPoint:xt(s5,t),dispatchAction:xt(a5,e),dataZoomInfoMap:null,controller:null},r=n.controller=new NU(e.getZr());return pt(["pan","zoom","scrollMove"],(function(e){r.on(e,(function(t){var r=[];n.dataZoomInfoMap.each((function(i){if(t.isAvailableBehavior(i.model.option)){var o=(i.getRange||{})[e],a=o&&o(i.dzReferCoordSysInfo,n.model.mainType,n.controller,t);!i.model.get("disabled",!0)&&a&&r.push({dataZoomId:i.model.id,start:a[0],end:a[1]})}})),r.length&&n.dispatchAction(r)}))})),n}(t,n.model));(o.dataZoomInfoMap||(o.dataZoomInfoMap=Yt())).set(e.uid,{dzReferCoordSysInfo:n,model:e,getRange:null})}))})),r.each((function(e){var t,n=e.controller,i=e.dataZoomInfoMap;if(i){var o=i.keys()[0];null!=o&&(t=i.get(o))}if(t){var a=function(e){var t,n="type_",r={type_true:2,type_move:1,type_false:0,type_undefined:-1},i=!0;return e.each((function(e){var o=e.model,a=!o.get("disabled",!0)&&(!o.get("zoomLock",!0)||"move");r[n+a]>r[n+t]&&(t=a),i=i&&o.get("preventDefaultMouseMove",!0)})),{controlType:t,opt:{zoomOnMouseWheel:!0,moveOnMouseMove:!0,moveOnMouseWheel:!0,preventDefaultMouseMove:!!i}}}(i);n.enable(a.controlType,a.opt),n.setPointerChecker(e.containsPoint),xy(e,"dispatchAction",t.model.get("throttle",!0),"fixRate")}else o5(r,e)}))}))}(e)}const f5=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.type="dataZoom.slider",t.layoutMode="box",t.defaultOption=Jh(R0.defaultOption,{show:!0,right:"ph",top:"ph",width:"ph",height:"ph",left:null,bottom:null,borderColor:"#d2dbee",borderRadius:3,backgroundColor:"rgba(47,69,84,0)",dataBackground:{lineStyle:{color:"#d2dbee",width:.5},areaStyle:{color:"#d2dbee",opacity:.2}},selectedDataBackground:{lineStyle:{color:"#8fb0f7",width:.5},areaStyle:{color:"#8fb0f7",opacity:.2}},fillerColor:"rgba(135,175,274,0.2)",handleIcon:"path://M-9.35,34.56V42m0-40V9.5m-2,0h4a2,2,0,0,1,2,2v21a2,2,0,0,1-2,2h-4a2,2,0,0,1-2-2v-21A2,2,0,0,1-11.35,9.5Z",handleSize:"100%",handleStyle:{color:"#fff",borderColor:"#ACB8D1"},moveHandleSize:7,moveHandleIcon:"path://M-320.9-50L-320.9-50c18.1,0,27.1,9,27.1,27.1V85.7c0,18.1-9,27.1-27.1,27.1l0,0c-18.1,0-27.1-9-27.1-27.1V-22.9C-348-41-339-50-320.9-50z M-212.3-50L-212.3-50c18.1,0,27.1,9,27.1,27.1V85.7c0,18.1-9,27.1-27.1,27.1l0,0c-18.1,0-27.1-9-27.1-27.1V-22.9C-239.4-41-230.4-50-212.3-50z M-103.7-50L-103.7-50c18.1,0,27.1,9,27.1,27.1V85.7c0,18.1-9,27.1-27.1,27.1l0,0c-18.1,0-27.1-9-27.1-27.1V-22.9C-130.9-41-121.8-50-103.7-50z",moveHandleStyle:{color:"#D2DBEE",opacity:.7},showDetail:!0,showDataShadow:"auto",realtime:!0,zoomLock:!1,textStyle:{color:"#6E7079"},brushSelect:!0,brushStyle:{color:"rgba(135,175,274,0.15)"},emphasis:{handleStyle:{borderColor:"#8FB0F7"},moveHandleStyle:{color:"#8FB0F7"}}}),t}(R0);var g5=ju,m5="horizontal",v5="vertical",y5=["line","bar","candlestick","scatter"],_5={easing:"cubicOut",duration:100,delay:0},x5=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n._displayables={},n}return Le(t,e),t.prototype.init=function(e,t){this.api=t,this._onBrush=_t(this._onBrush,this),this._onBrushEnd=_t(this._onBrushEnd,this)},t.prototype.render=function(t,n,r,i){if(e.prototype.render.apply(this,arguments),xy(this,"_dispatchZoomAction",t.get("throttle"),"fixRate"),this._orient=t.getOrient(),!1!==t.get("show")){if(t.noTarget())return this._clear(),void this.group.removeAll();i&&"dataZoom"===i.type&&i.from===this.uid||this._buildView(),this._updateView()}else this.group.removeAll()},t.prototype.dispose=function(){this._clear(),e.prototype.dispose.apply(this,arguments)},t.prototype._clear=function(){by(this,"_dispatchZoomAction");var e=this.api.getZr();e.off("mousemove",this._onBrush),e.off("mouseup",this._onBrushEnd)},t.prototype._buildView=function(){var e=this.group;e.removeAll(),this._brushing=!1,this._displayables.brushRect=null,this._resetLocation(),this._resetInterval();var t=this._displayables.sliderGroup=new Oa;this._renderBackground(),this._renderHandle(),this._renderDataShadow(),e.add(t),this._positionGroup()},t.prototype._resetLocation=function(){var e=this.dataZoomModel,t=this.api,n=e.get("brushSelect")?7:0,r=this._findCoordRect(),i={width:t.getWidth(),height:t.getHeight()},o=this._orient===m5?{right:i.width-r.x-r.width,top:i.height-30-7-n,width:r.width,height:30}:{right:7,top:r.y,width:30,height:r.height},a=rp(e.option);pt(["right","top","width","height"],(function(e){"ph"===a[e]&&(a[e]=o[e])}));var s=Qd(a,i);this._location={x:s.x,y:s.y},this._size=[s.width,s.height],this._orient===v5&&this._size.reverse()},t.prototype._positionGroup=function(){var e=this.group,t=this._location,n=this._orient,r=this.dataZoomModel.getFirstTargetAxisModel(),i=r&&r.get("inverse"),o=this._displayables.sliderGroup,a=(this._dataShadowInfo||{}).otherAxisInverse;o.attr(n!==m5||i?n===m5&&i?{scaleY:a?1:-1,scaleX:-1}:n!==v5||i?{scaleY:a?-1:1,scaleX:-1,rotation:Math.PI/2}:{scaleY:a?-1:1,scaleX:1,rotation:Math.PI/2}:{scaleY:a?1:-1,scaleX:1});var s=e.getBoundingRect([o]);e.x=t.x-s.x,e.y=t.y-s.y,e.markRedraw()},t.prototype._getViewExtent=function(){return[0,this._size[0]]},t.prototype._renderBackground=function(){var e=this.dataZoomModel,t=this._size,n=this._displayables.sliderGroup,r=e.get("brushSelect");n.add(new g5({silent:!0,shape:{x:0,y:0,width:t[0],height:t[1]},style:{fill:e.get("backgroundColor")},z2:-40}));var i=new g5({shape:{x:0,y:0,width:t[0],height:t[1]},style:{fill:"transparent"},z2:0,onclick:_t(this._onClickPanel,this)}),o=this.api.getZr();r?(i.on("mousedown",this._onBrushStart,this),i.cursor="crosshair",o.on("mousemove",this._onBrush),o.on("mouseup",this._onBrushEnd)):(o.off("mousemove",this._onBrush),o.off("mouseup",this._onBrushEnd)),n.add(i)},t.prototype._renderDataShadow=function(){var e=this._dataShadowInfo=this._prepareDataShadowInfo();if(this._displayables.dataShadowSegs=[],e){var t=this._size,n=this._shadowSize||[],r=e.series,i=r.getRawData(),o=r.getShadowDim&&r.getShadowDim(),a=o&&i.getDimensionInfo(o)?r.getShadowDim():e.otherDim;if(null!=a){var s=this._shadowPolygonPts,l=this._shadowPolylinePts;if(i!==this._shadowData||a!==this._shadowDim||t[0]!==n[0]||t[1]!==n[1]){var u=i.getDataExtent(a),c=.3*(u[1]-u[0]);u=[u[0]-c,u[1]+c];var h,d=[0,t[1]],p=[0,t[0]],f=[[t[0],0],[0,0]],g=[],m=p[1]/(i.count()-1),v=0,y=Math.round(i.count()/t[0]);i.each([a],(function(e,t){if(y>0&&t%y)v+=m;else{var n=null==e||isNaN(e)||""===e,r=n?0:Za(e,u,d,!0);n&&!h&&t?(f.push([f[f.length-1][0],0]),g.push([g[g.length-1][0],0])):!n&&h&&(f.push([v,0]),g.push([v,0])),f.push([v,r]),g.push([v,r]),v+=m,h=n}})),s=this._shadowPolygonPts=f,l=this._shadowPolylinePts=g}this._shadowData=i,this._shadowDim=a,this._shadowSize=[t[0],t[1]];for(var _=this.dataZoomModel,x=0;x<3;x++){var b=w(1===x);this._displayables.sliderGroup.add(b),this._displayables.dataShadowSegs.push(b)}}}function w(e){var t=_.getModel(e?"selectedDataBackground":"dataBackground"),n=new Oa,r=new Jm({shape:{points:s},segmentIgnoreThreshold:1,style:t.getModel("areaStyle").getAreaStyle(),silent:!0,z2:-20}),i=new tv({shape:{points:l},segmentIgnoreThreshold:1,style:t.getModel("lineStyle").getLineStyle(),silent:!0,z2:-19});return n.add(r),n.add(i),n}},t.prototype._prepareDataShadowInfo=function(){var e=this.dataZoomModel,t=e.get("showDataShadow");if(!1!==t){var n,r=this.ecModel;return e.eachTargetAxis((function(i,o){pt(e.getAxisProxy(i,o).getTargetSeriesModels(),(function(e){if(!(n||!0!==t&&ut(y5,e.get("type"))<0)){var a,s=r.getComponent(E0(i),o).axis,l={x:"y",y:"x",radius:"angle",angle:"radius"}[i],u=e.coordinateSystem;null!=l&&u.getOtherAxis&&(a=u.getOtherAxis(s).inverse),l=e.getData().mapDimension(l),n={thisAxis:s,series:e,thisDim:i,otherDim:l,otherAxisInverse:a}}}),this)}),this),n}},t.prototype._renderHandle=function(){var e=this.group,t=this._displayables,n=t.handles=[null,null],r=t.handleLabels=[null,null],i=this._displayables.sliderGroup,o=this._size,a=this.dataZoomModel,s=this.api,l=a.get("borderRadius")||0,u=a.get("brushSelect"),c=t.filler=new g5({silent:u,style:{fill:a.get("fillerColor")},textConfig:{position:"inside"}});i.add(c),i.add(new g5({silent:!0,subPixelOptimize:!0,shape:{x:0,y:0,width:o[0],height:o[1],r:l},style:{stroke:a.get("dataBackgroundColor")||a.get("borderColor"),lineWidth:1,fill:"rgba(0,0,0,0)"}})),pt([0,1],(function(t){var o=a.get("handleIcon");!w_[o]&&o.indexOf("path://")<0&&o.indexOf("image://")<0&&(o="path://"+o);var s=T_(o,-1,0,2,2,null,!0);s.attr({cursor:b5(this._orient),draggable:!0,drift:_t(this._onDragMove,this,t),ondragend:_t(this._onDragEnd,this),onmouseover:_t(this._showDataInfo,this,!0),onmouseout:_t(this._showDataInfo,this,!1),z2:5});var l=s.getBoundingRect(),u=a.get("handleSize");this._handleHeight=qa(u,this._size[1]),this._handleWidth=l.width/l.height*this._handleHeight,s.setStyle(a.getModel("handleStyle").getItemStyle()),s.style.strokeNoScale=!0,s.rectHover=!0,s.ensureState("emphasis").style=a.getModel(["emphasis","handleStyle"]).getItemStyle(),eh(s);var c=a.get("handleColor");null!=c&&(s.style.fill=c),i.add(n[t]=s);var h=a.getModel("textStyle");e.add(r[t]=new sc({silent:!0,invisible:!0,style:Th(h,{x:0,y:0,text:"",verticalAlign:"middle",align:"center",fill:h.getTextColor(),font:h.getFont()}),z2:10}))}),this);var h=c;if(u){var d=qa(a.get("moveHandleSize"),o[1]),p=t.moveHandle=new ju({style:a.getModel("moveHandleStyle").getItemStyle(),silent:!0,shape:{r:[0,0,2,2],y:o[1]-.5,height:d}}),f=.8*d,g=t.moveHandleIcon=T_(a.get("moveHandleIcon"),-f/2,-f/2,f,f,"#fff",!0);g.silent=!0,g.y=o[1]+d/2-.5,p.ensureState("emphasis").style=a.getModel(["emphasis","moveHandleStyle"]).getItemStyle();var m=Math.min(o[1]/2,Math.max(d,10));(h=t.moveZone=new ju({invisible:!0,shape:{y:o[1]-m,height:d+m}})).on("mouseover",(function(){s.enterEmphasis(p)})).on("mouseout",(function(){s.leaveEmphasis(p)})),i.add(p),i.add(g),i.add(h)}h.attr({draggable:!0,cursor:b5(this._orient),drift:_t(this._onDragMove,this,"all"),ondragstart:_t(this._showDataInfo,this,!0),ondragend:_t(this._onDragEnd,this),onmouseover:_t(this._showDataInfo,this,!0),onmouseout:_t(this._showDataInfo,this,!1)})},t.prototype._resetInterval=function(){var e=this._range=this.dataZoomModel.getPercentRange(),t=this._getViewExtent();this._handleEnds=[Za(e[0],[0,100],t,!0),Za(e[1],[0,100],t,!0)]},t.prototype._updateInterval=function(e,t){var n=this.dataZoomModel,r=this._handleEnds,i=this._getViewExtent(),o=n.findRepresentativeAxisProxy().getMinMaxSpan(),a=[0,100];wZ(t,r,i,n.get("zoomLock")?"all":e,null!=o.minSpan?Za(o.minSpan,a,i,!0):null,null!=o.maxSpan?Za(o.maxSpan,a,i,!0):null);var s=this._range,l=this._range=Ka([Za(r[0],i,a,!0),Za(r[1],i,a,!0)]);return!s||s[0]!==l[0]||s[1]!==l[1]},t.prototype._updateView=function(e){var t=this._displayables,n=this._handleEnds,r=Ka(n.slice()),i=this._size;pt([0,1],(function(e){var r=t.handles[e],o=this._handleHeight;r.attr({scaleX:o/2,scaleY:o/2,x:n[e]+(e?-1:1),y:i[1]/2-o/2})}),this),t.filler.setShape({x:r[0],y:0,width:r[1]-r[0],height:i[1]});var o={x:r[0],width:r[1]-r[0]};t.moveHandle&&(t.moveHandle.setShape(o),t.moveZone.setShape(o),t.moveZone.getBoundingRect(),t.moveHandleIcon&&t.moveHandleIcon.attr("x",o.x+o.width/2));for(var a=t.dataShadowSegs,s=[0,r[0],r[1],i[0]],l=0;l<a.length;l++){var u=a[l],c=u.getClipPath();c||(c=new ju,u.setClipPath(c)),c.setShape({x:s[l],y:0,width:s[l+1]-s[l],height:i[1]})}this._updateDataInfo(e)},t.prototype._updateDataInfo=function(e){var t=this.dataZoomModel,n=this._displayables,r=n.handleLabels,i=this._orient,o=["",""];if(t.get("showDetail")){var a=t.findRepresentativeAxisProxy();if(a){var s=a.getAxisModel().axis,l=this._range,u=e?a.calculateDataWindow({start:l[0],end:l[1]}).valueWindow:a.getDataValueWindow();o=[this._formatLabel(u[0],s),this._formatLabel(u[1],s)]}}var c=Ka(this._handleEnds.slice());function h(e){var t=Yv(n.handles[e].parent,this.group),a=qv(0===e?"right":"left",t),s=this._handleWidth/2+5,l=Zv([c[e]+(0===e?-s:s),this._size[1]/2],t);r[e].setStyle({x:l[0],y:l[1],verticalAlign:i===m5?"middle":a,align:i===m5?a:"center",text:o[e]})}h.call(this,0),h.call(this,1)},t.prototype._formatLabel=function(e,t){var n=this.dataZoomModel,r=n.get("labelFormatter"),i=n.get("labelPrecision");null!=i&&"auto"!==i||(i=t.getPixelPrecision());var o=null==e||isNaN(e)?"":"category"===t.type||"time"===t.type?t.scale.getLabel({value:Math.round(e)}):e.toFixed(Math.min(i,20));return wt(r)?r(e,o):St(r)?r.replace("{value}",o):o},t.prototype._showDataInfo=function(e){e=this._dragging||e;var t=this._displayables,n=t.handleLabels;n[0].attr("invisible",!e),n[1].attr("invisible",!e),t.moveHandle&&this.api[e?"enterEmphasis":"leaveEmphasis"](t.moveHandle,1)},t.prototype._onDragMove=function(e,t,n,r){this._dragging=!0,Kn(r.event);var i=Zv([t,n],this._displayables.sliderGroup.getLocalTransform(),!0),o=this._updateInterval(e,i[0]),a=this.dataZoomModel.get("realtime");this._updateView(!a),o&&a&&this._dispatchZoomAction(!0)},t.prototype._onDragEnd=function(){this._dragging=!1,this._showDataInfo(!1),!this.dataZoomModel.get("realtime")&&this._dispatchZoomAction(!1)},t.prototype._onClickPanel=function(e){var t=this._size,n=this._displayables.sliderGroup.transformCoordToLocal(e.offsetX,e.offsetY);if(!(n[0]<0||n[0]>t[0]||n[1]<0||n[1]>t[1])){var r=this._handleEnds,i=(r[0]+r[1])/2,o=this._updateInterval("all",n[0]-i);this._updateView(),o&&this._dispatchZoomAction(!1)}},t.prototype._onBrushStart=function(e){var t=e.offsetX,n=e.offsetY;this._brushStart=new dr(t,n),this._brushing=!0,this._brushStartTime=+new Date},t.prototype._onBrushEnd=function(e){if(this._brushing){var t=this._displayables.brushRect;if(this._brushing=!1,t){t.attr("ignore",!0);var n=t.shape;if(!(+new Date-this._brushStartTime<200&&Math.abs(n.width)<5)){var r=this._getViewExtent(),i=[0,100];this._range=Ka([Za(n.x,r,i,!0),Za(n.x+n.width,r,i,!0)]),this._handleEnds=[n.x,n.x+n.width],this._updateView(),this._dispatchZoomAction(!1)}}}},t.prototype._onBrush=function(e){this._brushing&&(Kn(e.event),this._updateBrushRect(e.offsetX,e.offsetY))},t.prototype._updateBrushRect=function(e,t){var n=this._displayables,r=this.dataZoomModel,i=n.brushRect;i||(i=n.brushRect=new g5({silent:!0,style:r.getModel("brushStyle").getItemStyle()}),n.sliderGroup.add(i)),i.attr("ignore",!1);var o=this._brushStart,a=this._displayables.sliderGroup,s=a.transformCoordToLocal(e,t),l=a.transformCoordToLocal(o.x,o.y),u=this._size;s[0]=Math.max(Math.min(u[0],s[0]),0),i.setShape({x:l[0],y:0,width:s[0]-l[0],height:u[1]})},t.prototype._dispatchZoomAction=function(e){var t=this._range;this.api.dispatchAction({type:"dataZoom",from:this.uid,dataZoomId:this.dataZoomModel.id,animation:e?_5:null,start:t[0],end:t[1]})},t.prototype._findCoordRect=function(){var e,t=L0(this.dataZoomModel).infoList;if(!e&&t.length){var n=t[0].model.coordinateSystem;e=n.getRect&&n.getRect()}if(!e){var r=this.api.getWidth(),i=this.api.getHeight();e={x:.2*r,y:.2*i,width:.6*r,height:.6*i}}return e},t.type="dataZoom.slider",t}(B0);function b5(e){return"vertical"===e?"ns-resize":"ew-resize"}const w5=x5;function S5(e){e.registerComponentModel(f5),e.registerComponentView(w5),j0(e)}var M5={get:function(e,t,n){var r=rt((T5[e]||{})[t]);return n&&bt(r)?r[r.length-1]:r}},T5={color:{active:["#006edd","#e0ffff"],inactive:["rgba(0,0,0,0)"]},colorHue:{active:[0,360],inactive:[0,0]},colorSaturation:{active:[.3,1],inactive:[0,0]},colorLightness:{active:[.9,.5],inactive:[0,0]},colorAlpha:{active:[.3,1],inactive:[0,0]},opacity:{active:[.3,1],inactive:[0,0]},symbol:{active:["circle","roundRect","diamond"],inactive:["none"]},symbolSize:{active:[10,50],inactive:[0,0]}};const A5=M5;var I5=_X.mapVisual,C5=_X.eachVisual,D5=bt,E5=pt,L5=Ka,P5=Za,O5=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.stateList=["inRange","outOfRange"],n.replacableOptionKeys=["inRange","outOfRange","target","controller","color"],n.layoutMode={type:"box",ignoreSize:!0},n.dataBound=[-1/0,1/0],n.targetVisuals={},n.controllerVisuals={},n}return Le(t,e),t.prototype.init=function(e,t,n){this.mergeDefaultAndTheme(e,n)},t.prototype.optionUpdated=function(e,t){var n=this.option;!t&&g3(n,e,this.replacableOptionKeys),this.textStyleModel=this.getModel("textStyle"),this.resetItemSize(),this.completeVisualOption()},t.prototype.resetVisual=function(e){var t=this.stateList;e=_t(e,this),this.controllerVisuals=f3(this.option.controller,t,e),this.targetVisuals=f3(this.option.target,t,e)},t.prototype.getItemSymbol=function(){return null},t.prototype.getTargetSeriesIndices=function(){var e=this.option.seriesIndex,t=[];return null==e||"all"===e?this.ecModel.eachSeries((function(e,n){t.push(n)})):t=ws(e),t},t.prototype.eachTargetSeries=function(e,t){pt(this.getTargetSeriesIndices(),(function(n){var r=this.ecModel.getSeriesByIndex(n);r&&e.call(t,r)}),this)},t.prototype.isTargetSeries=function(e){var t=!1;return this.eachTargetSeries((function(n){n===e&&(t=!0)})),t},t.prototype.formatValueText=function(e,t,n){var r,i=this.option,o=i.precision,a=this.dataBound,s=i.formatter;n=n||["<",">"],bt(e)&&(e=e.slice(),r=!0);var l=t?e:r?[u(e[0]),u(e[1])]:u(e);return St(s)?s.replace("{value}",r?l[0]:l).replace("{value2}",r?l[1]:l):wt(s)?r?s(e[0],e[1]):s(e):r?e[0]===a[0]?n[0]+" "+l[1]:e[1]===a[1]?n[1]+" "+l[0]:l[0]+" - "+l[1]:l;function u(e){return e===a[0]?"min":e===a[1]?"max":(+e).toFixed(Math.min(o,20))}},t.prototype.resetExtent=function(){var e=this.option,t=L5([e.min,e.max]);this._dataExtent=t},t.prototype.getDataDimensionIndex=function(e){var t=this.option.dimension;if(null!=t)return e.getDimensionIndex(t);for(var n=e.dimensions,r=n.length-1;r>=0;r--){var i=n[r],o=e.getDimensionInfo(i);if(!o.isCalculationCoord)return o.storeDimIndex}},t.prototype.getExtent=function(){return this._dataExtent.slice()},t.prototype.completeVisualOption=function(){var e=this.ecModel,t=this.option,n={inRange:t.inRange,outOfRange:t.outOfRange},r=t.target||(t.target={}),i=t.controller||(t.controller={});it(r,n),it(i,n);var o=this.isCategory();function a(n){D5(t.color)&&!n.inRange&&(n.inRange={color:t.color.slice().reverse()}),n.inRange=n.inRange||{color:e.get("gradientColor")}}a.call(this,r),a.call(this,i),function(e,t,n){var r=e[t],i=e[n];r&&!i&&(i=e[n]={},E5(r,(function(e,t){if(_X.isValidType(t)){var n=A5.get(t,"inactive",o);null!=n&&(i[t]=n,"color"!==t||i.hasOwnProperty("opacity")||i.hasOwnProperty("colorAlpha")||(i.opacity=[0,0]))}})))}.call(this,r,"inRange","outOfRange"),function(e){var t=(e.inRange||{}).symbol||(e.outOfRange||{}).symbol,n=(e.inRange||{}).symbolSize||(e.outOfRange||{}).symbolSize,r=this.get("inactiveColor"),i=this.getItemSymbol()||"roundRect";E5(this.stateList,(function(a){var s=this.itemSize,l=e[a];l||(l=e[a]={color:o?r:[r]}),null==l.symbol&&(l.symbol=t&&rt(t)||(o?i:[i])),null==l.symbolSize&&(l.symbolSize=n&&rt(n)||(o?s[0]:[s[0],s[0]])),l.symbol=I5(l.symbol,(function(e){return"none"===e?i:e}));var u=l.symbolSize;if(null!=u){var c=-1/0;C5(u,(function(e){e>c&&(c=e)})),l.symbolSize=I5(u,(function(e){return P5(e,[0,c],[0,s[0]],!0)}))}}),this)}.call(this,i)},t.prototype.resetItemSize=function(){this.itemSize=[parseFloat(this.get("itemWidth")),parseFloat(this.get("itemHeight"))]},t.prototype.isCategory=function(){return!!this.option.categories},t.prototype.setSelected=function(e){},t.prototype.getSelected=function(){return null},t.prototype.getValueState=function(e){return null},t.prototype.getVisualMeta=function(e){return null},t.type="visualMap",t.dependencies=["series"],t.defaultOption={show:!0,z:4,seriesIndex:"all",min:0,max:200,left:0,right:null,top:null,bottom:0,itemWidth:null,itemHeight:null,inverse:!1,orient:"vertical",backgroundColor:"rgba(0,0,0,0)",borderColor:"#ccc",contentColor:"#5793f3",inactiveColor:"#aaa",borderWidth:0,padding:5,textGap:10,precision:0,textStyle:{color:"#333"}},t}(sp);const N5=O5;var R5=[20,140],k5=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.optionUpdated=function(t,n){e.prototype.optionUpdated.apply(this,arguments),this.resetExtent(),this.resetVisual((function(e){e.mappingMethod="linear",e.dataExtent=this.getExtent()})),this._resetRange()},t.prototype.resetItemSize=function(){e.prototype.resetItemSize.apply(this,arguments);var t=this.itemSize;(null==t[0]||isNaN(t[0]))&&(t[0]=R5[0]),(null==t[1]||isNaN(t[1]))&&(t[1]=R5[1])},t.prototype._resetRange=function(){var e=this.getExtent(),t=this.option.range;!t||t.auto?(e.auto=1,this.option.range=e):bt(t)&&(t[0]>t[1]&&t.reverse(),t[0]=Math.max(t[0],e[0]),t[1]=Math.min(t[1],e[1]))},t.prototype.completeVisualOption=function(){e.prototype.completeVisualOption.apply(this,arguments),pt(this.stateList,(function(e){var t=this.option.controller[e].symbolSize;t&&t[0]!==t[1]&&(t[0]=t[1]/3)}),this)},t.prototype.setSelected=function(e){this.option.range=e.slice(),this._resetRange()},t.prototype.getSelected=function(){var e=this.getExtent(),t=Ka((this.get("range")||[]).slice());return t[0]>e[1]&&(t[0]=e[1]),t[1]>e[1]&&(t[1]=e[1]),t[0]<e[0]&&(t[0]=e[0]),t[1]<e[0]&&(t[1]=e[0]),t},t.prototype.getValueState=function(e){var t=this.option.range,n=this.getExtent();return(t[0]<=n[0]||t[0]<=e)&&(t[1]>=n[1]||e<=t[1])?"inRange":"outOfRange"},t.prototype.findTargetDataIndices=function(e){var t=[];return this.eachTargetSeries((function(n){var r=[],i=n.getData();i.each(this.getDataDimensionIndex(i),(function(t,n){e[0]<=t&&t<=e[1]&&r.push(n)}),this),t.push({seriesId:n.id,dataIndex:r})}),this),t},t.prototype.getVisualMeta=function(e){var t=B5(0,0,this.getExtent()),n=B5(0,0,this.option.range.slice()),r=[];function i(t,n){r.push({value:t,color:e(t,n)})}for(var o=0,a=0,s=n.length,l=t.length;a<l&&(!n.length||t[a]<=n[0]);a++)t[a]<n[o]&&i(t[a],"outOfRange");for(var u=1;o<s;o++,u=0)u&&r.length&&i(n[o],"outOfRange"),i(n[o],"inRange");for(u=1;a<l;a++)(!n.length||n[n.length-1]<t[a])&&(u&&(r.length&&i(r[r.length-1].value,"outOfRange"),u=0),i(t[a],"outOfRange"));var c=r.length;return{stops:r,outerColors:[c?r[0].color:"transparent",c?r[c-1].color:"transparent"]}},t.type="visualMap.continuous",t.defaultOption=Jh(N5.defaultOption,{align:"auto",calculable:!1,hoverLink:!0,realtime:!0,handleIcon:"path://M-11.39,9.77h0a3.5,3.5,0,0,1-3.5,3.5h-22a3.5,3.5,0,0,1-3.5-3.5h0a3.5,3.5,0,0,1,3.5-3.5h22A3.5,3.5,0,0,1-11.39,9.77Z",handleSize:"120%",handleStyle:{borderColor:"#fff",borderWidth:1},indicatorIcon:"circle",indicatorSize:"50%",indicatorStyle:{borderColor:"#fff",borderWidth:2,shadowBlur:2,shadowOffsetX:1,shadowOffsetY:1,shadowColor:"rgba(0,0,0,0.2)"}}),t}(N5);function B5(e,t,n){if(n[0]===n[1])return n.slice();for(var r=(n[1]-n[0])/200,i=n[0],o=[],a=0;a<=200&&i<n[1];a++)o.push(i),i+=r;return o.push(n[1]),o}const F5=k5,z5=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n.autoPositionValues={left:1,right:1,top:1,bottom:1},n}return Le(t,e),t.prototype.init=function(e,t){this.ecModel=e,this.api=t},t.prototype.render=function(e,t,n,r){this.visualMapModel=e,!1!==e.get("show")?this.doRender(e,t,n,r):this.group.removeAll()},t.prototype.renderBackground=function(e){var t=this.visualMapModel,n=Fd(t.get("padding")||0),r=e.getBoundingRect();e.add(new ju({z2:-1,silent:!0,shape:{x:r.x-n[3],y:r.y-n[0],width:r.width+n[3]+n[1],height:r.height+n[0]+n[2]},style:{fill:t.get("backgroundColor"),stroke:t.get("borderColor"),lineWidth:t.get("borderWidth")}}))},t.prototype.getControllerVisual=function(e,t,n){var r=(n=n||{}).forceState,i=this.visualMapModel,o={};if("color"===t){var a=i.get("contentColor");o.color=a}function s(e){return o[e]}function l(e,t){o[e]=t}var u=i.controllerVisuals[r||i.getValueState(e)];return pt(_X.prepareVisualTypes(u),(function(r){var i=u[r];n.convertOpacityToAlpha&&"opacity"===r&&(r="colorAlpha",i=u.__alphaForOpacity),_X.dependsOn(r,t)&&i&&i.applyVisual(e,s,l)})),o[t]},t.prototype.positionGroup=function(e){var t=this.visualMapModel,n=this.api;ep(e,t.getBoxLayoutParams(),{width:n.getWidth(),height:n.getHeight()})},t.prototype.doRender=function(e,t,n,r){},t.type="visualMap",t}(rm);var V5=[["left","right","width"],["top","bottom","height"]];function G5(e,t,n){var r=e.option,i=r.align;if(null!=i&&"auto"!==i)return i;for(var o={width:t.getWidth(),height:t.getHeight()},a="horizontal"===r.orient?1:0,s=V5[a],l=[0,null,10],u={},c=0;c<3;c++)u[V5[1-a][c]]=l[c],u[s[c]]=2===c?n[0]:r[s[c]];var h=[["x","width",3],["y","height",0]][a],d=Qd(u,o,r.padding);return s[(d.margin[h[2]]||0)+d[h[0]]+.5*d[h[1]]<.5*o[h[1]]?0:1]}function H5(e,t){return pt(e||[],(function(e){null!=e.dataIndex&&(e.dataIndexInside=e.dataIndex,e.dataIndex=null),e.highlightKey="visualMap"+(t?t.componentIndex:"")})),e}var U5=Za,W5=pt,j5=Math.min,X5=Math.max,Y5=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n._shapes={},n._dataInterval=[],n._handleEnds=[],n._hoverLinkDataIndices=[],n}return Le(t,e),t.prototype.init=function(t,n){e.prototype.init.call(this,t,n),this._hoverLinkFromSeriesMouseOver=_t(this._hoverLinkFromSeriesMouseOver,this),this._hideIndicator=_t(this._hideIndicator,this)},t.prototype.doRender=function(e,t,n,r){r&&"selectDataRange"===r.type&&r.from===this.uid||this._buildView()},t.prototype._buildView=function(){this.group.removeAll();var e=this.visualMapModel,t=this.group;this._orient=e.get("orient"),this._useHandle=e.get("calculable"),this._resetInterval(),this._renderBar(t);var n=e.get("text");this._renderEndsText(t,n,0),this._renderEndsText(t,n,1),this._updateView(!0),this.renderBackground(t),this._updateView(),this._enableHoverLinkToSeries(),this._enableHoverLinkFromSeries(),this.positionGroup(t)},t.prototype._renderEndsText=function(e,t,n){if(t){var r=t[1-n];r=null!=r?r+"":"";var i=this.visualMapModel,o=i.get("textGap"),a=i.itemSize,s=this._shapes.mainGroup,l=this._applyTransform([a[0]/2,0===n?-o:a[1]+o],s),u=this._applyTransform(0===n?"bottom":"top",s),c=this._orient,h=this.visualMapModel.textStyleModel;this.group.add(new sc({style:Th(h,{x:l[0],y:l[1],verticalAlign:"horizontal"===c?"middle":u,align:"horizontal"===c?u:"center",text:r})}))}},t.prototype._renderBar=function(e){var t=this.visualMapModel,n=this._shapes,r=t.itemSize,i=this._orient,o=this._useHandle,a=G5(t,this.api,r),s=n.mainGroup=this._createBarGroup(a),l=new Oa;s.add(l),l.add(n.outOfRange=Z5()),l.add(n.inRange=Z5(null,o?$5(this._orient):null,_t(this._dragHandle,this,"all",!1),_t(this._dragHandle,this,"all",!0))),l.setClipPath(new ju({shape:{x:0,y:0,width:r[0],height:r[1],r:3}}));var u=t.textStyleModel.getTextRect("国"),c=X5(u.width,u.height);o&&(n.handleThumbs=[],n.handleLabels=[],n.handleLabelPoints=[],this._createHandle(t,s,0,r,c,i),this._createHandle(t,s,1,r,c,i)),this._createIndicator(t,s,r,c,i),e.add(s)},t.prototype._createHandle=function(e,t,n,r,i,o){var a=_t(this._dragHandle,this,n,!1),s=_t(this._dragHandle,this,n,!0),l=_a(e.get("handleSize"),r[0]),u=T_(e.get("handleIcon"),-l/2,-l/2,l,l,null,!0),c=$5(this._orient);u.attr({cursor:c,draggable:!0,drift:a,ondragend:s,onmousemove:function(e){Kn(e.event)}}),u.x=r[0]/2,u.useStyle(e.getModel("handleStyle").getItemStyle()),u.setStyle({strokeNoScale:!0,strokeFirst:!0}),u.style.lineWidth*=2,u.ensureState("emphasis").style=e.getModel(["emphasis","handleStyle"]).getItemStyle(),ah(u,!0),t.add(u);var h=this.visualMapModel.textStyleModel,d=new sc({cursor:c,draggable:!0,drift:a,onmousemove:function(e){Kn(e.event)},ondragend:s,style:Th(h,{x:0,y:0,text:""})});d.ensureState("blur").style={opacity:.1},d.stateTransition={duration:200},this.group.add(d);var p=[l,0],f=this._shapes;f.handleThumbs[n]=u,f.handleLabelPoints[n]=p,f.handleLabels[n]=d},t.prototype._createIndicator=function(e,t,n,r,i){var o=_a(e.get("indicatorSize"),n[0]),a=T_(e.get("indicatorIcon"),-o/2,-o/2,o,o,null,!0);a.attr({cursor:"move",invisible:!0,silent:!0,x:n[0]/2});var s=e.getModel("indicatorStyle").getItemStyle();if(a instanceof Bu){var l=a.style;a.useStyle(at({image:l.image,x:l.x,y:l.y,width:l.width,height:l.height},s))}else a.useStyle(s);t.add(a);var u=this.visualMapModel.textStyleModel,c=new sc({silent:!0,invisible:!0,style:Th(u,{x:0,y:0,text:""})});this.group.add(c);var h=[("horizontal"===i?r/2:6)+n[0]/2,0],d=this._shapes;d.indicator=a,d.indicatorLabel=c,d.indicatorLabelPoint=h,this._firstShowIndicator=!0},t.prototype._dragHandle=function(e,t,n,r){if(this._useHandle){if(this._dragging=!t,!t){var i=this._applyTransform([n,r],this._shapes.mainGroup,!0);this._updateInterval(e,i[1]),this._hideIndicator(),this._updateView()}t===!this.visualMapModel.get("realtime")&&this.api.dispatchAction({type:"selectDataRange",from:this.uid,visualMapId:this.visualMapModel.id,selected:this._dataInterval.slice()}),t?!this._hovering&&this._clearHoverLinkToSeries():q5(this.visualMapModel)&&this._doHoverLinkToSeries(this._handleEnds[e],!1)}},t.prototype._resetInterval=function(){var e=this.visualMapModel,t=this._dataInterval=e.getSelected(),n=e.getExtent(),r=[0,e.itemSize[1]];this._handleEnds=[U5(t[0],n,r,!0),U5(t[1],n,r,!0)]},t.prototype._updateInterval=function(e,t){t=t||0;var n=this.visualMapModel,r=this._handleEnds,i=[0,n.itemSize[1]];wZ(t,r,i,e,0);var o=n.getExtent();this._dataInterval=[U5(r[0],i,o,!0),U5(r[1],i,o,!0)]},t.prototype._updateView=function(e){var t=this.visualMapModel,n=t.getExtent(),r=this._shapes,i=[0,t.itemSize[1]],o=e?i:this._handleEnds,a=this._createBarVisual(this._dataInterval,n,o,"inRange"),s=this._createBarVisual(n,n,i,"outOfRange");r.inRange.setStyle({fill:a.barColor}).setShape("points",a.barPoints),r.outOfRange.setStyle({fill:s.barColor}).setShape("points",s.barPoints),this._updateHandle(o,a)},t.prototype._createBarVisual=function(e,t,n,r){var i={forceState:r,convertOpacityToAlpha:!0},o=this._makeColorGradient(e,i),a=[this.getControllerVisual(e[0],"symbolSize",i),this.getControllerVisual(e[1],"symbolSize",i)],s=this._createBarPoints(n,a);return{barColor:new _v(0,0,0,1,o),barPoints:s,handlesColor:[o[0].color,o[o.length-1].color]}},t.prototype._makeColorGradient=function(e,t){var n=[],r=(e[1]-e[0])/100;n.push({color:this.getControllerVisual(e[0],"color",t),offset:0});for(var i=1;i<100;i++){var o=e[0]+r*i;if(o>e[1])break;n.push({color:this.getControllerVisual(o,"color",t),offset:i/100})}return n.push({color:this.getControllerVisual(e[1],"color",t),offset:1}),n},t.prototype._createBarPoints=function(e,t){var n=this.visualMapModel.itemSize;return[[n[0]-t[0],e[0]],[n[0],e[0]],[n[0],e[1]],[n[0]-t[1],e[1]]]},t.prototype._createBarGroup=function(e){var t=this._orient,n=this.visualMapModel.get("inverse");return new Oa("horizontal"!==t||n?"horizontal"===t&&n?{scaleX:"bottom"===e?-1:1,rotation:-Math.PI/2}:"vertical"!==t||n?{scaleX:"left"===e?1:-1}:{scaleX:"left"===e?1:-1,scaleY:-1}:{scaleX:"bottom"===e?1:-1,rotation:Math.PI/2})},t.prototype._updateHandle=function(e,t){if(this._useHandle){var n=this._shapes,r=this.visualMapModel,i=n.handleThumbs,o=n.handleLabels,a=r.itemSize,s=r.getExtent();W5([0,1],(function(l){var u=i[l];u.setStyle("fill",t.handlesColor[l]),u.y=e[l];var c=U5(e[l],[0,a[1]],s,!0),h=this.getControllerVisual(c,"symbolSize");u.scaleX=u.scaleY=h/a[0],u.x=a[0]-h/2;var d=Zv(n.handleLabelPoints[l],Yv(u,this.group));o[l].setStyle({x:d[0],y:d[1],text:r.formatValueText(this._dataInterval[l]),verticalAlign:"middle",align:"vertical"===this._orient?this._applyTransform("left",n.mainGroup):"center"})}),this)}},t.prototype._showIndicator=function(e,t,n,r){var i=this.visualMapModel,o=i.getExtent(),a=i.itemSize,s=[0,a[1]],l=this._shapes,u=l.indicator;if(u){u.attr("invisible",!1);var c=this.getControllerVisual(e,"color",{convertOpacityToAlpha:!0}),h=this.getControllerVisual(e,"symbolSize"),d=U5(e,o,s,!0),p=a[0]-h/2,f={x:u.x,y:u.y};u.y=d,u.x=p;var g=Zv(l.indicatorLabelPoint,Yv(u,this.group)),m=l.indicatorLabel;m.attr("invisible",!1);var v=this._applyTransform("left",l.mainGroup),y="horizontal"===this._orient;m.setStyle({text:(n||"")+i.formatValueText(t),verticalAlign:y?v:"middle",align:y?"center":v});var _={x:p,y:d,style:{fill:c}},x={style:{x:g[0],y:g[1]}};if(i.ecModel.isAnimationEnabled()&&!this._firstShowIndicator){var b={duration:100,easing:"cubicInOut",additive:!0};u.x=f.x,u.y=f.y,u.animateTo(_,b),m.animateTo(x,b)}else u.attr(_),m.attr(x);this._firstShowIndicator=!1;var w=this._shapes.handleLabels;if(w)for(var S=0;S<w.length;S++)this.api.enterBlur(w[S])}},t.prototype._enableHoverLinkToSeries=function(){var e=this;this._shapes.mainGroup.on("mousemove",(function(t){if(e._hovering=!0,!e._dragging){var n=e.visualMapModel.itemSize,r=e._applyTransform([t.offsetX,t.offsetY],e._shapes.mainGroup,!0,!0);r[1]=j5(X5(0,r[1]),n[1]),e._doHoverLinkToSeries(r[1],0<=r[0]&&r[0]<=n[0])}})).on("mouseout",(function(){e._hovering=!1,!e._dragging&&e._clearHoverLinkToSeries()}))},t.prototype._enableHoverLinkFromSeries=function(){var e=this.api.getZr();this.visualMapModel.option.hoverLink?(e.on("mouseover",this._hoverLinkFromSeriesMouseOver,this),e.on("mouseout",this._hideIndicator,this)):this._clearHoverLinkFromSeries()},t.prototype._doHoverLinkToSeries=function(e,t){var n=this.visualMapModel,r=n.itemSize;if(n.option.hoverLink){var i=[0,r[1]],o=n.getExtent();e=j5(X5(i[0],e),i[1]);var a=function(e,t,n){var r=6,i=e.get("hoverLinkDataSize");return i&&(r=U5(i,t,n,!0)/2),r}(n,o,i),s=[e-a,e+a],l=U5(e,i,o,!0),u=[U5(s[0],i,o,!0),U5(s[1],i,o,!0)];s[0]<i[0]&&(u[0]=-1/0),s[1]>i[1]&&(u[1]=1/0),t&&(u[0]===-1/0?this._showIndicator(l,u[1],"< ",a):u[1]===1/0?this._showIndicator(l,u[0],"> ",a):this._showIndicator(l,l,"≈ ",a));var c=this._hoverLinkDataIndices,h=[];(t||q5(n))&&(h=this._hoverLinkDataIndices=n.findTargetDataIndices(u));var d=function(e,t){var n={},r={};return i(e||[],n),i(t||[],r,n),[o(n),o(r)];function i(e,t,n){for(var r=0,i=e.length;r<i;r++){var o=Es(e[r].seriesId,null);if(null==o)return;for(var a=ws(e[r].dataIndex),s=n&&n[o],l=0,u=a.length;l<u;l++){var c=a[l];s&&s[c]?s[c]=null:(t[o]||(t[o]={}))[c]=1}}}function o(e,t){var n=[];for(var r in e)if(e.hasOwnProperty(r)&&null!=e[r])if(t)n.push(+r);else{var i=o(e[r],!0);i.length&&n.push({seriesId:r,dataIndex:i})}return n}}(c,h);this._dispatchHighDown("downplay",H5(d[0],n)),this._dispatchHighDown("highlight",H5(d[1],n))}},t.prototype._hoverLinkFromSeriesMouseOver=function(e){var t;if(d_(e.target,(function(e){var n=lc(e);if(null!=n.dataIndex)return t=n,!0}),!0),t){var n=this.ecModel.getSeriesByIndex(t.seriesIndex),r=this.visualMapModel;if(r.isTargetSeries(n)){var i=n.getData(t.dataType),o=i.getStore().get(r.getDataDimensionIndex(i),t.dataIndex);isNaN(o)||this._showIndicator(o,o)}}},t.prototype._hideIndicator=function(){var e=this._shapes;e.indicator&&e.indicator.attr("invisible",!0),e.indicatorLabel&&e.indicatorLabel.attr("invisible",!0);var t=this._shapes.handleLabels;if(t)for(var n=0;n<t.length;n++)this.api.leaveBlur(t[n])},t.prototype._clearHoverLinkToSeries=function(){this._hideIndicator();var e=this._hoverLinkDataIndices;this._dispatchHighDown("downplay",H5(e,this.visualMapModel)),e.length=0},t.prototype._clearHoverLinkFromSeries=function(){this._hideIndicator();var e=this.api.getZr();e.off("mouseover",this._hoverLinkFromSeriesMouseOver),e.off("mouseout",this._hideIndicator)},t.prototype._applyTransform=function(e,t,n,r){var i=Yv(t,r?null:this.group);return bt(e)?Zv(e,i,n):qv(e,i,n)},t.prototype._dispatchHighDown=function(e,t){t&&t.length&&this.api.dispatchAction({type:e,batch:t})},t.prototype.dispose=function(){this._clearHoverLinkFromSeries(),this._clearHoverLinkToSeries()},t.type="visualMap.continuous",t}(z5);function Z5(e,t,n,r){return new Jm({shape:{points:e},draggable:!!n,cursor:t,drift:n,onmousemove:function(e){Kn(e.event)},ondragend:r})}function q5(e){var t=e.get("hoverLinkOnHandle");return!!(null==t?e.get("realtime"):t)}function $5(e){return"vertical"===e?"ns-resize":"ew-resize"}const K5=Y5;var J5={type:"selectDataRange",event:"dataRangeSelected",update:"update"},Q5=function(e,t){t.eachComponent({mainType:"visualMap",query:e},(function(t){t.setSelected(e.selected)}))},e6=[{createOnAllSeries:!0,reset:function(e,t){var n=[];return t.eachComponent("visualMap",(function(t){var r,i,o,a,s,l=e.pipelineContext;!t.isTargetSeries(e)||l&&l.large||n.push((r=t.stateList,i=t.targetVisuals,o=_t(t.getValueState,t),a=t.getDataDimensionIndex(e.getData()),s={},pt(r,(function(e){var t=_X.prepareVisualTypes(i[e]);s[e]=t})),{progress:function(e,t){var n,r;function l(e){return s_(t,r,e)}function u(e,n){u_(t,r,e,n)}null!=a&&(n=t.getDimensionIndex(a));for(var c=t.getStore();null!=(r=e.next());){var h=t.getRawDataItem(r);if(!h||!1!==h.visualMap)for(var d=null!=a?c.get(n,r):r,p=o(d),f=i[p],g=s[p],m=0,v=g.length;m<v;m++){var y=g[m];f[y]&&f[y].applyVisual(d,l,u)}}}}))})),n}},{createOnAllSeries:!0,reset:function(e,t){var n=e.getData(),r=[];t.eachComponent("visualMap",(function(t){if(t.isTargetSeries(e)){var i=t.getVisualMeta(_t(t6,null,e,t))||{stops:[],outerColors:[]},o=t.getDataDimensionIndex(n);o>=0&&(i.dimension=o,r.push(i))}})),e.getData().setVisual("visualMeta",r)}}];function t6(e,t,n,r){for(var i=t.targetVisuals[r],o=_X.prepareVisualTypes(i),a={color:l_(e.getData(),"color")},s=0,l=o.length;s<l;s++){var u=o[s],c=i["opacity"===u?"__alphaForOpacity":u];c&&c.applyVisual(n,h,d)}return a.color;function h(e){return a[e]}function d(e,t){a[e]=t}}var n6=pt;function r6(e){var t=e&&e.visualMap;bt(t)||(t=t?[t]:[]),n6(t,(function(e){if(e){i6(e,"splitList")&&!i6(e,"pieces")&&(e.pieces=e.splitList,delete e.splitList);var t=e.pieces;t&&bt(t)&&n6(t,(function(e){At(e)&&(i6(e,"start")&&!i6(e,"min")&&(e.min=e.start),i6(e,"end")&&!i6(e,"max")&&(e.max=e.end))}))}}))}function i6(e,t){return e&&e.hasOwnProperty&&e.hasOwnProperty(t)}var o6=!1;function a6(e){o6||(o6=!0,e.registerSubTypeDefaulter("visualMap",(function(e){return e.categories||(e.pieces?e.pieces.length>0:e.splitNumber>0)&&!e.calculable?"piecewise":"continuous"})),e.registerAction(J5,Q5),pt(e6,(function(t){e.registerVisual(e.PRIORITY.VISUAL.COMPONENT,t)})),e.registerPreprocessor(r6))}function s6(e){e.registerComponentModel(F5),e.registerComponentView(K5),a6(e)}var l6=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n._pieceList=[],n}return Le(t,e),t.prototype.optionUpdated=function(t,n){e.prototype.optionUpdated.apply(this,arguments),this.resetExtent();var r=this._mode=this._determineMode();this._pieceList=[],u6[this._mode].call(this,this._pieceList),this._resetSelected(t,n);var i=this.option.categories;this.resetVisual((function(e,t){"categories"===r?(e.mappingMethod="category",e.categories=rt(i)):(e.dataExtent=this.getExtent(),e.mappingMethod="piecewise",e.pieceList=ft(this._pieceList,(function(e){return e=rt(e),"inRange"!==t&&(e.visual=null),e})))}))},t.prototype.completeVisualOption=function(){var t=this.option,n={},r=_X.listVisualTypes(),i=this.isCategory();function o(e,t,n){return e&&e[t]&&e[t].hasOwnProperty(n)}pt(t.pieces,(function(e){pt(r,(function(t){e.hasOwnProperty(t)&&(n[t]=1)}))})),pt(n,(function(e,n){var r=!1;pt(this.stateList,(function(e){r=r||o(t,e,n)||o(t.target,e,n)}),this),!r&&pt(this.stateList,(function(e){(t[e]||(t[e]={}))[n]=A5.get(n,"inRange"===e?"active":"inactive",i)}))}),this),e.prototype.completeVisualOption.apply(this,arguments)},t.prototype._resetSelected=function(e,t){var n=this.option,r=this._pieceList,i=(t?n:e).selected||{};if(n.selected=i,pt(r,(function(e,t){var n=this.getSelectedMapKey(e);i.hasOwnProperty(n)||(i[n]=!0)}),this),"single"===n.selectedMode){var o=!1;pt(r,(function(e,t){var n=this.getSelectedMapKey(e);i[n]&&(o?i[n]=!1:o=!0)}),this)}},t.prototype.getItemSymbol=function(){return this.get("itemSymbol")},t.prototype.getSelectedMapKey=function(e){return"categories"===this._mode?e.value+"":e.index+""},t.prototype.getPieceList=function(){return this._pieceList},t.prototype._determineMode=function(){var e=this.option;return e.pieces&&e.pieces.length>0?"pieces":this.option.categories?"categories":"splitNumber"},t.prototype.setSelected=function(e){this.option.selected=rt(e)},t.prototype.getValueState=function(e){var t=_X.findPieceIndex(e,this._pieceList);return null!=t&&this.option.selected[this.getSelectedMapKey(this._pieceList[t])]?"inRange":"outOfRange"},t.prototype.findTargetDataIndices=function(e){var t=[],n=this._pieceList;return this.eachTargetSeries((function(r){var i=[],o=r.getData();o.each(this.getDataDimensionIndex(o),(function(t,r){_X.findPieceIndex(t,n)===e&&i.push(r)}),this),t.push({seriesId:r.id,dataIndex:i})}),this),t},t.prototype.getRepresentValue=function(e){var t;if(this.isCategory())t=e.value;else if(null!=e.value)t=e.value;else{var n=e.interval||[];t=n[0]===-1/0&&n[1]===1/0?0:(n[0]+n[1])/2}return t},t.prototype.getVisualMeta=function(e){if(!this.isCategory()){var t=[],n=["",""],r=this,i=this._pieceList.slice();if(i.length){var o=i[0].interval[0];o!==-1/0&&i.unshift({interval:[-1/0,o]}),(o=i[i.length-1].interval[1])!==1/0&&i.push({interval:[o,1/0]})}else i.push({interval:[-1/0,1/0]});var a=-1/0;return pt(i,(function(e){var t=e.interval;t&&(t[0]>a&&s([a,t[0]],"outOfRange"),s(t.slice()),a=t[1])}),this),{stops:t,outerColors:n}}function s(i,o){var a=r.getRepresentValue({interval:i});o||(o=r.getValueState(a));var s=e(a,o);i[0]===-1/0?n[0]=s:i[1]===1/0?n[1]=s:t.push({value:i[0],color:s},{value:i[1],color:s})}},t.type="visualMap.piecewise",t.defaultOption=Jh(N5.defaultOption,{selected:null,minOpen:!1,maxOpen:!1,align:"auto",itemWidth:20,itemHeight:14,itemSymbol:"roundRect",pieces:null,categories:null,splitNumber:5,selectedMode:"multiple",itemGap:10,hoverLink:!0}),t}(N5),u6={splitNumber:function(e){var t=this.option,n=Math.min(t.precision,20),r=this.getExtent(),i=t.splitNumber;i=Math.max(parseInt(i,10),1),t.splitNumber=i;for(var o=(r[1]-r[0])/i;+o.toFixed(n)!==o&&n<5;)n++;t.precision=n,o=+o.toFixed(n),t.minOpen&&e.push({interval:[-1/0,r[0]],close:[0,0]});for(var a=0,s=r[0];a<i;s+=o,a++){var l=a===i-1?r[1]:s+o;e.push({interval:[s,l],close:[1,1]})}t.maxOpen&&e.push({interval:[r[1],1/0],close:[0,0]}),ps(e),pt(e,(function(e,t){e.index=t,e.text=this.formatValueText(e.interval)}),this)},categories:function(e){var t=this.option;pt(t.categories,(function(t){e.push({text:this.formatValueText(t,!0),value:t})}),this),c6(t,e)},pieces:function(e){var t=this.option;pt(t.pieces,(function(t,n){At(t)||(t={value:t});var r={text:"",index:n};if(null!=t.label&&(r.text=t.label),t.hasOwnProperty("value")){var i=r.value=t.value;r.interval=[i,i],r.close=[1,1]}else{for(var o=r.interval=[],a=r.close=[0,0],s=[1,0,1],l=[-1/0,1/0],u=[],c=0;c<2;c++){for(var h=[["gte","gt","min"],["lte","lt","max"]][c],d=0;d<3&&null==o[c];d++)o[c]=t[h[d]],a[c]=s[d],u[c]=2===d;null==o[c]&&(o[c]=l[c])}u[0]&&o[1]===1/0&&(a[0]=0),u[1]&&o[0]===-1/0&&(a[1]=0),o[0]===o[1]&&a[0]&&a[1]&&(r.value=o[0])}r.visual=_X.retrieveVisuals(t),e.push(r)}),this),c6(t,e),ps(e),pt(e,(function(e){var t=e.close,n=[["<","≤"][t[1]],[">","≥"][t[0]]];e.text=e.text||this.formatValueText(null!=e.value?e.value:e.interval,!1,n)}),this)}};function c6(e,t){var n=e.inverse;("vertical"===e.orient?!n:n)&&t.reverse()}const h6=l6,d6=function(e){function t(){var n=null!==e&&e.apply(this,arguments)||this;return n.type=t.type,n}return Le(t,e),t.prototype.doRender=function(){var e=this.group;e.removeAll();var t=this.visualMapModel,n=t.get("textGap"),r=t.textStyleModel,i=r.getFont(),o=r.getTextColor(),a=this._getItemAlign(),s=t.itemSize,l=this._getViewData(),u=l.endsText,c=Nt(t.get("showLabel",!0),!u);u&&this._renderEndsText(e,u[0],s,c,a),pt(l.viewPieceList,(function(r){var l=r.piece,u=new Oa;u.onclick=_t(this._onItemClick,this,l),this._enableHoverLink(u,r.indexInModelPieceList);var h=t.getRepresentValue(l);if(this._createItemSymbol(u,h,[0,0,s[0],s[1]]),c){var d=this.visualMapModel.getValueState(h);u.add(new sc({style:{x:"right"===a?-n:s[0]+n,y:s[1]/2,text:l.text,verticalAlign:"middle",align:a,font:i,fill:o,opacity:"outOfRange"===d?.5:1}}))}e.add(u)}),this),u&&this._renderEndsText(e,u[1],s,c,a),Jd(t.get("orient"),e,t.get("itemGap")),this.renderBackground(e),this.positionGroup(e)},t.prototype._enableHoverLink=function(e,t){var n=this;e.on("mouseover",(function(){return r("highlight")})).on("mouseout",(function(){return r("downplay")}));var r=function(e){var r=n.visualMapModel;r.option.hoverLink&&n.api.dispatchAction({type:e,batch:H5(r.findTargetDataIndices(t),r)})}},t.prototype._getItemAlign=function(){var e=this.visualMapModel,t=e.option;if("vertical"===t.orient)return G5(e,this.api,e.itemSize);var n=t.align;return n&&"auto"!==n||(n="left"),n},t.prototype._renderEndsText=function(e,t,n,r,i){if(t){var o=new Oa,a=this.visualMapModel.textStyleModel;o.add(new sc({style:Th(a,{x:r?"right"===i?n[0]:0:n[0]/2,y:n[1]/2,verticalAlign:"middle",align:r?i:"center",text:t})})),e.add(o)}},t.prototype._getViewData=function(){var e=this.visualMapModel,t=ft(e.getPieceList(),(function(e,t){return{piece:e,indexInModelPieceList:t}})),n=e.get("text"),r=e.get("orient"),i=e.get("inverse");return("horizontal"===r?i:!i)?t.reverse():n&&(n=n.slice().reverse()),{viewPieceList:t,endsText:n}},t.prototype._createItemSymbol=function(e,t,n){e.add(T_(this.getControllerVisual(t,"symbol"),n[0],n[1],n[2],n[3],this.getControllerVisual(t,"color")))},t.prototype._onItemClick=function(e){var t=this.visualMapModel,n=t.option,r=n.selectedMode;if(r){var i=rt(n.selected),o=t.getSelectedMapKey(e);"single"===r||!0===r?(i[o]=!0,pt(i,(function(e,t){i[t]=t===o}))):i[o]=!i[o],this.api.dispatchAction({type:"selectDataRange",from:this.uid,visualMapId:this.visualMapModel.id,selected:i})}},t.type="visualMap.piecewise",t}(z5);function p6(e){e.registerComponentModel(h6),e.registerComponentView(d6),a6(e)}var f6={label:{enabled:!0},decal:{show:!1}},g6=Ns(),m6={};function v6(e,t){var n=e.getModel("aria");if(n.get("enabled")){var r=rt(f6);it(r.label,e.getLocaleModel().get("aria"),!1),it(n.option,r,!1),function(){if(n.getModel("decal").get("show")){var t=Yt();e.eachSeries((function(e){if(!e.isColorBySeries()){var n=t.get(e.type);n||(n={},t.set(e.type,n)),g6(e).scope=n}})),e.eachRawSeries((function(t){if(!e.isSeriesFiltered(t))if(wt(t.enableAriaDecal))t.enableAriaDecal();else{var n=t.getData();if(t.isColorBySeries()){var r=Np(t.ecModel,t.name,m6,e.getSeriesCount()),i=n.getVisual("decal");n.setVisual("decal",u(i,r))}else{var o=t.getRawData(),a={},s=g6(t).scope;n.each((function(e){var t=n.getRawIndex(e);a[t]=e}));var l=o.count();o.each((function(e){var r=a[e],i=o.getName(e)||e+"",c=Np(t.ecModel,i,s,l),h=n.getItemVisual(r,"decal");n.setItemVisual(r,"decal",u(h,c))}))}}function u(e,t){var n=e?at(at({},t),e):t;return n.dirty=!0,n}}))}}(),function(){var r=e.getLocaleModel().get("aria"),o=n.getModel("label");if(o.option=st(o.option,r),o.get("enabled")){var a=t.getZr().dom;if(o.get("description"))a.setAttribute("aria-label",o.get("description"));else{var s,l=e.getSeriesCount(),u=o.get(["data","maxCount"])||10,c=o.get(["series","maxCount"])||10,h=Math.min(l,c);if(!(l<1)){var d=function(){var t=e.get("title");return t&&t.length&&(t=t[0]),t&&t.text}();s=d?i(o.get(["general","withTitle"]),{title:d}):o.get(["general","withoutTitle"]);var p=[];s+=i(l>1?o.get(["series","multiple","prefix"]):o.get(["series","single","prefix"]),{seriesCount:l}),e.eachSeries((function(t,n){if(n<h){var r=void 0,a=t.get("name")?"withName":"withoutName";r=i(r=l>1?o.get(["series","multiple",a]):o.get(["series","single",a]),{seriesId:t.seriesIndex,seriesName:t.get("name"),seriesType:(_=t.subType,x=e.getLocaleModel().get(["series","typeNames"]),x[_]||x.chart)});var s=t.getData();s.count()>u?r+=i(o.get(["data","partialData"]),{displayCnt:u}):r+=o.get(["data","allData"]);for(var c=o.get(["data","separator","middle"]),d=o.get(["data","separator","end"]),f=[],g=0;g<s.count();g++)if(g<u){var m=s.getName(g),v=s.getValues(g),y=o.get(["data",m?"withName":"withoutName"]);f.push(i(y,{name:m,value:v.join(c)}))}r+=f.join(c)+d,p.push(r)}var _,x}));var f=o.getModel(["series","multiple","separator"]),g=f.get("middle"),m=f.get("end");s+=p.join(g)+m,a.setAttribute("aria-label",s)}}}}()}function i(e,t){if(!St(e))return e;var n=e;return pt(t,(function(e,t){n=n.replace(new RegExp("\\{\\s*"+t+"\\s*\\}","g"),e)})),n}}function y6(e){if(e&&e.aria){var t=e.aria;null!=t.show&&(t.enabled=t.show),t.label=t.label||{},pt(["description","general","series","data"],(function(e){null!=t[e]&&(t.label[e]=t[e])}))}}var _6={value:"eq","<":"lt","<=":"lte",">":"gt",">=":"gte","=":"eq","!=":"ne","<>":"ne"},x6=function(){function e(e){null==(this._condVal=St(e)?new RegExp(e):Pt(e)?e:null)&&qf("")}return e.prototype.evaluate=function(e){var t=typeof e;return St(t)?this._condVal.test(e):!!Tt(t)&&this._condVal.test(e+"")},e}(),b6=function(){function e(){}return e.prototype.evaluate=function(){return this.value},e}(),w6=function(){function e(){}return e.prototype.evaluate=function(){for(var e=this.children,t=0;t<e.length;t++)if(!e[t].evaluate())return!1;return!0},e}(),S6=function(){function e(){}return e.prototype.evaluate=function(){for(var e=this.children,t=0;t<e.length;t++)if(e[t].evaluate())return!0;return!1},e}(),M6=function(){function e(){}return e.prototype.evaluate=function(){return!this.child.evaluate()},e}(),T6=function(){function e(){}return e.prototype.evaluate=function(){for(var e=!!this.valueParser,t=(0,this.getValue)(this.valueGetterParam),n=e?this.valueParser(t):null,r=0;r<this.subCondList.length;r++)if(!this.subCondList[r].evaluate(e?n:t))return!1;return!0},e}();function A6(e,t){if(!0===e||!1===e){var n=new b6;return n.value=e,n}return C6(e)||qf(""),e.and?I6("and",e,t):e.or?I6("or",e,t):e.not?function(e,t){var n=e.not;C6(n)||qf("");var r=new M6;return r.child=A6(n,t),r.child||qf(""),r}(e,t):function(e,t){for(var n=t.prepareGetValue(e),r=[],i=yt(e),o=e.parser,a=o?Jf(o):null,s=0;s<i.length;s++){var l=i[s];if("parser"!==l&&!t.valueGetterAttrMap.get(l)){var u=Kt(_6,l)?_6[l]:l,c=e[l],h=a?a(c):c,d=rg(u,h)||"reg"===u&&new x6(h);d||qf(""),r.push(d)}}r.length||qf("");var p=new T6;return p.valueGetterParam=n,p.valueParser=a,p.getValue=t.getValue,p.subCondList=r,p}(e,t)}function I6(e,t,n){var r=t[e];bt(r)||qf(""),r.length||qf("");var i="and"===e?new w6:new S6;return i.children=ft(r,(function(e){return A6(e,n)})),i.children.length||qf(""),i}function C6(e){return At(e)&&!dt(e)}var D6=function(){function e(e,t){this._cond=A6(e,t)}return e.prototype.evaluate=function(){return this._cond.evaluate()},e}(),E6={type:"echarts:filter",transform:function(e){for(var t,n,r,i=e.upstream,o=(n=e.config,r={valueGetterAttrMap:Yt({dimension:!0}),prepareGetValue:function(e){var t=e.dimension;Kt(e,"dimension")||qf("");var n=i.getDimensionInfo(t);return n||qf(""),{dimIdx:n.index}},getValue:function(e){return i.retrieveValueFromItem(t,e.dimIdx)}},new D6(n,r)),a=[],s=0,l=i.count();s<l;s++)t=i.getRawDataItem(s),o.evaluate()&&a.push(t);return{data:a}}},L6={type:"echarts:sort",transform:function(e){var t=e.upstream,n=e.config,r="",i=ws(n);i.length||qf(r);var o=[];pt(i,(function(e){var n=e.dimension,i=e.order,a=e.parser,s=e.incomparable;null==n&&qf(r),"asc"!==i&&"desc"!==i&&qf(r),s&&"min"!==s&&"max"!==s&&qf(""),"asc"!==i&&"desc"!==i&&qf("");var l=t.getDimensionInfo(n);l||qf(r);var u=a?Jf(a):null;a&&!u&&qf(r),o.push({dimIdx:l.index,parser:u,comparator:new tg(i,s)})}));var a=t.sourceFormat;a!==pp&&a!==fp&&qf(r);for(var s=[],l=0,u=t.count();l<u;l++)s.push(t.getRawDataItem(l));return s.sort((function(e,n){for(var r=0;r<o.length;r++){var i=o[r],a=t.retrieveValueFromItem(e,i.dimIdx),s=t.retrieveValueFromItem(n,i.dimIdx);i.parser&&(a=i.parser(a),s=i.parser(s));var l=i.comparator.evaluate(a,s);if(0!==l)return l}return 0})),{data:s}}},P6=uu.CMD;function O6(e,t){return Math.abs(e-t)<1e-5}function N6(e){var t,n,r,i,o,a=e.data,s=e.len(),l=[],u=0,c=0,h=0,d=0;function p(e,n){t&&t.length>2&&l.push(t),t=[e,n]}function f(e,n,r,i){O6(e,r)&&O6(n,i)||t.push(e,n,r,i,r,i)}function g(e,n,r,i,o,a){var s=Math.abs(n-e),l=4*Math.tan(s/4)/3,u=n<e?-1:1,c=Math.cos(e),h=Math.sin(e),d=Math.cos(n),p=Math.sin(n),f=c*o+r,g=h*a+i,m=d*o+r,v=p*a+i,y=o*l*u,_=a*l*u;t.push(f-y*h,g+_*c,m+y*p,v-_*d,m,v)}for(var m=0;m<s;){var v=a[m++],y=1===m;switch(y&&(h=u=a[m],d=c=a[m+1],v!==P6.L&&v!==P6.C&&v!==P6.Q||(t=[h,d])),v){case P6.M:u=h=a[m++],c=d=a[m++],p(h,d);break;case P6.L:f(u,c,n=a[m++],r=a[m++]),u=n,c=r;break;case P6.C:t.push(a[m++],a[m++],a[m++],a[m++],u=a[m++],c=a[m++]);break;case P6.Q:n=a[m++],r=a[m++],i=a[m++],o=a[m++],t.push(u+2/3*(n-u),c+2/3*(r-c),i+2/3*(n-i),o+2/3*(r-o),i,o),u=i,c=o;break;case P6.A:var _=a[m++],x=a[m++],b=a[m++],w=a[m++],S=a[m++],M=a[m++]+S;m+=1;var T=!a[m++];n=Math.cos(S)*b+_,r=Math.sin(S)*w+x,y?p(h=n,d=r):f(u,c,n,r),u=Math.cos(M)*b+_,c=Math.sin(M)*w+x;for(var A=(T?-1:1)*Math.PI/2,I=S;T?I>M:I<M;I+=A)g(I,T?Math.max(I+A,M):Math.min(I+A,M),_,x,b,w);break;case P6.R:h=u=a[m++],d=c=a[m++],n=h+a[m++],r=d+a[m++],p(n,d),f(n,d,n,r),f(n,r,h,r),f(h,r,h,d),f(h,d,n,d);break;case P6.Z:t&&f(u,c,h,d),u=h,c=d}}return t&&t.length>2&&l.push(t),l}function R6(e,t,n,r,i,o,a,s,l,u){if(O6(e,n)&&O6(t,r)&&O6(i,a)&&O6(o,s))l.push(a,s);else{var c=2/u,h=c*c,d=a-e,p=s-t,f=Math.sqrt(d*d+p*p);d/=f,p/=f;var g=n-e,m=r-t,v=i-a,y=o-s,_=g*g+m*m,x=v*v+y*y;if(_<h&&x<h)l.push(a,s);else{var b=d*g+p*m,w=-d*v-p*y;if(_-b*b<h&&b>=0&&x-w*w<h&&w>=0)l.push(a,s);else{var S=[],M=[];hi(e,n,i,a,.5,S),hi(t,r,o,s,.5,M),R6(S[0],M[0],S[1],M[1],S[2],M[2],S[3],M[3],l,u),R6(S[4],M[4],S[5],M[5],S[6],M[6],S[7],M[7],l,u)}}}}function k6(e,t,n){var r=e[t],i=e[1-t],o=Math.abs(r/i),a=Math.ceil(Math.sqrt(o*n)),s=Math.floor(n/a);0===s&&(s=1,a=n);for(var l=[],u=0;u<a;u++)l.push(s);var c=n-a*s;if(c>0)for(u=0;u<c;u++)l[u%a]+=1;return l}function B6(e,t,n){for(var r=e.r0,i=e.r,o=e.startAngle,a=e.endAngle,s=Math.abs(a-o),l=s*i,u=i-r,c=l>Math.abs(u),h=k6([l,u],c?0:1,t),d=(c?s:u)/h.length,p=0;p<h.length;p++)for(var f=(c?u:s)/h[p],g=0;g<h[p];g++){var m={};c?(m.startAngle=o+d*p,m.endAngle=o+d*(p+1),m.r0=r+f*g,m.r=r+f*(g+1)):(m.startAngle=o+f*g,m.endAngle=o+f*(g+1),m.r0=r+d*p,m.r=r+d*(p+1)),m.clockwise=e.clockwise,m.cx=e.cx,m.cy=e.cy,n.push(m)}}function F6(e,t,n,r){return e*r-n*t}function z6(e,t,n,r,i,o,a,s){var l=n-e,u=r-t,c=a-i,h=s-o,d=F6(c,h,l,u);if(Math.abs(d)<1e-6)return null;var p=F6(e-i,t-o,c,h)/d;return p<0||p>1?null:new dr(p*l+e,p*u+t)}function V6(e,t,n){var r=new dr;dr.sub(r,n,t),r.normalize();var i=new dr;return dr.sub(i,e,t),i.dot(r)}function G6(e,t){var n=e[e.length-1];n&&n[0]===t[0]&&n[1]===t[1]||e.push(t)}function H6(e){var t=e.points,n=[],r=[];Bl(t,n,r);var i=new wr(n[0],n[1],r[0]-n[0],r[1]-n[1]),o=i.width,a=i.height,s=i.x,l=i.y,u=new dr,c=new dr;return o>a?(u.x=c.x=s+o/2,u.y=l,c.y=l+a):(u.y=c.y=l+a/2,u.x=s,c.x=s+o),function(e,t,n){for(var r=e.length,i=[],o=0;o<r;o++){var a=e[o],s=e[(o+1)%r],l=z6(a[0],a[1],s[0],s[1],t.x,t.y,n.x,n.y);l&&i.push({projPt:V6(l,t,n),pt:l,idx:o})}if(i.length<2)return[{points:e},{points:e}];i.sort((function(e,t){return e.projPt-t.projPt}));var u=i[0],c=i[i.length-1];if(c.idx<u.idx){var h=u;u=c,c=h}var d=[u.pt.x,u.pt.y],p=[c.pt.x,c.pt.y],f=[d],g=[p];for(o=u.idx+1;o<=c.idx;o++)G6(f,e[o].slice());for(G6(f,p),G6(f,d),o=c.idx+1;o<=u.idx+r;o++)G6(g,e[o%r].slice());return G6(g,d),G6(g,p),[{points:f},{points:g}]}(t,u,c)}function U6(e,t,n,r){if(1===n)r.push(t);else{var i=Math.floor(n/2),o=e(t);U6(e,o[0],i,r),U6(e,o[1],n-i,r)}return r}function W6(e,t){t.setStyle(e.style),t.z=e.z,t.z2=e.z2,t.zlevel=e.zlevel}function j6(e,t){var n=e.length,r=t.length;if(n===r)return[e,t];for(var i=[],o=[],a=n<r?e:t,s=Math.min(n,r),l=Math.abs(r-n)/6,u=(s-2)/6,c=Math.ceil(l/u)+1,h=[a[0],a[1]],d=l,p=2;p<s;){var f=a[p-2],g=a[p-1],m=a[p++],v=a[p++],y=a[p++],_=a[p++],x=a[p++],b=a[p++];if(d<=0)h.push(m,v,y,_,x,b);else{for(var w=Math.min(d,c-1)+1,S=1;S<=w;S++){var M=S/w;hi(f,m,y,x,M,i),hi(g,v,_,b,M,o),f=i[3],g=o[3],h.push(i[1],o[1],i[2],o[2],f,g),m=i[5],v=o[5],y=i[6],_=o[6]}d-=w-1}}return a===e?[h,t]:[e,h]}function X6(e,t){for(var n=e.length,r=e[n-2],i=e[n-1],o=[],a=0;a<t.length;)o[a++]=r,o[a++]=i;return o}function Y6(e){for(var t=0,n=0,r=0,i=e.length,o=0,a=i-2;o<i;a=o,o+=2){var s=e[a],l=e[a+1],u=e[o],c=e[o+1],h=s*c-u*l;t+=h,n+=(s+u)*h,r+=(l+c)*h}return 0===t?[e[0]||0,e[1]||0]:[n/t/3,r/t/3,t]}function Z6(e,t,n,r){for(var i=(e.length-2)/6,o=1/0,a=0,s=e.length,l=s-2,u=0;u<i;u++){for(var c=6*u,h=0,d=0;d<s;d+=2){var p=0===d?c:(c+d-2)%l+2,f=e[p]-n[0],g=e[p+1]-n[1],m=t[d]-r[0]-f,v=t[d+1]-r[1]-g;h+=m*m+v*v}h<o&&(o=h,a=u)}return a}function q6(e){for(var t=[],n=e.length,r=0;r<n;r+=2)t[r]=e[n-r-2],t[r+1]=e[n-r-1];return t}function $6(e){return e.__isCombineMorphing}var K6="__mOriginal_";function J6(e,t,n){var r=K6+t,i=e[r]||e[t];e[r]||(e[r]=e[t]);var o=n.replace,a=n.after,s=n.before;e[t]=function(){var e,t=arguments;return s&&s.apply(this,t),e=o?o.apply(this,t):i.apply(this,t),a&&a.apply(this,t),e}}function Q6(e,t){var n=K6+t;e[n]&&(e[t]=e[n],e[n]=null)}function e7(e,t){for(var n=0;n<e.length;n++)for(var r=e[n],i=0;i<r.length;){var o=r[i],a=r[i+1];r[i++]=t[0]*o+t[2]*a+t[4],r[i++]=t[1]*o+t[3]*a+t[5]}}function t7(e,t){var n=e.getUpdatedPathProxy(),r=t.getUpdatedPathProxy(),i=function(e,t){for(var n,r,i,o=[],a=[],s=0;s<Math.max(e.length,t.length);s++){var l=e[s],u=t[s],c=void 0,h=void 0;l?u?(r=c=(n=j6(l,u))[0],i=h=n[1]):(h=X6(i||l,l),c=l):(c=X6(r||u,u),h=u),o.push(c),a.push(h)}return[o,a]}(N6(n),N6(r)),o=i[0],a=i[1],s=e.getComputedTransform(),l=t.getComputedTransform();s&&e7(o,s),l&&e7(a,l),J6(t,"updateTransform",{replace:function(){this.transform=null}}),t.transform=null;var u=function(e,t,n,r){for(var i,o=[],a=0;a<e.length;a++){var s=e[a],l=t[a],u=Y6(s),c=Y6(l);null==i&&(i=u[2]<0!=c[2]<0);var h=[],d=[],p=0,f=1/0,g=[],m=s.length;i&&(s=q6(s));for(var v=6*Z6(s,l,u,c),y=m-2,_=0;_<y;_+=2){var x=(v+_)%y+2;h[_+2]=s[x]-u[0],h[_+3]=s[x+1]-u[1]}h[0]=s[v]-u[0],h[1]=s[v+1]-u[1];for(var b=r/10,w=-r/2;w<=r/2;w+=b){var S=Math.sin(w),M=Math.cos(w),T=0;for(_=0;_<s.length;_+=2){var A=h[_],I=h[_+1],C=l[_]-c[0],D=l[_+1]-c[1],E=C*M-D*S,L=C*S+D*M;g[_]=E,g[_+1]=L;var P=E-A,O=L-I;T+=P*P+O*O}if(T<f){f=T,p=w;for(var N=0;N<g.length;N++)d[N]=g[N]}}o.push({from:h,to:d,fromCp:u,toCp:c,rotation:-p})}return o}(o,a,0,Math.PI),c=[];J6(t,"buildPath",{replace:function(e){for(var n=t.__morphT,r=1-n,i=[],o=0;o<u.length;o++){var a=u[o],s=a.from,l=a.to,h=a.rotation*n,d=a.fromCp,p=a.toCp,f=Math.sin(h),g=Math.cos(h);Mn(i,d,p,n);for(var m=0;m<s.length;m+=2){var v=s[m],y=s[m+1],_=v*r+(S=l[m])*n,x=y*r+(M=l[m+1])*n;c[m]=_*g-x*f+i[0],c[m+1]=_*f+x*g+i[1]}var b=c[0],w=c[1];for(e.moveTo(b,w),m=2;m<s.length;){var S=c[m++],M=c[m++],T=c[m++],A=c[m++],I=c[m++],C=c[m++];b===S&&w===M&&T===I&&A===C?e.lineTo(I,C):e.bezierCurveTo(S,M,T,A,I,C),b=I,w=C}}}})}function n7(e,t,n){if(!e||!t)return t;var r=n.done,i=n.during;return t7(e,t),t.__morphT=0,t.animateTo({__morphT:1},st({during:function(e){t.dirtyShape(),i&&i(e)},done:function(){Q6(t,"buildPath"),Q6(t,"updateTransform"),t.__morphT=-1,t.createPathProxy(),t.dirtyShape(),r&&r()}},n)),t}function r7(e,t,n,r,i,o){e=i===n?0:Math.round(32767*(e-n)/(i-n)),t=o===r?0:Math.round(32767*(t-r)/(o-r));for(var a,s=0,l=32768;l>0;l/=2){var u=0,c=0;(e&l)>0&&(u=1),(t&l)>0&&(c=1),s+=l*l*(3*u^c),0===c&&(1===u&&(e=l-1-e,t=l-1-t),a=e,e=t,t=a)}return s}function i7(e){var t=1/0,n=1/0,r=-1/0,i=-1/0,o=ft(e,(function(e){var o=e.getBoundingRect(),a=e.getComputedTransform(),s=o.x+o.width/2+(a?a[4]:0),l=o.y+o.height/2+(a?a[5]:0);return t=Math.min(s,t),n=Math.min(l,n),r=Math.max(s,r),i=Math.max(l,i),[s,l]}));return ft(o,(function(o,a){return{cp:o,z:r7(o[0],o[1],t,n,r,i),path:e[a]}})).sort((function(e,t){return e.z-t.z})).map((function(e){return e.path}))}function o7(e){return function(e,t){var n,r=[],i=e.shape;switch(e.type){case"rect":!function(e,t,n){for(var r=e.width,i=e.height,o=r>i,a=k6([r,i],o?0:1,t),s=o?"width":"height",l=o?"height":"width",u=o?"x":"y",c=o?"y":"x",h=e[s]/a.length,d=0;d<a.length;d++)for(var p=e[l]/a[d],f=0;f<a[d];f++){var g={};g[u]=d*h,g[c]=f*p,g[s]=h,g[l]=p,g.x+=e.x,g.y+=e.y,n.push(g)}}(i,t,r),n=ju;break;case"sector":B6(i,t,r),n=jm;break;case"circle":B6({r0:0,r:i.r,startAngle:0,endAngle:2*Math.PI,cx:i.cx,cy:i.cy},t,r),n=jm;break;default:var o=e.getComputedTransform(),a=o?Math.sqrt(Math.max(o[0]*o[0]+o[1]*o[1],o[2]*o[2]+o[3]*o[3])):1,s=ft(function(e,t){var n=N6(e),r=[];t=t||1;for(var i=0;i<n.length;i++){var o=n[i],a=[],s=o[0],l=o[1];a.push(s,l);for(var u=2;u<o.length;){var c=o[u++],h=o[u++],d=o[u++],p=o[u++],f=o[u++],g=o[u++];R6(s,l,c,h,d,p,f,g,a,t),s=f,l=g}r.push(a)}return r}(e.getUpdatedPathProxy(),a),(function(e){return function(e){for(var t=[],n=0;n<e.length;)t.push([e[n++],e[n++]]);return t}(e)})),l=s.length;if(0===l)U6(H6,{points:s[0]},t,r);else if(l===t)for(var u=0;u<l;u++)r.push({points:s[u]});else{var c=0,h=ft(s,(function(e){var t=[],n=[];Bl(e,t,n);var r=(n[1]-t[1])*(n[0]-t[0]);return c+=r,{poly:e,area:r}}));h.sort((function(e,t){return t.area-e.area}));var d=t;for(u=0;u<l;u++){var p=h[u];if(d<=0)break;var f=u===l-1?d:Math.ceil(p.area/c*t);f<0||(U6(H6,{points:p.poly},f,r),d-=f)}}n=Jm}if(!n)return function(e,t){for(var n=[],r=0;r<t;r++)n.push(Mm(e));return n}(e,t);var g=[];for(u=0;u<r.length;u++){var m=new n;m.setShape(r[u]),W6(e,m),g.push(m)}return g}(e.path,e.count)}function a7(e){return bt(e[0])}function s7(e,t){for(var n=[],r=e.length,i=0;i<r;i++)n.push({one:e[i],many:[]});for(i=0;i<t.length;i++){var o=t[i].length,a=void 0;for(a=0;a<o;a++)n[a%r].many.push(t[i][a])}var s=0;for(i=r-1;i>=0;i--)if(!n[i].many.length){var l=n[s].many;if(l.length<=1){if(!s)return n;s=0}o=l.length;var u=Math.ceil(o/2);n[i].many=l.slice(u,o),n[s].many=l.slice(0,u),s++}return n}var l7={clone:function(e){for(var t=[],n=1-Math.pow(1-e.path.style.opacity,1/e.count),r=0;r<e.count;r++){var i=Mm(e.path);i.setStyle("opacity",n),t.push(i)}return t},split:null};function u7(e,t,n,r,i,o){if(e.length&&t.length){var a=hh("update",r,i);if(a&&a.duration>0){var s,l,u=r.getModel("universalTransition").get("delay"),c=Object.assign({setToFinal:!0},a);a7(e)&&(s=e,l=t),a7(t)&&(s=t,l=e);for(var h=s?s===e:e.length>t.length,d=s?s7(l,s):s7(h?t:e,[h?e:t]),p=0,f=0;f<d.length;f++)p+=d[f].many.length;var g=0;for(f=0;f<d.length;f++)m(d[f],h,g,p),g+=d[f].many.length}}function m(e,t,r,i,a){var s=e.many,l=e.one;if(1!==s.length||a)for(var h=st({dividePath:l7[n],individualDelay:u&&function(e,t,n,o){return u(e+r,i)}},c),d=t?function(e,t,n){var r=[];!function e(t){for(var n=0;n<t.length;n++){var i=t[n];$6(i)?e(i.childrenRef()):i instanceof Eu&&r.push(i)}}(e);var i=r.length;if(!i)return{fromIndividuals:[],toIndividuals:[],count:0};var o=(n.dividePath||o7)({path:t,count:i});if(o.length!==i)return console.error("Invalid morphing: unmatched splitted path"),{fromIndividuals:[],toIndividuals:[],count:0};r=i7(r),o=i7(o);for(var a=n.done,s=n.during,l=n.individualDelay,u=new ha,c=0;c<i;c++){var h=r[c],d=o[c];d.parent=t,d.copyTransform(u),l||t7(h,d)}function p(e){for(var t=0;t<o.length;t++)o[t].addSelfToZr(e)}function f(){t.__isCombineMorphing=!1,t.__morphT=-1,t.childrenRef=null,Q6(t,"addSelfToZr"),Q6(t,"removeSelfFromZr")}t.__isCombineMorphing=!0,t.childrenRef=function(){return o},J6(t,"addSelfToZr",{after:function(e){p(e)}}),J6(t,"removeSelfFromZr",{after:function(e){for(var t=0;t<o.length;t++)o[t].removeSelfFromZr(e)}});var g=o.length;if(l){var m=g,v=function(){0==--m&&(f(),a&&a())};for(c=0;c<g;c++){var y=l?st({delay:(n.delay||0)+l(c,g,r[c],o[c]),done:v},n):n;n7(r[c],o[c],y)}}else t.__morphT=0,t.animateTo({__morphT:1},st({during:function(e){for(var n=0;n<g;n++){var r=o[n];r.__morphT=t.__morphT,r.dirtyShape()}s&&s(e)},done:function(){f();for(var t=0;t<e.length;t++)Q6(e[t],"updateTransform");a&&a()}},n));return t.__zr&&p(t.__zr),{fromIndividuals:r,toIndividuals:o,count:g}}(s,l,h):function(e,t,n){var r=t.length,i=[],o=n.dividePath||o7;if($6(e)){!function e(t){for(var n=0;n<t.length;n++){var r=t[n];$6(r)?e(r.childrenRef()):r instanceof Eu&&i.push(r)}}(e.childrenRef());var a=i.length;if(a<r)for(var s=0,l=a;l<r;l++)i.push(Mm(i[s++%a]));i.length=r}else{i=o({path:e,count:r});var u=e.getComputedTransform();for(l=0;l<i.length;l++)i[l].setLocalTransform(u);if(i.length!==r)return console.error("Invalid morphing: unmatched splitted path"),{fromIndividuals:[],toIndividuals:[],count:0}}i=i7(i),t=i7(t);var c=n.individualDelay;for(l=0;l<r;l++){var h=c?st({delay:(n.delay||0)+c(l,r,i[l],t[l])},n):n;n7(i[l],t[l],h)}return{fromIndividuals:i,toIndividuals:t,count:t.length}}(l,s,h),p=d.fromIndividuals,f=d.toIndividuals,g=p.length,v=0;v<g;v++)y=u?st({delay:u(v,g)},c):c,o(p[v],f[v],t?s[v]:e.one,t?e.one:s[v],y);else{var y,_=t?s[0]:l,x=t?l:s[0];$6(_)?m({many:[_],one:x},!0,r,i,!0):(n7(_,x,y=u?st({delay:u(r,i)},c):c),o(_,x,_,x,y))}}}function c7(e){if(!e)return[];if(bt(e)){for(var t=[],n=0;n<e.length;n++)t.push(c7(e[n]));return t}var r=[];return e.traverse((function(e){e instanceof Eu&&!e.disableMorphing&&!e.invisible&&!e.ignore&&r.push(e)})),r}var h7,d7=1e4,p7=Ns();function f7(e,t,n,r){var i=function(e,t){for(var n=e.dimensions,r=0;r<n.length;r++){var i=e.getDimensionInfo(n[r]);if(i&&0===i.otherDims[t])return n[r]}}(e,r?"itemChildGroupId":"itemGroupId");if(i){var o=function(e,t,n){var r=e.getDimensionInfo(n),i=r&&r.ordinalMeta;if(r){var o=e.get(r.name,t);return i&&i.categories[o]||o+""}}(e,t,i);return o}var a=e.getRawDataItem(t),s=r?"childGroupId":"groupId";return a&&a[s]?a[s]+"":r?void 0:n||e.getId(t)}function g7(e){var t=[];return pt(e,(function(e){var n=e.data,r=e.dataGroupId;if(!(n.count()>d7))for(var i=n.getIndices(),o=0;o<i.length;o++)t.push({data:n,groupId:f7(n,o,r,!1),childGroupId:f7(n,o,r,!0),divide:e.divide,dataIndex:o})})),t}function m7(e,t,n){e.traverse((function(e){e instanceof Eu&&fh(e,{style:{opacity:0}},t,{dataIndex:n,isFrom:!0})}))}function v7(e){if(e.parent){var t=e.getComputedTransform();e.setLocalTransform(t),e.parent.remove(e)}}function y7(e){e.stopAnimation(),e.isGroup&&e.traverse((function(e){e.stopAnimation()}))}function _7(e,t,n){var r=g7(e),i=g7(t);function o(e,t,n,r,i){(n||e)&&t.animateFrom({style:n&&n!==e?at(at({},n.style),e.style):e.style},i)}var a=!1,s=0,l=Yt(),u=Yt();r.forEach((function(e){e.groupId&&l.set(e.groupId,!0),e.childGroupId&&u.set(e.childGroupId,!0)}));for(var c=0;c<i.length;c++){var h=i[c].groupId;if(u.get(h)){s=1;break}var d=i[c].childGroupId;if(d&&l.get(d)){s=2;break}}function p(e,t){return function(n){var r=n.data,i=n.dataIndex;return t?r.getId(i):e?1===s?n.childGroupId:n.groupId:2===s?n.childGroupId:n.groupId}}var f=function(e,t){var n=e.length;if(n!==t.length)return!1;for(var r=0;r<n;r++){var i=e[r],o=t[r];if(i.data.getId(i.dataIndex)!==o.data.getId(o.dataIndex))return!1}return!0}(r,i),g={};if(!f)for(c=0;c<i.length;c++){var m=i[c],v=m.data.getItemGraphicEl(m.dataIndex);v&&(g[v.id]=!0)}function y(e,t){var n=r[t],s=i[e],l=s.data.hostModel,u=n.data.getItemGraphicEl(n.dataIndex),c=s.data.getItemGraphicEl(s.dataIndex);u!==c?u&&g[u.id]||c&&(y7(c),u?(y7(u),v7(u),a=!0,u7(c7(u),c7(c),s.divide,l,e,o)):m7(c,l,e)):c&&function(e,t,n){var r=hh("update",n,t);r&&e.traverse((function(e){if(e instanceof Cl){var t=function(e){return ch(e).oldStyle}(e);t&&e.animateFrom({style:t},r)}}))}(c,s.dataIndex,l)}new Bb(r,i,p(!0,f),p(!1,f),null,"multiple").update(y).updateManyToOne((function(e,t){var n=i[e],s=n.data,l=s.hostModel,u=s.getItemGraphicEl(n.dataIndex),c=mt(ft(t,(function(e){return r[e].data.getItemGraphicEl(r[e].dataIndex)})),(function(e){return e&&e!==u&&!g[e.id]}));u&&(y7(u),c.length?(pt(c,(function(e){y7(e),v7(e)})),a=!0,u7(c7(c),c7(u),n.divide,l,e,o)):m7(u,l,n.dataIndex))})).updateOneToMany((function(e,t){var n=r[t],s=n.data.getItemGraphicEl(n.dataIndex);if(!s||!g[s.id]){var l=mt(ft(e,(function(e){return i[e].data.getItemGraphicEl(i[e].dataIndex)})),(function(e){return e&&e!==s})),u=i[e[0]].data.hostModel;l.length&&(pt(l,(function(e){return y7(e)})),s?(y7(s),v7(s),a=!0,u7(c7(s),c7(l),n.divide,u,e[0],o)):pt(l,(function(t){return m7(t,u,e[0])})))}})).updateManyToMany((function(e,t){new Bb(t,e,(function(e){return r[e].data.getId(r[e].dataIndex)}),(function(e){return i[e].data.getId(i[e].dataIndex)})).update((function(n,r){y(e[n],t[r])})).execute()})).execute(),a&&pt(t,(function(e){var t=e.data.hostModel,r=t&&n.getViewOfSeriesModel(t),i=hh("update",t,0);r&&t.isAnimationEnabled()&&i&&i.duration>0&&r.group.traverse((function(e){e instanceof Eu&&!e.animators.length&&e.animateFrom({style:{opacity:0}},i)}))}))}function x7(e){return e.getModel("universalTransition").get("seriesKey")||e.id}function b7(e){return bt(e)?e.sort().join(","):e}function w7(e){if(e.hostModel)return e.hostModel.getModel("universalTransition").get("divideShape")}function S7(e,t){for(var n=0;n<e.length;n++)if(null!=t.seriesIndex&&t.seriesIndex===e[n].seriesIndex||null!=t.seriesId&&t.seriesId===e[n].id)return n}function M7(e,t){this._bmap=e,this.dimensions=["lng","lat"],this._mapOffset=[0,0],this._api=t,this._projection=new BMap.MercatorProjection}function T7(e,t){return t=t||[0,0],ft([0,1],(function(n){var r=t[n],i=e[n]/2,o=[],a=[];return o[n]=r-i,a[n]=r+i,o[1-n]=a[1-n]=t[1-n],Math.abs(this.dataToPoint(o)[n]-this.dataToPoint(a)[n])}),this)}BS([lT]),BS([function(e){e.registerPainter("svg",TV)}]),BS([function(e){e.registerChartView(sG),e.registerSeriesModel(AV),e.registerLayout(lG("line",!0)),e.registerVisual({seriesType:"line",reset:function(e){var t=e.getData(),n=e.getModel("lineStyle").getLineStyle();n&&!n.stroke&&(n.stroke=t.getVisual("style").fill),t.setVisual("legendLineStyle",n)}}),e.registerProcessor(e.PRIORITY.PROCESSOR.STATISTIC,hG("line"))},function(e){e.registerChartView(zG),e.registerSeriesModel(fG),e.registerLayout(e.PRIORITY.VISUAL.LAYOUT,xt(jw,"bar")),e.registerLayout(e.PRIORITY.VISUAL.PROGRESSIVE_LAYOUT,Xw("bar")),e.registerProcessor(e.PRIORITY.PROCESSOR.STATISTIC,hG("bar")),e.registerAction({type:"changeAxisOrder",event:"changeAxisOrder",update:"update"},(function(e,t){var n=e.componentType||"series";t.eachComponent({mainType:n,query:e},(function(t){e.sortInfo&&t.axis.setCategorySortInfo(e.sortInfo)}))}))},function(e){e.registerChartView(KG),e.registerSeriesModel(nH),c_("pie",e.registerAction),e.registerLayout(xt(WG,"pie")),e.registerProcessor(jG("pie")),e.registerProcessor({seriesType:"pie",reset:function(e,t){var n=e.getData();n.filterSelf((function(e){var t=n.mapDimension("value"),r=n.get(t,e);return!(Tt(r)&&!isNaN(r)&&r<0)}))}})},function(e){BS(aU),e.registerSeriesModel(rH),e.registerChartView(lH),e.registerLayout(lG("scatter"))},function(e){BS(AU),e.registerChartView(dU),e.registerSeriesModel(fU),e.registerLayout(sU),e.registerProcessor(jG("radar")),e.registerPreprocessor(cU)},function(e){BS(oj),e.registerChartView(RW),e.registerSeriesModel(BW),e.registerLayout(zW),e.registerProcessor(e.PRIORITY.PROCESSOR.STATISTIC,FW),c_("map",e.registerAction)},function(e){e.registerChartView(Mj),e.registerSeriesModel(Oj),e.registerLayout(Rj),e.registerVisual(kj),function(e){e.registerAction({type:"treeExpandAndCollapse",event:"treeExpandAndCollapse",update:"update"},(function(e,t){t.eachComponent({mainType:"series",subType:"tree",query:e},(function(t){var n=e.dataIndex,r=t.getData().tree.getNodeByDataIndex(n);r.isExpand=!r.isExpand}))})),e.registerAction({type:"treeRoam",event:"treeRoam",update:"none"},(function(e,t,n){t.eachComponent({mainType:"series",subType:"tree",query:e},(function(t){var r=tj(t.coordinateSystem,e,void 0,n);t.setCenter&&t.setCenter(r.center),t.setZoom&&t.setZoom(r.zoom)}))}))}(e)},function(e){e.registerSeriesModel(Vj),e.registerChartView(rX),e.registerVisual(bX),e.registerLayout(NX),function(e){for(var t=0;t<Bj.length;t++)e.registerAction({type:Bj[t],update:"updateView"},Jt);e.registerAction({type:"treemapRootToNode",update:"updateView"},(function(e,t){t.eachComponent({mainType:"series",subType:"treemap",query:e},(function(t,n){var r=Cj(e,["treemapZoomToNode","treemapRootToNode"],t);if(r){var i=t.getViewRoot();i&&(e.direction=Ej(i,r.node)?"rollUp":"drillDown"),t.resetViewRoot(r.node)}}))}))}(e)},function(e){e.registerChartView(VY),e.registerSeriesModel(UY),e.registerProcessor(VX),e.registerVisual(GX),e.registerVisual(UX),e.registerLayout(tY),e.registerLayout(e.PRIORITY.VISUAL.POST_CHART_LAYOUT,uY),e.registerLayout(hY),e.registerCoordinateSystem("graphView",{dimensions:UW.dimensions,create:dY}),e.registerAction({type:"focusNodeAdjacency",event:"focusNodeAdjacency",update:"series:focusNodeAdjacency"},Jt),e.registerAction({type:"unfocusNodeAdjacency",event:"unfocusNodeAdjacency",update:"series:unfocusNodeAdjacency"},Jt),e.registerAction(WY,(function(e,t,n){t.eachComponent({mainType:"series",query:e},(function(t){var r=tj(t.coordinateSystem,e,void 0,n);t.setCenter&&t.setCenter(r.center),t.setZoom&&t.setZoom(r.zoom)}))}))},function(e){e.registerChartView($Y),e.registerSeriesModel(KY)},function(e){e.registerChartView(eZ),e.registerSeriesModel(nZ),e.registerLayout(rZ),e.registerProcessor(jG("funnel"))},function(e){BS(zq),e.registerChartView(uZ),e.registerSeriesModel(hZ),e.registerVisual(e.PRIORITY.VISUAL.BRUSH,pZ)},function(e){e.registerChartView(Wq),e.registerSeriesModel(Xq),e.registerLayout(Yq),e.registerVisual(o$),e.registerAction({type:"dragNode",event:"dragnode",update:"update"},(function(e,t){t.eachComponent({mainType:"series",subType:"sankey",query:e},(function(t){t.setNodePosition(e.dataIndex,[e.localX,e.localY])}))}))},function(e){e.registerSeriesModel(l$),e.registerChartView(g$),e.registerLayout(v$),e.registerTransform(y$)},function(e){e.registerChartView(L$),e.registerSeriesModel(O$),e.registerPreprocessor(N$),e.registerVisual(V$),e.registerLayout(U$)},function(e){e.registerChartView(Y$),e.registerSeriesModel(Z$),e.registerLayout(lG("effectScatter"))},function(e){e.registerChartView(aK),e.registerSeriesModel(hK),e.registerLayout(oK),e.registerVisual(pK)},function(e){e.registerChartView(yK),e.registerSeriesModel(_K)},function(e){e.registerChartView(VK),e.registerSeriesModel(GK),e.registerLayout(e.PRIORITY.VISUAL.LAYOUT,xt(jw,"pictorialBar")),e.registerLayout(e.PRIORITY.VISUAL.PROGRESSIVE_LAYOUT,Xw("pictorialBar"))},function(e){e.registerChartView(UK),e.registerSeriesModel(jK),e.registerLayout(XK),e.registerProcessor(jG("themeRiver"))},function(e){e.registerChartView(QK),e.registerSeriesModel(tJ),e.registerLayout(xt(rJ,"sunburst")),e.registerProcessor(xt(jG,"sunburst")),e.registerVisual(oJ),function(e){e.registerAction({type:$K,update:"updateView"},(function(e,t){t.eachComponent({mainType:"series",subType:"sunburst",query:e},(function(t,n){var r=Cj(e,[$K],t);if(r){var i=t.getViewRoot();i&&(e.direction=Ej(i,r.node)?"rollUp":"drillDown"),t.resetViewRoot(r.node)}}))})),e.registerAction({type:KK,update:"none"},(function(e,t,n){e=at({},e),t.eachComponent({mainType:"series",subType:"sunburst",query:e},(function(t){var n=Cj(e,[KK],t);n&&(e.dataIndex=n.node.dataIndex)})),n.dispatchAction(at(e,{type:"highlight"}))})),e.registerAction({type:"sunburstUnhighlight",update:"updateView"},(function(e,t,n){e=at({},e),n.dispatchAction(at(e,{type:"downplay"}))}))}(e)},function(e){e.registerChartView(KJ),e.registerSeriesModel(uJ)}]),BS((function(e){BS(aU),BS(t1)})),BS((function(e){BS(t1),ZH.registerAxisPointerClass("PolarAxisPointer",i1),e.registerCoordinateSystem("polar",x1),e.registerComponentModel(o1),e.registerComponentView(F1),mH(e,"angle",s1,k1),mH(e,"radius",l1,B1),e.registerComponentView(I1),e.registerComponentView(P1),e.registerLayout(xt(R1,"bar"))})),BS(oj),BS((function(e){BS(t1),ZH.registerAxisPointerClass("SingleAxisPointer",a0),e.registerComponentView(s0),e.registerComponentView(W1),e.registerComponentModel(X1),mH(e,"single",X1,X1.defaultOption),e.registerCoordinateSystem("single",Q1)})),BS(zq),BS((function(e){e.registerComponentModel(u0),e.registerComponentView(h0),e.registerCoordinateSystem("calendar",g0)})),BS((function(e){e.registerComponentModel(x0),e.registerComponentView(S0),e.registerPreprocessor((function(e){var t=e.graphic;bt(t)?t[0]&&t[0].elements?e.graphic=[e.graphic[0]]:e.graphic=[{elements:t}]:t&&!t.elements&&(e.graphic=[{elements:[t]}])}))})),BS((function(e){e.registerComponentModel(K0),e.registerComponentView(e2),q0("saveAsImage",n2),q0("magicType",s2),q0("dataView",f2),q0("dataZoom",V2),q0("restore",_2),BS(X0)})),BS((function(e){BS(t1),e.registerComponentModel(G2),e.registerComponentView(u3),e.registerAction({type:"showTip",event:"showTip",update:"tooltip:manuallyShowTip"},Jt),e.registerAction({type:"hideTip",event:"hideTip",update:"tooltip:manuallyHideTip"},Jt)})),BS(t1),BS((function(e){e.registerComponentView(C3),e.registerComponentModel(E3),e.registerPreprocessor(h3),e.registerVisual(e.PRIORITY.VISUAL.BRUSH,S3),e.registerAction({type:"brush",event:"brush",update:"updateVisual"},(function(e,t){t.eachComponent({mainType:"brush",query:e},(function(t){t.setAreas(e.areas)}))})),e.registerAction({type:"brushSelect",event:"brushSelected",update:"none"},Jt),e.registerAction({type:"brushEnd",event:"brushEnd",update:"none"},Jt),q0("brush",P3)})),BS((function(e){e.registerComponentModel(O3),e.registerComponentView(N3)})),BS((function(e){e.registerComponentModel(F3),e.registerComponentView(Y3),e.registerSubTypeDefaulter("timeline",(function(){return"slider"})),function(e){e.registerAction({type:"timelineChange",event:"timelineChanged",update:"prepareAndUpdate"},(function(e,t,n){var r=t.getComponent("timeline");return r&&null!=e.currentIndex&&(r.setCurrentIndex(e.currentIndex),!r.get("loop",!0)&&r.isIndexMax()&&r.getPlayState()&&(r.setPlayState(!1),n.dispatchAction({type:"timelinePlayChange",playState:!1,from:e.from}))),t.resetOption("timeline",{replaceMerge:r.get("replaceMerge",!0)}),st({currentIndex:r.option.currentIndex},e)})),e.registerAction({type:"timelinePlayChange",event:"timelinePlayChanged",update:"update"},(function(e,t){var n=t.getComponent("timeline");n&&null!=e.playState&&n.setPlayState(e.playState)}))}(e),e.registerPreprocessor(Z3)})),BS((function(e){e.registerComponentModel(n4),e.registerComponentView(g4),e.registerPreprocessor((function(e){K3(e.series,"markPoint")&&(e.markPoint=e.markPoint||{})}))})),BS((function(e){e.registerComponentModel(m4),e.registerComponentView(M4),e.registerPreprocessor((function(e){K3(e.series,"markLine")&&(e.markLine=e.markLine||{})}))})),BS((function(e){e.registerComponentModel(T4),e.registerComponentView(N4),e.registerPreprocessor((function(e){K3(e.series,"markArea")&&(e.markArea=e.markArea||{})}))})),BS((function(e){BS(Z4),BS(n5)})),BS((function(e){BS(p5),BS(S5)})),BS(p5),BS(S5),BS((function(e){BS(s6),BS(p6)})),BS(s6),BS(p6),BS((function(e){e.registerPreprocessor(y6),e.registerVisual(e.PRIORITY.VISUAL.ARIA,v6)})),BS((function(e){e.registerTransform(E6),e.registerTransform(L6)})),BS(hT),BS((function(e){e.registerUpdateLifecycle("series:beforeupdate",(function(e,t,n){pt(ws(n.seriesTransition),(function(e){pt(ws(e.to),(function(e){for(var t=n.updatedSeries,r=0;r<t.length;r++)(null!=e.seriesIndex&&e.seriesIndex===t[r].seriesIndex||null!=e.seriesId&&e.seriesId===t[r].id)&&(t[r][Xg]=!0)}))}))})),e.registerUpdateLifecycle("series:transition",(function(e,t,n){var r=p7(t);if(r.oldSeries&&n.updatedSeries&&n.optionChanged){var i=n.seriesTransition;if(i)pt(ws(i),(function(e){!function(e,t,n,r){var i=[],o=[];pt(ws(e.from),(function(e){var n=S7(t.oldSeries,e);n>=0&&i.push({dataGroupId:t.oldDataGroupIds[n],data:t.oldData[n],divide:w7(t.oldData[n]),groupIdDim:e.dimension})})),pt(ws(e.to),(function(e){var r=S7(n.updatedSeries,e);if(r>=0){var i=n.updatedSeries[r].getData();o.push({dataGroupId:t.oldDataGroupIds[r],data:i,divide:w7(i),groupIdDim:e.dimension})}})),i.length>0&&o.length>0&&_7(i,o,r)}(e,r,n,t)}));else{var o=function(e,t){var n=Yt(),r=Yt(),i=Yt();return pt(e.oldSeries,(function(t,n){var o=e.oldDataGroupIds[n],a=e.oldData[n],s=x7(t),l=b7(s);r.set(l,{dataGroupId:o,data:a}),bt(s)&&pt(s,(function(e){i.set(e,{key:l,dataGroupId:o,data:a})}))})),pt(t.updatedSeries,(function(e){if(e.isUniversalTransitionEnabled()&&e.isAnimationEnabled()){var t=e.get("dataGroupId"),o=e.getData(),a=x7(e),s=b7(a),l=r.get(s);if(l)n.set(s,{oldSeries:[{dataGroupId:l.dataGroupId,divide:w7(l.data),data:l.data}],newSeries:[{dataGroupId:t,divide:w7(o),data:o}]});else if(bt(a)){var u=[];pt(a,(function(e){var t=r.get(e);t.data&&u.push({dataGroupId:t.dataGroupId,divide:w7(t.data),data:t.data})})),u.length&&n.set(s,{oldSeries:u,newSeries:[{dataGroupId:t,data:o,divide:w7(o)}]})}else{var c=i.get(a);if(c){var h=n.get(c.key);h||(h={oldSeries:[{dataGroupId:c.dataGroupId,data:c.data,divide:w7(c.data)}],newSeries:[]},n.set(c.key,h)),h.newSeries.push({dataGroupId:t,data:o,divide:w7(o)})}}}})),n}(r,n);pt(o.keys(),(function(e){var n=o.get(e);_7(n.oldSeries,n.newSeries,t)}))}pt(n.updatedSeries,(function(e){e[Xg]&&(e[Xg]=!1)}))}for(var a=e.getSeries(),s=r.oldSeries=[],l=r.oldDataGroupIds=[],u=r.oldData=[],c=0;c<a.length;c++){var h=a[c].getData();h.count()<d7&&(s.push(a[c]),l.push(a[c].get("dataGroupId")),u.push(h))}}))})),BS(QM),M7.prototype.type="bmap",M7.prototype.dimensions=["lng","lat"],M7.prototype.setZoom=function(e){this._zoom=e},M7.prototype.setCenter=function(e){this._center=this._projection.lngLatToPoint(new BMap.Point(e[0],e[1]))},M7.prototype.setMapOffset=function(e){this._mapOffset=e},M7.prototype.getBMap=function(){return this._bmap},M7.prototype.dataToPoint=function(e){var t=new BMap.Point(e[0],e[1]),n=this._bmap.pointToOverlayPixel(t),r=this._mapOffset;return[n.x-r[0],n.y-r[1]]},M7.prototype.pointToData=function(e){var t=this._mapOffset;return[(e=this._bmap.overlayPixelToPoint({x:e[0]+t[0],y:e[1]+t[1]})).lng,e.lat]},M7.prototype.getViewRect=function(){var e=this._api;return new wr(0,0,e.getWidth(),e.getHeight())},M7.prototype.getRoamTransform=function(){return[1,0,0,1,0,0]},M7.prototype.prepareCustoms=function(){var e=this.getViewRect();return{coordSys:{type:"bmap",x:e.x,y:e.y,width:e.width,height:e.height},api:{coord:_t(this.dataToPoint,this),size:_t(T7,this)}}},M7.prototype.convertToPixel=function(e,t,n){return this.dataToPoint(n)},M7.prototype.convertFromPixel=function(e,t,n){return this.pointToData(n)},M7.dimensions=M7.prototype.dimensions,M7.create=function(e,t){var n,r=t.getDom();return e.eachComponent("bmap",(function(e){var i,o=t.getZr().painter,a=o.getViewportRoot();if("undefined"==typeof BMap)throw new Error("BMap api is not loaded");if(h7=h7||function(){function e(e){this._root=e}return e.prototype=new BMap.Overlay,e.prototype.initialize=function(e){return e.getPanes().labelPane.appendChild(this._root),this._root},e.prototype.draw=function(){},e}(),n)throw new Error("Only one bmap component can exist");if(!e.__bmap){var s=r.querySelector(".ec-extension-bmap");s&&(a.style.left="0px",a.style.top="0px",r.removeChild(s)),(s=document.createElement("div")).className="ec-extension-bmap",s.style.cssText="position:absolute;width:100%;height:100%",r.appendChild(s);var l=e.get("mapOptions");l&&delete(l=rt(l)).mapType,i=e.__bmap=new BMap.Map(s,l);var u=new h7(a);i.addOverlay(u),o.getViewportRootOffset=function(){return{offsetLeft:0,offsetTop:0}}}i=e.__bmap;var c=e.get("center"),h=e.get("zoom");if(c&&h){var d=i.getCenter(),p=i.getZoom();if(e.centerOrZoomChanged([d.lng,d.lat],p)){var f=new BMap.Point(c[0],c[1]);i.centerAndZoom(f,h)}}(n=new M7(i,t)).setMapOffset(e.__mapOffset||[0,0]),n.setZoom(h),n.setCenter(c),e.coordinateSystem=n})),e.eachSeries((function(e){"bmap"===e.get("coordinateSystem")&&(e.coordinateSystem=n)})),n&&[n]};const A7=M7;function I7(e){for(var t in e)if(e.hasOwnProperty(t))return!1;return!0}cM({type:"bmap",getBMap:function(){return this.__bmap},setCenterAndZoom:function(e,t){this.option.center=e,this.option.zoom=t},centerOrZoomChanged:function(e,t){var n,r,i=this.option;return n=e,r=i.center,!(n&&r&&n[0]===r[0]&&n[1]===r[1]&&t===i.zoom)},defaultOption:{center:[104.114129,37.550339],zoom:5,mapStyle:{},mapStyleV2:{},mapOptions:{},roam:!1}}),hM({type:"bmap",render:function(e,t,n){var r=!0,i=e.getBMap(),o=n.getZr().painter.getViewportRoot(),a=e.coordinateSystem,s=function(t,i){if(!r){var s=o.parentNode.parentNode.parentNode,l=[-parseInt(s.style.left,10)||0,-parseInt(s.style.top,10)||0],u=o.style,c=l[0]+"px",h=l[1]+"px";u.left!==c&&(u.left=c),u.top!==h&&(u.top=h),a.setMapOffset(l),e.__mapOffset=l,n.dispatchAction({type:"bmapRoam",animation:{duration:0}})}};function l(){r||n.dispatchAction({type:"bmapRoam",animation:{duration:0}})}i.removeEventListener("moving",this._oldMoveHandler),i.removeEventListener("moveend",this._oldMoveHandler),i.removeEventListener("zoomend",this._oldZoomEndHandler),i.addEventListener("moving",s),i.addEventListener("moveend",s),i.addEventListener("zoomend",l),this._oldMoveHandler=s,this._oldZoomEndHandler=l;var u=e.get("roam");u&&"scale"!==u?i.enableDragging():i.disableDragging(),u&&"move"!==u?(i.enableScrollWheelZoom(),i.enableDoubleClickZoom(),i.enablePinchToZoom()):(i.disableScrollWheelZoom(),i.disableDoubleClickZoom(),i.disablePinchToZoom());var c=e.__mapStyle,h=e.get("mapStyle")||{},d=JSON.stringify(h);JSON.stringify(c)!==d&&(I7(h)||i.setMapStyle(rt(h)),e.__mapStyle=JSON.parse(d));var p=e.__mapStyle2,f=e.get("mapStyleV2")||{},g=JSON.stringify(f);JSON.stringify(p)!==g&&(I7(f)||i.setMapStyleV2(rt(f)),e.__mapStyle2=JSON.parse(g)),r=!1}}),wb("bmap",A7),bb({type:"bmapRoam",event:"bmapRoam",update:"updateLayout"},(function(e,t){t.eachComponent("bmap",(function(e){var t=e.getBMap(),n=t.getCenter();e.setCenterAndZoom([n.lng,n.lat],t.getZoom())}))}));var C7=ux.split("."),D7=C7[0]>4,E7="amap",L7={};function P7(e,t,n){var r="[ECharts][Extension][AMap]".concat(e?" "+e+":":""," ").concat(t);n&&L7[r]||console.warn(r),n&&(L7[r]=!0)}function O7(e,t){return t=t||[0,0],ft([0,1],(function(n){var r=t[n],i=e[n]/2,o=[],a=[];return o[n]=r-i,a[n]=r+i,o[1-n]=a[1-n]=t[1-n],Math.abs(this.dataToPoint(o)[n]-this.dataToPoint(a)[n])}),this)}var N7=["echartsLayerZIndex","echartsLayerInteractive","renderOnMoving","largeMode","returnMapCameraState","layers"];function R7(e,t){this._amap=e,this._api=t,this._mapOffset=[0,0]}var k7=R7.prototype;k7.setZoom=function(e){this._zoom=e},k7.setCenter=function(e){var t=new AMap.LngLat(e[0],e[1]);this._center=this._amap.lngLatToContainer(t)},k7.setMapOffset=function(e){this._mapOffset=e},k7.setAMap=function(e){this._amap=e},k7.getAMap=function(){return this._amap},k7.dataToPoint=function(e){var t=new AMap.LngLat(e[0],e[1]),n=this._amap.lngLatToContainer(t),r=this._mapOffset;return[n.x-r[0],n.y-r[1]]},k7.pointToData=function(e){var t=this._mapOffset,n=this._amap.containerToLngLat(new AMap.Pixel(e[0]+t[0],e[1]+t[1]));return[n.lng,n.lat]},k7.getViewRect=function(){var e=this._api;return new wr(0,0,e.getWidth(),e.getHeight())},k7.getRoamTransform=function(){return[1,0,0,1,0,0]},k7.prepareCustoms=function(){var e=this.getViewRect();return{coordSys:{type:E7,x:e.x,y:e.y,width:e.width,height:e.height},api:{coord:_t(this.dataToPoint,this),size:_t(O7,this)}}},k7.convertToPixel=function(e,t,n){return this.dataToPoint(n)},k7.convertFromPixel=function(e,t,n){return this.pointToData(n)},R7.create=function(e,t){var n;return e.eachComponent(E7,(function(e){if("undefined"==typeof AMap)throw new Error("AMap api is not loaded");if(n)throw new Error("Only one amap component is allowed");var r=e.getAMap(),i=e.get("echartsLayerInteractive");if(!r){var o=t.getDom(),a=t.getZr().painter,s=a.getViewportRoot();s.className=E7+"-ec-layer",s.style.visibility="hidden";var l="ec-extension-"+E7,u=o.querySelector("."+l);u&&(s.style.left="0px",s.style.top="0px",o.removeChild(u)),(u=document.createElement("div")).className=l,u.style.cssText="position:absolute;top:0;left:0;bottom:0;right:0;",o.appendChild(u);var c=rt(e.get());"echartsLayerZIndex"in c&&P7("DEPRECATED","the option `echartsLayerZIndex` has been removed since v1.9.0, use `echartsLayerInteractive` instead."),pt(N7,(function(e){delete c[e]})),(r=new AMap.Map(u,c)).on("complete",(function(){u.querySelector(".amap-maps").appendChild(s),s.style.visibility=""})),e.setAMap(r),e.setEChartsLayer(s),a.getViewportRootOffset=function(){return{offsetLeft:0,offsetTop:0}}}e.__echartsLayerInteractive!==i&&(e.setEChartsLayerInteractive(i),e.__echartsLayerInteractive=i);var h=e.get("center"),d=e.get("zoom");if(h&&d){var p=r.getCenter(),f=r.getZoom();e.centerOrZoomChanged([p.lng,p.lat],f)&&r.setZoomAndCenter(d,new AMap.LngLat(h[0],h[1]))}var g=e.__mapStyle,m=e.get("mapStyle");if(g!==m&&r.setMapStyle(e.__mapStyle=m),r.setLang){var v=e.__mapLang,y=e.get("lang");v!==y&&r.setLang(e.__mapLang=y)}else P7("CAVEAT","The current map doesn't support `setLang` API!",!0);(n=new R7(r,t)).setMapOffset(e.__mapOffset||[0,0]),n.setZoom(d),n.setCenter(h),e.coordinateSystem=n})),e.eachSeries((function(e){e.get("coordinateSystem")===E7&&(e.coordinateSystem=n)})),n&&[n]},k7.dimensions=R7.dimensions=["lng","lat"],k7.type=E7;var B7,F7={type:E7,setAMap:function(e){this.__amap=e},getAMap:function(){return this.__amap},setEChartsLayer:function(e){this.__echartsLayer=e},getEChartsLayer:function(){return this.__echartsLayer},setEChartsLayerVisibility:function(e){this.__echartsLayer.style.display=e?"block":"none"},setEChartsLayerInteractive:function(e){this.option.echartsLayerInteractive=!!e,this.__echartsLayer.style.pointerEvents=e?"auto":"none"},setCenterAndZoom:function(e,t){this.option.center=e,this.option.zoom=t},centerOrZoomChanged:function(e,t){var n,r,i=this.option;return n=e,r=i.center,!(n&&r&&n[0]===r[0]&&n[1]===r[1]&&t===i.zoom)},defaultOption:{center:[116.397428,39.90923],zoom:5,isHotspot:!1,resizeEnable:!0,echartsLayerInteractive:!0,renderOnMoving:!0,largeMode:!1,returnMapCameraState:!1}},z7=D7?sp.extend(F7):F7,V7={type:E7,init:function(){this._isFirstRender=!0,B7=!AMap.v&&AMap.version&&AMap.version.split(".")[0]>=2},render:function(e,t,n){var r=this,i=!0,o=e.getAMap(),a=n.getZr().painter.getViewportRoot(),s=o.getContainer(),l=e.coordinateSystem,u=e.get("renderOnMoving"),c=e.get("resizeEnable"),h=e.get("largeMode"),d=e.get("returnMapCameraState"),p=o.getViewMode_(),f="3D"===p,g=function(t){if(!i){var r=s.style,u=[-parseInt(r.left,10)||0,-parseInt(r.top,10)||0],c=a.style,h=u[0]+"px",f=u[1]+"px";c.left!==h&&(c.left=h),c.top!==f&&(c.top=f),l.setMapOffset(e.__mapOffset=u);var g={type:"amapRoam",animation:{duration:0}};if(d){var m=(t=t||{}).center;m||(m=[(m=o.getCenter()).lng,m.lat]),g.camera={viewMode:p,center:m,zoom:t.zoom||o.getZoom(),rotation:null==t.rotation?o.getRotation():t.rotation,pitch:null==t.pitch?o.getPitch():t.pitch,scale:o.getScale(),bounds:o.getBounds()}}n.dispatchAction(g)}};if(o.off("mapmove",this._moveHandler),o.off("moveend",this._moveHandler),o.off("viewchange",this._moveHandler),o.off("camerachange",this._moveHandler),o.off("zoom",this._moveHandler),this._resizeHandler&&o.off("resize",this._resizeHandler),this._moveStartHandler&&o.off("movestart",this._moveStartHandler),this._moveEndHandler&&(o.off("moveend",this._moveEndHandler),o.off("zoomend",this._moveEndHandler)),o.on(u?B7?"viewchange":f?"camerachange":"mapmove":"moveend",!B7&&h?g=_y(g,20,!0):g),this._moveHandler=g,!u||B7&&f||o.on("zoom",g),!u){o.on("movestart",this._moveStartHandler=function(){setTimeout((function(){e.setEChartsLayerVisibility(!1)}),0)});var m=this._moveEndHandler=function(t){(!t||"moveend"!==t.type)&&g(t),setTimeout((function(){e.setEChartsLayerVisibility(!0)}),B7||!h?0:20)};if(o.on("moveend",m),o.on("zoomend",m),this._isFirstRender&&f){var v=o.setPitch,y=o.setRotation;o.setPitch=function(){v.apply(this,arguments),m()},o.setRotation=function(){y.apply(this,arguments),m()}}}if(c){var _=function(){clearTimeout(r._resizeTimeout),r._resizeTimeout=setTimeout((function(){return pb(n.getDom()).resize()}),0)};!B7&&h&&(_=_y(_,20,!0)),o.on("resize",this._resizeHandler=_)}this._isFirstRender=i=!1},dispose:function(){clearTimeout(this._resizeTimeout),L7={};var e=this.__model;e&&(e.getAMap().destroy(),e.setAMap(null),e.setEChartsLayer(null),e.coordinateSystem&&(e.coordinateSystem.setAMap(null),e.coordinateSystem=null)),delete this._moveHandler,delete this._moveStartHandler,delete this._moveEndHandler,delete this._resizeHandler,delete this._resizeTimeout}},G7=D7?rm.extend(V7):V7;function H7(e){(!D7||5==C7[0]&&C7[1]<4)&&e.registerLayout((function(e){e.eachSeriesByType("pie",(function(e){var t=e.coordinateSystem,n=e.getData(),r=n.mapDimension("value");if(t&&t.type===E7){var i=e.get("center"),o=t.dataToPoint(i),a=o[0],s=o[1];n.each(r,(function(e,t){var r=n.getItemLayout(t);r.cx=a,r.cy=s}))}}))})),D7?e.registerComponentModel(z7):e.extendComponentModel(z7),D7?e.registerComponentView(G7):e.extendComponentView(G7),e.registerCoordinateSystem(E7,R7),e.registerAction({type:E7+"Roam",event:E7+"Roam",update:"updateLayout"},(function(e,t){t.eachComponent(E7,(function(e){var t=e.getAMap(),n=t.getCenter();e.setCenterAndZoom([n.lng,n.lat],t.getZoom())}))}))}D7?BS(H7):H7(f);var U7=ux.split("."),W7=U7[0]>4,j7="gmap";function X7(e,t){return t=t||[0,0],ft([0,1],(function(n){var r=t[n],i=e[n]/2,o=[],a=[];return o[n]=r-i,a[n]=r+i,o[1-n]=a[1-n]=t[1-n],Math.abs(this.dataToPoint(o)[n]-this.dataToPoint(a)[n])}),this)}function Y7(e,t){this._gmap=e,this.dimensions=["lng","lat"],this._mapOffset=[0,0],this._api=t}var Z7,q7=Y7.prototype,$7=["echartsLayerZIndex","renderOnMoving"];function K7(e,t){var n=t.__overlayProjection;return n?n.fromLatLngToContainerPixel(e):new google.maps.Point(-1/0,-1/0)}q7.setZoom=function(e){this._zoom=e},q7.setCenter=function(e){var t=new google.maps.LatLng(e[1],e[0]);this._center=K7(t,this._gmap)},q7.setMapOffset=function(e){this._mapOffset=e},q7.setGoogleMap=function(e){this._gmap=e},q7.getGoogleMap=function(){return this._gmap},q7.dataToPoint=function(e){var t=K7(new google.maps.LatLng(e[1],e[0]),this._gmap),n=this._mapOffset;return[t.x-n[0],t.y-n[1]]},q7.pointToData=function(e){var t=this._mapOffset,n=function(e,t){var n=t.__overlayProjection;return n?n.fromContainerPixelToLatLng(e):new google.maps.Point(-1/0,-1/0)}(new google.maps.Point(e[0]+t[0],e[1]+t[1]),this._gmap);return[n.lng(),n.lat()]},q7.getViewRect=function(){var e=this._api;return new wr(0,0,e.getWidth(),e.getHeight())},q7.getRoamTransform=function(){return[1,0,0,1,0,0]},q7.prepareCustoms=function(){var e=this.getViewRect();return{coordSys:{type:j7,x:e.x,y:e.y,width:e.width,height:e.height},api:{coord:_t(this.dataToPoint,this),size:_t(X7,this)}}},q7.convertToPixel=function(e,t,n){return this.dataToPoint(n)},q7.convertFromPixel=function(e,t,n){return this.pointToData(n)},Y7.create=function(e,t){var n,r=t.getDom();return e.eachComponent(j7,(function(e){var i=t.getZr().painter,o=i.getViewportRoot();if("undefined"==typeof google||!google.maps||!google.maps.Map)throw new Error("Google Map API is not loaded");if(Z7=Z7||function(){function e(e,t){this._root=e,this.setMap(t)}return e.prototype=new google.maps.OverlayView,e.prototype.onAdd=function(){var e=this.getMap();e.__overlayProjection=this.getProjection(),e.getDiv().querySelector(".gm-style > div").appendChild(this._root)},e.prototype.draw=function(){google.maps.event.trigger(this.getMap(),"gmaprender")},e.prototype.onRemove=function(){this._root.parentNode.removeChild(this._root),this._root=null},e.prototype.setZIndex=function(e){this._root.style.zIndex=e},e.prototype.getZIndex=function(){return this._root.style.zIndex},e}(),n)throw new Error("Only one google map component is allowed");var a=e.getGoogleMap();if(!a){var s="ec-extension-google-map",l=r.querySelector("."+s);l&&(o.style.left="0",o.style.top="0",r.removeChild(l)),(l=document.createElement("div")).className=s,l.style.cssText="position:absolute;top:0;left:0;right:0;bottom:0",r.appendChild(l);var u=rt(e.get()),c=u.echartsLayerZIndex;pt($7,(function(e){delete u[e]}));var h=u.center;bt(h)&&(u.center={lng:h[0],lat:h[1]}),a=new google.maps.Map(l,u),e.setGoogleMap(a),e.__projectionChangeListener&&e.__projectionChangeListener.remove(),e.__projectionChangeListener=google.maps.event.addListener(a,"projection_changed",(function(){var t=e.getEChartsLayer();t&&t.setMap(null);var n=new Z7(o,a);n.setZIndex(c),e.setEChartsLayer(n)})),i.getViewportRootOffset=function(){return{offsetLeft:0,offsetTop:0}}}var d=e.get("center"),p=[null!=d.lng?d.lng:d[0],null!=d.lat?d.lat:d[1]],f=e.get("zoom");if(d&&f){var g=a.getCenter(),m=a.getZoom();if(e.centerOrZoomChanged([g.lng(),g.lat()],m)){var v=new google.maps.LatLng(p[1],p[0]);a.setOptions({center:v,zoom:f})}}(n=new Y7(a,t)).setMapOffset(e.__mapOffset||[0,0]),n.setZoom(f),n.setCenter(p),e.coordinateSystem=n})),e.eachSeries((function(e){e.get("coordinateSystem")===j7&&(e.coordinateSystem=n)})),n&&[n]},q7.dimensions=Y7.dimensions=["lng","lat"],q7.type=j7;var J7={type:j7,setGoogleMap:function(e){this.__gmap=e},getGoogleMap:function(){return this.__gmap},setEChartsLayer:function(e){this.__echartsLayer=e},getEChartsLayer:function(){return this.__echartsLayer},setCenterAndZoom:function(e,t){this.option.center=e,this.option.zoom=t},centerOrZoomChanged:function(e,t){var n,r,i=this.option;return n=e,r=i.center,!(n&&r&&n[0]===r[0]&&n[1]===r[1]&&t===i.zoom)},defaultOption:{center:{lat:39.90923,lng:116.397428},zoom:5,roam:!0,echartsLayerZIndex:2e3,renderOnMoving:!0}},Q7=W7?sp.extend(J7):J7,e8={type:j7,render:function(e,t,n){var r=!0,i=e.getGoogleMap(),o=n.getZr().painter.getViewportRoot(),a=e.coordinateSystem,s=e.get("renderOnMoving"),l=i.getDiv(),u=l.firstChild,c=u.clientWidth,h=u.clientHeight,d=function(){if(!r){if(u.clientWidth!==c||u.clientHeight!==h)return p();var t=[-parseInt(l.style.left,10)||0,-parseInt(l.style.top,10)||0];o.style.left=t[0]+"px",o.style.top=t[1]+"px",a.setMapOffset(t),e.__mapOffset=t,n.dispatchAction({type:j7+"Roam",animation:{duration:0}})}},p=function(){pb(n.getDom()).resize({width:u.clientWidth,height:u.clientHeight})};this._renderHandler&&this._renderHandler.remove(),s||(d=_y(d,100,!0),p=_y(p,100,!0)),this._renderHandler=google.maps.event.addListener(i,s?"gmaprender":"idle",d),i.setOptions({gestureHandling:e.get("roam")?"auto":"none"}),r=!1},dispose:function(){this._renderHandler&&this._renderHandler.remove(),delete this._renderHandler;var e=this.__model;if(e){var t=e.getGoogleMap();if(t){delete t.__overlayProjection,google.maps.event.clearInstanceListeners(t);var n=t.getDiv();n.parentNode&&n.parentNode.removeChild(n)}e.setGoogleMap(null),e.setEChartsLayer(null),e.coordinateSystem&&(e.coordinateSystem.setGoogleMap(null),e.coordinateSystem=null)}}},t8=W7?rm.extend(e8):e8;function n8(e){(!W7||5==U7[0]&&U7[1]<4)&&e.registerLayout((function(e){e.eachSeriesByType("pie",(function(e){var t=e.coordinateSystem,n=e.getData(),r=n.mapDimension("value");if(t&&t.type===j7){var i=e.get("center"),o=t.dataToPoint(i),a=o[0],s=o[1];n.each(r,(function(e,t){var r=n.getItemLayout(t);r.cx=a,r.cy=s}))}}))})),W7?e.registerComponentModel(Q7):e.extendComponentModel(Q7),W7?e.registerComponentView(t8):e.extendComponentView(t8),e.registerCoordinateSystem(j7,Y7),e.registerAction({type:j7+"Roam",event:j7+"Roam",update:"updateLayout"},(function(e,t){t.eachComponent(j7,(function(e){var t=e.getGoogleMap(),n=t.getCenter();e.setCenterAndZoom([n.lng(),n.lat()],t.getZoom())}))}))}W7?BS(n8):n8(f);var r8=h(6089),i8=h(7726),o8=h.n(i8);const a8=()=>({wrapper:r8.css`
    position: relative;
  `});function s8(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function l8(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){s8(e,t,n[t])}))}return e}var u8=h(8398),c8=h.n(u8),h8=h(7694),d8=h(200);function p8(e,t){var n=(0,w.useState)((function(){return{inputs:t,result:e()}}))[0],r=(0,w.useRef)(!0),i=(0,w.useRef)(n),o=r.current||Boolean(t&&i.current.inputs&&function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0}(t,i.current.inputs)),a=o?i.current:{inputs:t,result:e()};return(0,w.useEffect)((function(){r.current=!1,i.current=a}),[a]),a.result}var f8=p8,g8=function(e,t){return p8((function(){return e}),t)},m8=function(e){var t=e.top,n=e.right,r=e.bottom,i=e.left;return{top:t,right:n,bottom:r,left:i,width:n-i,height:r-t,x:i,y:t,center:{x:(n+i)/2,y:(r+t)/2}}},v8=function(e,t){return{top:e.top-t.top,left:e.left-t.left,bottom:e.bottom+t.bottom,right:e.right+t.right}},y8=function(e,t){return{top:e.top+t.top,left:e.left+t.left,bottom:e.bottom-t.bottom,right:e.right-t.right}},_8={top:0,right:0,bottom:0,left:0},x8=function(e){var t=e.borderBox,n=e.margin,r=void 0===n?_8:n,i=e.border,o=void 0===i?_8:i,a=e.padding,s=void 0===a?_8:a,l=m8(v8(t,r)),u=m8(y8(t,o)),c=m8(y8(u,s));return{marginBox:l,borderBox:m8(t),paddingBox:u,contentBox:c,margin:r,border:o,padding:s}},b8=function(e){var t=e.slice(0,-2);if("px"!==e.slice(-2))return 0;var n=Number(t);return isNaN(n)&&function(e,t){throw new Error("Invariant failed")}(),n},w8=function(e,t){var n=e.borderBox,r=e.border,i=e.margin,o=e.padding,a=function(e,t){return{top:e.top+t.y,left:e.left+t.x,bottom:e.bottom+t.y,right:e.right+t.x}}(n,t);return x8({borderBox:a,border:r,margin:i,padding:o})},S8=function(e,t){return void 0===t&&(t={x:window.pageXOffset,y:window.pageYOffset}),w8(e,t)},M8=function(e,t){var n={top:b8(t.marginTop),right:b8(t.marginRight),bottom:b8(t.marginBottom),left:b8(t.marginLeft)},r={top:b8(t.paddingTop),right:b8(t.paddingRight),bottom:b8(t.paddingBottom),left:b8(t.paddingLeft)},i={top:b8(t.borderTopWidth),right:b8(t.borderRightWidth),bottom:b8(t.borderBottomWidth),left:b8(t.borderLeftWidth)};return x8({borderBox:e,margin:n,padding:r,border:i})},T8=function(e){var t=e.getBoundingClientRect(),n=window.getComputedStyle(e);return M8(t,n)},A8=Number.isNaN||function(e){return"number"==typeof e&&e!=e};function I8(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(!((r=e[n])===(i=t[n])||A8(r)&&A8(i)))return!1;var r,i;return!0}function C8(e,t){void 0===t&&(t=I8);var n=null;function r(){for(var r=[],i=0;i<arguments.length;i++)r[i]=arguments[i];if(n&&n.lastThis===this&&t(r,n.lastArgs))return n.lastResult;var o=e.apply(this,r);return n={lastResult:o,lastArgs:r,lastThis:this},o}return r.clear=function(){n=null},r}const D8=function(e){var t=[],n=null,r=function(){for(var r=arguments.length,i=new Array(r),o=0;o<r;o++)i[o]=arguments[o];t=i,n||(n=requestAnimationFrame((function(){n=null,e.apply(void 0,t)})))};return r.cancel=function(){n&&(cancelAnimationFrame(n),n=null)},r};var E8=h(8102);function L8(e,t){}function P8(){}function O8(e,t,n){const r=t.map((t=>{const r=(i=n,o=t.options,{...i,...o});var i,o;return e.addEventListener(t.eventName,t.fn,r),function(){e.removeEventListener(t.eventName,t.fn,r)}}));return function(){r.forEach((e=>{e()}))}}L8.bind(null,"warn"),L8.bind(null,"error");const N8=!0,R8="Invariant failed";class k8 extends Error{}function B8(e,t){if(!e)throw new k8(N8?R8:`${R8}: ${t||""}`)}k8.prototype.toString=function(){return this.message};class F8 extends S().Component{constructor(...e){super(...e),this.callbacks=null,this.unbind=P8,this.onWindowError=e=>{const t=this.getCallbacks();t.isDragging()&&t.tryAbort(),e.error instanceof k8&&e.preventDefault()},this.getCallbacks=()=>{if(!this.callbacks)throw new Error("Unable to find AppCallbacks in <ErrorBoundary/>");return this.callbacks},this.setCallbacks=e=>{this.callbacks=e}}componentDidMount(){this.unbind=O8(window,[{eventName:"error",fn:this.onWindowError}])}componentDidCatch(e){if(!(e instanceof k8))throw e;this.setState({})}componentWillUnmount(){this.unbind()}render(){return this.props.children(this.setCallbacks)}}const z8=e=>e+1,V8=(e,t)=>{const n=e.droppableId===t.droppableId,r=z8(e.index),i=z8(t.index);return n?`\n      You have moved the item from position ${r}\n      to position ${i}\n    `:`\n    You have moved the item from position ${r}\n    in list ${e.droppableId}\n    to list ${t.droppableId}\n    in position ${i}\n  `},G8=(e,t,n)=>t.droppableId===n.droppableId?`\n      The item ${e}\n      has been combined with ${n.draggableId}`:`\n      The item ${e}\n      in list ${t.droppableId}\n      has been combined with ${n.draggableId}\n      in list ${n.droppableId}\n    `,H8=e=>`\n  The item has returned to its starting position\n  of ${z8(e.index)}\n`,U8={dragHandleUsageInstructions:"\n  Press space bar to start a drag.\n  When dragging you can use the arrow keys to move the item around and escape to cancel.\n  Some screen readers may require you to be in focus mode or to use your pass through key\n",onDragStart:e=>`\n  You have lifted an item in position ${z8(e.source.index)}\n`,onDragUpdate:e=>{const t=e.destination;if(t)return V8(e.source,t);const n=e.combine;return n?G8(e.draggableId,e.source,n):"You are over an area that cannot be dropped on"},onDragEnd:e=>{if("CANCEL"===e.reason)return`\n      Movement cancelled.\n      ${H8(e.source)}\n    `;const t=e.destination,n=e.combine;return t?`\n      You have dropped the item.\n      ${V8(e.source,t)}\n    `:n?`\n      You have dropped the item.\n      ${G8(e.draggableId,e.source,n)}\n    `:`\n    The item has been dropped while not over a drop area.\n    ${H8(e.source)}\n  `}};var W8=U8;const j8={x:0,y:0},X8=(e,t)=>({x:e.x+t.x,y:e.y+t.y}),Y8=(e,t)=>({x:e.x-t.x,y:e.y-t.y}),Z8=(e,t)=>e.x===t.x&&e.y===t.y,q8=e=>({x:0!==e.x?-e.x:0,y:0!==e.y?-e.y:0}),$8=(e,t,n=0)=>"x"===e?{x:t,y:n}:{x:n,y:t},K8=(e,t)=>Math.sqrt((t.x-e.x)**2+(t.y-e.y)**2),J8=(e,t)=>Math.min(...t.map((t=>K8(e,t)))),Q8=e=>t=>({x:e(t.x),y:e(t.y)}),e9=(e,t)=>({top:e.top+t.y,left:e.left+t.x,bottom:e.bottom+t.y,right:e.right+t.x}),t9=e=>[{x:e.left,y:e.top},{x:e.right,y:e.top},{x:e.left,y:e.bottom},{x:e.right,y:e.bottom}],n9=(e,t)=>t&&t.shouldClipSubject?((e,t)=>{const n=m8({top:Math.max(t.top,e.top),right:Math.min(t.right,e.right),bottom:Math.min(t.bottom,e.bottom),left:Math.max(t.left,e.left)});return n.width<=0||n.height<=0?null:n})(t.pageMarginBox,e):m8(e);var r9=({page:e,withPlaceholder:t,axis:n,frame:r})=>{const i=((e,t)=>t?e9(e,t.scroll.diff.displacement):e)(e.marginBox,r),o=((e,t,n)=>n&&n.increasedBy?{...e,[t.end]:e[t.end]+n.increasedBy[t.line]}:e)(i,n,t);return{page:e,withPlaceholder:t,active:n9(o,r)}},i9=(e,t)=>{e.frame||B8(!1);const n=e.frame,r=Y8(t,n.scroll.initial),i=q8(r),o={...n,scroll:{initial:n.scroll.initial,current:t,diff:{value:r,displacement:i},max:n.scroll.max}},a=r9({page:e.subject.page,withPlaceholder:e.subject.withPlaceholder,axis:e.axis,frame:o});return{...e,frame:o,subject:a}};const o9=C8((e=>e.reduce(((e,t)=>(e[t.descriptor.id]=t,e)),{}))),a9=C8((e=>e.reduce(((e,t)=>(e[t.descriptor.id]=t,e)),{}))),s9=C8((e=>Object.values(e))),l9=C8((e=>Object.values(e)));var u9=C8(((e,t)=>{const n=l9(t).filter((t=>e===t.descriptor.droppableId)).sort(((e,t)=>e.descriptor.index-t.descriptor.index));return n}));function c9(e){return e.at&&"REORDER"===e.at.type?e.at.destination:null}function h9(e){return e.at&&"COMBINE"===e.at.type?e.at.combine:null}var d9=C8(((e,t)=>t.filter((t=>t.descriptor.id!==e.descriptor.id)))),p9=(e,t)=>e.descriptor.droppableId===t.descriptor.id;const f9={point:j8,value:0},g9={invisible:{},visible:{},all:[]};var m9={displaced:g9,displacedBy:f9,at:null},v9=(e,t)=>n=>e<=n&&n<=t,y9=e=>{const t=v9(e.top,e.bottom),n=v9(e.left,e.right);return r=>{if(t(r.top)&&t(r.bottom)&&n(r.left)&&n(r.right))return!0;const i=t(r.top)||t(r.bottom),o=n(r.left)||n(r.right);if(i&&o)return!0;const a=r.top<e.top&&r.bottom>e.bottom,s=r.left<e.left&&r.right>e.right;return!(!a||!s)||(a&&o||s&&i)}},_9=e=>{const t=v9(e.top,e.bottom),n=v9(e.left,e.right);return e=>t(e.top)&&t(e.bottom)&&n(e.left)&&n(e.right)};const x9={direction:"vertical",line:"y",crossAxisLine:"x",start:"top",end:"bottom",size:"height",crossAxisStart:"left",crossAxisEnd:"right",crossAxisSize:"width"},b9={direction:"horizontal",line:"x",crossAxisLine:"y",start:"left",end:"right",size:"width",crossAxisStart:"top",crossAxisEnd:"bottom",crossAxisSize:"height"},w9=({target:e,destination:t,viewport:n,withDroppableDisplacement:r,isVisibleThroughFrameFn:i})=>{const o=r?((e,t)=>{const n=t.frame?t.frame.scroll.diff.displacement:j8;return e9(e,n)})(e,t):e;return((e,t,n)=>!!t.subject.active&&n(t.subject.active)(e))(o,t,i)&&((e,t,n)=>n(t)(e))(o,n,i)},S9=e=>w9({...e,isVisibleThroughFrameFn:y9}),M9=e=>w9({...e,isVisibleThroughFrameFn:_9}),T9=(e,t,n)=>{if("boolean"==typeof n)return n;if(!t)return!0;const{invisible:r,visible:i}=t;if(r[e])return!1;const o=i[e];return!o||o.shouldAnimate};function A9({afterDragging:e,destination:t,displacedBy:n,viewport:r,forceShouldAnimate:i,last:o}){return e.reduce((function(e,a){const s=function(e,t){const n=e.page.marginBox,r={top:t.point.y,right:0,bottom:0,left:t.point.x};return m8(v8(n,r))}(a,n),l=a.descriptor.id;if(e.all.push(l),!S9({target:s,destination:t,viewport:r,withDroppableDisplacement:!0}))return e.invisible[a.descriptor.id]=!0,e;const u={draggableId:l,shouldAnimate:T9(l,o,i)};return e.visible[l]=u,e}),{all:[],visible:{},invisible:{}})}function I9({insideDestination:e,inHomeList:t,displacedBy:n,destination:r}){const i=function(e,t){if(!e.length)return 0;const n=e[e.length-1].descriptor.index;return t.inHomeList?n:n+1}(e,{inHomeList:t});return{displaced:g9,displacedBy:n,at:{type:"REORDER",destination:{droppableId:r.descriptor.id,index:i}}}}function C9({draggable:e,insideDestination:t,destination:n,viewport:r,displacedBy:i,last:o,index:a,forceShouldAnimate:s}){const l=p9(e,n);if(null==a)return I9({insideDestination:t,inHomeList:l,displacedBy:i,destination:n});const u=t.find((e=>e.descriptor.index===a));if(!u)return I9({insideDestination:t,inHomeList:l,displacedBy:i,destination:n});const c=d9(e,t),h=t.indexOf(u);return{displaced:A9({afterDragging:c.slice(h),destination:n,displacedBy:i,last:o,viewport:r.frame,forceShouldAnimate:s}),displacedBy:i,at:{type:"REORDER",destination:{droppableId:n.descriptor.id,index:a}}}}function D9(e,t){return Boolean(t.effected[e])}const E9=(e,t)=>t.margin[e.start]+t.borderBox[e.size]/2,L9=(e,t,n)=>t[e.crossAxisStart]+n.margin[e.crossAxisStart]+n.borderBox[e.crossAxisSize]/2,P9=({axis:e,moveRelativeTo:t,isMoving:n})=>$8(e.line,t.marginBox[e.end]+E9(e,n),L9(e,t.marginBox,n)),O9=({axis:e,moveRelativeTo:t,isMoving:n})=>$8(e.line,t.marginBox[e.start]-((e,t)=>t.margin[e.end]+t.borderBox[e.size]/2)(e,n),L9(e,t.marginBox,n));var N9=(e,t)=>{const n=e.frame;return n?X8(t,n.scroll.diff.displacement):t},R9=e=>{const t=(({impact:e,draggable:t,droppable:n,draggables:r,afterCritical:i})=>{const o=t.page.borderBox.center,a=e.at;return n&&a?"REORDER"===a.type?(({impact:e,draggable:t,draggables:n,droppable:r,afterCritical:i})=>{const o=u9(r.descriptor.id,n),a=t.page,s=r.axis;if(!o.length)return(({axis:e,moveInto:t,isMoving:n})=>$8(e.line,t.contentBox[e.start]+E9(e,n),L9(e,t.contentBox,n)))({axis:s,moveInto:r.page,isMoving:a});const{displaced:l,displacedBy:u}=e,c=l.all[0];if(c){const e=n[c];if(D9(c,i))return O9({axis:s,moveRelativeTo:e.page,isMoving:a});const t=w8(e.page,u.point);return O9({axis:s,moveRelativeTo:t,isMoving:a})}const h=o[o.length-1];if(h.descriptor.id===t.descriptor.id)return a.borderBox.center;if(D9(h.descriptor.id,i)){const e=w8(h.page,q8(i.displacedBy.point));return P9({axis:s,moveRelativeTo:e,isMoving:a})}return P9({axis:s,moveRelativeTo:h.page,isMoving:a})})({impact:e,draggable:t,draggables:r,droppable:n,afterCritical:i}):(({afterCritical:e,impact:t,draggables:n})=>{const r=h9(t);r||B8(!1);const i=r.draggableId,o=n[i].page.borderBox.center,a=(({displaced:e,afterCritical:t,combineWith:n,displacedBy:r})=>{const i=Boolean(e.visible[n]||e.invisible[n]);return D9(n,t)?i?j8:q8(r.point):i?r.point:j8})({displaced:t.displaced,afterCritical:e,combineWith:i,displacedBy:t.displacedBy});return X8(o,a)})({impact:e,draggables:r,afterCritical:i}):o})(e),n=e.droppable;return n?N9(n,t):t},k9=(e,t)=>{const n=Y8(t,e.scroll.initial),r=q8(n);return{frame:m8({top:t.y,bottom:t.y+e.frame.height,left:t.x,right:t.x+e.frame.width}),scroll:{initial:e.scroll.initial,max:e.scroll.max,current:t,diff:{value:n,displacement:r}}}};function B9(e,t){return e.map((e=>t[e]))}var F9=({pageBorderBoxCenter:e,draggable:t,viewport:n})=>{const r=((e,t)=>X8(e.scroll.diff.displacement,t))(n,e),i=Y8(r,t.page.borderBox.center);return X8(t.client.borderBox.center,i)},z9=({draggable:e,destination:t,newPageBorderBoxCenter:n,viewport:r,withDroppableDisplacement:i,onlyOnMainAxis:o=!1})=>{const a=Y8(n,e.page.borderBox.center),s={target:e9(e.page.borderBox,a),destination:t,withDroppableDisplacement:i,viewport:r};return o?(e=>{return w9({...e,isVisibleThroughFrameFn:(t=e.destination.axis,e=>{const n=v9(e.top,e.bottom),r=v9(e.left,e.right);return e=>t===x9?n(e.top)&&n(e.bottom):r(e.left)&&r(e.right)})});var t})(s):M9(s)},V9=({isMovingForward:e,draggable:t,destination:n,draggables:r,previousImpact:i,viewport:o,previousPageBorderBoxCenter:a,previousClientSelection:s,afterCritical:l})=>{if(!n.isEnabled)return null;const u=u9(n.descriptor.id,r),c=p9(t,n),h=(({isMovingForward:e,draggable:t,destination:n,insideDestination:r,previousImpact:i})=>{if(!n.isCombineEnabled)return null;if(!c9(i))return null;function o(e){const t={type:"COMBINE",combine:{draggableId:e,droppableId:n.descriptor.id}};return{...i,at:t}}const a=i.displaced.all,s=a.length?a[0]:null;if(e)return s?o(s):null;const l=d9(t,r);if(!s)return l.length?o(l[l.length-1].descriptor.id):null;const u=l.findIndex((e=>e.descriptor.id===s));-1===u&&B8(!1);const c=u-1;return c<0?null:o(l[c].descriptor.id)})({isMovingForward:e,draggable:t,destination:n,insideDestination:u,previousImpact:i})||(({isMovingForward:e,isInHomeList:t,draggable:n,draggables:r,destination:i,insideDestination:o,previousImpact:a,viewport:s,afterCritical:l})=>{const u=a.at;if(u||B8(!1),"REORDER"===u.type){const r=(({isMovingForward:e,isInHomeList:t,insideDestination:n,location:r})=>{if(!n.length)return null;const i=r.index,o=e?i+1:i-1,a=n[0].descriptor.index,s=n[n.length-1].descriptor.index;return o<a||o>(t?s:s+1)?null:o})({isMovingForward:e,isInHomeList:t,location:u.destination,insideDestination:o});return null==r?null:C9({draggable:n,insideDestination:o,destination:i,viewport:s,last:a.displaced,displacedBy:a.displacedBy,index:r})}const c=(({isMovingForward:e,destination:t,draggables:n,combine:r,afterCritical:i})=>{if(!t.isCombineEnabled)return null;const o=r.draggableId,a=n[o].descriptor.index;return D9(o,i)?e?a:a-1:e?a+1:a})({isMovingForward:e,destination:i,displaced:a.displaced,draggables:r,combine:u.combine,afterCritical:l});return null==c?null:C9({draggable:n,insideDestination:o,destination:i,viewport:s,last:a.displaced,displacedBy:a.displacedBy,index:c})})({isMovingForward:e,isInHomeList:c,draggable:t,draggables:r,destination:n,insideDestination:u,previousImpact:i,viewport:o,afterCritical:l});if(!h)return null;const d=R9({impact:h,draggable:t,droppable:n,draggables:r,afterCritical:l});if(z9({draggable:t,destination:n,newPageBorderBoxCenter:d,viewport:o.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0}))return{clientSelection:F9({pageBorderBoxCenter:d,draggable:t,viewport:o}),impact:h,scrollJumpRequest:null};const p=Y8(d,a),f=(({impact:e,viewport:t,destination:n,draggables:r,maxScrollChange:i})=>{const o=k9(t,X8(t.scroll.current,i)),a=n.frame?i9(n,X8(n.frame.scroll.current,i)):n,s=e.displaced,l=A9({afterDragging:B9(s.all,r),destination:n,displacedBy:e.displacedBy,viewport:o.frame,last:s,forceShouldAnimate:!1}),u=A9({afterDragging:B9(s.all,r),destination:a,displacedBy:e.displacedBy,viewport:t.frame,last:s,forceShouldAnimate:!1}),c={},h={},d=[s,l,u];return s.all.forEach((e=>{const t=function(e,t){for(let n=0;n<t.length;n++){const r=t[n].visible[e];if(r)return r}return null}(e,d);t?h[e]=t:c[e]=!0})),{...e,displaced:{all:s.all,invisible:c,visible:h}}})({impact:h,viewport:o,destination:n,draggables:r,maxScrollChange:p});return{clientSelection:s,impact:f,scrollJumpRequest:p}};const G9=e=>{const t=e.subject.active;return t||B8(!1),t},H9=(e,t)=>{const n=e.page.borderBox.center;return D9(e.descriptor.id,t)?Y8(n,t.displacedBy.point):n},U9=(e,t)=>{const n=e.page.borderBox;return D9(e.descriptor.id,t)?e9(n,q8(t.displacedBy.point)):n};var W9=C8((function(e,t){const n=t[e.line];return{value:n,point:$8(e.line,n)}}));const j9=(e,t)=>({...e,scroll:{...e.scroll,max:t}}),X9=(e,t,n)=>{const r=e.frame;p9(t,e)&&B8(!1),e.subject.withPlaceholder&&B8(!1);const i=W9(e.axis,t.displaceBy).point,o=((e,t,n)=>{const r=e.axis;if("virtual"===e.descriptor.mode)return $8(r.line,t[r.line]);const i=e.subject.page.contentBox[r.size],o=u9(e.descriptor.id,n).reduce(((e,t)=>e+t.client.marginBox[r.size]),0),a=o+t[r.line]-i;return a<=0?null:$8(r.line,a)})(e,i,n),a={placeholderSize:i,increasedBy:o,oldFrameMaxScroll:e.frame?e.frame.scroll.max:null};if(!r){const t=r9({page:e.subject.page,withPlaceholder:a,axis:e.axis,frame:e.frame});return{...e,subject:t}}const s=o?X8(r.scroll.max,o):r.scroll.max,l=j9(r,s),u=r9({page:e.subject.page,withPlaceholder:a,axis:e.axis,frame:l});return{...e,subject:u,frame:l}};var Y9=e=>{const t=e.at;return t?"REORDER"===t.type?t.destination.droppableId:t.combine.droppableId:null},Z9=({state:e,type:t})=>{const n=((e,t)=>{const n=Y9(e);return n?t[n]:null})(e.impact,e.dimensions.droppables),r=Boolean(n),i=e.dimensions.droppables[e.critical.droppable.id],o=n||i,a=o.axis.direction,s="vertical"===a&&("MOVE_UP"===t||"MOVE_DOWN"===t)||"horizontal"===a&&("MOVE_LEFT"===t||"MOVE_RIGHT"===t);if(s&&!r)return null;const l="MOVE_DOWN"===t||"MOVE_RIGHT"===t,u=e.dimensions.draggables[e.critical.draggable.id],c=e.current.page.borderBoxCenter,{draggables:h,droppables:d}=e.dimensions;return s?V9({isMovingForward:l,previousPageBorderBoxCenter:c,draggable:u,destination:o,draggables:h,viewport:e.viewport,previousClientSelection:e.current.client.selection,previousImpact:e.impact,afterCritical:e.afterCritical}):(({isMovingForward:e,previousPageBorderBoxCenter:t,draggable:n,isOver:r,draggables:i,droppables:o,viewport:a,afterCritical:s})=>{const l=(({isMovingForward:e,pageBorderBoxCenter:t,source:n,droppables:r,viewport:i})=>{const o=n.subject.active;if(!o)return null;const a=n.axis,s=v9(o[a.start],o[a.end]),l=s9(r).filter((e=>e!==n)).filter((e=>e.isEnabled)).filter((e=>Boolean(e.subject.active))).filter((e=>y9(i.frame)(G9(e)))).filter((t=>{const n=G9(t);return e?o[a.crossAxisEnd]<n[a.crossAxisEnd]:n[a.crossAxisStart]<o[a.crossAxisStart]})).filter((e=>{const t=G9(e),n=v9(t[a.start],t[a.end]);return s(t[a.start])||s(t[a.end])||n(o[a.start])||n(o[a.end])})).sort(((t,n)=>{const r=G9(t)[a.crossAxisStart],i=G9(n)[a.crossAxisStart];return e?r-i:i-r})).filter(((e,t,n)=>G9(e)[a.crossAxisStart]===G9(n[0])[a.crossAxisStart]));if(!l.length)return null;if(1===l.length)return l[0];const u=l.filter((e=>v9(G9(e)[a.start],G9(e)[a.end])(t[a.line])));return 1===u.length?u[0]:u.length>1?u.sort(((e,t)=>G9(e)[a.start]-G9(t)[a.start]))[0]:l.sort(((e,n)=>{const r=J8(t,t9(G9(e))),i=J8(t,t9(G9(n)));return r!==i?r-i:G9(e)[a.start]-G9(n)[a.start]}))[0]})({isMovingForward:e,pageBorderBoxCenter:t,source:r,droppables:o,viewport:a});if(!l)return null;const u=u9(l.descriptor.id,i),c=(({pageBorderBoxCenter:e,viewport:t,destination:n,insideDestination:r,afterCritical:i})=>{const o=r.filter((e=>M9({target:U9(e,i),destination:n,viewport:t.frame,withDroppableDisplacement:!0}))).sort(((t,r)=>{const o=K8(e,N9(n,H9(t,i))),a=K8(e,N9(n,H9(r,i)));return o<a?-1:a<o?1:t.descriptor.index-r.descriptor.index}));return o[0]||null})({pageBorderBoxCenter:t,viewport:a,destination:l,insideDestination:u,afterCritical:s}),h=(({previousPageBorderBoxCenter:e,moveRelativeTo:t,insideDestination:n,draggable:r,draggables:i,destination:o,viewport:a,afterCritical:s})=>{if(!t){if(n.length)return null;const e={displaced:g9,displacedBy:f9,at:{type:"REORDER",destination:{droppableId:o.descriptor.id,index:0}}},t=R9({impact:e,draggable:r,droppable:o,draggables:i,afterCritical:s}),l=p9(r,o)?o:X9(o,r,i);return z9({draggable:r,destination:l,newPageBorderBoxCenter:t,viewport:a.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0})?e:null}const l=Boolean(e[o.axis.line]<=t.page.borderBox.center[o.axis.line]),u=(()=>{const e=t.descriptor.index;return t.descriptor.id===r.descriptor.id||l?e:e+1})(),c=W9(o.axis,r.displaceBy);return C9({draggable:r,insideDestination:n,destination:o,viewport:a,displacedBy:c,last:g9,index:u})})({previousPageBorderBoxCenter:t,destination:l,draggable:n,draggables:i,moveRelativeTo:c,insideDestination:u,viewport:a,afterCritical:s});if(!h)return null;const d=R9({impact:h,draggable:n,droppable:l,draggables:i,afterCritical:s});return{clientSelection:F9({pageBorderBoxCenter:d,draggable:n,viewport:a}),impact:h,scrollJumpRequest:null}})({isMovingForward:l,previousPageBorderBoxCenter:c,draggable:u,isOver:o,draggables:h,droppables:d,viewport:e.viewport,afterCritical:e.afterCritical})};function q9(e){return"DRAGGING"===e.phase||"COLLECTING"===e.phase}function $9(e){const t=v9(e.top,e.bottom),n=v9(e.left,e.right);return function(e){return t(e.y)&&n(e.x)}}const K9=(e,t)=>m8(e9(e,t));function J9({displaced:e,id:t}){return Boolean(e.visible[t]||e.invisible[t])}var Q9=({pageOffset:e,draggable:t,draggables:n,droppables:r,previousImpact:i,viewport:o,afterCritical:a})=>{const s=K9(t.page.borderBox,e),l=function({pageBorderBox:e,draggable:t,droppables:n}){const r=s9(n).filter((t=>{if(!t.isEnabled)return!1;const n=t.subject.active;if(!n)return!1;if(i=n,!((r=e).left<i.right&&r.right>i.left&&r.top<i.bottom&&r.bottom>i.top))return!1;var r,i;if($9(n)(e.center))return!0;const o=t.axis,a=n.center[o.crossAxisLine],s=e[o.crossAxisStart],l=e[o.crossAxisEnd],u=v9(n[o.crossAxisStart],n[o.crossAxisEnd]),c=u(s),h=u(l);return!c&&!h||(c?s<a:l>a)}));return r.length?1===r.length?r[0].descriptor.id:function({pageBorderBox:e,draggable:t,candidates:n}){const r=t.page.borderBox.center,i=n.map((t=>{const n=t.axis,i=$8(t.axis.line,e.center[n.line],t.page.borderBox.center[n.crossAxisLine]);return{id:t.descriptor.id,distance:K8(r,i)}})).sort(((e,t)=>t.distance-e.distance));return i[0]?i[0].id:null}({pageBorderBox:e,draggable:t,candidates:r}):null}({pageBorderBox:s,draggable:t,droppables:r});if(!l)return m9;const u=r[l],c=u9(u.descriptor.id,n),h=((e,t)=>{const n=e.frame;return n?K9(t,n.scroll.diff.value):t})(u,s);return(({draggable:e,pageBorderBoxWithDroppableScroll:t,previousImpact:n,destination:r,insideDestination:i,afterCritical:o})=>{if(!r.isCombineEnabled)return null;const a=r.axis,s=W9(r.axis,e.displaceBy),l=s.value,u=t[a.start],c=t[a.end],h=d9(e,i).find((e=>{const t=e.descriptor.id,r=e.page.borderBox,i=r[a.size]/4,s=D9(t,o),h=J9({displaced:n.displaced,id:t});return s?h?c>r[a.start]+i&&c<r[a.end]-i:u>r[a.start]-l+i&&u<r[a.end]-l-i:h?c>r[a.start]+l+i&&c<r[a.end]+l-i:u>r[a.start]+i&&u<r[a.end]-i}));return h?{displacedBy:s,displaced:n.displaced,at:{type:"COMBINE",combine:{draggableId:h.descriptor.id,droppableId:r.descriptor.id}}}:null})({pageBorderBoxWithDroppableScroll:h,draggable:t,previousImpact:i,destination:u,insideDestination:c,afterCritical:a})||(({pageBorderBoxWithDroppableScroll:e,draggable:t,destination:n,insideDestination:r,last:i,viewport:o,afterCritical:a})=>{const s=n.axis,l=W9(n.axis,t.displaceBy),u=l.value,c=e[s.start],h=e[s.end],d=function({draggable:e,closest:t,inHomeList:n}){return t?n&&t.descriptor.index>e.descriptor.index?t.descriptor.index-1:t.descriptor.index:null}({draggable:t,closest:d9(t,r).find((e=>{const t=e.descriptor.id,n=e.page.borderBox.center[s.line],r=D9(t,a),o=J9({displaced:i,id:t});return r?o?h<=n:c<n-u:o?h<=n+u:c<n}))||null,inHomeList:p9(t,n)});return C9({draggable:t,insideDestination:r,destination:n,viewport:o,last:i,displacedBy:l,index:d})})({pageBorderBoxWithDroppableScroll:h,draggable:t,destination:u,insideDestination:c,last:i.displaced,viewport:o,afterCritical:a})},eee=(e,t)=>({...e,[t.descriptor.id]:t});var tee=({state:e,clientSelection:t,dimensions:n,viewport:r,impact:i,scrollJumpRequest:o})=>{const a=r||e.viewport,s=n||e.dimensions,l=t||e.current.client.selection,u=Y8(l,e.initial.client.selection),c={offset:u,selection:l,borderBoxCenter:X8(e.initial.client.borderBoxCenter,u)},h={selection:X8(c.selection,a.scroll.current),borderBoxCenter:X8(c.borderBoxCenter,a.scroll.current),offset:X8(c.offset,a.scroll.diff.value)},d={client:c,page:h};if("COLLECTING"===e.phase)return{...e,dimensions:s,viewport:a,current:d};const p=s.draggables[e.critical.draggable.id],f=i||Q9({pageOffset:h.offset,draggable:p,draggables:s.draggables,droppables:s.droppables,previousImpact:e.impact,viewport:a,afterCritical:e.afterCritical}),g=(({draggable:e,draggables:t,droppables:n,previousImpact:r,impact:i})=>{const o=(({previousImpact:e,impact:t,droppables:n})=>{const r=Y9(e),i=Y9(t);if(!r)return n;if(r===i)return n;const o=n[r];if(!o.subject.withPlaceholder)return n;const a=(e=>{const t=e.subject.withPlaceholder;t||B8(!1);const n=e.frame;if(!n){const t=r9({page:e.subject.page,axis:e.axis,frame:null,withPlaceholder:null});return{...e,subject:t}}const r=t.oldFrameMaxScroll;r||B8(!1);const i=j9(n,r),o=r9({page:e.subject.page,axis:e.axis,frame:i,withPlaceholder:null});return{...e,subject:o,frame:i}})(o);return eee(n,a)})({previousImpact:r,impact:i,droppables:n}),a=Y9(i);if(!a)return o;const s=n[a];if(p9(e,s))return o;if(s.subject.withPlaceholder)return o;const l=X9(s,e,t);return eee(o,l)})({draggable:p,impact:f,previousImpact:e.impact,draggables:s.draggables,droppables:s.droppables});return{...e,current:d,dimensions:{draggables:s.draggables,droppables:g},impact:f,viewport:a,scrollJumpRequest:o||null,forceShouldAnimate:!o&&null}},nee=({impact:e,viewport:t,draggables:n,destination:r,forceShouldAnimate:i})=>{const o=e.displaced,a=function(e,t){return e.map((e=>t[e]))}(o.all,n),s=A9({afterDragging:a,destination:r,displacedBy:e.displacedBy,viewport:t.frame,forceShouldAnimate:i,last:o});return{...e,displaced:s}},ree=({impact:e,draggable:t,droppable:n,draggables:r,viewport:i,afterCritical:o})=>{const a=R9({impact:e,draggable:t,draggables:r,droppable:n,afterCritical:o});return F9({pageBorderBoxCenter:a,draggable:t,viewport:i})},iee=({state:e,dimensions:t,viewport:n})=>{"SNAP"!==e.movementMode&&B8(!1);const r=e.impact,i=n||e.viewport,o=t||e.dimensions,{draggables:a,droppables:s}=o,l=a[e.critical.draggable.id],u=Y9(r);u||B8(!1);const c=s[u],h=nee({impact:r,viewport:i,destination:c,draggables:a}),d=ree({impact:h,draggable:l,droppable:c,draggables:a,viewport:i,afterCritical:e.afterCritical});return tee({impact:h,clientSelection:d,state:e,dimensions:o,viewport:i})},oee=({draggable:e,home:t,draggables:n,viewport:r})=>{const i=W9(t.axis,e.displaceBy),o=u9(t.descriptor.id,n),a=o.indexOf(e);-1===a&&B8(!1);const s=o.slice(a+1),l=s.reduce(((e,t)=>(e[t.descriptor.id]=!0,e)),{}),u={inVirtualList:"virtual"===t.descriptor.mode,displacedBy:i,effected:l};var c;return{impact:{displaced:A9({afterDragging:s,destination:t,displacedBy:i,last:null,viewport:r.frame,forceShouldAnimate:!1}),displacedBy:i,at:{type:"REORDER",destination:(c=e.descriptor,{index:c.index,droppableId:c.droppableId})}},afterCritical:u}};const aee=e=>"SNAP"===e.movementMode,see=(e,t,n)=>{const r=((e,t)=>({draggables:e.draggables,droppables:eee(e.droppables,t)}))(e.dimensions,t);return!aee(e)||n?tee({state:e,dimensions:r}):iee({state:e,dimensions:r})};function lee(e){return e.isDragging&&"SNAP"===e.movementMode?{...e,scrollJumpRequest:null}:e}const uee={phase:"IDLE",completed:null,shouldFlush:!1};var cee=(e=uee,t)=>{if("FLUSH"===t.type)return{...uee,shouldFlush:!0};if("INITIAL_PUBLISH"===t.type){"IDLE"!==e.phase&&B8(!1);const{critical:n,clientSelection:r,viewport:i,dimensions:o,movementMode:a}=t.payload,s=o.draggables[n.draggable.id],l=o.droppables[n.droppable.id],u={selection:r,borderBoxCenter:s.client.borderBox.center,offset:j8},c={client:u,page:{selection:X8(u.selection,i.scroll.initial),borderBoxCenter:X8(u.selection,i.scroll.initial),offset:X8(u.selection,i.scroll.diff.value)}},h=s9(o.droppables).every((e=>!e.isFixedOnPage)),{impact:d,afterCritical:p}=oee({draggable:s,home:l,draggables:o.draggables,viewport:i});return{phase:"DRAGGING",isDragging:!0,critical:n,movementMode:a,dimensions:o,initial:c,current:c,isWindowScrollAllowed:h,impact:d,afterCritical:p,onLiftImpact:d,viewport:i,scrollJumpRequest:null,forceShouldAnimate:null}}if("COLLECTION_STARTING"===t.type)return"COLLECTING"===e.phase||"DROP_PENDING"===e.phase?e:("DRAGGING"!==e.phase&&B8(!1),{...e,phase:"COLLECTING"});if("PUBLISH_WHILE_DRAGGING"===t.type)return"COLLECTING"!==e.phase&&"DROP_PENDING"!==e.phase&&B8(!1),(({state:e,published:t})=>{const n=t.modified.map((t=>{const n=e.dimensions.droppables[t.droppableId];return i9(n,t.scroll)})),r={...e.dimensions.droppables,...o9(n)},i=a9((({additions:e,updatedDroppables:t,viewport:n})=>{const r=n.scroll.diff.value;return e.map((e=>{const i=e.descriptor.droppableId,o=(e=>{const t=e.frame;return t||B8(!1),t})(t[i]),a=o.scroll.diff.value,s=(({draggable:e,offset:t,initialWindowScroll:n})=>{const r=w8(e.client,t),i=S8(r,n);return{...e,placeholder:{...e.placeholder,client:r},client:r,page:i}})({draggable:e,offset:X8(r,a),initialWindowScroll:n.scroll.initial});return s}))})({additions:t.additions,updatedDroppables:r,viewport:e.viewport})),o={...e.dimensions.draggables,...i};t.removals.forEach((e=>{delete o[e]}));const a={droppables:r,draggables:o},s=Y9(e.impact),l=s?a.droppables[s]:null,u=a.draggables[e.critical.draggable.id],c=a.droppables[e.critical.droppable.id],{impact:h,afterCritical:d}=oee({draggable:u,home:c,draggables:o,viewport:e.viewport}),p=l&&l.isCombineEnabled?e.impact:h,f=Q9({pageOffset:e.current.page.offset,draggable:a.draggables[e.critical.draggable.id],draggables:a.draggables,droppables:a.droppables,previousImpact:p,viewport:e.viewport,afterCritical:d}),g={...e,phase:"DRAGGING",impact:f,onLiftImpact:h,dimensions:a,afterCritical:d,forceShouldAnimate:!1};return"COLLECTING"===e.phase?g:{...g,phase:"DROP_PENDING",reason:e.reason,isWaiting:!1}})({state:e,published:t.payload});if("MOVE"===t.type){if("DROP_PENDING"===e.phase)return e;q9(e)||B8(!1);const{client:n}=t.payload;return Z8(n,e.current.client.selection)?e:tee({state:e,clientSelection:n,impact:aee(e)?e.impact:null})}if("UPDATE_DROPPABLE_SCROLL"===t.type){if("DROP_PENDING"===e.phase)return lee(e);if("COLLECTING"===e.phase)return lee(e);q9(e)||B8(!1);const{id:n,newScroll:r}=t.payload,i=e.dimensions.droppables[n];if(!i)return e;const o=i9(i,r);return see(e,o,!1)}if("UPDATE_DROPPABLE_IS_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;q9(e)||B8(!1);const{id:n,isEnabled:r}=t.payload,i=e.dimensions.droppables[n];i||B8(!1),i.isEnabled===r&&B8(!1);const o={...i,isEnabled:r};return see(e,o,!0)}if("UPDATE_DROPPABLE_IS_COMBINE_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;q9(e)||B8(!1);const{id:n,isCombineEnabled:r}=t.payload,i=e.dimensions.droppables[n];i||B8(!1),i.isCombineEnabled===r&&B8(!1);const o={...i,isCombineEnabled:r};return see(e,o,!0)}if("MOVE_BY_WINDOW_SCROLL"===t.type){if("DROP_PENDING"===e.phase||"DROP_ANIMATING"===e.phase)return e;q9(e)||B8(!1),e.isWindowScrollAllowed||B8(!1);const n=t.payload.newScroll;if(Z8(e.viewport.scroll.current,n))return lee(e);const r=k9(e.viewport,n);return aee(e)?iee({state:e,viewport:r}):tee({state:e,viewport:r})}if("UPDATE_VIEWPORT_MAX_SCROLL"===t.type){if(!q9(e))return e;const n=t.payload.maxScroll;if(Z8(n,e.viewport.scroll.max))return e;const r={...e.viewport,scroll:{...e.viewport.scroll,max:n}};return{...e,viewport:r}}if("MOVE_UP"===t.type||"MOVE_DOWN"===t.type||"MOVE_LEFT"===t.type||"MOVE_RIGHT"===t.type){if("COLLECTING"===e.phase||"DROP_PENDING"===e.phase)return e;"DRAGGING"!==e.phase&&B8(!1);const n=Z9({state:e,type:t.type});return n?tee({state:e,impact:n.impact,clientSelection:n.clientSelection,scrollJumpRequest:n.scrollJumpRequest}):e}if("DROP_PENDING"===t.type){const n=t.payload.reason;return"COLLECTING"!==e.phase&&B8(!1),{...e,phase:"DROP_PENDING",isWaiting:!0,reason:n}}if("DROP_ANIMATE"===t.type){const{completed:n,dropDuration:r,newHomeClientOffset:i}=t.payload;return"DRAGGING"!==e.phase&&"DROP_PENDING"!==e.phase&&B8(!1),{phase:"DROP_ANIMATING",completed:n,dropDuration:r,newHomeClientOffset:i,dimensions:e.dimensions}}if("DROP_COMPLETE"===t.type){const{completed:e}=t.payload;return{phase:"IDLE",completed:e,shouldFlush:!1}}return e};const hee=e=>({type:"LIFT",payload:e}),dee=e=>({type:"PUBLISH_WHILE_DRAGGING",payload:e}),pee=()=>({type:"COLLECTION_STARTING",payload:null}),fee=e=>({type:"UPDATE_DROPPABLE_SCROLL",payload:e}),gee=e=>({type:"UPDATE_DROPPABLE_IS_ENABLED",payload:e}),mee=e=>({type:"UPDATE_DROPPABLE_IS_COMBINE_ENABLED",payload:e}),vee=e=>({type:"MOVE",payload:e}),yee=()=>({type:"MOVE_UP",payload:null}),_ee=()=>({type:"MOVE_DOWN",payload:null}),xee=()=>({type:"MOVE_RIGHT",payload:null}),bee=()=>({type:"MOVE_LEFT",payload:null}),wee=()=>({type:"FLUSH",payload:null}),See=e=>({type:"DROP_COMPLETE",payload:e}),Mee=e=>({type:"DROP",payload:e}),Tee="cubic-bezier(.2,1,.1,1)",Aee=0,Iee=.7,Cee=.75,Dee={outOfTheWay:.2,minDropTime:.33,maxDropTime:.55},Eee=`${Dee.outOfTheWay}s cubic-bezier(0.2, 0, 0, 1)`,Lee={fluid:`opacity ${Eee}`,snap:`transform ${Eee}, opacity ${Eee}`,drop:e=>{const t=`${e}s ${Tee}`;return`transform ${t}, opacity ${t}`},outOfTheWay:`transform ${Eee}`,placeholder:`height ${Eee}, width ${Eee}, margin ${Eee}`},Pee=e=>Z8(e,j8)?void 0:`translate(${e.x}px, ${e.y}px)`,Oee=Pee,Nee=(e,t)=>{const n=Pee(e);if(n)return t?`${n} scale(${Cee})`:n},{minDropTime:Ree,maxDropTime:kee}=Dee,Bee=kee-Ree;var Fee=({getState:e,dispatch:t})=>n=>r=>{if("DROP"!==r.type)return void n(r);const i=e(),o=r.payload.reason;if("COLLECTING"===i.phase)return void t((a={reason:o},{type:"DROP_PENDING",payload:a}));var a;if("IDLE"===i.phase)return;"DROP_PENDING"===i.phase&&i.isWaiting&&B8(!1),"DRAGGING"!==i.phase&&"DROP_PENDING"!==i.phase&&B8(!1);const s=i.critical,l=i.dimensions,u=l.draggables[i.critical.draggable.id],{impact:c,didDropInsideDroppable:h}=(({draggables:e,reason:t,lastImpact:n,home:r,viewport:i,onLiftImpact:o})=>n.at&&"DROP"===t?"REORDER"===n.at.type?{impact:n,didDropInsideDroppable:!0}:{impact:{...n,displaced:g9},didDropInsideDroppable:!0}:{impact:nee({draggables:e,impact:o,destination:r,viewport:i,forceShouldAnimate:!0}),didDropInsideDroppable:!1})({reason:o,lastImpact:i.impact,afterCritical:i.afterCritical,onLiftImpact:i.onLiftImpact,home:i.dimensions.droppables[i.critical.droppable.id],viewport:i.viewport,draggables:i.dimensions.draggables}),d=h?c9(c):null,p=h?h9(c):null,f={index:s.draggable.index,droppableId:s.droppable.id},g={draggableId:u.descriptor.id,type:u.descriptor.type,source:f,reason:o,mode:i.movementMode,destination:d,combine:p},m=(({impact:e,draggable:t,dimensions:n,viewport:r,afterCritical:i})=>{const{draggables:o,droppables:a}=n,s=Y9(e),l=s?a[s]:null,u=a[t.descriptor.droppableId],c=ree({impact:e,draggable:t,draggables:o,afterCritical:i,droppable:l||u,viewport:r});return Y8(c,t.client.borderBox.center)})({impact:c,draggable:u,dimensions:l,viewport:i.viewport,afterCritical:i.afterCritical}),v={critical:i.critical,afterCritical:i.afterCritical,result:g,impact:c};if(Z8(i.current.client.offset,m)&&!Boolean(g.combine))return void t(See({completed:v}));const y=(({current:e,destination:t,reason:n})=>{const r=K8(e,t);if(r<=0)return Ree;if(r>=1500)return kee;const i=Ree+Bee*(r/1500);return Number(("CANCEL"===n?.6*i:i).toFixed(2))})({current:i.current.client.offset,destination:m,reason:o});t((e=>({type:"DROP_ANIMATE",payload:e}))({newHomeClientOffset:m,dropDuration:y,completed:v}))},zee=()=>({x:window.pageXOffset,y:window.pageYOffset});var Vee=e=>{const t=function({onWindowScroll:e}){const t=D8((function(){e(zee())})),n=function(e){return{eventName:"scroll",options:{passive:!0,capture:!1},fn:t=>{t.target!==window&&t.target!==window.document||e()}}}(t);let r=P8;function i(){return r!==P8}return{start:function(){i()&&B8(!1),r=O8(window,[n])},stop:function(){i()||B8(!1),t.cancel(),r(),r=P8},isActive:i}}({onWindowScroll:t=>{e.dispatch({type:"MOVE_BY_WINDOW_SCROLL",payload:{newScroll:t}})}});return e=>n=>{t.isActive()||"INITIAL_PUBLISH"!==n.type||t.start(),t.isActive()&&(e=>"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type)(n)&&t.stop(),e(n)}};const Gee=(e,t)=>{t()},Hee=(e,t)=>({draggableId:e.draggable.id,type:e.droppable.type,source:{droppableId:e.droppable.id,index:e.draggable.index},mode:t});function Uee(e,t,n,r){if(!e)return void n(r(t));const i=(e=>{let t=!1,n=!1;const r=setTimeout((()=>{n=!0})),i=i=>{t||n||(t=!0,e(i),clearTimeout(r))};return i.wasCalled=()=>t,i})(n);e(t,{announce:i}),i.wasCalled()||n(r(t))}var Wee=(e,t)=>{const n=((e,t)=>{const n=(()=>{const e=[];return{add:t=>{const n=setTimeout((()=>(t=>{const n=e.findIndex((e=>e.timerId===t));-1===n&&B8(!1);const[r]=e.splice(n,1);r.callback()})(n))),r={timerId:n,callback:t};e.push(r)},flush:()=>{if(!e.length)return;const t=[...e];e.length=0,t.forEach((e=>{clearTimeout(e.timerId),e.callback()}))}}})();let r=null;const i=n=>{r||B8(!1),r=null,Gee(0,(()=>Uee(e().onDragEnd,n,t,W8.onDragEnd)))};return{beforeCapture:(t,n)=>{r&&B8(!1),Gee(0,(()=>{const r=e().onBeforeCapture;r&&r({draggableId:t,mode:n})}))},beforeStart:(t,n)=>{r&&B8(!1),Gee(0,(()=>{const r=e().onBeforeDragStart;r&&r(Hee(t,n))}))},start:(i,o)=>{r&&B8(!1);const a=Hee(i,o);r={mode:o,lastCritical:i,lastLocation:a.source,lastCombine:null},n.add((()=>{Gee(0,(()=>Uee(e().onDragStart,a,t,W8.onDragStart)))}))},update:(i,o)=>{const a=c9(o),s=h9(o);r||B8(!1);const l=!((e,t)=>{if(e===t)return!0;const n=e.draggable.id===t.draggable.id&&e.draggable.droppableId===t.draggable.droppableId&&e.draggable.type===t.draggable.type&&e.draggable.index===t.draggable.index,r=e.droppable.id===t.droppable.id&&e.droppable.type===t.droppable.type;return n&&r})(i,r.lastCritical);l&&(r.lastCritical=i);const u=(h=a,!(null==(c=r.lastLocation)&&null==h||null!=c&&null!=h&&c.droppableId===h.droppableId&&c.index===h.index));var c,h;u&&(r.lastLocation=a);const d=!((e,t)=>null==e&&null==t||null!=e&&null!=t&&e.draggableId===t.draggableId&&e.droppableId===t.droppableId)(r.lastCombine,s);if(d&&(r.lastCombine=s),!l&&!u&&!d)return;const p={...Hee(i,r.mode),combine:s,destination:a};n.add((()=>{Gee(0,(()=>Uee(e().onDragUpdate,p,t,W8.onDragUpdate)))}))},flush:()=>{r||B8(!1),n.flush()},drop:i,abort:()=>{if(!r)return;const e={...Hee(r.lastCritical,r.mode),combine:null,destination:null,reason:"CANCEL"};i(e)}}})(e,t);return e=>t=>r=>{if("BEFORE_INITIAL_CAPTURE"===r.type)return void n.beforeCapture(r.payload.draggableId,r.payload.movementMode);if("INITIAL_PUBLISH"===r.type){const e=r.payload.critical;return n.beforeStart(e,r.payload.movementMode),t(r),void n.start(e,r.payload.movementMode)}if("DROP_COMPLETE"===r.type){const e=r.payload.completed.result;return n.flush(),t(r),void n.drop(e)}if(t(r),"FLUSH"===r.type)return void n.abort();const i=e.getState();"DRAGGING"===i.phase&&n.update(i.critical,i.impact)}},jee=e=>t=>n=>{if("DROP_ANIMATION_FINISHED"!==n.type)return void t(n);const r=e.getState();"DROP_ANIMATING"!==r.phase&&B8(!1),e.dispatch(See({completed:r.completed}))},Xee=e=>{let t=null,n=null;return r=>i=>{if("FLUSH"!==i.type&&"DROP_COMPLETE"!==i.type&&"DROP_ANIMATION_FINISHED"!==i.type||(n&&(cancelAnimationFrame(n),n=null),t&&(t(),t=null)),r(i),"DROP_ANIMATE"!==i.type)return;const o={eventName:"scroll",options:{capture:!0,passive:!1,once:!0},fn:function(){"DROP_ANIMATING"===e.getState().phase&&e.dispatch({type:"DROP_ANIMATION_FINISHED",payload:null})}};n=requestAnimationFrame((()=>{n=null,t=O8(window,[o])}))}},Yee=e=>t=>n=>{if(t(n),"PUBLISH_WHILE_DRAGGING"!==n.type)return;const r=e.getState();"DROP_PENDING"===r.phase&&(r.isWaiting||e.dispatch(Mee({reason:r.reason})))};const Zee=h8.compose;var qee=({dimensionMarshal:e,focusMarshal:t,styleMarshal:n,getResponders:r,announce:i,autoScroller:o})=>{return(0,h8.createStore)(cee,Zee((0,h8.applyMiddleware)((a=n,()=>e=>t=>{"INITIAL_PUBLISH"===t.type&&a.dragging(),"DROP_ANIMATE"===t.type&&a.dropping(t.payload.completed.result.reason),"FLUSH"!==t.type&&"DROP_COMPLETE"!==t.type||a.resting(),e(t)}),(e=>()=>t=>n=>{"DROP_COMPLETE"!==n.type&&"FLUSH"!==n.type&&"DROP_ANIMATE"!==n.type||e.stopPublishing(),t(n)})(e),(e=>({getState:t,dispatch:n})=>r=>i=>{if("LIFT"!==i.type)return void r(i);const{id:o,clientSelection:a,movementMode:s}=i.payload,l=t();"DROP_ANIMATING"===l.phase&&n(See({completed:l.completed})),"IDLE"!==t().phase&&B8(!1),n(wee()),n({type:"BEFORE_INITIAL_CAPTURE",payload:{draggableId:o,movementMode:s}});const u={draggableId:o,scrollOptions:{shouldPublishImmediately:"SNAP"===s}},{critical:c,dimensions:h,viewport:d}=e.startPublishing(u);n({type:"INITIAL_PUBLISH",payload:{critical:c,dimensions:h,clientSelection:a,movementMode:s,viewport:d}})})(e),Fee,jee,Xee,Yee,(e=>t=>n=>r=>{if((e=>"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type)(r))return e.stop(),void n(r);if("INITIAL_PUBLISH"===r.type){n(r);const i=t.getState();return"DRAGGING"!==i.phase&&B8(!1),void e.start(i)}n(r),e.scroll(t.getState())})(o),Vee,(e=>{let t=!1;return()=>n=>r=>{if("INITIAL_PUBLISH"===r.type)return t=!0,e.tryRecordFocus(r.payload.critical.draggable.id),n(r),void e.tryRestoreFocusRecorded();if(n(r),t){if("FLUSH"===r.type)return t=!1,void e.tryRestoreFocusRecorded();if("DROP_COMPLETE"===r.type){t=!1;const n=r.payload.completed.result;n.combine&&e.tryShiftRecord(n.draggableId,n.combine.draggableId),e.tryRestoreFocusRecorded()}}}})(t),Wee(r,i))));var a},$ee=({scrollHeight:e,scrollWidth:t,height:n,width:r})=>{const i=Y8({x:t,y:e},{x:r,y:n});return{x:Math.max(0,i.x),y:Math.max(0,i.y)}},Kee=()=>{const e=document.documentElement;return e||B8(!1),e},Jee=()=>{const e=Kee();return $ee({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,width:e.clientWidth,height:e.clientHeight})};function Qee(e,t,n){return n.descriptor.id!==t.id&&(n.descriptor.type===t.type&&"virtual"===e.droppable.getById(n.descriptor.droppableId).descriptor.mode)}var ete=(e,t)=>{let n=null;const r=function({registry:e,callbacks:t}){let n={additions:{},removals:{},modified:{}},r=null;const i=()=>{r||(t.collectionStarting(),r=requestAnimationFrame((()=>{r=null;const{additions:i,removals:o,modified:a}=n,s=Object.keys(i).map((t=>e.draggable.getById(t).getDimension(j8))).sort(((e,t)=>e.descriptor.index-t.descriptor.index)),l=Object.keys(a).map((t=>({droppableId:t,scroll:e.droppable.getById(t).callbacks.getScrollWhileDragging()}))),u={additions:s,removals:Object.keys(o),modified:l};n={additions:{},removals:{},modified:{}},t.publish(u)})))};return{add:e=>{const t=e.descriptor.id;n.additions[t]=e,n.modified[e.descriptor.droppableId]=!0,n.removals[t]&&delete n.removals[t],i()},remove:e=>{const t=e.descriptor;n.removals[t.id]=!0,n.modified[t.droppableId]=!0,n.additions[t.id]&&delete n.additions[t.id],i()},stop:()=>{r&&(cancelAnimationFrame(r),r=null,n={additions:{},removals:{},modified:{}})}}}({callbacks:{publish:t.publishWhileDragging,collectionStarting:t.collectionStarting},registry:e}),i=t=>{n||B8(!1);const i=n.critical.draggable;"ADDITION"===t.type&&Qee(e,i,t.value)&&r.add(t.value),"REMOVAL"===t.type&&Qee(e,i,t.value)&&r.remove(t.value)},o={updateDroppableIsEnabled:(r,i)=>{e.droppable.exists(r)||B8(!1),n&&t.updateDroppableIsEnabled({id:r,isEnabled:i})},updateDroppableIsCombineEnabled:(r,i)=>{n&&(e.droppable.exists(r)||B8(!1),t.updateDroppableIsCombineEnabled({id:r,isCombineEnabled:i}))},scrollDroppable:(t,r)=>{n&&e.droppable.getById(t).callbacks.scroll(r)},updateDroppableScroll:(r,i)=>{n&&(e.droppable.exists(r)||B8(!1),t.updateDroppableScroll({id:r,newScroll:i}))},startPublishing:t=>{n&&B8(!1);const r=e.draggable.getById(t.draggableId),o=e.droppable.getById(r.descriptor.droppableId),a={draggable:r.descriptor,droppable:o.descriptor},s=e.subscribe(i);return n={critical:a,unsubscribe:s},(({critical:e,scrollOptions:t,registry:n})=>{const r=(()=>{const e=zee(),t=Jee(),n=e.y,r=e.x,i=Kee(),o=i.clientWidth,a=i.clientHeight;return{frame:m8({top:n,left:r,right:r+o,bottom:n+a}),scroll:{initial:e,current:e,max:t,diff:{value:j8,displacement:j8}}}})(),i=r.scroll.current,o=e.droppable,a=n.droppable.getAllByType(o.type).map((e=>e.callbacks.getDimensionAndWatchScroll(i,t))),s=n.draggable.getAllByType(e.draggable.type).map((e=>e.getDimension(i)));return{dimensions:{draggables:a9(s),droppables:o9(a)},critical:e,viewport:r}})({critical:a,registry:e,scrollOptions:t.scrollOptions})},stopPublishing:()=>{if(!n)return;r.stop();const t=n.critical.droppable;e.droppable.getAllByType(t.type).forEach((e=>e.callbacks.dragStopped())),n.unsubscribe(),n=null}};return o},tte=(e,t)=>"IDLE"===e.phase||"DROP_ANIMATING"===e.phase&&e.completed.result.draggableId!==t&&"DROP"===e.completed.result.reason,nte=e=>{window.scrollBy(e.x,e.y)};const rte=C8((e=>s9(e).filter((e=>!!e.isEnabled&&!!e.frame))));const ite={startFromPercentage:.25,maxScrollAtPercentage:.05,maxPixelScroll:28,ease:e=>e**2,durationDampening:{stopDampeningAt:1200,accelerateAt:360},disabled:!1};var ote=({startOfRange:e,endOfRange:t,current:n})=>{const r=t-e;return 0===r?0:(n-e)/r},ate=({distanceToEdge:e,thresholds:t,dragStartTime:n,shouldUseTimeDampening:r,getAutoScrollerOptions:i})=>{const o=((e,t,n=(()=>ite))=>{const r=n();if(e>t.startScrollingFrom)return 0;if(e<=t.maxScrollValueAt)return r.maxPixelScroll;if(e===t.startScrollingFrom)return 1;const i=1-ote({startOfRange:t.maxScrollValueAt,endOfRange:t.startScrollingFrom,current:e}),o=r.maxPixelScroll*r.ease(i);return Math.ceil(o)})(e,t,i);return 0===o?0:r?Math.max(((e,t,n)=>{const r=n(),i=r.durationDampening.accelerateAt,o=r.durationDampening.stopDampeningAt,a=t,s=o,l=Date.now()-a;if(l>=o)return e;if(l<i)return 1;const u=ote({startOfRange:i,endOfRange:s,current:l}),c=e*r.ease(u);return Math.ceil(c)})(o,n,i),1):o},ste=({container:e,distanceToEdges:t,dragStartTime:n,axis:r,shouldUseTimeDampening:i,getAutoScrollerOptions:o})=>{const a=((e,t,n=(()=>ite))=>{const r=n();return{startScrollingFrom:e[t.size]*r.startFromPercentage,maxScrollValueAt:e[t.size]*r.maxScrollAtPercentage}})(e,r,o);return t[r.end]<t[r.start]?ate({distanceToEdge:t[r.end],thresholds:a,dragStartTime:n,shouldUseTimeDampening:i,getAutoScrollerOptions:o}):-1*ate({distanceToEdge:t[r.start],thresholds:a,dragStartTime:n,shouldUseTimeDampening:i,getAutoScrollerOptions:o})};const lte=Q8((e=>0===e?0:e));var ute=({dragStartTime:e,container:t,subject:n,center:r,shouldUseTimeDampening:i,getAutoScrollerOptions:o})=>{const a={top:r.y-t.top,right:t.right-r.x,bottom:t.bottom-r.y,left:r.x-t.left},s=ste({container:t,distanceToEdges:a,dragStartTime:e,axis:x9,shouldUseTimeDampening:i,getAutoScrollerOptions:o}),l=ste({container:t,distanceToEdges:a,dragStartTime:e,axis:b9,shouldUseTimeDampening:i,getAutoScrollerOptions:o}),u=lte({x:l,y:s});if(Z8(u,j8))return null;const c=(({container:e,subject:t,proposedScroll:n})=>{const r=t.height>e.height,i=t.width>e.width;return i||r?i&&r?null:{x:i?0:n.x,y:r?0:n.y}:n})({container:t,subject:n,proposedScroll:u});return c?Z8(c,j8)?null:c:null};const cte=Q8((e=>0===e?0:e>0?1:-1)),hte=(()=>{const e=(e,t)=>e<0?e:e>t?e-t:0;return({current:t,max:n,change:r})=>{const i=X8(t,r),o={x:e(i.x,n.x),y:e(i.y,n.y)};return Z8(o,j8)?null:o}})(),dte=({max:e,current:t,change:n})=>{const r={x:Math.max(t.x,e.x),y:Math.max(t.y,e.y)},i=cte(n),o=hte({max:r,current:t,change:i});return!o||0!==i.x&&0===o.x||0!==i.y&&0===o.y},pte=(e,t)=>dte({current:e.scroll.current,max:e.scroll.max,change:t}),fte=(e,t)=>{const n=e.frame;return!!n&&dte({current:n.scroll.current,max:n.scroll.max,change:t})};var gte=({state:e,dragStartTime:t,shouldUseTimeDampening:n,scrollWindow:r,scrollDroppable:i,getAutoScrollerOptions:o})=>{const a=e.current.page.borderBoxCenter,s=e.dimensions.draggables[e.critical.draggable.id].page.marginBox;if(e.isWindowScrollAllowed){const i=(({viewport:e,subject:t,center:n,dragStartTime:r,shouldUseTimeDampening:i,getAutoScrollerOptions:o})=>{const a=ute({dragStartTime:r,container:e.frame,subject:t,center:n,shouldUseTimeDampening:i,getAutoScrollerOptions:o});return a&&pte(e,a)?a:null})({dragStartTime:t,viewport:e.viewport,subject:s,center:a,shouldUseTimeDampening:n,getAutoScrollerOptions:o});if(i)return void r(i)}const l=(({center:e,destination:t,droppables:n})=>{if(t){const e=n[t];return e.frame?e:null}const r=((e,t)=>{const n=rte(t).find((t=>(t.frame||B8(!1),$9(t.frame.pageMarginBox)(e))))||null;return n})(e,n);return r})({center:a,destination:Y9(e.impact),droppables:e.dimensions.droppables});if(!l)return;const u=(({droppable:e,subject:t,center:n,dragStartTime:r,shouldUseTimeDampening:i,getAutoScrollerOptions:o})=>{const a=e.frame;if(!a)return null;const s=ute({dragStartTime:r,container:a.pageMarginBox,subject:t,center:n,shouldUseTimeDampening:i,getAutoScrollerOptions:o});return s&&fte(e,s)?s:null})({dragStartTime:t,droppable:l,subject:s,center:a,shouldUseTimeDampening:n,getAutoScrollerOptions:o});u&&i(l.descriptor.id,u)},mte=({move:e,scrollDroppable:t,scrollWindow:n})=>r=>{const i=r.scrollJumpRequest;if(!i)return;const o=Y9(r.impact);o||B8(!1);const a=((e,n)=>{if(!fte(e,n))return n;const r=((e,t)=>{const n=e.frame;return n&&fte(e,t)?hte({current:n.scroll.current,max:n.scroll.max,change:t}):null})(e,n);if(!r)return t(e.descriptor.id,n),null;const i=Y8(n,r);return t(e.descriptor.id,i),Y8(n,i)})(r.dimensions.droppables[o],i);if(!a)return;const s=r.viewport,l=((e,t,r)=>{if(!e)return r;if(!pte(t,r))return r;const i=((e,t)=>{if(!pte(e,t))return null;const n=e.scroll.max,r=e.scroll.current;return hte({current:r,max:n,change:t})})(t,r);if(!i)return n(r),null;const o=Y8(r,i);return n(o),Y8(r,o)})(r.isWindowScrollAllowed,s,a);l&&((t,n)=>{const r=X8(t.current.client.selection,n);e({client:r})})(r,l)},vte=({scrollDroppable:e,scrollWindow:t,move:n,getAutoScrollerOptions:r})=>{const i=(({scrollWindow:e,scrollDroppable:t,getAutoScrollerOptions:n=(()=>ite)})=>{const r=D8(e),i=D8(t);let o=null;const a=e=>{o||B8(!1);const{shouldUseTimeDampening:t,dragStartTime:a}=o;gte({state:e,scrollWindow:r,scrollDroppable:i,dragStartTime:a,shouldUseTimeDampening:t,getAutoScrollerOptions:n})};return{start:e=>{o&&B8(!1);const t=Date.now();let r=!1;const i=()=>{r=!0};gte({state:e,dragStartTime:0,shouldUseTimeDampening:!1,scrollWindow:i,scrollDroppable:i,getAutoScrollerOptions:n}),o={dragStartTime:t,shouldUseTimeDampening:r},r&&a(e)},stop:()=>{o&&(r.cancel(),i.cancel(),o=null)},scroll:a}})({scrollWindow:t,scrollDroppable:e,getAutoScrollerOptions:r}),o=mte({move:n,scrollWindow:t,scrollDroppable:e});return{scroll:e=>{r().disabled||"DRAGGING"!==e.phase||("FLUID"!==e.movementMode?e.scrollJumpRequest&&o(e):i.scroll(e))},start:i.start,stop:i.stop}};const yte="data-rfd",_te=(()=>{const e=`${yte}-drag-handle`;return{base:e,draggableId:`${e}-draggable-id`,contextId:`${e}-context-id`}})(),xte=(()=>{const e=`${yte}-draggable`;return{base:e,contextId:`${e}-context-id`,id:`${e}-id`}})(),bte=(()=>{const e=`${yte}-droppable`;return{base:e,contextId:`${e}-context-id`,id:`${e}-id`}})(),wte={contextId:`${yte}-scroll-container-context-id`},Ste=(e,t)=>e.map((e=>{const n=e.styles[t];return n?`${e.selector} { ${n} }`:""})).join(" ");var Mte=e=>{const t=(n=e,e=>`[${e}="${n}"]`);var n;const r=(()=>{const e="\n      cursor: -webkit-grab;\n      cursor: grab;\n    ";return{selector:t(_te.contextId),styles:{always:"\n          -webkit-touch-callout: none;\n          -webkit-tap-highlight-color: rgba(0,0,0,0);\n          touch-action: manipulation;\n        ",resting:e,dragging:"pointer-events: none;",dropAnimating:e}}})(),i=[(()=>{const e=`\n      transition: ${Lee.outOfTheWay};\n    `;return{selector:t(xte.contextId),styles:{dragging:e,dropAnimating:e,userCancel:e}}})(),r,{selector:t(bte.contextId),styles:{always:"overflow-anchor: none;"}},{selector:"body",styles:{dragging:"\n        cursor: grabbing;\n        cursor: -webkit-grabbing;\n        user-select: none;\n        -webkit-user-select: none;\n        -moz-user-select: none;\n        -ms-user-select: none;\n        overflow-anchor: none;\n      "}}];return{always:Ste(i,"always"),resting:Ste(i,"resting"),dragging:Ste(i,"dragging"),dropAnimating:Ste(i,"dropAnimating"),userCancel:Ste(i,"userCancel")}},Tte="undefined"!=typeof window&&void 0!==window.document&&void 0!==window.document.createElement?w.useLayoutEffect:w.useEffect;const Ate=()=>{const e=document.querySelector("head");return e||B8(!1),e},Ite=e=>{const t=document.createElement("style");return e&&t.setAttribute("nonce",e),t.type="text/css",t};function Cte(e,t){return Array.from(e.querySelectorAll(t))}var Dte=e=>e&&e.ownerDocument&&e.ownerDocument.defaultView?e.ownerDocument.defaultView:window;function Ete(e){return e instanceof Dte(e).HTMLElement}function Lte(){const e={draggables:{},droppables:{}},t=[];function n(e){t.length&&t.forEach((t=>t(e)))}function r(t){return e.draggables[t]||null}function i(t){return e.droppables[t]||null}return{draggable:{register:t=>{e.draggables[t.descriptor.id]=t,n({type:"ADDITION",value:t})},update:(t,n)=>{const r=e.draggables[n.descriptor.id];r&&r.uniqueId===t.uniqueId&&(delete e.draggables[n.descriptor.id],e.draggables[t.descriptor.id]=t)},unregister:t=>{const i=t.descriptor.id,o=r(i);o&&t.uniqueId===o.uniqueId&&(delete e.draggables[i],e.droppables[t.descriptor.droppableId]&&n({type:"REMOVAL",value:t}))},getById:function(e){const t=r(e);return t||B8(!1),t},findById:r,exists:e=>Boolean(r(e)),getAllByType:t=>Object.values(e.draggables).filter((e=>e.descriptor.type===t))},droppable:{register:t=>{e.droppables[t.descriptor.id]=t},unregister:t=>{const n=i(t.descriptor.id);n&&t.uniqueId===n.uniqueId&&delete e.droppables[t.descriptor.id]},getById:function(e){const t=i(e);return t||B8(!1),t},findById:i,exists:e=>Boolean(i(e)),getAllByType:t=>Object.values(e.droppables).filter((e=>e.descriptor.type===t))},subscribe:function(e){return t.push(e),function(){const n=t.indexOf(e);-1!==n&&t.splice(n,1)}},clean:function(){e.draggables={},e.droppables={},t.length=0}}}var Pte=S().createContext(null),Ote=()=>{const e=document.body;return e||B8(!1),e},Nte={position:"absolute",width:"1px",height:"1px",margin:"-1px",border:"0",padding:"0",overflow:"hidden",clip:"rect(0 0 0 0)","clip-path":"inset(100%)"};const Rte=e=>`rfd-announcement-${e}`;let kte=0;const Bte={separator:"::"};var Fte="useId"in S()?function(e,t=Bte){const n=S().useId();return f8((()=>`${e}${t.separator}${n}`),[t.separator,e,n])}:function(e,t=Bte){return f8((()=>`${e}${t.separator}${kte++}`),[t.separator,e])},zte=S().createContext(null);function Vte(e){const t=(0,w.useRef)(e);return(0,w.useEffect)((()=>{t.current=e})),t}function Gte(e){return"IDLE"!==e.phase&&"DROP_ANIMATING"!==e.phase&&e.isDragging}const Hte=9,Ute=13,Wte=33,jte=34,Xte=35,Yte=36,Zte={[Ute]:!0,[Hte]:!0};var qte=e=>{Zte[e.keyCode]&&e.preventDefault()};const $te=(()=>{const e="visibilitychange";return"undefined"==typeof document?e:[e,`ms${e}`,`webkit${e}`,`moz${e}`,`o${e}`].find((e=>`on${e}`in document))||e})();var Kte=$te;const Jte={type:"IDLE"};function Qte(){}const ene={[jte]:!0,[Wte]:!0,[Yte]:!0,[Xte]:!0};const tne={type:"IDLE"},nne=["input","button","textarea","select","option","optgroup","video","audio"];function rne(e,t){if(null==t)return!1;if(nne.includes(t.tagName.toLowerCase()))return!0;const n=t.getAttribute("contenteditable");return"true"===n||""===n||t!==e&&rne(e,t.parentElement)}function ine(e,t){const n=t.target;return!!Ete(n)&&rne(e,n)}var one=e=>m8(e.getBoundingClientRect()).center;const ane=(()=>{const e="matches";return"undefined"==typeof document?e:[e,"msMatchesSelector","webkitMatchesSelector"].find((e=>e in Element.prototype))||e})();function sne(e,t){return null==e?null:e[ane](t)?e:sne(e.parentElement,t)}function lne(e,t){return e.closest?e.closest(t):sne(e,t)}function une(e){e.preventDefault()}function cne({expected:e,phase:t,isLockActive:n,shouldWarn:r}){return!!n()&&e===t}function hne({lockAPI:e,store:t,registry:n,draggableId:r}){if(e.isClaimed())return!1;const i=n.draggable.findById(r);return!!i&&!!i.options.isEnabled&&!!tte(t.getState(),r)}const dne=[function(e){const t=(0,w.useRef)(Jte),n=(0,w.useRef)(P8),r=f8((()=>({eventName:"mousedown",fn:function(t){if(t.defaultPrevented)return;if(0!==t.button)return;if(t.ctrlKey||t.metaKey||t.shiftKey||t.altKey)return;const r=e.findClosestDraggableId(t);if(!r)return;const i=e.tryGetLock(r,a,{sourceEvent:t});if(!i)return;t.preventDefault();const o={x:t.clientX,y:t.clientY};n.current(),u(i,o)}})),[e]),i=f8((()=>({eventName:"webkitmouseforcewillbegin",fn:t=>{if(t.defaultPrevented)return;const n=e.findClosestDraggableId(t);if(!n)return;const r=e.findOptionsForDraggable(n);r&&(r.shouldRespectForcePress||e.canGetLock(n)&&t.preventDefault())}})),[e]),o=g8((function(){n.current=O8(window,[i,r],{passive:!1,capture:!0})}),[i,r]),a=g8((()=>{"IDLE"!==t.current.type&&(t.current=Jte,n.current(),o())}),[o]),s=g8((()=>{const e=t.current;a(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[a]),l=g8((function(){const e=function({cancel:e,completed:t,getPhase:n,setPhase:r}){return[{eventName:"mousemove",fn:e=>{const{button:t,clientX:i,clientY:o}=e;if(0!==t)return;const a={x:i,y:o},s=n();if("DRAGGING"===s.type)return e.preventDefault(),void s.actions.move(a);if("PENDING"!==s.type&&B8(!1),l=s.point,u=a,!(Math.abs(u.x-l.x)>=5||Math.abs(u.y-l.y)>=5))return;var l,u;e.preventDefault();const c=s.actions.fluidLift(a);r({type:"DRAGGING",actions:c})}},{eventName:"mouseup",fn:r=>{const i=n();"DRAGGING"===i.type?(r.preventDefault(),i.actions.drop({shouldBlockNextClick:!0}),t()):e()}},{eventName:"mousedown",fn:t=>{"DRAGGING"===n().type&&t.preventDefault(),e()}},{eventName:"keydown",fn:t=>{if("PENDING"!==n().type)return 27===t.keyCode?(t.preventDefault(),void e()):void qte(t);e()}},{eventName:"resize",fn:e},{eventName:"scroll",options:{passive:!0,capture:!1},fn:()=>{"PENDING"===n().type&&e()}},{eventName:"webkitmouseforcedown",fn:t=>{const r=n();"IDLE"===r.type&&B8(!1),r.actions.shouldRespectForcePress()?e():t.preventDefault()}},{eventName:Kte,fn:e}]}({cancel:s,completed:a,getPhase:()=>t.current,setPhase:e=>{t.current=e}});n.current=O8(window,e,{capture:!0,passive:!1})}),[s,a]),u=g8((function(e,n){"IDLE"!==t.current.type&&B8(!1),t.current={type:"PENDING",point:n,actions:e},l()}),[l]);Tte((function(){return o(),function(){n.current()}}),[o])},function(e){const t=(0,w.useRef)(Qte),n=f8((()=>({eventName:"keydown",fn:function(n){if(n.defaultPrevented)return;if(32!==n.keyCode)return;const i=e.findClosestDraggableId(n);if(!i)return;const o=e.tryGetLock(i,l,{sourceEvent:n});if(!o)return;n.preventDefault();let a=!0;const s=o.snapLift();function l(){a||B8(!1),a=!1,t.current(),r()}t.current(),t.current=O8(window,function(e,t){function n(){t(),e.cancel()}return[{eventName:"keydown",fn:r=>27===r.keyCode?(r.preventDefault(),void n()):32===r.keyCode?(r.preventDefault(),t(),void e.drop()):40===r.keyCode?(r.preventDefault(),void e.moveDown()):38===r.keyCode?(r.preventDefault(),void e.moveUp()):39===r.keyCode?(r.preventDefault(),void e.moveRight()):37===r.keyCode?(r.preventDefault(),void e.moveLeft()):void(ene[r.keyCode]?r.preventDefault():qte(r))},{eventName:"mousedown",fn:n},{eventName:"mouseup",fn:n},{eventName:"click",fn:n},{eventName:"touchstart",fn:n},{eventName:"resize",fn:n},{eventName:"wheel",fn:n,options:{passive:!0}},{eventName:Kte,fn:n}]}(s,l),{capture:!0,passive:!1})}})),[e]),r=g8((function(){t.current=O8(window,[n],{passive:!1,capture:!0})}),[n]);Tte((function(){return r(),function(){t.current()}}),[r])},function(e){const t=(0,w.useRef)(tne),n=(0,w.useRef)(P8),r=g8((function(){return t.current}),[]),i=g8((function(e){t.current=e}),[]),o=f8((()=>({eventName:"touchstart",fn:function(t){if(t.defaultPrevented)return;const r=e.findClosestDraggableId(t);if(!r)return;const i=e.tryGetLock(r,s,{sourceEvent:t});if(!i)return;const o=t.touches[0],{clientX:a,clientY:l}=o,u={x:a,y:l};n.current(),h(i,u)}})),[e]),a=g8((function(){n.current=O8(window,[o],{capture:!0,passive:!1})}),[o]),s=g8((()=>{const e=t.current;"IDLE"!==e.type&&("PENDING"===e.type&&clearTimeout(e.longPressTimerId),i(tne),n.current(),a())}),[a,i]),l=g8((()=>{const e=t.current;s(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[s]),u=g8((function(){const e={capture:!0,passive:!1},t={cancel:l,completed:s,getPhase:r},i=O8(window,function({cancel:e,completed:t,getPhase:n}){return[{eventName:"touchmove",options:{capture:!1},fn:t=>{const r=n();if("DRAGGING"!==r.type)return void e();r.hasMoved=!0;const{clientX:i,clientY:o}=t.touches[0],a={x:i,y:o};t.preventDefault(),r.actions.move(a)}},{eventName:"touchend",fn:r=>{const i=n();"DRAGGING"===i.type?(r.preventDefault(),i.actions.drop({shouldBlockNextClick:!0}),t()):e()}},{eventName:"touchcancel",fn:t=>{"DRAGGING"===n().type?(t.preventDefault(),e()):e()}},{eventName:"touchforcechange",fn:t=>{const r=n();"IDLE"===r.type&&B8(!1);const i=t.touches[0];if(!i)return;if(!(i.force>=.15))return;const o=r.actions.shouldRespectForcePress();if("PENDING"!==r.type)return o?r.hasMoved?void t.preventDefault():void e():void t.preventDefault();o&&e()}},{eventName:Kte,fn:e}]}(t),e),o=O8(window,function({cancel:e,getPhase:t}){return[{eventName:"orientationchange",fn:e},{eventName:"resize",fn:e},{eventName:"contextmenu",fn:e=>{e.preventDefault()}},{eventName:"keydown",fn:n=>{"DRAGGING"===t().type?(27===n.keyCode&&n.preventDefault(),e()):e()}},{eventName:Kte,fn:e}]}(t),e);n.current=function(){i(),o()}}),[l,r,s]),c=g8((function(){const e=r();"PENDING"!==e.type&&B8(!1);const t=e.actions.fluidLift(e.point);i({type:"DRAGGING",actions:t,hasMoved:!1})}),[r,i]),h=g8((function(e,t){"IDLE"!==r().type&&B8(!1);const n=setTimeout(c,120);i({type:"PENDING",point:t,actions:e,longPressTimerId:n}),u()}),[u,r,i,c]);Tte((function(){return a(),function(){n.current();const e=r();"PENDING"===e.type&&(clearTimeout(e.longPressTimerId),i(tne))}}),[r,a,i]),Tte((function(){return O8(window,[{eventName:"touchmove",fn:()=>{},options:{capture:!1,passive:!1}}])}),[])}];function pne({contextId:e,store:t,registry:n,customSensors:r,enableDefaultSensors:i}){const o=[...i?dne:[],...r||[]],a=(0,w.useState)((()=>function(){let e=null;function t(){e||B8(!1),e=null}return{isClaimed:function(){return Boolean(e)},isActive:function(t){return t===e},claim:function(t){e&&B8(!1);const n={abandon:t};return e=n,n},release:t,tryAbandon:function(){e&&(e.abandon(),t())}}}()))[0],s=g8((function(e,t){Gte(e)&&!Gte(t)&&a.tryAbandon()}),[a]);Tte((function(){let e=t.getState();return t.subscribe((()=>{const n=t.getState();s(e,n),e=n}))}),[a,t,s]),Tte((()=>a.tryAbandon),[a.tryAbandon]);const l=g8((e=>hne({lockAPI:a,registry:n,store:t,draggableId:e})),[a,n,t]),u=g8(((r,i,o)=>function({lockAPI:e,contextId:t,store:n,registry:r,draggableId:i,forceSensorStop:o,sourceEvent:a}){if(!hne({lockAPI:e,store:n,registry:r,draggableId:i}))return null;const s=r.draggable.getById(i),l=function(e,t){const n=`[${xte.contextId}="${e}"]`,r=Cte(document,n).find((e=>e.getAttribute(xte.id)===t));return r&&Ete(r)?r:null}(t,s.descriptor.id);if(!l)return null;if(a&&!s.options.canDragInteractiveElements&&ine(l,a))return null;const u=e.claim(o||P8);let c="PRE_DRAG";function h(){return s.options.shouldRespectForcePress}function d(){return e.isActive(u)}const p=function(e,t){cne({expected:e,phase:c,isLockActive:d,shouldWarn:!0})&&n.dispatch(t())}.bind(null,"DRAGGING");function f(t){function r(){e.release(),c="COMPLETED"}function i(e,i={shouldBlockNextClick:!1}){if(t.cleanup(),i.shouldBlockNextClick){const e=O8(window,[{eventName:"click",fn:une,options:{once:!0,passive:!1,capture:!0}}]);setTimeout(e)}r(),n.dispatch(Mee({reason:e}))}return"PRE_DRAG"!==c&&(r(),B8(!1)),n.dispatch(hee(t.liftActionArgs)),c="DRAGGING",{isActive:()=>cne({expected:"DRAGGING",phase:c,isLockActive:d,shouldWarn:!1}),shouldRespectForcePress:h,drop:e=>i("DROP",e),cancel:e=>i("CANCEL",e),...t.actions}}const g={isActive:()=>cne({expected:"PRE_DRAG",phase:c,isLockActive:d,shouldWarn:!1}),shouldRespectForcePress:h,fluidLift:function(e){const t=D8((e=>{p((()=>vee({client:e})))}));return{...f({liftActionArgs:{id:i,clientSelection:e,movementMode:"FLUID"},cleanup:()=>t.cancel(),actions:{move:t}}),move:t}},snapLift:function(){const e={moveUp:()=>p(yee),moveRight:()=>p(xee),moveDown:()=>p(_ee),moveLeft:()=>p(bee)};return f({liftActionArgs:{id:i,clientSelection:one(l),movementMode:"SNAP"},cleanup:P8,actions:e})},abort:function(){cne({expected:"PRE_DRAG",phase:c,isLockActive:d,shouldWarn:!0})&&e.release()}};return g}({lockAPI:a,registry:n,contextId:e,store:t,draggableId:r,forceSensorStop:i||null,sourceEvent:o&&o.sourceEvent?o.sourceEvent:null})),[e,a,n,t]),c=g8((t=>function(e,t){const n=function(e,t){const n=t.target;if(!((r=n)instanceof Dte(r).Element))return null;var r;const i=function(e){return`[${_te.contextId}="${e}"]`}(e),o=lne(n,i);return o&&Ete(o)?o:null}(e,t);return n?n.getAttribute(_te.draggableId):null}(e,t)),[e]),h=g8((e=>{const t=n.draggable.findById(e);return t?t.options:null}),[n.draggable]),d=g8((function(){a.isClaimed()&&(a.tryAbandon(),"IDLE"!==t.getState().phase&&t.dispatch(wee()))}),[a,t]),p=g8((()=>a.isClaimed()),[a]),f=f8((()=>({canGetLock:l,tryGetLock:u,findClosestDraggableId:c,findOptionsForDraggable:h,tryReleaseLock:d,isLockClaimed:p})),[l,u,c,h,d,p]);for(let e=0;e<o.length;e++)o[e](f)}const fne=e=>({onBeforeCapture:t=>{const n=()=>{e.onBeforeCapture&&e.onBeforeCapture(t)};S().version.startsWith("16")||S().version.startsWith("17")?n():(0,u8.flushSync)(n)},onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragEnd:e.onDragEnd,onDragUpdate:e.onDragUpdate}),gne=e=>({...ite,...e.autoScrollerOptions,durationDampening:{...ite.durationDampening,...e.autoScrollerOptions}});function mne(e){return e.current||B8(!1),e.current}function vne(e){const{contextId:t,setCallbacks:n,sensors:r,nonce:i,dragHandleUsageInstructions:o}=e,a=(0,w.useRef)(null),s=Vte(e),l=g8((()=>fne(s.current)),[s]),u=g8((()=>gne(s.current)),[s]),c=function(e){const t=f8((()=>Rte(e)),[e]),n=(0,w.useRef)(null);return(0,w.useEffect)((function(){const e=document.createElement("div");return n.current=e,e.id=t,e.setAttribute("aria-live","assertive"),e.setAttribute("aria-atomic","true"),(0,E8.A)(e.style,Nte),Ote().appendChild(e),function(){setTimeout((function(){const t=Ote();t.contains(e)&&t.removeChild(e),e===n.current&&(n.current=null)}))}}),[t]),g8((e=>{const t=n.current;t&&(t.textContent=e)}),[])}(t),h=function({contextId:e,text:t}){const n=Fte("hidden-text",{separator:"-"}),r=f8((()=>function({contextId:e,uniqueId:t}){return`rfd-hidden-text-${e}-${t}`}({contextId:e,uniqueId:n})),[n,e]);return(0,w.useEffect)((function(){const e=document.createElement("div");return e.id=r,e.textContent=t,e.style.display="none",Ote().appendChild(e),function(){const t=Ote();t.contains(e)&&t.removeChild(e)}}),[r,t]),r}({contextId:t,text:o}),d=function(e,t){const n=f8((()=>Mte(e)),[e]),r=(0,w.useRef)(null),i=(0,w.useRef)(null),o=g8(C8((e=>{const t=i.current;t||B8(!1),t.textContent=e})),[]),a=g8((e=>{const t=r.current;t||B8(!1),t.textContent=e}),[]);Tte((()=>{(r.current||i.current)&&B8(!1);const s=Ite(t),l=Ite(t);return r.current=s,i.current=l,s.setAttribute(`${yte}-always`,e),l.setAttribute(`${yte}-dynamic`,e),Ate().appendChild(s),Ate().appendChild(l),a(n.always),o(n.resting),()=>{const e=e=>{const t=e.current;t||B8(!1),Ate().removeChild(t),e.current=null};e(r),e(i)}}),[t,a,o,n.always,n.resting,e]);const s=g8((()=>o(n.dragging)),[o,n.dragging]),l=g8((e=>{o("DROP"!==e?n.userCancel:n.dropAnimating)}),[o,n.dropAnimating,n.userCancel]),u=g8((()=>{i.current&&o(n.resting)}),[o,n.resting]);return f8((()=>({dragging:s,dropping:l,resting:u})),[s,l,u])}(t,i),p=g8((e=>{mne(a).dispatch(e)}),[]),f=f8((()=>(0,h8.bindActionCreators)({publishWhileDragging:dee,updateDroppableScroll:fee,updateDroppableIsEnabled:gee,updateDroppableIsCombineEnabled:mee,collectionStarting:pee},p)),[p]),g=function(){const e=f8(Lte,[]);return(0,w.useEffect)((()=>function(){S().version.startsWith("16")||S().version.startsWith("17")?requestAnimationFrame(e.clean):e.clean()}),[e]),e}(),m=f8((()=>ete(g,f)),[g,f]),v=f8((()=>vte({scrollWindow:nte,scrollDroppable:m.scrollDroppable,getAutoScrollerOptions:u,...(0,h8.bindActionCreators)({move:vee},p)})),[m.scrollDroppable,p,u]),y=function(e){const t=(0,w.useRef)({}),n=(0,w.useRef)(null),r=(0,w.useRef)(null),i=(0,w.useRef)(!1),o=g8((function(e,n){const r={id:e,focus:n};return t.current[e]=r,function(){const n=t.current;n[e]!==r&&delete n[e]}}),[]),a=g8((function(t){const n=function(e,t){const n=`[${_te.contextId}="${e}"]`,r=Cte(document,n);if(!r.length)return null;const i=r.find((e=>e.getAttribute(_te.draggableId)===t));return i&&Ete(i)?i:null}(e,t);n&&n!==document.activeElement&&n.focus()}),[e]),s=g8((function(e,t){n.current===e&&(n.current=t)}),[]),l=g8((function(){r.current||i.current&&(r.current=requestAnimationFrame((()=>{r.current=null;const e=n.current;e&&a(e)})))}),[a]),u=g8((function(e){n.current=null;const t=document.activeElement;t&&t.getAttribute(_te.draggableId)===e&&(n.current=e)}),[]);return Tte((()=>(i.current=!0,function(){i.current=!1;const e=r.current;e&&cancelAnimationFrame(e)})),[]),f8((()=>({register:o,tryRecordFocus:u,tryRestoreFocusRecorded:l,tryShiftRecord:s})),[o,u,l,s])}(t),_=f8((()=>qee({announce:c,autoScroller:v,dimensionMarshal:m,focusMarshal:y,getResponders:l,styleMarshal:d})),[c,v,m,y,l,d]);a.current=_;const x=g8((()=>{const e=mne(a);"IDLE"!==e.getState().phase&&e.dispatch(wee())}),[]),b=g8((()=>{const e=mne(a).getState();return"DROP_ANIMATING"===e.phase||"IDLE"!==e.phase&&e.isDragging}),[]);n(f8((()=>({isDragging:b,tryAbort:x})),[b,x]));const M=g8((e=>tte(mne(a).getState(),e)),[]),T=g8((()=>q9(mne(a).getState())),[]),A=f8((()=>({marshal:m,focus:y,contextId:t,canLift:M,isMovementAllowed:T,dragHandleUsageInstructionsId:h,registry:g})),[t,m,h,y,M,T,g]);return pne({contextId:t,store:_,registry:g,customSensors:r||null,enableDefaultSensors:!1!==e.enableDefaultSensors}),(0,w.useEffect)((()=>x),[x]),S().createElement(zte.Provider,{value:A},S().createElement(d8.Provider,{context:Pte,store:_},e.children))}let yne=0;var _ne="useId"in S()?function(){return S().useId()}:function(){return f8((()=>""+yne++),[])};function xne(e){const t=_ne(),n=e.dragHandleUsageInstructions||W8.dragHandleUsageInstructions;return S().createElement(F8,null,(r=>S().createElement(vne,{nonce:e.nonce,contextId:t,setCallbacks:r,dragHandleUsageInstructions:n,enableDefaultSensors:e.enableDefaultSensors,sensors:e.sensors,onBeforeCapture:e.onBeforeCapture,onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragUpdate:e.onDragUpdate,onDragEnd:e.onDragEnd,autoScrollerOptions:e.autoScrollerOptions},e.children)))}const bne=5e3,wne=4500,Sne=(e,t)=>t?Lee.drop(t.duration):e?Lee.snap:Lee.fluid,Mne=(e,t)=>{if(e)return t?Aee:Iee};var Tne=S().createContext(null);function Ane(e){const t=(0,w.useContext)(e);return t||B8(!1),t}function Ine(e){e.preventDefault()}var Cne=(e,t)=>e===t,Dne=e=>{const{combine:t,destination:n}=e;return n?n.droppableId:t?t.droppableId:null};function Ene(e=null){return{isDragging:!1,isDropAnimating:!1,isClone:!1,dropAnimation:null,mode:null,draggingOver:null,combineTargetFor:e,combineWith:null}}const Lne={mapped:{type:"SECONDARY",offset:j8,combineTargetFor:null,shouldAnimateDisplacement:!0,snapshot:Ene(null)}},Pne={dropAnimationFinished:()=>({type:"DROP_ANIMATION_FINISHED",payload:null})},One=(0,d8.connect)((()=>{const e=function(){const e=C8(((e,t)=>({x:e,y:t}))),t=C8(((e,t,n=null,r=null,i=null)=>({isDragging:!0,isClone:t,isDropAnimating:Boolean(i),dropAnimation:i,mode:e,draggingOver:n,combineWith:r,combineTargetFor:null}))),n=C8(((e,n,r,i,o=null,a=null,s=null)=>({mapped:{type:"DRAGGING",dropping:null,draggingOver:o,combineWith:a,mode:n,offset:e,dimension:r,forceShouldAnimate:s,snapshot:t(n,i,o,a,null)}})));return(r,i)=>{if(Gte(r)){if(r.critical.draggable.id!==i.draggableId)return null;const t=r.current.client.offset,a=r.dimensions.draggables[i.draggableId],s=Y9(r.impact),l=(o=r.impact).at&&"COMBINE"===o.at.type?o.at.combine.draggableId:null,u=r.forceShouldAnimate;return n(e(t.x,t.y),r.movementMode,a,i.isClone,s,l,u)}var o;if("DROP_ANIMATING"===r.phase){const e=r.completed;if(e.result.draggableId!==i.draggableId)return null;const n=i.isClone,o=r.dimensions.draggables[i.draggableId],a=e.result,s=a.mode,l=Dne(a),u=(e=>e.combine?e.combine.draggableId:null)(a),c={duration:r.dropDuration,curve:Tee,moveTo:r.newHomeClientOffset,opacity:u?Aee:null,scale:u?Cee:null};return{mapped:{type:"DRAGGING",offset:r.newHomeClientOffset,dimension:o,dropping:c,draggingOver:l,combineWith:u,mode:s,forceShouldAnimate:null,snapshot:t(s,n,l,u,c)}}}return null}}(),t=function(){const e=C8(((e,t)=>({x:e,y:t}))),t=C8(Ene),n=C8(((e,n=null,r)=>({mapped:{type:"SECONDARY",offset:e,combineTargetFor:n,shouldAnimateDisplacement:r,snapshot:t(n)}}))),r=e=>e?n(j8,e,!0):null,i=(t,i,o,a)=>{const s=o.displaced.visible[t],l=Boolean(a.inVirtualList&&a.effected[t]),u=h9(o),c=u&&u.draggableId===t?i:null;if(!s){if(!l)return r(c);if(o.displaced.invisible[t])return null;const i=q8(a.displacedBy.point),s=e(i.x,i.y);return n(s,c,!0)}if(l)return r(c);const h=o.displacedBy.point,d=e(h.x,h.y);return n(d,c,s.shouldAnimate)};return(e,t)=>{if(Gte(e))return e.critical.draggable.id===t.draggableId?null:i(t.draggableId,e.critical.draggable.id,e.impact,e.afterCritical);if("DROP_ANIMATING"===e.phase){const n=e.completed;return n.result.draggableId===t.draggableId?null:i(t.draggableId,n.result.draggableId,n.impact,n.afterCritical)}return null}}();return(n,r)=>e(n,r)||t(n,r)||Lne}),Pne,null,{context:Pte,areStatePropsEqual:Cne})((e=>{const t=(0,w.useRef)(null),n=g8(((e=null)=>{t.current=e}),[]),r=g8((()=>t.current),[]),{contextId:i,dragHandleUsageInstructionsId:o,registry:a}=Ane(zte),{type:s,droppableId:l}=Ane(Tne),u=f8((()=>({id:e.draggableId,index:e.index,type:s,droppableId:l})),[e.draggableId,e.index,s,l]),{children:c,draggableId:h,isEnabled:d,shouldRespectForcePress:p,canDragInteractiveElements:f,isClone:g,mapped:m,dropAnimationFinished:v}=e;g||function(e){const t=Fte("draggable"),{descriptor:n,registry:r,getDraggableRef:i,canDragInteractiveElements:o,shouldRespectForcePress:a,isEnabled:s}=e,l=f8((()=>({canDragInteractiveElements:o,shouldRespectForcePress:a,isEnabled:s})),[o,s,a]),u=g8((e=>{const t=i();return t||B8(!1),function(e,t,n=j8){const r=window.getComputedStyle(t),i=t.getBoundingClientRect(),o=M8(i,r),a=S8(o,n);return{descriptor:e,placeholder:{client:o,tagName:t.tagName.toLowerCase(),display:r.display},displaceBy:{x:o.marginBox.width,y:o.marginBox.height},client:o,page:a}}(n,t,e)}),[n,i]),c=f8((()=>({uniqueId:t,descriptor:n,options:l,getDimension:u})),[n,u,l,t]),h=(0,w.useRef)(c),d=(0,w.useRef)(!0);Tte((()=>(r.draggable.register(h.current),()=>r.draggable.unregister(h.current))),[r.draggable]),Tte((()=>{if(d.current)return void(d.current=!1);const e=h.current;h.current=c,r.draggable.update(c,e)}),[c,r.draggable])}(f8((()=>({descriptor:u,registry:a,getDraggableRef:r,canDragInteractiveElements:f,shouldRespectForcePress:p,isEnabled:d})),[u,a,r,f,p,d]));const y=f8((()=>d?{tabIndex:0,role:"button","aria-describedby":o,"data-rfd-drag-handle-draggable-id":h,"data-rfd-drag-handle-context-id":i,draggable:!1,onDragStart:Ine}:null),[i,o,h,d]),_=g8((e=>{"DRAGGING"===m.type&&m.dropping&&"transform"===e.propertyName&&(S().version.startsWith("16")||S().version.startsWith("17")?v():(0,u8.flushSync)(v))}),[v,m]),x=f8((()=>{const e=function(e){return"DRAGGING"===e.type?function(e){const t=e.dimension.client,{offset:n,combineWith:r,dropping:i}=e,o=Boolean(r),a=(e=>null!=e.forceShouldAnimate?e.forceShouldAnimate:"SNAP"===e.mode)(e),s=Boolean(i),l=s?Nee(n,o):Oee(n);return{position:"fixed",top:t.marginBox.top,left:t.marginBox.left,boxSizing:"border-box",width:t.borderBox.width,height:t.borderBox.height,transition:Sne(a,i),transform:l,opacity:Mne(o,s),zIndex:s?wne:bne,pointerEvents:"none"}}(e):{transform:Oee((t=e).offset),transition:t.shouldAnimateDisplacement?void 0:"none"};var t}(m),t="DRAGGING"===m.type&&m.dropping?_:void 0;return{innerRef:n,draggableProps:{"data-rfd-draggable-context-id":i,"data-rfd-draggable-id":h,style:e,onTransitionEnd:t},dragHandleProps:y}}),[i,y,h,m,_,n]),b=f8((()=>({draggableId:u.id,type:u.type,source:{index:u.index,droppableId:u.droppableId}})),[u.droppableId,u.id,u.index,u.type]);return S().createElement(S().Fragment,null,c(x,m.snapshot,b))}));var Nne=One;function Rne(e){return Ane(Tne).isUsingCloneFor!==e.draggableId||e.isClone?S().createElement(Nne,e):null}function kne(e){const t="boolean"!=typeof e.isDragDisabled||!e.isDragDisabled,n=Boolean(e.disableInteractiveElementBlocking),r=Boolean(e.shouldRespectForcePress);return S().createElement(Rne,(0,E8.A)({},e,{isClone:!1,isEnabled:t,canDragInteractiveElements:n,shouldRespectForcePress:r}))}const Bne=e=>t=>e===t,Fne=Bne("scroll"),zne=Bne("auto"),Vne=(Bne("visible"),(e,t)=>t(e.overflowX)||t(e.overflowY)),Gne=e=>null==e||e===document.body||e===document.documentElement?null:(e=>{const t=window.getComputedStyle(e),n={overflowX:t.overflowX,overflowY:t.overflowY};return Vne(n,Fne)||Vne(n,zne)})(e)?e:Gne(e.parentElement);var Hne=e=>({x:e.scrollLeft,y:e.scrollTop});const Une=e=>!!e&&("fixed"===window.getComputedStyle(e).position||Une(e.parentElement));const Wne={passive:!1},jne={passive:!0};var Xne=e=>e.shouldPublishImmediately?Wne:jne;const Yne=e=>e&&e.env.closestScrollable||null;function Zne(e){const t=(0,w.useRef)(null),n=Ane(zte),r=Fte("droppable"),{registry:i,marshal:o}=n,a=Vte(e),s=f8((()=>({id:e.droppableId,type:e.type,mode:e.mode})),[e.droppableId,e.mode,e.type]),l=(0,w.useRef)(s),u=f8((()=>C8(((e,n)=>{t.current||B8(!1);const r={x:e,y:n};o.updateDroppableScroll(s.id,r)}))),[s.id,o]),c=g8((()=>{const e=t.current;return e&&e.env.closestScrollable?Hne(e.env.closestScrollable):j8}),[]),h=g8((()=>{const e=c();u(e.x,e.y)}),[c,u]),d=f8((()=>D8(h)),[h]),p=g8((()=>{const e=t.current,n=Yne(e);e&&n||B8(!1),e.scrollOptions.shouldPublishImmediately?h():d()}),[d,h]),f=g8(((e,r)=>{t.current&&B8(!1);const i=a.current,o=i.getDroppableRef();o||B8(!1);const l=(e=>({closestScrollable:Gne(e),isFixedOnPage:Une(e)}))(o),u={ref:o,descriptor:s,env:l,scrollOptions:r};t.current=u;const c=(({ref:e,descriptor:t,env:n,windowScroll:r,direction:i,isDropDisabled:o,isCombineEnabled:a,shouldClipSubject:s})=>{const l=n.closestScrollable,u=((e,t)=>{const n=T8(e);if(!t)return n;if(e!==t)return n;const r=n.paddingBox.top-t.scrollTop,i=n.paddingBox.left-t.scrollLeft,o=r+t.scrollHeight,a=i+t.scrollWidth,s=v8({top:r,right:a,bottom:o,left:i},n.border);return x8({borderBox:s,margin:n.margin,border:n.border,padding:n.padding})})(e,l),c=S8(u,r),h=(()=>{if(!l)return null;const e=T8(l),t={scrollHeight:l.scrollHeight,scrollWidth:l.scrollWidth};return{client:e,page:S8(e,r),scroll:Hne(l),scrollSize:t,shouldClipSubject:s}})(),d=(({descriptor:e,isEnabled:t,isCombineEnabled:n,isFixedOnPage:r,direction:i,client:o,page:a,closest:s})=>{const l=(()=>{if(!s)return null;const{scrollSize:e,client:t}=s,n=$ee({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,height:t.paddingBox.height,width:t.paddingBox.width});return{pageMarginBox:s.page.marginBox,frameClient:t,scrollSize:e,shouldClipSubject:s.shouldClipSubject,scroll:{initial:s.scroll,current:s.scroll,max:n,diff:{value:j8,displacement:j8}}}})(),u="vertical"===i?x9:b9;return{descriptor:e,isCombineEnabled:n,isFixedOnPage:r,axis:u,isEnabled:t,client:o,page:a,frame:l,subject:r9({page:a,withPlaceholder:null,axis:u,frame:l})}})({descriptor:t,isEnabled:!o,isCombineEnabled:a,isFixedOnPage:n.isFixedOnPage,direction:i,client:u,page:c,closest:h});return d})({ref:o,descriptor:s,env:l,windowScroll:e,direction:i.direction,isDropDisabled:i.isDropDisabled,isCombineEnabled:i.isCombineEnabled,shouldClipSubject:!i.ignoreContainerClipping}),h=l.closestScrollable;return h&&(h.setAttribute(wte.contextId,n.contextId),h.addEventListener("scroll",p,Xne(u.scrollOptions))),c}),[n.contextId,s,p,a]),g=g8((()=>{const e=t.current,n=Yne(e);return e&&n||B8(!1),Hne(n)}),[]),m=g8((()=>{const e=t.current;e||B8(!1);const n=Yne(e);t.current=null,n&&(d.cancel(),n.removeAttribute(wte.contextId),n.removeEventListener("scroll",p,Xne(e.scrollOptions)))}),[p,d]),v=g8((e=>{const n=t.current;n||B8(!1);const r=Yne(n);r||B8(!1),r.scrollTop+=e.y,r.scrollLeft+=e.x}),[]),y=f8((()=>({getDimensionAndWatchScroll:f,getScrollWhileDragging:g,dragStopped:m,scroll:v})),[m,f,g,v]),_=f8((()=>({uniqueId:r,descriptor:s,callbacks:y})),[y,s,r]);Tte((()=>(l.current=_.descriptor,i.droppable.register(_),()=>{t.current&&m(),i.droppable.unregister(_)})),[y,s,m,_,o,i.droppable]),Tte((()=>{t.current&&o.updateDroppableIsEnabled(l.current.id,!e.isDropDisabled)}),[e.isDropDisabled,o]),Tte((()=>{t.current&&o.updateDroppableIsCombineEnabled(l.current.id,e.isCombineEnabled)}),[e.isCombineEnabled,o])}function qne(){}const $ne={width:0,height:0,margin:{top:0,right:0,bottom:0,left:0}};var Kne=S().memo((e=>{const t=(0,w.useRef)(null),n=g8((()=>{t.current&&(clearTimeout(t.current),t.current=null)}),[]),{animate:r,onTransitionEnd:i,onClose:o,contextId:a}=e,[s,l]=(0,w.useState)("open"===e.animate);(0,w.useEffect)((()=>s?"open"!==r?(n(),l(!1),qne):t.current?qne:(t.current=setTimeout((()=>{t.current=null,l(!1)})),n):qne),[r,s,n]);const u=g8((e=>{"height"===e.propertyName&&(i(),"close"===r&&o())}),[r,o,i]),c=(({isAnimatingOpenOnMount:e,placeholder:t,animate:n})=>{const r=(({isAnimatingOpenOnMount:e,placeholder:t,animate:n})=>e||"close"===n?$ne:{height:t.client.borderBox.height,width:t.client.borderBox.width,margin:t.client.margin})({isAnimatingOpenOnMount:e,placeholder:t,animate:n});return{display:t.display,boxSizing:"border-box",width:r.width,height:r.height,marginTop:r.margin.top,marginRight:r.margin.right,marginBottom:r.margin.bottom,marginLeft:r.margin.left,flexShrink:"0",flexGrow:"0",pointerEvents:"none",transition:"none"!==n?Lee.placeholder:null}})({isAnimatingOpenOnMount:s,animate:e.animate,placeholder:e.placeholder});return S().createElement(e.placeholder.tagName,{style:c,"data-rfd-placeholder-context-id":a,onTransitionEnd:u,ref:e.innerRef})}));class Jne extends S().PureComponent{constructor(...e){super(...e),this.state={isVisible:Boolean(this.props.on),data:this.props.on,animate:this.props.shouldAnimate&&this.props.on?"open":"none"},this.onClose=()=>{"close"===this.state.animate&&this.setState({isVisible:!1})}}static getDerivedStateFromProps(e,t){return e.shouldAnimate?e.on?{isVisible:!0,data:e.on,animate:"open"}:t.isVisible?{isVisible:!0,data:t.data,animate:"close"}:{isVisible:!1,animate:"close",data:null}:{isVisible:Boolean(e.on),data:e.on,animate:"none"}}render(){if(!this.state.isVisible)return null;const e={onClose:this.onClose,data:this.state.data,animate:this.state.animate};return this.props.children(e)}}const Qne={mode:"standard",type:"DEFAULT",direction:"vertical",isDropDisabled:!1,isCombineEnabled:!1,ignoreContainerClipping:!1,renderClone:null,getContainerForClone:function(){return document.body||B8(!1),document.body}},ere=e=>{let t,n={...e};for(t in Qne)void 0===e[t]&&(n={...n,[t]:Qne[t]});return n},tre=(e,t)=>e===t.droppable.type,nre=(e,t)=>t.draggables[e.draggable.id];var rre=(0,d8.connect)((()=>{const e={placeholder:null,shouldAnimatePlaceholder:!0,snapshot:{isDraggingOver:!1,draggingOverWith:null,draggingFromThisWith:null,isUsingPlaceholder:!1},useClone:null},t={...e,shouldAnimatePlaceholder:!1},n=C8((e=>({draggableId:e.id,type:e.type,source:{index:e.index,droppableId:e.droppableId}}))),r=C8(((r,i,o,a,s,l)=>{const u=s.descriptor.id;if(s.descriptor.droppableId===r){const e=l?{render:l,dragging:n(s.descriptor)}:null,t={isDraggingOver:o,draggingOverWith:o?u:null,draggingFromThisWith:u,isUsingPlaceholder:!0};return{placeholder:s.placeholder,shouldAnimatePlaceholder:!1,snapshot:t,useClone:e}}if(!i)return t;if(!a)return e;const c={isDraggingOver:o,draggingOverWith:u,draggingFromThisWith:null,isUsingPlaceholder:!0};return{placeholder:s.placeholder,shouldAnimatePlaceholder:!0,snapshot:c,useClone:null}}));return(n,i)=>{const o=ere(i),a=o.droppableId,s=o.type,l=!o.isDropDisabled,u=o.renderClone;if(Gte(n)){const e=n.critical;if(!tre(s,e))return t;const i=nre(e,n.dimensions),o=Y9(n.impact)===a;return r(a,l,o,o,i,u)}if("DROP_ANIMATING"===n.phase){const e=n.completed;if(!tre(s,e.critical))return t;const i=nre(e.critical,n.dimensions);return r(a,l,Dne(e.result)===a,Y9(e.impact)===a,i,u)}if("IDLE"===n.phase&&n.completed&&!n.shouldFlush){const r=n.completed;if(!tre(s,r.critical))return t;const i=Y9(r.impact)===a,o=Boolean(r.impact.at&&"COMBINE"===r.impact.at.type),l=r.critical.droppable.id===a;return i?o?e:t:l?e:t}return t}}),{updateViewportMaxScroll:e=>({type:"UPDATE_VIEWPORT_MAX_SCROLL",payload:e})},((e,t,n)=>({...ere(n),...e,...t})),{context:Pte,areStatePropsEqual:Cne})((e=>{const t=(0,w.useContext)(zte);t||B8(!1);const{contextId:n,isMovementAllowed:r}=t,i=(0,w.useRef)(null),o=(0,w.useRef)(null),{children:a,droppableId:s,type:l,mode:u,direction:c,ignoreContainerClipping:h,isDropDisabled:d,isCombineEnabled:p,snapshot:f,useClone:g,updateViewportMaxScroll:m,getContainerForClone:v}=e,y=g8((()=>i.current),[]),_=g8(((e=null)=>{i.current=e}),[]),x=(g8((()=>o.current),[]),g8(((e=null)=>{o.current=e}),[])),b=g8((()=>{r()&&m({maxScroll:Jee()})}),[r,m]);Zne({droppableId:s,type:l,mode:u,direction:c,isDropDisabled:d,isCombineEnabled:p,ignoreContainerClipping:h,getDroppableRef:y});const M=f8((()=>S().createElement(Jne,{on:e.placeholder,shouldAnimate:e.shouldAnimatePlaceholder},(({onClose:e,data:t,animate:r})=>S().createElement(Kne,{placeholder:t,onClose:e,innerRef:x,animate:r,contextId:n,onTransitionEnd:b})))),[n,b,e.placeholder,e.shouldAnimatePlaceholder,x]),T=f8((()=>({innerRef:_,placeholder:M,droppableProps:{"data-rfd-droppable-id":s,"data-rfd-droppable-context-id":n}})),[n,s,M,_]),A=g?g.dragging.draggableId:null,I=f8((()=>({droppableId:s,type:l,isUsingCloneFor:A})),[s,A,l]);return S().createElement(Tne.Provider,{value:I},a(T,f),function(){if(!g)return null;const{dragging:e,render:t}=g,n=S().createElement(Rne,{draggableId:e.draggableId,index:e.source.index,isClone:!0,isEnabled:!0,shouldRespectForcePress:!1,canDragInteractiveElements:!0},((n,r)=>t(n,r,e)));return c8().createPortal(n,v())}())}));const ire=e=>({root:r8.css`
      margin-bottom: ${e.spacing(2)};
    `,header:r8.css`
      label: Header;
      padding: ${e.spacing(.5,.5)};
      border-radius: ${e.shape.radius.default};
      background: ${e.colors.background.secondary};
      min-height: ${e.spacing(4)};
      display: grid;
      grid-template-columns: minmax(100px, max-content) min-content;
      align-items: center;
      justify-content: space-between;
      white-space: nowrap;

      &:focus {
        outline: none;
      }
    `,column:r8.css`
      label: Column;
      display: flex;
      align-items: center;
    `,dragIcon:r8.css`
      cursor: grab;
      color: ${e.colors.text.disabled};
      margin: ${e.spacing(0,.5)};
      &:hover {
        color: ${e.colors.text};
      }
    `,collapseIcon:r8.css`
      margin-left: ${e.spacing(.5)};
      color: ${e.colors.text.disabled};
    `,titleWrapper:r8.css`
      display: flex;
      align-items: center;
      flex-grow: 1;
      cursor: pointer;
      overflow: hidden;
      margin-right: ${e.spacing(.5)};
    `,title:r8.css`
      font-weight: ${e.typography.fontWeightBold};
      color: ${e.colors.text.secondary};
      margin-left: ${e.spacing(.5)};
      overflow: hidden;
      text-overflow: ellipsis;
    `,item:r8.css`
      margin-bottom: ${e.spacing(1)};
    `});function ore(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function are(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ore(e,t,n[t])}))}return e}function sre(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const lre=({value:e,onChange:t,data:n})=>{const r=(0,x.useStyles2)(ire),[i,o]=(0,w.useState)(e),[a,s]=(0,w.useState)(null),l=(0,w.useCallback)((e=>{o(e),t(e)}),[t]),u=(0,w.useCallback)((e=>{e.destination&&l(H(i,e.source.index,e.destination.index))}),[i,l]),c=(0,w.useMemo)((()=>n.reduce(((e,t)=>e.concat(t.fields.map((e=>({value:`${t.refId}:${e.name}`,fieldName:e.name,label:`${t.refId?`${t.refId}:`:""}${e.name}`,source:t.refId}))))),[]).filter((e=>!i.some((t=>t.name===e.fieldName&&t.source===e.source))))),[i,n]),h=(0,w.useCallback)((()=>{a&&(l([...i,{name:a.name,source:a.source}]),s(null))}),[i,a,l]);return S().createElement("div",{"data-testid":Me,className:r.root},S().createElement(xne,{onDragEnd:u},S().createElement(rre,{droppableId:"dataset"},(e=>S().createElement("div",sre(are({},e.droppableProps),{ref:e.innerRef}),i.map(((e,t)=>S().createElement(kne,{key:U(e),draggableId:U(e),index:t},((t,n)=>{return S().createElement("div",sre(are({ref:t.innerRef},t.draggableProps,t.dragHandleProps),{style:(n.isDragging,o=t.draggableProps.style,are({},o)),className:r.item,"data-testid":be(U(e))}),S().createElement("div",{className:r.header},S().createElement("div",{className:r.column},e.name&&S().createElement("div",{className:r.titleWrapper},S().createElement("div",{className:(0,r8.cx)(r.title)},e.source?`${e.source}:`:"",e.name))),S().createElement("div",{className:r.column},S().createElement(x.IconButton,{name:"trash-alt","aria-label":xe,onClick:()=>l(i.filter((t=>U(t)!==U(e))))}),S().createElement("div",t.dragHandleProps,S().createElement(x.Icon,{title:"Drag and drop to reorder",name:"draggabledots",size:"lg",className:r.dragIcon})))));var o})))),e.placeholder)))),S().createElement(x.InlineFieldRow,{"data-testid":we},S().createElement(x.InlineField,{label:"New Item",grow:!0},S().createElement(x.Select,{options:c,value:(null==a?void 0:a.value)||null,"aria-label":Se,onChange:e=>{s({value:e.value,source:e.source,name:e.fieldName})}})),S().createElement(x.Button,{icon:"plus",title:"Add Item",disabled:!a,onClick:h,"data-testid":_e},"Add")))};function ure(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function cre(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ure(e,t,n[t])}))}return e}function hre(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const dre=({value:e,onChange:t,dataset:n})=>{var r,i;return S().createElement(S().Fragment,null,S().createElement(x.InlineFieldRow,null,S().createElement(x.InlineField,{label:"ID",labelWidth:10,grow:!0},S().createElement(x.Input,{value:e.id,onChange:n=>{t(hre(cre({},e),{id:n.currentTarget.value}))},"data-testid":fe})),S().createElement(x.InlineField,{label:"Type",labelWidth:10,grow:!0},S().createElement(x.Select,{value:e.type,options:Te,onChange:n=>{n.value&&t(j(e,n.value))},"aria-label":me}))),S().createElement(x.InlineFieldRow,null,S().createElement(x.InlineField,{label:"Name",labelWidth:10,grow:!0},S().createElement(x.Input,{value:e.name,onChange:n=>{t(hre(cre({},e),{name:n.currentTarget.value}))},"data-testid":ge}))),e.type===F.LINE&&S().createElement(S().Fragment,null,S().createElement(x.InlineFieldRow,null,S().createElement(x.InlineField,{label:"Encode Y",labelWidth:10,grow:!0},S().createElement(x.Select,{value:null===(r=e.encode)||void 0===r?void 0:r.y,options:n.map((e=>({value:U(e),label:U(e)}))),isMulti:!0,isClearable:!0,onChange:n=>{const r=n;t(hre(cre({},e),{encode:hre(cre({},e.encode),{y:r.map((e=>e.value))})}))},"aria-label":ye}))),S().createElement(x.InlineFieldRow,null,S().createElement(x.InlineField,{label:"Encode X",labelWidth:10,grow:!0},S().createElement(x.Select,{value:null===(i=e.encode)||void 0===i?void 0:i.x,options:n.map((e=>({value:U(e),label:U(e)}))),isMulti:!0,isClearable:!0,onChange:n=>{const r=n;t(hre(cre({},e),{encode:hre(cre({},e.encode),{x:r.map((e=>e.value))})}))},"aria-label":ve})))))};function pre(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function fre(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){pre(e,t,n[t])}))}return e}function gre(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const mre=({value:e,onChange:t,dataset:n})=>{const r=(e=>({item:r8.css`
      margin-bottom: ${e.spacing(1)};
    `,dragIcon:r8.css`
      cursor: grab;
      color: ${e.colors.text.disabled};
      margin: ${e.spacing(0,.5)};
      &:hover {
        color: ${e.colors.text};
      }
    `,removeButton:r8.css`
      color: ${e.colors.text.secondary};
    `}))((0,x.useTheme2)()),[i,o]=(0,w.useState)(e),[a,s]=(0,w.useState)(""),[l,u]=(0,w.useState)({}),c=(0,w.useCallback)((e=>{o(e),t(e)}),[t]),h=(0,w.useCallback)((e=>{e.destination&&c(H(i,e.source.index,e.destination.index))}),[i,c]),d=(0,w.useCallback)((e=>{u((t=>gre(fre({},t),{[e.uid]:!t[e.uid]})))}),[]),p=(0,w.useCallback)((()=>{s("");const e=j({id:a,name:"",uid:B()},F.LINE);c(i.concat(e)),d(e)}),[i,a,c,d]),f=(0,w.useCallback)((e=>{c(i.map((t=>t.uid===e.uid?e:t)))}),[i,c]),g=(0,w.useMemo)((()=>i.some((e=>e.id===a))),[i,a]);return S().createElement("div",{"data-testid":se},S().createElement(xne,{onDragEnd:h},S().createElement(rre,{droppableId:"series-editor"},(e=>S().createElement("div",gre(fre({},e.droppableProps),{ref:e.innerRef}),i.map(((e,t)=>S().createElement(kne,{key:e.uid,draggableId:e.uid,index:t},((t,o)=>{return S().createElement("div",gre(fre({ref:t.innerRef},t.draggableProps),{style:(o.isDragging,a=t.draggableProps.style,fre({},a)),className:r.item}),S().createElement(b.SD,{headerTestId:ce(e.id),contentTestId:he(e.id),isOpen:l[e.uid],onToggle:()=>d(e),title:S().createElement(S().Fragment,null,e.name," [",e.id,"]"),actions:S().createElement(S().Fragment,null,S().createElement(x.Button,{icon:"trash-alt",variant:"secondary",fill:"text",size:"sm",className:r.removeButton,onClick:()=>{c(i.filter((t=>t.uid!==e.uid)))},"data-testid":ue}),S().createElement("div",t.dragHandleProps,S().createElement(x.Icon,{name:"draggabledots",className:r.dragIcon})))},S().createElement(dre,{value:e,onChange:f,dataset:n})));var a})))),e.placeholder)))),S().createElement(x.InlineFieldRow,{"data-testid":de},S().createElement(x.InlineField,{label:"New Series",grow:!0,invalid:g,error:"Series with the same id already exists."},S().createElement(x.Input,{placeholder:"Unique Id",value:a,onChange:e=>s(e.currentTarget.value),"data-testid":pe})),S().createElement(x.Button,{icon:"plus",title:"Add Series",disabled:!a||g,onClick:p,"data-testid":le},"Add")))};function vre(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function yre(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){vre(e,t,n[t])}))}return e}function _re(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const xre=({value:e,onChange:t,context:n})=>S().createElement(S().Fragment,null,S().createElement(x.Label,{description:"Fields which values will be used for the dataset."},"Dataset Items"),S().createElement(lre,{value:e.dataset,onChange:n=>{t(_re(yre({},e),{dataset:n}))},data:n.data}),S().createElement(x.Label,null,"Series"),S().createElement(mre,{value:e.series,onChange:n=>{t(_re(yre({},e),{series:n}))},dataset:e.dataset}));var bre=h(8449),wre=h.n(bre);function Sre(){return Sre=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},Sre.apply(this,arguments)}const Mre=new y.PanelPlugin((({options:e,data:t,width:n,height:r,replaceVariables:i,eventBus:o})=>{const a=(0,w.useRef)(null),[s,l]=(0,w.useState)(),[u,c]=(0,w.useState)(),[d,p]=(0,w.useState)(),f=(0,x.useTheme2)(),m=(0,x.useStyles2)(a8),b=(0,_.getAppEvents)(),M=e=>b.publish({type:y.AppEvents.alertSuccess.name,payload:e}),T=e=>b.publish({type:y.AppEvents.alertError.name,payload:e}),A=o8(),I=()=>{if(!a.current)return;s&&(s.clear(),s.dispose()),p(void 0);let t=f.isDark?"dark":void 0;if(e.themeEditor.name===v.CUSTOM)try{const n=JSON.parse(e.themeEditor.config);t=v.CUSTOM,gb(t,n)}catch(e){p(e instanceof Error?e:new Error(`${e}`))}l(lb(a.current,t,{renderer:e.renderer}))};return(0,w.useEffect)((()=>{I()}),[e.renderer,e.map,e.themeEditor.name,e.themeEditor.config]),(0,w.useEffect)((()=>{null==s||s.resize()}),[n,r]),(0,w.useEffect)((()=>{let n=()=>{};if(!s)return n;if(s.off("restore"),s.on("restore",(()=>{I()})),t.state&&![y.LoadingState.Done,y.LoadingState.Streaming].includes(t.state))return n;c(void 0);try{const r=e.editorMode===q.VISUAL?new Function("context",e.visualEditor.code):new Function("context",e.getOption);switch(e.map){case ee.NONE:break;case ee.JSON:(()=>{const e=h(7299);e.keys().map((t=>{const n=t.match(/\.\/([0-9a-zA-Z_]*)\.json/);n&&!Lb(n[1])&&Eb(n[1],e(t))}))})();break;case ee.GMAP:(e=>{if("object"==typeof google&&"object"==typeof google.maps)return;const t=document.createElement("script");t.type="text/javascript",t.src=`https://maps.googleapis.com/maps/api/js?key=${e.key}&callback=${e.callback}`,document.body.appendChild(t)})(e.google);break;case ee.BMAP:(e=>{if(window.BMap)return;const t=document.createElement("script");t.type="text/javascript",t.src=`https://api.map.baidu.com/api?v=3.0&ak=${e.key}&callback=${e.callback}`,document.body.appendChild(t)})(e.baidu);break;case ee.AMAP:(e=>{if(window.AMap)return;const t=document.createElement("script");t.type="text/javascript",t.src=`https://webapi.amap.com/maps?v=1.4.15&ak=${e.key}&plugin=${e.plugin}`,document.body.appendChild(t)})(e.gaode)}const a={grafana:{theme:f,replaceVariables:i,eventBus:o,locationService:_.locationService,notifySuccess:M,notifyError:T,refresh:()=>b.publish({type:"variables-changed",payload:{refreshAll:!0}})},panel:{data:t,chart:s},echarts:g,ecStat:A},l=e.editorMode===q.VISUAL?r(L.create(function(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}(l8({},a),{editor:{dataset:{source:W(t.series,e.visualEditor.dataset)},series:e.visualEditor.series}}))):r(E.create(a));let u,c={notMerge:!0};if(l&&"version"in l&&2===l.version){u=l.option||{},c=l.config||c;const e=l.unsubscribe;"function"==typeof e&&(n=()=>{e()})}else u=l||{};s.setOption(l8({backgroundColor:"transparent"},u),c)}catch(e){c(e instanceof Error?e:new Error(`${e}`))}return n}),[s,e.getOption,t,e.visualEditor,e.editorMode]),S().createElement(S().Fragment,null,(null==u?void 0:u.message)&&S().createElement(x.Alert,{"data-testid":ie,severity:"warning",title:"ECharts Execution Error"},u.message),(null==u?void 0:u.stack)&&S().createElement("pre",null,u.stack),(null==d?void 0:d.message)&&S().createElement(x.Alert,{"data-testid":oe,severity:"warning",title:"ECharts Custom Theme Error"},d.message),S().createElement("div",{ref:a,"data-testid":re,className:(0,r8.cx)(m.wrapper,r8.css`
            width: ${n}px;
            height: ${r}px;
          `)}))})).setNoPadding().setMigrationHandler((e=>{const t=Sre({},function(e){if(null==e)throw new TypeError("Cannot destructure "+e);return e}(e.options));return t.editorMode||(t.editorMode=q.CODE),e.pluginVersion&&wre().lt(e.pluginVersion,"6.0.0")&&(t.getOption=t.getOption.replace(/(data.series|replaceVariables\(|theme\.|echartsInstance\.|echarts\.|ecStat\.|eventBus|locationService|notifySuccess\(|notifyError\()/gm,(e=>{switch(e){case"data.series":return"context.panel.data.series";case"replaceVariables(":return"context.grafana.replaceVariables(";case"theme.":return"context.grafana.theme.";case"echartsInstance.":return"context.panel.chart.";case"echarts.":return"context.echarts.";case"ecStat.":return"context.ecStat.";case"eventBus":return"context.grafana.eventBus";case"locationService":return"context.grafana.locationService";case"notifySuccess(":return"context.grafana.notifySuccess(";case"notifyError(":return"context.grafana.notifyError(";default:return e}}))),t})).setPanelOptions((e=>{const t=e=>e.editorMode===q.VISUAL;return e.addRadio({path:"renderer",name:"Renderer",settings:{options:T},defaultValue:ne.renderer}).addRadio({path:"map",name:"Maps",settings:{options:te},defaultValue:ne.map}).addRadio({path:"themeEditor.name",name:"Theme",settings:{options:M},defaultValue:v.DEFAULT}),e.addTextInput({path:"baidu.key",name:"Access Key",description:"Set Access Key to use Baidu Maps. You can get it from https://lbsyun.baidu.com/apiconsole/key#/home",defaultValue:ne.baidu.key,showIf:e=>e.map===ee.BMAP,category:["Baidu"]}).addTextInput({path:"baidu.callback",name:"Callback",description:"Name of the Callback function.",defaultValue:ne.baidu.callback,showIf:e=>e.map===ee.BMAP,category:["Baidu"]}),e.addTextInput({path:"gaode.key",name:"Access Key",description:"Set Access Key to use Gaode Maps. You can get it from https://console.amap.com/dev/key/app",defaultValue:ne.gaode.key,showIf:e=>e.map===ee.AMAP,category:["Gaode"]}).addTextInput({path:"gaode.plugin",name:"Plugins",description:"Name of the Plugins to use.",defaultValue:ne.gaode.plugin,showIf:e=>e.map===ee.AMAP,category:["Gaode"]}),e.addTextInput({path:"google.key",name:"Access Key",description:"Set Access Key to use Google Maps. You can get it from https://console.cloud.google.com/apis/credentials",defaultValue:ne.google.key,showIf:e=>e.map===ee.GMAP,category:["Google"]}).addTextInput({path:"google.callback",name:"Callback",description:"Name of the Callback function.",defaultValue:ne.google.callback,showIf:e=>e.map===ee.GMAP,category:["Google"]}),e.addRadio({path:"editorMode",name:"Editor Mode",defaultValue:q.VISUAL,settings:{options:$},category:["Editor"]}).addRadio({path:"editor.format",name:"Formatting",settings:{options:K},defaultValue:ne.editor.format,category:["Editor"]}),e.addCustomEditor({id:"visualEditor",path:"visualEditor",name:"Visual Editor",defaultValue:ne.visualEditor,editor:xre,category:["Visual Editor"],showIf:t}).addCustomEditor({id:X.VISUALCODE,path:"visualEditor.code",name:"Function",description:"Should return parameters and data for setOption() or an extended result object.",defaultValue:ne.visualEditor.code,editor:De,category:["Visual Editor"],showIf:t}),e.addCustomEditor({id:X.CODE,path:"getOption",name:"Function",description:"Should return parameters and data for setOption() or an extended result object.",defaultValue:ne.getOption,editor:De,category:["Code"],showIf:e=>e.editorMode!==q.VISUAL}),e.addCustomEditor({id:X.THEME,path:"themeEditor.config",name:"Configuration",description:"Custom Theme from the Theme Builder.",defaultValue:ne.themeEditor.config,editor:De,category:["Theme"],showIf:e=>e.themeEditor.name===v.CUSTOM}),e})).setDataSupport({annotations:!0,alertStates:!0})})(),d})()));
//# sourceMappingURL=module.js.map