/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","@grafana/runtime","@emotion/css","@grafana/ui","react","lodash","@emotion/react","react-dom","redux","react-redux"],((e,t,n,r,o,i,a,l,s,u)=>(()=>{var c={774:(e,t,n)=>{"use strict";var r=n(7),o=n(959),i=n(89),a=(n(241),n(781),n(470));const l=e=>({rootOutline:i.css`
      border: 1px solid ${e.colors.border.weak};
      background-color: ${e.colors.background.primary};
    `,header:i.css`
      padding: ${e.spacing(.5,.5)};
      min-height: ${e.spacing(4)};
      display: flex;
      align-items: center;
      justify-content: flex-start;
      white-space: nowrap;

      &:focus {
        outline: none;
      }
    `,headerSolid:i.css`
      border-radius: ${e.shape.radius?.default};
      background: ${e.colors.background.secondary};
    `,title:i.css`
      font-weight: ${e.typography.fontWeightBold};
      margin: ${e.spacing(0,.5)};
      overflow: hidden;
      text-overflow: ellipsis;
    `,collapseIcon:i.css`
      margin-left: ${e.spacing(.5)};
      color: ${e.colors.text.disabled};
    `,actions:i.css`
      margin-left: auto;
      display: flex;
      align-items: center;
    `});var s=(e=>(e.SELECT="select",e.SLIDER="slider",e.GROUP="group",e.CUSTOM="custom",e.COLOR="color",e.RADIO="radio",e.HIDDEN="hidden",e.INPUT="input",e.NUMBER_INPUT="numberInput",e.RANGE_SLIDER="rangeSlider",e.DATETIME_PICKER="datetimePicker",e))(s||{});const u=({value:e,onChange:t,min:n,max:i,step:a,...l})=>{const s=o.useRef(null),u=o.useRef(!1),[c,d]=o.useState(e?.toString()??"0"),f=o.useCallback((e=>{d(e.currentTarget.value),u.current=!0}),[]),p=o.useCallback((()=>{let e=Number(c);if(Number.isNaN(e)&&(e=0),void 0!==a){let t=1e3*a;for(void 0!==n&&(t=1e3*n);t<1e3*e;)t+=1e3*a;e=t/1e3}void 0!==i&&e>i?e=i:void 0!==n&&e<n&&(e=n),u.current&&(t?.(e),d(e.toString()),u.current=!1)}),[c,i,n,t,a]),g=o.useCallback((e=>{"Enter"===e.key&&s.current?.blur()}),[p]);return o.useEffect((()=>{d(e?.toString()||"0")}),[e]),o.createElement(r.Input,{ref:s,...l,type:"text",value:c,onChange:f,onBlur:p,onKeyDown:g})},{default:c}=n(450),{default:d}=(r.stylesFactory(((e,t,n=!1)=>{const{spacing:r}=e,o=e.colors.border.strong,l=e.colors.primary.main,s=e.colors.primary.main,u=`box-shadow: 0px 0px 0px 6px ${e.colors.primary.transparent}`;return{container:i.css({width:"100%",margin:t?r(1,0,2.5):r(1,3,1,1),paddingBottom:t&&n?e.spacing(1):"inherit",height:t?"auto":"100%"}),slider:i.css`
      .rc-slider {
        display: flex;
        flex-grow: 1;
        margin-left: 7px; // half the size of the handle to align handle to the left on 0 value
      }
      .rc-slider-mark {
        top: ${e.spacing(1.75)};
      }
      .rc-slider-mark-text {
        color: ${e.colors.text.disabled};
        font-size: ${e.typography.bodySmall.fontSize};
      }
      .rc-slider-mark-text-active {
        color: ${e.colors.text.primary};
      }
      .rc-slider-handle {
        border: none;
        background-color: ${s};
        box-shadow: ${e.shadows.z1};
        cursor: pointer;
        opacity: 1;
      }

      .rc-slider-handle:hover,
      .rc-slider-handle:active,
      .rc-slider-handle-click-focused:focus {
        ${u};
      }

      // The triple class names is needed because that's the specificity used in the source css :(
      .rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging,
      .rc-slider-handle:focus-visible {
        box-shadow: 0 0 0 4px ${e.colors.text.primary};
      }

      .rc-slider-dot,
      .rc-slider-dot-active {
        background-color: ${e.colors.text.primary};
        border-color: ${e.colors.text.primary};
      }

      .rc-slider-track {
        background-color: ${l};
      }
      .rc-slider-rail {
        background-color: ${o};
        cursor: pointer;
      }
    `,tooltip:a.css`
      body {
        .rc-slider-tooltip {
          cursor: grab;
          user-select: none;
          z-index: ${e.zIndex.tooltip};
        }

        .rc-slider-tooltip-inner {
          color: ${e.colors.text.primary};
          background-color: transparent !important;
          border-radius: 0;
          box-shadow: none;
        }

        .rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {
          display: none;
        }

        .rc-slider-tooltip-placement-top {
          padding: 0;
        }
        
        .rc-tooltip-hidden {
          display: none;
        }
      }
    `,sliderInput:i.css({display:"flex",flexDirection:"row",alignItems:"center",width:"100%"}),sliderInputVertical:i.css({flexDirection:"column",height:"100%",".rc-slider":{margin:0,order:2}}),sliderInputField:i.css({marginLeft:e.spacing(3),input:{textAlign:"center"}}),sliderInputFieldVertical:i.css({margin:`0 0 ${e.spacing(3)} 0`,order:1})}})),n(67)),f=r.stylesFactory(((e,t,n=!1)=>{const{spacing:r}=e,o=e.colors.border.strong,l=e.colors.primary.main,s=e.colors.primary.main,u=`box-shadow: 0px 0px 0px 6px ${e.colors.primary.transparent}`;return{container:i.css({width:"100%",margin:t?"inherit":r(1,3,1,1),paddingBottom:t&&n?e.spacing(1):"inherit",height:t?"auto":"100%"}),slider:i.css`
      .rc-slider {
        display: flex;
        flex-grow: 1;
        margin-left: 7px; // half the size of the handle to align handle to the left on 0 value
      }
      .rc-slider-mark {
        top: ${e.spacing(1.75)};
      }
      .rc-slider-mark-text {
        color: ${e.colors.text.disabled};
        font-size: ${e.typography.bodySmall.fontSize};
      }
      .rc-slider-mark-text-active {
        color: ${e.colors.text.primary};
      }
      .rc-slider-handle {
        border: none;
        background-color: ${s};
        box-shadow: ${e.shadows.z1};
        cursor: pointer;
        opacity: 1;
      }

      .rc-slider-handle:hover,
      .rc-slider-handle:active,
      .rc-slider-handle-click-focused:focus {
        ${u};
      }

      // The triple class names is needed because that's the specificity used in the source css :(
      .rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging,
      .rc-slider-handle:focus-visible {
        box-shadow: 0 0 0 5px ${e.colors.text.primary};
      }

      .rc-slider-dot,
      .rc-slider-dot-active {
        background-color: ${e.colors.text.primary};
        border-color: ${e.colors.text.primary};
      }

      .rc-slider-track {
        background-color: ${l};
      }
      .rc-slider-rail {
        background-color: ${o};
        cursor: pointer;
      }
    `,tooltip:a.css`
      body {
        .rc-slider-tooltip {
          cursor: grab;
          user-select: none;
          z-index: ${e.zIndex.tooltip};
        }

        .rc-slider-tooltip-inner {
          color: ${e.colors.text.primary};
          background-color: transparent !important;
          border-radius: 0;
          box-shadow: none;
        }

        .rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {
          display: none;
        }

        .rc-slider-tooltip-placement-top {
          padding: 0;
        }
      }
    `,sliderInput:i.css({display:"flex",flexDirection:"row",alignItems:"center",width:"100%"}),sliderInputVertical:i.css({flexDirection:"column",height:"100%",".rc-slider":{margin:0,order:2}}),sliderInputField:i.css({marginLeft:e.spacing(3),input:{textAlign:"center"}}),sliderInputFieldVertical:i.css({margin:`0 0 ${e.spacing(3)} 0`,order:1})}})),{default:p}=n(67),g=({min:e,max:t,onChange:n,onAfterChange:l,orientation:s="horizontal",reverse:c,step:d,value:g,marks:v,included:m,inputWidth:h=8,sliderAriaLabel:b,disabled:y,...w})=>{const E="horizontal"===s,C=r.useTheme2(),S=f(C,E,Boolean(v)),x=p,[A,I]=o.useState(g??e),R=o.useCallback((e=>{const t="number"==typeof e?e:e[0];I(t),n?.(t)}),[I,n]),O=o.useCallback((e=>{I(e),n&&n(e),l&&l(e)}),[l,n]),D=o.useCallback((e=>{const t="number"==typeof e?e:e[0];l?.(t)}),[l]);o.useEffect((()=>{g!==A&&I(g??e)}),[g,A,e]);const M=E?[]:[S.sliderInputVertical],P=E?[]:[S.sliderInputFieldVertical];return o.createElement("div",{className:i.cx(S.container,S.slider)},o.createElement(a.Global,{styles:S.tooltip}),o.createElement("div",{className:i.cx(S.sliderInput,...M)},o.createElement(x,{min:e,max:t,step:d,defaultValue:g,value:A,onChange:R,onAfterChange:D,vertical:!E,reverse:c,marks:v,included:m,ariaLabelForHandle:b,disabled:y}),h>0&&o.createElement(u,{className:i.cx(S.sliderInputField,...P,i.css`
                min-width: ${C.spacing(h)};
                width: ${C.spacing(h)};
              `),value:A,onChange:O,min:e,max:t,step:d,"data-testid":w["data-testid"],disabled:y})))};g.displayName="Slider";t.SD=({title:e,actions:t,children:n,isOpen:a=!1,onToggle:s,headerTestId:u,contentTestId:c,fill:d="outline",isInlineContent:f=!1})=>{const p=r.useTheme2(),g=r.useStyles2(l),v="solid"===d,m="outline"===d;return o.createElement("div",{className:i.cx({[g.rootOutline]:m})},o.createElement("div",{className:i.cx(g.header,{[g.headerSolid]:v}),"data-testid":u,onClick:()=>s?.(!a)},o.createElement(r.IconButton,{name:a?"angle-down":"angle-right",tooltip:a?"Collapse":"Expand",className:g.collapseIcon,"aria-expanded":a}),o.createElement("div",{className:g.title},e),t&&o.createElement("div",{className:g.actions,onClick:e=>e.stopPropagation()},t)),a&&o.createElement("div",{style:{padding:f?0:p.spacing(.5)},"data-testid":c},n))},t.Q7=u,t.Ap=g},67:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>N});var r=n(405),o=n(705),i=n(300),a=n(850),l=n(694),s=n(452),u=n.n(s),c=n(273),d=n(358);var f=n(959);const p=f.createContext({min:0,max:0,direction:"ltr",step:1,includedStart:0,includedEnd:0,tabIndex:0,keyboard:!0,styles:{},classNames:{}});var g=n(102),v=n(644),m={MAC_ENTER:3,BACKSPACE:8,TAB:9,NUM_CENTER:12,ENTER:13,SHIFT:16,CTRL:17,ALT:18,PAUSE:19,CAPS_LOCK:20,ESC:27,SPACE:32,PAGE_UP:33,PAGE_DOWN:34,END:35,HOME:36,LEFT:37,UP:38,RIGHT:39,DOWN:40,PRINT_SCREEN:44,INSERT:45,DELETE:46,ZERO:48,ONE:49,TWO:50,THREE:51,FOUR:52,FIVE:53,SIX:54,SEVEN:55,EIGHT:56,NINE:57,QUESTION_MARK:63,A:65,B:66,C:67,D:68,E:69,F:70,G:71,H:72,I:73,J:74,K:75,L:76,M:77,N:78,O:79,P:80,Q:81,R:82,S:83,T:84,U:85,V:86,W:87,X:88,Y:89,Z:90,META:91,WIN_KEY_RIGHT:92,CONTEXT_MENU:93,NUM_ZERO:96,NUM_ONE:97,NUM_TWO:98,NUM_THREE:99,NUM_FOUR:100,NUM_FIVE:101,NUM_SIX:102,NUM_SEVEN:103,NUM_EIGHT:104,NUM_NINE:105,NUM_MULTIPLY:106,NUM_PLUS:107,NUM_MINUS:109,NUM_PERIOD:110,NUM_DIVISION:111,F1:112,F2:113,F3:114,F4:115,F5:116,F6:117,F7:118,F8:119,F9:120,F10:121,F11:122,F12:123,NUMLOCK:144,SEMICOLON:186,DASH:189,EQUALS:187,COMMA:188,PERIOD:190,SLASH:191,APOSTROPHE:192,SINGLE_QUOTE:222,OPEN_SQUARE_BRACKET:219,BACKSLASH:220,CLOSE_SQUARE_BRACKET:221,WIN_KEY:224,MAC_FF_META:224,WIN_IME:229,isTextModifyingKeyEvent:function(e){var t=e.keyCode;if(e.altKey&&!e.ctrlKey||e.metaKey||t>=m.F1&&t<=m.F12)return!1;switch(t){case m.ALT:case m.CAPS_LOCK:case m.CONTEXT_MENU:case m.CTRL:case m.DOWN:case m.END:case m.ESC:case m.HOME:case m.INSERT:case m.LEFT:case m.MAC_FF_META:case m.META:case m.NUMLOCK:case m.NUM_CENTER:case m.PAGE_DOWN:case m.PAGE_UP:case m.PAUSE:case m.PRINT_SCREEN:case m.RIGHT:case m.SHIFT:case m.UP:case m.WIN_KEY:case m.WIN_KEY_RIGHT:return!1;default:return!0}},isCharacterKey:function(e){if(e>=m.ZERO&&e<=m.NINE)return!0;if(e>=m.NUM_ZERO&&e<=m.NUM_MULTIPLY)return!0;if(e>=m.A&&e<=m.Z)return!0;if(-1!==window.navigator.userAgent.indexOf("WebKit")&&0===e)return!0;switch(e){case m.SPACE:case m.QUESTION_MARK:case m.NUM_PLUS:case m.NUM_MINUS:case m.NUM_PERIOD:case m.NUM_DIVISION:case m.SEMICOLON:case m.DASH:case m.EQUALS:case m.COMMA:case m.PERIOD:case m.SLASH:case m.APOSTROPHE:case m.SINGLE_QUOTE:case m.OPEN_SQUARE_BRACKET:case m.BACKSLASH:case m.CLOSE_SQUARE_BRACKET:return!0;default:return!1}}};const h=m;function b(e,t,n){return(e-t)/(n-t)}function y(e,t,n,r){var o=b(t,n,r),i={};switch(e){case"rtl":i.right="".concat(100*o,"%"),i.transform="translateX(50%)";break;case"btt":i.bottom="".concat(100*o,"%"),i.transform="translateY(50%)";break;case"ttb":i.top="".concat(100*o,"%"),i.transform="translateY(-50%)";break;default:i.left="".concat(100*o,"%"),i.transform="translateX(-50%)"}return i}function w(e,t){return Array.isArray(e)?e[t]:e}var E=["prefixCls","value","valueIndex","onStartMove","style","render","dragging","onOffsetChange","onChangeComplete"];const C=f.forwardRef((function(e,t){var n,i,a=e.prefixCls,l=e.value,s=e.valueIndex,c=e.onStartMove,d=e.style,m=e.render,b=e.dragging,C=e.onOffsetChange,S=e.onChangeComplete,x=(0,v.A)(e,E),A=f.useContext(p),I=A.min,R=A.max,O=A.direction,D=A.disabled,M=A.keyboard,P=A.range,N=A.tabIndex,F=A.ariaLabelForHandle,k=A.ariaLabelledByForHandle,B=A.ariaValueTextFormatterForHandle,T=A.styles,_=A.classNames,L="".concat(a,"-handle"),V=function(e){D||c(e,s)},G=y(O,l,I,R),j=f.createElement("div",(0,g.A)({ref:t,className:u()(L,(n={},(0,o.A)(n,"".concat(L,"-").concat(s+1),P),(0,o.A)(n,"".concat(L,"-dragging"),b),n),_.handle),style:(0,r.A)((0,r.A)((0,r.A)({},G),d),T.handle),onMouseDown:V,onTouchStart:V,onKeyDown:function(e){if(!D&&M){var t=null;switch(e.which||e.keyCode){case h.LEFT:t="ltr"===O||"btt"===O?-1:1;break;case h.RIGHT:t="ltr"===O||"btt"===O?1:-1;break;case h.UP:t="ttb"!==O?1:-1;break;case h.DOWN:t="ttb"!==O?-1:1;break;case h.HOME:t="min";break;case h.END:t="max";break;case h.PAGE_UP:t=2;break;case h.PAGE_DOWN:t=-2}null!==t&&(e.preventDefault(),C(t,s))}},onKeyUp:function(e){switch(e.which||e.keyCode){case h.LEFT:case h.RIGHT:case h.UP:case h.DOWN:case h.HOME:case h.END:case h.PAGE_UP:case h.PAGE_DOWN:null==S||S()}},tabIndex:D?null:w(N,s),role:"slider","aria-valuemin":I,"aria-valuemax":R,"aria-valuenow":l,"aria-disabled":D,"aria-label":w(F,s),"aria-labelledby":w(k,s),"aria-valuetext":null===(i=w(B,s))||void 0===i?void 0:i(l),"aria-orientation":"ltr"===O||"rtl"===O?"horizontal":"vertical"},x));return m&&(j=m(j,{index:s,prefixCls:a,value:l,dragging:b})),j}));var S=["prefixCls","style","onStartMove","onOffsetChange","values","handleRender","draggingIndex"];const x=f.forwardRef((function(e,t){var n=e.prefixCls,r=e.style,o=e.onStartMove,i=e.onOffsetChange,a=e.values,l=e.handleRender,s=e.draggingIndex,u=(0,v.A)(e,S),c=f.useRef({});return f.useImperativeHandle(t,(function(){return{focus:function(e){var t;null===(t=c.current[e])||void 0===t||t.focus()}}})),f.createElement(f.Fragment,null,a.map((function(e,t){return f.createElement(C,(0,g.A)({ref:function(e){e?c.current[t]=e:delete c.current[t]},dragging:s===t,prefixCls:n,style:w(r,t),key:t,value:e,valueIndex:t,onStartMove:o,onOffsetChange:i,render:l},u))})))}));function A(e){var t="touches"in e?e.touches[0]:e;return{pageX:t.pageX,pageY:t.pageY}}function I(e){var t=e.prefixCls,n=e.style,i=e.children,a=e.value,l=e.onClick,s=f.useContext(p),c=s.min,d=s.max,g=s.direction,v=s.includedStart,m=s.includedEnd,h=s.included,b="".concat(t,"-text"),w=y(g,a,c,d);return f.createElement("span",{className:u()(b,(0,o.A)({},"".concat(b,"-active"),h&&v<=a&&a<=m)),style:(0,r.A)((0,r.A)({},w),n),onMouseDown:function(e){e.stopPropagation()},onClick:function(){l(a)}},i)}function R(e){var t=e.prefixCls,n=e.marks,r=e.onClick,o="".concat(t,"-mark");return n.length?f.createElement("div",{className:o},n.map((function(e){var t=e.value,n=e.style,i=e.label;return f.createElement(I,{key:t,prefixCls:o,style:n,value:t,onClick:r},i)}))):null}function O(e){var t=e.prefixCls,n=e.value,i=e.style,a=e.activeStyle,l=f.useContext(p),s=l.min,c=l.max,d=l.direction,g=l.included,v=l.includedStart,m=l.includedEnd,h="".concat(t,"-dot"),b=g&&v<=n&&n<=m,w=(0,r.A)((0,r.A)({},y(d,n,s,c)),"function"==typeof i?i(n):i);return b&&(w=(0,r.A)((0,r.A)({},w),"function"==typeof a?a(n):a)),f.createElement("span",{className:u()(h,(0,o.A)({},"".concat(h,"-active"),b)),style:w})}function D(e){var t=e.prefixCls,n=e.marks,r=e.dots,o=e.style,i=e.activeStyle,a=f.useContext(p),l=a.min,s=a.max,u=a.step,c=f.useMemo((function(){var e=new Set;if(n.forEach((function(t){e.add(t.value)})),r&&null!==u)for(var t=l;t<=s;)e.add(t),t+=u;return Array.from(e)}),[l,s,u,r,n]);return f.createElement("div",{className:"".concat(t,"-step")},c.map((function(e){return f.createElement(O,{prefixCls:t,key:e,value:e,style:o,activeStyle:i})})))}function M(e){var t,n=e.prefixCls,i=e.style,a=e.start,l=e.end,s=e.index,c=e.onStartMove,d=e.replaceCls,g=f.useContext(p),v=g.direction,m=g.min,h=g.max,y=g.disabled,w=g.range,E=g.classNames,C="".concat(n,"-track"),S=b(a,m,h),x=b(l,m,h),A=function(e){!y&&c&&c(e,-1)},I={};switch(v){case"rtl":I.right="".concat(100*S,"%"),I.width="".concat(100*x-100*S,"%");break;case"btt":I.bottom="".concat(100*S,"%"),I.height="".concat(100*x-100*S,"%");break;case"ttb":I.top="".concat(100*S,"%"),I.height="".concat(100*x-100*S,"%");break;default:I.left="".concat(100*S,"%"),I.width="".concat(100*x-100*S,"%")}var R=d||u()(C,(t={},(0,o.A)(t,"".concat(C,"-").concat(s+1),null!==s&&w),(0,o.A)(t,"".concat(n,"-track-draggable"),c),t),E.track);return f.createElement("div",{className:R,style:(0,r.A)((0,r.A)({},I),i),onMouseDown:A,onTouchStart:A})}function P(e){var t=e.prefixCls,n=e.style,o=e.values,i=e.startPoint,a=e.onStartMove,l=f.useContext(p),s=l.included,c=l.range,d=l.min,g=l.styles,v=l.classNames,m=f.useMemo((function(){if(!c){if(0===o.length)return[];var e=null!=i?i:d,t=o[0];return[{start:Math.min(e,t),end:Math.max(e,t)}]}for(var n=[],r=0;r<o.length-1;r+=1)n.push({start:o[r],end:o[r+1]});return n}),[o,c,i,d]),h=null;return(v.tracks||g.tracks)&&(h=f.createElement(M,{index:null,prefixCls:t,start:m[0].start,end:m[m.length-1].end,replaceCls:u()(v.tracks,"".concat(t,"-tracks")),style:g.tracks})),s?f.createElement(f.Fragment,null,h,m.map((function(e,o){var i=e.start,l=e.end;return f.createElement(M,{index:o,prefixCls:t,style:(0,r.A)((0,r.A)({},w(n,o)),g.track),start:i,end:l,key:o,onStartMove:a})}))):null}const N=f.forwardRef((function(e,t){var n,s=e.prefixCls,g=void 0===s?"rc-slider":s,v=e.className,m=e.style,h=e.classNames,b=e.styles,y=e.disabled,w=void 0!==y&&y,E=e.keyboard,C=void 0===E||E,S=e.autoFocus,I=e.onFocus,O=e.onBlur,M=e.min,N=void 0===M?0:M,F=e.max,k=void 0===F?100:F,B=e.step,T=void 0===B?1:B,_=e.value,L=e.defaultValue,V=e.range,G=e.count,j=e.onChange,H=e.onBeforeChange,z=e.onAfterChange,$=e.onChangeComplete,U=e.allowCross,W=void 0===U||U,q=e.pushable,X=void 0!==q&&q,Y=e.draggableTrack,K=e.reverse,Q=e.vertical,J=e.included,Z=void 0===J||J,ee=e.startPoint,te=e.trackStyle,ne=e.handleStyle,re=e.railStyle,oe=e.dotStyle,ie=e.activeDotStyle,ae=e.marks,le=e.dots,se=e.handleRender,ue=e.tabIndex,ce=void 0===ue?0:ue,de=e.ariaLabelForHandle,fe=e.ariaLabelledByForHandle,pe=e.ariaValueTextFormatterForHandle,ge=f.useRef(),ve=f.useRef(),me=f.useMemo((function(){return Q?K?"ttb":"btt":K?"rtl":"ltr"}),[K,Q]),he=f.useMemo((function(){return isFinite(N)?N:0}),[N]),be=f.useMemo((function(){return isFinite(k)?k:100}),[k]),ye=f.useMemo((function(){return null!==T&&T<=0?1:T}),[T]),we=f.useMemo((function(){return"boolean"==typeof X?!!X&&ye:X>=0&&X}),[X,ye]),Ee=f.useMemo((function(){return Object.keys(ae||{}).map((function(e){var t=ae[e],n={value:Number(e)};return t&&"object"===(0,l.A)(t)&&!f.isValidElement(t)&&("label"in t||"style"in t)?(n.style=t.style,n.label=t.label):n.label=t,n})).filter((function(e){var t=e.label;return t||"number"==typeof t})).sort((function(e,t){return e.value-t.value}))}),[ae]),Ce=function(e,t,n,r,o,a){var l=f.useCallback((function(n){var r=isFinite(n);return r=Math.min(t,n),Math.max(e,r)}),[e,t]),s=f.useCallback((function(r){if(null!==n){var o=e+Math.round((l(r)-e)/n)*n,i=function(e){return(String(e).split(".")[1]||"").length},a=Math.max(i(n),i(t),i(e)),s=Number(o.toFixed(a));return e<=s&&s<=t?s:null}return null}),[n,e,t,l]),u=f.useCallback((function(o){var i=l(o),a=r.map((function(e){return e.value}));null!==n&&a.push(s(o)),a.push(e,t);var u=a[0],c=t-e;return a.forEach((function(e){var t=Math.abs(i-e);t<=c&&(u=e,c=t)})),u}),[e,t,r,n,l,s]),c=function o(a,l,u){var c=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit";if("number"==typeof l){var d,f=a[u],p=f+l,g=[];r.forEach((function(e){g.push(e.value)})),g.push(e,t),g.push(s(f));var v=l>0?1:-1;"unit"===c?g.push(s(f+v*n)):g.push(s(p)),g=g.filter((function(e){return null!==e})).filter((function(e){return l<0?e<=f:e>=f})),"unit"===c&&(g=g.filter((function(e){return e!==f})));var m="unit"===c?f:p;d=g[0];var h=Math.abs(d-m);if(g.forEach((function(e){var t=Math.abs(e-m);t<h&&(d=e,h=t)})),void 0===d)return l<0?e:t;if("dist"===c)return d;if(Math.abs(l)>1){var b=(0,i.A)(a);return b[u]=d,o(b,l-v,u,c)}return d}return"min"===l?e:"max"===l?t:void 0},d=function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",o=e[n],i=c(e,t,n,r);return{value:i,changed:i!==o}},p=function(e){return null===a&&0===e||"number"==typeof a&&e<a};return[u,function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",i=e.map(u),l=i[n],s=c(i,t,n,r);if(i[n]=s,!1===o){var f=a||0;n>0&&i[n-1]!==l&&(i[n]=Math.max(i[n],i[n-1]+f)),n<i.length-1&&i[n+1]!==l&&(i[n]=Math.min(i[n],i[n+1]-f))}else if("number"==typeof a||null===a){for(var g=n+1;g<i.length;g+=1)for(var v=!0;p(i[g]-i[g-1])&&v;){var m=d(i,1,g);i[g]=m.value,v=m.changed}for(var h=n;h>0;h-=1)for(var b=!0;p(i[h]-i[h-1])&&b;){var y=d(i,-1,h-1);i[h-1]=y.value,b=y.changed}for(var w=i.length-1;w>0;w-=1)for(var E=!0;p(i[w]-i[w-1])&&E;){var C=d(i,-1,w-1);i[w-1]=C.value,E=C.changed}for(var S=0;S<i.length-1;S+=1)for(var x=!0;p(i[S+1]-i[S])&&x;){var A=d(i,1,S+1);i[S+1]=A.value,x=A.changed}}return{value:i[n],values:i}}]}(he,be,ye,Ee,W,we),Se=(0,a.A)(Ce,2),xe=Se[0],Ae=Se[1],Ie=(0,c.A)(L,{value:_}),Re=(0,a.A)(Ie,2),Oe=Re[0],De=Re[1],Me=f.useMemo((function(){var e=null==Oe?[]:Array.isArray(Oe)?Oe:[Oe],t=(0,a.A)(e,1)[0],n=null===Oe?[]:[void 0===t?he:t];if(V){if(n=(0,i.A)(e),G||void 0===Oe){var r=G>=0?G+1:2;for(n=n.slice(0,r);n.length<r;){var o;n.push(null!==(o=n[n.length-1])&&void 0!==o?o:he)}}n.sort((function(e,t){return e-t}))}return n.forEach((function(e,t){n[t]=xe(e)})),n}),[Oe,V,he,G,xe]),Pe=f.useRef(Me);Pe.current=Me;var Ne=function(e){return V?e:e[0]},Fe=function(e){var t=(0,i.A)(e).sort((function(e,t){return e-t}));j&&!function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],r=new Set;return function e(t,o){var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1,a=r.has(t);if((0,d.Ay)(!a,"Warning: There may be circular references"),a)return!1;if(t===o)return!0;if(n&&i>1)return!1;r.add(t);var s=i+1;if(Array.isArray(t)){if(!Array.isArray(o)||t.length!==o.length)return!1;for(var u=0;u<t.length;u++)if(!e(t[u],o[u],s))return!1;return!0}if(t&&o&&"object"===(0,l.A)(t)&&"object"===(0,l.A)(o)){var c=Object.keys(t);return c.length===Object.keys(o).length&&c.every((function(n){return e(t[n],o[n],s)}))}return!1}(e,t)}(t,Pe.current,!0)&&j(Ne(t)),De(t)},ke=function(){null==z||z(Ne(Pe.current)),(0,d.Ay)(!z,"[rc-slider] `onAfterChange` is deprecated. Please use `onChangeComplete` instead."),null==$||$(Ne(Pe.current))},Be=function(e,t,n,r,o,l,s,u,c){var d=f.useState(null),p=(0,a.A)(d,2),g=p[0],v=p[1],m=f.useState(-1),h=(0,a.A)(m,2),b=h[0],y=h[1],w=f.useState(n),E=(0,a.A)(w,2),C=E[0],S=E[1],x=f.useState(n),I=(0,a.A)(x,2),R=I[0],O=I[1],D=f.useRef(null),M=f.useRef(null);f.useEffect((function(){-1===b&&S(n)}),[n,b]),f.useEffect((function(){return function(){document.removeEventListener("mousemove",D.current),document.removeEventListener("mouseup",M.current),document.removeEventListener("touchmove",D.current),document.removeEventListener("touchend",M.current)}}),[]);var P=function(e,t){C.some((function(t,n){return t!==e[n]}))&&(void 0!==t&&v(t),S(e),s(e))},N=function(e,t){if(-1===e){var n=R[0],a=R[R.length-1],s=r-n,u=o-a,d=t*(o-r);d=Math.max(d,s),d=Math.min(d,u);var f=l(n+d);d=f-n;var p=R.map((function(e){return e+d}));P(p)}else{var g=(o-r)*t,v=(0,i.A)(C);v[e]=R[e];var m=c(v,g,e,"dist");P(m.values,m.value)}},F=f.useRef(N);F.current=N;var k=f.useMemo((function(){var e=(0,i.A)(n).sort((function(e,t){return e-t})),t=(0,i.A)(C).sort((function(e,t){return e-t}));return e.every((function(e,n){return e===t[n]}))?C:n}),[n,C]);return[b,g,k,function(r,o,i){r.stopPropagation();var a=i||n,l=a[o];y(o),v(l),O(a);var s=A(r),c=s.pageX,d=s.pageY,f=function(n){n.preventDefault();var r,i=A(n),a=i.pageX,l=i.pageY,s=a-c,u=l-d,f=e.current.getBoundingClientRect(),p=f.width,g=f.height;switch(t){case"btt":r=-u/g;break;case"ttb":r=u/g;break;case"rtl":r=-s/p;break;default:r=s/p}F.current(o,r)},p=function e(t){t.preventDefault(),document.removeEventListener("mouseup",e),document.removeEventListener("mousemove",f),document.removeEventListener("touchend",e),document.removeEventListener("touchmove",f),D.current=null,M.current=null,y(-1),u()};document.addEventListener("mouseup",p),document.addEventListener("mousemove",f),document.addEventListener("touchend",p),document.addEventListener("touchmove",f),D.current=f,M.current=p}]}(ve,me,Me,he,be,xe,Fe,ke,Ae),Te=(0,a.A)(Be,4),_e=Te[0],Le=Te[1],Ve=Te[2],Ge=Te[3],je=function(e,t){if(!w){var n=0,r=be-he;Me.forEach((function(t,o){var i=Math.abs(e-t);i<=r&&(r=i,n=o)}));var o=(0,i.A)(Me);o[n]=e,V&&!Me.length&&void 0===G&&o.push(e),null==H||H(Ne(o)),Fe(o),t&&Ge(t,n,o)}},He=f.useState(null),ze=(0,a.A)(He,2),$e=ze[0],Ue=ze[1];f.useEffect((function(){if(null!==$e){var e=Me.indexOf($e);e>=0&&ge.current.focus(e)}Ue(null)}),[$e]);var We=f.useMemo((function(){return(!Y||null!==ye)&&Y}),[Y,ye]),qe=function(e,t){Ge(e,t),null==H||H(Ne(Pe.current))},Xe=-1!==_e;f.useEffect((function(){if(!Xe){var e=Me.lastIndexOf(Le);ge.current.focus(e)}}),[Xe]);var Ye=f.useMemo((function(){return(0,i.A)(Ve).sort((function(e,t){return e-t}))}),[Ve]),Ke=f.useMemo((function(){return V?[Ye[0],Ye[Ye.length-1]]:[he,Ye[0]]}),[Ye,V,he]),Qe=(0,a.A)(Ke,2),Je=Qe[0],Ze=Qe[1];f.useImperativeHandle(t,(function(){return{focus:function(){ge.current.focus(0)},blur:function(){var e=document.activeElement;ve.current.contains(e)&&(null==e||e.blur())}}})),f.useEffect((function(){S&&ge.current.focus(0)}),[]);var et=f.useMemo((function(){return{min:he,max:be,direction:me,disabled:w,keyboard:C,step:ye,included:Z,includedStart:Je,includedEnd:Ze,range:V,tabIndex:ce,ariaLabelForHandle:de,ariaLabelledByForHandle:fe,ariaValueTextFormatterForHandle:pe,styles:b||{},classNames:h||{}}}),[he,be,me,w,C,ye,Z,Je,Ze,V,ce,de,fe,pe,b,h]);return f.createElement(p.Provider,{value:et},f.createElement("div",{ref:ve,className:u()(g,v,(n={},(0,o.A)(n,"".concat(g,"-disabled"),w),(0,o.A)(n,"".concat(g,"-vertical"),Q),(0,o.A)(n,"".concat(g,"-horizontal"),!Q),(0,o.A)(n,"".concat(g,"-with-marks"),Ee.length),n)),style:m,onMouseDown:function(e){e.preventDefault();var t,n=ve.current.getBoundingClientRect(),r=n.width,o=n.height,i=n.left,a=n.top,l=n.bottom,s=n.right,u=e.clientX,c=e.clientY;switch(me){case"btt":t=(l-c)/o;break;case"ttb":t=(c-a)/o;break;case"rtl":t=(s-u)/r;break;default:t=(u-i)/r}je(xe(he+t*(be-he)),e)}},f.createElement("div",{className:u()("".concat(g,"-rail"),null==h?void 0:h.rail),style:(0,r.A)((0,r.A)({},re),null==b?void 0:b.rail)}),f.createElement(P,{prefixCls:g,style:te,values:Ye,startPoint:ee,onStartMove:We?qe:null}),f.createElement(D,{prefixCls:g,marks:Ee,dots:le,style:oe,activeStyle:ie}),f.createElement(x,{ref:ge,prefixCls:g,style:ne,values:Ve,draggingIndex:_e,onStartMove:qe,onOffsetChange:function(e,t){if(!w){var n=Ae(Me,e,t);null==H||H(Ne(Me)),Fe(n.values),Ue(n.value)}},onFocus:I,onBlur:O,handleRender:se,onChangeComplete:ke}),f.createElement(R,{prefixCls:g,marks:Ee,onClick:je})))}))},450:(e,t,n)=>{"use strict";n.r(t),n.d(t,{Popup:()=>l,default:()=>fn});var r=n(452),o=n.n(r),i=n(959),a=n.n(i);function l(e){var t=e.children,n=e.prefixCls,r=e.id,a=e.overlayInnerStyle,l=e.className,s=e.style;return i.createElement("div",{className:o()("".concat(n,"-content"),l),style:s},i.createElement("div",{className:"".concat(n,"-inner"),id:r,role:"tooltip",style:a},"function"==typeof t?t():t))}var s=n(102),u=n(405),c=n(644),d=n(850),f=n(398),p=n.n(f),g=n(370),v=(n(358),n(694)),m=n(555),h=function(e,t){"function"==typeof e?e(t):"object"===(0,v.A)(e)&&e&&"current"in e&&(e.current=t)},b=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var r=t.filter(Boolean);return r.length<=1?r[0]:function(e){t.forEach((function(t){h(t,e)}))}},y=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return r=function(){return b.apply(void 0,t)},o=t,a=function(e,t){return e.length!==t.length||e.every((function(e,n){return e!==t[n]}))},"value"in(l=i.useRef({})).current&&!a(l.current.condition,o)||(l.current.value=r(),l.current.condition=o),l.current.value;var r,o,a,l},w=function(e){var t,n,r=(0,m.isMemo)(e)?e.type.type:e.type;return!!("function"!=typeof r||null!==(t=r.prototype)&&void 0!==t&&t.render||r.$$typeof===m.ForwardRef)&&!!("function"!=typeof e||null!==(n=e.prototype)&&void 0!==n&&n.render||e.$$typeof===m.ForwardRef)};const E=i.createContext(null);var C=n(300),S=n(697),x=[],A="data-rc-order",I="data-rc-priority",R="rc-util-key",O=new Map;function D(){var e=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).mark;return e?e.startsWith("data-")?e:"data-".concat(e):R}function M(e){return e.attachTo?e.attachTo:document.querySelector("head")||document.body}function P(e){return Array.from((O.get(e)||e).children).filter((function(e){return"STYLE"===e.tagName}))}function N(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!(0,g.A)())return null;var n=t.csp,r=t.prepend,o=t.priority,i=void 0===o?0:o,a=function(e){return"queue"===e?"prependQueue":e?"prepend":"append"}(r),l="prependQueue"===a,s=document.createElement("style");s.setAttribute(A,a),l&&i&&s.setAttribute(I,"".concat(i)),null!=n&&n.nonce&&(s.nonce=null==n?void 0:n.nonce),s.innerHTML=e;var u=M(t),c=u.firstChild;if(r){if(l){var d=(t.styles||P(u)).filter((function(e){if(!["prepend","prependQueue"].includes(e.getAttribute(A)))return!1;var t=Number(e.getAttribute(I)||0);return i>=t}));if(d.length)return u.insertBefore(s,d[d.length-1].nextSibling),s}u.insertBefore(s,c)}else u.appendChild(s);return s}function F(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=M(t);return(t.styles||P(n)).find((function(n){return n.getAttribute(D(t))===e}))}function k(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=F(e,t);n&&M(t).removeChild(n)}function B(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},r=M(n),o=P(r),i=(0,u.A)((0,u.A)({},n),{},{styles:o});!function(e,t){var n=O.get(e);if(!n||!function(e,t){if(!e)return!1;if(e.contains)return e.contains(t);for(var n=t;n;){if(n===e)return!0;n=n.parentNode}return!1}(document,n)){var r=N("",t),o=r.parentNode;O.set(e,o),e.removeChild(r)}}(r,i);var a,l,s,c=F(t,i);if(c)return null!==(a=i.csp)&&void 0!==a&&a.nonce&&c.nonce!==(null===(l=i.csp)||void 0===l?void 0:l.nonce)&&(c.nonce=null===(s=i.csp)||void 0===s?void 0:s.nonce),c.innerHTML!==e&&(c.innerHTML=e),c;var d=N(e,i);return d.setAttribute(D(i),t),d}var T="rc-util-locker-".concat(Date.now()),_=0;function L(e){var t=!!e,n=i.useState((function(){return _+=1,"".concat(T,"_").concat(_)})),r=(0,d.A)(n,1)[0];(0,S.A)((function(){if(t){var e=(o=document.body,"undefined"!=typeof document&&o&&o instanceof Element?function(e){var t="rc-scrollbar-measure-".concat(Math.random().toString(36).substring(7)),n=document.createElement("div");n.id=t;var r,o,i=n.style;if(i.position="absolute",i.left="0",i.top="0",i.width="100px",i.height="100px",i.overflow="scroll",e){var a=getComputedStyle(e);i.scrollbarColor=a.scrollbarColor,i.scrollbarWidth=a.scrollbarWidth;var l=getComputedStyle(e,"::-webkit-scrollbar"),s=parseInt(l.width,10),u=parseInt(l.height,10);try{var c=s?"width: ".concat(l.width,";"):"",d=u?"height: ".concat(l.height,";"):"";B("\n#".concat(t,"::-webkit-scrollbar {\n").concat(c,"\n").concat(d,"\n}"),t)}catch(e){console.error(e),r=s,o=u}}document.body.appendChild(n);var f=e&&r&&!isNaN(r)?r:n.offsetWidth-n.clientWidth,p=e&&o&&!isNaN(o)?o:n.offsetHeight-n.clientHeight;return document.body.removeChild(n),k(t),{width:f,height:p}}(o):{width:0,height:0}).width,n=document.body.scrollHeight>(window.innerHeight||document.documentElement.clientHeight)&&window.innerWidth>document.body.offsetWidth;B("\nhtml body {\n  overflow-y: hidden;\n  ".concat(n?"width: calc(100% - ".concat(e,"px);"):"","\n}"),r)}else k(r);var o;return function(){k(r)}}),[t,r])}var V=!1,G=function(e){return!1!==e&&((0,g.A)()&&e?"string"==typeof e?document.querySelector(e):"function"==typeof e?e():e:null)},j=i.forwardRef((function(e,t){var n=e.open,r=e.autoLock,o=e.getContainer,a=(e.debug,e.autoDestroy),l=void 0===a||a,s=e.children,u=i.useState(n),c=(0,d.A)(u,2),p=c[0],v=c[1],m=p||n;i.useEffect((function(){(l||n)&&v(n)}),[n,l]);var h=i.useState((function(){return G(o)})),b=(0,d.A)(h,2),A=b[0],I=b[1];i.useEffect((function(){var e=G(o);I(null!=e?e:null)}));var R=function(e,t){var n=i.useState((function(){return(0,g.A)()?document.createElement("div"):null})),r=(0,d.A)(n,1)[0],o=i.useRef(!1),a=i.useContext(E),l=i.useState(x),s=(0,d.A)(l,2),u=s[0],c=s[1],f=a||(o.current?void 0:function(e){c((function(t){return[e].concat((0,C.A)(t))}))});function p(){r.parentElement||document.body.appendChild(r),o.current=!0}function v(){var e;null===(e=r.parentElement)||void 0===e||e.removeChild(r),o.current=!1}return(0,S.A)((function(){return e?a?a(p):p():v(),v}),[e]),(0,S.A)((function(){u.length&&(u.forEach((function(e){return e()})),c(x))}),[u]),[r,f]}(m&&!A),O=(0,d.A)(R,2),D=O[0],M=O[1],P=null!=A?A:D;L(r&&n&&(0,g.A)()&&(P===D||P===document.body));var N=null;s&&w(s)&&t&&(N=s.ref);var F=y(N,t);if(!m||!(0,g.A)()||void 0===A)return null;var k=!1===P||V,B=s;return t&&(B=i.cloneElement(s,{ref:F})),i.createElement(E.Provider,{value:M},k?B:(0,f.createPortal)(B,P))}));const H=j;function z(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=[];return a().Children.forEach(e,(function(e){(null!=e||t.keepEmpty)&&(Array.isArray(e)?n=n.concat(z(e)):(0,m.isFragment)(e)&&e.props?n=n.concat(z(e.props.children,t)):n.push(e))})),n}function $(e){return e instanceof HTMLElement||e instanceof SVGElement}function U(e){var t,n=function(e){return e&&"object"===(0,v.A)(e)&&$(e.nativeElement)?e.nativeElement:$(e)?e:null}(e);return n||(e instanceof a().Component?null===(t=p().findDOMNode)||void 0===t?void 0:t.call(p(),e):null)}var W=i.createContext(null),q=function(){if("undefined"!=typeof Map)return Map;function e(e,t){var n=-1;return e.some((function(e,r){return e[0]===t&&(n=r,!0)})),n}return function(){function t(){this.__entries__=[]}return Object.defineProperty(t.prototype,"size",{get:function(){return this.__entries__.length},enumerable:!0,configurable:!0}),t.prototype.get=function(t){var n=e(this.__entries__,t),r=this.__entries__[n];return r&&r[1]},t.prototype.set=function(t,n){var r=e(this.__entries__,t);~r?this.__entries__[r][1]=n:this.__entries__.push([t,n])},t.prototype.delete=function(t){var n=this.__entries__,r=e(n,t);~r&&n.splice(r,1)},t.prototype.has=function(t){return!!~e(this.__entries__,t)},t.prototype.clear=function(){this.__entries__.splice(0)},t.prototype.forEach=function(e,t){void 0===t&&(t=null);for(var n=0,r=this.__entries__;n<r.length;n++){var o=r[n];e.call(t,o[1],o[0])}},t}()}(),X="undefined"!=typeof window&&"undefined"!=typeof document&&window.document===document,Y=void 0!==n.g&&n.g.Math===Math?n.g:"undefined"!=typeof self&&self.Math===Math?self:"undefined"!=typeof window&&window.Math===Math?window:Function("return this")(),K="function"==typeof requestAnimationFrame?requestAnimationFrame.bind(Y):function(e){return setTimeout((function(){return e(Date.now())}),1e3/60)},Q=["top","right","bottom","left","width","height","size","weight"],J="undefined"!=typeof MutationObserver,Z=function(){function e(){this.connected_=!1,this.mutationEventsAdded_=!1,this.mutationsObserver_=null,this.observers_=[],this.onTransitionEnd_=this.onTransitionEnd_.bind(this),this.refresh=function(e,t){var n=!1,r=!1,o=0;function i(){n&&(n=!1,e()),r&&l()}function a(){K(i)}function l(){var e=Date.now();if(n){if(e-o<2)return;r=!0}else n=!0,r=!1,setTimeout(a,t);o=e}return l}(this.refresh.bind(this),20)}return e.prototype.addObserver=function(e){~this.observers_.indexOf(e)||this.observers_.push(e),this.connected_||this.connect_()},e.prototype.removeObserver=function(e){var t=this.observers_,n=t.indexOf(e);~n&&t.splice(n,1),!t.length&&this.connected_&&this.disconnect_()},e.prototype.refresh=function(){this.updateObservers_()&&this.refresh()},e.prototype.updateObservers_=function(){var e=this.observers_.filter((function(e){return e.gatherActive(),e.hasActive()}));return e.forEach((function(e){return e.broadcastActive()})),e.length>0},e.prototype.connect_=function(){X&&!this.connected_&&(document.addEventListener("transitionend",this.onTransitionEnd_),window.addEventListener("resize",this.refresh),J?(this.mutationsObserver_=new MutationObserver(this.refresh),this.mutationsObserver_.observe(document,{attributes:!0,childList:!0,characterData:!0,subtree:!0})):(document.addEventListener("DOMSubtreeModified",this.refresh),this.mutationEventsAdded_=!0),this.connected_=!0)},e.prototype.disconnect_=function(){X&&this.connected_&&(document.removeEventListener("transitionend",this.onTransitionEnd_),window.removeEventListener("resize",this.refresh),this.mutationsObserver_&&this.mutationsObserver_.disconnect(),this.mutationEventsAdded_&&document.removeEventListener("DOMSubtreeModified",this.refresh),this.mutationsObserver_=null,this.mutationEventsAdded_=!1,this.connected_=!1)},e.prototype.onTransitionEnd_=function(e){var t=e.propertyName,n=void 0===t?"":t;Q.some((function(e){return!!~n.indexOf(e)}))&&this.refresh()},e.getInstance=function(){return this.instance_||(this.instance_=new e),this.instance_},e.instance_=null,e}(),ee=function(e,t){for(var n=0,r=Object.keys(t);n<r.length;n++){var o=r[n];Object.defineProperty(e,o,{value:t[o],enumerable:!1,writable:!1,configurable:!0})}return e},te=function(e){return e&&e.ownerDocument&&e.ownerDocument.defaultView||Y},ne=le(0,0,0,0);function re(e){return parseFloat(e)||0}function oe(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.reduce((function(t,n){return t+re(e["border-"+n+"-width"])}),0)}var ie="undefined"!=typeof SVGGraphicsElement?function(e){return e instanceof te(e).SVGGraphicsElement}:function(e){return e instanceof te(e).SVGElement&&"function"==typeof e.getBBox};function ae(e){return X?ie(e)?function(e){var t=e.getBBox();return le(0,0,t.width,t.height)}(e):function(e){var t=e.clientWidth,n=e.clientHeight;if(!t&&!n)return ne;var r=te(e).getComputedStyle(e),o=function(e){for(var t={},n=0,r=["top","right","bottom","left"];n<r.length;n++){var o=r[n],i=e["padding-"+o];t[o]=re(i)}return t}(r),i=o.left+o.right,a=o.top+o.bottom,l=re(r.width),s=re(r.height);if("border-box"===r.boxSizing&&(Math.round(l+i)!==t&&(l-=oe(r,"left","right")+i),Math.round(s+a)!==n&&(s-=oe(r,"top","bottom")+a)),!function(e){return e===te(e).document.documentElement}(e)){var u=Math.round(l+i)-t,c=Math.round(s+a)-n;1!==Math.abs(u)&&(l-=u),1!==Math.abs(c)&&(s-=c)}return le(o.left,o.top,l,s)}(e):ne}function le(e,t,n,r){return{x:e,y:t,width:n,height:r}}var se=function(){function e(e){this.broadcastWidth=0,this.broadcastHeight=0,this.contentRect_=le(0,0,0,0),this.target=e}return e.prototype.isActive=function(){var e=ae(this.target);return this.contentRect_=e,e.width!==this.broadcastWidth||e.height!==this.broadcastHeight},e.prototype.broadcastRect=function(){var e=this.contentRect_;return this.broadcastWidth=e.width,this.broadcastHeight=e.height,e},e}(),ue=function(e,t){var n,r,o,i,a,l,s,u=(r=(n=t).x,o=n.y,i=n.width,a=n.height,l="undefined"!=typeof DOMRectReadOnly?DOMRectReadOnly:Object,s=Object.create(l.prototype),ee(s,{x:r,y:o,width:i,height:a,top:o,right:r+i,bottom:a+o,left:r}),s);ee(this,{target:e,contentRect:u})},ce=function(){function e(e,t,n){if(this.activeObservations_=[],this.observations_=new q,"function"!=typeof e)throw new TypeError("The callback provided as parameter 1 is not a function.");this.callback_=e,this.controller_=t,this.callbackCtx_=n}return e.prototype.observe=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof te(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)||(t.set(e,new se(e)),this.controller_.addObserver(this),this.controller_.refresh())}},e.prototype.unobserve=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof te(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)&&(t.delete(e),t.size||this.controller_.removeObserver(this))}},e.prototype.disconnect=function(){this.clearActive(),this.observations_.clear(),this.controller_.removeObserver(this)},e.prototype.gatherActive=function(){var e=this;this.clearActive(),this.observations_.forEach((function(t){t.isActive()&&e.activeObservations_.push(t)}))},e.prototype.broadcastActive=function(){if(this.hasActive()){var e=this.callbackCtx_,t=this.activeObservations_.map((function(e){return new ue(e.target,e.broadcastRect())}));this.callback_.call(e,t,e),this.clearActive()}},e.prototype.clearActive=function(){this.activeObservations_.splice(0)},e.prototype.hasActive=function(){return this.activeObservations_.length>0},e}(),de="undefined"!=typeof WeakMap?new WeakMap:new q,fe=function e(t){if(!(this instanceof e))throw new TypeError("Cannot call a class as a function.");if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");var n=Z.getInstance(),r=new ce(t,n,this);de.set(this,r)};["observe","unobserve","disconnect"].forEach((function(e){fe.prototype[e]=function(){var t;return(t=de.get(this))[e].apply(t,arguments)}}));const pe=void 0!==Y.ResizeObserver?Y.ResizeObserver:fe;var ge=new Map,ve=new pe((function(e){e.forEach((function(e){var t,n=e.target;null===(t=ge.get(n))||void 0===t||t.forEach((function(e){return e(n)}))}))}));function me(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}var he=n(162);function be(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,(0,he.A)(r.key),r)}}function ye(e,t,n){return t&&be(e.prototype,t),n&&be(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}var we=n(576);function Ee(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&(0,we.A)(e,t)}function Ce(e){return Ce=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},Ce(e)}function Se(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Se=function(){return!!e})()}function xe(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function Ae(e){var t=Se();return function(){var n,r=Ce(e);if(t){var o=Ce(this).constructor;n=Reflect.construct(r,arguments,o)}else n=r.apply(this,arguments);return function(e,t){if(t&&("object"==(0,v.A)(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return xe(e)}(this,n)}}var Ie=function(e){Ee(n,e);var t=Ae(n);function n(){return me(this,n),t.apply(this,arguments)}return ye(n,[{key:"render",value:function(){return this.props.children}}]),n}(i.Component);function Re(e,t){var n=e.children,r=e.disabled,o=i.useRef(null),a=i.useRef(null),l=i.useContext(W),s="function"==typeof n,c=s?n(o):n,d=i.useRef({width:-1,height:-1,offsetWidth:-1,offsetHeight:-1}),f=!s&&i.isValidElement(c)&&w(c),p=f?c.ref:null,g=y(p,o),m=function(){var e;return U(o.current)||(o.current&&"object"===(0,v.A)(o.current)?U(null===(e=o.current)||void 0===e?void 0:e.nativeElement):null)||U(a.current)};i.useImperativeHandle(t,(function(){return m()}));var h=i.useRef(e);h.current=e;var b=i.useCallback((function(e){var t=h.current,n=t.onResize,r=t.data,o=e.getBoundingClientRect(),i=o.width,a=o.height,s=e.offsetWidth,c=e.offsetHeight,f=Math.floor(i),p=Math.floor(a);if(d.current.width!==f||d.current.height!==p||d.current.offsetWidth!==s||d.current.offsetHeight!==c){var g={width:f,height:p,offsetWidth:s,offsetHeight:c};d.current=g;var v=s===Math.round(i)?i:s,m=c===Math.round(a)?a:c,b=(0,u.A)((0,u.A)({},g),{},{offsetWidth:v,offsetHeight:m});null==l||l(b,e,r),n&&Promise.resolve().then((function(){n(b,e)}))}}),[]);return i.useEffect((function(){var e,t,n=m();return n&&!r&&(e=n,t=b,ge.has(e)||(ge.set(e,new Set),ve.observe(e)),ge.get(e).add(t)),function(){return function(e,t){ge.has(e)&&(ge.get(e).delete(t),ge.get(e).size||(ve.unobserve(e),ge.delete(e)))}(n,b)}}),[o.current,r]),i.createElement(Ie,{ref:a},f?i.cloneElement(c,{ref:g}):c)}const Oe=i.forwardRef(Re);function De(e,t){var n=e.children;return("function"==typeof n?[n]:z(n)).map((function(n,r){var o=(null==n?void 0:n.key)||"".concat("rc-observer-key","-").concat(r);return i.createElement(Oe,(0,s.A)({},e,{key:o,ref:0===r?t:void 0}),n)}))}var Me=i.forwardRef(De);Me.Collection=function(e){var t=e.children,n=e.onBatchResize,r=i.useRef(0),o=i.useRef([]),a=i.useContext(W),l=i.useCallback((function(e,t,i){r.current+=1;var l=r.current;o.current.push({size:e,element:t,data:i}),Promise.resolve().then((function(){l===r.current&&(null==n||n(o.current),o.current=[])})),null==a||a(e,t,i)}),[n,a]);return i.createElement(W.Provider,{value:l},t)};const Pe=Me;function Ne(e){var t;return null==e||null===(t=e.getRootNode)||void 0===t?void 0:t.call(e)}function Fe(e){return function(e){return Ne(e)instanceof ShadowRoot}(e)?Ne(e):null}var ke=n(728),Be=0,Te=(0,u.A)({},i).useId;const _e=Te?function(e){var t=Te();return e||t}:function(e){var t=i.useState("ssr-id"),n=(0,d.A)(t,2),r=n[0],o=n[1];return i.useEffect((function(){var e=Be;Be+=1,o("rc_unique_".concat(e))}),[]),e||r};var Le=n(705),Ve=i.createContext({}),Ge=function(e){Ee(n,e);var t=Ae(n);function n(){return me(this,n),t.apply(this,arguments)}return ye(n,[{key:"render",value:function(){return this.props.children}}]),n}(i.Component);const je=Ge;n(273),"undefined"==typeof Reflect?Object.keys:Reflect.ownKeys;var He=n(773),ze="none",$e="appear",Ue="enter",We="leave",qe="none",Xe="prepare",Ye="start",Ke="active",Qe="end",Je="prepared";function Ze(e,t){var n={};return n[e.toLowerCase()]=t.toLowerCase(),n["Webkit".concat(e)]="webkit".concat(t),n["Moz".concat(e)]="moz".concat(t),n["ms".concat(e)]="MS".concat(t),n["O".concat(e)]="o".concat(t.toLowerCase()),n}var et,tt,nt,rt=(et=(0,g.A)(),tt="undefined"!=typeof window?window:{},nt={animationend:Ze("Animation","AnimationEnd"),transitionend:Ze("Transition","TransitionEnd")},et&&("AnimationEvent"in tt||delete nt.animationend.animation,"TransitionEvent"in tt||delete nt.transitionend.transition),nt),ot={};if((0,g.A)()){var it=document.createElement("div");ot=it.style}var at={};function lt(e){if(at[e])return at[e];var t=rt[e];if(t)for(var n=Object.keys(t),r=n.length,o=0;o<r;o+=1){var i=n[o];if(Object.prototype.hasOwnProperty.call(t,i)&&i in ot)return at[e]=t[i],at[e]}return""}var st=lt("animationend"),ut=lt("transitionend"),ct=!(!st||!ut),dt=st||"animationend",ft=ut||"transitionend";function pt(e,t){return e?"object"===(0,v.A)(e)?e[t.replace(/-\w/g,(function(e){return e[1].toUpperCase()}))]:"".concat(e,"-").concat(t):null}const gt=(0,g.A)()?i.useLayoutEffect:i.useEffect;var vt=function(e){return+setTimeout(e,16)},mt=function(e){return clearTimeout(e)};"undefined"!=typeof window&&"requestAnimationFrame"in window&&(vt=function(e){return window.requestAnimationFrame(e)},mt=function(e){return window.cancelAnimationFrame(e)});var ht=0,bt=new Map;function yt(e){bt.delete(e)}var wt=function(e){var t=ht+=1;return function n(r){if(0===r)yt(t),e();else{var o=vt((function(){n(r-1)}));bt.set(t,o)}}(arguments.length>1&&void 0!==arguments[1]?arguments[1]:1),t};wt.cancel=function(e){var t=bt.get(e);return yt(e),mt(t)};const Et=wt;var Ct=[Xe,Ye,Ke,Qe],St=[Xe,Je],xt=!1;function At(e){return e===Ke||e===Qe}const It=function(e){var t=e;"object"===(0,v.A)(e)&&(t=e.transitionSupport);var n=i.forwardRef((function(e,n){var r=e.visible,a=void 0===r||r,l=e.removeOnLeave,s=void 0===l||l,c=e.forceRender,f=e.children,p=e.motionName,g=e.leavedClassName,v=e.eventProps,m=function(e,n){return!(!e.motionName||!t||!1===n)}(e,i.useContext(Ve).motion),b=(0,i.useRef)(),y=(0,i.useRef)(),E=function(e,t,n,r){var o=r.motionEnter,a=void 0===o||o,l=r.motionAppear,s=void 0===l||l,c=r.motionLeave,f=void 0===c||c,p=r.motionDeadline,g=r.motionLeaveImmediately,v=r.onAppearPrepare,m=r.onEnterPrepare,h=r.onLeavePrepare,w=r.onAppearStart,E=r.onEnterStart,C=r.onLeaveStart,S=r.onAppearActive,x=r.onEnterActive,A=r.onLeaveActive,I=r.onAppearEnd,R=r.onEnterEnd,O=r.onLeaveEnd,D=r.onVisibleChanged,M=(0,He.A)(),P=(0,d.A)(M,2),N=P[0],F=P[1],k=(0,He.A)(ze),B=(0,d.A)(k,2),T=B[0],_=B[1],L=(0,He.A)(null),V=(0,d.A)(L,2),G=V[0],j=V[1],H=(0,i.useRef)(!1),z=(0,i.useRef)(null);function $(){return function(){try{return b.current instanceof HTMLElement?b.current:U(y.current)}catch(e){return null}}()}var W=(0,i.useRef)(!1);function q(){_(ze,!0),j(null,!0)}var X=(0,ke.A)((function(e){if(T!==ze){var t=$();if(!e||e.deadline||e.target===t){var n,r=W.current;T===$e&&r?n=null==I?void 0:I(t,e):T===Ue&&r?n=null==R?void 0:R(t,e):T===We&&r&&(n=null==O?void 0:O(t,e)),r&&!1!==n&&q()}}})),Y=function(e){var t=(0,i.useRef)();function n(t){t&&(t.removeEventListener(ft,e),t.removeEventListener(dt,e))}return i.useEffect((function(){return function(){n(t.current)}}),[]),[function(r){t.current&&t.current!==r&&n(t.current),r&&r!==t.current&&(r.addEventListener(ft,e),r.addEventListener(dt,e),t.current=r)},n]}(X),K=(0,d.A)(Y,1)[0],Q=function(e){switch(e){case $e:return(0,Le.A)((0,Le.A)((0,Le.A)({},Xe,v),Ye,w),Ke,S);case Ue:return(0,Le.A)((0,Le.A)((0,Le.A)({},Xe,m),Ye,E),Ke,x);case We:return(0,Le.A)((0,Le.A)((0,Le.A)({},Xe,h),Ye,C),Ke,A);default:return{}}},J=i.useMemo((function(){return Q(T)}),[T]),Z=function(e,t,n){var r=(0,He.A)(qe),o=(0,d.A)(r,2),a=o[0],l=o[1],s=function(){var e=i.useRef(null);function t(){Et.cancel(e.current)}return i.useEffect((function(){return function(){t()}}),[]),[function n(r){var o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:2;t();var i=Et((function(){o<=1?r({isCanceled:function(){return i!==e.current}}):n(r,o-1)}));e.current=i},t]}(),u=(0,d.A)(s,2),c=u[0],f=u[1],p=t?St:Ct;return gt((function(){if(a!==qe&&a!==Qe){var e=p.indexOf(a),t=p[e+1],r=n(a);r===xt?l(t,!0):t&&c((function(e){function n(){e.isCanceled()||l(t,!0)}!0===r?n():Promise.resolve(r).then(n)}))}}),[e,a]),i.useEffect((function(){return function(){f()}}),[]),[function(){l(Xe,!0)},a]}(T,!e,(function(e){if(e===Xe){var t=J[Xe];return t?t($()):xt}var n;return ne in J&&j((null===(n=J[ne])||void 0===n?void 0:n.call(J,$(),null))||null),ne===Ke&&T!==ze&&(K($()),p>0&&(clearTimeout(z.current),z.current=setTimeout((function(){X({deadline:!0})}),p))),ne===Je&&q(),true})),ee=(0,d.A)(Z,2),te=ee[0],ne=ee[1],re=At(ne);W.current=re,gt((function(){F(t);var n,r=H.current;H.current=!0,!r&&t&&s&&(n=$e),r&&t&&a&&(n=Ue),(r&&!t&&f||!r&&g&&!t&&f)&&(n=We);var o=Q(n);n&&(e||o[Xe])?(_(n),te()):_(ze)}),[t]),(0,i.useEffect)((function(){(T===$e&&!s||T===Ue&&!a||T===We&&!f)&&_(ze)}),[s,a,f]),(0,i.useEffect)((function(){return function(){H.current=!1,clearTimeout(z.current)}}),[]);var oe=i.useRef(!1);(0,i.useEffect)((function(){N&&(oe.current=!0),void 0!==N&&T===ze&&((oe.current||N)&&(null==D||D(N)),oe.current=!0)}),[N,T]);var ie=G;return J[Xe]&&ne===Ye&&(ie=(0,u.A)({transition:"none"},ie)),[T,ne,ie,null!=N?N:t]}(m,a,0,e),C=(0,d.A)(E,4),S=C[0],x=C[1],A=C[2],I=C[3],R=i.useRef(I);I&&(R.current=!0);var O,D=i.useCallback((function(e){b.current=e,h(n,e)}),[n]),M=(0,u.A)((0,u.A)({},v),{},{visible:a});if(f)if(S===ze)O=I?f((0,u.A)({},M),D):!s&&R.current&&g?f((0,u.A)((0,u.A)({},M),{},{className:g}),D):c||!s&&!g?f((0,u.A)((0,u.A)({},M),{},{style:{display:"none"}}),D):null;else{var P;x===Xe?P="prepare":At(x)?P="active":x===Ye&&(P="start");var N=pt(p,"".concat(S,"-").concat(P));O=f((0,u.A)((0,u.A)({},M),{},{className:o()(pt(p,S),(0,Le.A)((0,Le.A)({},N,N&&P),p,"string"==typeof p)),style:A}),D)}else O=null;return i.isValidElement(O)&&w(O)&&(O.ref||(O=i.cloneElement(O,{ref:D}))),i.createElement(je,{ref:y},O)}));return n.displayName="CSSMotion",n}(ct);var Rt="add",Ot="keep",Dt="remove",Mt="removed";function Pt(e){var t;return t=e&&"object"===(0,v.A)(e)&&"key"in e?e:{key:e},(0,u.A)((0,u.A)({},t),{},{key:String(t.key)})}function Nt(){return(arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).map(Pt)}var Ft=["component","children","onVisibleChanged","onAllRemoved"],kt=["status"],Bt=["eventProps","visible","children","motionName","motionAppear","motionEnter","motionLeave","motionLeaveImmediately","motionDeadline","removeOnLeave","leavedClassName","onAppearPrepare","onAppearStart","onAppearActive","onAppearEnd","onEnterStart","onEnterActive","onEnterEnd","onLeaveStart","onLeaveActive","onLeaveEnd"];!function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:It,n=function(e){Ee(r,e);var n=Ae(r);function r(){var e;me(this,r);for(var t=arguments.length,o=new Array(t),i=0;i<t;i++)o[i]=arguments[i];return e=n.call.apply(n,[this].concat(o)),(0,Le.A)(xe(e),"state",{keyEntities:[]}),(0,Le.A)(xe(e),"removeKey",(function(t){var n=e.state.keyEntities.map((function(e){return e.key!==t?e:(0,u.A)((0,u.A)({},e),{},{status:Mt})}));return e.setState({keyEntities:n}),n.filter((function(e){return e.status!==Mt})).length})),e}return ye(r,[{key:"render",value:function(){var e=this,n=this.state.keyEntities,r=this.props,o=r.component,a=r.children,l=r.onVisibleChanged,d=r.onAllRemoved,f=(0,c.A)(r,Ft),p=o||i.Fragment,g={};return Bt.forEach((function(e){g[e]=f[e],delete f[e]})),delete f.keys,i.createElement(p,f,n.map((function(n,r){var o=n.status,f=(0,c.A)(n,kt),p=o===Rt||o===Ot;return i.createElement(t,(0,s.A)({},g,{key:f.key,visible:p,eventProps:f,onVisibleChanged:function(t){null==l||l(t,{key:f.key}),t||0===e.removeKey(f.key)&&d&&d()}}),(function(e,t){return a((0,u.A)((0,u.A)({},e),{},{index:r}),t)}))})))}}],[{key:"getDerivedStateFromProps",value:function(e,t){var n=e.keys,r=t.keyEntities,o=Nt(n),i=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],n=[],r=0,o=t.length,i=Nt(e),a=Nt(t);i.forEach((function(e){for(var t=!1,i=r;i<o;i+=1){var l=a[i];if(l.key===e.key){r<i&&(n=n.concat(a.slice(r,i).map((function(e){return(0,u.A)((0,u.A)({},e),{},{status:Rt})}))),r=i),n.push((0,u.A)((0,u.A)({},l),{},{status:Ot})),r+=1,t=!0;break}}t||n.push((0,u.A)((0,u.A)({},e),{},{status:Dt}))})),r<o&&(n=n.concat(a.slice(r).map((function(e){return(0,u.A)((0,u.A)({},e),{},{status:Rt})}))));var l={};return n.forEach((function(e){var t=e.key;l[t]=(l[t]||0)+1})),Object.keys(l).filter((function(e){return l[e]>1})).forEach((function(e){(n=n.filter((function(t){var n=t.key,r=t.status;return n!==e||r!==Dt}))).forEach((function(t){t.key===e&&(t.status=Ot)}))})),n}(r,o);return{keyEntities:i.filter((function(e){var t=r.find((function(t){var n=t.key;return e.key===n}));return!t||t.status!==Mt||e.status!==Dt}))}}}]),r}(i.Component);(0,Le.A)(n,"defaultProps",{component:"div"})}(ct);const Tt=It;function _t(e){var t=e.prefixCls,n=e.align,r=e.arrow,a=e.arrowPos,l=r||{},s=l.className,u=l.content,c=a.x,d=void 0===c?0:c,f=a.y,p=void 0===f?0:f,g=i.useRef();if(!n||!n.points)return null;var v={position:"absolute"};if(!1!==n.autoArrow){var m=n.points[0],h=n.points[1],b=m[0],y=m[1],w=h[0],E=h[1];b!==w&&["t","b"].includes(b)?"t"===b?v.top=0:v.bottom=0:v.top=p,y!==E&&["l","r"].includes(y)?"l"===y?v.left=0:v.right=0:v.left=d}return i.createElement("div",{ref:g,className:o()("".concat(t,"-arrow"),s),style:v},u)}function Lt(e){var t=e.prefixCls,n=e.open,r=e.zIndex,a=e.mask,l=e.motion;return a?i.createElement(Tt,(0,s.A)({},l,{motionAppear:!0,visible:n,removeOnLeave:!0}),(function(e){var n=e.className;return i.createElement("div",{style:{zIndex:r},className:o()("".concat(t,"-mask"),n)})})):null}const Vt=i.memo((function(e){return e.children}),(function(e,t){return t.cache}));var Gt=i.forwardRef((function(e,t){var n=e.popup,r=e.className,a=e.prefixCls,l=e.style,c=e.target,f=e.onVisibleChanged,p=e.open,g=e.keepDom,v=e.fresh,m=e.onClick,h=e.mask,y=e.arrow,w=e.arrowPos,E=e.align,C=e.motion,x=e.maskMotion,A=e.forceRender,I=e.getPopupContainer,R=e.autoDestroy,O=e.portal,D=e.zIndex,M=e.onMouseEnter,P=e.onMouseLeave,N=e.onPointerEnter,F=e.ready,k=e.offsetX,B=e.offsetY,T=e.offsetR,_=e.offsetB,L=e.onAlign,V=e.onPrepare,G=e.stretch,j=e.targetWidth,H=e.targetHeight,z="function"==typeof n?n():n,$=p||g,U=(null==I?void 0:I.length)>0,W=i.useState(!I||!U),q=(0,d.A)(W,2),X=q[0],Y=q[1];if((0,S.A)((function(){!X&&U&&c&&Y(!0)}),[X,U,c]),!X)return null;var K="auto",Q={left:"-1000vw",top:"-1000vh",right:K,bottom:K};if(F||!p){var J,Z=E.points,ee=E.dynamicInset||(null===(J=E._experimental)||void 0===J?void 0:J.dynamicInset),te=ee&&"r"===Z[0][1],ne=ee&&"b"===Z[0][0];te?(Q.right=T,Q.left=K):(Q.left=k,Q.right=K),ne?(Q.bottom=_,Q.top=K):(Q.top=B,Q.bottom=K)}var re={};return G&&(G.includes("height")&&H?re.height=H:G.includes("minHeight")&&H&&(re.minHeight=H),G.includes("width")&&j?re.width=j:G.includes("minWidth")&&j&&(re.minWidth=j)),p||(re.pointerEvents="none"),i.createElement(O,{open:A||$,getContainer:I&&function(){return I(c)},autoDestroy:R},i.createElement(Lt,{prefixCls:a,open:p,zIndex:D,mask:h,motion:x}),i.createElement(Pe,{onResize:L,disabled:!p},(function(e){return i.createElement(Tt,(0,s.A)({motionAppear:!0,motionEnter:!0,motionLeave:!0,removeOnLeave:!1,forceRender:A,leavedClassName:"".concat(a,"-hidden")},C,{onAppearPrepare:V,onEnterPrepare:V,visible:p,onVisibleChanged:function(e){var t;null==C||null===(t=C.onVisibleChanged)||void 0===t||t.call(C,e),f(e)}}),(function(n,s){var c=n.className,d=n.style,f=o()(a,c,r);return i.createElement("div",{ref:b(e,t,s),className:f,style:(0,u.A)((0,u.A)((0,u.A)((0,u.A)({"--arrow-x":"".concat(w.x||0,"px"),"--arrow-y":"".concat(w.y||0,"px")},Q),re),d),{},{boxSizing:"border-box",zIndex:D},l),onMouseEnter:M,onMouseLeave:P,onPointerEnter:N,onClick:m},y&&i.createElement(_t,{prefixCls:a,arrow:y,arrowPos:w,align:E}),i.createElement(Vt,{cache:!p&&!v},z))}))})))}));const jt=Gt,Ht=i.forwardRef((function(e,t){var n=e.children,r=e.getTriggerDOMNode,o=w(n),a=i.useCallback((function(e){h(t,r?r(e):e)}),[r]),l=y(a,n.ref);return o?i.cloneElement(n,{ref:l}):n})),zt=i.createContext(null);function $t(e){return e?Array.isArray(e)?e:[e]:[]}function Ut(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return(arguments.length>2?arguments[2]:void 0)?e[0]===t[0]:e[0]===t[0]&&e[1]===t[1]}function Wt(e,t,n,r){return t||(n?{motionName:"".concat(e,"-").concat(n)}:r?{motionName:r}:null)}function qt(e){return e.ownerDocument.defaultView}function Xt(e){for(var t=[],n=null==e?void 0:e.parentElement,r=["hidden","scroll","clip","auto"];n;){var o=qt(n).getComputedStyle(n);[o.overflowX,o.overflowY,o.overflow].some((function(e){return r.includes(e)}))&&t.push(n),n=n.parentElement}return t}function Yt(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1;return Number.isNaN(e)?t:e}function Kt(e){return Yt(parseFloat(e),0)}function Qt(e,t){var n=(0,u.A)({},e);return(t||[]).forEach((function(e){if(!(e instanceof HTMLBodyElement||e instanceof HTMLHtmlElement)){var t=qt(e).getComputedStyle(e),r=t.overflow,o=t.overflowClipMargin,i=t.borderTopWidth,a=t.borderBottomWidth,l=t.borderLeftWidth,s=t.borderRightWidth,u=e.getBoundingClientRect(),c=e.offsetHeight,d=e.clientHeight,f=e.offsetWidth,p=e.clientWidth,g=Kt(i),v=Kt(a),m=Kt(l),h=Kt(s),b=Yt(Math.round(u.width/f*1e3)/1e3),y=Yt(Math.round(u.height/c*1e3)/1e3),w=(f-p-m-h)*b,E=(c-d-g-v)*y,C=g*y,S=v*y,x=m*b,A=h*b,I=0,R=0;if("clip"===r){var O=Kt(o);I=O*b,R=O*y}var D=u.x+x-I,M=u.y+C-R,P=D+u.width+2*I-x-A-w,N=M+u.height+2*R-C-S-E;n.left=Math.max(n.left,D),n.top=Math.max(n.top,M),n.right=Math.min(n.right,P),n.bottom=Math.min(n.bottom,N)}})),n}function Jt(e){var t="".concat(arguments.length>1&&void 0!==arguments[1]?arguments[1]:0),n=t.match(/^(.*)\%$/);return n?e*(parseFloat(n[1])/100):parseFloat(t)}function Zt(e,t){var n=t||[],r=(0,d.A)(n,2),o=r[0],i=r[1];return[Jt(e.width,o),Jt(e.height,i)]}function en(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return[e[0],e[1]]}function tn(e,t){var n,r=t[0],o=t[1];return n="t"===r?e.y:"b"===r?e.y+e.height:e.y+e.height/2,{x:"l"===o?e.x:"r"===o?e.x+e.width:e.x+e.width/2,y:n}}function nn(e,t){var n={t:"b",b:"t",l:"r",r:"l"};return e.map((function(e,r){return r===t?n[e]||"c":e})).join("")}var rn=["prefixCls","children","action","showAction","hideAction","popupVisible","defaultPopupVisible","onPopupVisibleChange","afterPopupVisibleChange","mouseEnterDelay","mouseLeaveDelay","focusDelay","blurDelay","mask","maskClosable","getPopupContainer","forceRender","autoDestroy","destroyPopupOnHide","popup","popupClassName","popupStyle","popupPlacement","builtinPlacements","popupAlign","zIndex","stretch","getPopupClassNameFromAlign","fresh","alignPoint","onPopupClick","onPopupAlign","arrow","popupMotion","maskMotion","popupTransitionName","popupAnimation","maskTransitionName","maskAnimation","className","getTriggerDOMNode"];const on=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:H,t=i.forwardRef((function(t,n){var r=t.prefixCls,a=void 0===r?"rc-trigger-popup":r,l=t.children,s=t.action,f=void 0===s?"hover":s,p=t.showAction,g=t.hideAction,v=t.popupVisible,m=t.defaultPopupVisible,h=t.onPopupVisibleChange,b=t.afterPopupVisibleChange,y=t.mouseEnterDelay,w=t.mouseLeaveDelay,E=void 0===w?.1:w,x=t.focusDelay,A=t.blurDelay,I=t.mask,R=t.maskClosable,O=void 0===R||R,D=t.getPopupContainer,M=t.forceRender,P=t.autoDestroy,N=t.destroyPopupOnHide,F=t.popup,k=t.popupClassName,B=t.popupStyle,T=t.popupPlacement,_=t.builtinPlacements,L=void 0===_?{}:_,V=t.popupAlign,G=t.zIndex,j=t.stretch,H=t.getPopupClassNameFromAlign,z=t.fresh,U=t.alignPoint,W=t.onPopupClick,q=t.onPopupAlign,X=t.arrow,Y=t.popupMotion,K=t.maskMotion,Q=t.popupTransitionName,J=t.popupAnimation,Z=t.maskTransitionName,ee=t.maskAnimation,te=t.className,ne=t.getTriggerDOMNode,re=(0,c.A)(t,rn),oe=P||N||!1,ie=i.useState(!1),ae=(0,d.A)(ie,2),le=ae[0],se=ae[1];(0,S.A)((function(){se(function(){if("undefined"==typeof navigator||"undefined"==typeof window)return!1;var e=navigator.userAgent||navigator.vendor||window.opera;return/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(e)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw-(n|u)|c55\/|capi|ccwa|cdm-|cell|chtm|cldc|cmd-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc-s|devi|dica|dmob|do(c|p)o|ds(12|-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(-|_)|g1 u|g560|gene|gf-5|g-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd-(m|p|t)|hei-|hi(pt|ta)|hp( i|ip)|hs-c|ht(c(-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i-(20|go|ma)|i230|iac( |-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|-[a-w])|libw|lynx|m1-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|-([1-8]|c))|phil|pire|pl(ay|uc)|pn-2|po(ck|rt|se)|prox|psio|pt-g|qa-a|qc(07|12|21|32|60|-[2-7]|i-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h-|oo|p-)|sdk\/|se(c(-|0|1)|47|mc|nd|ri)|sgh-|shar|sie(-|m)|sk-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h-|v-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl-|tdg-|tel(i|m)|tim-|t-mo|to(pl|sh)|ts(70|m-|m3|m5)|tx-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas-|your|zeto|zte-/i.test(null==e?void 0:e.substr(0,4))}())}),[]);var ue=i.useRef({}),ce=i.useContext(zt),de=i.useMemo((function(){return{registerSubPopup:function(e,t){ue.current[e]=t,null==ce||ce.registerSubPopup(e,t)}}}),[ce]),fe=_e(),pe=i.useState(null),ge=(0,d.A)(pe,2),ve=ge[0],me=ge[1],he=i.useRef(null),be=(0,ke.A)((function(e){he.current=e,$(e)&&ve!==e&&me(e),null==ce||ce.registerSubPopup(fe,e)})),ye=i.useState(null),we=(0,d.A)(ye,2),Ee=we[0],Ce=we[1],Se=i.useRef(null),xe=(0,ke.A)((function(e){$(e)&&Ee!==e&&(Ce(e),Se.current=e)})),Ae=i.Children.only(l),Ie=(null==Ae?void 0:Ae.props)||{},Re={},Oe=(0,ke.A)((function(e){var t,n,r=Ee;return(null==r?void 0:r.contains(e))||(null===(t=Fe(r))||void 0===t?void 0:t.host)===e||e===r||(null==ve?void 0:ve.contains(e))||(null===(n=Fe(ve))||void 0===n?void 0:n.host)===e||e===ve||Object.values(ue.current).some((function(t){return(null==t?void 0:t.contains(e))||e===t}))})),De=Wt(a,Y,J,Q),Me=Wt(a,K,ee,Z),Ne=i.useState(m||!1),Be=(0,d.A)(Ne,2),Te=Be[0],Le=Be[1],Ve=null!=v?v:Te,Ge=(0,ke.A)((function(e){void 0===v&&Le(e)}));(0,S.A)((function(){Le(v||!1)}),[v]);var je=i.useRef(Ve);je.current=Ve;var He=i.useRef([]);He.current=[];var ze=(0,ke.A)((function(e){var t;Ge(e),(null!==(t=He.current[He.current.length-1])&&void 0!==t?t:Ve)!==e&&(He.current.push(e),null==h||h(e))})),$e=i.useRef(),Ue=function(){clearTimeout($e.current)},We=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;Ue(),0===t?ze(e):$e.current=setTimeout((function(){ze(e)}),1e3*t)};i.useEffect((function(){return Ue}),[]);var qe=i.useState(!1),Xe=(0,d.A)(qe,2),Ye=Xe[0],Ke=Xe[1];(0,S.A)((function(e){e&&!Ve||Ke(!0)}),[Ve]);var Qe=i.useState(null),Je=(0,d.A)(Qe,2),Ze=Je[0],et=Je[1],tt=i.useState([0,0]),nt=(0,d.A)(tt,2),rt=nt[0],ot=nt[1],it=function(e){ot([e.clientX,e.clientY])},at=function(e,t,n,r,o,a,l){var s=i.useState({ready:!1,offsetX:0,offsetY:0,offsetR:0,offsetB:0,arrowX:0,arrowY:0,scaleX:1,scaleY:1,align:o[r]||{}}),c=(0,d.A)(s,2),f=c[0],p=c[1],g=i.useRef(0),v=i.useMemo((function(){return t?Xt(t):[]}),[t]),m=i.useRef({});e||(m.current={});var h=(0,ke.A)((function(){if(t&&n&&e){var i,s,c,f=t,g=f.ownerDocument,h=qt(f).getComputedStyle(f),b=h.width,y=h.height,w=h.position,E=f.style.left,C=f.style.top,S=f.style.right,x=f.style.bottom,A=f.style.overflow,I=(0,u.A)((0,u.A)({},o[r]),a),R=g.createElement("div");if(null===(i=f.parentElement)||void 0===i||i.appendChild(R),R.style.left="".concat(f.offsetLeft,"px"),R.style.top="".concat(f.offsetTop,"px"),R.style.position=w,R.style.height="".concat(f.offsetHeight,"px"),R.style.width="".concat(f.offsetWidth,"px"),f.style.left="0",f.style.top="0",f.style.right="auto",f.style.bottom="auto",f.style.overflow="hidden",Array.isArray(n))c={x:n[0],y:n[1],width:0,height:0};else{var O=n.getBoundingClientRect();c={x:O.x,y:O.y,width:O.width,height:O.height}}var D=f.getBoundingClientRect(),M=g.documentElement,P=M.clientWidth,N=M.clientHeight,F=M.scrollWidth,k=M.scrollHeight,B=M.scrollTop,T=M.scrollLeft,_=D.height,L=D.width,V=c.height,G=c.width,j={left:0,top:0,right:P,bottom:N},H={left:-T,top:-B,right:F-T,bottom:k-B},z=I.htmlRegion,U="visible",W="visibleFirst";"scroll"!==z&&z!==W&&(z=U);var q=z===W,X=Qt(H,v),Y=Qt(j,v),K=z===U?Y:X,Q=q?Y:K;f.style.left="auto",f.style.top="auto",f.style.right="0",f.style.bottom="0";var J=f.getBoundingClientRect();f.style.left=E,f.style.top=C,f.style.right=S,f.style.bottom=x,f.style.overflow=A,null===(s=f.parentElement)||void 0===s||s.removeChild(R);var Z=Yt(Math.round(L/parseFloat(b)*1e3)/1e3),ee=Yt(Math.round(_/parseFloat(y)*1e3)/1e3);if(0===Z||0===ee||$(n)&&!function(e){if(!e)return!1;if(e instanceof Element){if(e.offsetParent)return!0;if(e.getBBox){var t=e.getBBox(),n=t.width,r=t.height;if(n||r)return!0}if(e.getBoundingClientRect){var o=e.getBoundingClientRect(),i=o.width,a=o.height;if(i||a)return!0}}return!1}(n))return;var te=I.offset,ne=I.targetOffset,re=Zt(D,te),oe=(0,d.A)(re,2),ie=oe[0],ae=oe[1],le=Zt(c,ne),se=(0,d.A)(le,2),ue=se[0],ce=se[1];c.x-=ue,c.y-=ce;var de=I.points||[],fe=(0,d.A)(de,2),pe=fe[0],ge=en(fe[1]),ve=en(pe),me=tn(c,ge),he=tn(D,ve),be=(0,u.A)({},I),ye=me.x-he.x+ie,we=me.y-he.y+ae;function pt(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:K,r=D.x+e,o=D.y+t,i=r+L,a=o+_,l=Math.max(r,n.left),s=Math.max(o,n.top),u=Math.min(i,n.right),c=Math.min(a,n.bottom);return Math.max(0,(u-l)*(c-s))}var Ee,Ce,Se,xe,Ae=pt(ye,we),Ie=pt(ye,we,Y),Re=tn(c,["t","l"]),Oe=tn(D,["t","l"]),De=tn(c,["b","r"]),Me=tn(D,["b","r"]),Pe=I.overflow||{},Ne=Pe.adjustX,Fe=Pe.adjustY,ke=Pe.shiftX,Be=Pe.shiftY,Te=function(e){return"boolean"==typeof e?e:e>=0};function gt(){Ee=D.y+we,Ce=Ee+_,Se=D.x+ye,xe=Se+L}gt();var _e=Te(Fe),Le=ve[0]===ge[0];if(_e&&"t"===ve[0]&&(Ce>Q.bottom||m.current.bt)){var Ve=we;Le?Ve-=_-V:Ve=Re.y-Me.y-ae;var Ge=pt(ye,Ve),je=pt(ye,Ve,Y);Ge>Ae||Ge===Ae&&(!q||je>=Ie)?(m.current.bt=!0,we=Ve,ae=-ae,be.points=[nn(ve,0),nn(ge,0)]):m.current.bt=!1}if(_e&&"b"===ve[0]&&(Ee<Q.top||m.current.tb)){var He=we;Le?He+=_-V:He=De.y-Oe.y-ae;var ze=pt(ye,He),$e=pt(ye,He,Y);ze>Ae||ze===Ae&&(!q||$e>=Ie)?(m.current.tb=!0,we=He,ae=-ae,be.points=[nn(ve,0),nn(ge,0)]):m.current.tb=!1}var Ue=Te(Ne),We=ve[1]===ge[1];if(Ue&&"l"===ve[1]&&(xe>Q.right||m.current.rl)){var qe=ye;We?qe-=L-G:qe=Re.x-Me.x-ie;var Xe=pt(qe,we),Ye=pt(qe,we,Y);Xe>Ae||Xe===Ae&&(!q||Ye>=Ie)?(m.current.rl=!0,ye=qe,ie=-ie,be.points=[nn(ve,1),nn(ge,1)]):m.current.rl=!1}if(Ue&&"r"===ve[1]&&(Se<Q.left||m.current.lr)){var Ke=ye;We?Ke+=L-G:Ke=De.x-Oe.x-ie;var Qe=pt(Ke,we),Je=pt(Ke,we,Y);Qe>Ae||Qe===Ae&&(!q||Je>=Ie)?(m.current.lr=!0,ye=Ke,ie=-ie,be.points=[nn(ve,1),nn(ge,1)]):m.current.lr=!1}gt();var Ze=!0===ke?0:ke;"number"==typeof Ze&&(Se<Y.left&&(ye-=Se-Y.left-ie,c.x+G<Y.left+Ze&&(ye+=c.x-Y.left+G-Ze)),xe>Y.right&&(ye-=xe-Y.right-ie,c.x>Y.right-Ze&&(ye+=c.x-Y.right+Ze)));var et=!0===Be?0:Be;"number"==typeof et&&(Ee<Y.top&&(we-=Ee-Y.top-ae,c.y+V<Y.top+et&&(we+=c.y-Y.top+V-et)),Ce>Y.bottom&&(we-=Ce-Y.bottom-ae,c.y>Y.bottom-et&&(we+=c.y-Y.bottom+et)));var tt=D.x+ye,nt=tt+L,rt=D.y+we,ot=rt+_,it=c.x,at=it+G,lt=c.y,st=lt+V,ut=(Math.max(tt,it)+Math.min(nt,at))/2-tt,ct=(Math.max(rt,lt)+Math.min(ot,st))/2-rt;null==l||l(t,be);var dt=J.right-D.x-(ye+D.width),ft=J.bottom-D.y-(we+D.height);1===Z&&(ye=Math.round(ye),dt=Math.round(dt)),1===ee&&(we=Math.round(we),ft=Math.round(ft)),p({ready:!0,offsetX:ye/Z,offsetY:we/ee,offsetR:dt/Z,offsetB:ft/ee,arrowX:ut/Z,arrowY:ct/ee,scaleX:Z,scaleY:ee,align:be})}})),b=function(){p((function(e){return(0,u.A)((0,u.A)({},e),{},{ready:!1})}))};return(0,S.A)(b,[r]),(0,S.A)((function(){e||b()}),[e]),[f.ready,f.offsetX,f.offsetY,f.offsetR,f.offsetB,f.arrowX,f.arrowY,f.scaleX,f.scaleY,f.align,function(){g.current+=1;var e=g.current;Promise.resolve().then((function(){g.current===e&&h()}))}]}(Ve,ve,U?rt:Ee,T,L,V,q),lt=(0,d.A)(at,11),st=lt[0],ut=lt[1],ct=lt[2],dt=lt[3],ft=lt[4],pt=lt[5],gt=lt[6],vt=lt[7],mt=lt[8],ht=lt[9],bt=lt[10],yt=function(e,t,n,r){return i.useMemo((function(){var o=$t(null!=n?n:t),i=$t(null!=r?r:t),a=new Set(o),l=new Set(i);return e&&(a.has("hover")&&(a.delete("hover"),a.add("click")),l.has("hover")&&(l.delete("hover"),l.add("click"))),[a,l]}),[e,t,n,r])}(le,f,p,g),wt=(0,d.A)(yt,2),Et=wt[0],Ct=wt[1],St=Et.has("click"),xt=Ct.has("click")||Ct.has("contextMenu"),At=(0,ke.A)((function(){Ye||bt()}));!function(e,t,n,r,o){(0,S.A)((function(){if(e&&t&&n){var o=n,i=Xt(t),a=Xt(o),l=qt(o),s=new Set([l].concat((0,C.A)(i),(0,C.A)(a)));function u(){r(),je.current&&U&&xt&&We(!1)}return s.forEach((function(e){e.addEventListener("scroll",u,{passive:!0})})),l.addEventListener("resize",u,{passive:!0}),r(),function(){s.forEach((function(e){e.removeEventListener("scroll",u),l.removeEventListener("resize",u)}))}}}),[e,t,n])}(Ve,Ee,ve,At),(0,S.A)((function(){At()}),[rt,T]),(0,S.A)((function(){!Ve||null!=L&&L[T]||At()}),[JSON.stringify(V)]);var It=i.useMemo((function(){var e=function(e,t,n,r){for(var o=n.points,i=Object.keys(e),a=0;a<i.length;a+=1){var l,s=i[a];if(Ut(null===(l=e[s])||void 0===l?void 0:l.points,o,r))return"".concat(t,"-placement-").concat(s)}return""}(L,a,ht,U);return o()(e,null==H?void 0:H(ht))}),[ht,H,L,a,U]);i.useImperativeHandle(n,(function(){return{nativeElement:Se.current,popupElement:he.current,forceAlign:At}}));var Rt=i.useState(0),Ot=(0,d.A)(Rt,2),Dt=Ot[0],Mt=Ot[1],Pt=i.useState(0),Nt=(0,d.A)(Pt,2),Ft=Nt[0],kt=Nt[1],Bt=function(){if(j&&Ee){var e=Ee.getBoundingClientRect();Mt(e.width),kt(e.height)}};function Tt(e,t,n,r){Re[e]=function(o){var i;null==r||r(o),We(t,n);for(var a=arguments.length,l=new Array(a>1?a-1:0),s=1;s<a;s++)l[s-1]=arguments[s];null===(i=Ie[e])||void 0===i||i.call.apply(i,[Ie,o].concat(l))}}(0,S.A)((function(){Ze&&(bt(),Ze(),et(null))}),[Ze]),(St||xt)&&(Re.onClick=function(e){var t;je.current&&xt?We(!1):!je.current&&St&&(it(e),We(!0));for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];null===(t=Ie.onClick)||void 0===t||t.call.apply(t,[Ie,e].concat(r))}),function(e,t,n,r,o,a,l,s){var u=i.useRef(e);u.current=e,i.useEffect((function(){if(t&&r&&(!o||a)){var e=function(e){var t=e.target;u.current&&!l(t)&&s(!1)},i=qt(r);i.addEventListener("mousedown",e,!0),i.addEventListener("contextmenu",e,!0);var c=Fe(n);return c&&(c.addEventListener("mousedown",e,!0),c.addEventListener("contextmenu",e,!0)),function(){i.removeEventListener("mousedown",e,!0),i.removeEventListener("contextmenu",e,!0),c&&(c.removeEventListener("mousedown",e,!0),c.removeEventListener("contextmenu",e,!0))}}}),[t,n,r,o,a])}(Ve,xt,Ee,ve,I,O,Oe,We);var _t,Lt,Vt=Et.has("hover"),Gt=Ct.has("hover");Vt&&(Tt("onMouseEnter",!0,y,(function(e){it(e)})),Tt("onPointerEnter",!0,y,(function(e){it(e)})),_t=function(e){(Ve||Ye)&&null!=ve&&ve.contains(e.target)&&We(!0,y)},U&&(Re.onMouseMove=function(e){var t;null===(t=Ie.onMouseMove)||void 0===t||t.call(Ie,e)})),Gt&&(Tt("onMouseLeave",!1,E),Tt("onPointerLeave",!1,E),Lt=function(){We(!1,E)}),Et.has("focus")&&Tt("onFocus",!0,x),Ct.has("focus")&&Tt("onBlur",!1,A),Et.has("contextMenu")&&(Re.onContextMenu=function(e){var t;je.current&&Ct.has("contextMenu")?We(!1):(it(e),We(!0)),e.preventDefault();for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];null===(t=Ie.onContextMenu)||void 0===t||t.call.apply(t,[Ie,e].concat(r))}),te&&(Re.className=o()(Ie.className,te));var Kt=(0,u.A)((0,u.A)({},Ie),Re),Jt={};["onContextMenu","onClick","onMouseDown","onTouchStart","onMouseEnter","onMouseLeave","onFocus","onBlur"].forEach((function(e){re[e]&&(Jt[e]=function(){for(var t,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];null===(t=Kt[e])||void 0===t||t.call.apply(t,[Kt].concat(r)),re[e].apply(re,r)})}));var on=i.cloneElement(Ae,(0,u.A)((0,u.A)({},Kt),Jt)),an={x:pt,y:gt},ln=X?(0,u.A)({},!0!==X?X:{}):null;return i.createElement(i.Fragment,null,i.createElement(Pe,{disabled:!Ve,ref:xe,onResize:function(){Bt(),At()}},i.createElement(Ht,{getTriggerDOMNode:ne},on)),i.createElement(zt.Provider,{value:de},i.createElement(jt,{portal:e,ref:be,prefixCls:a,popup:F,className:o()(k,It),style:B,target:Ee,onMouseEnter:_t,onMouseLeave:Lt,onPointerEnter:_t,zIndex:G,open:Ve,keepDom:Ye,fresh:z,onClick:W,mask:I,motion:De,maskMotion:Me,onVisibleChanged:function(e){Ke(!1),bt(),null==b||b(e)},onPrepare:function(){return new Promise((function(e){Bt(),et((function(){return e}))}))},forceRender:M,autoDestroy:oe,getPopupContainer:D,align:ht,arrow:ln,arrowPos:an,ready:st,offsetX:ut,offsetY:ct,offsetR:dt,offsetB:ft,onAlign:At,stretch:j,targetWidth:Dt/vt,targetHeight:Ft/mt})))}));return t}(H);var an={shiftX:64,adjustY:1},ln={adjustX:1,shiftY:!0},sn=[0,0],un={left:{points:["cr","cl"],overflow:ln,offset:[-4,0],targetOffset:sn},right:{points:["cl","cr"],overflow:ln,offset:[4,0],targetOffset:sn},top:{points:["bc","tc"],overflow:an,offset:[0,-4],targetOffset:sn},bottom:{points:["tc","bc"],overflow:an,offset:[0,4],targetOffset:sn},topLeft:{points:["bl","tl"],overflow:an,offset:[0,-4],targetOffset:sn},leftTop:{points:["tr","tl"],overflow:ln,offset:[-4,0],targetOffset:sn},topRight:{points:["br","tr"],overflow:an,offset:[0,-4],targetOffset:sn},rightTop:{points:["tl","tr"],overflow:ln,offset:[4,0],targetOffset:sn},bottomRight:{points:["tr","br"],overflow:an,offset:[0,4],targetOffset:sn},rightBottom:{points:["bl","br"],overflow:ln,offset:[4,0],targetOffset:sn},bottomLeft:{points:["tl","bl"],overflow:an,offset:[0,4],targetOffset:sn},leftBottom:{points:["br","bl"],overflow:ln,offset:[-4,0],targetOffset:sn}},cn=["overlayClassName","trigger","mouseEnterDelay","mouseLeaveDelay","overlayStyle","prefixCls","children","onVisibleChange","afterVisibleChange","transitionName","animation","motion","placement","align","destroyTooltipOnHide","defaultVisible","getTooltipContainer","overlayInnerStyle","arrowContent","overlay","id","showArrow"],dn=function(e,t){var n=e.overlayClassName,r=e.trigger,o=void 0===r?["hover"]:r,a=e.mouseEnterDelay,d=void 0===a?0:a,f=e.mouseLeaveDelay,p=void 0===f?.1:f,g=e.overlayStyle,v=e.prefixCls,m=void 0===v?"rc-tooltip":v,h=e.children,b=e.onVisibleChange,y=e.afterVisibleChange,w=e.transitionName,E=e.animation,C=e.motion,S=e.placement,x=void 0===S?"right":S,A=e.align,I=void 0===A?{}:A,R=e.destroyTooltipOnHide,O=void 0!==R&&R,D=e.defaultVisible,M=e.getTooltipContainer,P=e.overlayInnerStyle,N=(e.arrowContent,e.overlay),F=e.id,k=e.showArrow,B=void 0===k||k,T=(0,c.A)(e,cn),_=(0,i.useRef)(null);(0,i.useImperativeHandle)(t,(function(){return _.current}));var L=(0,u.A)({},T);return"visible"in e&&(L.popupVisible=e.visible),i.createElement(on,(0,s.A)({popupClassName:n,prefixCls:m,popup:function(){return i.createElement(l,{key:"content",prefixCls:m,id:F,overlayInnerStyle:P},N)},action:o,builtinPlacements:un,popupPlacement:x,ref:_,popupAlign:I,getPopupContainer:M,onPopupVisibleChange:b,afterPopupVisibleChange:y,popupTransitionName:w,popupAnimation:E,popupMotion:C,defaultPopupVisible:D,autoDestroy:O,mouseLeaveDelay:p,popupStyle:g,mouseEnterDelay:d,arrow:B},L),h)};const fn=(0,i.forwardRef)(dn)},370:(e,t,n)=>{"use strict";function r(){return!("undefined"==typeof window||!window.document||!window.document.createElement)}n.d(t,{A:()=>r})},728:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(959);function o(e){var t=r.useRef();t.current=e;var n=r.useCallback((function(){for(var e,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];return null===(e=t.current)||void 0===e?void 0:e.call.apply(e,[t].concat(r))}),[]);return n}},697:(e,t,n)=>{"use strict";n.d(t,{A:()=>l,o:()=>a});var r=n(959),o=(0,n(370).A)()?r.useLayoutEffect:r.useEffect,i=function(e,t){var n=r.useRef(!0);o((function(){return e(n.current)}),t),o((function(){return n.current=!1,function(){n.current=!0}}),[])},a=function(e,t){i((function(t){if(!t)return e()}),t)};const l=i},273:(e,t,n)=>{"use strict";n.d(t,{A:()=>s});var r=n(850),o=n(728),i=n(697),a=n(773);function l(e){return void 0!==e}function s(e,t){var n=t||{},s=n.defaultValue,u=n.value,c=n.onChange,d=n.postState,f=(0,a.A)((function(){return l(u)?u:l(s)?"function"==typeof s?s():s:"function"==typeof e?e():e})),p=(0,r.A)(f,2),g=p[0],v=p[1],m=void 0!==u?u:g,h=d?d(m):m,b=(0,o.A)(c),y=(0,a.A)([m]),w=(0,r.A)(y,2),E=w[0],C=w[1];return(0,i.o)((function(){var e=E[0];g!==e&&b(g,e)}),[E]),(0,i.o)((function(){l(u)||v(u)}),[u]),[h,(0,o.A)((function(e,t){v(e,t),C([m],t)}))]}},773:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(850),o=n(959);function i(e){var t=o.useRef(!1),n=o.useState(e),i=(0,r.A)(n,2),a=i[0],l=i[1];return o.useEffect((function(){return t.current=!1,function(){t.current=!0}}),[]),[a,function(e,n){n&&t.current||l(e)}]}},358:(e,t,n)=>{"use strict";n.d(t,{Ay:()=>u});var r={},o=[];function i(e,t){}function a(e,t){}function l(e,t,n){t||r[n]||(e(!1,n),r[n]=!0)}function s(e,t){l(i,e,t)}s.preMessage=function(e){o.push(e)},s.resetWarned=function(){r={}},s.noteOnce=function(e,t){l(a,e,t)};const u=s},87:(e,t)=>{"use strict";var n=Symbol.for("react.element"),r=Symbol.for("react.portal"),o=Symbol.for("react.fragment"),i=Symbol.for("react.strict_mode"),a=Symbol.for("react.profiler"),l=Symbol.for("react.provider"),s=Symbol.for("react.context"),u=Symbol.for("react.server_context"),c=Symbol.for("react.forward_ref"),d=Symbol.for("react.suspense"),f=Symbol.for("react.suspense_list"),p=Symbol.for("react.memo"),g=Symbol.for("react.lazy");Symbol.for("react.offscreen");function v(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case n:switch(e=e.type){case o:case a:case i:case d:case f:return e;default:switch(e=e&&e.$$typeof){case u:case s:case c:case g:case p:case l:return e;default:return t}}case r:return t}}}Symbol.for("react.module.reference"),t.ForwardRef=c,t.isFragment=function(e){return v(e)===o},t.isMemo=function(e){return v(e)===p}},555:(e,t,n)=>{"use strict";e.exports=n(87)},89:e=>{"use strict";e.exports=n},470:e=>{"use strict";e.exports=a},781:t=>{"use strict";t.exports=e},531:e=>{"use strict";e.exports=t},7:e=>{"use strict";e.exports=r},241:e=>{"use strict";e.exports=i},959:e=>{"use strict";e.exports=o},398:e=>{"use strict";e.exports=l},200:e=>{"use strict";e.exports=u},313:e=>{"use strict";e.exports=s},452:(e,t)=>{var n;!function(){"use strict";var r={}.hasOwnProperty;function o(){for(var e="",t=0;t<arguments.length;t++){var n=arguments[t];n&&(e=a(e,i(n)))}return e}function i(e){if("string"==typeof e||"number"==typeof e)return e;if("object"!=typeof e)return"";if(Array.isArray(e))return o.apply(null,e);if(e.toString!==Object.prototype.toString&&!e.toString.toString().includes("[native code]"))return e.toString();var t="";for(var n in e)r.call(e,n)&&e[n]&&(t=a(t,n));return t}function a(e,t){return t?e?e+" "+t:e+t:e}e.exports?(o.default=o,e.exports=o):void 0===(n=function(){return o}.apply(t,[]))||(e.exports=n)}()},451:(e,t,n)=>{"use strict";function r(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=Array(t);n<t;n++)r[n]=e[n];return r}n.d(t,{A:()=>r})},705:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(162);function o(e,t,n){return(t=(0,r.A)(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}},102:(e,t,n)=>{"use strict";function r(){return r=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)({}).hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},r.apply(null,arguments)}n.d(t,{A:()=>r})},405:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(705);function o(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function i(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?o(Object(n),!0).forEach((function(t){(0,r.A)(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):o(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}},644:(e,t,n)=>{"use strict";function r(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n={};for(var r in e)if({}.hasOwnProperty.call(e,r)){if(t.indexOf(r)>=0)continue;n[r]=e[r]}return n}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||{}.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}n.d(t,{A:()=>r})},576:(e,t,n)=>{"use strict";function r(e,t){return r=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},r(e,t)}n.d(t,{A:()=>r})},850:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(438);function o(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var r,o,i,a,l=[],s=!0,u=!1;try{if(i=(n=n.call(e)).next,0===t){if(Object(n)!==n)return;s=!1}else for(;!(s=(r=i.call(n)).done)&&(l.push(r.value),l.length!==t);s=!0);}catch(e){u=!0,o=e}finally{try{if(!s&&null!=n.return&&(a=n.return(),Object(a)!==a))return}finally{if(u)throw o}}return l}}(e,t)||(0,r.A)(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},300:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(451),o=n(438);function i(e){return function(e){if(Array.isArray(e))return(0,r.A)(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||(0,o.A)(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},162:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(694);function o(e){var t=function(e,t){if("object"!=(0,r.A)(e)||!e)return e;var n=e[Symbol.toPrimitive];if(void 0!==n){var o=n.call(e,"string");if("object"!=(0,r.A)(o))return o;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==(0,r.A)(t)?t:t+""}},694:(e,t,n)=>{"use strict";function r(e){return r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},r(e)}n.d(t,{A:()=>r})},438:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(451);function o(e,t){if(e){if("string"==typeof e)return(0,r.A)(e,t);var n={}.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?(0,r.A)(e,t):void 0}}}},d={};function f(e){var t=d[e];if(void 0!==t)return t.exports;var n=d[e]={exports:{}};return c[e](n,n.exports,f),n.exports}f.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return f.d(t,{a:t}),t},f.d=(e,t)=>{for(var n in t)f.o(t,n)&&!f.o(e,n)&&Object.defineProperty(e,n,{enumerable:!0,get:t[n]})},f.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),f.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),f.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})};var p={};return(()=>{"use strict";f.r(p),f.d(p,{plugin:()=>ls});var e=f(781),t=f(531),n=f(89),r=f(7),o=f(774),i=f(959),a=f.n(i),l=f(576);function s(e,t){e.prototype=Object.create(t.prototype),e.prototype.constructor=e,(0,l.A)(e,t)}var u=f(102),c=f(313),d=f(200);function g(e,t){var n=(0,i.useState)((function(){return{inputs:t,result:e()}}))[0],r=(0,i.useRef)(!0),o=(0,i.useRef)(n),a=r.current||Boolean(t&&o.current.inputs&&function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0}(t,o.current.inputs))?o.current:{inputs:t,result:e()};return(0,i.useEffect)((function(){r.current=!1,o.current=a}),[a]),a.result}var v=g,m=function(e,t){return g((function(){return e}),t)},h=function(e){var t=e.top,n=e.right,r=e.bottom,o=e.left;return{top:t,right:n,bottom:r,left:o,width:n-o,height:r-t,x:o,y:t,center:{x:(n+o)/2,y:(r+t)/2}}},b=function(e,t){return{top:e.top-t.top,left:e.left-t.left,bottom:e.bottom+t.bottom,right:e.right+t.right}},y=function(e,t){return{top:e.top+t.top,left:e.left+t.left,bottom:e.bottom-t.bottom,right:e.right-t.right}},w={top:0,right:0,bottom:0,left:0},E=function(e){var t=e.borderBox,n=e.margin,r=void 0===n?w:n,o=e.border,i=void 0===o?w:o,a=e.padding,l=void 0===a?w:a,s=h(b(t,r)),u=h(y(t,i)),c=h(y(u,l));return{marginBox:s,borderBox:h(t),paddingBox:u,contentBox:c,margin:r,border:i,padding:l}},C=function(e){var t=e.slice(0,-2);if("px"!==e.slice(-2))return 0;var n=Number(t);return isNaN(n)&&function(e,t){throw new Error("Invariant failed")}(),n},S=function(e,t){var n,r,o=e.borderBox,i=e.border,a=e.margin,l=e.padding,s=(r=t,{top:(n=o).top+r.y,left:n.left+r.x,bottom:n.bottom+r.y,right:n.right+r.x});return E({borderBox:s,border:i,margin:a,padding:l})},x=function(e,t){return void 0===t&&(t={x:window.pageXOffset,y:window.pageYOffset}),S(e,t)},A=function(e,t){var n={top:C(t.marginTop),right:C(t.marginRight),bottom:C(t.marginBottom),left:C(t.marginLeft)},r={top:C(t.paddingTop),right:C(t.paddingRight),bottom:C(t.paddingBottom),left:C(t.paddingLeft)},o={top:C(t.borderTopWidth),right:C(t.borderRightWidth),bottom:C(t.borderBottomWidth),left:C(t.borderLeftWidth)};return E({borderBox:e,margin:n,padding:r,border:o})},I=function(e){var t=e.getBoundingClientRect(),n=window.getComputedStyle(e);return A(t,n)},R=Number.isNaN||function(e){return"number"==typeof e&&e!=e};function O(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(!((r=e[n])===(o=t[n])||R(r)&&R(o)))return!1;var r,o;return!0}const D=function(e,t){var n;void 0===t&&(t=O);var r,o=[],i=!1;return function(){for(var a=[],l=0;l<arguments.length;l++)a[l]=arguments[l];return i&&n===this&&t(a,o)||(r=e.apply(this,a),i=!0,n=this,o=a),r}},M=function(e){var t=[],n=null,r=function(){for(var r=arguments.length,o=new Array(r),i=0;i<r;i++)o[i]=arguments[i];t=o,n||(n=requestAnimationFrame((function(){n=null,e.apply(void 0,t)})))};return r.cancel=function(){n&&(cancelAnimationFrame(n),n=null)},r};var P=f(398),N=f.n(P);function F(e,t){}function k(){}function B(e,t,n){var r=t.map((function(t){var r,o,i=(r=n,o=t.options,(0,u.A)({},r,{},o));return e.addEventListener(t.eventName,t.fn,i),function(){e.removeEventListener(t.eventName,t.fn,i)}}));return function(){r.forEach((function(e){e()}))}}F.bind(null,"warn"),F.bind(null,"error");var T=!0,_="Invariant failed";function L(e){this.message=e}function V(e,t){if(!e)throw new L(T?_:_+": "+(t||""))}L.prototype.toString=function(){return this.message};var G=function(e){function t(){for(var t,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];return(t=e.call.apply(e,[this].concat(r))||this).callbacks=null,t.unbind=k,t.onWindowError=function(e){var n=t.getCallbacks();n.isDragging()&&n.tryAbort(),e.error instanceof L&&e.preventDefault()},t.getCallbacks=function(){if(!t.callbacks)throw new Error("Unable to find AppCallbacks in <ErrorBoundary/>");return t.callbacks},t.setCallbacks=function(e){t.callbacks=e},t}s(t,e);var n=t.prototype;return n.componentDidMount=function(){this.unbind=B(window,[{eventName:"error",fn:this.onWindowError}])},n.componentDidCatch=function(e){if(!(e instanceof L))throw e;this.setState({})},n.componentWillUnmount=function(){this.unbind()},n.render=function(){return this.props.children(this.setCallbacks)},t}(a().Component),j=function(e){return e+1},H=function(e,t){var n=e.droppableId===t.droppableId,r=j(e.index),o=j(t.index);return n?"\n      You have moved the item from position "+r+"\n      to position "+o+"\n    ":"\n    You have moved the item from position "+r+"\n    in list "+e.droppableId+"\n    to list "+t.droppableId+"\n    in position "+o+"\n  "},z=function(e,t,n){return t.droppableId===n.droppableId?"\n      The item "+e+"\n      has been combined with "+n.draggableId:"\n      The item "+e+"\n      in list "+t.droppableId+"\n      has been combined with "+n.draggableId+"\n      in list "+n.droppableId+"\n    "},$=function(e){return"\n  The item has returned to its starting position\n  of "+j(e.index)+"\n"},U=function(e){return"\n  You have lifted an item in position "+j(e.source.index)+"\n"},W=function(e){var t=e.destination;if(t)return H(e.source,t);var n=e.combine;return n?z(e.draggableId,e.source,n):"You are over an area that cannot be dropped on"},q=function(e){if("CANCEL"===e.reason)return"\n      Movement cancelled.\n      "+$(e.source)+"\n    ";var t=e.destination,n=e.combine;return t?"\n      You have dropped the item.\n      "+H(e.source,t)+"\n    ":n?"\n      You have dropped the item.\n      "+z(e.draggableId,e.source,n)+"\n    ":"\n    The item has been dropped while not over a drop area.\n    "+$(e.source)+"\n  "},X={x:0,y:0},Y=function(e,t){return{x:e.x+t.x,y:e.y+t.y}},K=function(e,t){return{x:e.x-t.x,y:e.y-t.y}},Q=function(e,t){return e.x===t.x&&e.y===t.y},J=function(e){return{x:0!==e.x?-e.x:0,y:0!==e.y?-e.y:0}},Z=function(e,t,n){var r;return void 0===n&&(n=0),(r={})[e]=t,r["x"===e?"y":"x"]=n,r},ee=function(e,t){return Math.sqrt(Math.pow(t.x-e.x,2)+Math.pow(t.y-e.y,2))},te=function(e,t){return Math.min.apply(Math,t.map((function(t){return ee(e,t)})))},ne=function(e){return function(t){return{x:e(t.x),y:e(t.y)}}},re=function(e,t){return{top:e.top+t.y,left:e.left+t.x,bottom:e.bottom+t.y,right:e.right+t.x}},oe=function(e){return[{x:e.left,y:e.top},{x:e.right,y:e.top},{x:e.left,y:e.bottom},{x:e.right,y:e.bottom}]},ie=function(e,t){return t&&t.shouldClipSubject?function(e,t){var n=h({top:Math.max(t.top,e.top),right:Math.min(t.right,e.right),bottom:Math.min(t.bottom,e.bottom),left:Math.max(t.left,e.left)});return n.width<=0||n.height<=0?null:n}(t.pageMarginBox,e):h(e)},ae=function(e){var t=e.page,n=e.withPlaceholder,r=e.axis,o=e.frame,i=function(e,t){return t?re(e,t.scroll.diff.displacement):e}(t.marginBox,o),a=function(e,t,n){var r;return n&&n.increasedBy?(0,u.A)({},e,((r={})[t.end]=e[t.end]+n.increasedBy[t.line],r)):e}(i,r,n);return{page:t,withPlaceholder:n,active:ie(a,o)}},le=function(e,t){e.frame||V(!1);var n=e.frame,r=K(t,n.scroll.initial),o=J(r),i=(0,u.A)({},n,{scroll:{initial:n.scroll.initial,current:t,diff:{value:r,displacement:o},max:n.scroll.max}}),a=ae({page:e.subject.page,withPlaceholder:e.subject.withPlaceholder,axis:e.axis,frame:i});return(0,u.A)({},e,{frame:i,subject:a})};function se(e){return Object.values?Object.values(e):Object.keys(e).map((function(t){return e[t]}))}function ue(e,t){if(e.findIndex)return e.findIndex(t);for(var n=0;n<e.length;n++)if(t(e[n]))return n;return-1}function ce(e,t){if(e.find)return e.find(t);var n=ue(e,t);return-1!==n?e[n]:void 0}function de(e){return Array.prototype.slice.call(e)}var fe=D((function(e){return e.reduce((function(e,t){return e[t.descriptor.id]=t,e}),{})})),pe=D((function(e){return e.reduce((function(e,t){return e[t.descriptor.id]=t,e}),{})})),ge=D((function(e){return se(e)})),ve=D((function(e){return se(e)})),me=D((function(e,t){var n=ve(t).filter((function(t){return e===t.descriptor.droppableId})).sort((function(e,t){return e.descriptor.index-t.descriptor.index}));return n}));function he(e){return e.at&&"REORDER"===e.at.type?e.at.destination:null}function be(e){return e.at&&"COMBINE"===e.at.type?e.at.combine:null}var ye=D((function(e,t){return t.filter((function(t){return t.descriptor.id!==e.descriptor.id}))})),we=function(e,t){return e.descriptor.droppableId===t.descriptor.id},Ee={point:X,value:0},Ce={invisible:{},visible:{},all:[]},Se={displaced:Ce,displacedBy:Ee,at:null},xe=function(e,t){return function(n){return e<=n&&n<=t}},Ae=function(e){var t=xe(e.top,e.bottom),n=xe(e.left,e.right);return function(r){if(t(r.top)&&t(r.bottom)&&n(r.left)&&n(r.right))return!0;var o=t(r.top)||t(r.bottom),i=n(r.left)||n(r.right);if(o&&i)return!0;var a=r.top<e.top&&r.bottom>e.bottom,l=r.left<e.left&&r.right>e.right;return!(!a||!l)||a&&i||l&&o}},Ie=function(e){var t=xe(e.top,e.bottom),n=xe(e.left,e.right);return function(e){return t(e.top)&&t(e.bottom)&&n(e.left)&&n(e.right)}},Re={direction:"vertical",line:"y",crossAxisLine:"x",start:"top",end:"bottom",size:"height",crossAxisStart:"left",crossAxisEnd:"right",crossAxisSize:"width"},Oe={direction:"horizontal",line:"x",crossAxisLine:"y",start:"left",end:"right",size:"width",crossAxisStart:"top",crossAxisEnd:"bottom",crossAxisSize:"height"},De=function(e){var t=e.target,n=e.destination,r=e.viewport,o=e.withDroppableDisplacement,i=e.isVisibleThroughFrameFn,a=o?function(e,t){var n=t.frame?t.frame.scroll.diff.displacement:X;return re(e,n)}(t,n):t;return function(e,t,n){return!!t.subject.active&&n(t.subject.active)(e)}(a,n,i)&&function(e,t,n){return n(t)(e)}(a,r,i)},Me=function(e){return De((0,u.A)({},e,{isVisibleThroughFrameFn:Ae}))},Pe=function(e){return De((0,u.A)({},e,{isVisibleThroughFrameFn:Ie}))},Ne=function(e,t,n){if("boolean"==typeof n)return n;if(!t)return!0;var r=t.invisible,o=t.visible;if(r[e])return!1;var i=o[e];return!i||i.shouldAnimate};function Fe(e){var t=e.afterDragging,n=e.destination,r=e.displacedBy,o=e.viewport,i=e.forceShouldAnimate,a=e.last;return t.reduce((function(e,t){var l=function(e,t){var n=e.page.marginBox,r={top:t.point.y,right:0,bottom:0,left:t.point.x};return h(b(n,r))}(t,r),s=t.descriptor.id;if(e.all.push(s),!Me({target:l,destination:n,viewport:o,withDroppableDisplacement:!0}))return e.invisible[t.descriptor.id]=!0,e;var u={draggableId:s,shouldAnimate:Ne(s,a,i)};return e.visible[s]=u,e}),{all:[],visible:{},invisible:{}})}function ke(e){var t=e.insideDestination,n=e.inHomeList,r=e.displacedBy,o=e.destination,i=function(e,t){if(!e.length)return 0;var n=e[e.length-1].descriptor.index;return t.inHomeList?n:n+1}(t,{inHomeList:n});return{displaced:Ce,displacedBy:r,at:{type:"REORDER",destination:{droppableId:o.descriptor.id,index:i}}}}function Be(e){var t=e.draggable,n=e.insideDestination,r=e.destination,o=e.viewport,i=e.displacedBy,a=e.last,l=e.index,s=e.forceShouldAnimate,u=we(t,r);if(null==l)return ke({insideDestination:n,inHomeList:u,displacedBy:i,destination:r});var c=ce(n,(function(e){return e.descriptor.index===l}));if(!c)return ke({insideDestination:n,inHomeList:u,displacedBy:i,destination:r});var d=ye(t,n),f=n.indexOf(c);return{displaced:Fe({afterDragging:d.slice(f),destination:r,displacedBy:i,last:a,viewport:o.frame,forceShouldAnimate:s}),displacedBy:i,at:{type:"REORDER",destination:{droppableId:r.descriptor.id,index:l}}}}function Te(e,t){return Boolean(t.effected[e])}var _e=function(e,t){return t.margin[e.start]+t.borderBox[e.size]/2},Le=function(e,t,n){return t[e.crossAxisStart]+n.margin[e.crossAxisStart]+n.borderBox[e.crossAxisSize]/2},Ve=function(e){var t=e.axis,n=e.moveRelativeTo,r=e.isMoving;return Z(t.line,n.marginBox[t.end]+_e(t,r),Le(t,n.marginBox,r))},Ge=function(e){var t=e.axis,n=e.moveRelativeTo,r=e.isMoving;return Z(t.line,n.marginBox[t.start]-function(e,t){return t.margin[e.end]+t.borderBox[e.size]/2}(t,r),Le(t,n.marginBox,r))},je=function(e,t){var n=e.frame;return n?Y(t,n.scroll.diff.displacement):t},He=function(e){var t=function(e){var t=e.impact,n=e.draggable,r=e.droppable,o=e.draggables,i=e.afterCritical,a=n.page.borderBox.center,l=t.at;return r&&l?"REORDER"===l.type?function(e){var t=e.impact,n=e.draggable,r=e.draggables,o=e.droppable,i=e.afterCritical,a=me(o.descriptor.id,r),l=n.page,s=o.axis;if(!a.length)return function(e){var t=e.axis,n=e.moveInto,r=e.isMoving;return Z(t.line,n.contentBox[t.start]+_e(t,r),Le(t,n.contentBox,r))}({axis:s,moveInto:o.page,isMoving:l});var u=t.displaced,c=t.displacedBy,d=u.all[0];if(d){var f=r[d];if(Te(d,i))return Ge({axis:s,moveRelativeTo:f.page,isMoving:l});var p=S(f.page,c.point);return Ge({axis:s,moveRelativeTo:p,isMoving:l})}var g=a[a.length-1];if(g.descriptor.id===n.descriptor.id)return l.borderBox.center;if(Te(g.descriptor.id,i)){var v=S(g.page,J(i.displacedBy.point));return Ve({axis:s,moveRelativeTo:v,isMoving:l})}return Ve({axis:s,moveRelativeTo:g.page,isMoving:l})}({impact:t,draggable:n,draggables:o,droppable:r,afterCritical:i}):function(e){var t=e.afterCritical,n=e.impact,r=e.draggables,o=be(n);o||V(!1);var i=o.draggableId,a=r[i].page.borderBox.center,l=function(e){var t=e.displaced,n=e.afterCritical,r=e.combineWith,o=e.displacedBy,i=Boolean(t.visible[r]||t.invisible[r]);return Te(r,n)?i?X:J(o.point):i?o.point:X}({displaced:n.displaced,afterCritical:t,combineWith:i,displacedBy:n.displacedBy});return Y(a,l)}({impact:t,draggables:o,afterCritical:i}):a}(e),n=e.droppable;return n?je(n,t):t},ze=function(e,t){var n=K(t,e.scroll.initial),r=J(n);return{frame:h({top:t.y,bottom:t.y+e.frame.height,left:t.x,right:t.x+e.frame.width}),scroll:{initial:e.scroll.initial,max:e.scroll.max,current:t,diff:{value:n,displacement:r}}}};function $e(e,t){return e.map((function(e){return t[e]}))}var Ue=function(e){var t,n,r=e.pageBorderBoxCenter,o=e.draggable,i=(t=e.viewport,n=r,Y(t.scroll.diff.displacement,n)),a=K(i,o.page.borderBox.center);return Y(o.client.borderBox.center,a)},We=function(e){var t=e.draggable,n=e.destination,r=e.newPageBorderBoxCenter,o=e.viewport,i=e.withDroppableDisplacement,a=e.onlyOnMainAxis,l=void 0!==a&&a,s=K(r,t.page.borderBox.center),c={target:re(t.page.borderBox,s),destination:n,withDroppableDisplacement:i,viewport:o};return l?function(e){return De((0,u.A)({},e,{isVisibleThroughFrameFn:(t=e.destination.axis,function(e){var n=xe(e.top,e.bottom),r=xe(e.left,e.right);return function(e){return t===Re?n(e.top)&&n(e.bottom):r(e.left)&&r(e.right)}})}));var t}(c):Pe(c)},qe=function(e){var t=e.isMovingForward,n=e.draggable,r=e.destination,o=e.draggables,i=e.previousImpact,a=e.viewport,l=e.previousPageBorderBoxCenter,s=e.previousClientSelection,c=e.afterCritical;if(!r.isEnabled)return null;var d=me(r.descriptor.id,o),f=we(n,r),p=function(e){var t=e.isMovingForward,n=e.draggable,r=e.destination,o=e.insideDestination,i=e.previousImpact;if(!r.isCombineEnabled)return null;if(!he(i))return null;function a(e){var t={type:"COMBINE",combine:{draggableId:e,droppableId:r.descriptor.id}};return(0,u.A)({},i,{at:t})}var l=i.displaced.all,s=l.length?l[0]:null;if(t)return s?a(s):null;var c=ye(n,o);if(!s)return c.length?a(c[c.length-1].descriptor.id):null;var d=ue(c,(function(e){return e.descriptor.id===s}));-1===d&&V(!1);var f=d-1;return f<0?null:a(c[f].descriptor.id)}({isMovingForward:t,draggable:n,destination:r,insideDestination:d,previousImpact:i})||function(e){var t=e.isMovingForward,n=e.isInHomeList,r=e.draggable,o=e.draggables,i=e.destination,a=e.insideDestination,l=e.previousImpact,s=e.viewport,u=e.afterCritical,c=l.at;if(c||V(!1),"REORDER"===c.type){var d=function(e){var t=e.isMovingForward,n=e.isInHomeList,r=e.insideDestination,o=e.location;if(!r.length)return null;var i=o.index,a=t?i+1:i-1,l=r[0].descriptor.index,s=r[r.length-1].descriptor.index;return a<l||a>(n?s:s+1)?null:a}({isMovingForward:t,isInHomeList:n,location:c.destination,insideDestination:a});return null==d?null:Be({draggable:r,insideDestination:a,destination:i,viewport:s,last:l.displaced,displacedBy:l.displacedBy,index:d})}var f=function(e){var t=e.isMovingForward,n=e.draggables,r=e.combine,o=e.afterCritical;if(!e.destination.isCombineEnabled)return null;var i=r.draggableId,a=n[i].descriptor.index;return Te(i,o)?t?a:a-1:t?a+1:a}({isMovingForward:t,destination:i,displaced:l.displaced,draggables:o,combine:c.combine,afterCritical:u});return null==f?null:Be({draggable:r,insideDestination:a,destination:i,viewport:s,last:l.displaced,displacedBy:l.displacedBy,index:f})}({isMovingForward:t,isInHomeList:f,draggable:n,draggables:o,destination:r,insideDestination:d,previousImpact:i,viewport:a,afterCritical:c});if(!p)return null;var g=He({impact:p,draggable:n,droppable:r,draggables:o,afterCritical:c});if(We({draggable:n,destination:r,newPageBorderBoxCenter:g,viewport:a.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0}))return{clientSelection:Ue({pageBorderBoxCenter:g,draggable:n,viewport:a}),impact:p,scrollJumpRequest:null};var v=K(g,l),m=function(e){var t=e.impact,n=e.viewport,r=e.destination,o=e.draggables,i=e.maxScrollChange,a=ze(n,Y(n.scroll.current,i)),l=r.frame?le(r,Y(r.frame.scroll.current,i)):r,s=t.displaced,c=Fe({afterDragging:$e(s.all,o),destination:r,displacedBy:t.displacedBy,viewport:a.frame,last:s,forceShouldAnimate:!1}),d=Fe({afterDragging:$e(s.all,o),destination:l,displacedBy:t.displacedBy,viewport:n.frame,last:s,forceShouldAnimate:!1}),f={},p={},g=[s,c,d];return s.all.forEach((function(e){var t=function(e,t){for(var n=0;n<t.length;n++){var r=t[n].visible[e];if(r)return r}return null}(e,g);t?p[e]=t:f[e]=!0})),(0,u.A)({},t,{displaced:{all:s.all,invisible:f,visible:p}})}({impact:p,viewport:a,destination:r,draggables:o,maxScrollChange:v});return{clientSelection:s,impact:m,scrollJumpRequest:v}},Xe=function(e){var t=e.subject.active;return t||V(!1),t},Ye=function(e,t){var n=e.page.borderBox.center;return Te(e.descriptor.id,t)?K(n,t.displacedBy.point):n},Ke=function(e,t){var n=e.page.borderBox;return Te(e.descriptor.id,t)?re(n,J(t.displacedBy.point)):n},Qe=D((function(e,t){var n=t[e.line];return{value:n,point:Z(e.line,n)}})),Je=function(e,t){return(0,u.A)({},e,{scroll:(0,u.A)({},e.scroll,{max:t})})},Ze=function(e,t,n){var r=e.frame;we(t,e)&&V(!1),e.subject.withPlaceholder&&V(!1);var o=Qe(e.axis,t.displaceBy).point,i=function(e,t,n){var r=e.axis;if("virtual"===e.descriptor.mode)return Z(r.line,t[r.line]);var o=e.subject.page.contentBox[r.size],i=me(e.descriptor.id,n).reduce((function(e,t){return e+t.client.marginBox[r.size]}),0)+t[r.line]-o;return i<=0?null:Z(r.line,i)}(e,o,n),a={placeholderSize:o,increasedBy:i,oldFrameMaxScroll:e.frame?e.frame.scroll.max:null};if(!r){var l=ae({page:e.subject.page,withPlaceholder:a,axis:e.axis,frame:e.frame});return(0,u.A)({},e,{subject:l})}var s=i?Y(r.scroll.max,i):r.scroll.max,c=Je(r,s),d=ae({page:e.subject.page,withPlaceholder:a,axis:e.axis,frame:c});return(0,u.A)({},e,{subject:d,frame:c})},et=function(e){var t=e.at;return t?"REORDER"===t.type?t.destination.droppableId:t.combine.droppableId:null},tt=function(e){var t=e.state,n=e.type,r=function(e,t){var n=et(e);return n?t[n]:null}(t.impact,t.dimensions.droppables),o=Boolean(r),i=t.dimensions.droppables[t.critical.droppable.id],a=r||i,l=a.axis.direction,s="vertical"===l&&("MOVE_UP"===n||"MOVE_DOWN"===n)||"horizontal"===l&&("MOVE_LEFT"===n||"MOVE_RIGHT"===n);if(s&&!o)return null;var u="MOVE_DOWN"===n||"MOVE_RIGHT"===n,c=t.dimensions.draggables[t.critical.draggable.id],d=t.current.page.borderBoxCenter,f=t.dimensions,p=f.draggables,g=f.droppables;return s?qe({isMovingForward:u,previousPageBorderBoxCenter:d,draggable:c,destination:a,draggables:p,viewport:t.viewport,previousClientSelection:t.current.client.selection,previousImpact:t.impact,afterCritical:t.afterCritical}):function(e){var t=e.isMovingForward,n=e.previousPageBorderBoxCenter,r=e.draggable,o=e.isOver,i=e.draggables,a=e.droppables,l=e.viewport,s=e.afterCritical,u=function(e){var t=e.isMovingForward,n=e.pageBorderBoxCenter,r=e.source,o=e.droppables,i=e.viewport,a=r.subject.active;if(!a)return null;var l=r.axis,s=xe(a[l.start],a[l.end]),u=ge(o).filter((function(e){return e!==r})).filter((function(e){return e.isEnabled})).filter((function(e){return Boolean(e.subject.active)})).filter((function(e){return Ae(i.frame)(Xe(e))})).filter((function(e){var n=Xe(e);return t?a[l.crossAxisEnd]<n[l.crossAxisEnd]:n[l.crossAxisStart]<a[l.crossAxisStart]})).filter((function(e){var t=Xe(e),n=xe(t[l.start],t[l.end]);return s(t[l.start])||s(t[l.end])||n(a[l.start])||n(a[l.end])})).sort((function(e,n){var r=Xe(e)[l.crossAxisStart],o=Xe(n)[l.crossAxisStart];return t?r-o:o-r})).filter((function(e,t,n){return Xe(e)[l.crossAxisStart]===Xe(n[0])[l.crossAxisStart]}));if(!u.length)return null;if(1===u.length)return u[0];var c=u.filter((function(e){return xe(Xe(e)[l.start],Xe(e)[l.end])(n[l.line])}));return 1===c.length?c[0]:c.length>1?c.sort((function(e,t){return Xe(e)[l.start]-Xe(t)[l.start]}))[0]:u.sort((function(e,t){var r=te(n,oe(Xe(e))),o=te(n,oe(Xe(t)));return r!==o?r-o:Xe(e)[l.start]-Xe(t)[l.start]}))[0]}({isMovingForward:t,pageBorderBoxCenter:n,source:o,droppables:a,viewport:l});if(!u)return null;var c=me(u.descriptor.id,i),d=function(e){var t=e.pageBorderBoxCenter,n=e.viewport,r=e.destination,o=e.afterCritical,i=e.insideDestination.filter((function(e){return Pe({target:Ke(e,o),destination:r,viewport:n.frame,withDroppableDisplacement:!0})})).sort((function(e,n){var i=ee(t,je(r,Ye(e,o))),a=ee(t,je(r,Ye(n,o)));return i<a?-1:a<i?1:e.descriptor.index-n.descriptor.index}));return i[0]||null}({pageBorderBoxCenter:n,viewport:l,destination:u,insideDestination:c,afterCritical:s}),f=function(e){var t=e.previousPageBorderBoxCenter,n=e.moveRelativeTo,r=e.insideDestination,o=e.draggable,i=e.draggables,a=e.destination,l=e.viewport,s=e.afterCritical;if(!n){if(r.length)return null;var u={displaced:Ce,displacedBy:Ee,at:{type:"REORDER",destination:{droppableId:a.descriptor.id,index:0}}},c=He({impact:u,draggable:o,droppable:a,draggables:i,afterCritical:s}),d=we(o,a)?a:Ze(a,o,i);return We({draggable:o,destination:d,newPageBorderBoxCenter:c,viewport:l.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0})?u:null}var f,p=Boolean(t[a.axis.line]<=n.page.borderBox.center[a.axis.line]),g=(f=n.descriptor.index,n.descriptor.id===o.descriptor.id||p?f:f+1);return Be({draggable:o,insideDestination:r,destination:a,viewport:l,displacedBy:Qe(a.axis,o.displaceBy),last:Ce,index:g})}({previousPageBorderBoxCenter:n,destination:u,draggable:r,draggables:i,moveRelativeTo:d,insideDestination:c,viewport:l,afterCritical:s});if(!f)return null;var p=He({impact:f,draggable:r,droppable:u,draggables:i,afterCritical:s});return{clientSelection:Ue({pageBorderBoxCenter:p,draggable:r,viewport:l}),impact:f,scrollJumpRequest:null}}({isMovingForward:u,previousPageBorderBoxCenter:d,draggable:c,isOver:a,draggables:p,droppables:g,viewport:t.viewport,afterCritical:t.afterCritical})};function nt(e){return"DRAGGING"===e.phase||"COLLECTING"===e.phase}function rt(e){var t=xe(e.top,e.bottom),n=xe(e.left,e.right);return function(e){return t(e.y)&&n(e.x)}}var ot=function(e,t){return h(re(e,t))};function it(e){var t=e.displaced,n=e.id;return Boolean(t.visible[n]||t.invisible[n])}var at=function(e){var t=e.pageOffset,n=e.draggable,r=e.draggables,o=e.droppables,i=e.previousImpact,a=e.viewport,l=e.afterCritical,s=ot(n.page.borderBox,t),u=function(e){var t=e.pageBorderBox,n=e.draggable,r=e.droppables,o=ge(r).filter((function(e){if(!e.isEnabled)return!1;var n,r,o=e.subject.active;if(!o)return!1;if(r=o,!((n=t).left<r.right&&n.right>r.left&&n.top<r.bottom&&n.bottom>r.top))return!1;if(rt(o)(t.center))return!0;var i=e.axis,a=o.center[i.crossAxisLine],l=t[i.crossAxisStart],s=t[i.crossAxisEnd],u=xe(o[i.crossAxisStart],o[i.crossAxisEnd]),c=u(l),d=u(s);return!c&&!d||(c?l<a:s>a)}));return o.length?1===o.length?o[0].descriptor.id:function(e){var t=e.pageBorderBox,n=e.candidates,r=e.draggable.page.borderBox.center,o=n.map((function(e){var n=e.axis,o=Z(e.axis.line,t.center[n.line],e.page.borderBox.center[n.crossAxisLine]);return{id:e.descriptor.id,distance:ee(r,o)}})).sort((function(e,t){return t.distance-e.distance}));return o[0]?o[0].id:null}({pageBorderBox:t,draggable:n,candidates:o}):null}({pageBorderBox:s,draggable:n,droppables:o});if(!u)return Se;var c=o[u],d=me(c.descriptor.id,r),f=function(e,t){var n=e.frame;return n?ot(t,n.scroll.diff.value):t}(c,s);return function(e){var t=e.draggable,n=e.pageBorderBoxWithDroppableScroll,r=e.previousImpact,o=e.destination,i=e.insideDestination,a=e.afterCritical;if(!o.isCombineEnabled)return null;var l=o.axis,s=Qe(o.axis,t.displaceBy),u=s.value,c=n[l.start],d=n[l.end],f=ce(ye(t,i),(function(e){var t=e.descriptor.id,n=e.page.borderBox,o=n[l.size]/4,i=Te(t,a),s=it({displaced:r.displaced,id:t});return i?s?d>n[l.start]+o&&d<n[l.end]-o:c>n[l.start]-u+o&&c<n[l.end]-u-o:s?d>n[l.start]+u+o&&d<n[l.end]+u-o:c>n[l.start]+o&&c<n[l.end]-o}));return f?{displacedBy:s,displaced:r.displaced,at:{type:"COMBINE",combine:{draggableId:f.descriptor.id,droppableId:o.descriptor.id}}}:null}({pageBorderBoxWithDroppableScroll:f,draggable:n,previousImpact:i,destination:c,insideDestination:d,afterCritical:l})||function(e){var t=e.pageBorderBoxWithDroppableScroll,n=e.draggable,r=e.destination,o=e.insideDestination,i=e.last,a=e.viewport,l=e.afterCritical,s=r.axis,u=Qe(r.axis,n.displaceBy),c=u.value,d=t[s.start],f=t[s.end],p=function(e){var t=e.draggable,n=e.closest;return n?e.inHomeList&&n.descriptor.index>t.descriptor.index?n.descriptor.index-1:n.descriptor.index:null}({draggable:n,closest:ce(ye(n,o),(function(e){var t=e.descriptor.id,n=e.page.borderBox.center[s.line],r=Te(t,l),o=it({displaced:i,id:t});return r?o?f<=n:d<n-c:o?f<=n+c:d<n})),inHomeList:we(n,r)});return Be({draggable:n,insideDestination:o,destination:r,viewport:a,last:i,displacedBy:u,index:p})}({pageBorderBoxWithDroppableScroll:f,draggable:n,destination:c,insideDestination:d,last:i.displaced,viewport:a,afterCritical:l})},lt=function(e,t){var n;return(0,u.A)({},e,((n={})[t.descriptor.id]=t,n))},st=function(e){var t=e.state,n=e.clientSelection,r=e.dimensions,o=e.viewport,i=e.impact,a=e.scrollJumpRequest,l=o||t.viewport,s=r||t.dimensions,c=n||t.current.client.selection,d=K(c,t.initial.client.selection),f={offset:d,selection:c,borderBoxCenter:Y(t.initial.client.borderBoxCenter,d)},p={selection:Y(f.selection,l.scroll.current),borderBoxCenter:Y(f.borderBoxCenter,l.scroll.current),offset:Y(f.offset,l.scroll.diff.value)},g={client:f,page:p};if("COLLECTING"===t.phase)return(0,u.A)({phase:"COLLECTING"},t,{dimensions:s,viewport:l,current:g});var v=s.draggables[t.critical.draggable.id],m=i||at({pageOffset:p.offset,draggable:v,draggables:s.draggables,droppables:s.droppables,previousImpact:t.impact,viewport:l,afterCritical:t.afterCritical}),h=function(e){var t=e.draggable,n=e.draggables,r=e.droppables,o=e.impact,i=function(e){var t=e.previousImpact,n=e.impact,r=e.droppables,o=et(t),i=et(n);if(!o)return r;if(o===i)return r;var a=r[o];if(!a.subject.withPlaceholder)return r;var l=function(e){var t=e.subject.withPlaceholder;t||V(!1);var n=e.frame;if(!n){var r=ae({page:e.subject.page,axis:e.axis,frame:null,withPlaceholder:null});return(0,u.A)({},e,{subject:r})}var o=t.oldFrameMaxScroll;o||V(!1);var i=Je(n,o),a=ae({page:e.subject.page,axis:e.axis,frame:i,withPlaceholder:null});return(0,u.A)({},e,{subject:a,frame:i})}(a);return lt(r,l)}({previousImpact:e.previousImpact,impact:o,droppables:r}),a=et(o);if(!a)return i;var l=r[a];if(we(t,l))return i;if(l.subject.withPlaceholder)return i;var s=Ze(l,t,n);return lt(i,s)}({draggable:v,impact:m,previousImpact:t.impact,draggables:s.draggables,droppables:s.droppables});return(0,u.A)({},t,{current:g,dimensions:{draggables:s.draggables,droppables:h},impact:m,viewport:l,scrollJumpRequest:a||null,forceShouldAnimate:!a&&null})},ut=function(e){var t=e.impact,n=e.viewport,r=e.draggables,o=e.destination,i=e.forceShouldAnimate,a=t.displaced,l=function(e,t){return e.map((function(e){return t[e]}))}(a.all,r),s=Fe({afterDragging:l,destination:o,displacedBy:t.displacedBy,viewport:n.frame,forceShouldAnimate:i,last:a});return(0,u.A)({},t,{displaced:s})},ct=function(e){var t=e.impact,n=e.draggable,r=e.droppable,o=e.draggables,i=e.viewport,a=e.afterCritical,l=He({impact:t,draggable:n,draggables:o,droppable:r,afterCritical:a});return Ue({pageBorderBoxCenter:l,draggable:n,viewport:i})},dt=function(e){var t=e.state,n=e.dimensions,r=e.viewport;"SNAP"!==t.movementMode&&V(!1);var o=t.impact,i=r||t.viewport,a=n||t.dimensions,l=a.draggables,s=a.droppables,u=l[t.critical.draggable.id],c=et(o);c||V(!1);var d=s[c],f=ut({impact:o,viewport:i,destination:d,draggables:l}),p=ct({impact:f,draggable:u,droppable:d,draggables:l,viewport:i,afterCritical:t.afterCritical});return st({impact:f,clientSelection:p,state:t,dimensions:a,viewport:i})},ft=function(e){var t=e.draggable,n=e.home,r=e.draggables,o=e.viewport,i=Qe(n.axis,t.displaceBy),a=me(n.descriptor.id,r),l=a.indexOf(t);-1===l&&V(!1);var s,u=a.slice(l+1),c=u.reduce((function(e,t){return e[t.descriptor.id]=!0,e}),{}),d={inVirtualList:"virtual"===n.descriptor.mode,displacedBy:i,effected:c};return{impact:{displaced:Fe({afterDragging:u,destination:n,displacedBy:i,last:null,viewport:o.frame,forceShouldAnimate:!1}),displacedBy:i,at:{type:"REORDER",destination:(s=t.descriptor,{index:s.index,droppableId:s.droppableId})}},afterCritical:d}},pt=function(e){return"SNAP"===e.movementMode},gt=function(e,t,n){var r=function(e,t){return{draggables:e.draggables,droppables:lt(e.droppables,t)}}(e.dimensions,t);return!pt(e)||n?st({state:e,dimensions:r}):dt({state:e,dimensions:r})};function vt(e){return e.isDragging&&"SNAP"===e.movementMode?(0,u.A)({phase:"DRAGGING"},e,{scrollJumpRequest:null}):e}var mt={phase:"IDLE",completed:null,shouldFlush:!1},ht=function(e,t){if(void 0===e&&(e=mt),"FLUSH"===t.type)return(0,u.A)({},mt,{shouldFlush:!0});if("INITIAL_PUBLISH"===t.type){"IDLE"!==e.phase&&V(!1);var n=t.payload,r=n.critical,o=n.clientSelection,i=n.viewport,a=n.dimensions,l=n.movementMode,s=a.draggables[r.draggable.id],c=a.droppables[r.droppable.id],d={selection:o,borderBoxCenter:s.client.borderBox.center,offset:X},f={client:d,page:{selection:Y(d.selection,i.scroll.initial),borderBoxCenter:Y(d.selection,i.scroll.initial),offset:Y(d.selection,i.scroll.diff.value)}},p=ge(a.droppables).every((function(e){return!e.isFixedOnPage})),g=ft({draggable:s,home:c,draggables:a.draggables,viewport:i}),v=g.impact;return{phase:"DRAGGING",isDragging:!0,critical:r,movementMode:l,dimensions:a,initial:f,current:f,isWindowScrollAllowed:p,impact:v,afterCritical:g.afterCritical,onLiftImpact:v,viewport:i,scrollJumpRequest:null,forceShouldAnimate:null}}if("COLLECTION_STARTING"===t.type)return"COLLECTING"===e.phase||"DROP_PENDING"===e.phase?e:("DRAGGING"!==e.phase&&V(!1),(0,u.A)({phase:"COLLECTING"},e,{phase:"COLLECTING"}));if("PUBLISH_WHILE_DRAGGING"===t.type)return"COLLECTING"!==e.phase&&"DROP_PENDING"!==e.phase&&V(!1),function(e){var t=e.state,n=e.published,r=n.modified.map((function(e){var n=t.dimensions.droppables[e.droppableId];return le(n,e.scroll)})),o=(0,u.A)({},t.dimensions.droppables,{},fe(r)),i=pe(function(e){var t=e.additions,n=e.updatedDroppables,r=e.viewport,o=r.scroll.diff.value;return t.map((function(e){var t=e.descriptor.droppableId,i=function(e){var t=e.frame;return t||V(!1),t}(n[t]),a=i.scroll.diff.value,l=function(e){var t=e.draggable,n=e.offset,r=e.initialWindowScroll,o=S(t.client,n),i=x(o,r);return(0,u.A)({},t,{placeholder:(0,u.A)({},t.placeholder,{client:o}),client:o,page:i})}({draggable:e,offset:Y(o,a),initialWindowScroll:r.scroll.initial});return l}))}({additions:n.additions,updatedDroppables:o,viewport:t.viewport})),a=(0,u.A)({},t.dimensions.draggables,{},i);n.removals.forEach((function(e){delete a[e]}));var l={droppables:o,draggables:a},s=et(t.impact),c=s?l.droppables[s]:null,d=l.draggables[t.critical.draggable.id],f=l.droppables[t.critical.droppable.id],p=ft({draggable:d,home:f,draggables:a,viewport:t.viewport}),g=p.impact,v=p.afterCritical,m=c&&c.isCombineEnabled?t.impact:g,h=at({pageOffset:t.current.page.offset,draggable:l.draggables[t.critical.draggable.id],draggables:l.draggables,droppables:l.droppables,previousImpact:m,viewport:t.viewport,afterCritical:v}),b=(0,u.A)({phase:"DRAGGING"},t,{phase:"DRAGGING",impact:h,onLiftImpact:g,dimensions:l,afterCritical:v,forceShouldAnimate:!1});return"COLLECTING"===t.phase?b:(0,u.A)({phase:"DROP_PENDING"},b,{phase:"DROP_PENDING",reason:t.reason,isWaiting:!1})}({state:e,published:t.payload});if("MOVE"===t.type){if("DROP_PENDING"===e.phase)return e;nt(e)||V(!1);var m=t.payload.client;return Q(m,e.current.client.selection)?e:st({state:e,clientSelection:m,impact:pt(e)?e.impact:null})}if("UPDATE_DROPPABLE_SCROLL"===t.type){if("DROP_PENDING"===e.phase)return vt(e);if("COLLECTING"===e.phase)return vt(e);nt(e)||V(!1);var h=t.payload,b=h.id,y=h.newScroll,w=e.dimensions.droppables[b];if(!w)return e;var E=le(w,y);return gt(e,E,!1)}if("UPDATE_DROPPABLE_IS_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;nt(e)||V(!1);var C=t.payload,A=C.id,I=C.isEnabled,R=e.dimensions.droppables[A];R||V(!1),R.isEnabled===I&&V(!1);var O=(0,u.A)({},R,{isEnabled:I});return gt(e,O,!0)}if("UPDATE_DROPPABLE_IS_COMBINE_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;nt(e)||V(!1);var D=t.payload,M=D.id,P=D.isCombineEnabled,N=e.dimensions.droppables[M];N||V(!1),N.isCombineEnabled===P&&V(!1);var F=(0,u.A)({},N,{isCombineEnabled:P});return gt(e,F,!0)}if("MOVE_BY_WINDOW_SCROLL"===t.type){if("DROP_PENDING"===e.phase||"DROP_ANIMATING"===e.phase)return e;nt(e)||V(!1),e.isWindowScrollAllowed||V(!1);var k=t.payload.newScroll;if(Q(e.viewport.scroll.current,k))return vt(e);var B=ze(e.viewport,k);return pt(e)?dt({state:e,viewport:B}):st({state:e,viewport:B})}if("UPDATE_VIEWPORT_MAX_SCROLL"===t.type){if(!nt(e))return e;var T=t.payload.maxScroll;if(Q(T,e.viewport.scroll.max))return e;var _=(0,u.A)({},e.viewport,{scroll:(0,u.A)({},e.viewport.scroll,{max:T})});return(0,u.A)({phase:"DRAGGING"},e,{viewport:_})}if("MOVE_UP"===t.type||"MOVE_DOWN"===t.type||"MOVE_LEFT"===t.type||"MOVE_RIGHT"===t.type){if("COLLECTING"===e.phase||"DROP_PENDING"===e.phase)return e;"DRAGGING"!==e.phase&&V(!1);var L=tt({state:e,type:t.type});return L?st({state:e,impact:L.impact,clientSelection:L.clientSelection,scrollJumpRequest:L.scrollJumpRequest}):e}if("DROP_PENDING"===t.type){var G=t.payload.reason;return"COLLECTING"!==e.phase&&V(!1),(0,u.A)({phase:"DROP_PENDING"},e,{phase:"DROP_PENDING",isWaiting:!0,reason:G})}if("DROP_ANIMATE"===t.type){var j=t.payload,H=j.completed,z=j.dropDuration,$=j.newHomeClientOffset;return"DRAGGING"!==e.phase&&"DROP_PENDING"!==e.phase&&V(!1),{phase:"DROP_ANIMATING",completed:H,dropDuration:z,newHomeClientOffset:$,dimensions:e.dimensions}}return"DROP_COMPLETE"===t.type?{phase:"IDLE",completed:t.payload.completed,shouldFlush:!1}:e},bt=function(e){return{type:"LIFT",payload:e}},yt=function(e){return{type:"PUBLISH_WHILE_DRAGGING",payload:e}},wt=function(){return{type:"COLLECTION_STARTING",payload:null}},Et=function(e){return{type:"UPDATE_DROPPABLE_SCROLL",payload:e}},Ct=function(e){return{type:"UPDATE_DROPPABLE_IS_ENABLED",payload:e}},St=function(e){return{type:"UPDATE_DROPPABLE_IS_COMBINE_ENABLED",payload:e}},xt=function(e){return{type:"MOVE",payload:e}},At=function(){return{type:"MOVE_UP",payload:null}},It=function(){return{type:"MOVE_DOWN",payload:null}},Rt=function(){return{type:"MOVE_RIGHT",payload:null}},Ot=function(){return{type:"MOVE_LEFT",payload:null}},Dt=function(){return{type:"FLUSH",payload:null}},Mt=function(e){return{type:"DROP_COMPLETE",payload:e}},Pt=function(e){return{type:"DROP",payload:e}},Nt="cubic-bezier(.2,1,.1,1)",Ft=0,kt=.7,Bt=.75,Tt="0.2s cubic-bezier(0.2, 0, 0, 1)",_t={fluid:"opacity "+Tt,snap:"transform "+Tt+", opacity "+Tt,drop:function(e){var t=e+"s "+Nt;return"transform "+t+", opacity "+t},outOfTheWay:"transform "+Tt,placeholder:"height "+Tt+", width "+Tt+", margin "+Tt},Lt=function(e){return Q(e,X)?null:"translate("+e.x+"px, "+e.y+"px)"},Vt=Lt,Gt=function(e,t){var n=Lt(e);return n?t?n+" scale("+Bt+")":n:null},jt=.33,Ht=.55-jt,zt=function(e){var t=e.getState,n=e.dispatch;return function(e){return function(r){if("DROP"===r.type){var o=t(),i=r.payload.reason;if("COLLECTING"!==o.phase){if("IDLE"!==o.phase){"DROP_PENDING"===o.phase&&o.isWaiting&&V(!1),"DRAGGING"!==o.phase&&"DROP_PENDING"!==o.phase&&V(!1);var a=o.critical,l=o.dimensions,s=l.draggables[o.critical.draggable.id],c=function(e){var t=e.draggables,n=e.reason,r=e.lastImpact,o=e.home,i=e.viewport,a=e.onLiftImpact;return r.at&&"DROP"===n?"REORDER"===r.at.type?{impact:r,didDropInsideDroppable:!0}:{impact:(0,u.A)({},r,{displaced:Ce}),didDropInsideDroppable:!0}:{impact:ut({draggables:t,impact:a,destination:o,viewport:i,forceShouldAnimate:!0}),didDropInsideDroppable:!1}}({reason:i,lastImpact:o.impact,afterCritical:o.afterCritical,onLiftImpact:o.onLiftImpact,home:o.dimensions.droppables[o.critical.droppable.id],viewport:o.viewport,draggables:o.dimensions.draggables}),d=c.impact,f=c.didDropInsideDroppable,p=f?he(d):null,g=f?be(d):null,v={index:a.draggable.index,droppableId:a.droppable.id},m={draggableId:s.descriptor.id,type:s.descriptor.type,source:v,reason:i,mode:o.movementMode,destination:p,combine:g},h=function(e){var t=e.impact,n=e.draggable,r=e.dimensions,o=e.viewport,i=e.afterCritical,a=r.draggables,l=r.droppables,s=et(t),u=s?l[s]:null,c=l[n.descriptor.droppableId],d=ct({impact:t,draggable:n,draggables:a,afterCritical:i,droppable:u||c,viewport:o});return K(d,n.client.borderBox.center)}({impact:d,draggable:s,dimensions:l,viewport:o.viewport,afterCritical:o.afterCritical}),b={critical:o.critical,afterCritical:o.afterCritical,result:m,impact:d};if(!Q(o.current.client.offset,h)||Boolean(m.combine)){var y=function(e){var t=e.reason,n=ee(e.current,e.destination);if(n<=0)return jt;if(n>=1500)return.55;var r=jt+Ht*(n/1500);return Number(("CANCEL"===t?.6*r:r).toFixed(2))}({current:o.current.client.offset,destination:h,reason:i});n({type:"DROP_ANIMATE",payload:{newHomeClientOffset:h,dropDuration:y,completed:b}})}else n(Mt({completed:b}))}}else n(function(e){return{type:"DROP_PENDING",payload:e}}({reason:i}))}else e(r)}}},$t=function(){return{x:window.pageXOffset,y:window.pageYOffset}};var Ut=function(e){var t=function(e){var t=e.onWindowScroll,n=M((function(){t($t())})),r=function(e){return{eventName:"scroll",options:{passive:!0,capture:!1},fn:function(t){t.target!==window&&t.target!==window.document||e()}}}(n),o=k;function i(){return o!==k}return{start:function(){i()&&V(!1),o=B(window,[r])},stop:function(){i()||V(!1),n.cancel(),o(),o=k},isActive:i}}({onWindowScroll:function(t){e.dispatch({type:"MOVE_BY_WINDOW_SCROLL",payload:{newScroll:t}})}});return function(e){return function(n){t.isActive()||"INITIAL_PUBLISH"!==n.type||t.start(),t.isActive()&&function(e){return"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type}(n)&&t.stop(),e(n)}}},Wt=function(e,t){t()},qt=function(e,t){return{draggableId:e.draggable.id,type:e.droppable.type,source:{droppableId:e.droppable.id,index:e.draggable.index},mode:t}},Xt=function(e,t,n,r){if(e){var o=function(e){var t=!1,n=!1,r=setTimeout((function(){n=!0})),o=function(o){t||n||(t=!0,e(o),clearTimeout(r))};return o.wasCalled=function(){return t},o}(n);e(t,{announce:o}),o.wasCalled()||n(r(t))}else n(r(t))},Yt=function(e,t){var n=function(e,t){var n,r=(n=[],{add:function(e){var t=setTimeout((function(){return function(e){var t=ue(n,(function(t){return t.timerId===e}));-1===t&&V(!1),n.splice(t,1)[0].callback()}(t)})),r={timerId:t,callback:e};n.push(r)},flush:function(){if(n.length){var e=[].concat(n);n.length=0,e.forEach((function(e){clearTimeout(e.timerId),e.callback()}))}}}),o=null,i=function(n){o||V(!1),o=null,Wt(0,(function(){return Xt(e().onDragEnd,n,t,q)}))};return{beforeCapture:function(t,n){o&&V(!1),Wt(0,(function(){var r=e().onBeforeCapture;r&&r({draggableId:t,mode:n})}))},beforeStart:function(t,n){o&&V(!1),Wt(0,(function(){var r=e().onBeforeDragStart;r&&r(qt(t,n))}))},start:function(n,i){o&&V(!1);var a=qt(n,i);o={mode:i,lastCritical:n,lastLocation:a.source,lastCombine:null},r.add((function(){Wt(0,(function(){return Xt(e().onDragStart,a,t,U)}))}))},update:function(n,i){var a=he(i),l=be(i);o||V(!1);var s=!function(e,t){if(e===t)return!0;var n=e.draggable.id===t.draggable.id&&e.draggable.droppableId===t.draggable.droppableId&&e.draggable.type===t.draggable.type&&e.draggable.index===t.draggable.index,r=e.droppable.id===t.droppable.id&&e.droppable.type===t.droppable.type;return n&&r}(n,o.lastCritical);s&&(o.lastCritical=n);var c,d,f=(d=a,!(null==(c=o.lastLocation)&&null==d||null!=c&&null!=d&&c.droppableId===d.droppableId&&c.index===d.index));f&&(o.lastLocation=a);var p=!function(e,t){return null==e&&null==t||null!=e&&null!=t&&e.draggableId===t.draggableId&&e.droppableId===t.droppableId}(o.lastCombine,l);if(p&&(o.lastCombine=l),s||f||p){var g=(0,u.A)({},qt(n,o.mode),{combine:l,destination:a});r.add((function(){Wt(0,(function(){return Xt(e().onDragUpdate,g,t,W)}))}))}},flush:function(){o||V(!1),r.flush()},drop:i,abort:function(){if(o){var e=(0,u.A)({},qt(o.lastCritical,o.mode),{combine:null,destination:null,reason:"CANCEL"});i(e)}}}}(e,t);return function(e){return function(t){return function(r){if("BEFORE_INITIAL_CAPTURE"!==r.type){if("INITIAL_PUBLISH"===r.type){var o=r.payload.critical;return n.beforeStart(o,r.payload.movementMode),t(r),void n.start(o,r.payload.movementMode)}if("DROP_COMPLETE"===r.type){var i=r.payload.completed.result;return n.flush(),t(r),void n.drop(i)}if(t(r),"FLUSH"!==r.type){var a=e.getState();"DRAGGING"===a.phase&&n.update(a.critical,a.impact)}else n.abort()}else n.beforeCapture(r.payload.draggableId,r.payload.movementMode)}}}},Kt=function(e){return function(t){return function(n){if("DROP_ANIMATION_FINISHED"===n.type){var r=e.getState();"DROP_ANIMATING"!==r.phase&&V(!1),e.dispatch(Mt({completed:r.completed}))}else t(n)}}},Qt=function(e){var t=null,n=null;return function(r){return function(o){if("FLUSH"!==o.type&&"DROP_COMPLETE"!==o.type&&"DROP_ANIMATION_FINISHED"!==o.type||(n&&(cancelAnimationFrame(n),n=null),t&&(t(),t=null)),r(o),"DROP_ANIMATE"===o.type){var i={eventName:"scroll",options:{capture:!0,passive:!1,once:!0},fn:function(){"DROP_ANIMATING"===e.getState().phase&&e.dispatch({type:"DROP_ANIMATION_FINISHED",payload:null})}};n=requestAnimationFrame((function(){n=null,t=B(window,[i])}))}}}},Jt=function(e){return function(t){return function(n){if(t(n),"PUBLISH_WHILE_DRAGGING"===n.type){var r=e.getState();"DROP_PENDING"===r.phase&&(r.isWaiting||e.dispatch(Pt({reason:r.reason})))}}}},Zt=c.compose,en=function(e){var t,n=e.dimensionMarshal,r=e.focusMarshal,o=e.styleMarshal,i=e.getResponders,a=e.announce,l=e.autoScroller;return(0,c.createStore)(ht,Zt((0,c.applyMiddleware)((t=o,function(){return function(e){return function(n){"INITIAL_PUBLISH"===n.type&&t.dragging(),"DROP_ANIMATE"===n.type&&t.dropping(n.payload.completed.result.reason),"FLUSH"!==n.type&&"DROP_COMPLETE"!==n.type||t.resting(),e(n)}}}),function(e){return function(){return function(t){return function(n){"DROP_COMPLETE"!==n.type&&"FLUSH"!==n.type&&"DROP_ANIMATE"!==n.type||e.stopPublishing(),t(n)}}}}(n),function(e){return function(t){var n=t.getState,r=t.dispatch;return function(t){return function(o){if("LIFT"===o.type){var i=o.payload,a=i.id,l=i.clientSelection,s=i.movementMode,u=n();"DROP_ANIMATING"===u.phase&&r(Mt({completed:u.completed})),"IDLE"!==n().phase&&V(!1),r(Dt()),r({type:"BEFORE_INITIAL_CAPTURE",payload:{draggableId:a,movementMode:s}});var c={draggableId:a,scrollOptions:{shouldPublishImmediately:"SNAP"===s}},d=e.startPublishing(c),f=d.critical,p=d.dimensions,g=d.viewport;r({type:"INITIAL_PUBLISH",payload:{critical:f,dimensions:p,clientSelection:l,movementMode:s,viewport:g}})}else t(o)}}}}(n),zt,Kt,Qt,Jt,function(e){return function(t){return function(n){return function(r){if(function(e){return"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type}(r))return e.stop(),void n(r);if("INITIAL_PUBLISH"===r.type){n(r);var o=t.getState();return"DRAGGING"!==o.phase&&V(!1),void e.start(o)}n(r),e.scroll(t.getState())}}}}(l),Ut,function(e){var t=!1;return function(){return function(n){return function(r){if("INITIAL_PUBLISH"===r.type)return t=!0,e.tryRecordFocus(r.payload.critical.draggable.id),n(r),void e.tryRestoreFocusRecorded();if(n(r),t){if("FLUSH"===r.type)return t=!1,void e.tryRestoreFocusRecorded();if("DROP_COMPLETE"===r.type){t=!1;var o=r.payload.completed.result;o.combine&&e.tryShiftRecord(o.draggableId,o.combine.draggableId),e.tryRestoreFocusRecorded()}}}}}}(r),Yt(i,a))))},tn=function(e){var t=e.scrollHeight,n=e.scrollWidth,r=e.height,o=e.width,i=K({x:n,y:t},{x:o,y:r});return{x:Math.max(0,i.x),y:Math.max(0,i.y)}},nn=function(){var e=document.documentElement;return e||V(!1),e},rn=function(){var e=nn();return tn({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,width:e.clientWidth,height:e.clientHeight})};function on(e,t,n){return n.descriptor.id!==t.id&&n.descriptor.type===t.type&&"virtual"===e.droppable.getById(n.descriptor.droppableId).descriptor.mode}var an,ln,sn=function(e,t){var n=null,r=function(e){var t=e.registry,n=e.callbacks,r={additions:{},removals:{},modified:{}},o=null,i=function(){o||(n.collectionStarting(),o=requestAnimationFrame((function(){o=null;var e=r,i=e.additions,a=e.removals,l=e.modified,s=Object.keys(i).map((function(e){return t.draggable.getById(e).getDimension(X)})).sort((function(e,t){return e.descriptor.index-t.descriptor.index})),u=Object.keys(l).map((function(e){return{droppableId:e,scroll:t.droppable.getById(e).callbacks.getScrollWhileDragging()}})),c={additions:s,removals:Object.keys(a),modified:u};r={additions:{},removals:{},modified:{}},n.publish(c)})))};return{add:function(e){var t=e.descriptor.id;r.additions[t]=e,r.modified[e.descriptor.droppableId]=!0,r.removals[t]&&delete r.removals[t],i()},remove:function(e){var t=e.descriptor;r.removals[t.id]=!0,r.modified[t.droppableId]=!0,r.additions[t.id]&&delete r.additions[t.id],i()},stop:function(){o&&(cancelAnimationFrame(o),o=null,r={additions:{},removals:{},modified:{}})}}}({callbacks:{publish:t.publishWhileDragging,collectionStarting:t.collectionStarting},registry:e}),o=function(t){n||V(!1);var o=n.critical.draggable;"ADDITION"===t.type&&on(e,o,t.value)&&r.add(t.value),"REMOVAL"===t.type&&on(e,o,t.value)&&r.remove(t.value)};return{updateDroppableIsEnabled:function(r,o){e.droppable.exists(r)||V(!1),n&&t.updateDroppableIsEnabled({id:r,isEnabled:o})},updateDroppableIsCombineEnabled:function(r,o){n&&(e.droppable.exists(r)||V(!1),t.updateDroppableIsCombineEnabled({id:r,isCombineEnabled:o}))},scrollDroppable:function(t,r){n&&e.droppable.getById(t).callbacks.scroll(r)},updateDroppableScroll:function(r,o){n&&(e.droppable.exists(r)||V(!1),t.updateDroppableScroll({id:r,newScroll:o}))},startPublishing:function(t){n&&V(!1);var r=e.draggable.getById(t.draggableId),i=e.droppable.getById(r.descriptor.droppableId),a={draggable:r.descriptor,droppable:i.descriptor},l=e.subscribe(o);return n={critical:a,unsubscribe:l},function(e){var t,n,r,o,i,a,l,s=e.critical,u=e.scrollOptions,c=e.registry,d=(t=$t(),n=rn(),r=t.y,o=t.x,a=(i=nn()).clientWidth,l=i.clientHeight,{frame:h({top:r,left:o,right:o+a,bottom:r+l}),scroll:{initial:t,current:t,max:n,diff:{value:X,displacement:X}}}),f=d.scroll.current,p=s.droppable,g=c.droppable.getAllByType(p.type).map((function(e){return e.callbacks.getDimensionAndWatchScroll(f,u)})),v=c.draggable.getAllByType(s.draggable.type).map((function(e){return e.getDimension(f)}));return{dimensions:{draggables:pe(v),droppables:fe(g)},critical:s,viewport:d}}({critical:a,registry:e,scrollOptions:t.scrollOptions})},stopPublishing:function(){if(n){r.stop();var t=n.critical.droppable;e.droppable.getAllByType(t.type).forEach((function(e){return e.callbacks.dragStopped()})),n.unsubscribe(),n=null}}}},un=function(e,t){return"IDLE"===e.phase||"DROP_ANIMATING"===e.phase&&e.completed.result.draggableId!==t&&"DROP"===e.completed.result.reason},cn=function(e){window.scrollBy(e.x,e.y)},dn=D((function(e){return ge(e).filter((function(e){return!!e.isEnabled&&!!e.frame}))})),fn=function(e){return Math.pow(e,2)},pn=function(e){var t=e.startOfRange,n=e.endOfRange,r=e.current,o=n-t;return 0===o?0:(r-t)/o},gn=360,vn=1200,mn=function(e){var t=e.distanceToEdge,n=e.thresholds,r=e.dragStartTime,o=e.shouldUseTimeDampening,i=function(e,t){if(e>t.startScrollingFrom)return 0;if(e<=t.maxScrollValueAt)return 28;if(e===t.startScrollingFrom)return 1;var n=pn({startOfRange:t.maxScrollValueAt,endOfRange:t.startScrollingFrom,current:e}),r=28*fn(1-n);return Math.ceil(r)}(t,n);return 0===i?0:o?Math.max(function(e,t){var n=t,r=vn,o=Date.now()-n;if(o>=vn)return e;if(o<gn)return 1;var i=pn({startOfRange:gn,endOfRange:r,current:o}),a=e*fn(i);return Math.ceil(a)}(i,r),1):i},hn=function(e){var t=e.container,n=e.distanceToEdges,r=e.dragStartTime,o=e.axis,i=e.shouldUseTimeDampening,a=function(e,t){return{startScrollingFrom:.25*e[t.size],maxScrollValueAt:.05*e[t.size]}}(t,o);return n[o.end]<n[o.start]?mn({distanceToEdge:n[o.end],thresholds:a,dragStartTime:r,shouldUseTimeDampening:i}):-1*mn({distanceToEdge:n[o.start],thresholds:a,dragStartTime:r,shouldUseTimeDampening:i})},bn=ne((function(e){return 0===e?0:e})),yn=function(e){var t=e.dragStartTime,n=e.container,r=e.subject,o=e.center,i=e.shouldUseTimeDampening,a={top:o.y-n.top,right:n.right-o.x,bottom:n.bottom-o.y,left:o.x-n.left},l=hn({container:n,distanceToEdges:a,dragStartTime:t,axis:Re,shouldUseTimeDampening:i}),s=hn({container:n,distanceToEdges:a,dragStartTime:t,axis:Oe,shouldUseTimeDampening:i}),u=bn({x:s,y:l});if(Q(u,X))return null;var c=function(e){var t=e.container,n=e.subject,r=e.proposedScroll,o=n.height>t.height,i=n.width>t.width;return i||o?i&&o?null:{x:i?0:r.x,y:o?0:r.y}:r}({container:n,subject:r,proposedScroll:u});return c?Q(c,X)?null:c:null},wn=ne((function(e){return 0===e?0:e>0?1:-1})),En=(an=function(e,t){return e<0?e:e>t?e-t:0},function(e){var t=e.current,n=e.max,r=e.change,o=Y(t,r),i={x:an(o.x,n.x),y:an(o.y,n.y)};return Q(i,X)?null:i}),Cn=function(e){var t=e.max,n=e.current,r=e.change,o={x:Math.max(n.x,t.x),y:Math.max(n.y,t.y)},i=wn(r),a=En({max:o,current:n,change:i});return!a||0!==i.x&&0===a.x||0!==i.y&&0===a.y},Sn=function(e,t){return Cn({current:e.scroll.current,max:e.scroll.max,change:t})},xn=function(e,t){var n=e.frame;return!!n&&Cn({current:n.scroll.current,max:n.scroll.max,change:t})},An=function(e){var t=e.state,n=e.dragStartTime,r=e.shouldUseTimeDampening,o=e.scrollWindow,i=e.scrollDroppable,a=t.current.page.borderBoxCenter,l=t.dimensions.draggables[t.critical.draggable.id].page.marginBox;if(t.isWindowScrollAllowed){var s=function(e){var t=e.viewport,n=e.subject,r=e.center,o=e.shouldUseTimeDampening,i=yn({dragStartTime:e.dragStartTime,container:t.frame,subject:n,center:r,shouldUseTimeDampening:o});return i&&Sn(t,i)?i:null}({dragStartTime:n,viewport:t.viewport,subject:l,center:a,shouldUseTimeDampening:r});if(s)return void o(s)}var u=function(e){var t=e.center,n=e.destination,r=e.droppables;if(n){var o=r[n];return o.frame?o:null}var i=function(e,t){var n=ce(dn(t),(function(t){return t.frame||V(!1),rt(t.frame.pageMarginBox)(e)}));return n}(t,r);return i}({center:a,destination:et(t.impact),droppables:t.dimensions.droppables});if(u){var c=function(e){var t=e.droppable,n=e.subject,r=e.center,o=e.dragStartTime,i=e.shouldUseTimeDampening,a=t.frame;if(!a)return null;var l=yn({dragStartTime:o,container:a.pageMarginBox,subject:n,center:r,shouldUseTimeDampening:i});return l&&xn(t,l)?l:null}({dragStartTime:n,droppable:u,subject:l,center:a,shouldUseTimeDampening:r});c&&i(u.descriptor.id,c)}},In=function(e){var t=e.move,n=e.scrollDroppable,r=e.scrollWindow;return function(e){var o=e.scrollJumpRequest;if(o){var i=et(e.impact);i||V(!1);var a=function(e,t){if(!xn(e,t))return t;var r=function(e,t){var n=e.frame;return n&&xn(e,t)?En({current:n.scroll.current,max:n.scroll.max,change:t}):null}(e,t);if(!r)return n(e.descriptor.id,t),null;var o=K(t,r);return n(e.descriptor.id,o),K(t,o)}(e.dimensions.droppables[i],o);if(a){var l=e.viewport,s=function(e,t,n){if(!e)return n;if(!Sn(t,n))return n;var o=function(e,t){if(!Sn(e,t))return null;var n=e.scroll.max,r=e.scroll.current;return En({current:r,max:n,change:t})}(t,n);if(!o)return r(n),null;var i=K(n,o);return r(i),K(n,i)}(e.isWindowScrollAllowed,l,a);s&&function(e,n){var r=Y(e.current.client.selection,n);t({client:r})}(e,s)}}}},Rn=function(e){var t=e.scrollDroppable,n=e.scrollWindow,r=e.move,o=function(e){var t=e.scrollDroppable,n=M(e.scrollWindow),r=M(t),o=null,i=function(e){o||V(!1);var t=o,i=t.shouldUseTimeDampening,a=t.dragStartTime;An({state:e,scrollWindow:n,scrollDroppable:r,dragStartTime:a,shouldUseTimeDampening:i})};return{start:function(e){o&&V(!1);var t=Date.now(),n=!1,r=function(){n=!0};An({state:e,dragStartTime:0,shouldUseTimeDampening:!1,scrollWindow:r,scrollDroppable:r}),o={dragStartTime:t,shouldUseTimeDampening:n},n&&i(e)},stop:function(){o&&(n.cancel(),r.cancel(),o=null)},scroll:i}}({scrollWindow:n,scrollDroppable:t}),i=In({move:r,scrollWindow:n,scrollDroppable:t});return{scroll:function(e){"DRAGGING"===e.phase&&("FLUID"!==e.movementMode?e.scrollJumpRequest&&i(e):o.scroll(e))},start:o.start,stop:o.stop}},On="data-rbd",Dn={base:ln=On+"-drag-handle",draggableId:ln+"-draggable-id",contextId:ln+"-context-id"},Mn=function(){var e=On+"-draggable";return{base:e,contextId:e+"-context-id",id:e+"-id"}}(),Pn=function(){var e=On+"-droppable";return{base:e,contextId:e+"-context-id",id:e+"-id"}}(),Nn={contextId:On+"-scroll-container-context-id"},Fn=function(e,t){return e.map((function(e){var n=e.styles[t];return n?e.selector+" { "+n+" }":""})).join(" ")},kn=function(e){var t,n,r,o=(t=e,function(e){return"["+e+'="'+t+'"]'}),i=(n="\n      cursor: -webkit-grab;\n      cursor: grab;\n    ",{selector:o(Dn.contextId),styles:{always:"\n          -webkit-touch-callout: none;\n          -webkit-tap-highlight-color: rgba(0,0,0,0);\n          touch-action: manipulation;\n        ",resting:n,dragging:"pointer-events: none;",dropAnimating:n}}),a=[(r="\n      transition: "+_t.outOfTheWay+";\n    ",{selector:o(Mn.contextId),styles:{dragging:r,dropAnimating:r,userCancel:r}}),i,{selector:o(Pn.contextId),styles:{always:"overflow-anchor: none;"}},{selector:"body",styles:{dragging:"\n        cursor: grabbing;\n        cursor: -webkit-grabbing;\n        user-select: none;\n        -webkit-user-select: none;\n        -moz-user-select: none;\n        -ms-user-select: none;\n        overflow-anchor: none;\n      "}}];return{always:Fn(a,"always"),resting:Fn(a,"resting"),dragging:Fn(a,"dragging"),dropAnimating:Fn(a,"dropAnimating"),userCancel:Fn(a,"userCancel")}},Bn="undefined"!=typeof window&&void 0!==window.document&&void 0!==window.document.createElement?i.useLayoutEffect:i.useEffect,Tn=function(){var e=document.querySelector("head");return e||V(!1),e},_n=function(e){var t=document.createElement("style");return e&&t.setAttribute("nonce",e),t.type="text/css",t},Ln=function(e){return e&&e.ownerDocument?e.ownerDocument.defaultView:window};function Vn(e){return e instanceof Ln(e).HTMLElement}function Gn(){var e={draggables:{},droppables:{}},t=[];function n(e){t.length&&t.forEach((function(t){return t(e)}))}function r(t){return e.draggables[t]||null}function o(t){return e.droppables[t]||null}return{draggable:{register:function(t){e.draggables[t.descriptor.id]=t,n({type:"ADDITION",value:t})},update:function(t,n){var r=e.draggables[n.descriptor.id];r&&r.uniqueId===t.uniqueId&&(delete e.draggables[n.descriptor.id],e.draggables[t.descriptor.id]=t)},unregister:function(t){var o=t.descriptor.id,i=r(o);i&&t.uniqueId===i.uniqueId&&(delete e.draggables[o],n({type:"REMOVAL",value:t}))},getById:function(e){var t=r(e);return t||V(!1),t},findById:r,exists:function(e){return Boolean(r(e))},getAllByType:function(t){return se(e.draggables).filter((function(e){return e.descriptor.type===t}))}},droppable:{register:function(t){e.droppables[t.descriptor.id]=t},unregister:function(t){var n=o(t.descriptor.id);n&&t.uniqueId===n.uniqueId&&delete e.droppables[t.descriptor.id]},getById:function(e){var t=o(e);return t||V(!1),t},findById:o,exists:function(e){return Boolean(o(e))},getAllByType:function(t){return se(e.droppables).filter((function(e){return e.descriptor.type===t}))}},subscribe:function(e){return t.push(e),function(){var n=t.indexOf(e);-1!==n&&t.splice(n,1)}},clean:function(){e.draggables={},e.droppables={},t.length=0}}}var jn=a().createContext(null),Hn=function(){var e=document.body;return e||V(!1),e},zn={position:"absolute",width:"1px",height:"1px",margin:"-1px",border:"0",padding:"0",overflow:"hidden",clip:"rect(0 0 0 0)","clip-path":"inset(100%)"},$n=function(e){return"rbd-announcement-"+e},Un=0,Wn={separator:"::"};function qn(e,t){return void 0===t&&(t=Wn),v((function(){return""+e+t.separator+Un++}),[t.separator,e])}var Xn=a().createContext(null);function Yn(e){var t=(0,i.useRef)(e);return(0,i.useEffect)((function(){t.current=e})),t}var Kn,Qn,Jn=((Kn={})[13]=!0,Kn[9]=!0,Kn),Zn=function(e){Jn[e.keyCode]&&e.preventDefault()},er=function(){var e="visibilitychange";return"undefined"==typeof document?e:ce([e,"ms"+e,"webkit"+e,"moz"+e,"o"+e],(function(e){return"on"+e in document}))||e}(),tr={type:"IDLE"};function nr(){}var rr=((Qn={})[34]=!0,Qn[33]=!0,Qn[36]=!0,Qn[35]=!0,Qn);var or={type:"IDLE"},ir={input:!0,button:!0,textarea:!0,select:!0,option:!0,optgroup:!0,video:!0,audio:!0};function ar(e,t){if(null==t)return!1;if(Boolean(ir[t.tagName.toLowerCase()]))return!0;var n=t.getAttribute("contenteditable");return"true"===n||""===n||t!==e&&ar(e,t.parentElement)}function lr(e,t){var n=t.target;return!!Vn(n)&&ar(e,n)}var sr=function(e){return h(e.getBoundingClientRect()).center},ur=function(){var e="matches";return"undefined"==typeof document?e:ce([e,"msMatchesSelector","webkitMatchesSelector"],(function(e){return e in Element.prototype}))||e}();function cr(e,t){return null==e?null:e[ur](t)?e:cr(e.parentElement,t)}function dr(e,t){return e.closest?e.closest(t):cr(e,t)}function fr(e){e.preventDefault()}function pr(e){var t=e.expected,n=e.phase,r=e.isLockActive;return e.shouldWarn,!!r()&&t===n}function gr(e){var t=e.lockAPI,n=e.store,r=e.registry,o=e.draggableId;if(t.isClaimed())return!1;var i=r.draggable.findById(o);return!!i&&!!i.options.isEnabled&&!!un(n.getState(),o)}var vr=[function(e){var t=(0,i.useRef)(tr),n=(0,i.useRef)(k),r=v((function(){return{eventName:"mousedown",fn:function(t){if(!t.defaultPrevented&&0===t.button&&!(t.ctrlKey||t.metaKey||t.shiftKey||t.altKey)){var r=e.findClosestDraggableId(t);if(r){var o=e.tryGetLock(r,l,{sourceEvent:t});if(o){t.preventDefault();var i={x:t.clientX,y:t.clientY};n.current(),c(o,i)}}}}}}),[e]),o=v((function(){return{eventName:"webkitmouseforcewillbegin",fn:function(t){if(!t.defaultPrevented){var n=e.findClosestDraggableId(t);if(n){var r=e.findOptionsForDraggable(n);r&&(r.shouldRespectForcePress||e.canGetLock(n)&&t.preventDefault())}}}}}),[e]),a=m((function(){n.current=B(window,[o,r],{passive:!1,capture:!0})}),[o,r]),l=m((function(){"IDLE"!==t.current.type&&(t.current=tr,n.current(),a())}),[a]),s=m((function(){var e=t.current;l(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[l]),u=m((function(){var e=function(e){var t=e.cancel,n=e.completed,r=e.getPhase,o=e.setPhase;return[{eventName:"mousemove",fn:function(e){var t=e.button,n=e.clientX,i=e.clientY;if(0===t){var a={x:n,y:i},l=r();if("DRAGGING"===l.type)return e.preventDefault(),void l.actions.move(a);if("PENDING"!==l.type&&V(!1),s=l.point,u=a,Math.abs(u.x-s.x)>=5||Math.abs(u.y-s.y)>=5){var s,u;e.preventDefault();var c=l.actions.fluidLift(a);o({type:"DRAGGING",actions:c})}}}},{eventName:"mouseup",fn:function(e){var o=r();"DRAGGING"===o.type?(e.preventDefault(),o.actions.drop({shouldBlockNextClick:!0}),n()):t()}},{eventName:"mousedown",fn:function(e){"DRAGGING"===r().type&&e.preventDefault(),t()}},{eventName:"keydown",fn:function(e){if("PENDING"!==r().type)return 27===e.keyCode?(e.preventDefault(),void t()):void Zn(e);t()}},{eventName:"resize",fn:t},{eventName:"scroll",options:{passive:!0,capture:!1},fn:function(){"PENDING"===r().type&&t()}},{eventName:"webkitmouseforcedown",fn:function(e){var n=r();"IDLE"===n.type&&V(!1),n.actions.shouldRespectForcePress()?t():e.preventDefault()}},{eventName:er,fn:t}]}({cancel:s,completed:l,getPhase:function(){return t.current},setPhase:function(e){t.current=e}});n.current=B(window,e,{capture:!0,passive:!1})}),[s,l]),c=m((function(e,n){"IDLE"!==t.current.type&&V(!1),t.current={type:"PENDING",point:n,actions:e},u()}),[u]);Bn((function(){return a(),function(){n.current()}}),[a])},function(e){var t=(0,i.useRef)(nr),n=v((function(){return{eventName:"keydown",fn:function(n){if(!n.defaultPrevented&&32===n.keyCode){var o=e.findClosestDraggableId(n);if(o){var i=e.tryGetLock(o,s,{sourceEvent:n});if(i){n.preventDefault();var a=!0,l=i.snapLift();t.current(),t.current=B(window,function(e,t){function n(){t(),e.cancel()}return[{eventName:"keydown",fn:function(r){return 27===r.keyCode?(r.preventDefault(),void n()):32===r.keyCode?(r.preventDefault(),t(),void e.drop()):40===r.keyCode?(r.preventDefault(),void e.moveDown()):38===r.keyCode?(r.preventDefault(),void e.moveUp()):39===r.keyCode?(r.preventDefault(),void e.moveRight()):37===r.keyCode?(r.preventDefault(),void e.moveLeft()):void(rr[r.keyCode]?r.preventDefault():Zn(r))}},{eventName:"mousedown",fn:n},{eventName:"mouseup",fn:n},{eventName:"click",fn:n},{eventName:"touchstart",fn:n},{eventName:"resize",fn:n},{eventName:"wheel",fn:n,options:{passive:!0}},{eventName:er,fn:n}]}(l,s),{capture:!0,passive:!1})}}}function s(){a||V(!1),a=!1,t.current(),r()}}}}),[e]),r=m((function(){t.current=B(window,[n],{passive:!1,capture:!0})}),[n]);Bn((function(){return r(),function(){t.current()}}),[r])},function(e){var t=(0,i.useRef)(or),n=(0,i.useRef)(k),r=m((function(){return t.current}),[]),o=m((function(e){t.current=e}),[]),a=v((function(){return{eventName:"touchstart",fn:function(t){if(!t.defaultPrevented){var r=e.findClosestDraggableId(t);if(r){var o=e.tryGetLock(r,s,{sourceEvent:t});if(o){var i=t.touches[0],a={x:i.clientX,y:i.clientY};n.current(),f(o,a)}}}}}}),[e]),l=m((function(){n.current=B(window,[a],{capture:!0,passive:!1})}),[a]),s=m((function(){var e=t.current;"IDLE"!==e.type&&("PENDING"===e.type&&clearTimeout(e.longPressTimerId),o(or),n.current(),l())}),[l,o]),u=m((function(){var e=t.current;s(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[s]),c=m((function(){var e={capture:!0,passive:!1},t={cancel:u,completed:s,getPhase:r},o=B(window,function(e){var t=e.cancel,n=e.completed,r=e.getPhase;return[{eventName:"touchmove",options:{capture:!1},fn:function(e){var n=r();if("DRAGGING"===n.type){n.hasMoved=!0;var o=e.touches[0],i={x:o.clientX,y:o.clientY};e.preventDefault(),n.actions.move(i)}else t()}},{eventName:"touchend",fn:function(e){var o=r();"DRAGGING"===o.type?(e.preventDefault(),o.actions.drop({shouldBlockNextClick:!0}),n()):t()}},{eventName:"touchcancel",fn:function(e){"DRAGGING"===r().type?(e.preventDefault(),t()):t()}},{eventName:"touchforcechange",fn:function(e){var n=r();"IDLE"===n.type&&V(!1);var o=e.touches[0];if(o&&o.force>=.15){var i=n.actions.shouldRespectForcePress();if("PENDING"!==n.type)return i?n.hasMoved?void e.preventDefault():void t():void e.preventDefault();i&&t()}}},{eventName:er,fn:t}]}(t),e),i=B(window,function(e){var t=e.cancel,n=e.getPhase;return[{eventName:"orientationchange",fn:t},{eventName:"resize",fn:t},{eventName:"contextmenu",fn:function(e){e.preventDefault()}},{eventName:"keydown",fn:function(e){"DRAGGING"===n().type?(27===e.keyCode&&e.preventDefault(),t()):t()}},{eventName:er,fn:t}]}(t),e);n.current=function(){o(),i()}}),[u,r,s]),d=m((function(){var e=r();"PENDING"!==e.type&&V(!1);var t=e.actions.fluidLift(e.point);o({type:"DRAGGING",actions:t,hasMoved:!1})}),[r,o]),f=m((function(e,t){"IDLE"!==r().type&&V(!1);var n=setTimeout(d,120);o({type:"PENDING",point:t,actions:e,longPressTimerId:n}),c()}),[c,r,o,d]);Bn((function(){return l(),function(){n.current();var e=r();"PENDING"===e.type&&(clearTimeout(e.longPressTimerId),o(or))}}),[r,l,o]),Bn((function(){return B(window,[{eventName:"touchmove",fn:function(){},options:{capture:!1,passive:!1}}])}),[])}];function mr(e){var t=e.contextId,n=e.store,r=e.registry,o=e.customSensors,a=e.enableDefaultSensors,l=[].concat(a?vr:[],o||[]),s=(0,i.useState)((function(){return function(){var e=null;function t(){e||V(!1),e=null}return{isClaimed:function(){return Boolean(e)},isActive:function(t){return t===e},claim:function(t){e&&V(!1);var n={abandon:t};return e=n,n},release:t,tryAbandon:function(){e&&(e.abandon(),t())}}}()}))[0],c=m((function(e,t){e.isDragging&&!t.isDragging&&s.tryAbandon()}),[s]);Bn((function(){var e=n.getState();return n.subscribe((function(){var t=n.getState();c(e,t),e=t}))}),[s,n,c]),Bn((function(){return s.tryAbandon}),[s.tryAbandon]);for(var d=m((function(e){return gr({lockAPI:s,registry:r,store:n,draggableId:e})}),[s,r,n]),f=m((function(e,o,i){return function(e){var t=e.lockAPI,n=e.contextId,r=e.store,o=e.registry,i=e.draggableId,a=e.forceSensorStop,l=e.sourceEvent;if(!gr({lockAPI:t,store:r,registry:o,draggableId:i}))return null;var s=o.draggable.getById(i),c=function(e,t){var n="["+Mn.contextId+'="'+e+'"]',r=ce(de(document.querySelectorAll(n)),(function(e){return e.getAttribute(Mn.id)===t}));return r&&Vn(r)?r:null}(n,s.descriptor.id);if(!c)return null;if(l&&!s.options.canDragInteractiveElements&&lr(c,l))return null;var d=t.claim(a||k),f="PRE_DRAG";function p(){return s.options.shouldRespectForcePress}function g(){return t.isActive(d)}var v=function(e,t){pr({expected:e,phase:f,isLockActive:g,shouldWarn:!0})&&r.dispatch(t())}.bind(null,"DRAGGING");function m(e){function n(){t.release(),f="COMPLETED"}function o(t,o){if(void 0===o&&(o={shouldBlockNextClick:!1}),e.cleanup(),o.shouldBlockNextClick){var i=B(window,[{eventName:"click",fn:fr,options:{once:!0,passive:!1,capture:!0}}]);setTimeout(i)}n(),r.dispatch(Pt({reason:t}))}return"PRE_DRAG"!==f&&(n(),"PRE_DRAG"!==f&&V(!1)),r.dispatch(bt(e.liftActionArgs)),f="DRAGGING",(0,u.A)({isActive:function(){return pr({expected:"DRAGGING",phase:f,isLockActive:g,shouldWarn:!1})},shouldRespectForcePress:p,drop:function(e){return o("DROP",e)},cancel:function(e){return o("CANCEL",e)}},e.actions)}return{isActive:function(){return pr({expected:"PRE_DRAG",phase:f,isLockActive:g,shouldWarn:!1})},shouldRespectForcePress:p,fluidLift:function(e){var t=M((function(e){v((function(){return xt({client:e})}))})),n=m({liftActionArgs:{id:i,clientSelection:e,movementMode:"FLUID"},cleanup:function(){return t.cancel()},actions:{move:t}});return(0,u.A)({},n,{move:t})},snapLift:function(){var e={moveUp:function(){return v(At)},moveRight:function(){return v(Rt)},moveDown:function(){return v(It)},moveLeft:function(){return v(Ot)}};return m({liftActionArgs:{id:i,clientSelection:sr(c),movementMode:"SNAP"},cleanup:k,actions:e})},abort:function(){pr({expected:"PRE_DRAG",phase:f,isLockActive:g,shouldWarn:!0})&&t.release()}}}({lockAPI:s,registry:r,contextId:t,store:n,draggableId:e,forceSensorStop:o,sourceEvent:i&&i.sourceEvent?i.sourceEvent:null})}),[t,s,r,n]),p=m((function(e){return function(e,t){var n=function(e,t){var n,r=t.target;if(!((n=r)instanceof Ln(n).Element))return null;var o=function(e){return"["+Dn.contextId+'="'+e+'"]'}(e),i=dr(r,o);return i&&Vn(i)?i:null}(e,t);return n?n.getAttribute(Dn.draggableId):null}(t,e)}),[t]),g=m((function(e){var t=r.draggable.findById(e);return t?t.options:null}),[r.draggable]),h=m((function(){s.isClaimed()&&(s.tryAbandon(),"IDLE"!==n.getState().phase&&n.dispatch(Dt()))}),[s,n]),b=m(s.isClaimed,[s]),y=v((function(){return{canGetLock:d,tryGetLock:f,findClosestDraggableId:p,findOptionsForDraggable:g,tryReleaseLock:h,isLockClaimed:b}}),[d,f,p,g,h,b]),w=0;w<l.length;w++)l[w](y)}var hr=function(e){return{onBeforeCapture:e.onBeforeCapture,onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragEnd:e.onDragEnd,onDragUpdate:e.onDragUpdate}};function br(e){return e.current||V(!1),e.current}function yr(e){var t=e.contextId,n=e.setCallbacks,r=e.sensors,o=e.nonce,l=e.dragHandleUsageInstructions,s=(0,i.useRef)(null),f=Yn(e),p=m((function(){return hr(f.current)}),[f]),g=function(e){var t=v((function(){return $n(e)}),[e]),n=(0,i.useRef)(null);return(0,i.useEffect)((function(){var e=document.createElement("div");return n.current=e,e.id=t,e.setAttribute("aria-live","assertive"),e.setAttribute("aria-atomic","true"),(0,u.A)(e.style,zn),Hn().appendChild(e),function(){setTimeout((function(){var t=Hn();t.contains(e)&&t.removeChild(e),e===n.current&&(n.current=null)}))}}),[t]),m((function(e){var t=n.current;t&&(t.textContent=e)}),[])}(t),h=function(e){var t=e.contextId,n=e.text,r=qn("hidden-text",{separator:"-"}),o=v((function(){return"rbd-hidden-text-"+(e={contextId:t,uniqueId:r}).contextId+"-"+e.uniqueId;var e}),[r,t]);return(0,i.useEffect)((function(){var e=document.createElement("div");return e.id=o,e.textContent=n,e.style.display="none",Hn().appendChild(e),function(){var t=Hn();t.contains(e)&&t.removeChild(e)}}),[o,n]),o}({contextId:t,text:l}),b=function(e,t){var n=v((function(){return kn(e)}),[e]),r=(0,i.useRef)(null),o=(0,i.useRef)(null),a=m(D((function(e){var t=o.current;t||V(!1),t.textContent=e})),[]),l=m((function(e){var t=r.current;t||V(!1),t.textContent=e}),[]);Bn((function(){(r.current||o.current)&&V(!1);var i=_n(t),s=_n(t);return r.current=i,o.current=s,i.setAttribute(On+"-always",e),s.setAttribute(On+"-dynamic",e),Tn().appendChild(i),Tn().appendChild(s),l(n.always),a(n.resting),function(){var e=function(e){var t=e.current;t||V(!1),Tn().removeChild(t),e.current=null};e(r),e(o)}}),[t,l,a,n.always,n.resting,e]);var s=m((function(){return a(n.dragging)}),[a,n.dragging]),u=m((function(e){a("DROP"!==e?n.userCancel:n.dropAnimating)}),[a,n.dropAnimating,n.userCancel]),c=m((function(){o.current&&a(n.resting)}),[a,n.resting]);return v((function(){return{dragging:s,dropping:u,resting:c}}),[s,u,c])}(t,o),y=m((function(e){br(s).dispatch(e)}),[]),w=v((function(){return(0,c.bindActionCreators)({publishWhileDragging:yt,updateDroppableScroll:Et,updateDroppableIsEnabled:Ct,updateDroppableIsCombineEnabled:St,collectionStarting:wt},y)}),[y]),E=function(){var e=v(Gn,[]);return(0,i.useEffect)((function(){return function(){requestAnimationFrame(e.clean)}}),[e]),e}(),C=v((function(){return sn(E,w)}),[E,w]),S=v((function(){return Rn((0,u.A)({scrollWindow:cn,scrollDroppable:C.scrollDroppable},(0,c.bindActionCreators)({move:xt},y)))}),[C.scrollDroppable,y]),x=function(e){var t=(0,i.useRef)({}),n=(0,i.useRef)(null),r=(0,i.useRef)(null),o=(0,i.useRef)(!1),a=m((function(e,n){var r={id:e,focus:n};return t.current[e]=r,function(){var n=t.current;n[e]!==r&&delete n[e]}}),[]),l=m((function(t){var n=function(e,t){var n="["+Dn.contextId+'="'+e+'"]',r=de(document.querySelectorAll(n));if(!r.length)return null;var o=ce(r,(function(e){return e.getAttribute(Dn.draggableId)===t}));return o&&Vn(o)?o:null}(e,t);n&&n!==document.activeElement&&n.focus()}),[e]),s=m((function(e,t){n.current===e&&(n.current=t)}),[]),u=m((function(){r.current||o.current&&(r.current=requestAnimationFrame((function(){r.current=null;var e=n.current;e&&l(e)})))}),[l]),c=m((function(e){n.current=null;var t=document.activeElement;t&&t.getAttribute(Dn.draggableId)===e&&(n.current=e)}),[]);return Bn((function(){return o.current=!0,function(){o.current=!1;var e=r.current;e&&cancelAnimationFrame(e)}}),[]),v((function(){return{register:a,tryRecordFocus:c,tryRestoreFocusRecorded:u,tryShiftRecord:s}}),[a,c,u,s])}(t),A=v((function(){return en({announce:g,autoScroller:S,dimensionMarshal:C,focusMarshal:x,getResponders:p,styleMarshal:b})}),[g,S,C,x,p,b]);s.current=A;var I=m((function(){var e=br(s);"IDLE"!==e.getState().phase&&e.dispatch(Dt())}),[]),R=m((function(){var e=br(s).getState();return e.isDragging||"DROP_ANIMATING"===e.phase}),[]);n(v((function(){return{isDragging:R,tryAbort:I}}),[R,I]));var O=m((function(e){return un(br(s).getState(),e)}),[]),M=m((function(){return nt(br(s).getState())}),[]),P=v((function(){return{marshal:C,focus:x,contextId:t,canLift:O,isMovementAllowed:M,dragHandleUsageInstructionsId:h,registry:E}}),[t,C,h,x,O,M,E]);return mr({contextId:t,store:A,registry:E,customSensors:r,enableDefaultSensors:!1!==e.enableDefaultSensors}),(0,i.useEffect)((function(){return I}),[I]),a().createElement(Xn.Provider,{value:P},a().createElement(d.Provider,{context:jn,store:A},e.children))}var wr=0;function Er(e){var t=v((function(){return""+wr++}),[]),n=e.dragHandleUsageInstructions||"\n  Press space bar to start a drag.\n  When dragging you can use the arrow keys to move the item around and escape to cancel.\n  Some screen readers may require you to be in focus mode or to use your pass through key\n";return a().createElement(G,null,(function(r){return a().createElement(yr,{nonce:e.nonce,contextId:t,setCallbacks:r,dragHandleUsageInstructions:n,enableDefaultSensors:e.enableDefaultSensors,sensors:e.sensors,onBeforeCapture:e.onBeforeCapture,onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragUpdate:e.onDragUpdate,onDragEnd:e.onDragEnd},e.children)}))}var Cr=function(e){return function(t){return e===t}},Sr=Cr("scroll"),xr=Cr("auto"),Ar=(Cr("visible"),function(e,t){return t(e.overflowX)||t(e.overflowY)}),Ir=function e(t){return null==t||t===document.body||t===document.documentElement?null:function(e){var t=window.getComputedStyle(e),n={overflowX:t.overflowX,overflowY:t.overflowY};return Ar(n,Sr)||Ar(n,xr)}(t)?t:e(t.parentElement)},Rr=function(e){return{x:e.scrollLeft,y:e.scrollTop}},Or=function e(t){return!!t&&("fixed"===window.getComputedStyle(t).position||e(t.parentElement))},Dr={passive:!1},Mr={passive:!0},Pr=function(e){return e.shouldPublishImmediately?Dr:Mr};function Nr(e){var t=(0,i.useContext)(e);return t||V(!1),t}var Fr=function(e){return e&&e.env.closestScrollable||null};function kr(){}var Br={width:0,height:0,margin:{top:0,right:0,bottom:0,left:0}},Tr=a().memo((function(e){var t=(0,i.useRef)(null),n=m((function(){t.current&&(clearTimeout(t.current),t.current=null)}),[]),r=e.animate,o=e.onTransitionEnd,l=e.onClose,s=e.contextId,u=(0,i.useState)("open"===e.animate),c=u[0],d=u[1];(0,i.useEffect)((function(){return c?"open"!==r?(n(),d(!1),kr):t.current?kr:(t.current=setTimeout((function(){t.current=null,d(!1)})),n):kr}),[r,c,n]);var f=m((function(e){"height"===e.propertyName&&(o(),"close"===r&&l())}),[r,l,o]),p=function(e){var t=e.isAnimatingOpenOnMount,n=e.placeholder,r=e.animate,o=function(e){var t=e.placeholder;return e.isAnimatingOpenOnMount||"close"===e.animate?Br:{height:t.client.borderBox.height,width:t.client.borderBox.width,margin:t.client.margin}}({isAnimatingOpenOnMount:t,placeholder:n,animate:r});return{display:n.display,boxSizing:"border-box",width:o.width,height:o.height,marginTop:o.margin.top,marginRight:o.margin.right,marginBottom:o.margin.bottom,marginLeft:o.margin.left,flexShrink:"0",flexGrow:"0",pointerEvents:"none",transition:"none"!==r?_t.placeholder:null}}({isAnimatingOpenOnMount:c,animate:e.animate,placeholder:e.placeholder});return a().createElement(e.placeholder.tagName,{style:p,"data-rbd-placeholder-context-id":s,onTransitionEnd:f,ref:e.innerRef})})),_r=a().createContext(null),Lr=function(e){function t(){for(var t,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];return(t=e.call.apply(e,[this].concat(r))||this).state={isVisible:Boolean(t.props.on),data:t.props.on,animate:t.props.shouldAnimate&&t.props.on?"open":"none"},t.onClose=function(){"close"===t.state.animate&&t.setState({isVisible:!1})},t}return s(t,e),t.getDerivedStateFromProps=function(e,t){return e.shouldAnimate?e.on?{isVisible:!0,data:e.on,animate:"open"}:t.isVisible?{isVisible:!0,data:t.data,animate:"close"}:{isVisible:!1,animate:"close",data:null}:{isVisible:Boolean(e.on),data:e.on,animate:"none"}},t.prototype.render=function(){if(!this.state.isVisible)return null;var e={onClose:this.onClose,data:this.state.data,animate:this.state.animate};return this.props.children(e)},t}(a().PureComponent),Vr=5e3,Gr=4500,jr=function(e,t){return t?_t.drop(t.duration):e?_t.snap:_t.fluid},Hr=function(e,t){return e?t?Ft:kt:null};function zr(e){e.preventDefault()}var $r=function(e,t){return e===t},Ur=function(e){var t=e.combine,n=e.destination;return n?n.droppableId:t?t.droppableId:null};function Wr(e){return{isDragging:!1,isDropAnimating:!1,isClone:!1,dropAnimation:null,mode:null,draggingOver:null,combineTargetFor:e,combineWith:null}}var qr={mapped:{type:"SECONDARY",offset:X,combineTargetFor:null,shouldAnimateDisplacement:!0,snapshot:Wr(null)}},Xr={dropAnimationFinished:function(){return{type:"DROP_ANIMATION_FINISHED",payload:null}}},Yr=(0,d.connect)((function(){var e,t,n,r=(e=D((function(e,t){return{x:e,y:t}})),t=D((function(e,t,n,r,o){return{isDragging:!0,isClone:t,isDropAnimating:Boolean(o),dropAnimation:o,mode:e,draggingOver:n,combineWith:r,combineTargetFor:null}})),n=D((function(e,n,r,o,i,a,l){return{mapped:{type:"DRAGGING",dropping:null,draggingOver:i,combineWith:a,mode:n,offset:e,dimension:r,forceShouldAnimate:l,snapshot:t(n,o,i,a,null)}}})),function(r,o){if(r.isDragging){if(r.critical.draggable.id!==o.draggableId)return null;var i=r.current.client.offset,a=r.dimensions.draggables[o.draggableId],l=et(r.impact),s=(c=r.impact).at&&"COMBINE"===c.at.type?c.at.combine.draggableId:null,u=r.forceShouldAnimate;return n(e(i.x,i.y),r.movementMode,a,o.isClone,l,s,u)}var c;if("DROP_ANIMATING"===r.phase){var d=r.completed;if(d.result.draggableId!==o.draggableId)return null;var f=o.isClone,p=r.dimensions.draggables[o.draggableId],g=d.result,v=g.mode,m=Ur(g),h=function(e){return e.combine?e.combine.draggableId:null}(g),b={duration:r.dropDuration,curve:Nt,moveTo:r.newHomeClientOffset,opacity:h?Ft:null,scale:h?Bt:null};return{mapped:{type:"DRAGGING",offset:r.newHomeClientOffset,dimension:p,dropping:b,draggingOver:m,combineWith:h,mode:v,forceShouldAnimate:null,snapshot:t(v,f,m,h,b)}}}return null}),o=function(){var e=D((function(e,t){return{x:e,y:t}})),t=D(Wr),n=D((function(e,n,r){return void 0===n&&(n=null),{mapped:{type:"SECONDARY",offset:e,combineTargetFor:n,shouldAnimateDisplacement:r,snapshot:t(n)}}})),r=function(e){return e?n(X,e,!0):null},o=function(t,o,i,a){var l=i.displaced.visible[t],s=Boolean(a.inVirtualList&&a.effected[t]),u=be(i),c=u&&u.draggableId===t?o:null;if(!l){if(!s)return r(c);if(i.displaced.invisible[t])return null;var d=J(a.displacedBy.point),f=e(d.x,d.y);return n(f,c,!0)}if(s)return r(c);var p=i.displacedBy.point,g=e(p.x,p.y);return n(g,c,l.shouldAnimate)};return function(e,t){if(e.isDragging)return e.critical.draggable.id===t.draggableId?null:o(t.draggableId,e.critical.draggable.id,e.impact,e.afterCritical);if("DROP_ANIMATING"===e.phase){var n=e.completed;return n.result.draggableId===t.draggableId?null:o(t.draggableId,n.result.draggableId,n.impact,n.afterCritical)}return null}}();return function(e,t){return r(e,t)||o(e,t)||qr}}),Xr,null,{context:jn,pure:!0,areStatePropsEqual:$r})((function(e){var t=(0,i.useRef)(null),n=m((function(e){t.current=e}),[]),r=m((function(){return t.current}),[]),o=Nr(Xn),a=o.contextId,l=o.dragHandleUsageInstructionsId,s=o.registry,u=Nr(_r),c=u.type,d=u.droppableId,f=v((function(){return{id:e.draggableId,index:e.index,type:c,droppableId:d}}),[e.draggableId,e.index,c,d]),p=e.children,g=e.draggableId,h=e.isEnabled,b=e.shouldRespectForcePress,y=e.canDragInteractiveElements,w=e.isClone,E=e.mapped,C=e.dropAnimationFinished;w||function(e){var t=qn("draggable"),n=e.descriptor,r=e.registry,o=e.getDraggableRef,a=e.canDragInteractiveElements,l=e.shouldRespectForcePress,s=e.isEnabled,u=v((function(){return{canDragInteractiveElements:a,shouldRespectForcePress:l,isEnabled:s}}),[a,s,l]),c=m((function(e){var t=o();return t||V(!1),function(e,t,n){void 0===n&&(n=X);var r=window.getComputedStyle(t),o=t.getBoundingClientRect(),i=A(o,r),a=x(i,n);return{descriptor:e,placeholder:{client:i,tagName:t.tagName.toLowerCase(),display:r.display},displaceBy:{x:i.marginBox.width,y:i.marginBox.height},client:i,page:a}}(n,t,e)}),[n,o]),d=v((function(){return{uniqueId:t,descriptor:n,options:u,getDimension:c}}),[n,c,u,t]),f=(0,i.useRef)(d),p=(0,i.useRef)(!0);Bn((function(){return r.draggable.register(f.current),function(){return r.draggable.unregister(f.current)}}),[r.draggable]),Bn((function(){if(p.current)p.current=!1;else{var e=f.current;f.current=d,r.draggable.update(d,e)}}),[d,r.draggable])}(v((function(){return{descriptor:f,registry:s,getDraggableRef:r,canDragInteractiveElements:y,shouldRespectForcePress:b,isEnabled:h}}),[f,s,r,y,b,h]));var S=v((function(){return h?{tabIndex:0,role:"button","aria-describedby":l,"data-rbd-drag-handle-draggable-id":g,"data-rbd-drag-handle-context-id":a,draggable:!1,onDragStart:zr}:null}),[a,l,g,h]),I=m((function(e){"DRAGGING"===E.type&&E.dropping&&"transform"===e.propertyName&&C()}),[C,E]),R=v((function(){var e=function(e){return"DRAGGING"===e.type?function(e){var t=e.dimension.client,n=e.offset,r=e.combineWith,o=e.dropping,i=Boolean(r),a=function(e){return null!=e.forceShouldAnimate?e.forceShouldAnimate:"SNAP"===e.mode}(e),l=Boolean(o),s=l?Gt(n,i):Vt(n);return{position:"fixed",top:t.marginBox.top,left:t.marginBox.left,boxSizing:"border-box",width:t.borderBox.width,height:t.borderBox.height,transition:jr(a,o),transform:s,opacity:Hr(i,l),zIndex:l?Gr:Vr,pointerEvents:"none"}}(e):{transform:Vt((t=e).offset),transition:t.shouldAnimateDisplacement?null:"none"};var t}(E),t="DRAGGING"===E.type&&E.dropping?I:null;return{innerRef:n,draggableProps:{"data-rbd-draggable-context-id":a,"data-rbd-draggable-id":g,style:e,onTransitionEnd:t},dragHandleProps:S}}),[a,S,g,E,I,n]),O=v((function(){return{draggableId:f.id,type:f.type,source:{index:f.index,droppableId:f.droppableId}}}),[f.droppableId,f.id,f.index,f.type]);return p(R,E.snapshot,O)}));function Kr(e){return Nr(_r).isUsingCloneFor!==e.draggableId||e.isClone?a().createElement(Yr,e):null}function Qr(e){var t="boolean"!=typeof e.isDragDisabled||!e.isDragDisabled,n=Boolean(e.disableInteractiveElementBlocking),r=Boolean(e.shouldRespectForcePress);return a().createElement(Kr,(0,u.A)({},e,{isClone:!1,isEnabled:t,canDragInteractiveElements:n,shouldRespectForcePress:r}))}var Jr,Zr,eo,to,no,ro,oo=function(e,t){return e===t.droppable.type},io=function(e,t){return t.draggables[e.draggable.id]},ao={mode:"standard",type:"DEFAULT",direction:"vertical",isDropDisabled:!1,isCombineEnabled:!1,ignoreContainerClipping:!1,renderClone:null,getContainerForClone:function(){return document.body||V(!1),document.body}},lo=(0,d.connect)((function(){var e={placeholder:null,shouldAnimatePlaceholder:!0,snapshot:{isDraggingOver:!1,draggingOverWith:null,draggingFromThisWith:null,isUsingPlaceholder:!1},useClone:null},t=(0,u.A)({},e,{shouldAnimatePlaceholder:!1}),n=D((function(e){return{draggableId:e.id,type:e.type,source:{index:e.index,droppableId:e.droppableId}}})),r=D((function(r,o,i,a,l,s){var u=l.descriptor.id;if(l.descriptor.droppableId===r){var c=s?{render:s,dragging:n(l.descriptor)}:null,d={isDraggingOver:i,draggingOverWith:i?u:null,draggingFromThisWith:u,isUsingPlaceholder:!0};return{placeholder:l.placeholder,shouldAnimatePlaceholder:!1,snapshot:d,useClone:c}}if(!o)return t;if(!a)return e;var f={isDraggingOver:i,draggingOverWith:u,draggingFromThisWith:null,isUsingPlaceholder:!0};return{placeholder:l.placeholder,shouldAnimatePlaceholder:!0,snapshot:f,useClone:null}}));return function(n,o){var i=o.droppableId,a=o.type,l=!o.isDropDisabled,s=o.renderClone;if(n.isDragging){var u=n.critical;if(!oo(a,u))return t;var c=io(u,n.dimensions),d=et(n.impact)===i;return r(i,l,d,d,c,s)}if("DROP_ANIMATING"===n.phase){var f=n.completed;if(!oo(a,f.critical))return t;var p=io(f.critical,n.dimensions);return r(i,l,Ur(f.result)===i,et(f.impact)===i,p,s)}if("IDLE"===n.phase&&n.completed&&!n.shouldFlush){var g=n.completed;if(!oo(a,g.critical))return t;var v=et(g.impact)===i,m=Boolean(g.impact.at&&"COMBINE"===g.impact.at.type),h=g.critical.droppable.id===i;return v?m?e:t:h?e:t}return t}}),{updateViewportMaxScroll:function(e){return{type:"UPDATE_VIEWPORT_MAX_SCROLL",payload:e}}},null,{context:jn,pure:!0,areStatePropsEqual:$r})((function(e){var t=(0,i.useContext)(Xn);t||V(!1);var n=t.contextId,r=t.isMovementAllowed,o=(0,i.useRef)(null),l=(0,i.useRef)(null),s=e.children,u=e.droppableId,c=e.type,d=e.mode,f=e.direction,p=e.ignoreContainerClipping,g=e.isDropDisabled,h=e.isCombineEnabled,y=e.snapshot,w=e.useClone,C=e.updateViewportMaxScroll,S=e.getContainerForClone,A=m((function(){return o.current}),[]),R=m((function(e){o.current=e}),[]),O=(m((function(){return l.current}),[]),m((function(e){l.current=e}),[])),P=m((function(){r()&&C({maxScroll:rn()})}),[r,C]);!function(e){var t=(0,i.useRef)(null),n=Nr(Xn),r=qn("droppable"),o=n.registry,a=n.marshal,l=Yn(e),s=v((function(){return{id:e.droppableId,type:e.type,mode:e.mode}}),[e.droppableId,e.mode,e.type]),u=(0,i.useRef)(s),c=v((function(){return D((function(e,n){t.current||V(!1);var r={x:e,y:n};a.updateDroppableScroll(s.id,r)}))}),[s.id,a]),d=m((function(){var e=t.current;return e&&e.env.closestScrollable?Rr(e.env.closestScrollable):X}),[]),f=m((function(){var e=d();c(e.x,e.y)}),[d,c]),p=v((function(){return M(f)}),[f]),g=m((function(){var e=t.current,n=Fr(e);e&&n||V(!1),e.scrollOptions.shouldPublishImmediately?f():p()}),[p,f]),h=m((function(e,r){t.current&&V(!1);var o=l.current,i=o.getDroppableRef();i||V(!1);var a=function(e){return{closestScrollable:Ir(e),isFixedOnPage:Or(e)}}(i),u={ref:i,descriptor:s,env:a,scrollOptions:r};t.current=u;var c=function(e){var t=e.ref,n=e.descriptor,r=e.env,o=e.windowScroll,i=e.direction,a=e.isDropDisabled,l=e.isCombineEnabled,s=e.shouldClipSubject,u=r.closestScrollable,c=function(e,t){var n=I(e);if(!t)return n;if(e!==t)return n;var r=n.paddingBox.top-t.scrollTop,o=n.paddingBox.left-t.scrollLeft,i=r+t.scrollHeight,a=o+t.scrollWidth,l=b({top:r,right:a,bottom:i,left:o},n.border);return E({borderBox:l,margin:n.margin,border:n.border,padding:n.padding})}(t,u),d=x(c,o),f=function(){if(!u)return null;var e=I(u),t={scrollHeight:u.scrollHeight,scrollWidth:u.scrollWidth};return{client:e,page:x(e,o),scroll:Rr(u),scrollSize:t,shouldClipSubject:s}}(),p=function(e){var t=e.descriptor,n=e.isEnabled,r=e.isCombineEnabled,o=e.isFixedOnPage,i=e.direction,a=e.client,l=e.page,s=e.closest,u=function(){if(!s)return null;var e=s.scrollSize,t=s.client,n=tn({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,height:t.paddingBox.height,width:t.paddingBox.width});return{pageMarginBox:s.page.marginBox,frameClient:t,scrollSize:e,shouldClipSubject:s.shouldClipSubject,scroll:{initial:s.scroll,current:s.scroll,max:n,diff:{value:X,displacement:X}}}}(),c="vertical"===i?Re:Oe;return{descriptor:t,isCombineEnabled:r,isFixedOnPage:o,axis:c,isEnabled:n,client:a,page:l,frame:u,subject:ae({page:l,withPlaceholder:null,axis:c,frame:u})}}({descriptor:n,isEnabled:!a,isCombineEnabled:l,isFixedOnPage:r.isFixedOnPage,direction:i,client:c,page:d,closest:f});return p}({ref:i,descriptor:s,env:a,windowScroll:e,direction:o.direction,isDropDisabled:o.isDropDisabled,isCombineEnabled:o.isCombineEnabled,shouldClipSubject:!o.ignoreContainerClipping}),d=a.closestScrollable;return d&&(d.setAttribute(Nn.contextId,n.contextId),d.addEventListener("scroll",g,Pr(u.scrollOptions))),c}),[n.contextId,s,g,l]),y=m((function(){var e=t.current,n=Fr(e);return e&&n||V(!1),Rr(n)}),[]),w=m((function(){var e=t.current;e||V(!1);var n=Fr(e);t.current=null,n&&(p.cancel(),n.removeAttribute(Nn.contextId),n.removeEventListener("scroll",g,Pr(e.scrollOptions)))}),[g,p]),C=m((function(e){var n=t.current;n||V(!1);var r=Fr(n);r||V(!1),r.scrollTop+=e.y,r.scrollLeft+=e.x}),[]),S=v((function(){return{getDimensionAndWatchScroll:h,getScrollWhileDragging:y,dragStopped:w,scroll:C}}),[w,h,y,C]),A=v((function(){return{uniqueId:r,descriptor:s,callbacks:S}}),[S,s,r]);Bn((function(){return u.current=A.descriptor,o.droppable.register(A),function(){t.current&&w(),o.droppable.unregister(A)}}),[S,s,w,A,a,o.droppable]),Bn((function(){t.current&&a.updateDroppableIsEnabled(u.current.id,!e.isDropDisabled)}),[e.isDropDisabled,a]),Bn((function(){t.current&&a.updateDroppableIsCombineEnabled(u.current.id,e.isCombineEnabled)}),[e.isCombineEnabled,a])}({droppableId:u,type:c,mode:d,direction:f,isDropDisabled:g,isCombineEnabled:h,ignoreContainerClipping:p,getDroppableRef:A});var F=a().createElement(Lr,{on:e.placeholder,shouldAnimate:e.shouldAnimatePlaceholder},(function(e){var t=e.onClose,r=e.data,o=e.animate;return a().createElement(Tr,{placeholder:r,onClose:t,innerRef:O,animate:o,contextId:n,onTransitionEnd:P})})),k=v((function(){return{innerRef:R,placeholder:F,droppableProps:{"data-rbd-droppable-id":u,"data-rbd-droppable-context-id":n}}}),[n,u,F,R]),B=w?w.dragging.draggableId:null,T=v((function(){return{droppableId:u,type:c,isUsingCloneFor:B}}),[u,B,c]);return a().createElement(_r.Provider,{value:T},s(k,y),function(){if(!w)return null;var e=w.dragging,t=w.render,n=a().createElement(Kr,{draggableId:e.draggableId,index:e.source.index,isClone:!0,isEnabled:!0,shouldRespectForcePress:!1,canDragInteractiveElements:!0},(function(n,r){return t(n,r,e)}));return N().createPortal(n,S())}())}));lo.defaultProps=ao,function(e){e.MINIMIZE="minimize",e.TABLE="table",e.BUTTON="button",e.SLIDER="slider"}(Jr||(Jr={}));class so extends e.BusEventBase{}to="variable-changed",(eo="type")in(Zr=so)?Object.defineProperty(Zr,eo,{value:to,enumerable:!0,configurable:!0,writable:!0}):Zr[eo]=to,function(e){e.COLOR="color",e.IMAGE="image"}(no||(no={})),function(e){e.QUERY="query",e.ADHOC="adhoc",e.CONSTANT="constant",e.DATASOURCE="datasource",e.INTERVAL="interval",e.TEXTBOX="textbox",e.CUSTOM="custom",e.SYSTEM="system"}(ro||(ro={}));const uo=[{value:Jr.TABLE,label:"Table",description:"Full featured table view."},{value:Jr.MINIMIZE,label:"Minimize",description:"Minimized select view."},{value:Jr.BUTTON,label:"Button",description:"Button select view."},{value:Jr.SLIDER,label:"Slider",description:"Slider select view."}],co=[{value:!0,label:"Display",description:"Display variable Label or Id. Allows to enable filtering."},{value:!1,label:"Hide",description:"Do not display header."}],fo=[{value:!0,label:"Enabled",description:"Follow when scrolling."},{value:!1,label:"Disabled",description:"Scroll with dashboard."}],po=[{value:!0,label:"Enabled",description:"Display Table Filter.",icon:"filter"},{value:!1,label:"Disabled",description:"Hide Table Filter."}],go=[{value:!0,label:"Enabled",description:"Always Visible Search."},{value:!1,label:"Disabled",description:"Toggleable Search Visibility."}],vo=[{value:!0,label:"Enabled",description:"Allows selecting and filtering favorites.",icon:"favorite"},{value:!1,label:"Disabled",description:"Hide favorites."}],mo=[{value:!0,label:"Enabled",description:"Allows saving selected group.",icon:"save"},{value:!1,label:"Disabled",description:"Disables saving selected group."}],ho=[{value:!0,label:"Enabled",description:"Allows sort by status."},{value:!1,label:"Disabled",description:"Hide sorting."}],bo=[{value:!0,label:"Enabled",description:"Display variable names."},{value:!1,label:"Disabled",description:"Hide variable names."}],yo=[{value:!0,label:"Collapsed",description:"All levels are collapsed.",icon:"folder"},{value:!1,label:"Expanded",description:"All levels are expanded.",icon:"folder-open"}],wo=[{value:!0,label:"Enabled",description:"Auto scroll to the first selected value."},{value:!1,label:"Disabled",description:"Disable auto scroll."}],Eo=[{value:!0,label:"Enabled",description:"Enable to allow multi-level selection.",icon:"toggle-on"},{value:!1,label:"Disabled",description:"Disable multi-level selection.",icon:"toggle-off"}],Co=[{value:!0,label:"Enabled",description:"Empty value enabled."},{value:!1,label:"Disabled",description:"Empty value disabled."}],So=[{value:!0,label:"Enabled",description:"Persistence enabled."},{value:!1,label:"Disabled",description:"Persistence disabled."}],xo=[{value:!0,label:"Enabled",description:"Show labels enabled."},{value:!1,label:"Disabled",description:"Show labels disabled."}],Ao=[{value:!0,label:"Enabled",description:"Custom values enabled."},{value:!1,label:"Disabled",description:"Custom values disabled."}],Io=[{value:!0,label:"Enabled",description:"Display selected rows"},{value:!1,label:"Disabled",description:"Hide selected rows."}],Ro=[{value:!0,label:"Enabled",description:"Show reset button."},{value:!1,label:"Disabled",description:"Do not show reset button."}],Oo="data-testid panel content",Do="data-testid panel info",Mo="data-testid panel",Po=e=>`data-testid panel tab-${e}`,No="data-testid table all-control",Fo="data-testid table body",ko="data-testid table button-expand",Bo="data-testid table button-expand-all",To="data-testid table button-filter",_o="data-testid table button-sort",Lo=e=>`data-testid table row-${e}`,Vo=(e,t)=>`data-testid table cell-${t}-${e}`,Go="data-testid table value-control",jo="data-testid table favorites-control",Ho="data-testid table favorites-filter",zo="data-testid table field-filter-value",$o="data-testid table button-clean-filter-value",Uo="data-testid table header",Wo="data-testid table header-group-count",qo=e=>`data-testid table group-count-${e}`,Xo="data-testid table label",Yo="data-testid table status-color",Ko="data-testid table status-image",Qo="data-testid fields-editor button-add-new",Jo="data-testid fields-editor button-remove",Zo="data-testid fields-editor button-start-rename",ei="data-testid fields-editor button-cancel-rename",ti="data-testid fields-editor button-save-rename",ni="data-testid fields-editor field-name",ri=e=>`data-testid fields-editor item-${e}`,oi="data-testid fields-editor new-level",ii="data-testid fields-editor new-item-name",ai="data-testid levels-editor button-add-new",li="data-testid levels-editor button-remove",si=e=>`data-testid levels-editor item-${e}`,ui="data-testid levels-editor new-item",ci="data-testidd levels-editor new-item-name",di="data-testid levels-editor",fi="data-testid minimize-view",pi="data-testid minimize-view no-variable-message",gi="options-variable",vi="data-testid text-variable",mi="data-testid button-view",hi="data-testid button-view no-variable-message",bi="data-testid button-view no-options-message",yi=e=>`data-testid button-view item-${e}`,wi="data-testid button-view reset-variable",Ei="data-testid button-view label",Ci="data-testid slider-view no-variable-message",Si="data-testid slider-view no-options-message",xi="data-testid slider-view field",Ai="data-testid slider-view slider",Ii="data-testid slider-view",Ri="status-style-editor",Oi="data-testid status-style-editor button-add-item",Di=e=>`data-testid status-style-editor item-${e}`,Mi="data-testid status-style-editor item field-value",Pi="data-testid status-style-editor item field-url",Ni="data-testid status-style-editor item button-remove-item",Fi="All",ki="$__all",Bi="$__empty",Ti=(e,t,n)=>{const r=Array.from(e),[o]=r.splice(t,1);return r.splice(n,0,o),r};function _i(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Li(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){_i(e,t,n[t])}))}return e}function Vi(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Gi=(e,n,r)=>{t.locationService.partial({[`var-${e}`]:n},!0),r.publish(new so)},ji=({values:e,runtimeVariable:n,panelEventBus:r,isKeepSelection:o=!1})=>{if(n)switch(n.type){case ro.CUSTOM:case ro.QUERY:{const{name:i,multi:a,includeAll:l,options:s}=n;if(a){if(l){const t=n.current.value,a=Array.isArray(t)?t.some((e=>e===ki)):t===ki;if(a&&o){const t=new Map;e.forEach((e=>{t.set(e,!0)}));const n=[];for(const e of s)e.value!==ki&&(t.has(e.value)||n.push(e.value));return void Gi(i,n,r)}}if(e.some((e=>e===ki)))return void Gi(i,Fi,r);if(e.some((e=>e===Bi)))return void Gi(i,"",r);const a=t.locationService.getSearch().getAll(`var-${i}`).filter((e=>0!==e.toLowerCase().indexOf("all")));if(0===a.length&&!t.locationService.getSearchObject()[`var-${i}`]){const e=n.current.value,t=Array.isArray(e)?e:[e];a.push(...t.filter((e=>e!==ki)))}const u=e.filter((e=>a.includes(e)));if(u.length===e.length)return void Gi(i,a.filter((e=>!u.includes(e))),r);const c=[...new Set(e.concat(a)).values()];return void Gi(i,c,r)}let u=e[0];return u===ki?u=Fi:u===Bi&&(u=""),void Gi(i,u,r)}case ro.TEXTBOX:{const t=e[0];return void Gi(n.name,t,r)}default:return}},Hi=e=>!!e&&(e.type===ro.CUSTOM||e.type===ro.QUERY),zi=e=>e.reduce(((e,t)=>{const n=(e=>{if(e.type===ro.TEXTBOX)return e;if(e.type===ro.CUSTOM||e.type===ro.QUERY){const t=Vi(Li({},e),{type:ro.CUSTOM,optionIndexByName:e.options.reduce(((e,t,n)=>(e.set(t.value,n),e)),new Map),helpers:{getOption:e=>t.options[t.optionIndexByName.get(e)]}});return t}})(t);return n?Vi(Li({},e),{[n.name]:n}):e}),{}),$i=e=>{var t;return!!Hi(e)&&(Array.isArray(e.current.value)?e.includeAll?!!(null===(t=e.helpers.getOption(ki))||void 0===t?void 0:t.selected)||e.current.value.length===e.options.length-1:e.current.value.length===e.options.length:e.current.value===ki)},Ui=e=>{const t=e.nativeEvent;return-1!==navigator.userAgent.indexOf("Mac")?t.metaKey:t.ctrlKey},Wi=({previousValues:e,value:t,emptyValueEnabled:n,variable:r,panelEventBus:o})=>{const i=Array.isArray(t)?t:[t];if(e.length>i.length){if(0===i.length&&n)return void ji({values:[Bi],runtimeVariable:r,panelEventBus:o});if(0===i.length&&(null==r?void 0:r.multi)&&r.includeAll)return void ji({values:[ki],runtimeVariable:r,panelEventBus:o});const t=e.filter((e=>!i.includes(e)));ji({values:t,runtimeVariable:r,panelEventBus:o})}else i.length>1&&e.includes(ki)&&i.includes(ki)?ji({values:i.filter((e=>e!==ki)),runtimeVariable:r,panelEventBus:o}):i.length>1&&!e.includes(ki)&&i.includes(ki)?ji({values:[ki],runtimeVariable:r,panelEventBus:o}):ji({values:i,runtimeVariable:r,panelEventBus:o})};function qi(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Xi(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){qi(e,t,n[t])}))}return e}function Yi(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Ki=(e,t,n)=>e.reduce(((e,n)=>{const r=t(n);return Array.isArray(r)?e.push(...r):e.push(r),e}),[...n]),Qi=(e,t,n)=>{const r=t[0];return 1===t.length?e.map((e=>n(e,r))).filter((e=>e.selectable)):Array.from(((e,t)=>(null==e?void 0:e.reduce(((e,n)=>{const r=n[t],o=e.get(r);return e.set(r,o?o.concat(n):[n]),e}),new Map))||new Map)(e,r),(([e,o])=>{const i=Qi(o,t.slice(1),n),a=n({[r]:e},r,i);return Yi(Xi({},a),{childValues:Ki(i,(e=>e.childValues||e.value),a.childValues||[]),childSelectedCount:i.reduce(((e,t)=>{var n;return e+(null!==(n=t.childSelectedCount)&&void 0!==n?n:t.selected?1:0)}),a.childSelectedCount||0),childFavoritesCount:i.reduce(((e,t)=>e+(t.childFavoritesCount||(t.isFavorite?1:0))),a.childFavoritesCount||0),children:i})})).filter((e=>{var t;return(null===(t=e.childValues)||void 0===t?void 0:t.length)||e.selectable}))},Ji=(e,{status:t,children:n,isSelectedAll:r,favoritesEnabled:o,groupSelection:i})=>{const a=!!n&&!n.some((e=>!e.selected));let l=!1;!n&&Hi(e.variable)?l=!!e.variable.helpers.getOption(e.value):i&&(null==n?void 0:n.length)&&(l=!0);const s=o&&!n&&e.value!==ki;return{value:e.value,selected:!!l&&(r||e.selected||a),showStatus:t.exist,statusColor:t.exist?t.color:void 0,variable:e.variable,selectable:l,canBeFavorite:s,isFavorite:s?e.isFavorite:void 0,name:e.name,status:t.exist?t.value:void 0,label:e.label,statusMode:t.exist?t.mode:no.IMAGE,statusImage:t.exist?t.image:void 0}},Zi=(e,t)=>e.filter((e=>{var n;return null===(n=e.childValues)||void 0===n?void 0:n.some((e=>t.includes(e)))})).filter((e=>!!e.children&&Zi(e.children,t))),ea=(e,t=[],n=0)=>e.reduce(((e,t)=>{const r=e[n]||{variable:void 0,values:[],selectable:!1};r.variable=t.variable,r.values.push(t.value),r.selectable=t.selectable;const o=e[n]?e:e.concat(r);return t.children?ea(t.children,o,n+1):o}),t),ta=(e,t,n)=>{const r=n.toLowerCase();return e.original.childValues?e.original.childValues.some((e=>e.toLowerCase().includes(r))):e.original.label.toLowerCase().includes(r)},na=(e,t)=>{const n=void 0!==e.original.status?e.original.status:0,r=void 0!==t.original.status?t.original.status:0;return n===r?0:n>r?1:-1},ra=(e,t,n)=>!n||(e.original.childValues?(e.original.childFavoritesCount||0)>0:!!e.original.isFavorite);function oa(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function ia(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){oa(e,t,n[t])}))}return e}function aa(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const la=(e,t,n)=>ia({marginLeft:4*n},t),sa=({items:e,name:t,onChange:o,data:l})=>{const s=(h=(0,r.useTheme2)(),{header:n.css`
      padding: ${h.spacing(.5,.5)};
      border-radius: ${null===(b=h.shape.radius)||void 0===b?void 0:b.default};
      background: ${h.colors.background.secondary};
      min-height: ${h.spacing(4)};
      display: grid;
      grid-template-columns: minmax(100px, max-content) min-content;
      align-items: center;
      justify-content: space-between;
      white-space: nowrap;

      &:focus {
        outline: none;
      }
    `,column:n.css`
      display: flex;
      align-items: center;
    `,dragHandle:n.css`
      display: flex;
      margin: ${h.spacing(0,.5)};
    `,dragIcon:n.css`
      cursor: grab;
      color: ${h.colors.text.disabled};
      &:hover {
        color: ${h.colors.text};
      }
    `,collapseIcon:n.css`
      margin-left: ${h.spacing(.5)};
      color: ${h.colors.text.disabled};
    `,titleWrapper:n.css`
      display: flex;
      align-items: center;
      flex-grow: 1;
      cursor: pointer;
      overflow: hidden;
      margin-right: ${h.spacing(.5)};
    `,title:n.css`
      font-weight: ${h.typography.fontWeightBold};
      color: ${h.colors.text.secondary};
      margin-left: ${h.spacing(.5)};
      overflow: hidden;
      text-overflow: ellipsis;
    `,item:n.css`
      margin-bottom: ${h.spacing(1)};
    `}),[u,c]=(0,i.useState)(e),[d,f]=(0,i.useState)(null),p=(0,i.useCallback)((e=>{c(e),o({name:t,items:e})}),[t,o]),g=(0,i.useCallback)((e=>{e.destination&&p(Ti(u,e.source.index,e.destination.index))}),[u,p]),v=(0,i.useMemo)((()=>{const e=u[u.length-1];if(e){const t=l.findIndex(((t,n)=>void 0===t.refId?n===e.source:t.refId===e.source)),n=l[t];if(n)return n.fields.map((({name:e})=>{var r;return{label:e,source:null!==(r=n.refId)&&void 0!==r?r:t,value:e,fieldName:e}})).filter((e=>!u.some((t=>t.name===e.value))))||[]}return l.reduce(((e,t,n)=>e.concat(t.fields.map((e=>{const r=t.refId||n;return{value:`${r}:${e.name}`,fieldName:e.name,label:`${r}:${e.name}`,source:r}})))),[])}),[l,u]),m=(0,i.useCallback)((()=>{d&&(p([...u,{name:d.name,source:d.source}]),f(null))}),[u,d,p]);var h,b;return a().createElement("div",{"data-testid":di},a().createElement(Er,{onDragEnd:g},a().createElement(lo,{droppableId:t},(e=>a().createElement("div",aa(ia({},e.droppableProps),{ref:e.innerRef}),u.map(((e,t)=>a().createElement(Qr,{key:e.name,draggableId:e.name,index:t},((o,i)=>a().createElement("div",aa(ia({ref:o.innerRef},o.draggableProps,o.dragHandleProps),{style:la(i.isDragging,o.draggableProps.style,t),className:s.item,"data-testid":si(e.name)}),a().createElement("div",{className:s.header},a().createElement("div",{className:s.column},e.name&&a().createElement("div",{className:s.titleWrapper},a().createElement("div",{className:(0,n.cx)(s.title)},e.name))),a().createElement("div",{className:s.column},a().createElement(r.IconButton,{name:"trash-alt",onClick:()=>p(u.filter((t=>t.name!==e.name))),"aria-label":"Remove","data-testid":li}),a().createElement("div",ia({className:s.dragHandle},o.dragHandleProps),a().createElement(r.Icon,{title:"Drag and drop to reorder",name:"draggabledots",size:"lg",className:s.dragIcon}))))))))),e.placeholder)))),a().createElement(r.InlineFieldRow,{"data-testid":ui},a().createElement(r.InlineField,{label:"New Level",grow:!0},a().createElement(r.Select,{options:v,value:(null==d?void 0:d.value)||null,"aria-label":ci,onChange:e=>{f({value:e.value,source:e.source,name:e.fieldName})}})),a().createElement(r.Button,{icon:"plus",title:"Add Level",disabled:!d,onClick:m,"data-testid":ai},"Add")))};function ua(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function ca(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ua(e,t,n[t])}))}return e}function da(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const fa=({context:{options:e,data:t},onChange:l})=>{const s=(O=(0,r.useTheme2)(),{newGroup:n.css`
      margin: ${O.spacing(2)} 0;
    `,group:n.css`
      margin-bottom: ${O.spacing(1)};
    `,groupHeader:n.css`
      min-height: ${O.spacing(4)};
      padding: ${O.spacing(.5)};
    `,groupHeaderForm:n.css`
      display: flex;
      align-items: center;
      gap: ${O.spacing(.5)};
    `,groupHeaderText:n.css`
      overflow: hidden;
      text-overflow: ellipsis;
      line-height: ${O.spacing(4)};
    `,fieldName:n.css`
      margin: 0;
    `,dragHandle:n.css`
      display: flex;
      margin: ${O.spacing(0,.5)};
    `,dragIcon:n.css`
      cursor: grab;
      color: ${O.colors.text.disabled};
      &:hover {
        color: ${O.colors.text};
      }
    `,actionButton:n.css`
      color: ${O.colors.text.secondary};
    `}),[u,c]=(0,i.useState)((null==e?void 0:e.groups)||[]),[d,f]=(0,i.useState)(""),[p,g]=(0,i.useState)({}),[v,m]=(0,i.useState)(""),[h,b]=(0,i.useState)(""),y=(0,i.useCallback)((e=>{c(e),l(e)}),[l]),w=(0,i.useCallback)((e=>{e.destination&&y(Ti(u,e.source.index,e.destination.index))}),[u,y]),E=(0,i.useCallback)((e=>{g((t=>da(ca({},t),{[e]:!t[e]})))}),[]),C=(0,i.useCallback)((()=>{f(""),y(u.concat([{name:d,items:[]}])),E(d)}),[u,d,y,E]),S=(0,i.useCallback)((e=>{y(u.map((t=>t.name===e.name?e:t)))}),[u,y]),x=(0,i.useMemo)((()=>u.some((e=>e.name===d))),[u,d]),A=(0,i.useCallback)((()=>{m(""),b(""),g((e=>da(ca({},e),{[v]:!!e[v]&&v===h,[h]:e[v]})))}),[v,h]),I=(0,i.useMemo)((()=>!(!h.trim()||v!==h&&u.some((e=>e.name===h)))),[v,h,u]),R=(0,i.useCallback)((()=>{y(u.map((e=>e.name===v?da(ca({},e),{name:h}):e))),A()}),[u,y,A,v,h]);var O;return a().createElement(a().Fragment,null,a().createElement(Er,{onDragEnd:w},a().createElement(lo,{droppableId:"groups-editor"},(e=>a().createElement("div",da(ca({},e.droppableProps),{ref:e.innerRef}),u.map((({name:e,items:i},l)=>a().createElement(Qr,{key:e,draggableId:e,index:l},((l,c)=>{return a().createElement("div",da(ca({ref:l.innerRef},l.draggableProps),{style:(c.isDragging,d=l.draggableProps.style,ca({},d)),className:s.group}),a().createElement(o.SD,{key:e,title:v===e?a().createElement("div",{className:(0,n.cx)(s.groupHeader,s.groupHeaderForm),onClick:e=>e.stopPropagation()},a().createElement(r.InlineField,{className:s.fieldName,invalid:!I},a().createElement(r.Input,{autoFocus:!0,value:h,onChange:e=>b(e.currentTarget.value),onKeyDown:e=>{"Enter"===e.key&&I&&R(),"Escape"===e.key&&A()},"data-testid":ni})),a().createElement(r.Button,{variant:"secondary",fill:"text",className:s.actionButton,icon:"times",size:"sm",onClick:A,"data-testid":ei}),a().createElement(r.Button,{variant:"secondary",fill:"text",className:s.actionButton,icon:"save",size:"sm",onClick:R,disabled:!I,tooltip:I?"":"Name is empty or group with the same name already exists.","data-testid":ti})):a().createElement("div",{className:(0,n.cx)(s.groupHeader,s.groupHeaderText)},e),headerTestId:ri(e),actions:a().createElement(a().Fragment,null,v!==e&&a().createElement(r.Button,{icon:"edit",variant:"secondary",fill:"text",size:"sm",className:s.actionButton,onClick:()=>{b(e),m(e)},"data-testid":Zo}),a().createElement(r.Button,{icon:"trash-alt",variant:"secondary",fill:"text",size:"sm",className:s.actionButton,onClick:()=>{y(u.filter((t=>t.name!==e)))},"data-testid":Jo}),a().createElement("div",ca({className:s.dragHandle},l.dragHandleProps),a().createElement(r.Icon,{name:"draggabledots",className:s.dragIcon}))),isOpen:p[e],onToggle:()=>E(e)},a().createElement(sa,{name:e,items:i,data:t,onChange:S})));var d})))),e.placeholder)))),a().createElement(r.InlineFieldRow,{className:s.newGroup,"data-testid":oi},a().createElement(r.InlineField,{label:"New Group",grow:!0,invalid:x,error:"Group with the same name already exists."},a().createElement(r.Input,{placeholder:"Unique name",value:d,onChange:e=>f(e.currentTarget.value.trim()),"data-testid":ii})),a().createElement(r.Button,{icon:"plus",title:"Add Group",disabled:!d||x,onClick:C,"data-testid":Qo},"Add")))},pa=e=>({buttons:n.css`
      margin-bottom: ${e.spacing(1)};
    `});function ga(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function va(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ga(e,t,n[t])}))}return e}function ma(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const ha=({value:e,onChange:t})=>{const n=(0,r.useStyles2)(pa);return a().createElement("div",null,a().createElement(r.InlineField,{label:"Mode",grow:!0},a().createElement(r.Select,{options:[{label:"Color",value:no.COLOR,icon:"circle-mono"},{label:"Image",value:no.IMAGE,icon:"gf-portrait"}],value:e.mode,onChange:n=>{var r;t(ma(va({},e),{mode:null!==(r=null==n?void 0:n.value)&&void 0!==r?r:e.mode}))},"aria-label":Ri})),e.mode===no.IMAGE&&a().createElement("div",null,a().createElement(r.ButtonGroup,{className:n.buttons},a().createElement(r.Button,{icon:"plus",variant:"secondary",fullWidth:!0,onClick:()=>t(ma(va({},e),{thresholds:[{value:e.thresholds[0]?e.thresholds[0].value+10:0,image:""},...e.thresholds]})),size:"sm","data-testid":Oi},"Add threshold")),e.thresholds.map(((n,i)=>a().createElement(r.InlineFieldRow,{key:i,"data-testid":Di(n.value)},a().createElement(r.InlineField,{label:"Value",shrink:!0},a().createElement(o.Q7,{width:8,min:-1/0,value:n.value,onChange:n=>{const r=e.thresholds.map(((e,t)=>t===i?ma(va({},e),{value:n}):e));r.sort(((e,t)=>e.value>t.value?-1:1)),t(ma(va({},e),{thresholds:r}))},"data-testid":Mi})),a().createElement(r.InlineField,{label:"URL",grow:!0},a().createElement(r.Input,{value:n.image,onChange:n=>{t(ma(va({},e),{thresholds:e.thresholds.map(((e,t)=>t===i?ma(va({},e),{image:n.currentTarget.value}):e))}))},suffix:a().createElement("img",{src:n.image,alt:"",style:{width:16}}),"data-testid":Pi})),a().createElement(r.Button,{icon:"trash-alt",variant:"secondary",onClick:()=>t(ma(va({},e),{thresholds:e.thresholds.filter(((e,t)=>t!==i))})),tooltip:"Remove threshold","data-testid":Ni}))))))};var ba=f(241);const ya=(e,n)=>{const[r,o]=(0,i.useState)({}),[a,l]=(0,i.useState)();(0,i.useEffect)((()=>{o(zi((0,t.getTemplateSrv)().getVariables()));const n=e.getStream(t.RefreshEvent).subscribe((()=>{o(zi((0,t.getTemplateSrv)().getVariables()))}));return()=>{n.unsubscribe()}}),[e]);const s=(0,i.useCallback)((e=>r[e]||void 0),[r]);return(0,i.useEffect)((()=>{l(s(n))}),[s,n]),{variable:a,getVariable:s}};function wa(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function Ea(e){return function(){var t=this,n=arguments;return new Promise((function(r,o){var i=e.apply(t,n);function a(e){wa(i,r,o,a,l,"next",e)}function l(e){wa(i,r,o,a,l,"throw",e)}a(void 0)}))}}const Ca=(e,t)=>{const n=(0,i.useCallback)(Ea((function*(){const n=window.localStorage.getItem(e);if(n){const e=JSON.parse(n);return(null==e?void 0:e.version)===t?e.data:void 0}})),[e,t]),r=(0,i.useCallback)((o=Ea((function*(n){return window.localStorage.setItem(e,JSON.stringify({version:t,data:n})),n})),function(e){return o.apply(this,arguments)}),[e,t]);var o;return(0,i.useMemo)((()=>({get:n,update:r})),[n,r])},Sa=e=>{const t=`var-${e}`;return(0,i.useMemo)((()=>({save:e=>{sessionStorage.setItem(t,JSON.stringify(e))},get:()=>{const e=sessionStorage.getItem(t);return e?JSON.parse(e):[]},remove:()=>sessionStorage.removeItem(t)})),[t])};function xa(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function Aa(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Ia=({key:e,initialValue:t,version:n=1,getStateForSave:r=(e=>e),enabled:o=!0})=>{const[a,l]=(0,i.useState)(t),[s,u]=(0,i.useState)(!1),c=(0,i.useRef)(r),{get:d,update:f}=Ca(e,n);(0,i.useEffect)((()=>{const e=(t=function*(){const e=yield d();e&&l("object"==typeof e?t=>(0,ba.merge)(function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Aa(e,t,n[t])}))}return e}({},t),e):e),u(!0)},n=function(){var e=this,n=arguments;return new Promise((function(r,o){var i=t.apply(e,n);function a(e){xa(i,r,o,a,l,"next",e)}function l(e){xa(i,r,o,a,l,"throw",e)}a(void 0)}))},function(){return n.apply(this,arguments)});var t,n;o&&e()}),[o,d]);const p=(0,i.useCallback)((e=>{l((t=>{const n="function"==typeof e?e(t):e;return o&&f(c.current(n)),n}))}),[o,f]);return[a,p,s]},Ra=({data:t,name:n,status:r})=>{const o=(0,i.useMemo)((()=>{var r;return null===(r=t.series.map((t=>t.fields.find((t=>t.type===e.FieldType.string&&(!n||t.name===n))))).find((e=>null==e?void 0:e.values)))||void 0===r?void 0:r.values}),[t.series,n]),a=(0,i.useMemo)((()=>t.series.map((t=>t.fields.find((t=>t.type===e.FieldType.number&&(!r||t.name===r))))).find((e=>null==e?void 0:e.values))),[t.series,r]);return(0,i.useCallback)((e=>{const t=null==o?void 0:o.findIndex((t=>t===e)),n=void 0!==t&&t>=0;if(n){var r,i,l,s,u;const e=null==a?void 0:a.values[t],o=null==a||null===(r=a.display)||void 0===r?void 0:r.call(a,e);if(void 0===e||void 0===o)return{exist:!1};let d;if((null==a||null===(l=a.config.custom)||void 0===l||null===(i=l.thresholdsStyle)||void 0===i?void 0:i.mode)===no.IMAGE){var c;const{thresholds:t}=null==a||null===(c=a.config.custom)||void 0===c?void 0:c.thresholdsStyle,n=((e,t)=>{if(!t||0===t.length)return{value:0,image:""};const n=[...t];n.sort(((e,t)=>e.value>t.value?1:-1));let r=n[0];for(const t of n){if(!(e>=t.value))break;r=t}return r})(e,t);d=null==n?void 0:n.image}return{exist:n,value:e,color:o.color||"",mode:(null==a||null===(u=a.config.custom)||void 0===u||null===(s=u.thresholdsStyle)||void 0===s?void 0:s.mode)||no.COLOR,image:d}}return{exist:n}}),[o,a])},Oa=e=>({wrapper:n.css`
      position: relative;
    `,content:n.css`
      position: absolute;
      overflow: auto;
      overflow-x: hidden;
    `,header:n.css`
      position: sticky;
      top: 0;
      background-color: ${e.colors.background.primary};
      z-index: 120;
    `,rowContent:n.css`
      display: flex;
      justify-content: stretch;
      align-items: center;
    `,expandButton:n.css`
      margin-right: ${e.spacing(1)};
    `,label:n.css`
      display: flex;
      align-items: center;
      cursor: pointer;
      flex: auto;
      word-break: break-all;
    `,selectControl:n.css`
      vertical-align: middle;
      margin-right: ${e.spacing(1)};
    `,status:n.css`
      display: block;
      width: 12px;
      height: 12px;
      border-radius: 50%;
      margin-right: ${e.spacing(1)};
      flex: none;
    `,statusImage:n.css`
      display: block;
      width: ${e.spacing(2)};
      height: auto;
      margin-right: ${e.spacing(1)};
      flex: none;
    `,toolbar:n.css`
      div > div {
        flex-direction: column;
        max-width: 100%;
      }
      padding: ${e.spacing(.5)} 0 ${e.spacing(.5)} ${e.spacing(1)};
      border-bottom: 1px solid ${e.colors.border.weak};
    `,toolbarButton:n.css`
      overflow: hidden;
      max-width: 100%;

      > div {
        overflow: hidden;
        text-overflow: ellipsis;
      }
    `}),Da=({variable:e,panelEventBus:t})=>{var n;const[o,l]=(0,i.useState)((null===(n=e.current.value)||void 0===n?void 0:n.toString())||"");(0,i.useEffect)((()=>{var t;l((null===(t=e.current.value)||void 0===t?void 0:t.toString())||"")}),[e]);const s=(0,i.useCallback)((e=>{l(e.target.value)}),[]),u=(0,i.useCallback)((()=>{ji({values:[o],runtimeVariable:e,panelEventBus:t})}),[t,o,e]),c=(0,i.useCallback)((e=>{"Enter"===e.key&&u(),"Escape"===e.key&&e.currentTarget.blur()}),[u]);return a().createElement(r.Input,{"data-testid":vi,onChange:s,onBlur:u,onKeyDown:c,value:o,placeholder:"Enter variable value"})};function Ma(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function Pa(e){return function(){var t=this,n=arguments;return new Promise((function(r,o){var i=e.apply(t,n);function a(e){Ma(i,r,o,a,l,"next",e)}function l(e){Ma(i,r,o,a,l,"throw",e)}a(void 0)}))}}function Na(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Fa(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Na(e,t,n[t])}))}return e}function ka(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);n.push.apply(n,r)}return n}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Ba=()=>{const e=(0,i.useCallback)(Pa((function*(){const e=window.localStorage.getItem("favorites");return JSON.parse(e||"{}")})),[]),t=(0,i.useCallback)((n=Pa((function*(e){return window.localStorage.setItem("favorites",JSON.stringify(e)),e})),function(e){return n.apply(this,arguments)}),[]);var n;return(0,i.useMemo)((()=>({get:e,update:t})),[e,t])},Ta=()=>{const[e,t]=(0,i.useState)({}),n=Ba(),r=(0,i.useCallback)(Pa((function*(){const e=yield n.get();t(e)})),[n]),o=(0,i.useCallback)((a=Pa((function*(r,o){if(!r)return;const i=yield n.update(ka(Fa({},e),{[r]:e[r]?e[r].concat([o]):[o]}));t(i)})),function(e,t){return a.apply(this,arguments)}),[e,n]);var a;const l=(0,i.useCallback)(function(){var r=Pa((function*(r,o){if(!r)return;const i=yield n.update(ka(Fa({},e),{[r]:e[r]?e[r].filter((e=>e!==o)):[]}));t(i)}));return function(e,t){return r.apply(this,arguments)}}(),[e,n]),s=(0,i.useCallback)(((t,n)=>!(!t||!e[t])&&e[t].includes(n)),[e]);return(0,i.useEffect)((()=>{r()}),[r]),(0,i.useMemo)((()=>({add:o,remove:l,isAdded:s})),[o,s,l])},_a=e=>({root:n.css`
      display: flex;
      gap: ${e.spacing(.5)};
      flex-wrap: wrap;
    `,label:n.css`
      color: ${e.colors.text.link};
      background: ${e.colors.background.primary};
      border: 1px solid ${e.colors.border.weak};
      margin: ${e.spacing(.25,0)};
    `,resetButton:n.css`
      margin-left: ${e.spacing(1)};
    `}),La=({data:e,options:{variable:t,padding:o=0,status:l,name:s,emptyValue:u=!1,persistent:c=!1,showLabel:d=!1,showResetButton:f=!1}={},eventBus:p,panelEventBus:g})=>{const v=(0,r.useStyles2)(_a),m=(0,r.useTheme2)(),{variable:h}=ya(p,t||""),b=Sa(null!=t?t:""),y=(0,i.useMemo)((()=>Hi(h)?null==h?void 0:h.options.filter((e=>e.selected)).map((e=>e.value)):[]),[h]),w=Ra({data:e,name:s,status:l});if(!h)return a().createElement(r.Alert,{severity:"info",title:"Variable","data-testid":hi},"Variable is not selected.");if(!Hi(h)||!h.options.length)return a().createElement(r.Alert,{severity:"info",title:"Variable","data-testid":bi},"Options are not available.");const E=e=>{Wi({previousValues:y,variable:h,emptyValueEnabled:u,value:e,panelEventBus:g})};return a().createElement("div",{className:(0,n.cx)(v.root,n.css`
          padding: ${o}px;
        `),"data-testid":mi},f&&a().createElement(r.IconButton,{name:"times",tooltip:"Reset Variable",className:v.resetButton,onClick:()=>{const e=(Array.isArray(h.current.value)?h.current.value[0]:h.current.value)===ki;!h.includeAll||e?h.multi&&1===h.current.value.length&&h.options[0].selected||E(h.options[0].value):E([...y,h.options[0].value])},"aria-label":"Reset Variable","data-testid":wi}),d&&a().createElement(r.InlineLabel,{"data-testid":Ei,className:v.label,width:"auto",transparent:!0},h.label||h.name),h.options.map((e=>{const t=e.value===ki?Fi:e.value,o=w(t),i=e.selected?o.exist?o.color:m.colors.border.weak:m.colors.background.primary;return a().createElement(r.Button,{key:t,variant:"secondary",fill:"outline",className:n.css`
              background-color: ${i};
              margin: ${m.spacing(.25)};
              color: ${m.colors.getContrastText(i)};
              border-color: ${o.exist?o.color:""};
            `,onClick:()=>{let t=e.value;h.multi&&(t=e.selected?null==y?void 0:y.filter((t=>t!==e.value)):[...y,e.value]),c&&b.remove(),Wi({previousValues:y,variable:h,emptyValueEnabled:u,value:t,panelEventBus:g})},"data-testid":yi(t)},e.text.toString())})))},Va=({variable:e,emptyValue:t,persistent:n,customValue:o,panelEventBus:l,maxVisibleValues:s})=>{const u=Sa(e.name),c=(0,i.useMemo)((()=>{const t=e.current.value;return Array.isArray(t)?t:[t]}),[e]),d=(0,i.useCallback)((r=>{n&&u.remove(),Wi({previousValues:c,value:Array.isArray(r)?r.map((e=>e.value)):r.value||"",variable:e,emptyValueEnabled:t,panelEventBus:l})}),[t,l,n,u,c,e]),f=(0,i.useMemo)((()=>{const t=e.options.map((e=>({label:e.text,value:e.value})));return c.forEach((e=>{t.some((t=>t.value===e))||t.push({label:e,value:e})})),t}),[c,e.options]);return a().createElement(r.Select,{"aria-label":gi,onChange:d,options:f,isMulti:e.multi,value:e.multi?c:c[0]||null,allowCustomValue:o,maxVisibleValues:s,hideSelectedOptions:!1,closeMenuOnSelect:!e.multi,showAllSelectedWhenOpen:!1})},Ga=e=>({field:n.css`
      label {
        color: ${e.colors.text.link};
        background: ${e.colors.background.primary};
        border: 1px solid ${e.colors.border.weak};
      }
    `}),ja=({options:{variable:e,padding:t=0,emptyValue:o=!1,persistent:i=!1,customValue:l=!1,showLabel:s=!1,labelWidth:u,maxVisibleValues:c}={},eventBus:d,panelEventBus:f})=>{const{variable:p}=ya(d,e||""),g=(0,r.useStyles2)(Ga);return p?a().createElement("div",{className:n.css`
        padding: ${t}px;
      `,"data-testid":fi},a().createElement(r.InlineField,{className:g.field,grow:!0,shrink:!0,label:s&&(p.label||p.name),labelWidth:u},a().createElement(a().Fragment,null,(p.type===ro.QUERY||p.type===ro.CUSTOM)&&a().createElement(Va,{variable:p,emptyValue:o,persistent:i,customValue:l,panelEventBus:f,maxVisibleValues:c}),p.type===ro.TEXTBOX&&a().createElement(Da,{variable:p,panelEventBus:f})))):a().createElement(r.Alert,{severity:"info",title:"Variable","data-testid":pi},"Variable is not selected.")},Ha=(e,t,r)=>({root:n.css`
      display: flex;
      gap: ${e.spacing(.5)};
      flex-wrap: wrap;
    `,field:n.css`
      flex: auto;
      align-items: center;

      label {
        color: ${e.colors.text.link};
        background: ${e.colors.background.primary};
        border: 1px solid ${e.colors.border.weak};
      }
    `,label:n.css`
      color: ${e.colors.text.link};
      background: ${e.colors.background.primary};
      border: 1px solid ${e.colors.border.weak};
      margin: ${e.spacing(.25,0)};
    `,slider:n.css`
      margin-left: ${e.spacing(1)};
      width: 90%;

      .rc-slider-dot:first-of-type {
        left: 0 !important;
      }

      .rc-slider-mark-text:first-of-type {
        left: 0 !important;
      }

      .rc-slider-dot {
        left: 100% !important;
      }

      .rc-slider-mark-text {
        left: 100% !important;
      }

      .rc-slider-handle::after {
        content: '${t}';
        position: absolute;
        top: ${e.spacing(2.25)};
        right: -${e.spacing(2.25)};
        font-size: 12px;
        background: ${e.colors.background.primary};
        color: ${e.colors.secondary.text};
        padding: ${e.spacing(.5)};
        left: 50%;
        transform: translateX(-50%);
        width: max-content;
        max-width: ${r-80}px;
      }
    `}),za=({width:e,options:{variable:t,padding:l=0,showLabel:s=!1,labelWidth:u},eventBus:c,panelEventBus:d})=>{const{variable:f}=ya(c,t||""),p=(e=>{const t=(0,i.useMemo)((()=>e&&(null==e?void 0:e.includeAll)?1:0),[e]),n=(0,i.useMemo)((()=>e?e.options.length-1:0),[e]),r=(e,t)=>{var n;return e&&null!==(n=e.optionIndexByName.get(t))&&void 0!==n?n:0},o=(0,i.useMemo)((()=>e?Array.isArray(null==e?void 0:e.current.value)?null==e?void 0:e.current.value[0]:null==e?void 0:e.current.value:""),[e]),[a,l]=(0,i.useState)(r(e,o)),s=(0,i.useMemo)((()=>e?{[t]:e.options[t].text,[n]:e.options[n].text}:""),[n,t,e]);(0,i.useEffect)((()=>{l(r(e,o))}),[e,o]);const u=(0,i.useMemo)((()=>{var t,n;return null!==(n=null==e||null===(t=e.options[a])||void 0===t?void 0:t.text)&&void 0!==n?n:""}),[a,null==e?void 0:e.options]);return{min:t,max:n,value:a,marks:s,setValue:l,text:u,variableValue:o}})(Hi(f)?f:void 0),g=(0,r.useStyles2)(Ha,p.text,e);return f?Hi(f)&&f.multi||!Hi(f)?a().createElement(r.Alert,{severity:"info",title:"Variable","data-testid":Si},"View is not supported for the selected variable."):a().createElement("div",{className:(0,n.cx)(g.root,n.css`
          padding: ${l}px;
        `),"data-testid":Ii},a().createElement(r.InlineField,{label:s&&(f.label||f.name),className:g.field,grow:!0,labelWidth:u,"data-testid":xi},a().createElement("div",{className:g.slider},a().createElement(o.Ap,{"data-testid":Ai,included:!0,max:p.max,min:p.min,orientation:"horizontal",onChange:e=>{p.setValue(e)},onAfterChange:(e=p.value)=>{const t=f.options[e].value;Wi({previousValues:[p.variableValue],value:t,variable:f,emptyValueEnabled:!1,panelEventBus:d})},marks:p.marks,value:p.value,inputWidth:0})))):a().createElement(r.Alert,{severity:"info",title:"Variable","data-testid":Ci},"Variable is not selected.")};function $a(e,t){return"function"==typeof e?e(t):e}function Ua(e,t){return n=>{t.setState((t=>({...t,[e]:$a(n,t[e])})))}}function Wa(e){return e instanceof Function}function qa(e,t,n){let r,o=[];return i=>{let a;n.key&&n.debug&&(a=Date.now());const l=e(i);if(l.length===o.length&&!l.some(((e,t)=>o[t]!==e)))return r;let s;if(o=l,n.key&&n.debug&&(s=Date.now()),r=t(...l),null==n||null==n.onChange||n.onChange(r),n.key&&n.debug&&null!=n&&n.debug()){const e=Math.round(100*(Date.now()-a))/100,t=Math.round(100*(Date.now()-s))/100,r=t/16,o=(e,t)=>{for(e=String(e);e.length<t;)e=" "+e;return e};console.info(`%c⏱ ${o(t,5)} /${o(e,5)} ms`,`\n            font-size: .6rem;\n            font-weight: bold;\n            color: hsl(${Math.max(0,Math.min(120-120*r,120))}deg 100% 31%);`,null==n?void 0:n.key)}return r}}function Xa(e,t,n,r){return{debug:()=>{var n;return null!=(n=null==e?void 0:e.debugAll)?n:e[t]},key:!1,onChange:r}}const Ya="debugHeaders";function Ka(e,t,n){var r;let o={id:null!=(r=n.id)?r:t.id,column:t,index:n.index,isPlaceholder:!!n.isPlaceholder,placeholderId:n.placeholderId,depth:n.depth,subHeaders:[],colSpan:0,rowSpan:0,headerGroup:null,getLeafHeaders:()=>{const e=[],t=n=>{n.subHeaders&&n.subHeaders.length&&n.subHeaders.map(t),e.push(n)};return t(o),e},getContext:()=>({table:e,header:o,column:t})};return e._features.forEach((t=>{null==t.createHeader||t.createHeader(o,e)})),o}const Qa={createTable:e=>{e.getHeaderGroups=qa((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right]),((t,n,r,o)=>{var i,a;const l=null!=(i=null==r?void 0:r.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?i:[],s=null!=(a=null==o?void 0:o.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?a:[];return Ja(t,[...l,...n.filter((e=>!(null!=r&&r.includes(e.id)||null!=o&&o.includes(e.id)))),...s],e)}),Xa(e.options,Ya)),e.getCenterHeaderGroups=qa((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right]),((t,n,r,o)=>Ja(t,n=n.filter((e=>!(null!=r&&r.includes(e.id)||null!=o&&o.includes(e.id)))),e,"center")),Xa(e.options,Ya)),e.getLeftHeaderGroups=qa((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left]),((t,n,r)=>{var o;return Ja(t,null!=(o=null==r?void 0:r.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?o:[],e,"left")}),Xa(e.options,Ya)),e.getRightHeaderGroups=qa((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.right]),((t,n,r)=>{var o;return Ja(t,null!=(o=null==r?void 0:r.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?o:[],e,"right")}),Xa(e.options,Ya)),e.getFooterGroups=qa((()=>[e.getHeaderGroups()]),(e=>[...e].reverse()),Xa(e.options,Ya)),e.getLeftFooterGroups=qa((()=>[e.getLeftHeaderGroups()]),(e=>[...e].reverse()),Xa(e.options,Ya)),e.getCenterFooterGroups=qa((()=>[e.getCenterHeaderGroups()]),(e=>[...e].reverse()),Xa(e.options,Ya)),e.getRightFooterGroups=qa((()=>[e.getRightHeaderGroups()]),(e=>[...e].reverse()),Xa(e.options,Ya)),e.getFlatHeaders=qa((()=>[e.getHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),Xa(e.options,Ya)),e.getLeftFlatHeaders=qa((()=>[e.getLeftHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),Xa(e.options,Ya)),e.getCenterFlatHeaders=qa((()=>[e.getCenterHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),Xa(e.options,Ya)),e.getRightFlatHeaders=qa((()=>[e.getRightHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),Xa(e.options,Ya)),e.getCenterLeafHeaders=qa((()=>[e.getCenterFlatHeaders()]),(e=>e.filter((e=>{var t;return!(null!=(t=e.subHeaders)&&t.length)}))),Xa(e.options,Ya)),e.getLeftLeafHeaders=qa((()=>[e.getLeftFlatHeaders()]),(e=>e.filter((e=>{var t;return!(null!=(t=e.subHeaders)&&t.length)}))),Xa(e.options,Ya)),e.getRightLeafHeaders=qa((()=>[e.getRightFlatHeaders()]),(e=>e.filter((e=>{var t;return!(null!=(t=e.subHeaders)&&t.length)}))),Xa(e.options,Ya)),e.getLeafHeaders=qa((()=>[e.getLeftHeaderGroups(),e.getCenterHeaderGroups(),e.getRightHeaderGroups()]),((e,t,n)=>{var r,o,i,a,l,s;return[...null!=(r=null==(o=e[0])?void 0:o.headers)?r:[],...null!=(i=null==(a=t[0])?void 0:a.headers)?i:[],...null!=(l=null==(s=n[0])?void 0:s.headers)?l:[]].map((e=>e.getLeafHeaders())).flat()}),Xa(e.options,Ya))}};function Ja(e,t,n,r){var o,i;let a=0;const l=function(e,t){void 0===t&&(t=1),a=Math.max(a,t),e.filter((e=>e.getIsVisible())).forEach((e=>{var n;null!=(n=e.columns)&&n.length&&l(e.columns,t+1)}),0)};l(e);let s=[];const u=(e,t)=>{const o={depth:t,id:[r,`${t}`].filter(Boolean).join("_"),headers:[]},i=[];e.forEach((e=>{const a=[...i].reverse()[0];let l,s=!1;if(e.column.depth===o.depth&&e.column.parent?l=e.column.parent:(l=e.column,s=!0),a&&(null==a?void 0:a.column)===l)a.subHeaders.push(e);else{const o=Ka(n,l,{id:[r,t,l.id,null==e?void 0:e.id].filter(Boolean).join("_"),isPlaceholder:s,placeholderId:s?`${i.filter((e=>e.column===l)).length}`:void 0,depth:t,index:i.length});o.subHeaders.push(e),i.push(o)}o.headers.push(e),e.headerGroup=o})),s.push(o),t>0&&u(i,t-1)},c=t.map(((e,t)=>Ka(n,e,{depth:a,index:t})));u(c,a-1),s.reverse();const d=e=>e.filter((e=>e.column.getIsVisible())).map((e=>{let t=0,n=0,r=[0];return e.subHeaders&&e.subHeaders.length?(r=[],d(e.subHeaders).forEach((e=>{let{colSpan:n,rowSpan:o}=e;t+=n,r.push(o)}))):t=1,n+=Math.min(...r),e.colSpan=t,e.rowSpan=n,{colSpan:t,rowSpan:n}}));return d(null!=(o=null==(i=s[0])?void 0:i.headers)?o:[]),s}const Za=(e,t,n,r,o,i,a)=>{let l={id:t,index:r,original:n,depth:o,parentId:a,_valuesCache:{},_uniqueValuesCache:{},getValue:t=>{if(l._valuesCache.hasOwnProperty(t))return l._valuesCache[t];const n=e.getColumn(t);return null!=n&&n.accessorFn?(l._valuesCache[t]=n.accessorFn(l.original,r),l._valuesCache[t]):void 0},getUniqueValues:t=>{if(l._uniqueValuesCache.hasOwnProperty(t))return l._uniqueValuesCache[t];const n=e.getColumn(t);return null!=n&&n.accessorFn?n.columnDef.getUniqueValues?(l._uniqueValuesCache[t]=n.columnDef.getUniqueValues(l.original,r),l._uniqueValuesCache[t]):(l._uniqueValuesCache[t]=[l.getValue(t)],l._uniqueValuesCache[t]):void 0},renderValue:t=>{var n;return null!=(n=l.getValue(t))?n:e.options.renderFallbackValue},subRows:null!=i?i:[],getLeafRows:()=>function(e,t){const n=[],r=e=>{e.forEach((e=>{n.push(e);const o=t(e);null!=o&&o.length&&r(o)}))};return r(e),n}(l.subRows,(e=>e.subRows)),getParentRow:()=>l.parentId?e.getRow(l.parentId,!0):void 0,getParentRows:()=>{let e=[],t=l;for(;;){const n=t.getParentRow();if(!n)break;e.push(n),t=n}return e.reverse()},getAllCells:qa((()=>[e.getAllLeafColumns()]),(t=>t.map((t=>function(e,t,n,r){const o={id:`${t.id}_${n.id}`,row:t,column:n,getValue:()=>t.getValue(r),renderValue:()=>{var t;return null!=(t=o.getValue())?t:e.options.renderFallbackValue},getContext:qa((()=>[e,n,t,o]),((e,t,n,r)=>({table:e,column:t,row:n,cell:r,getValue:r.getValue,renderValue:r.renderValue})),Xa(e.options,"debugCells"))};return e._features.forEach((r=>{null==r.createCell||r.createCell(o,n,t,e)}),{}),o}(e,l,t,t.id)))),Xa(e.options,"debugRows")),_getAllCellsByColumnId:qa((()=>[l.getAllCells()]),(e=>e.reduce(((e,t)=>(e[t.column.id]=t,e)),{})),Xa(e.options,"debugRows"))};for(let t=0;t<e._features.length;t++){const n=e._features[t];null==n||null==n.createRow||n.createRow(l,e)}return l},el={createColumn:(e,t)=>{e._getFacetedRowModel=t.options.getFacetedRowModel&&t.options.getFacetedRowModel(t,e.id),e.getFacetedRowModel=()=>e._getFacetedRowModel?e._getFacetedRowModel():t.getPreFilteredRowModel(),e._getFacetedUniqueValues=t.options.getFacetedUniqueValues&&t.options.getFacetedUniqueValues(t,e.id),e.getFacetedUniqueValues=()=>e._getFacetedUniqueValues?e._getFacetedUniqueValues():new Map,e._getFacetedMinMaxValues=t.options.getFacetedMinMaxValues&&t.options.getFacetedMinMaxValues(t,e.id),e.getFacetedMinMaxValues=()=>{if(e._getFacetedMinMaxValues)return e._getFacetedMinMaxValues()}}},tl=(e,t,n)=>{var r;const o=n.toLowerCase();return Boolean(null==(r=e.getValue(t))||null==(r=r.toString())||null==(r=r.toLowerCase())?void 0:r.includes(o))};tl.autoRemove=e=>dl(e);const nl=(e,t,n)=>{var r;return Boolean(null==(r=e.getValue(t))||null==(r=r.toString())?void 0:r.includes(n))};nl.autoRemove=e=>dl(e);const rl=(e,t,n)=>{var r;return(null==(r=e.getValue(t))||null==(r=r.toString())?void 0:r.toLowerCase())===(null==n?void 0:n.toLowerCase())};rl.autoRemove=e=>dl(e);const ol=(e,t,n)=>{var r;return null==(r=e.getValue(t))?void 0:r.includes(n)};ol.autoRemove=e=>dl(e)||!(null!=e&&e.length);const il=(e,t,n)=>!n.some((n=>{var r;return!(null!=(r=e.getValue(t))&&r.includes(n))}));il.autoRemove=e=>dl(e)||!(null!=e&&e.length);const al=(e,t,n)=>n.some((n=>{var r;return null==(r=e.getValue(t))?void 0:r.includes(n)}));al.autoRemove=e=>dl(e)||!(null!=e&&e.length);const ll=(e,t,n)=>e.getValue(t)===n;ll.autoRemove=e=>dl(e);const sl=(e,t,n)=>e.getValue(t)==n;sl.autoRemove=e=>dl(e);const ul=(e,t,n)=>{let[r,o]=n;const i=e.getValue(t);return i>=r&&i<=o};ul.resolveFilterValue=e=>{let[t,n]=e,r="number"!=typeof t?parseFloat(t):t,o="number"!=typeof n?parseFloat(n):n,i=null===t||Number.isNaN(r)?-1/0:r,a=null===n||Number.isNaN(o)?1/0:o;if(i>a){const e=i;i=a,a=e}return[i,a]},ul.autoRemove=e=>dl(e)||dl(e[0])&&dl(e[1]);const cl={includesString:tl,includesStringSensitive:nl,equalsString:rl,arrIncludes:ol,arrIncludesAll:il,arrIncludesSome:al,equals:ll,weakEquals:sl,inNumberRange:ul};function dl(e){return null==e||""===e}const fl={getDefaultColumnDef:()=>({filterFn:"auto"}),getInitialState:e=>({columnFilters:[],...e}),getDefaultOptions:e=>({onColumnFiltersChange:Ua("columnFilters",e),filterFromLeafRows:!1,maxLeafRowFilterDepth:100}),createColumn:(e,t)=>{e.getAutoFilterFn=()=>{const n=t.getCoreRowModel().flatRows[0],r=null==n?void 0:n.getValue(e.id);return"string"==typeof r?cl.includesString:"number"==typeof r?cl.inNumberRange:"boolean"==typeof r||null!==r&&"object"==typeof r?cl.equals:Array.isArray(r)?cl.arrIncludes:cl.weakEquals},e.getFilterFn=()=>{var n,r;return Wa(e.columnDef.filterFn)?e.columnDef.filterFn:"auto"===e.columnDef.filterFn?e.getAutoFilterFn():null!=(n=null==(r=t.options.filterFns)?void 0:r[e.columnDef.filterFn])?n:cl[e.columnDef.filterFn]},e.getCanFilter=()=>{var n,r,o;return(null==(n=e.columnDef.enableColumnFilter)||n)&&(null==(r=t.options.enableColumnFilters)||r)&&(null==(o=t.options.enableFilters)||o)&&!!e.accessorFn},e.getIsFiltered=()=>e.getFilterIndex()>-1,e.getFilterValue=()=>{var n;return null==(n=t.getState().columnFilters)||null==(n=n.find((t=>t.id===e.id)))?void 0:n.value},e.getFilterIndex=()=>{var n,r;return null!=(n=null==(r=t.getState().columnFilters)?void 0:r.findIndex((t=>t.id===e.id)))?n:-1},e.setFilterValue=n=>{t.setColumnFilters((t=>{const r=e.getFilterFn(),o=null==t?void 0:t.find((t=>t.id===e.id)),i=$a(n,o?o.value:void 0);var a;if(pl(r,i,e))return null!=(a=null==t?void 0:t.filter((t=>t.id!==e.id)))?a:[];const l={id:e.id,value:i};var s;return o?null!=(s=null==t?void 0:t.map((t=>t.id===e.id?l:t)))?s:[]:null!=t&&t.length?[...t,l]:[l]}))}},createRow:(e,t)=>{e.columnFilters={},e.columnFiltersMeta={}},createTable:e=>{e.setColumnFilters=t=>{const n=e.getAllLeafColumns();null==e.options.onColumnFiltersChange||e.options.onColumnFiltersChange((e=>{var r;return null==(r=$a(t,e))?void 0:r.filter((e=>{const t=n.find((t=>t.id===e.id));return!t||!pl(t.getFilterFn(),e.value,t)}))}))},e.resetColumnFilters=t=>{var n,r;e.setColumnFilters(t?[]:null!=(n=null==(r=e.initialState)?void 0:r.columnFilters)?n:[])},e.getPreFilteredRowModel=()=>e.getCoreRowModel(),e.getFilteredRowModel=()=>(!e._getFilteredRowModel&&e.options.getFilteredRowModel&&(e._getFilteredRowModel=e.options.getFilteredRowModel(e)),e.options.manualFiltering||!e._getFilteredRowModel?e.getPreFilteredRowModel():e._getFilteredRowModel())}};function pl(e,t,n){return!(!e||!e.autoRemove)&&e.autoRemove(t,n)||void 0===t||"string"==typeof t&&!t}const gl={sum:(e,t,n)=>n.reduce(((t,n)=>{const r=n.getValue(e);return t+("number"==typeof r?r:0)}),0),min:(e,t,n)=>{let r;return n.forEach((t=>{const n=t.getValue(e);null!=n&&(r>n||void 0===r&&n>=n)&&(r=n)})),r},max:(e,t,n)=>{let r;return n.forEach((t=>{const n=t.getValue(e);null!=n&&(r<n||void 0===r&&n>=n)&&(r=n)})),r},extent:(e,t,n)=>{let r,o;return n.forEach((t=>{const n=t.getValue(e);null!=n&&(void 0===r?n>=n&&(r=o=n):(r>n&&(r=n),o<n&&(o=n)))})),[r,o]},mean:(e,t)=>{let n=0,r=0;if(t.forEach((t=>{let o=t.getValue(e);null!=o&&(o=+o)>=o&&(++n,r+=o)})),n)return r/n},median:(e,t)=>{if(!t.length)return;const n=t.map((t=>t.getValue(e)));if(r=n,!Array.isArray(r)||!r.every((e=>"number"==typeof e)))return;var r;if(1===n.length)return n[0];const o=Math.floor(n.length/2),i=n.sort(((e,t)=>e-t));return n.length%2!=0?i[o]:(i[o-1]+i[o])/2},unique:(e,t)=>Array.from(new Set(t.map((t=>t.getValue(e)))).values()),uniqueCount:(e,t)=>new Set(t.map((t=>t.getValue(e)))).size,count:(e,t)=>t.length},vl={getDefaultColumnDef:()=>({aggregatedCell:e=>{var t,n;return null!=(t=null==(n=e.getValue())||null==n.toString?void 0:n.toString())?t:null},aggregationFn:"auto"}),getInitialState:e=>({grouping:[],...e}),getDefaultOptions:e=>({onGroupingChange:Ua("grouping",e),groupedColumnMode:"reorder"}),createColumn:(e,t)=>{e.toggleGrouping=()=>{t.setGrouping((t=>null!=t&&t.includes(e.id)?t.filter((t=>t!==e.id)):[...null!=t?t:[],e.id]))},e.getCanGroup=()=>{var n,r;return(null==(n=e.columnDef.enableGrouping)||n)&&(null==(r=t.options.enableGrouping)||r)&&(!!e.accessorFn||!!e.columnDef.getGroupingValue)},e.getIsGrouped=()=>{var n;return null==(n=t.getState().grouping)?void 0:n.includes(e.id)},e.getGroupedIndex=()=>{var n;return null==(n=t.getState().grouping)?void 0:n.indexOf(e.id)},e.getToggleGroupingHandler=()=>{const t=e.getCanGroup();return()=>{t&&e.toggleGrouping()}},e.getAutoAggregationFn=()=>{const n=t.getCoreRowModel().flatRows[0],r=null==n?void 0:n.getValue(e.id);return"number"==typeof r?gl.sum:"[object Date]"===Object.prototype.toString.call(r)?gl.extent:void 0},e.getAggregationFn=()=>{var n,r;if(!e)throw new Error;return Wa(e.columnDef.aggregationFn)?e.columnDef.aggregationFn:"auto"===e.columnDef.aggregationFn?e.getAutoAggregationFn():null!=(n=null==(r=t.options.aggregationFns)?void 0:r[e.columnDef.aggregationFn])?n:gl[e.columnDef.aggregationFn]}},createTable:e=>{e.setGrouping=t=>null==e.options.onGroupingChange?void 0:e.options.onGroupingChange(t),e.resetGrouping=t=>{var n,r;e.setGrouping(t?[]:null!=(n=null==(r=e.initialState)?void 0:r.grouping)?n:[])},e.getPreGroupedRowModel=()=>e.getFilteredRowModel(),e.getGroupedRowModel=()=>(!e._getGroupedRowModel&&e.options.getGroupedRowModel&&(e._getGroupedRowModel=e.options.getGroupedRowModel(e)),e.options.manualGrouping||!e._getGroupedRowModel?e.getPreGroupedRowModel():e._getGroupedRowModel())},createRow:(e,t)=>{e.getIsGrouped=()=>!!e.groupingColumnId,e.getGroupingValue=n=>{if(e._groupingValuesCache.hasOwnProperty(n))return e._groupingValuesCache[n];const r=t.getColumn(n);return null!=r&&r.columnDef.getGroupingValue?(e._groupingValuesCache[n]=r.columnDef.getGroupingValue(e.original),e._groupingValuesCache[n]):e.getValue(n)},e._groupingValuesCache={}},createCell:(e,t,n,r)=>{e.getIsGrouped=()=>t.getIsGrouped()&&t.id===n.groupingColumnId,e.getIsPlaceholder=()=>!e.getIsGrouped()&&t.getIsGrouped(),e.getIsAggregated=()=>{var t;return!e.getIsGrouped()&&!e.getIsPlaceholder()&&!(null==(t=n.subRows)||!t.length)}}},ml={getInitialState:e=>({columnOrder:[],...e}),getDefaultOptions:e=>({onColumnOrderChange:Ua("columnOrder",e)}),createColumn:(e,t)=>{e.getIndex=qa((e=>[Sl(t,e)]),(t=>t.findIndex((t=>t.id===e.id))),Xa(t.options,"debugColumns")),e.getIsFirstColumn=n=>{var r;return(null==(r=Sl(t,n)[0])?void 0:r.id)===e.id},e.getIsLastColumn=n=>{var r;const o=Sl(t,n);return(null==(r=o[o.length-1])?void 0:r.id)===e.id}},createTable:e=>{e.setColumnOrder=t=>null==e.options.onColumnOrderChange?void 0:e.options.onColumnOrderChange(t),e.resetColumnOrder=t=>{var n;e.setColumnOrder(t?[]:null!=(n=e.initialState.columnOrder)?n:[])},e._getOrderColumnsFn=qa((()=>[e.getState().columnOrder,e.getState().grouping,e.options.groupedColumnMode]),((e,t,n)=>r=>{let o=[];if(null!=e&&e.length){const t=[...e],n=[...r];for(;n.length&&t.length;){const e=t.shift(),r=n.findIndex((t=>t.id===e));r>-1&&o.push(n.splice(r,1)[0])}o=[...o,...n]}else o=r;return function(e,t,n){if(null==t||!t.length||!n)return e;const r=e.filter((e=>!t.includes(e.id)));return"remove"===n?r:[...t.map((t=>e.find((e=>e.id===t)))).filter(Boolean),...r]}(o,t,n)}),Xa(e.options,"debugTable"))}},hl={getInitialState:e=>({columnPinning:{left:[],right:[]},...e}),getDefaultOptions:e=>({onColumnPinningChange:Ua("columnPinning",e)}),createColumn:(e,t)=>{e.pin=n=>{const r=e.getLeafColumns().map((e=>e.id)).filter(Boolean);t.setColumnPinning((e=>{var t,o,i,a,l,s;return"right"===n?{left:(null!=(i=null==e?void 0:e.left)?i:[]).filter((e=>!(null!=r&&r.includes(e)))),right:[...(null!=(a=null==e?void 0:e.right)?a:[]).filter((e=>!(null!=r&&r.includes(e)))),...r]}:"left"===n?{left:[...(null!=(l=null==e?void 0:e.left)?l:[]).filter((e=>!(null!=r&&r.includes(e)))),...r],right:(null!=(s=null==e?void 0:e.right)?s:[]).filter((e=>!(null!=r&&r.includes(e))))}:{left:(null!=(t=null==e?void 0:e.left)?t:[]).filter((e=>!(null!=r&&r.includes(e)))),right:(null!=(o=null==e?void 0:e.right)?o:[]).filter((e=>!(null!=r&&r.includes(e))))}}))},e.getCanPin=()=>e.getLeafColumns().some((e=>{var n,r,o;return(null==(n=e.columnDef.enablePinning)||n)&&(null==(r=null!=(o=t.options.enableColumnPinning)?o:t.options.enablePinning)||r)})),e.getIsPinned=()=>{const n=e.getLeafColumns().map((e=>e.id)),{left:r,right:o}=t.getState().columnPinning,i=n.some((e=>null==r?void 0:r.includes(e))),a=n.some((e=>null==o?void 0:o.includes(e)));return i?"left":!!a&&"right"},e.getPinnedIndex=()=>{var n,r;const o=e.getIsPinned();return o?null!=(n=null==(r=t.getState().columnPinning)||null==(r=r[o])?void 0:r.indexOf(e.id))?n:-1:0}},createRow:(e,t)=>{e.getCenterVisibleCells=qa((()=>[e._getAllVisibleCells(),t.getState().columnPinning.left,t.getState().columnPinning.right]),((e,t,n)=>{const r=[...null!=t?t:[],...null!=n?n:[]];return e.filter((e=>!r.includes(e.column.id)))}),Xa(t.options,"debugRows")),e.getLeftVisibleCells=qa((()=>[e._getAllVisibleCells(),t.getState().columnPinning.left]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.column.id===t)))).filter(Boolean).map((e=>({...e,position:"left"})))),Xa(t.options,"debugRows")),e.getRightVisibleCells=qa((()=>[e._getAllVisibleCells(),t.getState().columnPinning.right]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.column.id===t)))).filter(Boolean).map((e=>({...e,position:"right"})))),Xa(t.options,"debugRows"))},createTable:e=>{e.setColumnPinning=t=>null==e.options.onColumnPinningChange?void 0:e.options.onColumnPinningChange(t),e.resetColumnPinning=t=>{var n,r;return e.setColumnPinning(t?{left:[],right:[]}:null!=(n=null==(r=e.initialState)?void 0:r.columnPinning)?n:{left:[],right:[]})},e.getIsSomeColumnsPinned=t=>{var n;const r=e.getState().columnPinning;var o,i;return t?Boolean(null==(n=r[t])?void 0:n.length):Boolean((null==(o=r.left)?void 0:o.length)||(null==(i=r.right)?void 0:i.length))},e.getLeftLeafColumns=qa((()=>[e.getAllLeafColumns(),e.getState().columnPinning.left]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.id===t)))).filter(Boolean)),Xa(e.options,"debugColumns")),e.getRightLeafColumns=qa((()=>[e.getAllLeafColumns(),e.getState().columnPinning.right]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.id===t)))).filter(Boolean)),Xa(e.options,"debugColumns")),e.getCenterLeafColumns=qa((()=>[e.getAllLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right]),((e,t,n)=>{const r=[...null!=t?t:[],...null!=n?n:[]];return e.filter((e=>!r.includes(e.id)))}),Xa(e.options,"debugColumns"))}},bl={size:150,minSize:20,maxSize:Number.MAX_SAFE_INTEGER},yl={getDefaultColumnDef:()=>bl,getInitialState:e=>({columnSizing:{},columnSizingInfo:{startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,isResizingColumn:!1,columnSizingStart:[]},...e}),getDefaultOptions:e=>({columnResizeMode:"onEnd",columnResizeDirection:"ltr",onColumnSizingChange:Ua("columnSizing",e),onColumnSizingInfoChange:Ua("columnSizingInfo",e)}),createColumn:(e,t)=>{e.getSize=()=>{var n,r,o;const i=t.getState().columnSizing[e.id];return Math.min(Math.max(null!=(n=e.columnDef.minSize)?n:bl.minSize,null!=(r=null!=i?i:e.columnDef.size)?r:bl.size),null!=(o=e.columnDef.maxSize)?o:bl.maxSize)},e.getStart=qa((e=>[e,Sl(t,e),t.getState().columnSizing]),((t,n)=>n.slice(0,e.getIndex(t)).reduce(((e,t)=>e+t.getSize()),0)),Xa(t.options,"debugColumns")),e.getAfter=qa((e=>[e,Sl(t,e),t.getState().columnSizing]),((t,n)=>n.slice(e.getIndex(t)+1).reduce(((e,t)=>e+t.getSize()),0)),Xa(t.options,"debugColumns")),e.resetSize=()=>{t.setColumnSizing((t=>{let{[e.id]:n,...r}=t;return r}))},e.getCanResize=()=>{var n,r;return(null==(n=e.columnDef.enableResizing)||n)&&(null==(r=t.options.enableColumnResizing)||r)},e.getIsResizing=()=>t.getState().columnSizingInfo.isResizingColumn===e.id},createHeader:(e,t)=>{e.getSize=()=>{let t=0;const n=e=>{var r;e.subHeaders.length?e.subHeaders.forEach(n):t+=null!=(r=e.column.getSize())?r:0};return n(e),t},e.getStart=()=>{if(e.index>0){const t=e.headerGroup.headers[e.index-1];return t.getStart()+t.getSize()}return 0},e.getResizeHandler=n=>{const r=t.getColumn(e.column.id),o=null==r?void 0:r.getCanResize();return i=>{if(!r||!o)return;if(null==i.persist||i.persist(),El(i)&&i.touches&&i.touches.length>1)return;const a=e.getSize(),l=e?e.getLeafHeaders().map((e=>[e.column.id,e.column.getSize()])):[[r.id,r.getSize()]],s=El(i)?Math.round(i.touches[0].clientX):i.clientX,u={},c=(e,n)=>{"number"==typeof n&&(t.setColumnSizingInfo((e=>{var r,o;const i="rtl"===t.options.columnResizeDirection?-1:1,a=(n-(null!=(r=null==e?void 0:e.startOffset)?r:0))*i,l=Math.max(a/(null!=(o=null==e?void 0:e.startSize)?o:0),-.999999);return e.columnSizingStart.forEach((e=>{let[t,n]=e;u[t]=Math.round(100*Math.max(n+n*l,0))/100})),{...e,deltaOffset:a,deltaPercentage:l}})),"onChange"!==t.options.columnResizeMode&&"end"!==e||t.setColumnSizing((e=>({...e,...u}))))},d=e=>c("move",e),f=e=>{c("end",e),t.setColumnSizingInfo((e=>({...e,isResizingColumn:!1,startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,columnSizingStart:[]})))},p=n||"undefined"!=typeof document?document:null,g={moveHandler:e=>d(e.clientX),upHandler:e=>{null==p||p.removeEventListener("mousemove",g.moveHandler),null==p||p.removeEventListener("mouseup",g.upHandler),f(e.clientX)}},v={moveHandler:e=>(e.cancelable&&(e.preventDefault(),e.stopPropagation()),d(e.touches[0].clientX),!1),upHandler:e=>{var t;null==p||p.removeEventListener("touchmove",v.moveHandler),null==p||p.removeEventListener("touchend",v.upHandler),e.cancelable&&(e.preventDefault(),e.stopPropagation()),f(null==(t=e.touches[0])?void 0:t.clientX)}},m=!!function(){if("boolean"==typeof wl)return wl;let e=!1;try{const t={get passive(){return e=!0,!1}},n=()=>{};window.addEventListener("test",n,t),window.removeEventListener("test",n)}catch(t){e=!1}return wl=e,wl}()&&{passive:!1};El(i)?(null==p||p.addEventListener("touchmove",v.moveHandler,m),null==p||p.addEventListener("touchend",v.upHandler,m)):(null==p||p.addEventListener("mousemove",g.moveHandler,m),null==p||p.addEventListener("mouseup",g.upHandler,m)),t.setColumnSizingInfo((e=>({...e,startOffset:s,startSize:a,deltaOffset:0,deltaPercentage:0,columnSizingStart:l,isResizingColumn:r.id})))}}},createTable:e=>{e.setColumnSizing=t=>null==e.options.onColumnSizingChange?void 0:e.options.onColumnSizingChange(t),e.setColumnSizingInfo=t=>null==e.options.onColumnSizingInfoChange?void 0:e.options.onColumnSizingInfoChange(t),e.resetColumnSizing=t=>{var n;e.setColumnSizing(t?{}:null!=(n=e.initialState.columnSizing)?n:{})},e.resetHeaderSizeInfo=t=>{var n;e.setColumnSizingInfo(t?{startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,isResizingColumn:!1,columnSizingStart:[]}:null!=(n=e.initialState.columnSizingInfo)?n:{startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,isResizingColumn:!1,columnSizingStart:[]})},e.getTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0},e.getLeftTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getLeftHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0},e.getCenterTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getCenterHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0},e.getRightTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getRightHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0}}};let wl=null;function El(e){return"touchstart"===e.type}const Cl={getInitialState:e=>({columnVisibility:{},...e}),getDefaultOptions:e=>({onColumnVisibilityChange:Ua("columnVisibility",e)}),createColumn:(e,t)=>{e.toggleVisibility=n=>{e.getCanHide()&&t.setColumnVisibility((t=>({...t,[e.id]:null!=n?n:!e.getIsVisible()})))},e.getIsVisible=()=>{var n,r;const o=e.columns;return null==(n=o.length?o.some((e=>e.getIsVisible())):null==(r=t.getState().columnVisibility)?void 0:r[e.id])||n},e.getCanHide=()=>{var n,r;return(null==(n=e.columnDef.enableHiding)||n)&&(null==(r=t.options.enableHiding)||r)},e.getToggleVisibilityHandler=()=>t=>{null==e.toggleVisibility||e.toggleVisibility(t.target.checked)}},createRow:(e,t)=>{e._getAllVisibleCells=qa((()=>[e.getAllCells(),t.getState().columnVisibility]),(e=>e.filter((e=>e.column.getIsVisible()))),Xa(t.options,"debugRows")),e.getVisibleCells=qa((()=>[e.getLeftVisibleCells(),e.getCenterVisibleCells(),e.getRightVisibleCells()]),((e,t,n)=>[...e,...t,...n]),Xa(t.options,"debugRows"))},createTable:e=>{const t=(t,n)=>qa((()=>[n(),n().filter((e=>e.getIsVisible())).map((e=>e.id)).join("_")]),(e=>e.filter((e=>null==e.getIsVisible?void 0:e.getIsVisible()))),Xa(e.options,"debugColumns"));e.getVisibleFlatColumns=t(0,(()=>e.getAllFlatColumns())),e.getVisibleLeafColumns=t(0,(()=>e.getAllLeafColumns())),e.getLeftVisibleLeafColumns=t(0,(()=>e.getLeftLeafColumns())),e.getRightVisibleLeafColumns=t(0,(()=>e.getRightLeafColumns())),e.getCenterVisibleLeafColumns=t(0,(()=>e.getCenterLeafColumns())),e.setColumnVisibility=t=>null==e.options.onColumnVisibilityChange?void 0:e.options.onColumnVisibilityChange(t),e.resetColumnVisibility=t=>{var n;e.setColumnVisibility(t?{}:null!=(n=e.initialState.columnVisibility)?n:{})},e.toggleAllColumnsVisible=t=>{var n;t=null!=(n=t)?n:!e.getIsAllColumnsVisible(),e.setColumnVisibility(e.getAllLeafColumns().reduce(((e,n)=>({...e,[n.id]:t||!(null!=n.getCanHide&&n.getCanHide())})),{}))},e.getIsAllColumnsVisible=()=>!e.getAllLeafColumns().some((e=>!(null!=e.getIsVisible&&e.getIsVisible()))),e.getIsSomeColumnsVisible=()=>e.getAllLeafColumns().some((e=>null==e.getIsVisible?void 0:e.getIsVisible())),e.getToggleAllColumnsVisibilityHandler=()=>t=>{var n;e.toggleAllColumnsVisible(null==(n=t.target)?void 0:n.checked)}}};function Sl(e,t){return t?"center"===t?e.getCenterVisibleLeafColumns():"left"===t?e.getLeftVisibleLeafColumns():e.getRightVisibleLeafColumns():e.getVisibleLeafColumns()}const xl={getInitialState:e=>({globalFilter:void 0,...e}),getDefaultOptions:e=>({onGlobalFilterChange:Ua("globalFilter",e),globalFilterFn:"auto",getColumnCanGlobalFilter:t=>{var n;const r=null==(n=e.getCoreRowModel().flatRows[0])||null==(n=n._getAllCellsByColumnId()[t.id])?void 0:n.getValue();return"string"==typeof r||"number"==typeof r}}),createColumn:(e,t)=>{e.getCanGlobalFilter=()=>{var n,r,o,i;return(null==(n=e.columnDef.enableGlobalFilter)||n)&&(null==(r=t.options.enableGlobalFilter)||r)&&(null==(o=t.options.enableFilters)||o)&&(null==(i=null==t.options.getColumnCanGlobalFilter?void 0:t.options.getColumnCanGlobalFilter(e))||i)&&!!e.accessorFn}},createTable:e=>{e.getGlobalAutoFilterFn=()=>cl.includesString,e.getGlobalFilterFn=()=>{var t,n;const{globalFilterFn:r}=e.options;return Wa(r)?r:"auto"===r?e.getGlobalAutoFilterFn():null!=(t=null==(n=e.options.filterFns)?void 0:n[r])?t:cl[r]},e.setGlobalFilter=t=>{null==e.options.onGlobalFilterChange||e.options.onGlobalFilterChange(t)},e.resetGlobalFilter=t=>{e.setGlobalFilter(t?void 0:e.initialState.globalFilter)}}},Al={getInitialState:e=>({rowPinning:{top:[],bottom:[]},...e}),getDefaultOptions:e=>({onRowPinningChange:Ua("rowPinning",e)}),createRow:(e,t)=>{e.pin=(n,r,o)=>{const i=r?e.getLeafRows().map((e=>{let{id:t}=e;return t})):[],a=o?e.getParentRows().map((e=>{let{id:t}=e;return t})):[],l=new Set([...a,e.id,...i]);t.setRowPinning((e=>{var t,r,o,i,a,s;return"bottom"===n?{top:(null!=(o=null==e?void 0:e.top)?o:[]).filter((e=>!(null!=l&&l.has(e)))),bottom:[...(null!=(i=null==e?void 0:e.bottom)?i:[]).filter((e=>!(null!=l&&l.has(e)))),...Array.from(l)]}:"top"===n?{top:[...(null!=(a=null==e?void 0:e.top)?a:[]).filter((e=>!(null!=l&&l.has(e)))),...Array.from(l)],bottom:(null!=(s=null==e?void 0:e.bottom)?s:[]).filter((e=>!(null!=l&&l.has(e))))}:{top:(null!=(t=null==e?void 0:e.top)?t:[]).filter((e=>!(null!=l&&l.has(e)))),bottom:(null!=(r=null==e?void 0:e.bottom)?r:[]).filter((e=>!(null!=l&&l.has(e))))}}))},e.getCanPin=()=>{var n;const{enableRowPinning:r,enablePinning:o}=t.options;return"function"==typeof r?r(e):null==(n=null!=r?r:o)||n},e.getIsPinned=()=>{const n=[e.id],{top:r,bottom:o}=t.getState().rowPinning,i=n.some((e=>null==r?void 0:r.includes(e))),a=n.some((e=>null==o?void 0:o.includes(e)));return i?"top":!!a&&"bottom"},e.getPinnedIndex=()=>{var n,r;const o=e.getIsPinned();if(!o)return-1;const i=null==(n=t._getPinnedRows(o))?void 0:n.map((e=>{let{id:t}=e;return t}));return null!=(r=null==i?void 0:i.indexOf(e.id))?r:-1}},createTable:e=>{e.setRowPinning=t=>null==e.options.onRowPinningChange?void 0:e.options.onRowPinningChange(t),e.resetRowPinning=t=>{var n,r;return e.setRowPinning(t?{top:[],bottom:[]}:null!=(n=null==(r=e.initialState)?void 0:r.rowPinning)?n:{top:[],bottom:[]})},e.getIsSomeRowsPinned=t=>{var n;const r=e.getState().rowPinning;var o,i;return t?Boolean(null==(n=r[t])?void 0:n.length):Boolean((null==(o=r.top)?void 0:o.length)||(null==(i=r.bottom)?void 0:i.length))},e._getPinnedRows=qa((t=>[e.getRowModel().rows,e.getState().rowPinning[t],t]),((t,n,r)=>{var o;return(null==(o=e.options.keepPinnedRows)||o?(null!=n?n:[]).map((t=>{const n=e.getRow(t,!0);return n.getIsAllParentsExpanded()?n:null})):(null!=n?n:[]).map((e=>t.find((t=>t.id===e))))).filter(Boolean).map((e=>({...e,position:r})))}),Xa(e.options,"debugRows")),e.getTopRows=()=>e._getPinnedRows("top"),e.getBottomRows=()=>e._getPinnedRows("bottom"),e.getCenterRows=qa((()=>[e.getRowModel().rows,e.getState().rowPinning.top,e.getState().rowPinning.bottom]),((e,t,n)=>{const r=new Set([...null!=t?t:[],...null!=n?n:[]]);return e.filter((e=>!r.has(e.id)))}),Xa(e.options,"debugRows"))}},Il={getInitialState:e=>({rowSelection:{},...e}),getDefaultOptions:e=>({onRowSelectionChange:Ua("rowSelection",e),enableRowSelection:!0,enableMultiRowSelection:!0,enableSubRowSelection:!0}),createTable:e=>{e.setRowSelection=t=>null==e.options.onRowSelectionChange?void 0:e.options.onRowSelectionChange(t),e.resetRowSelection=t=>{var n;return e.setRowSelection(t?{}:null!=(n=e.initialState.rowSelection)?n:{})},e.toggleAllRowsSelected=t=>{e.setRowSelection((n=>{t=void 0!==t?t:!e.getIsAllRowsSelected();const r={...n},o=e.getPreGroupedRowModel().flatRows;return t?o.forEach((e=>{e.getCanSelect()&&(r[e.id]=!0)})):o.forEach((e=>{delete r[e.id]})),r}))},e.toggleAllPageRowsSelected=t=>e.setRowSelection((n=>{const r=void 0!==t?t:!e.getIsAllPageRowsSelected(),o={...n};return e.getRowModel().rows.forEach((t=>{Rl(o,t.id,r,!0,e)})),o})),e.getPreSelectedRowModel=()=>e.getCoreRowModel(),e.getSelectedRowModel=qa((()=>[e.getState().rowSelection,e.getCoreRowModel()]),((t,n)=>Object.keys(t).length?Ol(e,n):{rows:[],flatRows:[],rowsById:{}}),Xa(e.options,"debugTable")),e.getFilteredSelectedRowModel=qa((()=>[e.getState().rowSelection,e.getFilteredRowModel()]),((t,n)=>Object.keys(t).length?Ol(e,n):{rows:[],flatRows:[],rowsById:{}}),Xa(e.options,"debugTable")),e.getGroupedSelectedRowModel=qa((()=>[e.getState().rowSelection,e.getSortedRowModel()]),((t,n)=>Object.keys(t).length?Ol(e,n):{rows:[],flatRows:[],rowsById:{}}),Xa(e.options,"debugTable")),e.getIsAllRowsSelected=()=>{const t=e.getFilteredRowModel().flatRows,{rowSelection:n}=e.getState();let r=Boolean(t.length&&Object.keys(n).length);return r&&t.some((e=>e.getCanSelect()&&!n[e.id]))&&(r=!1),r},e.getIsAllPageRowsSelected=()=>{const t=e.getPaginationRowModel().flatRows.filter((e=>e.getCanSelect())),{rowSelection:n}=e.getState();let r=!!t.length;return r&&t.some((e=>!n[e.id]))&&(r=!1),r},e.getIsSomeRowsSelected=()=>{var t;const n=Object.keys(null!=(t=e.getState().rowSelection)?t:{}).length;return n>0&&n<e.getFilteredRowModel().flatRows.length},e.getIsSomePageRowsSelected=()=>{const t=e.getPaginationRowModel().flatRows;return!e.getIsAllPageRowsSelected()&&t.filter((e=>e.getCanSelect())).some((e=>e.getIsSelected()||e.getIsSomeSelected()))},e.getToggleAllRowsSelectedHandler=()=>t=>{e.toggleAllRowsSelected(t.target.checked)},e.getToggleAllPageRowsSelectedHandler=()=>t=>{e.toggleAllPageRowsSelected(t.target.checked)}},createRow:(e,t)=>{e.toggleSelected=(n,r)=>{const o=e.getIsSelected();t.setRowSelection((i=>{var a;if(n=void 0!==n?n:!o,e.getCanSelect()&&o===n)return i;const l={...i};return Rl(l,e.id,n,null==(a=null==r?void 0:r.selectChildren)||a,t),l}))},e.getIsSelected=()=>{const{rowSelection:n}=t.getState();return Dl(e,n)},e.getIsSomeSelected=()=>{const{rowSelection:n}=t.getState();return"some"===Ml(e,n)},e.getIsAllSubRowsSelected=()=>{const{rowSelection:n}=t.getState();return"all"===Ml(e,n)},e.getCanSelect=()=>{var n;return"function"==typeof t.options.enableRowSelection?t.options.enableRowSelection(e):null==(n=t.options.enableRowSelection)||n},e.getCanSelectSubRows=()=>{var n;return"function"==typeof t.options.enableSubRowSelection?t.options.enableSubRowSelection(e):null==(n=t.options.enableSubRowSelection)||n},e.getCanMultiSelect=()=>{var n;return"function"==typeof t.options.enableMultiRowSelection?t.options.enableMultiRowSelection(e):null==(n=t.options.enableMultiRowSelection)||n},e.getToggleSelectedHandler=()=>{const t=e.getCanSelect();return n=>{var r;t&&e.toggleSelected(null==(r=n.target)?void 0:r.checked)}}}},Rl=(e,t,n,r,o)=>{var i;const a=o.getRow(t,!0);n?(a.getCanMultiSelect()||Object.keys(e).forEach((t=>delete e[t])),a.getCanSelect()&&(e[t]=!0)):delete e[t],r&&null!=(i=a.subRows)&&i.length&&a.getCanSelectSubRows()&&a.subRows.forEach((t=>Rl(e,t.id,n,r,o)))};function Ol(e,t){const n=e.getState().rowSelection,r=[],o={},i=function(e,t){return e.map((e=>{var t;const a=Dl(e,n);if(a&&(r.push(e),o[e.id]=e),null!=(t=e.subRows)&&t.length&&(e={...e,subRows:i(e.subRows)}),a)return e})).filter(Boolean)};return{rows:i(t.rows),flatRows:r,rowsById:o}}function Dl(e,t){var n;return null!=(n=t[e.id])&&n}function Ml(e,t,n){var r;if(null==(r=e.subRows)||!r.length)return!1;let o=!0,i=!1;return e.subRows.forEach((e=>{if((!i||o)&&(e.getCanSelect()&&(Dl(e,t)?i=!0:o=!1),e.subRows&&e.subRows.length)){const n=Ml(e,t);"all"===n?i=!0:"some"===n?(i=!0,o=!1):o=!1}})),o?"all":!!i&&"some"}const Pl=/([0-9]+)/gm;function Nl(e,t){return e===t?0:e>t?1:-1}function Fl(e){return"number"==typeof e?isNaN(e)||e===1/0||e===-1/0?"":String(e):"string"==typeof e?e:""}function kl(e,t){const n=e.split(Pl).filter(Boolean),r=t.split(Pl).filter(Boolean);for(;n.length&&r.length;){const e=n.shift(),t=r.shift(),o=parseInt(e,10),i=parseInt(t,10),a=[o,i].sort();if(isNaN(a[0])){if(e>t)return 1;if(t>e)return-1}else{if(isNaN(a[1]))return isNaN(o)?-1:1;if(o>i)return 1;if(i>o)return-1}}return n.length-r.length}const Bl={alphanumeric:(e,t,n)=>kl(Fl(e.getValue(n)).toLowerCase(),Fl(t.getValue(n)).toLowerCase()),alphanumericCaseSensitive:(e,t,n)=>kl(Fl(e.getValue(n)),Fl(t.getValue(n))),text:(e,t,n)=>Nl(Fl(e.getValue(n)).toLowerCase(),Fl(t.getValue(n)).toLowerCase()),textCaseSensitive:(e,t,n)=>Nl(Fl(e.getValue(n)),Fl(t.getValue(n))),datetime:(e,t,n)=>{const r=e.getValue(n),o=t.getValue(n);return r>o?1:r<o?-1:0},basic:(e,t,n)=>Nl(e.getValue(n),t.getValue(n))},Tl={getInitialState:e=>({sorting:[],...e}),getDefaultColumnDef:()=>({sortingFn:"auto",sortUndefined:1}),getDefaultOptions:e=>({onSortingChange:Ua("sorting",e),isMultiSortEvent:e=>e.shiftKey}),createColumn:(e,t)=>{e.getAutoSortingFn=()=>{const n=t.getFilteredRowModel().flatRows.slice(10);let r=!1;for(const t of n){const n=null==t?void 0:t.getValue(e.id);if("[object Date]"===Object.prototype.toString.call(n))return Bl.datetime;if("string"==typeof n&&(r=!0,n.split(Pl).length>1))return Bl.alphanumeric}return r?Bl.text:Bl.basic},e.getAutoSortDir=()=>{const n=t.getFilteredRowModel().flatRows[0];return"string"==typeof(null==n?void 0:n.getValue(e.id))?"asc":"desc"},e.getSortingFn=()=>{var n,r;if(!e)throw new Error;return Wa(e.columnDef.sortingFn)?e.columnDef.sortingFn:"auto"===e.columnDef.sortingFn?e.getAutoSortingFn():null!=(n=null==(r=t.options.sortingFns)?void 0:r[e.columnDef.sortingFn])?n:Bl[e.columnDef.sortingFn]},e.toggleSorting=(n,r)=>{const o=e.getNextSortingOrder(),i=null!=n;t.setSorting((a=>{const l=null==a?void 0:a.find((t=>t.id===e.id)),s=null==a?void 0:a.findIndex((t=>t.id===e.id));let u,c=[],d=i?n:"desc"===o;var f;return u=null!=a&&a.length&&e.getCanMultiSort()&&r?l?"toggle":"add":null!=a&&a.length&&s!==a.length-1?"replace":l?"toggle":"replace","toggle"===u&&(i||o||(u="remove")),"add"===u?(c=[...a,{id:e.id,desc:d}],c.splice(0,c.length-(null!=(f=t.options.maxMultiSortColCount)?f:Number.MAX_SAFE_INTEGER))):c="toggle"===u?a.map((t=>t.id===e.id?{...t,desc:d}:t)):"remove"===u?a.filter((t=>t.id!==e.id)):[{id:e.id,desc:d}],c}))},e.getFirstSortDir=()=>{var n,r;return(null!=(n=null!=(r=e.columnDef.sortDescFirst)?r:t.options.sortDescFirst)?n:"desc"===e.getAutoSortDir())?"desc":"asc"},e.getNextSortingOrder=n=>{var r,o;const i=e.getFirstSortDir(),a=e.getIsSorted();return a?!!(a===i||null!=(r=t.options.enableSortingRemoval)&&!r||n&&null!=(o=t.options.enableMultiRemove)&&!o)&&("desc"===a?"asc":"desc"):i},e.getCanSort=()=>{var n,r;return(null==(n=e.columnDef.enableSorting)||n)&&(null==(r=t.options.enableSorting)||r)&&!!e.accessorFn},e.getCanMultiSort=()=>{var n,r;return null!=(n=null!=(r=e.columnDef.enableMultiSort)?r:t.options.enableMultiSort)?n:!!e.accessorFn},e.getIsSorted=()=>{var n;const r=null==(n=t.getState().sorting)?void 0:n.find((t=>t.id===e.id));return!!r&&(r.desc?"desc":"asc")},e.getSortIndex=()=>{var n,r;return null!=(n=null==(r=t.getState().sorting)?void 0:r.findIndex((t=>t.id===e.id)))?n:-1},e.clearSorting=()=>{t.setSorting((t=>null!=t&&t.length?t.filter((t=>t.id!==e.id)):[]))},e.getToggleSortingHandler=()=>{const n=e.getCanSort();return r=>{n&&(null==r.persist||r.persist(),null==e.toggleSorting||e.toggleSorting(void 0,!!e.getCanMultiSort()&&(null==t.options.isMultiSortEvent?void 0:t.options.isMultiSortEvent(r))))}}},createTable:e=>{e.setSorting=t=>null==e.options.onSortingChange?void 0:e.options.onSortingChange(t),e.resetSorting=t=>{var n,r;e.setSorting(t?[]:null!=(n=null==(r=e.initialState)?void 0:r.sorting)?n:[])},e.getPreSortedRowModel=()=>e.getGroupedRowModel(),e.getSortedRowModel=()=>(!e._getSortedRowModel&&e.options.getSortedRowModel&&(e._getSortedRowModel=e.options.getSortedRowModel(e)),e.options.manualSorting||!e._getSortedRowModel?e.getPreSortedRowModel():e._getSortedRowModel())}},_l=[Qa,Cl,ml,hl,el,fl,{createTable:e=>{e._getGlobalFacetedRowModel=e.options.getFacetedRowModel&&e.options.getFacetedRowModel(e,"__global__"),e.getGlobalFacetedRowModel=()=>e.options.manualFiltering||!e._getGlobalFacetedRowModel?e.getPreFilteredRowModel():e._getGlobalFacetedRowModel(),e._getGlobalFacetedUniqueValues=e.options.getFacetedUniqueValues&&e.options.getFacetedUniqueValues(e,"__global__"),e.getGlobalFacetedUniqueValues=()=>e._getGlobalFacetedUniqueValues?e._getGlobalFacetedUniqueValues():new Map,e._getGlobalFacetedMinMaxValues=e.options.getFacetedMinMaxValues&&e.options.getFacetedMinMaxValues(e,"__global__"),e.getGlobalFacetedMinMaxValues=()=>{if(e._getGlobalFacetedMinMaxValues)return e._getGlobalFacetedMinMaxValues()}}},xl,Tl,vl,{getInitialState:e=>({expanded:{},...e}),getDefaultOptions:e=>({onExpandedChange:Ua("expanded",e),paginateExpandedRows:!0}),createTable:e=>{let t=!1,n=!1;e._autoResetExpanded=()=>{var r,o;if(t){if(null!=(r=null!=(o=e.options.autoResetAll)?o:e.options.autoResetExpanded)?r:!e.options.manualExpanding){if(n)return;n=!0,e._queue((()=>{e.resetExpanded(),n=!1}))}}else e._queue((()=>{t=!0}))},e.setExpanded=t=>null==e.options.onExpandedChange?void 0:e.options.onExpandedChange(t),e.toggleAllRowsExpanded=t=>{(null!=t?t:!e.getIsAllRowsExpanded())?e.setExpanded(!0):e.setExpanded({})},e.resetExpanded=t=>{var n,r;e.setExpanded(t?{}:null!=(n=null==(r=e.initialState)?void 0:r.expanded)?n:{})},e.getCanSomeRowsExpand=()=>e.getPrePaginationRowModel().flatRows.some((e=>e.getCanExpand())),e.getToggleAllRowsExpandedHandler=()=>t=>{null==t.persist||t.persist(),e.toggleAllRowsExpanded()},e.getIsSomeRowsExpanded=()=>{const t=e.getState().expanded;return!0===t||Object.values(t).some(Boolean)},e.getIsAllRowsExpanded=()=>{const t=e.getState().expanded;return"boolean"==typeof t?!0===t:!!Object.keys(t).length&&!e.getRowModel().flatRows.some((e=>!e.getIsExpanded()))},e.getExpandedDepth=()=>{let t=0;return(!0===e.getState().expanded?Object.keys(e.getRowModel().rowsById):Object.keys(e.getState().expanded)).forEach((e=>{const n=e.split(".");t=Math.max(t,n.length)})),t},e.getPreExpandedRowModel=()=>e.getSortedRowModel(),e.getExpandedRowModel=()=>(!e._getExpandedRowModel&&e.options.getExpandedRowModel&&(e._getExpandedRowModel=e.options.getExpandedRowModel(e)),e.options.manualExpanding||!e._getExpandedRowModel?e.getPreExpandedRowModel():e._getExpandedRowModel())},createRow:(e,t)=>{e.toggleExpanded=n=>{t.setExpanded((r=>{var o;const i=!0===r||!(null==r||!r[e.id]);let a={};if(!0===r?Object.keys(t.getRowModel().rowsById).forEach((e=>{a[e]=!0})):a=r,n=null!=(o=n)?o:!i,!i&&n)return{...a,[e.id]:!0};if(i&&!n){const{[e.id]:t,...n}=a;return n}return r}))},e.getIsExpanded=()=>{var n;const r=t.getState().expanded;return!!(null!=(n=null==t.options.getIsRowExpanded?void 0:t.options.getIsRowExpanded(e))?n:!0===r||(null==r?void 0:r[e.id]))},e.getCanExpand=()=>{var n,r,o;return null!=(n=null==t.options.getRowCanExpand?void 0:t.options.getRowCanExpand(e))?n:(null==(r=t.options.enableExpanding)||r)&&!(null==(o=e.subRows)||!o.length)},e.getIsAllParentsExpanded=()=>{let n=!0,r=e;for(;n&&r.parentId;)r=t.getRow(r.parentId,!0),n=r.getIsExpanded();return n},e.getToggleExpandedHandler=()=>{const t=e.getCanExpand();return()=>{t&&e.toggleExpanded()}}}},{getInitialState:e=>({...e,pagination:{pageIndex:0,pageSize:10,...null==e?void 0:e.pagination}}),getDefaultOptions:e=>({onPaginationChange:Ua("pagination",e)}),createTable:e=>{let t=!1,n=!1;e._autoResetPageIndex=()=>{var r,o;if(t){if(null!=(r=null!=(o=e.options.autoResetAll)?o:e.options.autoResetPageIndex)?r:!e.options.manualPagination){if(n)return;n=!0,e._queue((()=>{e.resetPageIndex(),n=!1}))}}else e._queue((()=>{t=!0}))},e.setPagination=t=>null==e.options.onPaginationChange?void 0:e.options.onPaginationChange((e=>$a(t,e))),e.resetPagination=t=>{var n;e.setPagination(t?{pageIndex:0,pageSize:10}:null!=(n=e.initialState.pagination)?n:{pageIndex:0,pageSize:10})},e.setPageIndex=t=>{e.setPagination((n=>{let r=$a(t,n.pageIndex);const o=void 0===e.options.pageCount||-1===e.options.pageCount?Number.MAX_SAFE_INTEGER:e.options.pageCount-1;return r=Math.max(0,Math.min(r,o)),{...n,pageIndex:r}}))},e.resetPageIndex=t=>{var n,r;e.setPageIndex(t?0:null!=(n=null==(r=e.initialState)||null==(r=r.pagination)?void 0:r.pageIndex)?n:0)},e.resetPageSize=t=>{var n,r;e.setPageSize(t?10:null!=(n=null==(r=e.initialState)||null==(r=r.pagination)?void 0:r.pageSize)?n:10)},e.setPageSize=t=>{e.setPagination((e=>{const n=Math.max(1,$a(t,e.pageSize)),r=e.pageSize*e.pageIndex,o=Math.floor(r/n);return{...e,pageIndex:o,pageSize:n}}))},e.setPageCount=t=>e.setPagination((n=>{var r;let o=$a(t,null!=(r=e.options.pageCount)?r:-1);return"number"==typeof o&&(o=Math.max(-1,o)),{...n,pageCount:o}})),e.getPageOptions=qa((()=>[e.getPageCount()]),(e=>{let t=[];return e&&e>0&&(t=[...new Array(e)].fill(null).map(((e,t)=>t))),t}),Xa(e.options,"debugTable")),e.getCanPreviousPage=()=>e.getState().pagination.pageIndex>0,e.getCanNextPage=()=>{const{pageIndex:t}=e.getState().pagination,n=e.getPageCount();return-1===n||0!==n&&t<n-1},e.previousPage=()=>e.setPageIndex((e=>e-1)),e.nextPage=()=>e.setPageIndex((e=>e+1)),e.firstPage=()=>e.setPageIndex(0),e.lastPage=()=>e.setPageIndex(e.getPageCount()-1),e.getPrePaginationRowModel=()=>e.getExpandedRowModel(),e.getPaginationRowModel=()=>(!e._getPaginationRowModel&&e.options.getPaginationRowModel&&(e._getPaginationRowModel=e.options.getPaginationRowModel(e)),e.options.manualPagination||!e._getPaginationRowModel?e.getPrePaginationRowModel():e._getPaginationRowModel()),e.getPageCount=()=>{var t;return null!=(t=e.options.pageCount)?t:Math.ceil(e.getRowCount()/e.getState().pagination.pageSize)},e.getRowCount=()=>{var t;return null!=(t=e.options.rowCount)?t:e.getPrePaginationRowModel().rows.length}}},Al,Il,yl];function Ll(e){var t,n;const r=[..._l,...null!=(t=e._features)?t:[]];let o={_features:r};const i=o._features.reduce(((e,t)=>Object.assign(e,null==t.getDefaultOptions?void 0:t.getDefaultOptions(o))),{});let a={...null!=(n=e.initialState)?n:{}};o._features.forEach((e=>{var t;a=null!=(t=null==e.getInitialState?void 0:e.getInitialState(a))?t:a}));const l=[];let s=!1;const u={_features:r,options:{...i,...e},initialState:a,_queue:e=>{l.push(e),s||(s=!0,Promise.resolve().then((()=>{for(;l.length;)l.shift()();s=!1})).catch((e=>setTimeout((()=>{throw e})))))},reset:()=>{o.setState(o.initialState)},setOptions:e=>{const t=$a(e,o.options);o.options=(e=>o.options.mergeOptions?o.options.mergeOptions(i,e):{...i,...e})(t)},getState:()=>o.options.state,setState:e=>{null==o.options.onStateChange||o.options.onStateChange(e)},_getRowId:(e,t,n)=>{var r;return null!=(r=null==o.options.getRowId?void 0:o.options.getRowId(e,t,n))?r:`${n?[n.id,t].join("."):t}`},getCoreRowModel:()=>(o._getCoreRowModel||(o._getCoreRowModel=o.options.getCoreRowModel(o)),o._getCoreRowModel()),getRowModel:()=>o.getPaginationRowModel(),getRow:(e,t)=>{let n=(t?o.getPrePaginationRowModel():o.getRowModel()).rowsById[e];if(!n&&(n=o.getCoreRowModel().rowsById[e],!n))throw new Error;return n},_getDefaultColumnDef:qa((()=>[o.options.defaultColumn]),(e=>{var t;return e=null!=(t=e)?t:{},{header:e=>{const t=e.header.column.columnDef;return t.accessorKey?t.accessorKey:t.accessorFn?t.id:null},cell:e=>{var t,n;return null!=(t=null==(n=e.renderValue())||null==n.toString?void 0:n.toString())?t:null},...o._features.reduce(((e,t)=>Object.assign(e,null==t.getDefaultColumnDef?void 0:t.getDefaultColumnDef())),{}),...e}}),Xa(e,"debugColumns")),_getColumnDefs:()=>o.options.columns,getAllColumns:qa((()=>[o._getColumnDefs()]),(e=>{const t=function(e,n,r){return void 0===r&&(r=0),e.map((e=>{const i=function(e,t,n,r){var o,i;const a={...e._getDefaultColumnDef(),...t},l=a.accessorKey;let s,u=null!=(o=null!=(i=a.id)?i:l?l.replace(".","_"):void 0)?o:"string"==typeof a.header?a.header:void 0;if(a.accessorFn?s=a.accessorFn:l&&(s=l.includes(".")?e=>{let t=e;for(const e of l.split(".")){var n;t=null==(n=t)?void 0:n[e]}return t}:e=>e[a.accessorKey]),!u)throw new Error;let c={id:`${String(u)}`,accessorFn:s,parent:r,depth:n,columnDef:a,columns:[],getFlatColumns:qa((()=>[!0]),(()=>{var e;return[c,...null==(e=c.columns)?void 0:e.flatMap((e=>e.getFlatColumns()))]}),Xa(e.options,"debugColumns")),getLeafColumns:qa((()=>[e._getOrderColumnsFn()]),(e=>{var t;if(null!=(t=c.columns)&&t.length){let t=c.columns.flatMap((e=>e.getLeafColumns()));return e(t)}return[c]}),Xa(e.options,"debugColumns"))};for(const t of e._features)null==t.createColumn||t.createColumn(c,e);return c}(o,e,r,n),a=e;return i.columns=a.columns?t(a.columns,i,r+1):[],i}))};return t(e)}),Xa(e,"debugColumns")),getAllFlatColumns:qa((()=>[o.getAllColumns()]),(e=>e.flatMap((e=>e.getFlatColumns()))),Xa(e,"debugColumns")),_getAllFlatColumnsById:qa((()=>[o.getAllFlatColumns()]),(e=>e.reduce(((e,t)=>(e[t.id]=t,e)),{})),Xa(e,"debugColumns")),getAllLeafColumns:qa((()=>[o.getAllColumns(),o._getOrderColumnsFn()]),((e,t)=>t(e.flatMap((e=>e.getLeafColumns())))),Xa(e,"debugColumns")),getColumn:e=>o._getAllFlatColumnsById()[e]};Object.assign(o,u);for(let e=0;e<o._features.length;e++){const t=o._features[e];null==t||null==t.createTable||t.createTable(o)}return o}function Vl(e,t){return e?function(e){return"function"==typeof e&&(()=>{const t=Object.getPrototypeOf(e);return t.prototype&&t.prototype.isReactComponent})()}(n=e)||"function"==typeof n||function(e){return"object"==typeof e&&"symbol"==typeof e.$$typeof&&["react.memo","react.forward_ref"].includes(e.$$typeof.description)}(n)?i.createElement(e,t):e:null;var n}function Gl(){return Gl=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},Gl.apply(this,arguments)}function jl(){return jl=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},jl.apply(this,arguments)}function Hl(e,t,n){var r,o,i=null!=(r=n.initialDeps)?r:[];return function(){var r;n.key&&null!=n.debug&&n.debug()&&(r=Date.now());var a,l=e();if(l.length===i.length&&!l.some((function(e,t){return i[t]!==e})))return o;if(i=l,n.key&&null!=n.debug&&n.debug()&&(a=Date.now()),o=t.apply(void 0,l),n.key&&null!=n.debug&&n.debug()){var s=Math.round(100*(Date.now()-r))/100,u=Math.round(100*(Date.now()-a))/100,c=u/16,d=function(e,t){for(e=String(e);e.length<t;)e=" "+e;return e};console.info("%c⏱ "+d(u,5)+" /"+d(s,5)+" ms","\n            font-size: .6rem;\n            font-weight: bold;\n            color: hsl("+Math.max(0,Math.min(120-120*c,120))+"deg 100% 31%);",null==n?void 0:n.key)}return null==n||null==n.onChange||n.onChange(o),o}}function zl(e,t){if(void 0===e)throw new Error("Unexpected undefined"+(t?": "+t:""));return e}var $l=function(e){return e},Ul=function(e){for(var t=Math.max(e.startIndex-e.overscan,0),n=Math.min(e.endIndex+e.overscan,e.count-1),r=[],o=t;o<=n;o++)r.push(o);return r},Wl=function(e,t){var n=e.scrollElement;if(n){var r=function(e){var n=e.width,r=e.height;t({width:Math.round(n),height:Math.round(r)})};r(n.getBoundingClientRect());var o=new ResizeObserver((function(e){var t=e[0];if(null!=t&&t.borderBoxSize){var o=t.borderBoxSize[0];if(o)return void r({width:o.inlineSize,height:o.blockSize})}r(n.getBoundingClientRect())}));return o.observe(n,{box:"border-box"}),function(){o.unobserve(n)}}},ql=function(e,t){var n=e.scrollElement;if(n){var r=function(){t(n[e.options.horizontal?"scrollLeft":"scrollTop"])};return r(),n.addEventListener("scroll",r,{passive:!0}),function(){n.removeEventListener("scroll",r)}}},Xl=function(e,t,n){if(null!=t&&t.borderBoxSize){var r=t.borderBoxSize[0];if(r)return Math.round(r[n.options.horizontal?"inlineSize":"blockSize"])}return Math.round(e.getBoundingClientRect()[n.options.horizontal?"width":"height"])},Yl=function(e,t,n){var r,o,i=t.adjustments,a=void 0===i?0:i,l=t.behavior,s=e+a;null==(r=n.scrollElement)||null==r.scrollTo||r.scrollTo(((o={})[n.options.horizontal?"left":"top"]=s,o.behavior=l,o))},Kl=function(e){var t,n,r=this;this.unsubs=[],this.scrollElement=null,this.isScrolling=!1,this.isScrollingTimeoutId=null,this.scrollToIndexTimeoutId=null,this.measurementsCache=[],this.itemSizeCache=new Map,this.pendingMeasuredCacheIndexes=[],this.scrollDirection=null,this.scrollAdjustments=0,this.measureElementCache=new Map,this.observer=(t=null,n=function(){return t||("undefined"!=typeof ResizeObserver?t=new ResizeObserver((function(e){e.forEach((function(e){r._measureElement(e.target,e)}))})):null)},{disconnect:function(){var e;return null==(e=n())?void 0:e.disconnect()},observe:function(e){var t;return null==(t=n())?void 0:t.observe(e,{box:"border-box"})},unobserve:function(e){var t;return null==(t=n())?void 0:t.unobserve(e)}}),this.range={startIndex:0,endIndex:0},this.setOptions=function(e){Object.entries(e).forEach((function(t){var n=t[0];void 0===t[1]&&delete e[n]})),r.options=jl({debug:!1,initialOffset:0,overscan:1,paddingStart:0,paddingEnd:0,scrollPaddingStart:0,scrollPaddingEnd:0,horizontal:!1,getItemKey:$l,rangeExtractor:Ul,onChange:function(){},measureElement:Xl,initialRect:{width:0,height:0},scrollMargin:0,scrollingDelay:150,indexAttribute:"data-index",initialMeasurementsCache:[],lanes:1},e)},this.notify=function(){null==r.options.onChange||r.options.onChange(r)},this.cleanup=function(){r.unsubs.filter(Boolean).forEach((function(e){return e()})),r.unsubs=[],r.scrollElement=null},this._didMount=function(){return r.measureElementCache.forEach(r.observer.observe),function(){r.observer.disconnect(),r.cleanup()}},this._willUpdate=function(){var e=r.options.getScrollElement();r.scrollElement!==e&&(r.cleanup(),r.scrollElement=e,r._scrollToOffset(r.scrollOffset,{adjustments:void 0,behavior:void 0}),r.unsubs.push(r.options.observeElementRect(r,(function(e){var t=r.scrollRect;r.scrollRect=e,(r.options.horizontal?e.width!==t.width:e.height!==t.height)&&r.maybeNotify()}))),r.unsubs.push(r.options.observeElementOffset(r,(function(e){r.scrollAdjustments=0,r.scrollOffset!==e&&(null!==r.isScrollingTimeoutId&&(clearTimeout(r.isScrollingTimeoutId),r.isScrollingTimeoutId=null),r.isScrolling=!0,r.scrollDirection=r.scrollOffset<e?"forward":"backward",r.scrollOffset=e,r.maybeNotify(),r.isScrollingTimeoutId=setTimeout((function(){r.isScrollingTimeoutId=null,r.isScrolling=!1,r.scrollDirection=null,r.maybeNotify()}),r.options.scrollingDelay))}))))},this.getSize=function(){return r.scrollRect[r.options.horizontal?"width":"height"]},this.memoOptions=Hl((function(){return[r.options.count,r.options.paddingStart,r.options.scrollMargin,r.options.getItemKey]}),(function(e,t,n,o){return r.pendingMeasuredCacheIndexes=[],{count:e,paddingStart:t,scrollMargin:n,getItemKey:o}}),{key:!1}),this.getFurthestMeasurement=function(e,t){for(var n=new Map,o=new Map,i=t-1;i>=0;i--){var a=e[i];if(!n.has(a.lane)){var l=o.get(a.lane);if(null==l||a.end>l.end?o.set(a.lane,a):a.end<l.end&&n.set(a.lane,!0),n.size===r.options.lanes)break}}return o.size===r.options.lanes?Array.from(o.values()).sort((function(e,t){return e.end-t.end}))[0]:void 0},this.getMeasurements=Hl((function(){return[r.memoOptions(),r.itemSizeCache]}),(function(e,t){var n=e.count,o=e.paddingStart,i=e.scrollMargin,a=e.getItemKey,l=r.pendingMeasuredCacheIndexes.length>0?Math.min.apply(Math,r.pendingMeasuredCacheIndexes):0;r.pendingMeasuredCacheIndexes=[];for(var s=r.measurementsCache.slice(0,l),u=l;u<n;u++){var c=a(u),d=1===r.options.lanes?s[u-1]:r.getFurthestMeasurement(s,u),f=d?d.end:o+i,p=t.get(c),g="number"==typeof p?p:r.options.estimateSize(u),v=f+g,m=d?d.lane:u%r.options.lanes;s[u]={index:u,start:f,size:g,end:v,key:c,lane:m}}return r.measurementsCache=s,s}),{key:!1,debug:function(){return r.options.debug}}),this.calculateRange=Hl((function(){return[r.getMeasurements(),r.getSize(),r.scrollOffset]}),(function(e,t,n){return r.range=function(e){for(var t=e.measurements,n=e.outerSize,r=e.scrollOffset,o=t.length-1,i=Ql(0,o,(function(e){return t[e].start}),r),a=i;a<o&&t[a].end<r+n;)a++;return{startIndex:i,endIndex:a}}({measurements:e,outerSize:t,scrollOffset:n})}),{key:!1,debug:function(){return r.options.debug}}),this.maybeNotify=Hl((function(){var e=r.calculateRange();return[e.startIndex,e.endIndex,r.isScrolling]}),(function(){r.notify()}),{key:!1,debug:function(){return r.options.debug},initialDeps:[this.range.startIndex,this.range.endIndex,this.isScrolling]}),this.getIndexes=Hl((function(){return[r.options.rangeExtractor,r.calculateRange(),r.options.overscan,r.options.count]}),(function(e,t,n,r){return e(jl({},t,{overscan:n,count:r}))}),{key:!1,debug:function(){return r.options.debug}}),this.indexFromElement=function(e){var t=r.options.indexAttribute,n=e.getAttribute(t);return n?parseInt(n,10):(console.warn("Missing attribute name '"+t+"={index}' on measured element."),-1)},this._measureElement=function(e,t){var n=r.measurementsCache[r.indexFromElement(e)];if(n&&e.isConnected){var o=r.measureElementCache.get(n.key);o!==e&&(o&&r.observer.unobserve(o),r.observer.observe(e),r.measureElementCache.set(n.key,e));var i=r.options.measureElement(e,t,r);r.resizeItem(n,i)}else r.measureElementCache.forEach((function(t,n){t===e&&(r.observer.unobserve(e),r.measureElementCache.delete(n))}))},this.resizeItem=function(e,t){var n,o=t-(null!=(n=r.itemSizeCache.get(e.key))?n:e.size);0!==o&&(e.start<r.scrollOffset&&r._scrollToOffset(r.scrollOffset,{adjustments:r.scrollAdjustments+=o,behavior:void 0}),r.pendingMeasuredCacheIndexes.push(e.index),r.itemSizeCache=new Map(r.itemSizeCache.set(e.key,t)),r.notify())},this.measureElement=function(e){e&&r._measureElement(e,void 0)},this.getVirtualItems=Hl((function(){return[r.getIndexes(),r.getMeasurements()]}),(function(e,t){for(var n=[],r=0,o=e.length;r<o;r++){var i=t[e[r]];n.push(i)}return n}),{key:!1,debug:function(){return r.options.debug}}),this.getVirtualItemForOffset=function(e){var t=r.getMeasurements();return zl(t[Ql(0,t.length-1,(function(e){return zl(t[e]).start}),e)])},this.getOffsetForAlignment=function(e,t){var n=r.getSize();"auto"===t&&(t=e<=r.scrollOffset?"start":e>=r.scrollOffset+n?"end":"start"),"start"===t||("end"===t?e-=n:"center"===t&&(e-=n/2));var o=r.options.horizontal?"scrollWidth":"scrollHeight",i=(r.scrollElement?"document"in r.scrollElement?r.scrollElement.document.documentElement[o]:r.scrollElement[o]:0)-r.getSize();return Math.max(Math.min(i,e),0)},this.getOffsetForIndex=function(e,t){void 0===t&&(t="auto"),e=Math.max(0,Math.min(e,r.options.count-1));var n=zl(r.getMeasurements()[e]);if("auto"===t)if(n.end>=r.scrollOffset+r.getSize()-r.options.scrollPaddingEnd)t="end";else{if(!(n.start<=r.scrollOffset+r.options.scrollPaddingStart))return[r.scrollOffset,t];t="start"}var o="end"===t?n.end+r.options.scrollPaddingEnd:n.start-r.options.scrollPaddingStart;return[r.getOffsetForAlignment(o,t),t]},this.isDynamicMode=function(){return r.measureElementCache.size>0},this.cancelScrollToIndex=function(){null!==r.scrollToIndexTimeoutId&&(clearTimeout(r.scrollToIndexTimeoutId),r.scrollToIndexTimeoutId=null)},this.scrollToOffset=function(e,t){var n=void 0===t?{}:t,o=n.align,i=void 0===o?"start":o,a=n.behavior;r.cancelScrollToIndex(),"smooth"===a&&r.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size."),r._scrollToOffset(r.getOffsetForAlignment(e,i),{adjustments:void 0,behavior:a})},this.scrollToIndex=function(e,t){var n=void 0===t?{}:t,o=n.align,i=void 0===o?"auto":o,a=n.behavior;e=Math.max(0,Math.min(e,r.options.count-1)),r.cancelScrollToIndex(),"smooth"===a&&r.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size.");var l=r.getOffsetForIndex(e,i),s=l[0],u=l[1];r._scrollToOffset(s,{adjustments:void 0,behavior:a}),"smooth"!==a&&r.isDynamicMode()&&(r.scrollToIndexTimeoutId=setTimeout((function(){var t,n;(r.scrollToIndexTimeoutId=null,r.measureElementCache.has(r.options.getItemKey(e)))?(t=r.getOffsetForIndex(e,u)[0],n=r.scrollOffset,Math.abs(t-n)<1||r.scrollToIndex(e,{align:u,behavior:a})):r.scrollToIndex(e,{align:u,behavior:a})})))},this.scrollBy=function(e,t){var n=(void 0===t?{}:t).behavior;r.cancelScrollToIndex(),"smooth"===n&&r.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size."),r._scrollToOffset(r.scrollOffset+e,{adjustments:void 0,behavior:n})},this.getTotalSize=function(){var e;return((null==(e=r.getMeasurements()[r.options.count-1])?void 0:e.end)||r.options.paddingStart)-r.options.scrollMargin+r.options.paddingEnd},this._scrollToOffset=function(e,t){var n=t.adjustments,o=t.behavior;r.options.scrollToFn(e,{behavior:o,adjustments:n},r)},this.measure=function(){r.itemSizeCache=new Map,r.notify()},this.setOptions(e),this.scrollRect=this.options.initialRect,this.scrollOffset=this.options.initialOffset,this.measurementsCache=this.options.initialMeasurementsCache,this.measurementsCache.forEach((function(e){r.itemSizeCache.set(e.key,e.size)})),this.maybeNotify()},Ql=function(e,t,n,r){for(;e<=t;){var o=(e+t)/2|0,i=n(o);if(i<r)e=o+1;else{if(!(i>r))return o;t=o-1}}return e>0?e-1:0},Jl="undefined"!=typeof document?i.useLayoutEffect:i.useEffect;const Zl=e=>{var t;const r=e.colors.emphasize(e.colors.background.primary,.03);return{table:n.css`
      border-radius: ${null===(t=e.shape.radius)||void 0===t?void 0:t.default};
      width: 100%;

      td {
        padding: ${e.spacing(1)};
      }

      td,
      th {
        min-width: ${e.spacing(3)};
      }
    `,disableGrow:n.css`
      width: 0;
    `,header:n.css`
      position: sticky;
      background-color: ${e.colors.background.primary};
      box-shadow: 0 1px ${e.colors.border.weak};
      z-index: 100;
    `,headerCell:n.css`
      padding: ${e.spacing(1)};
    `,row:n.css`
      border-bottom: 1px solid ${e.colors.border.weak};

      &:hover {
        background-color: ${r};
      }

      &:last-child {
        border-bottom: 0;
      }
    `,expandedRow:n.css`
      border-bottom: none;
    `,expandedContentRow:n.css`
      td {
        border-bottom: 1px solid ${e.colors.border.weak};
        position: relative;
        padding: ${e.spacing(2,2,2,5)};

        &:before {
          content: '';
          position: absolute;
          width: 1px;
          top: 0;
          left: 16px;
          bottom: ${e.spacing(2)};
          background: ${e.colors.border.medium};
        }
      }
    `,sortableHeader:n.css`
      /* increases selector's specificity so that it always takes precedence over default styles  */
      && {
      }
    `,headerButton:n.css`
      margin-left: ${e.spacing(.5)};
    `,filterContainer:n.css`
      background-color: ${e.colors.background.primary};
      padding: ${e.spacing(1)};
    `,filterInput:n.css`
      margin-top: ${e.spacing(.5)};
    `}},es=({column:e,alwaysVisible:t})=>{const n=(0,r.useStyles2)(Zl),[o,l]=(0,i.useState)(t),s=e.getFilterValue(),u=(0,i.useCallback)((()=>{l((e=>!e))}),[]),c=(0,i.useCallback)((t=>{e.setFilterValue(t.currentTarget.value)}),[e]);if("isFavorite"===e.columnDef.id)return a().createElement(r.Button,{variant:"secondary",fill:"text",size:"sm",onClick:()=>{e.setFilterValue(!s)},"data-testid":Ho},s?a().createElement(r.Icon,{name:"favorite"}):a().createElement(r.Icon,{name:"star"}));const d=a().createElement(r.Input,{placeholder:"Search values",value:"string"==typeof s?s:"",onChange:c,className:n.filterInput,"data-testid":zo,addonAfter:s?a().createElement(r.Button,{variant:"secondary",icon:"times",onClick:()=>e.setFilterValue(""),"data-testid":$o}):null});return t?d:a().createElement(a().Fragment,null,a().createElement(r.Button,{icon:"filter",fill:"text",onClick:u,size:"sm",className:n.headerButton,"data-testid":To}),o&&d)},ts=({data:e,className:t,columns:o,getSubRows:l,showHeader:s=!0,tableRef:u,topOffset:c=0,tableHeaderRef:d,scrollableContainerRef:f,alwaysVisibleFilter:p,isFocused:g,autoScroll:v,shouldScroll:m,onAfterScroll:h,collapsedByDefault:b})=>{var y,w;const E=(0,r.useStyles2)(Zl),[C,S]=(0,i.useState)(!b||{}),[x,A]=(0,i.useState)([]),I=function(e){const t={state:{},onStateChange:()=>{},renderFallbackValue:null,...e},[n]=i.useState((()=>({current:Ll(t)}))),[r,o]=i.useState((()=>n.current.initialState));return n.current.setOptions((t=>({...t,...e,state:{...r,...e.state},onStateChange:t=>{o(t),null==e.onStateChange||e.onStateChange(t)}}))),n.current}({columns:o,data:e,autoResetExpanded:!1,enableSorting:!0,enableMultiSort:!1,getSubRows:l,getCoreRowModel:e=>qa((()=>[e.options.data]),(t=>{const n={rows:[],flatRows:[],rowsById:{}},r=function(t,o,i){void 0===o&&(o=0);const a=[];for(let s=0;s<t.length;s++){const u=Za(e,e._getRowId(t[s],s,i),t[s],s,o,void 0,null==i?void 0:i.id);var l;n.flatRows.push(u),n.rowsById[u.id]=u,a.push(u),e.options.getSubRows&&(u.originalSubRows=e.options.getSubRows(t[s],s),null!=(l=u.originalSubRows)&&l.length&&(u.subRows=r(u.originalSubRows,o+1,u)))}return a};return n.rows=r(t),n}),Xa(e.options,"debugTable",0,(()=>e._autoResetPageIndex()))),getSortedRowModel:e=>qa((()=>[e.getState().sorting,e.getPreSortedRowModel()]),((t,n)=>{if(!n.rows.length||null==t||!t.length)return n;const r=e.getState().sorting,o=[],i=r.filter((t=>{var n;return null==(n=e.getColumn(t.id))?void 0:n.getCanSort()})),a={};i.forEach((t=>{const n=e.getColumn(t.id);n&&(a[t.id]={sortUndefined:n.columnDef.sortUndefined,invertSorting:n.columnDef.invertSorting,sortingFn:n.getSortingFn()})}));const l=e=>{const t=e.map((e=>({...e})));return t.sort(((e,t)=>{for(let r=0;r<i.length;r+=1){var n;const o=i[r],l=a[o.id],s=l.sortUndefined,u=null!=(n=null==o?void 0:o.desc)&&n;let c=0;if(s){const n=void 0===e.getValue(o.id),r=void 0===t.getValue(o.id);if(n||r){if("first"===s)return n?-1:1;if("last"===s)return n?1:-1;c=n&&r?0:n?s:-s}}if(0===c&&(c=l.sortingFn(e,t,o.id)),0!==c)return u&&(c*=-1),l.invertSorting&&(c*=-1),c}return e.index-t.index})),t.forEach((e=>{var t;o.push(e),null!=(t=e.subRows)&&t.length&&(e.subRows=l(e.subRows))})),t};return{rows:l(n.rows),flatRows:o,rowsById:n.rowsById}}),Xa(e.options,"debugTable",0,(()=>e._autoResetPageIndex()))),getExpandedRowModel:e=>qa((()=>[e.getState().expanded,e.getPreExpandedRowModel(),e.options.paginateExpandedRows]),((e,t,n)=>!t.rows.length||!0!==e&&!Object.keys(null!=e?e:{}).length?t:n?function(e){const t=[],n=e=>{var r;t.push(e),null!=(r=e.subRows)&&r.length&&e.getIsExpanded()&&e.subRows.forEach(n)};return e.rows.forEach(n),{rows:t,flatRows:e.flatRows,rowsById:e.rowsById}}(t):t),Xa(e.options,"debugTable")),getFilteredRowModel:e=>qa((()=>[e.getPreFilteredRowModel(),e.getState().columnFilters,e.getState().globalFilter]),((t,n,r)=>{if(!t.rows.length||(null==n||!n.length)&&!r){for(let e=0;e<t.flatRows.length;e++)t.flatRows[e].columnFilters={},t.flatRows[e].columnFiltersMeta={};return t}const o=[],i=[];(null!=n?n:[]).forEach((t=>{var n;const r=e.getColumn(t.id);if(!r)return;const i=r.getFilterFn();i&&o.push({id:t.id,filterFn:i,resolvedValue:null!=(n=null==i.resolveFilterValue?void 0:i.resolveFilterValue(t.value))?n:t.value})}));const a=(null!=n?n:[]).map((e=>e.id)),l=e.getGlobalFilterFn(),s=e.getAllLeafColumns().filter((e=>e.getCanGlobalFilter()));let u,c;r&&l&&s.length&&(a.push("__global__"),s.forEach((e=>{var t;i.push({id:e.id,filterFn:l,resolvedValue:null!=(t=null==l.resolveFilterValue?void 0:l.resolveFilterValue(r))?t:r})})));for(let e=0;e<t.flatRows.length;e++){const n=t.flatRows[e];if(n.columnFilters={},o.length)for(let e=0;e<o.length;e++){u=o[e];const t=u.id;n.columnFilters[t]=u.filterFn(n,t,u.resolvedValue,(e=>{n.columnFiltersMeta[t]=e}))}if(i.length){for(let e=0;e<i.length;e++){c=i[e];const t=c.id;if(c.filterFn(n,t,c.resolvedValue,(e=>{n.columnFiltersMeta[t]=e}))){n.columnFilters.__global__=!0;break}}!0!==n.columnFilters.__global__&&(n.columnFilters.__global__=!1)}}return function(e,t,n){return n.options.filterFromLeafRows?function(e,t,n){var r;const o=[],i={},a=null!=(r=n.options.maxLeafRowFilterDepth)?r:100,l=function(e,r){void 0===r&&(r=0);const s=[];for(let c=0;c<e.length;c++){var u;let d=e[c];const f=Za(n,d.id,d.original,d.index,d.depth,void 0,d.parentId);if(f.columnFilters=d.columnFilters,null!=(u=d.subRows)&&u.length&&r<a){if(f.subRows=l(d.subRows,r+1),d=f,t(d)&&!f.subRows.length){s.push(d),i[d.id]=d,o.push(d);continue}if(t(d)||f.subRows.length){s.push(d),i[d.id]=d,o.push(d);continue}}else d=f,t(d)&&(s.push(d),i[d.id]=d,o.push(d))}return s};return{rows:l(e),flatRows:o,rowsById:i}}(e,t,n):function(e,t,n){var r;const o=[],i={},a=null!=(r=n.options.maxLeafRowFilterDepth)?r:100,l=function(e,r){void 0===r&&(r=0);const s=[];for(let c=0;c<e.length;c++){let d=e[c];if(t(d)){var u;if(null!=(u=d.subRows)&&u.length&&r<a){const e=Za(n,d.id,d.original,d.index,d.depth,void 0,d.parentId);e.subRows=l(d.subRows,r+1),d=e}s.push(d),o.push(d),i[d.id]=d}}return s};return{rows:l(e),flatRows:o,rowsById:i}}(e,t,n)}(t.rows,(e=>{for(let t=0;t<a.length;t++)if(!1===e.columnFilters[a[t]])return!1;return!0}),e)}),Xa(e.options,"debugTable",0,(()=>e._autoResetPageIndex()))),onColumnFiltersChange:A,enableExpanding:!0,onExpandedChange:S,state:{expanded:C,columnFilters:x}}),{rows:R}=I.getRowModel(),O=(0,i.useMemo)((()=>(e=>{for(let t=0;t<e.length;t+=1){const n=e[t];if(!n.originalSubRows&&n.original.selected)return t}return-1})(R)),[R]),D=(M={getScrollElement:(0,i.useCallback)((()=>f.current),[f]),count:R.length,estimateSize:(0,i.useCallback)((()=>38),[]),measureElement:(0,i.useCallback)((e=>e.offsetHeight),[]),overscan:10},function(e){var t=i.useReducer((function(){return{}}),{})[1],n=Gl({},e,{onChange:function(n){t(),null==e.onChange||e.onChange(n)}}),r=i.useState((function(){return new Kl(n)}))[0];return r.setOptions(n),i.useEffect((function(){return r._didMount()}),[]),Jl((function(){return r._willUpdate()})),r}(Gl({observeElementRect:Wl,observeElementOffset:ql,scrollToFn:Yl},M)));var M;const P=D.getVirtualItems(),N=D.getTotalSize(),F=P.length>0&&(null==P||null===(y=P[0])||void 0===y?void 0:y.start)||0,k=P.length>0?N-((null==P||null===(w=P[P.length-1])||void 0===w?void 0:w.end)||0):0;return(0,i.useEffect)((()=>{v&&e&&(!g.current||m.current)&&O>=0&&(D.scrollToIndex(O,{align:"start"}),h())}),[v,O,e,D,R,g,m,h]),a().createElement("table",{className:(0,n.cx)(E.table,t),ref:u},s&&a().createElement("thead",{"data-testid":Uo,className:E.header,style:{top:c},ref:d},I.getHeaderGroups().map((e=>a().createElement("tr",{key:e.id},e.headers.map((e=>a().createElement("th",{key:e.id,className:(0,n.cx)(E.headerCell,{[E.disableGrow]:!e.column.getCanResize(),[E.sortableHeader]:e.column.getCanSort()}),colSpan:e.colSpan,style:{width:"isFavorite"===e.column.columnDef.id?48:"auto"}},Vl(e.column.columnDef.header,e.getContext()),e.column.getCanSort()&&a().createElement(r.Button,{icon:e.column.getIsSorted()?"asc"===e.column.getIsSorted()?"sort-amount-up":"sort-amount-down":"list-ul",fill:"text",onClick:e.column.getToggleSortingHandler(),size:"sm",className:E.headerButton,variant:e.column.getIsSorted()?"primary":"secondary","data-testid":_o,title:"Sort by status"}),e.column.getCanFilter()&&a().createElement(es,{column:e.column,alwaysVisible:p})))))))),a().createElement("tbody",{"data-testid":Fo},F>0&&a().createElement("tr",null,a().createElement("td",{style:{height:`${F}px`}})),P.map((e=>{const t=R[e.index];return a().createElement("tr",{key:t.id,className:(0,n.cx)(E.row,t.getIsExpanded()&&E.expandedRow),"data-testid":Lo(t.id)},t.getVisibleCells().map((t=>a().createElement("td",{"data-index":e.index,ref:D.measureElement,key:t.id},Vl(t.column.columnDef.cell,t.getContext())))))})),k>0&&a().createElement("tr",null,a().createElement("td",{style:{height:`${k}px`}}))))},ns=({data:e,id:t,options:o,width:l,height:s,eventBus:u,panelEventBus:c})=>{var d,f;const[p,g]=Ia({key:`volkovlabs.variable.panel.${o.saveSelectedGroupKey||t}`,initialValue:(null===(f=o.groups)||void 0===f||null===(d=f[0])||void 0===d?void 0:d.name)||"",enabled:o.saveSelectedGroup}),v=(0,i.useMemo)((()=>{var e,t;if((null===(e=o.groups)||void 0===e?void 0:e.length)&&p)return null===(t=o.groups.find((e=>e.name===p)))||void 0===t?void 0:t.items}),[o.groups,p]);(0,i.useEffect)((()=>{var e,t,n;(null===(e=o.groups)||void 0===e?void 0:e.some((e=>e.name===p)))||g((null===(n=o.groups)||void 0===n||null===(t=n[0])||void 0===t?void 0:t.name)||"")}),[p,t,o.groups,g]);const{tableData:m,columns:h,getSubRows:b}=(({data:e,options:t,eventBus:n,panelEventBus:o,levels:l})=>{var s;const u=(0,r.useTheme2)(),c=Oa(u),d=(null==l?void 0:l.length)?null===(s=l[l.length-1])||void 0===s?void 0:s.name:t.variable,{variable:f,getVariable:p}=ya(n,d),g=Ta(),v=Ra({data:e,status:t.status,name:t.name}),m=(0,i.useMemo)((()=>{if(!f)return[];const n=$i(f),r=l||[];if(r.length&&Hi(f)){const o={},i=((e,t,n)=>{const r=t[t.length-1],o=e.series.find(((e,t)=>void 0===e.refId?t===r.source:e.refId===r.source));if(!o)return null;const i=(e=>{const t=[];for(let n=0;n<e.length;n+=1){const r=e.fields.reduce(((e,t)=>Yi(Xi({},e),{[t.name]:t.values[n]})),{});t.push(r)}return t})(o);return Qi(i,t.map((({name:e})=>e)),n||((e,t)=>({value:e[t],label:e[t],selected:!1,showStatus:!1,selectable:!0,statusMode:no.COLOR})))})(e,r,((e,r,i)=>{const a=`${e[r]}`;let l=o[r];if(!l){const e=p(r);l=e,o[r]=e}const s=Hi(l)?l.helpers.getOption(a):f.helpers.getOption(a);return Ji({value:a,selected:(null==s?void 0:s.selected)||!1,variable:l,isFavorite:g.isAdded(r,a),name:r,label:(null==s?void 0:s.text)||a},{children:i,status:v(a),isSelectedAll:n,favoritesEnabled:t.favorites,groupSelection:t.groupSelection})}));if(i)return 1===r.length&&(null==f?void 0:f.multi)&&(null==f?void 0:f.includeAll)?[Ji({value:ki,selected:n,variable:p(r[0].name),isFavorite:!1,name:r[0].name,label:Fi},{status:v(Fi),isSelectedAll:n,favoritesEnabled:t.favorites,groupSelection:t.groupSelection})].concat(i):i}return Hi(f)?f.options.map((e=>Ji({value:e.value,selected:e.selected,variable:f,isFavorite:g.isAdded(f.name,e.value),label:e.text},{status:v(e.value===ki?Fi:e.value),isSelectedAll:n,favoritesEnabled:t.favorites,groupSelection:t.groupSelection}))):f.type===ro.TEXTBOX?[Ji({value:(null===(o=f.current.value)||void 0===o?void 0:o.toString())||"",label:(null===(i=f.current.text)||void 0===i?void 0:i.toString())||"",selected:!1,variable:f,isFavorite:!1,name:null==f?void 0:f.name},{status:v(""),isSelectedAll:n,favoritesEnabled:t.favorites,groupSelection:t.groupSelection})]:[];var o,i}),[f,l,e,p,g,v,t.favorites,t.groupSelection]),h=(0,i.useCallback)(((e,t=!1)=>{const n=e.childValues||[e.value],r=Zi(m,n);ea(r).filter((e=>e.variable!==f&&e.selectable)).map((e=>({variable:e.variable,values:e.values.filter((t=>{var n;return Hi(e.variable)?!1===(null===(n=e.variable.helpers.getOption(t))||void 0===n?void 0:n.selected):t}))}))).filter((e=>e.values.length>0)).forEach((({variable:e,values:n})=>{ji({values:n,runtimeVariable:e,panelEventBus:o,isKeepSelection:t})})),ji({values:n,runtimeVariable:f,panelEventBus:o,isKeepSelection:t})}),[o,f,m]),b=(0,i.useCallback)(((e,t)=>{var n;e.selected&&Hi(e.variable)&&!(null===(n=e.variable)||void 0===n?void 0:n.multi)&&e.variable===f&&h(e,Ui(t))}),[h,f]),y=(0,i.useMemo)((()=>{const e=`${(null==f?void 0:f.name)||d}`,o=[{id:"value",accessorKey:"value",header:({table:n})=>{const o=!!f&&$i(f),i=Hi(f)&&(null==f?void 0:f.multi)&&t.showTotal,l=(null==f?void 0:f.options.some((e=>"All"===e.text&&e.selected)))?(null==f?void 0:f.options.length)-1:null==f?void 0:f.options.filter((e=>e.selected)).length,s=(null==f?void 0:f.options.some((e=>"All"===e.text)))?(null==f?void 0:f.options.length)-1:null==f?void 0:f.options.length;return a().createElement(a().Fragment,null,t.groupSelection&&a().createElement("input",{type:"checkbox",onChange:()=>{const e={childValues:Ki(m,(e=>e.childValues||e.value),[]),selected:o,value:"",showStatus:!1,label:"",statusMode:no.COLOR};h(e,!1)},checked:o,className:c.selectControl,id:`${e}-select-all`,"data-testid":No,title:"Select all"}),n.getCanSomeRowsExpand()&&a().createElement(r.Button,{className:c.expandButton,onClick:n.getToggleAllRowsExpandedHandler(),variant:"secondary",fill:"text",size:"sm",icon:n.getIsAllRowsExpanded()?"angle-double-down":"angle-double-right","data-testid":Bo}),(null==f?void 0:f.label)||d,i&&a().createElement("span",{"data-testid":Wo,style:{marginLeft:u.spacing(1),fontSize:u.spacing(1.5),color:u.colors.text.disabled}},"(",l,"/",s," selected)"))},enableColumnFilter:t.filter,filterFn:ta,enableSorting:t.statusSort,sortingFn:na,cell:({row:o,getValue:i})=>{var l;const s=o.original.label||i(),d=Hi(f)&&(null==f?void 0:f.multi)&&t.groupSelection&&t.showGroupTotal&&o.original.childValues;return a().createElement("div",{className:c.rowContent,style:{paddingLeft:u.spacing(1.5*o.depth)},"data-testid":Vo(s,o.depth)},o.original.selectable&&a().createElement("input",{type:Hi(f)?(null==f?void 0:f.multi)?"checkbox":"radio":"text",onChange:e=>h(o.original,Ui(e)),onClick:e=>b(o.original,e),checked:o.original.selected,className:c.selectControl,id:`${e}-${o.original.value}`,"data-testid":Go,ref:e=>{if(e&&"checkbox"===e.type){const{childSelectedCount:t=0,childValues:n}=o.original;e.indeterminate=((null==n?void 0:n.length)||0)>t}}}),o.getCanExpand()&&a().createElement(r.Button,{className:c.expandButton,onClick:o.getToggleExpandedHandler(),variant:"secondary",fill:"text",size:"sm",icon:o.getIsExpanded()?"angle-down":"angle-right","data-testid":ko}),Hi(f)&&a().createElement("label",{onClick:e=>{o.original.selectable?h(o.original,Ui(e)):o.getCanExpand()&&o.getToggleExpandedHandler()()},"data-testid":Xo,className:c.label},o.original.showStatus&&a().createElement(a().Fragment,null,o.original.statusMode===no.COLOR&&a().createElement("span",{className:c.status,style:{backgroundColor:o.original.statusColor},"data-testid":Yo}),o.original.statusMode===no.IMAGE&&o.original.statusImage&&a().createElement("img",{className:c.statusImage,src:o.original.statusImage,alt:"","data-testid":Ko})),a().createElement("span",{style:{fontWeight:o.original.selected?u.typography.fontWeightBold:u.typography.fontWeightRegular}},t.showName&&o.original.name?`${o.original.name}: `:"",s),d&&a().createElement("span",{"data-testid":qo(s),style:{marginLeft:u.spacing(1),fontSize:u.spacing(1.5),color:u.colors.text.disabled}},"(",o.original.childSelectedCount,"/",null===(l=o.original.childValues)||void 0===l?void 0:l.length," selected)")),(null==f?void 0:f.type)===ro.TEXTBOX&&a().createElement(Da,{variable:f,panelEventBus:n}))}}];return t.favorites&&o.push({id:"isFavorite",accessorKey:"isFavorite",enableColumnFilter:!0,enableResizing:!1,enableSorting:!1,header:"",filterFn:ra,cell:({row:e,getValue:t})=>{const n=t();return e.original.canBeFavorite?a().createElement(r.Button,{variant:"secondary",fill:"text",size:"sm",onClick:()=>{var t,r;n?g.remove(null===(t=e.original.variable)||void 0===t?void 0:t.name,e.original.value):g.add(null===(r=e.original.variable)||void 0===r?void 0:r.name,e.original.value)},"data-testid":jo},n?a().createElement(r.Icon,{name:"favorite"}):a().createElement(r.Icon,{name:"star"})):null}}),o}),[f,d,t.filter,t.statusSort,t.favorites,t.showTotal,t.groupSelection,t.showGroupTotal,t.showName,c.selectControl,c.expandButton,c.rowContent,c.label,c.status,c.statusImage,u,m,h,n,b,g]),w=(0,i.useCallback)((e=>e.children),[]);return{tableData:m,columns:y,getSubRows:w}})({data:e,options:o,eventBus:u,levels:v,panelEventBus:c}),{containerRef:y,tableRef:w,headerRef:E,tableTopOffset:C,tableHeaderRef:S}=(({tableData:e,height:t,options:n})=>{const r=(0,i.useRef)(null),o=(0,i.useRef)(null),a=(0,i.useRef)(null),l=(0,i.useRef)(null),[s,u]=(0,i.useState)(0);return(0,i.useEffect)((()=>{if(r.current){let e=0;o.current&&(e+=o.current.clientHeight),u(e)}}),[e,t,n.groups]),{containerRef:r,headerRef:o,tableRef:a,tableHeaderRef:l,tableTopOffset:s}})({height:s,options:o,tableData:m}),{containerRef:x,style:A}=(({width:e,height:t,sticky:n,scrollableContainerRef:r})=>{const o=(0,i.useRef)(null),a=(0,i.useRef)(null),l=(0,i.useRef)(null),[s,u]=(0,i.useState)({width:e,height:t}),c=(0,i.useRef)((0,ba.throttle)((e=>{u(e)}),100));return(0,i.useLayoutEffect)((()=>{a.current||(a.current=document.querySelector(".main-view .scrollbar-view")),l.current||(l.current=document.querySelector('[aria-label="Dashboard submenu"]'));const i=()=>{if(o.current&&a.current){if(n){const t=(()=>{if(l.current){const e=getComputedStyle(l.current);if("fixed"===e.position&&"hidden"!==e.visibility)return{enabled:!0,height:l.current.clientHeight}}return{enabled:!1,height:0}})(),{y:n,height:i}=o.current.getBoundingClientRect(),s=a.current.getBoundingClientRect(),u=s.top+t.height,d=n-u,f=Math.abs(Math.min(d,0)),p=s.height-n+u,g=Math.min(Math.max(i-f,0),d<0?s.height:p);return r.current&&(r.current.style.transform=`translateY(${f}px)`,r.current.style.height=`${g}px`),void c.current({height:g,transform:`translateY(${f}px)`,width:e})}u({width:e,height:t})}};return i(),a.current&&n?(a.current.addEventListener("scroll",i),()=>{var e;null===(e=a.current)||void 0===e||e.removeEventListener("scroll",i)}):()=>{}}),[o,e,t,n,r]),{containerRef:o,style:s}})({width:l,height:s,sticky:o.sticky,scrollableContainerRef:y}),I=(0,i.useRef)(!1),R=(0,i.useRef)(!1),O=(0,r.useTheme2)(),D=Oa(O),M=(0,i.useMemo)((()=>{if(!o.groups)return[];const e=o.groups.find((e=>e.name===p));return e?[e,...o.groups.filter((e=>e.name!==p))]:o.groups}),[p,o.groups]),P=(0,i.useCallback)((()=>{R.current=!1}),[]);return a().createElement(r.ClickOutsideWrapper,{onClick:()=>{I.current&&(I.current=!1)},useCapture:!0},a().createElement("div",{"data-testid":Mo,className:(0,n.cx)(D.wrapper,n.css`
            width: ${l}px;
            height: ${s}px;
          `),ref:x,onMouseDown:()=>{I.current=!0}},!m.length&&a().createElement(r.Alert,{"data-testid":Do,severity:"info",title:"Variable"},"Variable is not selected or do not match returned fields."),a().createElement("div",{style:A,className:D.content,ref:y,"data-testid":Oo},M.length>1&&a().createElement("div",{ref:E,className:D.header},a().createElement(r.ToolbarButtonRow,{alignment:"left",key:p,className:D.toolbar},M.map(((e,t)=>a().createElement(r.ToolbarButton,{key:e.name,variant:p===e.name?"active":"default",onClick:()=>{g(e.name),R.current=!0},"data-testid":Po(e.name),className:D.toolbarButton,style:{maxWidth:0===t?l-60:void 0}},e.name))))),a().createElement(ts,{key:p,columns:h,data:m,getSubRows:b,showHeader:o.header,tableRef:w,tableHeaderRef:S,topOffset:C,scrollableContainerRef:y,alwaysVisibleFilter:o.alwaysVisibleFilter,isFocused:I,autoScroll:o.autoScroll,shouldScroll:R,onAfterScroll:P,collapsedByDefault:o.collapsedByDefault}))))};function rs(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function os(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){rs(e,t,n[t])}))}return e}function is(){return is=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},is.apply(this,arguments)}function as(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const ls=new e.PanelPlugin((n=>{var{options:r,eventBus:o}=n,l=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(n,["options","eventBus"]);const s=(0,i.useRef)(new e.EventBusSrv);return(({eventBus:e,variableName:n})=>{const{variable:r}=ya(e,n),o=null==r?void 0:r.current;(0,i.useEffect)((()=>{if(null==o?void 0:o.value){const e=t.locationService.getLocation();t.locationService.replace(`/d/${o.value}${e.search}`)}}),[null==o?void 0:o.value])})({eventBus:o,variableName:r.dashboardVariable}),(({eventBus:e,panelEventBus:n,variableName:r,enabled:o})=>{const{variable:a}=ya(e,r),l=Sa(r);(0,i.useEffect)((()=>{if(o&&a&&Hi(a)&&a.multi){const e=t.locationService.getSearch().getAll(`var-${a.name}`).filter((e=>0!==e.toLowerCase().indexOf("all"))),r=(Array.isArray(a.current.value)?a.current.value:[a.current.value]).filter((e=>e!==ki)),o=e.filter((e=>!a.options.some((t=>t.value===e))));if(o.length){const e=l.get();l.save((e=>{const t=new Set;return e.forEach((e=>{t.add(e)})),Array.from(t.values())})(e.concat(o))),Gi(a.name,r.length?r:[Fi],n)}const i=l.get(),s=i.length?i.filter((e=>a.options.some((t=>t.value===e)))):[];s.length&&(l.save(i.filter((e=>!s.includes(e)))),Gi(a.name,r.concat(s),n))}}),[o,e,n,l,a])})({eventBus:o,variableName:r.variable,enabled:r.persistent,panelEventBus:s.current}),(({eventBus:e,panelEventBus:n,variableName:r})=>{const{variable:o}=ya(e,r||""),a=(0,i.useRef)(!1);(0,i.useEffect)((()=>{const e=n.subscribe(so,(()=>{r&&(a.current=!0)}));return()=>{e.unsubscribe()}}),[n,r]),(0,i.useEffect)((()=>{var e,n;a.current&&(a.current=!1,t.locationService.partial({[`var-${null==o?void 0:o.name}`]:null==o||null===(n=o.options)||void 0===n||null===(e=n[0])||void 0===e?void 0:e.value},!0))}),[o])})({eventBus:o,panelEventBus:s.current,variableName:r.resetVariable}),r.displayMode===Jr.MINIMIZE?a().createElement(ja,os({options:r,eventBus:o,panelEventBus:s.current},l)):r.displayMode===Jr.BUTTON?a().createElement(La,os({options:r,eventBus:o,panelEventBus:s.current},l)):r.displayMode===Jr.SLIDER?a().createElement(za,os({options:r,eventBus:o,panelEventBus:s.current},l)):a().createElement(ns,os({options:r,eventBus:o,panelEventBus:s.current},l))})).setNoPadding().setMigrationHandler((e=>{const t=is({},function(e){if(null==e)throw new TypeError("Cannot destructure "+e);return e}(e.options));return t.displayMode===Jr.MINIMIZE&&void 0===t.showLabel&&(t.showLabel=!0),t})).useFieldConfig({disableStandardOptions:[e.FieldConfigProperty.Unit,e.FieldConfigProperty.Color,e.FieldConfigProperty.Min,e.FieldConfigProperty.Max,e.FieldConfigProperty.Decimals,e.FieldConfigProperty.DisplayName,e.FieldConfigProperty.NoValue,e.FieldConfigProperty.Links,e.FieldConfigProperty.Mappings,"unitScale","fieldMinMax"],useCustomConfig:t=>{t.addCustomEditor({id:"thresholdsStyle",path:"thresholdsStyle",name:"Status Style",description:"Show Status in Table view",category:["Thresholds"],defaultValue:{mode:no.COLOR,thresholds:[]},editor:ha,override:ha,process:e.identityOverrideProcessor,shouldApply:()=>!0})}}).setPanelOptions((n=>{const r=(0,t.getTemplateSrv)().getVariables().map((e=>({label:e.name,value:e.name}))),o=e=>e.displayMode===Jr.MINIMIZE,i=e=>e.displayMode===Jr.BUTTON,a=e=>e.displayMode===Jr.TABLE,l=e=>e.displayMode===Jr.SLIDER;var s,u;return n.addRadio({path:"displayMode",name:"Display mode",settings:{options:uo},defaultValue:Jr.TABLE}),n.addSliderInput({path:"padding",name:"Padding",defaultValue:10,settings:{min:0,max:20},showIf:e=>o(e)||i(e)||l(e)}),n.addRadio({path:"emptyValue",name:"Allow empty value",description:"Supports empty value for multi-choice variable.",defaultValue:!1,settings:{options:Co},category:["Values"],showIf:e=>o(e)||i(e)}).addRadio({path:"persistent",name:"Persistent values",description:"Allow to keep selected values if unavailable.",defaultValue:!1,settings:{options:So},category:["Values"],showIf:e=>o(e)||i(e)}).addRadio({path:"customValue",name:"Allow custom values",description:"Supports custom values for the variable.",defaultValue:!1,settings:{options:Ao},category:["Values"],showIf:e=>o(e)}).addNumberInput({path:"maxVisibleValues",name:"Maximum visible values",description:"Supports for multi-choice variable.",settings:{placeholder:"auto"},category:["Values"],showIf:e=>o(e)}),n.addRadio({path:"showLabel",name:"Show Label",description:"Display variable name",defaultValue:!1,settings:{options:xo},category:["Label"],showIf:e=>o(e)||i(e)||l(e)}).addNumberInput({path:"labelWidth",name:"Label Width",settings:{placeholder:"auto"},category:["Label"],showIf:e=>e.showLabel&&(o(e)||l(e))}),n.addRadio({path:"sticky",name:"Sticky position",description:"Variables will follow when scrolling.",settings:{options:fo},defaultValue:!1,showIf:a}).addRadio({path:"autoScroll",name:"Auto scroll to the selected value",settings:{options:wo},defaultValue:!1,showIf:a}),n.addRadio({path:"header",name:"Header",settings:{options:co},category:["Header"],defaultValue:!0,showIf:a}).addRadio({path:"filter",name:"Allow values filtering",settings:{options:po},defaultValue:!1,category:["Header"],showIf:e=>a(e)&&e.header}).addRadio({path:"alwaysVisibleFilter",name:"Always visible filter input",settings:{options:go},defaultValue:!1,category:["Header"],showIf:e=>a(e)&&e.header&&e.filter}).addRadio({path:"favorites",name:"Allow selecting favorites",description:"Saved in the browser storage for each user.",settings:{options:vo},defaultValue:!1,category:["Header"],showIf:e=>a(e)&&e.header}).addRadio({path:"statusSort",name:"Sort by status",settings:{options:ho},defaultValue:!1,category:["Header"],showIf:e=>a(e)&&e.header}).addRadio({path:"showTotal",name:"Display total and selected values count for multi-select variables",settings:{options:Io},defaultValue:!1,category:["Header"],showIf:e=>a(e)&&e.header}),n.addSelect({path:"variable",name:"Select variable to display",settings:{options:r},category:["Layout"],showIf:e=>{var t;return o(e)||!(null===(t=e.groups)||void 0===t?void 0:t.length)}}).addCustomEditor({id:"groups",path:"groups",name:"Tree View based on data source query",editor:fa,category:["Layout"],showIf:a}).addRadio({path:"showName",name:"Display variable names",settings:{options:bo},defaultValue:!1,category:["Layout"],showIf:e=>{var t;return a(e)&&!!(null===(t=e.groups)||void 0===t?void 0:t.length)}}).addRadio({path:"showResetButton",name:"Display reset button",description:"Allows to clear selected values.",settings:{options:Ro},defaultValue:!1,category:["Layout"],showIf:e=>i(e)}),n.addRadio({path:"groupSelection",name:"Allow multi-level selection",settings:{options:Eo},defaultValue:!1,category:["Groups"],showIf:e=>{var t;return a(e)&&!!(null===(t=e.groups)||void 0===t?void 0:t.length)}}).addRadio({path:"saveSelectedGroup",name:"Preserve selected group",description:"Saved in the browser storage for each user.",settings:{options:mo},defaultValue:!1,category:["Groups"],showIf:e=>{var t;return a(e)&&(null===(t=e.groups)||void 0===t?void 0:t.length)>1}}).addTextInput({path:"saveSelectedGroupKey",name:"Selected group Id",description:"Key to preserve selected group in the browser storage.",defaultValue:"",settings:{placeholder:"Will be unique per panel if empty"},showIf:e=>a(e)&&e.saveSelectedGroup,category:["Groups"]}).addRadio({path:"showGroupTotal",name:"Display selected values count per group",settings:{options:Io},defaultValue:!1,category:["Groups"],showIf:e=>a(e)&&e.groupSelection}).addRadio({path:"collapsedByDefault",name:"Initial state",settings:{options:yo},defaultValue:!1,category:["Groups"],showIf:e=>{var t;return a(e)&&!!(null===(t=e.groups)||void 0===t?void 0:t.length)}}),n.addFieldNamePicker({path:"name",name:"Field with variable values. First string field will be used if not specified.",settings:{filter:t=>t.type===e.FieldType.string,noFieldsMessage:"No strings fields found"},category:["Status"],showIf:e=>a(e)||i(e)}).addFieldNamePicker({path:"status",name:"Field with status values. First number field will be used if not specified.",settings:{filter:t=>t.type===e.FieldType.number,noFieldsMessage:"No number fields found"},category:["Status"],showIf:e=>a(e)||i(e)}),n.addSelect({path:"dashboardVariable",name:"Select variable with dashboard UID",description:"Allows to redirect to different dashboards",settings:{options:r},category:["Advanced"]}).addSelect({path:"resetVariable",name:"Select dependent variable to reset",settings:{options:[],getOptions:(s=function*(e){return r.filter((t=>t.label!==e.options.variable))},u=function(){var e=this,t=arguments;return new Promise((function(n,r){var o=s.apply(e,t);function i(e){as(o,n,r,i,a,"next",e)}function a(e){as(o,n,r,i,a,"throw",e)}i(void 0)}))},function(e){return u.apply(this,arguments)}),isClearable:!0},category:["Advanced"],showIf:e=>(e=>!!e.variable)(e)}),n}))})(),p})()));
//# sourceMappingURL=module.js.map